import { CancellationToken } from 'vscode-languageserver';
import * as lsp from 'vscode-languageserver-types';
import { ILogger } from './logging';
import { IMdParser } from './parser';
import { ITextDocument } from './types/textDocument';
import { IMdWorkspace } from './workspace';
export { ILogger } from './logging';
export { IMdParser, Token } from './parser';
export { githubSlugifier, ISlugifier } from './slugify';
export { ILocation } from './types/location';
export { IPosition } from './types/position';
export { IRange } from './types/range';
export { ITextDocument } from './types/textDocument';
export { IUri } from './types/uri';
export { IMdWorkspace } from './workspace';
export interface IMdLanguageService {
    provideDocumentSymbols(document: ITextDocument, token: CancellationToken): Promise<lsp.DocumentSymbol[]>;
    provideFoldingRanges(document: ITextDocument, token: CancellationToken): Promise<lsp.FoldingRange[]>;
    provideSelectionRanges(document: ITextDocument, positions: lsp.Position[], token: CancellationToken): Promise<lsp.SelectionRange[] | undefined>;
}
export declare function createLanguageService(workspace: IMdWorkspace, parser: IMdParser, logger: ILogger): IMdLanguageService;
