import { CancellationToken } from 'vscode-languageserver';
import * as lsp from 'vscode-languageserver-types';
import { ILogger } from '../logging';
import { IMdParser } from '../parser';
import { MdTableOfContentsProvider } from '../tableOfContents';
import { IPosition } from '../types/position';
import { ITextDocument } from '../types/textDocument';
export declare class MdSelectionRangeProvider {
    private readonly parser;
    private readonly tocProvider;
    private readonly logger;
    constructor(parser: IMdParser, tocProvider: MdTableOfContentsProvider, logger: ILogger);
    provideSelectionRanges(document: ITextDocument, positions: IPosition[], _token: CancellationToken): Promise<lsp.SelectionRange[] | undefined>;
    private provideSelectionRange;
    private getInlineSelectionRange;
    private getBlockSelectionRange;
    private getHeaderSelectionRange;
}
