import * as URI from 'vscode-uri';
export interface IUri {
    readonly scheme: string;
    readonly authority: string;
    readonly path: string;
    readonly fsPath: string;
    readonly query: string;
    readonly fragment: string;
    toString(skipEncoding?: boolean): string;
    with(change: {
        scheme?: string;
        authority?: string | null;
        path?: string | null;
        query?: string | null;
        fragment?: string | null;
    }): IUri;
}
export declare function toVsUri(uri: IUri): URI.URI;
export declare function extname(uri: IUri): string;
export declare function dirname(uri: IUri): IUri;
export declare function joinPath(uri: IUri, ...segments: string[]): IUri;
