import { IUri } from '../types/uri';
declare type ResourceToKey = (uri: IUri) => string;
export declare class ResourceMap<T> {
    private readonly map;
    private readonly toKey;
    constructor(toKey?: ResourceToKey);
    set(uri: IUri, value: T): this;
    get(resource: IUri): T | undefined;
    has(resource: IUri): boolean;
    get size(): number;
    clear(): void;
    delete(resource: IUri): boolean;
    values(): IterableIterator<T>;
    keys(): IterableIterator<IUri>;
    entries(): IterableIterator<[IUri, T]>;
    [Symbol.iterator](): IterableIterator<[IUri, T]>;
}
export {};
