/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var J=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/uri","vs/base/common/async","vs/base/common/path","vs/nls!vs/code/electron-main/main","vs/nls","vs/base/common/network","vs/base/common/types","electron","vs/base/common/resources","vs/platform/files/common/files","vs/platform/configuration/common/configuration","vs/base/common/errors","vs/base/common/buffer","vs/platform/product/common/productService","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/base/common/cancellation","vs/base/node/pfs","vs/platform/workspace/common/workspace","vs/base/common/arrays","vs/platform/environment/electron-main/environmentMainService","fs","os","vs/base/common/extpath","vs/base/common/uuid","vs/base/common/strings","vs/platform/windows/electron-main/windows","vs/base/common/map","vs/base/common/labels","vs/platform/telemetry/common/telemetry","vs/base/common/process","vs/platform/policy/common/policy","vs/base/parts/ipc/electron-main/ipcMain","vs/platform/environment/common/environment","vs/platform/userDataProfile/common/userDataProfile","vs/base/common/errorMessage","child_process","vs/base/parts/ipc/common/ipc","vs/platform/registry/common/platform","vs/platform/state/electron-main/state","vs/platform/update/common/update","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/base/common/functional","vs/base/common/json","vs/base/common/objects","vs/base/common/decorators","vs/platform/dialogs/electron-main/dialogMainService","vs/base/common/iterator","vs/base/common/stream","vs/base/common/hash","vs/platform/environment/node/argvHelper","vs/platform/backup/electron-main/backup","vs/platform/product/common/product","vs/platform/protocol/electron-main/protocol","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/theme/electron-main/themeMainService","vs/platform/userDataProfile/electron-main/userDataProfile","vs/platform/native/electron-main/nativeHostMainService","vs/base/common/marshalling","vs/platform/instantiation/common/descriptors","vs/platform/credentials/common/credentials","vs/platform/files/common/watcher","vs/base/common/performance","vs/platform/remote/common/remoteHosts","vs/platform/telemetry/common/telemetryUtils","vs/platform/uriIdentity/common/uriIdentity","vs/platform/window/common/window","vs/platform/workspaces/electron-main/workspacesHistoryMainService","crypto","net","vs/base/common/processes","vs/base/common/stopwatch","vs/base/common/normalization","vs/base/node/id","vs/base/parts/ipc/node/ipc.net","vs/base/node/processes","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/platform/files/node/diskFileSystemProvider","vs/platform/sign/common/sign","vs/platform/update/electron-main/abstractUpdateService","vs/platform/storage/electron-main/storageMainService","vs/platform/workspaces/common/workspaces","vs/base/node/ports","vs/base/common/observableValue","vs/base/common/glob","vs/base/node/extpath","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/platform/environment/node/argv","vs/platform/encryption/common/encryptionService","vs/platform/extensionManagement/common/extensionManagement","vs/platform/externalTerminal/common/externalTerminal","vs/platform/files/common/io","vs/platform/log/common/bufferLog","vs/platform/log/node/spdlogLog","vs/platform/configuration/common/configurationModels","vs/platform/shell/node/shellEnv","vs/platform/tunnel/common/tunnel","vs/platform/url/common/url","vs/platform/storage/common/storage","vs/platform/window/electron-main/window","vs/platform/windows/electron-main/windowsFinder","vs/platform/workspaces/electron-main/workspaces","vs/platform/diagnostics/electron-main/diagnosticsMainService","vs/platform/launch/electron-main/launchMainService","vs/base/common/assert","vs/base/common/codicons","vs/base/common/color","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/skipList","vs/base/node/crypto","vs/base/node/decoder","string_decoder","vs/base/node/macAddress","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/contextmenu/electron-main/contextmenu","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/platform","vs/base/common/cache","vs/base/common/console","vs/base/common/uriIpc","util","vs/base/node/powershell","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/storage/node/storage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/electron-main/diskFileSystemProviderServer","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/native/electron-main/nativeHostMainService","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/windows/electron-main/window","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/backup/common/backup","vs/platform/backup/node/backup","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/encryption/node/encryptionMainService","vs/platform/environment/common/environmentService","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/environment/node/wait","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensionHostStarter","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/credentials/common/credentialsMainService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/files/electron-main/diskFileSystemProviderServer","vs/platform/log/common/fileLog","vs/platform/log/common/logIpc","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/policy/common/filePolicyService","vs/platform/policy/common/policyIpc","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/node/nodeSocketFactory","vs/platform/request/node/proxy","url","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/state/node/state","vs/platform/state/node/stateService","vs/platform/state/electron-main/stateMainService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/telemetry/common/telemetryIpc","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/telemetryService","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/tunnel/node/tunnelService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.snap","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/protocol/electron-main/protocolMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/webview/common/webviewManagerService","vs/platform/webview/electron-main/webviewProtocolProvider","vs/code/electron-main/auth","vs/platform/credentials/electron-main/credentialsMainService","vs/platform/extensions/electron-main/extensionHostStarter","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/backup/electron-main/backupMainService","vs/platform/storage/electron-main/storageIpc","vs/platform/storage/electron-main/storageMain","vs/platform/userDataProfile/node/userDataProfile","vs/platform/extensionManagement/electron-main/defaultExtensionsProfileInit","vs/platform/windows/electron-main/windowsStateHandler","vs/platform/issue/electron-main/issueMainService","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.win32","vs/platform/windows/electron-main/window","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","vs/platform/policy/node/nativePolicyService","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","minimist","assert","path","graceful-fs","vscode-policy-watcher","zlib","vs/code/electron-main/main"],Z=function($){for(var e=[],E=0,t=$.length;E<t;E++)e[E]=J[$[E]];return e};define(J[115],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function E(t,D){if(!t)throw new Error(D?`Assertion failed (${D})`:"Assertion Failed")}e.ok=E}),define(J[116],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.getCodiconAriaLabel=void 0;function E(M){return M?M.replace(/\$\((.*?)\)/g,(I,g)=>` ${g} `).trim():""}e.getCodiconAriaLabel=E;class t{constructor(I,g,S){this.id=I,this.definition=g,this.description=S,t._allCodicons.push(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}static getAll(){return t._allCodicons}}e.Codicon=t,t._allCodicons=[],t.add=new t("add",{fontCharacter:"\\ea60"}),t.plus=new t("plus",t.add.definition),t.gistNew=new t("gist-new",t.add.definition),t.repoCreate=new t("repo-create",t.add.definition),t.lightbulb=new t("lightbulb",{fontCharacter:"\\ea61"}),t.lightBulb=new t("light-bulb",{fontCharacter:"\\ea61"}),t.repo=new t("repo",{fontCharacter:"\\ea62"}),t.repoDelete=new t("repo-delete",{fontCharacter:"\\ea62"}),t.gistFork=new t("gist-fork",{fontCharacter:"\\ea63"}),t.repoForked=new t("repo-forked",{fontCharacter:"\\ea63"}),t.gitPullRequest=new t("git-pull-request",{fontCharacter:"\\ea64"}),t.gitPullRequestAbandoned=new t("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),t.recordKeys=new t("record-keys",{fontCharacter:"\\ea65"}),t.keyboard=new t("keyboard",{fontCharacter:"\\ea65"}),t.tag=new t("tag",{fontCharacter:"\\ea66"}),t.tagAdd=new t("tag-add",{fontCharacter:"\\ea66"}),t.tagRemove=new t("tag-remove",{fontCharacter:"\\ea66"}),t.person=new t("person",{fontCharacter:"\\ea67"}),t.personFollow=new t("person-follow",{fontCharacter:"\\ea67"}),t.personOutline=new t("person-outline",{fontCharacter:"\\ea67"}),t.personFilled=new t("person-filled",{fontCharacter:"\\ea67"}),t.gitBranch=new t("git-branch",{fontCharacter:"\\ea68"}),t.gitBranchCreate=new t("git-branch-create",{fontCharacter:"\\ea68"}),t.gitBranchDelete=new t("git-branch-delete",{fontCharacter:"\\ea68"}),t.sourceControl=new t("source-control",{fontCharacter:"\\ea68"}),t.mirror=new t("mirror",{fontCharacter:"\\ea69"}),t.mirrorPublic=new t("mirror-public",{fontCharacter:"\\ea69"}),t.star=new t("star",{fontCharacter:"\\ea6a"}),t.starAdd=new t("star-add",{fontCharacter:"\\ea6a"}),t.starDelete=new t("star-delete",{fontCharacter:"\\ea6a"}),t.starEmpty=new t("star-empty",{fontCharacter:"\\ea6a"}),t.comment=new t("comment",{fontCharacter:"\\ea6b"}),t.commentAdd=new t("comment-add",{fontCharacter:"\\ea6b"}),t.alert=new t("alert",{fontCharacter:"\\ea6c"}),t.warning=new t("warning",{fontCharacter:"\\ea6c"}),t.search=new t("search",{fontCharacter:"\\ea6d"}),t.searchSave=new t("search-save",{fontCharacter:"\\ea6d"}),t.logOut=new t("log-out",{fontCharacter:"\\ea6e"}),t.signOut=new t("sign-out",{fontCharacter:"\\ea6e"}),t.logIn=new t("log-in",{fontCharacter:"\\ea6f"}),t.signIn=new t("sign-in",{fontCharacter:"\\ea6f"}),t.eye=new t("eye",{fontCharacter:"\\ea70"}),t.eyeUnwatch=new t("eye-unwatch",{fontCharacter:"\\ea70"}),t.eyeWatch=new t("eye-watch",{fontCharacter:"\\ea70"}),t.circleFilled=new t("circle-filled",{fontCharacter:"\\ea71"}),t.primitiveDot=new t("primitive-dot",{fontCharacter:"\\ea71"}),t.closeDirty=new t("close-dirty",{fontCharacter:"\\ea71"}),t.debugBreakpoint=new t("debug-breakpoint",{fontCharacter:"\\ea71"}),t.debugBreakpointDisabled=new t("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),t.debugHint=new t("debug-hint",{fontCharacter:"\\ea71"}),t.primitiveSquare=new t("primitive-square",{fontCharacter:"\\ea72"}),t.edit=new t("edit",{fontCharacter:"\\ea73"}),t.pencil=new t("pencil",{fontCharacter:"\\ea73"}),t.info=new t("info",{fontCharacter:"\\ea74"}),t.issueOpened=new t("issue-opened",{fontCharacter:"\\ea74"}),t.gistPrivate=new t("gist-private",{fontCharacter:"\\ea75"}),t.gitForkPrivate=new t("git-fork-private",{fontCharacter:"\\ea75"}),t.lock=new t("lock",{fontCharacter:"\\ea75"}),t.mirrorPrivate=new t("mirror-private",{fontCharacter:"\\ea75"}),t.close=new t("close",{fontCharacter:"\\ea76"}),t.removeClose=new t("remove-close",{fontCharacter:"\\ea76"}),t.x=new t("x",{fontCharacter:"\\ea76"}),t.repoSync=new t("repo-sync",{fontCharacter:"\\ea77"}),t.sync=new t("sync",{fontCharacter:"\\ea77"}),t.clone=new t("clone",{fontCharacter:"\\ea78"}),t.desktopDownload=new t("desktop-download",{fontCharacter:"\\ea78"}),t.beaker=new t("beaker",{fontCharacter:"\\ea79"}),t.microscope=new t("microscope",{fontCharacter:"\\ea79"}),t.vm=new t("vm",{fontCharacter:"\\ea7a"}),t.deviceDesktop=new t("device-desktop",{fontCharacter:"\\ea7a"}),t.file=new t("file",{fontCharacter:"\\ea7b"}),t.fileText=new t("file-text",{fontCharacter:"\\ea7b"}),t.more=new t("more",{fontCharacter:"\\ea7c"}),t.ellipsis=new t("ellipsis",{fontCharacter:"\\ea7c"}),t.kebabHorizontal=new t("kebab-horizontal",{fontCharacter:"\\ea7c"}),t.mailReply=new t("mail-reply",{fontCharacter:"\\ea7d"}),t.reply=new t("reply",{fontCharacter:"\\ea7d"}),t.organization=new t("organization",{fontCharacter:"\\ea7e"}),t.organizationFilled=new t("organization-filled",{fontCharacter:"\\ea7e"}),t.organizationOutline=new t("organization-outline",{fontCharacter:"\\ea7e"}),t.newFile=new t("new-file",{fontCharacter:"\\ea7f"}),t.fileAdd=new t("file-add",{fontCharacter:"\\ea7f"}),t.newFolder=new t("new-folder",{fontCharacter:"\\ea80"}),t.fileDirectoryCreate=new t("file-directory-create",{fontCharacter:"\\ea80"}),t.trash=new t("trash",{fontCharacter:"\\ea81"}),t.trashcan=new t("trashcan",{fontCharacter:"\\ea81"}),t.history=new t("history",{fontCharacter:"\\ea82"}),t.clock=new t("clock",{fontCharacter:"\\ea82"}),t.folder=new t("folder",{fontCharacter:"\\ea83"}),t.fileDirectory=new t("file-directory",{fontCharacter:"\\ea83"}),t.symbolFolder=new t("symbol-folder",{fontCharacter:"\\ea83"}),t.logoGithub=new t("logo-github",{fontCharacter:"\\ea84"}),t.markGithub=new t("mark-github",{fontCharacter:"\\ea84"}),t.github=new t("github",{fontCharacter:"\\ea84"}),t.terminal=new t("terminal",{fontCharacter:"\\ea85"}),t.console=new t("console",{fontCharacter:"\\ea85"}),t.repl=new t("repl",{fontCharacter:"\\ea85"}),t.zap=new t("zap",{fontCharacter:"\\ea86"}),t.symbolEvent=new t("symbol-event",{fontCharacter:"\\ea86"}),t.error=new t("error",{fontCharacter:"\\ea87"}),t.stop=new t("stop",{fontCharacter:"\\ea87"}),t.variable=new t("variable",{fontCharacter:"\\ea88"}),t.symbolVariable=new t("symbol-variable",{fontCharacter:"\\ea88"}),t.array=new t("array",{fontCharacter:"\\ea8a"}),t.symbolArray=new t("symbol-array",{fontCharacter:"\\ea8a"}),t.symbolModule=new t("symbol-module",{fontCharacter:"\\ea8b"}),t.symbolPackage=new t("symbol-package",{fontCharacter:"\\ea8b"}),t.symbolNamespace=new t("symbol-namespace",{fontCharacter:"\\ea8b"}),t.symbolObject=new t("symbol-object",{fontCharacter:"\\ea8b"}),t.symbolMethod=new t("symbol-method",{fontCharacter:"\\ea8c"}),t.symbolFunction=new t("symbol-function",{fontCharacter:"\\ea8c"}),t.symbolConstructor=new t("symbol-constructor",{fontCharacter:"\\ea8c"}),t.symbolBoolean=new t("symbol-boolean",{fontCharacter:"\\ea8f"}),t.symbolNull=new t("symbol-null",{fontCharacter:"\\ea8f"}),t.symbolNumeric=new t("symbol-numeric",{fontCharacter:"\\ea90"}),t.symbolNumber=new t("symbol-number",{fontCharacter:"\\ea90"}),t.symbolStructure=new t("symbol-structure",{fontCharacter:"\\ea91"}),t.symbolStruct=new t("symbol-struct",{fontCharacter:"\\ea91"}),t.symbolParameter=new t("symbol-parameter",{fontCharacter:"\\ea92"}),t.symbolTypeParameter=new t("symbol-type-parameter",{fontCharacter:"\\ea92"}),t.symbolKey=new t("symbol-key",{fontCharacter:"\\ea93"}),t.symbolText=new t("symbol-text",{fontCharacter:"\\ea93"}),t.symbolReference=new t("symbol-reference",{fontCharacter:"\\ea94"}),t.goToFile=new t("go-to-file",{fontCharacter:"\\ea94"}),t.symbolEnum=new t("symbol-enum",{fontCharacter:"\\ea95"}),t.symbolValue=new t("symbol-value",{fontCharacter:"\\ea95"}),t.symbolRuler=new t("symbol-ruler",{fontCharacter:"\\ea96"}),t.symbolUnit=new t("symbol-unit",{fontCharacter:"\\ea96"}),t.activateBreakpoints=new t("activate-breakpoints",{fontCharacter:"\\ea97"}),t.archive=new t("archive",{fontCharacter:"\\ea98"}),t.arrowBoth=new t("arrow-both",{fontCharacter:"\\ea99"}),t.arrowDown=new t("arrow-down",{fontCharacter:"\\ea9a"}),t.arrowLeft=new t("arrow-left",{fontCharacter:"\\ea9b"}),t.arrowRight=new t("arrow-right",{fontCharacter:"\\ea9c"}),t.arrowSmallDown=new t("arrow-small-down",{fontCharacter:"\\ea9d"}),t.arrowSmallLeft=new t("arrow-small-left",{fontCharacter:"\\ea9e"}),t.arrowSmallRight=new t("arrow-small-right",{fontCharacter:"\\ea9f"}),t.arrowSmallUp=new t("arrow-small-up",{fontCharacter:"\\eaa0"}),t.arrowUp=new t("arrow-up",{fontCharacter:"\\eaa1"}),t.bell=new t("bell",{fontCharacter:"\\eaa2"}),t.bold=new t("bold",{fontCharacter:"\\eaa3"}),t.book=new t("book",{fontCharacter:"\\eaa4"}),t.bookmark=new t("bookmark",{fontCharacter:"\\eaa5"}),t.debugBreakpointConditionalUnverified=new t("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),t.debugBreakpointConditional=new t("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),t.debugBreakpointConditionalDisabled=new t("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),t.debugBreakpointDataUnverified=new t("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),t.debugBreakpointData=new t("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),t.debugBreakpointDataDisabled=new t("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),t.debugBreakpointLogUnverified=new t("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),t.debugBreakpointLog=new t("debug-breakpoint-log",{fontCharacter:"\\eaab"}),t.debugBreakpointLogDisabled=new t("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),t.briefcase=new t("briefcase",{fontCharacter:"\\eaac"}),t.broadcast=new t("broadcast",{fontCharacter:"\\eaad"}),t.browser=new t("browser",{fontCharacter:"\\eaae"}),t.bug=new t("bug",{fontCharacter:"\\eaaf"}),t.calendar=new t("calendar",{fontCharacter:"\\eab0"}),t.caseSensitive=new t("case-sensitive",{fontCharacter:"\\eab1"}),t.check=new t("check",{fontCharacter:"\\eab2"}),t.checklist=new t("checklist",{fontCharacter:"\\eab3"}),t.chevronDown=new t("chevron-down",{fontCharacter:"\\eab4"}),t.dropDownButton=new t("drop-down-button",t.chevronDown.definition),t.chevronLeft=new t("chevron-left",{fontCharacter:"\\eab5"}),t.chevronRight=new t("chevron-right",{fontCharacter:"\\eab6"}),t.chevronUp=new t("chevron-up",{fontCharacter:"\\eab7"}),t.chromeClose=new t("chrome-close",{fontCharacter:"\\eab8"}),t.chromeMaximize=new t("chrome-maximize",{fontCharacter:"\\eab9"}),t.chromeMinimize=new t("chrome-minimize",{fontCharacter:"\\eaba"}),t.chromeRestore=new t("chrome-restore",{fontCharacter:"\\eabb"}),t.circleOutline=new t("circle-outline",{fontCharacter:"\\eabc"}),t.debugBreakpointUnverified=new t("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),t.circleSlash=new t("circle-slash",{fontCharacter:"\\eabd"}),t.circuitBoard=new t("circuit-board",{fontCharacter:"\\eabe"}),t.clearAll=new t("clear-all",{fontCharacter:"\\eabf"}),t.clippy=new t("clippy",{fontCharacter:"\\eac0"}),t.closeAll=new t("close-all",{fontCharacter:"\\eac1"}),t.cloudDownload=new t("cloud-download",{fontCharacter:"\\eac2"}),t.cloudUpload=new t("cloud-upload",{fontCharacter:"\\eac3"}),t.code=new t("code",{fontCharacter:"\\eac4"}),t.collapseAll=new t("collapse-all",{fontCharacter:"\\eac5"}),t.colorMode=new t("color-mode",{fontCharacter:"\\eac6"}),t.commentDiscussion=new t("comment-discussion",{fontCharacter:"\\eac7"}),t.compareChanges=new t("compare-changes",{fontCharacter:"\\eafd"}),t.creditCard=new t("credit-card",{fontCharacter:"\\eac9"}),t.dash=new t("dash",{fontCharacter:"\\eacc"}),t.dashboard=new t("dashboard",{fontCharacter:"\\eacd"}),t.database=new t("database",{fontCharacter:"\\eace"}),t.debugContinue=new t("debug-continue",{fontCharacter:"\\eacf"}),t.debugDisconnect=new t("debug-disconnect",{fontCharacter:"\\ead0"}),t.debugPause=new t("debug-pause",{fontCharacter:"\\ead1"}),t.debugRestart=new t("debug-restart",{fontCharacter:"\\ead2"}),t.debugStart=new t("debug-start",{fontCharacter:"\\ead3"}),t.debugStepInto=new t("debug-step-into",{fontCharacter:"\\ead4"}),t.debugStepOut=new t("debug-step-out",{fontCharacter:"\\ead5"}),t.debugStepOver=new t("debug-step-over",{fontCharacter:"\\ead6"}),t.debugStop=new t("debug-stop",{fontCharacter:"\\ead7"}),t.debug=new t("debug",{fontCharacter:"\\ead8"}),t.deviceCameraVideo=new t("device-camera-video",{fontCharacter:"\\ead9"}),t.deviceCamera=new t("device-camera",{fontCharacter:"\\eada"}),t.deviceMobile=new t("device-mobile",{fontCharacter:"\\eadb"}),t.diffAdded=new t("diff-added",{fontCharacter:"\\eadc"}),t.diffIgnored=new t("diff-ignored",{fontCharacter:"\\eadd"}),t.diffModified=new t("diff-modified",{fontCharacter:"\\eade"}),t.diffRemoved=new t("diff-removed",{fontCharacter:"\\eadf"}),t.diffRenamed=new t("diff-renamed",{fontCharacter:"\\eae0"}),t.diff=new t("diff",{fontCharacter:"\\eae1"}),t.discard=new t("discard",{fontCharacter:"\\eae2"}),t.editorLayout=new t("editor-layout",{fontCharacter:"\\eae3"}),t.emptyWindow=new t("empty-window",{fontCharacter:"\\eae4"}),t.exclude=new t("exclude",{fontCharacter:"\\eae5"}),t.extensions=new t("extensions",{fontCharacter:"\\eae6"}),t.eyeClosed=new t("eye-closed",{fontCharacter:"\\eae7"}),t.fileBinary=new t("file-binary",{fontCharacter:"\\eae8"}),t.fileCode=new t("file-code",{fontCharacter:"\\eae9"}),t.fileMedia=new t("file-media",{fontCharacter:"\\eaea"}),t.filePdf=new t("file-pdf",{fontCharacter:"\\eaeb"}),t.fileSubmodule=new t("file-submodule",{fontCharacter:"\\eaec"}),t.fileSymlinkDirectory=new t("file-symlink-directory",{fontCharacter:"\\eaed"}),t.fileSymlinkFile=new t("file-symlink-file",{fontCharacter:"\\eaee"}),t.fileZip=new t("file-zip",{fontCharacter:"\\eaef"}),t.files=new t("files",{fontCharacter:"\\eaf0"}),t.filter=new t("filter",{fontCharacter:"\\eaf1"}),t.flame=new t("flame",{fontCharacter:"\\eaf2"}),t.foldDown=new t("fold-down",{fontCharacter:"\\eaf3"}),t.foldUp=new t("fold-up",{fontCharacter:"\\eaf4"}),t.fold=new t("fold",{fontCharacter:"\\eaf5"}),t.folderActive=new t("folder-active",{fontCharacter:"\\eaf6"}),t.folderOpened=new t("folder-opened",{fontCharacter:"\\eaf7"}),t.gear=new t("gear",{fontCharacter:"\\eaf8"}),t.gift=new t("gift",{fontCharacter:"\\eaf9"}),t.gistSecret=new t("gist-secret",{fontCharacter:"\\eafa"}),t.gist=new t("gist",{fontCharacter:"\\eafb"}),t.gitCommit=new t("git-commit",{fontCharacter:"\\eafc"}),t.gitCompare=new t("git-compare",{fontCharacter:"\\eafd"}),t.gitMerge=new t("git-merge",{fontCharacter:"\\eafe"}),t.githubAction=new t("github-action",{fontCharacter:"\\eaff"}),t.githubAlt=new t("github-alt",{fontCharacter:"\\eb00"}),t.globe=new t("globe",{fontCharacter:"\\eb01"}),t.grabber=new t("grabber",{fontCharacter:"\\eb02"}),t.graph=new t("graph",{fontCharacter:"\\eb03"}),t.gripper=new t("gripper",{fontCharacter:"\\eb04"}),t.heart=new t("heart",{fontCharacter:"\\eb05"}),t.home=new t("home",{fontCharacter:"\\eb06"}),t.horizontalRule=new t("horizontal-rule",{fontCharacter:"\\eb07"}),t.hubot=new t("hubot",{fontCharacter:"\\eb08"}),t.inbox=new t("inbox",{fontCharacter:"\\eb09"}),t.issueClosed=new t("issue-closed",{fontCharacter:"\\eba4"}),t.issueReopened=new t("issue-reopened",{fontCharacter:"\\eb0b"}),t.issues=new t("issues",{fontCharacter:"\\eb0c"}),t.italic=new t("italic",{fontCharacter:"\\eb0d"}),t.jersey=new t("jersey",{fontCharacter:"\\eb0e"}),t.json=new t("json",{fontCharacter:"\\eb0f"}),t.kebabVertical=new t("kebab-vertical",{fontCharacter:"\\eb10"}),t.key=new t("key",{fontCharacter:"\\eb11"}),t.law=new t("law",{fontCharacter:"\\eb12"}),t.lightbulbAutofix=new t("lightbulb-autofix",{fontCharacter:"\\eb13"}),t.linkExternal=new t("link-external",{fontCharacter:"\\eb14"}),t.link=new t("link",{fontCharacter:"\\eb15"}),t.listOrdered=new t("list-ordered",{fontCharacter:"\\eb16"}),t.listUnordered=new t("list-unordered",{fontCharacter:"\\eb17"}),t.liveShare=new t("live-share",{fontCharacter:"\\eb18"}),t.loading=new t("loading",{fontCharacter:"\\eb19"}),t.location=new t("location",{fontCharacter:"\\eb1a"}),t.mailRead=new t("mail-read",{fontCharacter:"\\eb1b"}),t.mail=new t("mail",{fontCharacter:"\\eb1c"}),t.markdown=new t("markdown",{fontCharacter:"\\eb1d"}),t.megaphone=new t("megaphone",{fontCharacter:"\\eb1e"}),t.mention=new t("mention",{fontCharacter:"\\eb1f"}),t.milestone=new t("milestone",{fontCharacter:"\\eb20"}),t.mortarBoard=new t("mortar-board",{fontCharacter:"\\eb21"}),t.move=new t("move",{fontCharacter:"\\eb22"}),t.multipleWindows=new t("multiple-windows",{fontCharacter:"\\eb23"}),t.mute=new t("mute",{fontCharacter:"\\eb24"}),t.noNewline=new t("no-newline",{fontCharacter:"\\eb25"}),t.note=new t("note",{fontCharacter:"\\eb26"}),t.octoface=new t("octoface",{fontCharacter:"\\eb27"}),t.openPreview=new t("open-preview",{fontCharacter:"\\eb28"}),t.package_=new t("package",{fontCharacter:"\\eb29"}),t.paintcan=new t("paintcan",{fontCharacter:"\\eb2a"}),t.pin=new t("pin",{fontCharacter:"\\eb2b"}),t.play=new t("play",{fontCharacter:"\\eb2c"}),t.run=new t("run",{fontCharacter:"\\eb2c"}),t.plug=new t("plug",{fontCharacter:"\\eb2d"}),t.preserveCase=new t("preserve-case",{fontCharacter:"\\eb2e"}),t.preview=new t("preview",{fontCharacter:"\\eb2f"}),t.project=new t("project",{fontCharacter:"\\eb30"}),t.pulse=new t("pulse",{fontCharacter:"\\eb31"}),t.question=new t("question",{fontCharacter:"\\eb32"}),t.quote=new t("quote",{fontCharacter:"\\eb33"}),t.radioTower=new t("radio-tower",{fontCharacter:"\\eb34"}),t.reactions=new t("reactions",{fontCharacter:"\\eb35"}),t.references=new t("references",{fontCharacter:"\\eb36"}),t.refresh=new t("refresh",{fontCharacter:"\\eb37"}),t.regex=new t("regex",{fontCharacter:"\\eb38"}),t.remoteExplorer=new t("remote-explorer",{fontCharacter:"\\eb39"}),t.remote=new t("remote",{fontCharacter:"\\eb3a"}),t.remove=new t("remove",{fontCharacter:"\\eb3b"}),t.replaceAll=new t("replace-all",{fontCharacter:"\\eb3c"}),t.replace=new t("replace",{fontCharacter:"\\eb3d"}),t.repoClone=new t("repo-clone",{fontCharacter:"\\eb3e"}),t.repoForcePush=new t("repo-force-push",{fontCharacter:"\\eb3f"}),t.repoPull=new t("repo-pull",{fontCharacter:"\\eb40"}),t.repoPush=new t("repo-push",{fontCharacter:"\\eb41"}),t.report=new t("report",{fontCharacter:"\\eb42"}),t.requestChanges=new t("request-changes",{fontCharacter:"\\eb43"}),t.rocket=new t("rocket",{fontCharacter:"\\eb44"}),t.rootFolderOpened=new t("root-folder-opened",{fontCharacter:"\\eb45"}),t.rootFolder=new t("root-folder",{fontCharacter:"\\eb46"}),t.rss=new t("rss",{fontCharacter:"\\eb47"}),t.ruby=new t("ruby",{fontCharacter:"\\eb48"}),t.saveAll=new t("save-all",{fontCharacter:"\\eb49"}),t.saveAs=new t("save-as",{fontCharacter:"\\eb4a"}),t.save=new t("save",{fontCharacter:"\\eb4b"}),t.screenFull=new t("screen-full",{fontCharacter:"\\eb4c"}),t.screenNormal=new t("screen-normal",{fontCharacter:"\\eb4d"}),t.searchStop=new t("search-stop",{fontCharacter:"\\eb4e"}),t.server=new t("server",{fontCharacter:"\\eb50"}),t.settingsGear=new t("settings-gear",{fontCharacter:"\\eb51"}),t.settings=new t("settings",{fontCharacter:"\\eb52"}),t.shield=new t("shield",{fontCharacter:"\\eb53"}),t.smiley=new t("smiley",{fontCharacter:"\\eb54"}),t.sortPrecedence=new t("sort-precedence",{fontCharacter:"\\eb55"}),t.splitHorizontal=new t("split-horizontal",{fontCharacter:"\\eb56"}),t.splitVertical=new t("split-vertical",{fontCharacter:"\\eb57"}),t.squirrel=new t("squirrel",{fontCharacter:"\\eb58"}),t.starFull=new t("star-full",{fontCharacter:"\\eb59"}),t.starHalf=new t("star-half",{fontCharacter:"\\eb5a"}),t.symbolClass=new t("symbol-class",{fontCharacter:"\\eb5b"}),t.symbolColor=new t("symbol-color",{fontCharacter:"\\eb5c"}),t.symbolCustomColor=new t("symbol-customcolor",{fontCharacter:"\\eb5c"}),t.symbolConstant=new t("symbol-constant",{fontCharacter:"\\eb5d"}),t.symbolEnumMember=new t("symbol-enum-member",{fontCharacter:"\\eb5e"}),t.symbolField=new t("symbol-field",{fontCharacter:"\\eb5f"}),t.symbolFile=new t("symbol-file",{fontCharacter:"\\eb60"}),t.symbolInterface=new t("symbol-interface",{fontCharacter:"\\eb61"}),t.symbolKeyword=new t("symbol-keyword",{fontCharacter:"\\eb62"}),t.symbolMisc=new t("symbol-misc",{fontCharacter:"\\eb63"}),t.symbolOperator=new t("symbol-operator",{fontCharacter:"\\eb64"}),t.symbolProperty=new t("symbol-property",{fontCharacter:"\\eb65"}),t.wrench=new t("wrench",{fontCharacter:"\\eb65"}),t.wrenchSubaction=new t("wrench-subaction",{fontCharacter:"\\eb65"}),t.symbolSnippet=new t("symbol-snippet",{fontCharacter:"\\eb66"}),t.tasklist=new t("tasklist",{fontCharacter:"\\eb67"}),t.telescope=new t("telescope",{fontCharacter:"\\eb68"}),t.textSize=new t("text-size",{fontCharacter:"\\eb69"}),t.threeBars=new t("three-bars",{fontCharacter:"\\eb6a"}),t.thumbsdown=new t("thumbsdown",{fontCharacter:"\\eb6b"}),t.thumbsup=new t("thumbsup",{fontCharacter:"\\eb6c"}),t.tools=new t("tools",{fontCharacter:"\\eb6d"}),t.triangleDown=new t("triangle-down",{fontCharacter:"\\eb6e"}),t.triangleLeft=new t("triangle-left",{fontCharacter:"\\eb6f"}),t.triangleRight=new t("triangle-right",{fontCharacter:"\\eb70"}),t.triangleUp=new t("triangle-up",{fontCharacter:"\\eb71"}),t.twitter=new t("twitter",{fontCharacter:"\\eb72"}),t.unfold=new t("unfold",{fontCharacter:"\\eb73"}),t.unlock=new t("unlock",{fontCharacter:"\\eb74"}),t.unmute=new t("unmute",{fontCharacter:"\\eb75"}),t.unverified=new t("unverified",{fontCharacter:"\\eb76"}),t.verified=new t("verified",{fontCharacter:"\\eb77"}),t.versions=new t("versions",{fontCharacter:"\\eb78"}),t.vmActive=new t("vm-active",{fontCharacter:"\\eb79"}),t.vmOutline=new t("vm-outline",{fontCharacter:"\\eb7a"}),t.vmRunning=new t("vm-running",{fontCharacter:"\\eb7b"}),t.watch=new t("watch",{fontCharacter:"\\eb7c"}),t.whitespace=new t("whitespace",{fontCharacter:"\\eb7d"}),t.wholeWord=new t("whole-word",{fontCharacter:"\\eb7e"}),t.window=new t("window",{fontCharacter:"\\eb7f"}),t.wordWrap=new t("word-wrap",{fontCharacter:"\\eb80"}),t.zoomIn=new t("zoom-in",{fontCharacter:"\\eb81"}),t.zoomOut=new t("zoom-out",{fontCharacter:"\\eb82"}),t.listFilter=new t("list-filter",{fontCharacter:"\\eb83"}),t.listFlat=new t("list-flat",{fontCharacter:"\\eb84"}),t.listSelection=new t("list-selection",{fontCharacter:"\\eb85"}),t.selection=new t("selection",{fontCharacter:"\\eb85"}),t.listTree=new t("list-tree",{fontCharacter:"\\eb86"}),t.debugBreakpointFunctionUnverified=new t("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),t.debugBreakpointFunction=new t("debug-breakpoint-function",{fontCharacter:"\\eb88"}),t.debugBreakpointFunctionDisabled=new t("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),t.debugStackframeActive=new t("debug-stackframe-active",{fontCharacter:"\\eb89"}),t.circleSmallFilled=new t("circle-small-filled",{fontCharacter:"\\eb8a"}),t.debugStackframeDot=new t("debug-stackframe-dot",t.circleSmallFilled.definition),t.debugStackframe=new t("debug-stackframe",{fontCharacter:"\\eb8b"}),t.debugStackframeFocused=new t("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),t.debugBreakpointUnsupported=new t("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),t.symbolString=new t("symbol-string",{fontCharacter:"\\eb8d"}),t.debugReverseContinue=new t("debug-reverse-continue",{fontCharacter:"\\eb8e"}),t.debugStepBack=new t("debug-step-back",{fontCharacter:"\\eb8f"}),t.debugRestartFrame=new t("debug-restart-frame",{fontCharacter:"\\eb90"}),t.callIncoming=new t("call-incoming",{fontCharacter:"\\eb92"}),t.callOutgoing=new t("call-outgoing",{fontCharacter:"\\eb93"}),t.menu=new t("menu",{fontCharacter:"\\eb94"}),t.expandAll=new t("expand-all",{fontCharacter:"\\eb95"}),t.feedback=new t("feedback",{fontCharacter:"\\eb96"}),t.groupByRefType=new t("group-by-ref-type",{fontCharacter:"\\eb97"}),t.ungroupByRefType=new t("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),t.account=new t("account",{fontCharacter:"\\eb99"}),t.bellDot=new t("bell-dot",{fontCharacter:"\\eb9a"}),t.debugConsole=new t("debug-console",{fontCharacter:"\\eb9b"}),t.library=new t("library",{fontCharacter:"\\eb9c"}),t.output=new t("output",{fontCharacter:"\\eb9d"}),t.runAll=new t("run-all",{fontCharacter:"\\eb9e"}),t.syncIgnored=new t("sync-ignored",{fontCharacter:"\\eb9f"}),t.pinned=new t("pinned",{fontCharacter:"\\eba0"}),t.githubInverted=new t("github-inverted",{fontCharacter:"\\eba1"}),t.debugAlt=new t("debug-alt",{fontCharacter:"\\eb91"}),t.serverProcess=new t("server-process",{fontCharacter:"\\eba2"}),t.serverEnvironment=new t("server-environment",{fontCharacter:"\\eba3"}),t.pass=new t("pass",{fontCharacter:"\\eba4"}),t.stopCircle=new t("stop-circle",{fontCharacter:"\\eba5"}),t.playCircle=new t("play-circle",{fontCharacter:"\\eba6"}),t.record=new t("record",{fontCharacter:"\\eba7"}),t.debugAltSmall=new t("debug-alt-small",{fontCharacter:"\\eba8"}),t.vmConnect=new t("vm-connect",{fontCharacter:"\\eba9"}),t.cloud=new t("cloud",{fontCharacter:"\\ebaa"}),t.merge=new t("merge",{fontCharacter:"\\ebab"}),t.exportIcon=new t("export",{fontCharacter:"\\ebac"}),t.graphLeft=new t("graph-left",{fontCharacter:"\\ebad"}),t.magnet=new t("magnet",{fontCharacter:"\\ebae"}),t.notebook=new t("notebook",{fontCharacter:"\\ebaf"}),t.redo=new t("redo",{fontCharacter:"\\ebb0"}),t.checkAll=new t("check-all",{fontCharacter:"\\ebb1"}),t.pinnedDirty=new t("pinned-dirty",{fontCharacter:"\\ebb2"}),t.passFilled=new t("pass-filled",{fontCharacter:"\\ebb3"}),t.circleLargeFilled=new t("circle-large-filled",{fontCharacter:"\\ebb4"}),t.circleLargeOutline=new t("circle-large-outline",{fontCharacter:"\\ebb5"}),t.combine=new t("combine",{fontCharacter:"\\ebb6"}),t.gather=new t("gather",{fontCharacter:"\\ebb6"}),t.table=new t("table",{fontCharacter:"\\ebb7"}),t.variableGroup=new t("variable-group",{fontCharacter:"\\ebb8"}),t.typeHierarchy=new t("type-hierarchy",{fontCharacter:"\\ebb9"}),t.typeHierarchySub=new t("type-hierarchy-sub",{fontCharacter:"\\ebba"}),t.typeHierarchySuper=new t("type-hierarchy-super",{fontCharacter:"\\ebbb"}),t.gitPullRequestCreate=new t("git-pull-request-create",{fontCharacter:"\\ebbc"}),t.runAbove=new t("run-above",{fontCharacter:"\\ebbd"}),t.runBelow=new t("run-below",{fontCharacter:"\\ebbe"}),t.notebookTemplate=new t("notebook-template",{fontCharacter:"\\ebbf"}),t.debugRerun=new t("debug-rerun",{fontCharacter:"\\ebc0"}),t.workspaceTrusted=new t("workspace-trusted",{fontCharacter:"\\ebc1"}),t.workspaceUntrusted=new t("workspace-untrusted",{fontCharacter:"\\ebc2"}),t.workspaceUnspecified=new t("workspace-unspecified",{fontCharacter:"\\ebc3"}),t.terminalCmd=new t("terminal-cmd",{fontCharacter:"\\ebc4"}),t.terminalDebian=new t("terminal-debian",{fontCharacter:"\\ebc5"}),t.terminalLinux=new t("terminal-linux",{fontCharacter:"\\ebc6"}),t.terminalPowershell=new t("terminal-powershell",{fontCharacter:"\\ebc7"}),t.terminalTmux=new t("terminal-tmux",{fontCharacter:"\\ebc8"}),t.terminalUbuntu=new t("terminal-ubuntu",{fontCharacter:"\\ebc9"}),t.terminalBash=new t("terminal-bash",{fontCharacter:"\\ebca"}),t.arrowSwap=new t("arrow-swap",{fontCharacter:"\\ebcb"}),t.copy=new t("copy",{fontCharacter:"\\ebcc"}),t.personAdd=new t("person-add",{fontCharacter:"\\ebcd"}),t.filterFilled=new t("filter-filled",{fontCharacter:"\\ebce"}),t.wand=new t("wand",{fontCharacter:"\\ebcf"}),t.debugLineByLine=new t("debug-line-by-line",{fontCharacter:"\\ebd0"}),t.inspect=new t("inspect",{fontCharacter:"\\ebd1"}),t.layers=new t("layers",{fontCharacter:"\\ebd2"}),t.layersDot=new t("layers-dot",{fontCharacter:"\\ebd3"}),t.layersActive=new t("layers-active",{fontCharacter:"\\ebd4"}),t.compass=new t("compass",{fontCharacter:"\\ebd5"}),t.compassDot=new t("compass-dot",{fontCharacter:"\\ebd6"}),t.compassActive=new t("compass-active",{fontCharacter:"\\ebd7"}),t.azure=new t("azure",{fontCharacter:"\\ebd8"}),t.issueDraft=new t("issue-draft",{fontCharacter:"\\ebd9"}),t.gitPullRequestClosed=new t("git-pull-request-closed",{fontCharacter:"\\ebda"}),t.gitPullRequestDraft=new t("git-pull-request-draft",{fontCharacter:"\\ebdb"}),t.debugAll=new t("debug-all",{fontCharacter:"\\ebdc"}),t.debugCoverage=new t("debug-coverage",{fontCharacter:"\\ebdd"}),t.runErrors=new t("run-errors",{fontCharacter:"\\ebde"}),t.folderLibrary=new t("folder-library",{fontCharacter:"\\ebdf"}),t.debugContinueSmall=new t("debug-continue-small",{fontCharacter:"\\ebe0"}),t.beakerStop=new t("beaker-stop",{fontCharacter:"\\ebe1"}),t.graphLine=new t("graph-line",{fontCharacter:"\\ebe2"}),t.graphScatter=new t("graph-scatter",{fontCharacter:"\\ebe3"}),t.pieChart=new t("pie-chart",{fontCharacter:"\\ebe4"}),t.bracket=new t("bracket",t.json.definition),t.bracketDot=new t("bracket-dot",{fontCharacter:"\\ebe5"}),t.bracketError=new t("bracket-error",{fontCharacter:"\\ebe6"}),t.lockSmall=new t("lock-small",{fontCharacter:"\\ebe7"}),t.azureDevops=new t("azure-devops",{fontCharacter:"\\ebe8"}),t.verifiedFilled=new t("verified-filled",{fontCharacter:"\\ebe9"}),t.newLine=new t("newline",{fontCharacter:"\\ebea"}),t.layout=new t("layout",{fontCharacter:"\\ebeb"}),t.layoutActivitybarLeft=new t("layout-activitybar-left",{fontCharacter:"\\ebec"}),t.layoutActivitybarRight=new t("layout-activitybar-right",{fontCharacter:"\\ebed"}),t.layoutPanelLeft=new t("layout-panel-left",{fontCharacter:"\\ebee"}),t.layoutPanelCenter=new t("layout-panel-center",{fontCharacter:"\\ebef"}),t.layoutPanelJustify=new t("layout-panel-justify",{fontCharacter:"\\ebf0"}),t.layoutPanelRight=new t("layout-panel-right",{fontCharacter:"\\ebf1"}),t.layoutPanel=new t("layout-panel",{fontCharacter:"\\ebf2"}),t.layoutSidebarLeft=new t("layout-sidebar-left",{fontCharacter:"\\ebf3"}),t.layoutSidebarRight=new t("layout-sidebar-right",{fontCharacter:"\\ebf4"}),t.layoutStatusbar=new t("layout-statusbar",{fontCharacter:"\\ebf5"}),t.layoutMenubar=new t("layout-menubar",{fontCharacter:"\\ebf6"}),t.layoutCentered=new t("layout-centered",{fontCharacter:"\\ebf7"}),t.layoutSidebarRightOff=new t("layout-sidebar-right-off",{fontCharacter:"\\ec00"}),t.layoutPanelOff=new t("layout-panel-off",{fontCharacter:"\\ec01"}),t.layoutSidebarLeftOff=new t("layout-sidebar-left-off",{fontCharacter:"\\ec02"}),t.target=new t("target",{fontCharacter:"\\ebf8"}),t.indent=new t("indent",{fontCharacter:"\\ebf9"}),t.recordSmall=new t("record-small",{fontCharacter:"\\ebfa"}),t.errorSmall=new t("error-small",{fontCharacter:"\\ebfb"}),t.arrowCircleDown=new t("arrow-circle-down",{fontCharacter:"\\ebfc"}),t.arrowCircleLeft=new t("arrow-circle-left",{fontCharacter:"\\ebfd"}),t.arrowCircleRight=new t("arrow-circle-right",{fontCharacter:"\\ebfe"}),t.arrowCircleUp=new t("arrow-circle-up",{fontCharacter:"\\ebff"}),t.heartFilled=new t("heart-filled",{fontCharacter:"\\ec04"}),t.map=new t("map",{fontCharacter:"\\ec05"}),t.mapFilled=new t("map-filled",{fontCharacter:"\\ec06"}),t.circleSmall=new t("circle-small",{fontCharacter:"\\ec07"}),t.bellSlash=new t("bell-slash",{fontCharacter:"\\ec08"}),t.bellSlashDot=new t("bell-slash-dot",{fontCharacter:"\\f101"}),t.dialogError=new t("dialog-error",t.error.definition),t.dialogWarning=new t("dialog-warning",t.warning.definition),t.dialogInfo=new t("dialog-info",t.info.definition),t.dialogClose=new t("dialog-close",t.close.definition),t.treeItemExpanded=new t("tree-item-expanded",t.chevronDown.definition),t.treeFilterOnTypeOn=new t("tree-filter-on-type-on",t.listFilter.definition),t.treeFilterOnTypeOff=new t("tree-filter-on-type-off",t.listSelection.definition),t.treeFilterClear=new t("tree-filter-clear",t.close.definition),t.treeItemLoading=new t("tree-item-loading",t.loading.definition),t.menuSelection=new t("menu-selection",t.check.definition),t.menuSubmenu=new t("menu-submenu",t.chevronRight.definition),t.menuBarMore=new t("menubar-more",t.more.definition),t.scrollbarButtonLeft=new t("scrollbar-button-left",t.triangleLeft.definition),t.scrollbarButtonRight=new t("scrollbar-button-right",t.triangleRight.definition),t.scrollbarButtonUp=new t("scrollbar-button-up",t.triangleUp.definition),t.scrollbarButtonDown=new t("scrollbar-button-down",t.triangleDown.definition),t.toolBarMore=new t("toolbar-more",t.more.definition),t.quickInputBack=new t("quick-input-back",t.arrowLeft.definition);function D(M,I){const g=["codicon","codicon-"+M];return I&&g.push("codicon-modifier-"+I),g}e.getClassNamesArray=D;var R;(function(M){M.iconNameSegment="[A-Za-z0-9]+",M.iconNameExpression="[A-Za-z0-9-]+",M.iconModifierExpression="~[A-Za-z]+",M.iconNameCharacter="[A-Za-z0-9~-]";const I=new RegExp(`^(${M.iconNameExpression})(${M.iconModifierExpression})?$`);function g(P){if(P instanceof t)return["codicon","codicon-"+P.id];const b=I.exec(P.id);if(!b)return g(t.error);const[,p,h]=b,y=["codicon","codicon-"+p];return h&&y.push("codicon-modifier-"+h.substr(1)),y}M.asClassNameArray=g;function S(P){return g(P).join(" ")}M.asClassName=S;function C(P){return"."+g(P).join(".")}M.asCSSSelector=C})(R=e.CSSIcon||(e.CSSIcon={}))}),define(J[117],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Color=e.HSVA=e.HSLA=e.RGBA=void 0;function E(I,g){const S=Math.pow(10,g);return Math.round(I*S)/S}class t{constructor(g,S,C,P=1){this._rgbaBrand=void 0,this.r=Math.min(255,Math.max(0,g))|0,this.g=Math.min(255,Math.max(0,S))|0,this.b=Math.min(255,Math.max(0,C))|0,this.a=E(Math.max(Math.min(1,P),0),3)}static equals(g,S){return g.r===S.r&&g.g===S.g&&g.b===S.b&&g.a===S.a}}e.RGBA=t;class D{constructor(g,S,C,P){this._hslaBrand=void 0,this.h=Math.max(Math.min(360,g),0)|0,this.s=E(Math.max(Math.min(1,S),0),3),this.l=E(Math.max(Math.min(1,C),0),3),this.a=E(Math.max(Math.min(1,P),0),3)}static equals(g,S){return g.h===S.h&&g.s===S.s&&g.l===S.l&&g.a===S.a}static fromRGBA(g){const S=g.r/255,C=g.g/255,P=g.b/255,b=g.a,p=Math.max(S,C,P),h=Math.min(S,C,P);let y=0,v=0;const w=(h+p)/2,m=p-h;if(m>0){switch(v=Math.min(w<=.5?m/(2*w):m/(2-2*w),1),p){case S:y=(C-P)/m+(C<P?6:0);break;case C:y=(P-S)/m+2;break;case P:y=(S-C)/m+4;break}y*=60,y=Math.round(y)}return new D(y,v,w,b)}static _hue2rgb(g,S,C){return C<0&&(C+=1),C>1&&(C-=1),C<1/6?g+(S-g)*6*C:C<1/2?S:C<2/3?g+(S-g)*(2/3-C)*6:g}static toRGBA(g){const S=g.h/360,{s:C,l:P,a:b}=g;let p,h,y;if(C===0)p=h=y=P;else{const v=P<.5?P*(1+C):P+C-P*C,w=2*P-v;p=D._hue2rgb(w,v,S+1/3),h=D._hue2rgb(w,v,S),y=D._hue2rgb(w,v,S-1/3)}return new t(Math.round(p*255),Math.round(h*255),Math.round(y*255),b)}}e.HSLA=D;class R{constructor(g,S,C,P){this._hsvaBrand=void 0,this.h=Math.max(Math.min(360,g),0)|0,this.s=E(Math.max(Math.min(1,S),0),3),this.v=E(Math.max(Math.min(1,C),0),3),this.a=E(Math.max(Math.min(1,P),0),3)}static equals(g,S){return g.h===S.h&&g.s===S.s&&g.v===S.v&&g.a===S.a}static fromRGBA(g){const S=g.r/255,C=g.g/255,P=g.b/255,b=Math.max(S,C,P),p=Math.min(S,C,P),h=b-p,y=b===0?0:h/b;let v;return h===0?v=0:b===S?v=((C-P)/h%6+6)%6:b===C?v=(P-S)/h+2:v=(S-C)/h+4,new R(Math.round(v*60),y,b,g.a)}static toRGBA(g){const{h:S,s:C,v:P,a:b}=g,p=P*C,h=p*(1-Math.abs(S/60%2-1)),y=P-p;let[v,w,m]=[0,0,0];return S<60?(v=p,w=h):S<120?(v=h,w=p):S<180?(w=p,m=h):S<240?(w=h,m=p):S<300?(v=h,m=p):S<=360&&(v=p,m=h),v=Math.round((v+y)*255),w=Math.round((w+y)*255),m=Math.round((m+y)*255),new t(v,w,m,b)}}e.HSVA=R;class M{constructor(g){if(g)if(g instanceof t)this.rgba=g;else if(g instanceof D)this._hsla=g,this.rgba=D.toRGBA(g);else if(g instanceof R)this._hsva=g,this.rgba=R.toRGBA(g);else throw new Error("Invalid color ctor argument");else throw new Error("Color needs a value")}static fromHex(g){return M.Format.CSS.parseHex(g)||M.red}get hsla(){return this._hsla?this._hsla:D.fromRGBA(this.rgba)}get hsva(){return this._hsva?this._hsva:R.fromRGBA(this.rgba)}equals(g){return!!g&&t.equals(this.rgba,g.rgba)&&D.equals(this.hsla,g.hsla)&&R.equals(this.hsva,g.hsva)}getRelativeLuminance(){const g=M._relativeLuminanceForComponent(this.rgba.r),S=M._relativeLuminanceForComponent(this.rgba.g),C=M._relativeLuminanceForComponent(this.rgba.b),P=.2126*g+.7152*S+.0722*C;return E(P,4)}static _relativeLuminanceForComponent(g){const S=g/255;return S<=.03928?S/12.92:Math.pow((S+.055)/1.055,2.4)}getContrastRatio(g){const S=this.getRelativeLuminance(),C=g.getRelativeLuminance();return S>C?(S+.05)/(C+.05):(C+.05)/(S+.05)}isDarker(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3<128}isLighter(){return(this.rgba.r*299+this.rgba.g*587+this.rgba.b*114)/1e3>=128}isLighterThan(g){const S=this.getRelativeLuminance(),C=g.getRelativeLuminance();return S>C}isDarkerThan(g){const S=this.getRelativeLuminance(),C=g.getRelativeLuminance();return S<C}lighten(g){return new M(new D(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*g,this.hsla.a))}darken(g){return new M(new D(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*g,this.hsla.a))}transparent(g){const{r:S,g:C,b:P,a:b}=this.rgba;return new M(new t(S,C,P,b*g))}isTransparent(){return this.rgba.a===0}isOpaque(){return this.rgba.a===1}opposite(){return new M(new t(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))}blend(g){const S=g.rgba,C=this.rgba.a,P=S.a,b=C+P*(1-C);if(b<1e-6)return M.transparent;const p=this.rgba.r*C/b+S.r*P*(1-C)/b,h=this.rgba.g*C/b+S.g*P*(1-C)/b,y=this.rgba.b*C/b+S.b*P*(1-C)/b;return new M(new t(p,h,y,b))}makeOpaque(g){if(this.isOpaque()||g.rgba.a!==1)return this;const{r:S,g:C,b:P,a:b}=this.rgba;return new M(new t(g.rgba.r-b*(g.rgba.r-S),g.rgba.g-b*(g.rgba.g-C),g.rgba.b-b*(g.rgba.b-P),1))}flatten(...g){const S=g.reduceRight((C,P)=>M._flatten(P,C));return M._flatten(this,S)}static _flatten(g,S){const C=1-g.rgba.a;return new M(new t(C*S.rgba.r+g.rgba.a*g.rgba.r,C*S.rgba.g+g.rgba.a*g.rgba.g,C*S.rgba.b+g.rgba.a*g.rgba.b))}toString(){return this._toString||(this._toString=M.Format.CSS.format(this)),this._toString}static getLighterColor(g,S,C){if(g.isLighterThan(S))return g;C=C||.5;const P=g.getRelativeLuminance(),b=S.getRelativeLuminance();return C=C*(b-P)/b,g.lighten(C)}static getDarkerColor(g,S,C){if(g.isDarkerThan(S))return g;C=C||.5;const P=g.getRelativeLuminance(),b=S.getRelativeLuminance();return C=C*(P-b)/P,g.darken(C)}}e.Color=M,M.white=new M(new t(255,255,255,1)),M.black=new M(new t(0,0,0,1)),M.red=new M(new t(255,0,0,1)),M.blue=new M(new t(0,0,255,1)),M.green=new M(new t(0,255,0,1)),M.cyan=new M(new t(0,255,255,1)),M.lightgrey=new M(new t(211,211,211,1)),M.transparent=new M(new t(0,0,0,0)),function(I){let g;(function(S){let C;(function(P){function b(n){return n.rgba.a===1?`rgb(${n.rgba.r}, ${n.rgba.g}, ${n.rgba.b})`:I.Format.CSS.formatRGBA(n)}P.formatRGB=b;function p(n){return`rgba(${n.rgba.r}, ${n.rgba.g}, ${n.rgba.b}, ${+n.rgba.a.toFixed(2)})`}P.formatRGBA=p;function h(n){return n.hsla.a===1?`hsl(${n.hsla.h}, ${(n.hsla.s*100).toFixed(2)}%, ${(n.hsla.l*100).toFixed(2)}%)`:I.Format.CSS.formatHSLA(n)}P.formatHSL=h;function y(n){return`hsla(${n.hsla.h}, ${(n.hsla.s*100).toFixed(2)}%, ${(n.hsla.l*100).toFixed(2)}%, ${n.hsla.a.toFixed(2)})`}P.formatHSLA=y;function v(n){const r=n.toString(16);return r.length!==2?"0"+r:r}function w(n){return`#${v(n.rgba.r)}${v(n.rgba.g)}${v(n.rgba.b)}`}P.formatHex=w;function m(n,r=!1){return r&&n.rgba.a===1?I.Format.CSS.formatHex(n):`#${v(n.rgba.r)}${v(n.rgba.g)}${v(n.rgba.b)}${v(Math.round(n.rgba.a*255))}`}P.formatHexA=m;function d(n){return n.isOpaque()?I.Format.CSS.formatHex(n):I.Format.CSS.formatRGBA(n)}P.format=d;function u(n){const r=n.length;if(r===0||n.charCodeAt(0)!==35)return null;if(r===7){const i=16*l(n.charCodeAt(1))+l(n.charCodeAt(2)),s=16*l(n.charCodeAt(3))+l(n.charCodeAt(4)),o=16*l(n.charCodeAt(5))+l(n.charCodeAt(6));return new I(new t(i,s,o,1))}if(r===9){const i=16*l(n.charCodeAt(1))+l(n.charCodeAt(2)),s=16*l(n.charCodeAt(3))+l(n.charCodeAt(4)),o=16*l(n.charCodeAt(5))+l(n.charCodeAt(6)),a=16*l(n.charCodeAt(7))+l(n.charCodeAt(8));return new I(new t(i,s,o,a/255))}if(r===4){const i=l(n.charCodeAt(1)),s=l(n.charCodeAt(2)),o=l(n.charCodeAt(3));return new I(new t(16*i+i,16*s+s,16*o+o))}if(r===5){const i=l(n.charCodeAt(1)),s=l(n.charCodeAt(2)),o=l(n.charCodeAt(3)),a=l(n.charCodeAt(4));return new I(new t(16*i+i,16*s+s,16*o+o,(16*a+a)/255))}return null}P.parseHex=u;function l(n){switch(n){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:return 10;case 65:return 10;case 98:return 11;case 66:return 11;case 99:return 12;case 67:return 12;case 100:return 13;case 68:return 13;case 101:return 14;case 69:return 14;case 102:return 15;case 70:return 15}return 0}})(C=S.CSS||(S.CSS={}))})(g=I.Format||(I.Format={}))}(M=e.Color||(e.Color={}))}),define(J[51],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function E(M){return(I,g,S)=>{let C=null,P=null;if(typeof S.value=="function"?(C="value",P=S.value):typeof S.get=="function"&&(C="get",P=S.get),!P)throw new Error("not supported");S[C]=M(P,g)}}e.createDecorator=E;function t(M,I,g){let S=null,C=null;if(typeof g.value=="function"?(S="value",C=g.value,C.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof g.get=="function"&&(S="get",C=g.get),!C)throw new Error("not supported");const P=`$memoize$${I}`;g[S]=function(...b){return this.hasOwnProperty(P)||Object.defineProperty(this,P,{configurable:!1,enumerable:!1,writable:!1,value:C.apply(this,b)}),this[P]}}e.memoize=t;function D(M,I,g){return E((S,C)=>{const P=`$debounce$${C}`,b=`$debounce$result$${C}`;return function(...p){this[b]||(this[b]=g?g():void 0),clearTimeout(this[P]),I&&(this[b]=I(this[b],...p),p=[this[b]]),this[P]=setTimeout(()=>{S.apply(this,p),this[b]=g?g():void 0},M)}})}e.debounce=D;function R(M,I,g){return E((S,C)=>{const P=`$throttle$timer$${C}`,b=`$throttle$result$${C}`,p=`$throttle$lastRun$${C}`,h=`$throttle$pending$${C}`;return function(...y){if(this[b]||(this[b]=g?g():void 0),(this[p]===null||this[p]===void 0)&&(this[p]=-Number.MAX_VALUE),I&&(this[b]=I(this[b],...y)),this[h])return;const v=this[p]+M;v<=Date.now()?(this[p]=Date.now(),S.apply(this,[this[b]]),this[b]=g?g():void 0):(this[h]=!0,this[P]=setTimeout(()=>{this[h]=!1,this[p]=Date.now(),S.apply(this,[this[b]]),this[b]=g?g():void 0},v-Date.now()))}})}e.throttle=R}),define(J[18],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BugIndicatingError=e.ErrorNoTelemetry=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isCancellationError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class E{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(n){setTimeout(()=>{throw n.stack?d.isErrorNoTelemetry(n)?new d(n.message+`

`+n.stack):new Error(n.message+`

`+n.stack):n},0)}}addListener(n){return this.listeners.push(n),()=>{this._removeListener(n)}}emit(n){this.listeners.forEach(r=>{r(n)})}_removeListener(n){this.listeners.splice(this.listeners.indexOf(n),1)}setUnexpectedErrorHandler(n){this.unexpectedErrorHandler=n}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(n){this.unexpectedErrorHandler(n),this.emit(n)}onUnexpectedExternalError(n){this.unexpectedErrorHandler(n)}}e.ErrorHandler=E,e.errorHandler=new E;function t(l){e.errorHandler.setUnexpectedErrorHandler(l)}e.setUnexpectedErrorHandler=t;function D(l){g(l)||e.errorHandler.onUnexpectedError(l)}e.onUnexpectedError=D;function R(l){g(l)||e.errorHandler.onUnexpectedExternalError(l)}e.onUnexpectedExternalError=R;function M(l){if(l instanceof Error){const{name:n,message:r}=l,i=l.stacktrace||l.stack;return{$isError:!0,name:n,message:r,stack:i,noTelemetry:d.isErrorNoTelemetry(l)}}return l}e.transformErrorForSerialization=M;const I="Canceled";function g(l){return l instanceof S?!0:l instanceof Error&&l.name===I&&l.message===I}e.isCancellationError=g;class S extends Error{constructor(){super(I);this.name=this.message}}e.CancellationError=S;function C(){const l=new Error(I);return l.name=l.message,l}e.canceled=C;function P(l){return l?new Error(`Illegal argument: ${l}`):new Error("Illegal argument")}e.illegalArgument=P;function b(l){return l?new Error(`Illegal state: ${l}`):new Error("Illegal state")}e.illegalState=b;function p(l){return l?new Error(`readonly property '${l} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=p;function h(l){const n=new Error(`${l} has been disposed`);return n.name="DISPOSED",n}e.disposed=h;function y(l){return l?l.message?l.message:l.stack?l.stack.split(`
`)[0]:String(l):"Error"}e.getErrorMessage=y;class v extends Error{constructor(n){super("NotImplemented");n&&(this.message=n)}}e.NotImplementedError=v;class w extends Error{constructor(n){super("NotSupported");n&&(this.message=n)}}e.NotSupportedError=w;class m extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=m;class d extends Error{constructor(n){super(n);this.name="ErrorNoTelemetry"}static fromError(n){if(n instanceof d)return n;const r=new d;return r.message=n.message,r.stack=n.stack,r}static isErrorNoTelemetry(n){return n.name==="ErrorNoTelemetry"}}e.ErrorNoTelemetry=d;class u extends Error{constructor(n){super(n||"An unexpected bug occurred.");Object.setPrototypeOf(this,u.prototype);debugger}}e.BugIndicatingError=u}),define(J[25],Z([0,1,18]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ArrayQueue=e.findMinBy=e.findLastMaxBy=e.findMaxBy=e.numberComparator=e.tieBreakComparators=e.compareBy=e.CompareResult=e.splice=e.insertInto=e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushMany=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.lastOrDefault=e.firstOrDefault=e.lastIndex=e.findLast=e.uniqueFilter=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.quickSelect=e.findFirstInSorted=e.binarySearch2=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function t(F,z=0){return F[F.length-(1+z)]}e.tail=t;function D(F){if(F.length===0)throw new Error("Invalid tail call");return[F.slice(0,F.length-1),F[F.length-1]]}e.tail2=D;function R(F,z,K=(te,oe)=>te===oe){if(F===z)return!0;if(!F||!z||F.length!==z.length)return!1;for(let te=0,oe=F.length;te<oe;te++)if(!K(F[te],z[te]))return!1;return!0}e.equals=R;function M(F,z,K){return I(F.length,te=>K(F[te],z))}e.binarySearch=M;function I(F,z){let K=0,te=F-1;for(;K<=te;){const oe=(K+te)/2|0,we=z(oe);if(we<0)K=oe+1;else if(we>0)te=oe-1;else return oe}return-(K+1)}e.binarySearch2=I;function g(F,z){let K=0,te=F.length;if(te===0)return 0;for(;K<te;){const oe=Math.floor((K+te)/2);z(F[oe])?te=oe:K=oe+1}return K}e.findFirstInSorted=g;function S(F,z,K){if(F=F|0,F>=z.length)throw new TypeError("invalid index");const te=z[Math.floor(z.length*Math.random())],oe=[],we=[],fe=[];for(const Ie of z){const Ee=K(Ie,te);Ee<0?oe.push(Ie):Ee>0?we.push(Ie):fe.push(Ie)}return F<oe.length?S(F,oe,K):F<oe.length+fe.length?fe[0]:S(F-(oe.length+fe.length),we,K)}e.quickSelect=S;function C(F,z){const K=[];let te;for(const oe of F.slice(0).sort(z))!te||z(te[0],oe)!==0?(te=[oe],K.push(te)):te.push(oe);return K}e.groupBy=C;function P(F,z,K){const te=[];function oe(Ie,Ee,Pe){if(Ee===0&&Pe.length===0)return;const We=te[te.length-1];We&&We.start+We.deleteCount===Ie?(We.deleteCount+=Ee,We.toInsert.push(...Pe)):te.push({start:Ie,deleteCount:Ee,toInsert:Pe})}let we=0,fe=0;for(;;){if(we===F.length){oe(we,0,z.slice(fe));break}if(fe===z.length){oe(we,F.length-we,[]);break}const Ie=F[we],Ee=z[fe],Pe=K(Ie,Ee);Pe===0?(we+=1,fe+=1):Pe<0?(oe(we,1,[]),we+=1):Pe>0&&(oe(we,0,[Ee]),fe+=1)}return te}e.sortedDiff=P;function b(F,z,K){const te=P(F,z,K),oe=[],we=[];for(const fe of te)oe.push(...F.slice(fe.start,fe.start+fe.deleteCount)),we.push(...fe.toInsert);return{removed:oe,added:we}}e.delta=b;function p(F,z,K){if(K===0)return[];const te=F.slice(0,K).sort(z);return y(F,z,te,K,F.length),te}e.top=p;function h(F,z,K,te,oe){return K===0?Promise.resolve([]):new Promise((we,fe)=>{(async()=>{const Ie=F.length,Ee=F.slice(0,K).sort(z);for(let Pe=K,We=Math.min(K+te,Ie);Pe<Ie;Pe=We,We=Math.min(We+te,Ie)){if(Pe>K&&await new Promise(Ue=>setTimeout(Ue)),oe&&oe.isCancellationRequested)throw new E.CancellationError;y(F,z,Ee,Pe,We)}return Ee})().then(we,fe)})}e.topAsync=h;function y(F,z,K,te,oe){for(const we=K.length;te<oe;te++){const fe=F[te];if(z(fe,K[we-1])<0){K.pop();const Ie=g(K,Ee=>z(fe,Ee)<0);K.splice(Ie,0,fe)}}}function v(F){return F.filter(z=>!!z)}e.coalesce=v;function w(F){let z=0;for(let K=0;K<F.length;K++)F[K]&&(F[z]=F[K],z+=1);F.length=z}e.coalesceInPlace=w;function m(F,z,K){F.splice(K,0,F.splice(z,1)[0])}e.move=m;function d(F){return!Array.isArray(F)||F.length===0}e.isFalsyOrEmpty=d;function u(F){return Array.isArray(F)&&F.length>0}e.isNonEmptyArray=u;function l(F,z=K=>K){const K=new Set;return F.filter(te=>{const oe=z(te);return K.has(oe)?!1:(K.add(oe),!0)})}e.distinct=l;function n(F){const z=new Set;return K=>{const te=F(K);return z.has(te)?!1:(z.add(te),!0)}}e.uniqueFilter=n;function r(F,z){const K=i(F,z);if(K!==-1)return F[K]}e.findLast=r;function i(F,z){for(let K=F.length-1;K>=0;K--){const te=F[K];if(z(te))return K}return-1}e.lastIndex=i;function s(F,z){return F.length>0?F[0]:z}e.firstOrDefault=s;function o(F,z){return F.length>0?F[F.length-1]:z}e.lastOrDefault=o;function a(F,z,K=(te,oe)=>te===oe){let te=0;for(let oe=0,we=Math.min(F.length,z.length);oe<we&&K(F[oe],z[oe]);oe++)te++;return te}e.commonPrefixLength=a;function c(F){return[].concat(...F)}e.flatten=c;function f(F,z){let K=typeof z=="number"?F:0;typeof z=="number"?K=F:(K=0,z=F);const te=[];if(K<=z)for(let oe=K;oe<z;oe++)te.push(oe);else for(let oe=K;oe>z;oe--)te.push(oe);return te}e.range=f;function k(F,z,K){return F.reduce((te,oe)=>(te[z(oe)]=K?K(oe):oe,te),Object.create(null))}e.index=k;function L(F,z){return F.push(z),()=>T(F,z)}e.insert=L;function T(F,z){const K=F.indexOf(z);if(K>-1)return F.splice(K,1),z}e.remove=T;function U(F,z,K){const te=F.slice(0,z),oe=F.slice(z);return te.concat(K,oe)}e.arrayInsert=U;function G(F,z){let K;if(typeof z=="number"){let te=z;K=()=>{const oe=Math.sin(te++)*179426549;return oe-Math.floor(oe)}}else K=Math.random;for(let te=F.length-1;te>0;te-=1){const oe=Math.floor(K()*(te+1)),we=F[te];F[te]=F[oe],F[oe]=we}}e.shuffle=G;function ie(F,z){const K=F.indexOf(z);K>-1&&(F.splice(K,1),F.unshift(z))}e.pushToStart=ie;function ne(F,z){const K=F.indexOf(z);K>-1&&(F.splice(K,1),F.push(z))}e.pushToEnd=ne;function Y(F,z){for(const K of z)F.push(K)}e.pushMany=Y;function ae(F,z){return Array.isArray(F)?F.map(z):z(F)}e.mapArrayOrNot=ae;function ce(F){return Array.isArray(F)?F:[F]}e.asArray=ce;function H(F){return F[Math.floor(Math.random()*F.length)]}e.getRandomElement=H;function se(F,z){for(const K of F){const te=z(K);if(te!==void 0)return te}}e.mapFind=se;function W(F,z,K){const te=B(F,z),oe=F.length,we=K.length;F.length=oe+we;for(let fe=oe-1;fe>=te;fe--)F[fe+we]=F[fe];for(let fe=0;fe<we;fe++)F[fe+te]=K[fe]}e.insertInto=W;function _(F,z,K,te){const oe=B(F,z),we=F.splice(oe,K);return W(F,oe,te),we}e.splice=_;function B(F,z){return z<0?Math.max(z+F.length,0):Math.min(z,F.length)}var X;(function(F){function z(oe){return oe<0}F.isLessThan=z;function K(oe){return oe>0}F.isGreaterThan=K;function te(oe){return oe===0}F.isNeitherLessOrGreaterThan=te,F.greaterThan=1,F.lessThan=-1,F.neitherLessOrGreaterThan=0})(X=e.CompareResult||(e.CompareResult={}));function q(F,z){return(K,te)=>z(F(K),F(te))}e.compareBy=q;function Q(...F){return(z,K)=>{for(const te of F){const oe=te(z,K);if(!X.isNeitherLessOrGreaterThan(oe))return oe}return X.neitherLessOrGreaterThan}}e.tieBreakComparators=Q;const x=(F,z)=>F-z;e.numberComparator=x;function A(F,z){if(F.length===0)return;let K=F[0];for(let te=1;te<F.length;te++){const oe=F[te];z(oe,K)>0&&(K=oe)}return K}e.findMaxBy=A;function O(F,z){if(F.length===0)return;let K=F[0];for(let te=1;te<F.length;te++){const oe=F[te];z(oe,K)>=0&&(K=oe)}return K}e.findLastMaxBy=O;function N(F,z){return A(F,(K,te)=>-z(K,te))}e.findMinBy=N;class j{constructor(z){this.items=z,this.firstIdx=0,this.lastIdx=this.items.length-1}get length(){return this.lastIdx-this.firstIdx+1}takeWhile(z){let K=this.firstIdx;for(;K<this.items.length&&z(this.items[K]);)K++;const te=K===this.firstIdx?null:this.items.slice(this.firstIdx,K);return this.firstIdx=K,te}takeFromEndWhile(z){let K=this.lastIdx;for(;K>=0&&z(this.items[K]);)K--;const te=K===this.lastIdx?null:this.items.slice(K+1,this.lastIdx+1);return this.lastIdx=K,te}peek(){if(this.length!==0)return this.items[this.firstIdx]}peekLast(){if(this.length!==0)return this.items[this.lastIdx]}dequeue(){const z=this.items[this.firstIdx];return this.firstIdx++,z}removeLast(){const z=this.items[this.lastIdx];return this.lastIdx--,z}takeCount(z){const K=this.items.slice(this.firstIdx,this.firstIdx+z);return this.firstIdx+=z,K}}e.ArrayQueue=j}),define(J[48],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function E(t){const D=this;let R=!1,M;return function(){return R||(R=!0,M=t.apply(D,arguments)),M}}e.once=E}),define(J[53],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var E;(function(t){function D(r){return r&&typeof r=="object"&&typeof r[Symbol.iterator]=="function"}t.is=D;const R=Object.freeze([]);function M(){return R}t.empty=M;function*I(r){yield r}t.single=I;function g(r){return r||R}t.from=g;function S(r){return!r||r[Symbol.iterator]().next().done===!0}t.isEmpty=S;function C(r){return r[Symbol.iterator]().next().value}t.first=C;function P(r,i){for(const s of r)if(i(s))return!0;return!1}t.some=P;function b(r,i){for(const s of r)if(i(s))return s}t.find=b;function*p(r,i){for(const s of r)i(s)&&(yield s)}t.filter=p;function*h(r,i){let s=0;for(const o of r)yield i(o,s++)}t.map=h;function*y(...r){for(const i of r)for(const s of i)yield s}t.concat=y;function*v(r){for(const i of r)for(const s of i)yield s}t.concatNested=v;function w(r,i,s){let o=s;for(const a of r)o=i(o,a);return o}t.reduce=w;function m(r,i){let s=0;for(const o of r)i(o,s++)}t.forEach=m;function*d(r,i,s=r.length){for(i<0&&(i+=r.length),s<0?s+=r.length:s>r.length&&(s=r.length);i<s;i++)yield r[i]}t.slice=d;function u(r,i=Number.POSITIVE_INFINITY){const s=[];if(i===0)return[s,r];const o=r[Symbol.iterator]();for(let a=0;a<i;a++){const c=o.next();if(c.done)return[s,t.empty()];s.push(c.value)}return[s,{[Symbol.iterator](){return o}}]}t.consume=u;function l(r){return u(r)[0]}t.collect=l;function n(r,i,s=(o,a)=>o===a){const o=r[Symbol.iterator](),a=i[Symbol.iterator]();for(;;){const c=o.next(),f=a.next();if(c.done!==f.done)return!1;if(c.done)return!0;if(!s(c.value,f.value))return!1}}t.equals=n})(E=e.Iterable||(e.Iterable={}))}),define(J[49],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var E;(function(n){n[n.None=0]="None",n[n.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=2]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",n[n.InvalidUnicode=4]="InvalidUnicode",n[n.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",n[n.InvalidCharacter=6]="InvalidCharacter"})(E=e.ScanError||(e.ScanError={}));var t;(function(n){n[n.OpenBraceToken=1]="OpenBraceToken",n[n.CloseBraceToken=2]="CloseBraceToken",n[n.OpenBracketToken=3]="OpenBracketToken",n[n.CloseBracketToken=4]="CloseBracketToken",n[n.CommaToken=5]="CommaToken",n[n.ColonToken=6]="ColonToken",n[n.NullKeyword=7]="NullKeyword",n[n.TrueKeyword=8]="TrueKeyword",n[n.FalseKeyword=9]="FalseKeyword",n[n.StringLiteral=10]="StringLiteral",n[n.NumericLiteral=11]="NumericLiteral",n[n.LineCommentTrivia=12]="LineCommentTrivia",n[n.BlockCommentTrivia=13]="BlockCommentTrivia",n[n.LineBreakTrivia=14]="LineBreakTrivia",n[n.Trivia=15]="Trivia",n[n.Unknown=16]="Unknown",n[n.EOF=17]="EOF"})(t=e.SyntaxKind||(e.SyntaxKind={}));var D;(function(n){n[n.InvalidSymbol=1]="InvalidSymbol",n[n.InvalidNumberFormat=2]="InvalidNumberFormat",n[n.PropertyNameExpected=3]="PropertyNameExpected",n[n.ValueExpected=4]="ValueExpected",n[n.ColonExpected=5]="ColonExpected",n[n.CommaExpected=6]="CommaExpected",n[n.CloseBraceExpected=7]="CloseBraceExpected",n[n.CloseBracketExpected=8]="CloseBracketExpected",n[n.EndOfFileExpected=9]="EndOfFileExpected",n[n.InvalidCommentToken=10]="InvalidCommentToken",n[n.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",n[n.UnexpectedEndOfString=12]="UnexpectedEndOfString",n[n.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",n[n.InvalidUnicode=14]="InvalidUnicode",n[n.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",n[n.InvalidCharacter=16]="InvalidCharacter"})(D=e.ParseErrorCode||(e.ParseErrorCode={}));var R;(function(n){n.DEFAULT={allowTrailingComma:!0}})(R=e.ParseOptions||(e.ParseOptions={}));function M(n,r=!1){let i=0;const s=n.length;let o="",a=0,c=16,f=0;function k(Y){let ae=0,ce=0;for(;ae<Y;){const H=n.charCodeAt(i);if(H>=48&&H<=57)ce=ce*16+H-48;else if(H>=65&&H<=70)ce=ce*16+H-65+10;else if(H>=97&&H<=102)ce=ce*16+H-97+10;else break;i++,ae++}return ae<Y&&(ce=-1),ce}function L(Y){i=Y,o="",a=0,c=16,f=0}function T(){const Y=i;if(n.charCodeAt(i)===48)i++;else for(i++;i<n.length&&S(n.charCodeAt(i));)i++;if(i<n.length&&n.charCodeAt(i)===46)if(i++,i<n.length&&S(n.charCodeAt(i)))for(i++;i<n.length&&S(n.charCodeAt(i));)i++;else return f=3,n.substring(Y,i);let ae=i;if(i<n.length&&(n.charCodeAt(i)===69||n.charCodeAt(i)===101))if(i++,(i<n.length&&n.charCodeAt(i)===43||n.charCodeAt(i)===45)&&i++,i<n.length&&S(n.charCodeAt(i))){for(i++;i<n.length&&S(n.charCodeAt(i));)i++;ae=i}else f=3;return n.substring(Y,ae)}function U(){let Y="",ae=i;for(;;){if(i>=s){Y+=n.substring(ae,i),f=2;break}const ce=n.charCodeAt(i);if(ce===34){Y+=n.substring(ae,i),i++;break}if(ce===92){if(Y+=n.substring(ae,i),i++,i>=s){f=2;break}switch(n.charCodeAt(i++)){case 34:Y+='"';break;case 92:Y+="\\";break;case 47:Y+="/";break;case 98:Y+="\b";break;case 102:Y+="\f";break;case 110:Y+=`
`;break;case 114:Y+="\r";break;case 116:Y+="	";break;case 117:{const se=k(4);se>=0?Y+=String.fromCharCode(se):f=4;break}default:f=5}ae=i;continue}if(ce>=0&&ce<=31)if(g(ce)){Y+=n.substring(ae,i),f=2;break}else f=6;i++}return Y}function G(){if(o="",f=0,a=i,i>=s)return a=s,c=17;let Y=n.charCodeAt(i);if(I(Y)){do i++,o+=String.fromCharCode(Y),Y=n.charCodeAt(i);while(I(Y));return c=15}if(g(Y))return i++,o+=String.fromCharCode(Y),Y===13&&n.charCodeAt(i)===10&&(i++,o+=`
`),c=14;switch(Y){case 123:return i++,c=1;case 125:return i++,c=2;case 91:return i++,c=3;case 93:return i++,c=4;case 58:return i++,c=6;case 44:return i++,c=5;case 34:return i++,o=U(),c=10;case 47:{const ae=i-1;if(n.charCodeAt(i+1)===47){for(i+=2;i<s&&!g(n.charCodeAt(i));)i++;return o=n.substring(ae,i),c=12}if(n.charCodeAt(i+1)===42){i+=2;const ce=s-1;let H=!1;for(;i<ce;){if(n.charCodeAt(i)===42&&n.charCodeAt(i+1)===47){i+=2,H=!0;break}i++}return H||(i++,f=1),o=n.substring(ae,i),c=13}return o+=String.fromCharCode(Y),i++,c=16}case 45:if(o+=String.fromCharCode(Y),i++,i===s||!S(n.charCodeAt(i)))return c=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return o+=T(),c=11;default:for(;i<s&&ie(Y);)i++,Y=n.charCodeAt(i);if(a!==i){switch(o=n.substring(a,i),o){case"true":return c=8;case"false":return c=9;case"null":return c=7}return c=16}return o+=String.fromCharCode(Y),i++,c=16}}function ie(Y){if(I(Y)||g(Y))return!1;switch(Y){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function ne(){let Y;do Y=G();while(Y>=12&&Y<=15);return Y}return{setPosition:L,getPosition:()=>i,scan:r?ne:G,getToken:()=>c,getTokenValue:()=>o,getTokenOffset:()=>a,getTokenLength:()=>i-a,getTokenError:()=>f}}e.createScanner=M;function I(n){return n===32||n===9||n===11||n===12||n===160||n===5760||n>=8192&&n<=8203||n===8239||n===8287||n===12288||n===65279}function g(n){return n===10||n===13||n===8232||n===8233}function S(n){return n>=48&&n<=57}var C;(function(n){n[n.nullCharacter=0]="nullCharacter",n[n.maxAsciiCharacter=127]="maxAsciiCharacter",n[n.lineFeed=10]="lineFeed",n[n.carriageReturn=13]="carriageReturn",n[n.lineSeparator=8232]="lineSeparator",n[n.paragraphSeparator=8233]="paragraphSeparator",n[n.nextLine=133]="nextLine",n[n.space=32]="space",n[n.nonBreakingSpace=160]="nonBreakingSpace",n[n.enQuad=8192]="enQuad",n[n.emQuad=8193]="emQuad",n[n.enSpace=8194]="enSpace",n[n.emSpace=8195]="emSpace",n[n.threePerEmSpace=8196]="threePerEmSpace",n[n.fourPerEmSpace=8197]="fourPerEmSpace",n[n.sixPerEmSpace=8198]="sixPerEmSpace",n[n.figureSpace=8199]="figureSpace",n[n.punctuationSpace=8200]="punctuationSpace",n[n.thinSpace=8201]="thinSpace",n[n.hairSpace=8202]="hairSpace",n[n.zeroWidthSpace=8203]="zeroWidthSpace",n[n.narrowNoBreakSpace=8239]="narrowNoBreakSpace",n[n.ideographicSpace=12288]="ideographicSpace",n[n.mathematicalSpace=8287]="mathematicalSpace",n[n.ogham=5760]="ogham",n[n._=95]="_",n[n.$=36]="$",n[n._0=48]="_0",n[n._1=49]="_1",n[n._2=50]="_2",n[n._3=51]="_3",n[n._4=52]="_4",n[n._5=53]="_5",n[n._6=54]="_6",n[n._7=55]="_7",n[n._8=56]="_8",n[n._9=57]="_9",n[n.a=97]="a",n[n.b=98]="b",n[n.c=99]="c",n[n.d=100]="d",n[n.e=101]="e",n[n.f=102]="f",n[n.g=103]="g",n[n.h=104]="h",n[n.i=105]="i",n[n.j=106]="j",n[n.k=107]="k",n[n.l=108]="l",n[n.m=109]="m",n[n.n=110]="n",n[n.o=111]="o",n[n.p=112]="p",n[n.q=113]="q",n[n.r=114]="r",n[n.s=115]="s",n[n.t=116]="t",n[n.u=117]="u",n[n.v=118]="v",n[n.w=119]="w",n[n.x=120]="x",n[n.y=121]="y",n[n.z=122]="z",n[n.A=65]="A",n[n.B=66]="B",n[n.C=67]="C",n[n.D=68]="D",n[n.E=69]="E",n[n.F=70]="F",n[n.G=71]="G",n[n.H=72]="H",n[n.I=73]="I",n[n.J=74]="J",n[n.K=75]="K",n[n.L=76]="L",n[n.M=77]="M",n[n.N=78]="N",n[n.O=79]="O",n[n.P=80]="P",n[n.Q=81]="Q",n[n.R=82]="R",n[n.S=83]="S",n[n.T=84]="T",n[n.U=85]="U",n[n.V=86]="V",n[n.W=87]="W",n[n.X=88]="X",n[n.Y=89]="Y",n[n.Z=90]="Z",n[n.ampersand=38]="ampersand",n[n.asterisk=42]="asterisk",n[n.at=64]="at",n[n.backslash=92]="backslash",n[n.bar=124]="bar",n[n.caret=94]="caret",n[n.closeBrace=125]="closeBrace",n[n.closeBracket=93]="closeBracket",n[n.closeParen=41]="closeParen",n[n.colon=58]="colon",n[n.comma=44]="comma",n[n.dot=46]="dot",n[n.doubleQuote=34]="doubleQuote",n[n.equals=61]="equals",n[n.exclamation=33]="exclamation",n[n.greaterThan=62]="greaterThan",n[n.lessThan=60]="lessThan",n[n.minus=45]="minus",n[n.openBrace=123]="openBrace",n[n.openBracket=91]="openBracket",n[n.openParen=40]="openParen",n[n.percent=37]="percent",n[n.plus=43]="plus",n[n.question=63]="question",n[n.semicolon=59]="semicolon",n[n.singleQuote=39]="singleQuote",n[n.slash=47]="slash",n[n.tilde=126]="tilde",n[n.backspace=8]="backspace",n[n.formFeed=12]="formFeed",n[n.byteOrderMark=65279]="byteOrderMark",n[n.tab=9]="tab",n[n.verticalTab=11]="verticalTab"})(C||(C={}));function P(n,r){const i=[],s=new Object;let o;const a={value:{},offset:0,length:0,type:"object",parent:void 0};let c=!1;function f(k,L,T,U){a.value=k,a.offset=L,a.length=T,a.type=U,a.colonOffset=void 0,o=a}try{d(n,{onObjectBegin:(k,L)=>{if(r<=k)throw s;o=void 0,c=r>k,i.push("")},onObjectProperty:(k,L,T)=>{if(r<L||(f(k,L,T,"property"),i[i.length-1]=k,r<=L+T))throw s},onObjectEnd:(k,L)=>{if(r<=k)throw s;o=void 0,i.pop()},onArrayBegin:(k,L)=>{if(r<=k)throw s;o=void 0,i.push(0)},onArrayEnd:(k,L)=>{if(r<=k)throw s;o=void 0,i.pop()},onLiteralValue:(k,L,T)=>{if(r<L||(f(k,L,T,l(k)),r<=L+T))throw s},onSeparator:(k,L,T)=>{if(r<=L)throw s;if(k===":"&&o&&o.type==="property")o.colonOffset=L,c=!1,o=void 0;else if(k===","){const U=i[i.length-1];typeof U=="number"?i[i.length-1]=U+1:(c=!0,i[i.length-1]=""),o=void 0}}})}catch(k){if(k!==s)throw k}return{path:i,previousNode:o,isAtPropertyKey:c,matches:k=>{let L=0;for(let T=0;L<k.length&&T<i.length;T++)if(k[L]===i[T]||k[L]==="*")L++;else if(k[L]!=="**")return!1;return L===k.length}}}e.getLocation=P;function b(n,r=[],i=R.DEFAULT){let s=null,o=[];const a=[];function c(k){Array.isArray(o)?o.push(k):s!==null&&(o[s]=k)}return d(n,{onObjectBegin:()=>{const k={};c(k),a.push(o),o=k,s=null},onObjectProperty:k=>{s=k},onObjectEnd:()=>{o=a.pop()},onArrayBegin:()=>{const k=[];c(k),a.push(o),o=k,s=null},onArrayEnd:()=>{o=a.pop()},onLiteralValue:c,onError:(k,L,T)=>{r.push({error:k,offset:L,length:T})}},i),o[0]}e.parse=b;function p(n,r=[],i=R.DEFAULT){let s={type:"array",offset:-1,length:-1,children:[],parent:void 0};function o(k){s.type==="property"&&(s.length=k-s.offset,s=s.parent)}function a(k){return s.children.push(k),k}d(n,{onObjectBegin:k=>{s=a({type:"object",offset:k,length:-1,parent:s,children:[]})},onObjectProperty:(k,L,T)=>{s=a({type:"property",offset:L,length:-1,parent:s,children:[]}),s.children.push({type:"string",value:k,offset:L,length:T,parent:s})},onObjectEnd:(k,L)=>{s.length=k+L-s.offset,s=s.parent,o(k+L)},onArrayBegin:(k,L)=>{s=a({type:"array",offset:k,length:-1,parent:s,children:[]})},onArrayEnd:(k,L)=>{s.length=k+L-s.offset,s=s.parent,o(k+L)},onLiteralValue:(k,L,T)=>{a({type:l(k),offset:L,length:T,parent:s,value:k}),o(L+T)},onSeparator:(k,L,T)=>{s.type==="property"&&(k===":"?s.colonOffset=L:k===","&&o(L))},onError:(k,L,T)=>{r.push({error:k,offset:L,length:T})}},i);const f=s.children[0];return f&&delete f.parent,f}e.parseTree=p;function h(n,r){if(!n)return;let i=n;for(const s of r)if(typeof s=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let o=!1;for(const a of i.children)if(Array.isArray(a.children)&&a.children[0].value===s){i=a.children[1],o=!0;break}if(!o)return}else{const o=s;if(i.type!=="array"||o<0||!Array.isArray(i.children)||o>=i.children.length)return;i=i.children[o]}return i}e.findNodeAtLocation=h;function y(n){if(!n.parent||!n.parent.children)return[];const r=y(n.parent);if(n.parent.type==="property"){const i=n.parent.children[0].value;r.push(i)}else if(n.parent.type==="array"){const i=n.parent.children.indexOf(n);i!==-1&&r.push(i)}return r}e.getNodePath=y;function v(n){switch(n.type){case"array":return n.children.map(v);case"object":{const r=Object.create(null);for(const i of n.children){const s=i.children[1];s&&(r[i.children[0].value]=v(s))}return r}case"null":case"string":case"number":case"boolean":return n.value;default:return}}e.getNodeValue=v;function w(n,r,i=!1){return r>=n.offset&&r<n.offset+n.length||i&&r===n.offset+n.length}e.contains=w;function m(n,r,i=!1){if(w(n,r,i)){const s=n.children;if(Array.isArray(s))for(let o=0;o<s.length&&s[o].offset<=r;o++){const a=m(s[o],r,i);if(a)return a}return n}}e.findNodeAtOffset=m;function d(n,r,i=R.DEFAULT){const s=M(n,!1);function o(Q){return Q?()=>Q(s.getTokenOffset(),s.getTokenLength()):()=>!0}function a(Q){return Q?x=>Q(x,s.getTokenOffset(),s.getTokenLength()):()=>!0}const c=o(r.onObjectBegin),f=a(r.onObjectProperty),k=o(r.onObjectEnd),L=o(r.onArrayBegin),T=o(r.onArrayEnd),U=a(r.onLiteralValue),G=a(r.onSeparator),ie=o(r.onComment),ne=a(r.onError),Y=i&&i.disallowComments,ae=i&&i.allowTrailingComma;function ce(){for(;;){const Q=s.scan();switch(s.getTokenError()){case 4:H(14);break;case 5:H(15);break;case 3:H(13);break;case 1:Y||H(11);break;case 2:H(12);break;case 6:H(16);break}switch(Q){case 12:case 13:Y?H(10):ie();break;case 16:H(1);break;case 15:case 14:break;default:return Q}}}function H(Q,x=[],A=[]){if(ne(Q),x.length+A.length>0){let O=s.getToken();for(;O!==17;){if(x.indexOf(O)!==-1){ce();break}else if(A.indexOf(O)!==-1)break;O=ce()}}}function se(Q){const x=s.getTokenValue();return Q?U(x):f(x),ce(),!0}function W(){switch(s.getToken()){case 11:{let Q=0;try{Q=JSON.parse(s.getTokenValue()),typeof Q!="number"&&(H(2),Q=0)}catch{H(2)}U(Q);break}case 7:U(null);break;case 8:U(!0);break;case 9:U(!1);break;default:return!1}return ce(),!0}function _(){return s.getToken()!==10?(H(3,[],[2,5]),!1):(se(!1),s.getToken()===6?(G(":"),ce(),q()||H(4,[],[2,5])):H(5,[],[2,5]),!0)}function B(){c(),ce();let Q=!1;for(;s.getToken()!==2&&s.getToken()!==17;){if(s.getToken()===5){if(Q||H(4,[],[]),G(","),ce(),s.getToken()===2&&ae)break}else Q&&H(6,[],[]);_()||H(4,[],[2,5]),Q=!0}return k(),s.getToken()!==2?H(7,[2],[]):ce(),!0}function X(){L(),ce();let Q=!1;for(;s.getToken()!==4&&s.getToken()!==17;){if(s.getToken()===5){if(Q||H(4,[],[]),G(","),ce(),s.getToken()===4&&ae)break}else Q&&H(6,[],[]);q()||H(4,[],[4,5]),Q=!0}return T(),s.getToken()!==4?H(8,[4],[]):ce(),!0}function q(){switch(s.getToken()){case 3:return X();case 1:return B();case 10:return se(!0);default:return W()}}return ce(),s.getToken()===17?i.allowEmptyContent?!0:(H(4,[],[]),!1):q()?(s.getToken()!==17&&H(9,[],[]),!0):(H(4,[],[]),!1)}e.visit=d;function u(n,r){const i=M(n),s=[];let o,a=0,c;do switch(c=i.getPosition(),o=i.scan(),o){case 12:case 13:case 17:a!==c&&s.push(n.substring(a,c)),r!==void 0&&s.push(i.getTokenValue().replace(/[^\r\n]/g,r)),a=i.getPosition();break}while(o!==17);return s.join("")}e.stripComments=u;function l(n){switch(typeof n){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(n){if(Array.isArray(n))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=l}),define(J[118],Z([0,1,49]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.toFormattedString=e.format=void 0;function t(S,C,P){let b,p,h,y,v;if(C){for(y=C.offset,v=y+C.length,h=y;h>0&&!g(S,h-1);)h--;let c=v;for(;c<S.length&&!g(S,c);)c++;p=S.substring(h,c),b=M(p,P)}else p=S,b=0,h=0,y=0,v=S.length;const w=I(P,S);let m=!1,d=0,u;P.insertSpaces?u=R(" ",P.tabSize||4):u="	";const l=(0,E.createScanner)(p,!1);let n=!1;function r(){return w+R(u,b+d)}function i(){let c=l.scan();for(m=!1;c===15||c===14;)m=m||c===14,c=l.scan();return n=c===16||l.getTokenError()!==0,c}const s=[];function o(c,f,k){!n&&f<v&&k>y&&S.substring(f,k)!==c&&s.push({offset:f,length:k-f,content:c})}let a=i();if(a!==17){const c=l.getTokenOffset()+h,f=R(u,b);o(f,h,c)}for(;a!==17;){let c=l.getTokenOffset()+l.getTokenLength()+h,f=i(),k="";for(;!m&&(f===12||f===13);){const T=l.getTokenOffset()+h;o(" ",c,T),c=l.getTokenOffset()+l.getTokenLength()+h,k=f===12?r():"",f=i()}if(f===2)a!==1&&(d--,k=r());else if(f===4)a!==3&&(d--,k=r());else{switch(a){case 3:case 1:d++,k=r();break;case 5:case 12:k=r();break;case 13:m?k=r():k=" ";break;case 6:k=" ";break;case 10:if(f===6){k="";break}case 7:case 8:case 9:case 11:case 2:case 4:f===12||f===13?k=" ":f!==5&&f!==17&&(n=!0);break;case 16:n=!0;break}m&&(f===12||f===13)&&(k=r())}const L=l.getTokenOffset()+h;o(k,c,L),a=f}return s}e.format=t;function D(S,C){const P=JSON.stringify(S,void 0,C.insertSpaces?C.tabSize||4:"	");return C.eol!==void 0?P.replace(/\r\n|\r|\n/g,C.eol):P}e.toFormattedString=D;function R(S,C){let P="";for(let b=0;b<C;b++)P+=S;return P}function M(S,C){let P=0,b=0;const p=C.tabSize||4;for(;P<S.length;){const h=S.charAt(P);if(h===" ")b++;else if(h==="	")b+=p;else break;P++}return Math.floor(b/p)}function I(S,C){for(let P=0;P<C.length;P++){const b=C.charAt(P);if(b==="\r")return P+1<C.length&&C.charAt(P+1)===`
`?`\r
`:"\r";if(b===`
`)return`
`}return S&&S.eol||`
`}e.getEOL=I;function g(S,C){return`\r
`.indexOf(S.charAt(C))!==-1}e.isEOL=g}),define(J[119],Z([0,1,49,118]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function D(S,C,P){return R(S,C,void 0,P)}e.removeProperty=D;function R(S,C,P,b,p){const h=C.slice(),y=[],v=(0,E.parseTree)(S,y);let w,m;for(;h.length>0&&(m=h.pop(),w=(0,E.findNodeAtLocation)(v,h),w===void 0&&P!==void 0);)typeof m=="string"?P={[m]:P}:P=[P];if(w)if(w.type==="object"&&typeof m=="string"&&Array.isArray(w.children)){const d=(0,E.findNodeAtLocation)(w,[m]);if(d!==void 0)if(P===void 0){if(!d.parent)throw new Error("Malformed AST");const u=w.children.indexOf(d.parent);let l,n=d.parent.offset+d.parent.length;if(u>0){const r=w.children[u-1];l=r.offset+r.length}else l=w.offset+1,w.children.length>1&&(n=w.children[1].offset);return M(S,{offset:l,length:n-l,content:""},b)}else return M(S,{offset:d.offset,length:d.length,content:JSON.stringify(P)},b);else{if(P===void 0)return[];const u=`${JSON.stringify(m)}: ${JSON.stringify(P)}`,l=p?p(w.children.map(r=>r.children[0].value)):w.children.length;let n;if(l>0){const r=w.children[l-1];n={offset:r.offset+r.length,length:0,content:","+u}}else w.children.length===0?n={offset:w.offset+1,length:0,content:u}:n={offset:w.offset+1,length:0,content:u+","};return M(S,n,b)}}else if(w.type==="array"&&typeof m=="number"&&Array.isArray(w.children))if(P!==void 0){const d=`${JSON.stringify(P)}`;let u;if(w.children.length===0||m===0)u={offset:w.offset+1,length:0,content:w.children.length===0?d:d+","};else{const l=m===-1||m>w.children.length?w.children.length:m,n=w.children[l-1];u={offset:n.offset+n.length,length:0,content:","+d}}return M(S,u,b)}else{const d=m,u=w.children[d];let l;if(w.children.length===1)l={offset:w.offset+1,length:w.length-2,content:""};else if(w.children.length-1===d){const n=w.children[d-1],r=n.offset+n.length,i=w.offset+w.length;l={offset:r,length:i-2-r,content:""}}else l={offset:u.offset,length:w.children[d+1].offset-u.offset,content:""};return M(S,l,b)}else throw new Error(`Can not add ${typeof m!="number"?"index":"property"} to parent of type ${w.type}`);else{if(P===void 0)throw new Error("Can not delete in empty document");return M(S,{offset:v?v.offset:0,length:v?v.length:0,content:JSON.stringify(P)},b)}}e.setProperty=R;function M(S,C,P){let b=I(S,C),p=C.offset,h=C.offset+C.content.length;if(C.length===0||C.content.length===0){for(;p>0&&!(0,t.isEOL)(b,p-1);)p--;for(;h<b.length&&!(0,t.isEOL)(b,h);)h++}const y=(0,t.format)(b,{offset:p,length:h-p},P);for(let w=y.length-1;w>=0;w--){const m=y[w];b=I(b,m),p=Math.min(p,m.offset),h=Math.max(h,m.offset+m.length),h+=m.content.length-m.length}const v=S.length-(b.length-h)-p;return[{offset:p,length:v,content:b.substring(p,h)}]}e.withFormatting=M;function I(S,C){return S.substring(0,C.offset)+C.content+S.substring(C.offset+C.length)}e.applyEdit=I;function g(S,C){const P=C.slice(0).sort((p,h)=>{const y=p.offset-h.offset;return y===0?p.length-h.length:y});let b=S.length;for(let p=P.length-1;p>=0;p--){const h=P[p];if(h.offset+h.length<=b)S=I(S,h);else throw new Error("Overlapping edit");b=h.offset}return S}e.applyEdits=g}),define(J[120],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class E{constructor(D){this.executor=D,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(D){this._error=D}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(D){return new E(()=>D(this.getValue()))}}e.Lazy=E}),define(J[2],Z([0,1,48,53]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.disposeOnReturn=e.ImmortalReference=e.AsyncReferenceCollection=e.ReferenceCollection=e.SafeDisposable=e.RefCountedDisposable=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.markAsSingleton=e.setDisposableTracker=void 0;const D=!1;let R=null;function M(o){R=o}if(e.setDisposableTracker=M,D){const o="__is_disposable_tracked__";M(new class{trackDisposable(a){const c=new Error("Potentially leaked disposable").stack;setTimeout(()=>{a[o]||console.log(c)},3e3)}setParent(a,c){if(a&&a!==m.None)try{a[o]=!0}catch{}}markAsDisposed(a){if(a&&a!==m.None)try{a[o]=!0}catch{}}markAsSingleton(a){}})}function I(o){return R?.trackDisposable(o),o}function g(o){R?.markAsDisposed(o)}function S(o,a){R?.setParent(o,a)}function C(o,a){if(!!R)for(const c of o)R.setParent(c,a)}function P(o){return R?.markAsSingleton(o),o}e.markAsSingleton=P;class b extends Error{constructor(a){super(`Encountered errors while disposing of store. Errors: [${a.join(", ")}]`);this.errors=a}}e.MultiDisposeError=b;function p(o){return typeof o.dispose=="function"&&o.dispose.length===0}e.isDisposable=p;function h(o){if(t.Iterable.is(o)){const a=[];for(const c of o)if(c)try{c.dispose()}catch(f){a.push(f)}if(a.length===1)throw a[0];if(a.length>1)throw new b(a);return Array.isArray(o)?[]:o}else if(o)return o.dispose(),o}e.dispose=h;function y(...o){const a=v(()=>h(o));return C(o,a),a}e.combinedDisposable=y;function v(o){const a=I({dispose:(0,E.once)(()=>{g(a),o()})});return a}e.toDisposable=v;class w{constructor(){this._toDispose=new Set,this._isDisposed=!1,I(this)}dispose(){this._isDisposed||(g(this),this._isDisposed=!0,this.clear())}get isDisposed(){return this._isDisposed}clear(){try{h(this._toDispose.values())}finally{this._toDispose.clear()}}add(a){if(!a)return a;if(a===this)throw new Error("Cannot register a disposable on itself!");return S(a,this),this._isDisposed?w.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(a),a}}e.DisposableStore=w,w.DISABLE_DISPOSED_WARNING=!1;class m{constructor(){this._store=new w,I(this),S(this._store,this)}dispose(){g(this),this._store.dispose()}_register(a){if(a===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(a)}}e.Disposable=m,m.None=Object.freeze({dispose(){}});class d{constructor(){this._isDisposed=!1,I(this)}get value(){return this._isDisposed?void 0:this._value}set value(a){this._isDisposed||a===this._value||(this._value?.dispose(),a&&S(a,this),this._value=a)}clear(){this.value=void 0}dispose(){this._isDisposed=!0,g(this),this._value?.dispose(),this._value=void 0}clearAndLeak(){const a=this._value;return this._value=void 0,a&&S(a,null),a}}e.MutableDisposable=d;class u{constructor(a){this._disposable=a,this._counter=1}acquire(){return this._counter++,this}release(){return--this._counter==0&&this._disposable.dispose(),this}}e.RefCountedDisposable=u;class l{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,I(this)}set(a){let c=a;return this.unset=()=>c=void 0,this.isset=()=>c!==void 0,this.dispose=()=>{c&&(c(),c=void 0,g(this))},this}}e.SafeDisposable=l;class n{constructor(){this.references=new Map}acquire(a,...c){let f=this.references.get(a);f||(f={counter:0,object:this.createReferencedObject(a,...c)},this.references.set(a,f));const{object:k}=f,L=(0,E.once)(()=>{--f.counter==0&&(this.destroyReferencedObject(a,f.object),this.references.delete(a))});return f.counter++,{object:k,dispose:L}}}e.ReferenceCollection=n;class r{constructor(a){this.referenceCollection=a}async acquire(a,...c){const f=this.referenceCollection.acquire(a,...c);try{return{object:await f.object,dispose:()=>f.dispose()}}catch(k){throw f.dispose(),k}}}e.AsyncReferenceCollection=r;class i{constructor(a){this.object=a}dispose(){}}e.ImmortalReference=i;function s(o){const a=new w;try{o(a)}finally{a.dispose()}}e.disposeOnReturn=s}),define(J[121],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class E{constructor(R){this.element=R,this.next=E.Undefined,this.prev=E.Undefined}}E.Undefined=new E(void 0);class t{constructor(){this._first=E.Undefined,this._last=E.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===E.Undefined}clear(){let R=this._first;for(;R!==E.Undefined;){const M=R.next;R.prev=E.Undefined,R.next=E.Undefined,R=M}this._first=E.Undefined,this._last=E.Undefined,this._size=0}unshift(R){return this._insert(R,!1)}push(R){return this._insert(R,!0)}_insert(R,M){const I=new E(R);if(this._first===E.Undefined)this._first=I,this._last=I;else if(M){const S=this._last;this._last=I,I.prev=S,S.next=I}else{const S=this._first;this._first=I,I.next=S,S.prev=I}this._size+=1;let g=!1;return()=>{g||(g=!0,this._remove(I))}}shift(){if(this._first!==E.Undefined){const R=this._first.element;return this._remove(this._first),R}}pop(){if(this._last!==E.Undefined){const R=this._last.element;return this._remove(this._last),R}}_remove(R){if(R.prev!==E.Undefined&&R.next!==E.Undefined){const M=R.prev;M.next=R.next,R.next.prev=M}else R.prev===E.Undefined&&R.next===E.Undefined?(this._first=E.Undefined,this._last=E.Undefined):R.next===E.Undefined?(this._last=this._last.prev,this._last.next=E.Undefined):R.prev===E.Undefined&&(this._first=this._first.next,this._first.prev=E.Undefined);this._size-=1}*[Symbol.iterator](){let R=this._first;for(;R!==E.Undefined;)yield R.element,R=R.next}}e.LinkedList=t}),function(){function $(D){const R=[];typeof D=="number"&&R.push("code/timeOrigin",D);function M(g){R.push(g,Date.now())}function I(){const g=[];for(let S=0;S<R.length;S+=2)g.push({name:R[S],startTime:R[S+1]});return g}return{mark:M,getMarks:I}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?$():{mark(D){performance.mark(D)},getMarks(){let D=performance.timeOrigin;typeof D!="number"&&(D=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const R=[{name:"code/timeOrigin",startTime:Math.round(D)}];for(const M of performance.getEntriesByType("mark"))R.push({name:M.name,startTime:Math.round(D+M.startTime)});return R}};if(typeof process=="object"){const D=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return $(D)}else return console.trace("perf-util loaded in UNKNOWN environment"),$()}function E(D){return D.MonacoPerformanceMarks||(D.MonacoPerformanceMarks=e()),D.MonacoPerformanceMarks}var t;typeof global=="object"?t=global:typeof self=="object"?t=self:t={},typeof define=="function"?define("vs/base/common/performance",[],function(){return E(t)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=E(t):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),t.perf=E(t))}(),define(J[122],Z([0,1]),function($,e){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class t{constructor(I,g,S){this.level=I,this.key=g,this.value=S,this.forward=[]}}const D=void 0;class R{constructor(I,g=2**16){this.comparator=I,this[E]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(g)|0),this._header=new t(this._maxLevel,D,D)}get size(){return this._size}clear(){this._header=new t(this._maxLevel,D,D)}has(I){return Boolean(R._search(this,I,this.comparator))}get(I){return R._search(this,I,this.comparator)?.value}set(I,g){return R._insert(this,I,g,this.comparator)&&(this._size+=1),this}delete(I){const g=R._delete(this,I,this.comparator);return g&&(this._size-=1),g}forEach(I,g){let S=this._header.forward[0];for(;S;)I.call(g,S.value,S.key,this),S=S.forward[0]}[(E=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let I=this._header.forward[0];for(;I;)yield[I.key,I.value],I=I.forward[0]}*keys(){let I=this._header.forward[0];for(;I;)yield I.key,I=I.forward[0]}*values(){let I=this._header.forward[0];for(;I;)yield I.value,I=I.forward[0]}toString(){let I="[SkipList]:",g=this._header.forward[0];for(;g;)I+=`node(${g.key}, ${g.value}, lvl:${g.level})`,g=g.forward[0];return I}static _search(I,g,S){let C=I._header;for(let P=I._level-1;P>=0;P--)for(;C.forward[P]&&S(C.forward[P].key,g)<0;)C=C.forward[P];if(C=C.forward[0],C&&S(C.key,g)===0)return C}static _insert(I,g,S,C){const P=[];let b=I._header;for(let p=I._level-1;p>=0;p--){for(;b.forward[p]&&C(b.forward[p].key,g)<0;)b=b.forward[p];P[p]=b}if(b=b.forward[0],b&&C(b.key,g)===0)return b.value=S,!1;{const p=R._randomLevel(I);if(p>I._level){for(let h=I._level;h<p;h++)P[h]=I._header;I._level=p}b=new t(p,g,S);for(let h=0;h<p;h++)b.forward[h]=P[h].forward[h],P[h].forward[h]=b;return!0}}static _randomLevel(I,g=.5){let S=1;for(;Math.random()<g&&S<I._maxLevel;)S+=1;return S}static _delete(I,g,S){const C=[];let P=I._header;for(let b=I._level-1;b>=0;b--){for(;P.forward[b]&&S(P.forward[b].key,g)<0;)P=P.forward[b];C[b]=P}if(P=P.forward[0],!P||S(P.key,g)!==0)return!1;for(let b=0;b<I._level&&C[b].forward[b]===P;b++)C[b].forward[b]=P.forward[b];for(;I._level>0&&I._header.forward[I._level-1]===D;)I._level-=1;return!0}}e.SkipList=R}),define(J[54],Z([0,1,18,2]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function D(u){const l=u;return l?typeof l.read=="function":!1}e.isReadable=D;function R(u){const l=u;return l?[l.on,l.pause,l.resume,l.destroy].every(n=>typeof n=="function"):!1}e.isReadableStream=R;function M(u){const l=u;return l?R(l.stream)&&Array.isArray(l.buffer)&&typeof l.ended=="boolean":!1}e.isReadableBufferedStream=M;function I(u,l){return new g(u,l)}e.newWriteableStream=I;class g{constructor(l,n){this.reducer=l,this.options=n,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(l){if(!this.state.destroyed){if(this.state.flowing)this.emitData(l);else if(this.buffer.data.push(l),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(n=>this.pendingWritePromises.push(n))}}error(l){this.state.destroyed||(this.state.flowing?this.emitError(l):this.buffer.error.push(l))}end(l){this.state.destroyed||(typeof l!="undefined"&&this.write(l),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(l){this.listeners.data.slice(0).forEach(n=>n(l))}emitError(l){this.listeners.error.length===0?(0,E.onUnexpectedError)(l):this.listeners.error.slice(0).forEach(n=>n(l))}emitEnd(){this.listeners.end.slice(0).forEach(l=>l())}on(l,n){if(!this.state.destroyed)switch(l){case"data":this.listeners.data.push(n),this.resume();break;case"end":this.listeners.end.push(n),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(n),this.state.flowing&&this.flowErrors();break}}removeListener(l,n){if(this.state.destroyed)return;let r;switch(l){case"data":r=this.listeners.data;break;case"end":r=this.listeners.end;break;case"error":r=this.listeners.error;break}if(r){const i=r.indexOf(n);i>=0&&r.splice(i,1)}}flowData(){if(this.buffer.data.length>0){const l=this.reducer(this.buffer.data);this.emitData(l),this.buffer.data.length=0;const n=[...this.pendingWritePromises];this.pendingWritePromises.length=0,n.forEach(r=>r())}}flowErrors(){if(this.listeners.error.length>0){for(const l of this.buffer.error)this.emitError(l);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function S(u,l){const n=[];let r;for(;(r=u.read())!==null;)n.push(r);return l(n)}e.consumeReadable=S;function C(u,l,n){const r=[];let i;for(;(i=u.read())!==null&&r.length<n;)r.push(i);return i===null&&r.length>0?l(r):{read:()=>{if(r.length>0)return r.shift();if(typeof i!="undefined"){const s=i;return i=void 0,s}return u.read()}}}e.peekReadable=C;function P(u,l){return new Promise((n,r)=>{const i=[];b(u,{onData:s=>{l&&i.push(s)},onError:s=>{l?r(s):n(void 0)},onEnd:()=>{n(l?l(i):void 0)}})})}e.consumeStream=P;function b(u,l){let n=!1;return u.on("error",r=>{n||l.onError(r)}),u.on("end",()=>{n||l.onEnd()}),u.on("data",r=>{n||l.onData(r)}),(0,t.toDisposable)(()=>n=!0)}e.listenStream=b;function p(u,l){return new Promise((n,r)=>{const i=new t.DisposableStore,s=[],o=f=>{if(s.push(f),s.length>l)return i.dispose(),u.pause(),n({stream:u,buffer:s,ended:!1})},a=f=>r(f),c=()=>n({stream:u,buffer:s,ended:!0});i.add((0,t.toDisposable)(()=>u.removeListener("error",a))),u.on("error",a),i.add((0,t.toDisposable)(()=>u.removeListener("end",c))),u.on("end",c),i.add((0,t.toDisposable)(()=>u.removeListener("data",o))),u.on("data",o)})}e.peekStream=p;function h(u,l){const n=I(l);return n.end(u),n}e.toStream=h;function y(){const u=I(()=>{throw new Error("not supported")});return u.end(),u}e.emptyStream=y;function v(u){let l=!1;return{read:()=>l?null:(l=!0,u)}}e.toReadable=v;function w(u,l,n){const r=I(n);return b(u,{onData:i=>r.write(l.data(i)),onError:i=>r.error(l.error?l.error(i):i),onEnd:()=>r.end()}),r}e.transform=w;function m(u,l,n){let r=!1;return{read:()=>{const i=l.read();return r?i:(r=!0,i!==null?n([u,i]):u)}}}e.prefixedReadable=m;function d(u,l,n){let r=!1;const i=I(n);return b(l,{onData:s=>r?i.write(s):(r=!0,i.write(n([u,s]))),onError:s=>i.error(s),onEnd:()=>{r||(r=!0,i.write(u)),i.end()}}),i}e.prefixedStream=d}),define(J[19],Z([0,1,54]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const t=typeof Buffer!="undefined";let D,R;class M{constructor(f){this.buffer=f,this.byteLength=this.buffer.byteLength}static alloc(f){return t?new M(Buffer.allocUnsafe(f)):new M(new Uint8Array(f))}static wrap(f){return t&&!Buffer.isBuffer(f)&&(f=Buffer.from(f.buffer,f.byteOffset,f.byteLength)),new M(f)}static fromString(f,k){return!(k?.dontUseNodeBuffer||!1)&&t?new M(Buffer.from(f)):(D||(D=new TextEncoder),new M(D.encode(f)))}static fromByteArray(f){const k=M.alloc(f.length);for(let L=0,T=f.length;L<T;L++)k.buffer[L]=f[L];return k}static concat(f,k){if(typeof k=="undefined"){k=0;for(let U=0,G=f.length;U<G;U++)k+=f[U].byteLength}const L=M.alloc(k);let T=0;for(let U=0,G=f.length;U<G;U++){const ie=f[U];L.set(ie,T),T+=ie.byteLength}return L}clone(){const f=M.alloc(this.byteLength);return f.set(this),f}toString(){return t?this.buffer.toString():(R||(R=new TextDecoder),R.decode(this.buffer))}slice(f,k){return new M(this.buffer.subarray(f,k))}set(f,k){if(f instanceof M)this.buffer.set(f.buffer,k);else if(f instanceof Uint8Array)this.buffer.set(f,k);else if(f instanceof ArrayBuffer)this.buffer.set(new Uint8Array(f),k);else if(ArrayBuffer.isView(f))this.buffer.set(new Uint8Array(f.buffer,f.byteOffset,f.byteLength),k);else throw new Error("Unknown argument 'array'")}readUInt32BE(f){return S(this.buffer,f)}writeUInt32BE(f,k){C(this.buffer,f,k)}readUInt32LE(f){return P(this.buffer,f)}writeUInt32LE(f,k){b(this.buffer,f,k)}readUInt8(f){return p(this.buffer,f)}writeUInt8(f,k){h(this.buffer,f,k)}}e.VSBuffer=M;function I(c,f){return c[f+0]<<0>>>0|c[f+1]<<8>>>0}e.readUInt16LE=I;function g(c,f,k){c[k+0]=f&255,f=f>>>8,c[k+1]=f&255}e.writeUInt16LE=g;function S(c,f){return c[f]*2**24+c[f+1]*2**16+c[f+2]*2**8+c[f+3]}e.readUInt32BE=S;function C(c,f,k){c[k+3]=f,f=f>>>8,c[k+2]=f,f=f>>>8,c[k+1]=f,f=f>>>8,c[k]=f}e.writeUInt32BE=C;function P(c,f){return c[f+0]<<0>>>0|c[f+1]<<8>>>0|c[f+2]<<16>>>0|c[f+3]<<24>>>0}e.readUInt32LE=P;function b(c,f,k){c[k+0]=f&255,f=f>>>8,c[k+1]=f&255,f=f>>>8,c[k+2]=f&255,f=f>>>8,c[k+3]=f&255}e.writeUInt32LE=b;function p(c,f){return c[f]}e.readUInt8=p;function h(c,f,k){c[k]=f}e.writeUInt8=h;function y(c){return E.consumeReadable(c,f=>M.concat(f))}e.readableToBuffer=y;function v(c){return E.toReadable(c)}e.bufferToReadable=v;function w(c){return E.consumeStream(c,f=>M.concat(f))}e.streamToBuffer=w;async function m(c){return c.ended?M.concat(c.buffer):M.concat([...c.buffer,await w(c.stream)])}e.bufferedStreamToBuffer=m;function d(c){return E.toStream(c,f=>M.concat(f))}e.bufferToStream=d;function u(c){return E.transform(c,{data:f=>typeof f=="string"?M.fromString(f):M.wrap(f)},f=>M.concat(f))}e.streamToBufferReadableStream=u;function l(c){return E.newWriteableStream(f=>M.concat(f),c)}e.newWriteableBufferStream=l;function n(c,f){return E.prefixedReadable(c,f,k=>M.concat(k))}e.prefixedBufferReadable=n;function r(c,f){return E.prefixedStream(c,f,k=>M.concat(k))}e.prefixedBufferStream=r;function i(c){let f=0,k=0,L=0;const T=new Uint8Array(Math.floor(c.length/4*3)),U=ie=>{switch(k){case 3:T[L++]=f|ie,k=0;break;case 2:T[L++]=f|ie>>>2,f=ie<<6,k=3;break;case 1:T[L++]=f|ie>>>4,f=ie<<4,k=2;break;default:f=ie<<2,k=1}};for(let ie=0;ie<c.length;ie++){const ne=c.charCodeAt(ie);if(ne>=65&&ne<=90)U(ne-65);else if(ne>=97&&ne<=122)U(ne-97+26);else if(ne>=48&&ne<=57)U(ne-48+52);else if(ne===43||ne===45)U(62);else if(ne===47||ne===95)U(63);else{if(ne===61)break;throw new SyntaxError(`Unexpected base64 character ${c[ie]}`)}}const G=L;for(;k>0;)U(0);return M.wrap(T).slice(0,G)}e.decodeBase64=i;const s="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function a({buffer:c},f=!0,k=!1){const L=k?o:s;let T="";const U=c.byteLength%3;let G=0;for(;G<c.byteLength-U;G+=3){const ie=c[G+0],ne=c[G+1],Y=c[G+2];T+=L[ie>>>2],T+=L[(ie<<4|ne>>>4)&63],T+=L[(ne<<2|Y>>>6)&63],T+=L[Y&63]}if(U===1){const ie=c[G+0];T+=L[ie>>>2],T+=L[ie<<4&63],f&&(T+="==")}else if(U===2){const ie=c[G+0],ne=c[G+1];T+=L[ie>>>2],T+=L[(ie<<4|ne>>>4)&63],T+=L[ne<<2&63],f&&(T+="=")}return T}e.encodeBase64=a}),define(J[13],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.assertNever=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isIterable=e.isNumber=e.isTypedArray=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function E(c){return Array.isArray(c)}e.isArray=E;function t(c){return typeof c=="string"}e.isString=t;function D(c){return Array.isArray(c)&&c.every(f=>t(f))}e.isStringArray=D;function R(c){return typeof c=="object"&&c!==null&&!Array.isArray(c)&&!(c instanceof RegExp)&&!(c instanceof Date)}e.isObject=R;function M(c){return typeof c=="object"&&(c instanceof Uint8Array||c instanceof Uint16Array||c instanceof Uint32Array||c instanceof Float32Array||c instanceof Float64Array||c instanceof Int8Array||c instanceof Int16Array||c instanceof Int32Array||c instanceof BigInt64Array||c instanceof BigUint64Array||c instanceof Uint8ClampedArray)}e.isTypedArray=M;function I(c){return typeof c=="number"&&!isNaN(c)}e.isNumber=I;function g(c){return!!c&&typeof c[Symbol.iterator]=="function"}e.isIterable=g;function S(c){return c===!0||c===!1}e.isBoolean=S;function C(c){return typeof c=="undefined"}e.isUndefined=C;function P(c){return!b(c)}e.isDefined=P;function b(c){return C(c)||c===null}e.isUndefinedOrNull=b;function p(c,f){if(!c)throw new Error(f?`Unexpected type, expected '${f}'`:"Unexpected type")}e.assertType=p;function h(c){if(b(c))throw new Error("Assertion Failed: argument is undefined or null");return c}e.assertIsDefined=h;function y(...c){const f=[];for(let k=0;k<c.length;k++){const L=c[k];if(b(L))throw new Error(`Assertion Failed: argument at index ${k} is undefined or null`);f.push(L)}return f}e.assertAllDefined=y;const v=Object.prototype.hasOwnProperty;function w(c){if(!R(c))return!1;for(const f in c)if(v.call(c,f))return!1;return!0}e.isEmptyObject=w;function m(c){return typeof c=="function"}e.isFunction=m;function d(...c){return c.length>0&&c.every(m)}e.areFunctions=d;function u(c,f){const k=Math.min(c.length,f.length);for(let L=0;L<k;L++)l(c[L],f[L])}e.validateConstraints=u;function l(c,f){if(t(f)){if(typeof c!==f)throw new Error(`argument does not match constraint: typeof ${f}`)}else if(m(f)){try{if(c instanceof f)return}catch{}if(!b(c)&&c.constructor===f||f.length===1&&f.call(void 0,c)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=l;function n(c){let f=[],k=Object.getPrototypeOf(c);for(;Object.prototype!==k;)f=f.concat(Object.getOwnPropertyNames(k)),k=Object.getPrototypeOf(k);return f}e.getAllPropertyNames=n;function r(c){const f=[];for(const k of n(c))typeof c[k]=="function"&&f.push(k);return f}e.getAllMethodNames=r;function i(c,f){const k=T=>function(){const U=Array.prototype.slice.call(arguments,0);return f(T,U)},L={};for(const T of c)L[T]=k(T);return L}e.createProxyObject=i;function s(c){return c===null?void 0:c}e.withNullAsUndefined=s;function o(c){return typeof c=="undefined"?null:c}e.withUndefinedAsNull=o;function a(c,f="Unreachable"){throw new Error(f)}e.assertNever=a}),define(J[50],Z([0,1,13]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function t(h){if(!h||typeof h!="object"||h instanceof RegExp)return h;const y=Array.isArray(h)?[]:{};return Object.keys(h).forEach(v=>{h[v]&&typeof h[v]=="object"?y[v]=t(h[v]):y[v]=h[v]}),y}e.deepClone=t;function D(h){if(!h||typeof h!="object")return h;const y=[h];for(;y.length>0;){const v=y.shift();Object.freeze(v);for(const w in v)if(R.call(v,w)){const m=v[w];typeof m=="object"&&!Object.isFrozen(m)&&!(0,E.isTypedArray)(m)&&y.push(m)}}return h}e.deepFreeze=D;const R=Object.prototype.hasOwnProperty;function M(h,y){return I(h,y,new Set)}e.cloneAndChange=M;function I(h,y,v){if((0,E.isUndefinedOrNull)(h))return h;const w=y(h);if(typeof w!="undefined")return w;if((0,E.isArray)(h)){const m=[];for(const d of h)m.push(I(d,y,v));return m}if((0,E.isObject)(h)){if(v.has(h))throw new Error("Cannot clone recursive data-structure");v.add(h);const m={};for(const d in h)R.call(h,d)&&(m[d]=I(h[d],y,v));return v.delete(h),m}return h}function g(h,y,v=!0){return(0,E.isObject)(h)?((0,E.isObject)(y)&&Object.keys(y).forEach(w=>{w in h?v&&((0,E.isObject)(h[w])&&(0,E.isObject)(y[w])?g(h[w],y[w],v):h[w]=y[w]):h[w]=y[w]}),h):y}e.mixin=g;function S(h,y){if(h===y)return!0;if(h==null||y===null||y===void 0||typeof h!=typeof y||typeof h!="object"||Array.isArray(h)!==Array.isArray(y))return!1;let v,w;if(Array.isArray(h)){if(h.length!==y.length)return!1;for(v=0;v<h.length;v++)if(!S(h[v],y[v]))return!1}else{const m=[];for(w in h)m.push(w);m.sort();const d=[];for(w in y)d.push(w);if(d.sort(),!S(m,d))return!1;for(v=0;v<m.length;v++)if(!S(h[m[v]],y[m[v]]))return!1}return!0}e.equals=S;function C(h){const y=new Set;return JSON.stringify(h,(v,w)=>{if((0,E.isObject)(w)||Array.isArray(w)){if(y.has(w))return"[Circular]";y.add(w)}return w})}e.safeStringify=C;function P(h,y){const v=Object.create(null);return!h||!y||Object.keys(y).forEach(m=>{const d=h[m],u=y[m];S(d,u)||(v[m]=u)}),v}e.distinct=P;function b(h,y){const v=y.toLowerCase(),w=Object.keys(h).find(m=>m.toLowerCase()===v);return w?h[w]:h[y]}e.getCaseInsensitive=b;function p(h,y){const v=Object.create(null);for(const[w,m]of Object.entries(h))y(w,m)&&(v[w]=m);return v}e.filter=p}),define(J[30],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const E=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function t(D){return E.test(D)}e.isUUID=t,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let D;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?D=crypto.getRandomValues.bind(crypto):D=function(I){for(let g=0;g<I.length;g++)I[g]=Math.floor(Math.random()*256);return I};const R=new Uint8Array(16),M=[];for(let I=0;I<256;I++)M.push(I.toString(16).padStart(2,"0"));return function(){D(R),R[6]=R[6]&15|64,R[8]=R[8]&63|128;let g=0,S="";return S+=M[R[g++]],S+=M[R[g++]],S+=M[R[g++]],S+=M[R[g++]],S+="-",S+=M[R[g++]],S+=M[R[g++]],S+="-",S+=M[R[g++]],S+=M[R[g++]],S+="-",S+=M[R[g++]],S+=M[R[g++]],S+="-",S+=M[R[g++]],S+=M[R[g++]],S+=M[R[g++]],S+=M[R[g++]],S+=M[R[g++]],S+=M[R[g++]],S}}()}),define(J[123],Z([0,1,75,27,48]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function R(M,I){if(await new Promise((C,P)=>{const b=t.createReadStream(M),p=E.createHash("sha1");b.pipe(p);const h=(0,D.once)((y,v)=>{b.removeAllListeners(),p.removeAllListeners(),y?P(y):C(v)});b.once("error",h),b.once("end",h),p.once("error",h),p.once("data",y=>h(void 0,y.toString("hex")))})!==I)throw new Error("Hash mismatch")}e.checksum=R}),define(J[124],Z([0,1,125]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class t{constructor(R="utf8"){this.stringDecoder=new E.StringDecoder(R),this.remaining=null}write(R){const M=[],I=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(I.length<1)return M;let g=0,S,C=g;for(;C<I.length;)if(S=I.charCodeAt(C),S===13||S===10){if(M.push(I.substring(g,C)),C++,C<I.length){const P=S;S=I.charCodeAt(C),(P===13&&S===10||P===10&&S===13)&&C++}g=C}else C++;return this.remaining=g<I.length?I.substr(g):null,M}end(){return this.remaining}}e.LineDecoder=t}),define(J[126],Z([0,1,28]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const t=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function D(M){const I=M.replace(/\-/g,":").toLowerCase();return!t.has(I)}function R(){const M=(0,E.networkInterfaces)();for(const I in M){const g=M[I];if(g){for(const{mac:S}of g)if(D(S))return S}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.getMac=R}),define(J[90],Z([0,1,76]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.BROWSER_RESTRICTED_PORTS=e.findFreePort=void 0;function t(I,g,S,C=1){let P=!1;return new Promise(b=>{const p=setTimeout(()=>{if(!P)return P=!0,b(0)},S);D(I,g,C,h=>{if(!P)return P=!0,clearTimeout(p),b(h)})})}e.findFreePort=t;function D(I,g,S,C){if(g===0)return C(0);const P=new E.Socket;P.once("connect",()=>(M(P),D(I+S,g-1,S,C))),P.once("data",()=>{}),P.once("error",b=>(M(P),b.code!=="ECONNREFUSED"?D(I+S,g-1,S,C):C(I))),P.connect(I,"127.0.0.1")}e.BROWSER_RESTRICTED_PORTS={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function R(I,g,S){let C=!1,P,b=1;const p=E.createServer({pauseOnConnect:!0});function h(y,v){C||(C=!0,p.removeAllListeners(),p.close(),P&&clearTimeout(P),v(y))}return new Promise(y=>{P=setTimeout(()=>{h(0,y)},S),p.on("listening",()=>{h(I,y)}),p.on("error",v=>{v&&(v.code==="EADDRINUSE"||v.code==="EACCES")&&b<g?(I++,b++,p.listen(I,"127.0.0.1")):h(0,y)}),p.on("close",()=>{h(0,y)}),p.listen(I,"127.0.0.1")})}e.findFreePortFaster=R;function M(I){try{I.removeAllListeners("connect"),I.removeAllListeners("error"),I.end(),I.destroy(),I.unref()}catch(g){console.error(g)}}}),define(J[127],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(J[128],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class E{constructor(D,R){this.sender=D,this.onMessage=R}send(D){try{this.sender.send("vscode:message",D.buffer)}catch{}}disconnect(){this.sender.send("vscode:disconnect",null)}}e.Protocol=E}),define(J[38],Z([0,1,14,18]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.validatedIpcMain=void 0;class D{constructor(){this.mapListenerToWrapper=new WeakMap}on(M,I){const g=(S,...C)=>{this.validateEvent(M,S)&&I(S,...C)};return this.mapListenerToWrapper.set(I,g),E.ipcMain.on(M,g),this}once(M,I){return E.ipcMain.once(M,(g,...S)=>{this.validateEvent(M,g)&&I(g,...S)}),this}handle(M,I){return E.ipcMain.handle(M,(g,...S)=>this.validateEvent(M,g)?I(g,...S):Promise.reject(`Invalid channel '${M}' or sender for ipcMain.handle() usage.`)),this}removeHandler(M){return E.ipcMain.removeHandler(M),this}removeListener(M,I){const g=this.mapListenerToWrapper.get(I);return g&&(E.ipcMain.removeListener(M,g),this.mapListenerToWrapper.delete(I)),this}validateEvent(M,I){if(!M||!M.startsWith("vscode:"))return(0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because the channel is unknown.`),!1;const g=I.senderFrame,S=g.url;if(!S)return!0;let C="unknown";try{C=new URL(S).host}catch{return(0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because of a malformed URL '${S}'.`),!1}return C!=="vscode-app"?((0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because of a bad origin of '${C}'.`),!1):g.parent!==null?((0,t.onUnexpectedError)(`Refused to handle ipcMain event for channel '${M}' because sender of origin '${C}' is not a main frame.`),!1):!0}}e.validatedIpcMain=new D}),define(J[129],Z([0,1,14,38,13,127]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function M(){t.validatedIpcMain.on(R.CONTEXT_MENU_CHANNEL,(g,S,C,P,b)=>{const p=I(g,P,C);p.popup({window:(0,D.withNullAsUndefined)(E.BrowserWindow.fromWebContents(g.sender)),x:b?b.x:void 0,y:b?b.y:void 0,positioningItem:b?b.positioningItem:void 0,callback:()=>{p&&g.sender.send(R.CONTEXT_MENU_CLOSE_CHANNEL,S)}})})}e.registerContextMenuListener=M;function I(g,S,C){const P=new E.Menu;return C.forEach(b=>{let p;b.type==="separator"?p=new E.MenuItem({type:b.type}):Array.isArray(b.submenu)?p=new E.MenuItem({submenu:I(g,S,b.submenu),label:b.label}):p=new E.MenuItem({label:b.label,type:b.type,accelerator:b.accelerator,checked:b.checked,enabled:b.enabled,visible:b.visible,click:(h,y,v)=>g.sender.send(S,b.id,v)}),P.append(p)}),P}}),define(J[130],Z([11,10]),function($,e){return $.create("vs/base/common/date",e)}),define(J[131],Z([0,1,130]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const t=60,D=t*60,R=D*24,M=R*7,I=R*30,g=R*365;function S(P,b,p){typeof P!="number"&&(P=P.getTime());const h=Math.round((new Date().getTime()-P)/1e3);if(h<-30)return(0,E.localize)(0,null,S(new Date().getTime()+h*1e3,!1));if(h<30)return(0,E.localize)(1,null);let y;return h<t?(y=h,b?y===1?p?(0,E.localize)(2,null,y):(0,E.localize)(3,null,y):p?(0,E.localize)(4,null,y):(0,E.localize)(5,null,y):y===1?p?(0,E.localize)(6,null,y):(0,E.localize)(7,null,y):p?(0,E.localize)(8,null,y):(0,E.localize)(9,null,y)):h<D?(y=Math.floor(h/t),b?y===1?p?(0,E.localize)(10,null,y):(0,E.localize)(11,null,y):p?(0,E.localize)(12,null,y):(0,E.localize)(13,null,y):y===1?p?(0,E.localize)(14,null,y):(0,E.localize)(15,null,y):p?(0,E.localize)(16,null,y):(0,E.localize)(17,null,y)):h<R?(y=Math.floor(h/D),b?y===1?p?(0,E.localize)(18,null,y):(0,E.localize)(19,null,y):p?(0,E.localize)(20,null,y):(0,E.localize)(21,null,y):y===1?p?(0,E.localize)(22,null,y):(0,E.localize)(23,null,y):p?(0,E.localize)(24,null,y):(0,E.localize)(25,null,y)):h<M?(y=Math.floor(h/R),b?y===1?(0,E.localize)(26,null,y):(0,E.localize)(27,null,y):y===1?(0,E.localize)(28,null,y):(0,E.localize)(29,null,y)):h<I?(y=Math.floor(h/M),b?y===1?p?(0,E.localize)(30,null,y):(0,E.localize)(31,null,y):p?(0,E.localize)(32,null,y):(0,E.localize)(33,null,y):y===1?p?(0,E.localize)(34,null,y):(0,E.localize)(35,null,y):p?(0,E.localize)(36,null,y):(0,E.localize)(37,null,y)):h<g?(y=Math.floor(h/I),b?y===1?p?(0,E.localize)(38,null,y):(0,E.localize)(39,null,y):p?(0,E.localize)(40,null,y):(0,E.localize)(41,null,y):y===1?p?(0,E.localize)(42,null,y):(0,E.localize)(43,null,y):p?(0,E.localize)(44,null,y):(0,E.localize)(45,null,y)):(y=Math.floor(h/g),b?y===1?p?(0,E.localize)(46,null,y):(0,E.localize)(47,null,y):p?(0,E.localize)(48,null,y):(0,E.localize)(49,null,y):y===1?p?(0,E.localize)(50,null,y):(0,E.localize)(51,null,y):p?(0,E.localize)(52,null,y):(0,E.localize)(53,null,y))}e.fromNow=S;function C(P){return P.getFullYear()+"-"+String(P.getMonth()+1).padStart(2,"0")+"-"+String(P.getDate()).padStart(2,"0")+"T"+String(P.getHours()).padStart(2,"0")+":"+String(P.getMinutes()).padStart(2,"0")+":"+String(P.getSeconds()).padStart(2,"0")+"."+(P.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=C}),define(J[132],Z([11,10]),function($,e){return $.create("vs/base/common/errorMessage",e)}),define(J[41],Z([0,1,25,13,132]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function R(P,b){return b&&(P.stack||P.stacktrace)?D.localize(0,null,I(P),M(P.stack)||M(P.stacktrace)):I(P)}function M(P){return Array.isArray(P)?P.join(`
`):P}function I(P){return typeof P.code=="string"&&typeof P.errno=="number"&&typeof P.syscall=="string"?D.localize(1,null,P.message):P.message||D.localize(2,null)}function g(P=null,b=!1){if(!P)return D.localize(3,null);if(Array.isArray(P)){const p=E.coalesce(P),h=g(p[0],b);return p.length>1?D.localize(4,null,h,p.length):h}if(t.isString(P))return P;if(P.detail){const p=P.detail;if(p.error)return R(p.error,b);if(p.exception)return R(p.exception,b)}return P.stack?R(P,b):P.message?P.message:D.localize(5,null)}e.toErrorMessage=g;function S(P){const b=P;return b instanceof Error&&Array.isArray(b.actions)}e.isErrorWithActions=S;function C(P,b){let p;return typeof P=="string"?p=new Error(P):p=P,p.actions=b,p}e.createErrorWithActions=C}),define(J[133],Z([11,10]),function($,e){return $.create("vs/base/common/platform",e)}),define(J[4],Z([0,1,133]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isAndroid=e.isEdge=e.isSafari=e.isFirefox=e.isChrome=e.isLittleEndian=e.OS=e.OperatingSystem=e.setTimeout0=e.setTimeout0IsFaster=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isCI=e.isIOS=e.isWebWorker=e.isWeb=e.isElectron=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.globals=void 0;const t="en";let D=!1,R=!1,M=!1,I=!1,g=!1,S=!1,C=!1,P=!1,b=!1,p,h=t,y,v;e.globals=typeof self=="object"?self:typeof global=="object"?global:{};let w;typeof e.globals.vscode!="undefined"&&typeof e.globals.vscode.process!="undefined"?w=e.globals.vscode.process:typeof process!="undefined"&&(w=process);const m=typeof w?.versions?.electron=="string",d=m&&w?.type==="renderer";if(typeof navigator=="object"&&!d)v=navigator.userAgent,D=v.indexOf("Windows")>=0,R=v.indexOf("Macintosh")>=0,P=(v.indexOf("Macintosh")>=0||v.indexOf("iPad")>=0||v.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,M=v.indexOf("Linux")>=0,S=!0,p=E.getConfiguredDefaultLocale(E.localize(0,null))||t,h=p;else if(typeof w=="object"){D=w.platform==="win32",R=w.platform==="darwin",M=w.platform==="linux",I=M&&!!w.env.SNAP&&!!w.env.SNAP_REVISION,C=m,b=!!w.env.CI||!!w.env.BUILD_ARTIFACTSTAGINGDIRECTORY,p=t,h=t;const c=w.env.VSCODE_NLS_CONFIG;if(c)try{const f=JSON.parse(c),k=f.availableLanguages["*"];p=f.locale,h=k||t,y=f._translationsConfigFile}catch{}g=!0}else console.error("Unable to resolve platform.");var u;(function(c){c[c.Web=0]="Web",c[c.Mac=1]="Mac",c[c.Linux=2]="Linux",c[c.Windows=3]="Windows"})(u=e.Platform||(e.Platform={}));function l(c){switch(c){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=l;let n=0;R?n=1:D?n=3:M&&(n=2),e.isWindows=D,e.isMacintosh=R,e.isLinux=M,e.isLinuxSnap=I,e.isNative=g,e.isElectron=C,e.isWeb=S,e.isWebWorker=S&&typeof e.globals.importScripts=="function",e.isIOS=P,e.isCI=b,e.platform=n,e.userAgent=v,e.language=h;var r;(function(c){function f(){return e.language}c.value=f;function k(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}c.isDefaultVariant=k;function L(){return e.language==="en"}c.isDefault=L})(r=e.Language||(e.Language={})),e.locale=p,e.translationsConfigFile=y,e.setTimeout0IsFaster=typeof e.globals.postMessage=="function"&&!e.globals.importScripts,e.setTimeout0=(()=>{if(e.setTimeout0IsFaster){const c=[];e.globals.addEventListener("message",k=>{if(k.data&&k.data.vscodeScheduleAsyncWork)for(let L=0,T=c.length;L<T;L++){const U=c[L];if(U.id===k.data.vscodeScheduleAsyncWork){c.splice(L,1),U.callback();return}}});let f=0;return k=>{const L=++f;c.push({id:L,callback:k}),e.globals.postMessage({vscodeScheduleAsyncWork:L},"*")}}return c=>setTimeout(c)})();var i;(function(c){c[c.Windows=1]="Windows",c[c.Macintosh=2]="Macintosh",c[c.Linux=3]="Linux"})(i=e.OperatingSystem||(e.OperatingSystem={})),e.OS=R||P?2:D?1:3;let s=!0,o=!1;function a(){if(!o){o=!0;const c=new Uint8Array(2);c[0]=1,c[1]=2,s=new Uint16Array(c.buffer)[0]===(2<<8)+1}return s}e.isLittleEndian=a,e.isChrome=!!(e.userAgent&&e.userAgent.indexOf("Chrome")>=0),e.isFirefox=!!(e.userAgent&&e.userAgent.indexOf("Firefox")>=0),e.isSafari=!!(!e.isChrome&&e.userAgent&&e.userAgent.indexOf("Safari")>=0),e.isEdge=!!(e.userAgent&&e.userAgent.indexOf("Edg/")>=0),e.isAndroid=!!(e.userAgent&&e.userAgent.indexOf("Android")>=0)}),define(J[36],Z([0,1,4]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.arch=e.platform=e.env=e.cwd=void 0;let t;if(typeof E.globals.vscode!="undefined"&&typeof E.globals.vscode.process!="undefined"){const D=E.globals.vscode.process;t={get platform(){return D.platform},get arch(){return D.arch},get env(){return D.env},cwd(){return D.cwd()}}}else typeof process!="undefined"?t={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:t={get platform(){return E.isWindows?"win32":E.isMacintosh?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=t.cwd,e.env=t.env,e.platform=t.platform,e.arch=t.arch}),define(J[9],Z([0,1,36]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const t=65,D=97,R=90,M=122,I=46,g=47,S=92,C=58,P=63;class b extends Error{constructor(u,l,n){let r;typeof l=="string"&&l.indexOf("not ")===0?(r="must not be",l=l.replace(/^not /,"")):r="must be";const i=u.indexOf(".")!==-1?"property":"argument";let s=`The "${u}" ${i} ${r} of type ${l}`;s+=`. Received type ${typeof n}`;super(s);this.code="ERR_INVALID_ARG_TYPE"}}function p(d,u){if(typeof d!="string")throw new b(u,"string",d)}function h(d){return d===g||d===S}function y(d){return d===g}function v(d){return d>=t&&d<=R||d>=D&&d<=M}function w(d,u,l,n){let r="",i=0,s=-1,o=0,a=0;for(let c=0;c<=d.length;++c){if(c<d.length)a=d.charCodeAt(c);else{if(n(a))break;a=g}if(n(a)){if(!(s===c-1||o===1))if(o===2){if(r.length<2||i!==2||r.charCodeAt(r.length-1)!==I||r.charCodeAt(r.length-2)!==I){if(r.length>2){const f=r.lastIndexOf(l);f===-1?(r="",i=0):(r=r.slice(0,f),i=r.length-1-r.lastIndexOf(l)),s=c,o=0;continue}else if(r.length!==0){r="",i=0,s=c,o=0;continue}}u&&(r+=r.length>0?`${l}..`:"..",i=2)}else r.length>0?r+=`${l}${d.slice(s+1,c)}`:r=d.slice(s+1,c),i=c-s-1;s=c,o=0}else a===I&&o!==-1?++o:o=-1}return r}function m(d,u){if(u===null||typeof u!="object")throw new b("pathObject","Object",u);const l=u.dir||u.root,n=u.base||`${u.name||""}${u.ext||""}`;return l?l===u.root?`${l}${n}`:`${l}${d}${n}`:n}e.win32={resolve(...d){let u="",l="",n=!1;for(let r=d.length-1;r>=-1;r--){let i;if(r>=0){if(i=d[r],p(i,"path"),i.length===0)continue}else u.length===0?i=E.cwd():(i=E.env[`=${u}`]||E.cwd(),(i===void 0||i.slice(0,2).toLowerCase()!==u.toLowerCase()&&i.charCodeAt(2)===S)&&(i=`${u}\\`));const s=i.length;let o=0,a="",c=!1;const f=i.charCodeAt(0);if(s===1)h(f)&&(o=1,c=!0);else if(h(f))if(c=!0,h(i.charCodeAt(1))){let k=2,L=k;for(;k<s&&!h(i.charCodeAt(k));)k++;if(k<s&&k!==L){const T=i.slice(L,k);for(L=k;k<s&&h(i.charCodeAt(k));)k++;if(k<s&&k!==L){for(L=k;k<s&&!h(i.charCodeAt(k));)k++;(k===s||k!==L)&&(a=`\\\\${T}\\${i.slice(L,k)}`,o=k)}}}else o=1;else v(f)&&i.charCodeAt(1)===C&&(a=i.slice(0,2),o=2,s>2&&h(i.charCodeAt(2))&&(c=!0,o=3));if(a.length>0)if(u.length>0){if(a.toLowerCase()!==u.toLowerCase())continue}else u=a;if(n){if(u.length>0)break}else if(l=`${i.slice(o)}\\${l}`,n=c,c&&u.length>0)break}return l=w(l,!n,"\\",h),n?`${u}\\${l}`:`${u}${l}`||"."},normalize(d){p(d,"path");const u=d.length;if(u===0)return".";let l=0,n,r=!1;const i=d.charCodeAt(0);if(u===1)return y(i)?"\\":d;if(h(i))if(r=!0,h(d.charCodeAt(1))){let o=2,a=o;for(;o<u&&!h(d.charCodeAt(o));)o++;if(o<u&&o!==a){const c=d.slice(a,o);for(a=o;o<u&&h(d.charCodeAt(o));)o++;if(o<u&&o!==a){for(a=o;o<u&&!h(d.charCodeAt(o));)o++;if(o===u)return`\\\\${c}\\${d.slice(a)}\\`;o!==a&&(n=`\\\\${c}\\${d.slice(a,o)}`,l=o)}}}else l=1;else v(i)&&d.charCodeAt(1)===C&&(n=d.slice(0,2),l=2,u>2&&h(d.charCodeAt(2))&&(r=!0,l=3));let s=l<u?w(d.slice(l),!r,"\\",h):"";return s.length===0&&!r&&(s="."),s.length>0&&h(d.charCodeAt(u-1))&&(s+="\\"),n===void 0?r?`\\${s}`:s:r?`${n}\\${s}`:`${n}${s}`},isAbsolute(d){p(d,"path");const u=d.length;if(u===0)return!1;const l=d.charCodeAt(0);return h(l)||u>2&&v(l)&&d.charCodeAt(1)===C&&h(d.charCodeAt(2))},join(...d){if(d.length===0)return".";let u,l;for(let i=0;i<d.length;++i){const s=d[i];p(s,"path"),s.length>0&&(u===void 0?u=l=s:u+=`\\${s}`)}if(u===void 0)return".";let n=!0,r=0;if(typeof l=="string"&&h(l.charCodeAt(0))){++r;const i=l.length;i>1&&h(l.charCodeAt(1))&&(++r,i>2&&(h(l.charCodeAt(2))?++r:n=!1))}if(n){for(;r<u.length&&h(u.charCodeAt(r));)r++;r>=2&&(u=`\\${u.slice(r)}`)}return e.win32.normalize(u)},relative(d,u){if(p(d,"from"),p(u,"to"),d===u)return"";const l=e.win32.resolve(d),n=e.win32.resolve(u);if(l===n||(d=l.toLowerCase(),u=n.toLowerCase(),d===u))return"";let r=0;for(;r<d.length&&d.charCodeAt(r)===S;)r++;let i=d.length;for(;i-1>r&&d.charCodeAt(i-1)===S;)i--;const s=i-r;let o=0;for(;o<u.length&&u.charCodeAt(o)===S;)o++;let a=u.length;for(;a-1>o&&u.charCodeAt(a-1)===S;)a--;const c=a-o,f=s<c?s:c;let k=-1,L=0;for(;L<f;L++){const U=d.charCodeAt(r+L);if(U!==u.charCodeAt(o+L))break;U===S&&(k=L)}if(L!==f){if(k===-1)return n}else{if(c>f){if(u.charCodeAt(o+L)===S)return n.slice(o+L+1);if(L===2)return n.slice(o+L)}s>f&&(d.charCodeAt(r+L)===S?k=L:L===2&&(k=3)),k===-1&&(k=0)}let T="";for(L=r+k+1;L<=i;++L)(L===i||d.charCodeAt(L)===S)&&(T+=T.length===0?"..":"\\..");return o+=k,T.length>0?`${T}${n.slice(o,a)}`:(n.charCodeAt(o)===S&&++o,n.slice(o,a))},toNamespacedPath(d){if(typeof d!="string")return d;if(d.length===0)return"";const u=e.win32.resolve(d);if(u.length<=2)return d;if(u.charCodeAt(0)===S){if(u.charCodeAt(1)===S){const l=u.charCodeAt(2);if(l!==P&&l!==I)return`\\\\?\\UNC\\${u.slice(2)}`}}else if(v(u.charCodeAt(0))&&u.charCodeAt(1)===C&&u.charCodeAt(2)===S)return`\\\\?\\${u}`;return d},dirname(d){p(d,"path");const u=d.length;if(u===0)return".";let l=-1,n=0;const r=d.charCodeAt(0);if(u===1)return h(r)?d:".";if(h(r)){if(l=n=1,h(d.charCodeAt(1))){let o=2,a=o;for(;o<u&&!h(d.charCodeAt(o));)o++;if(o<u&&o!==a){for(a=o;o<u&&h(d.charCodeAt(o));)o++;if(o<u&&o!==a){for(a=o;o<u&&!h(d.charCodeAt(o));)o++;if(o===u)return d;o!==a&&(l=n=o+1)}}}}else v(r)&&d.charCodeAt(1)===C&&(l=u>2&&h(d.charCodeAt(2))?3:2,n=l);let i=-1,s=!0;for(let o=u-1;o>=n;--o)if(h(d.charCodeAt(o))){if(!s){i=o;break}}else s=!1;if(i===-1){if(l===-1)return".";i=l}return d.slice(0,i)},basename(d,u){u!==void 0&&p(u,"ext"),p(d,"path");let l=0,n=-1,r=!0,i;if(d.length>=2&&v(d.charCodeAt(0))&&d.charCodeAt(1)===C&&(l=2),u!==void 0&&u.length>0&&u.length<=d.length){if(u===d)return"";let s=u.length-1,o=-1;for(i=d.length-1;i>=l;--i){const a=d.charCodeAt(i);if(h(a)){if(!r){l=i+1;break}}else o===-1&&(r=!1,o=i+1),s>=0&&(a===u.charCodeAt(s)?--s==-1&&(n=i):(s=-1,n=o))}return l===n?n=o:n===-1&&(n=d.length),d.slice(l,n)}for(i=d.length-1;i>=l;--i)if(h(d.charCodeAt(i))){if(!r){l=i+1;break}}else n===-1&&(r=!1,n=i+1);return n===-1?"":d.slice(l,n)},extname(d){p(d,"path");let u=0,l=-1,n=0,r=-1,i=!0,s=0;d.length>=2&&d.charCodeAt(1)===C&&v(d.charCodeAt(0))&&(u=n=2);for(let o=d.length-1;o>=u;--o){const a=d.charCodeAt(o);if(h(a)){if(!i){n=o+1;break}continue}r===-1&&(i=!1,r=o+1),a===I?l===-1?l=o:s!==1&&(s=1):l!==-1&&(s=-1)}return l===-1||r===-1||s===0||s===1&&l===r-1&&l===n+1?"":d.slice(l,r)},format:m.bind(null,"\\"),parse(d){p(d,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(d.length===0)return u;const l=d.length;let n=0,r=d.charCodeAt(0);if(l===1)return h(r)?(u.root=u.dir=d,u):(u.base=u.name=d,u);if(h(r)){if(n=1,h(d.charCodeAt(1))){let k=2,L=k;for(;k<l&&!h(d.charCodeAt(k));)k++;if(k<l&&k!==L){for(L=k;k<l&&h(d.charCodeAt(k));)k++;if(k<l&&k!==L){for(L=k;k<l&&!h(d.charCodeAt(k));)k++;k===l?n=k:k!==L&&(n=k+1)}}}}else if(v(r)&&d.charCodeAt(1)===C){if(l<=2)return u.root=u.dir=d,u;if(n=2,h(d.charCodeAt(2))){if(l===3)return u.root=u.dir=d,u;n=3}}n>0&&(u.root=d.slice(0,n));let i=-1,s=n,o=-1,a=!0,c=d.length-1,f=0;for(;c>=n;--c){if(r=d.charCodeAt(c),h(r)){if(!a){s=c+1;break}continue}o===-1&&(a=!1,o=c+1),r===I?i===-1?i=c:f!==1&&(f=1):i!==-1&&(f=-1)}return o!==-1&&(i===-1||f===0||f===1&&i===o-1&&i===s+1?u.base=u.name=d.slice(s,o):(u.name=d.slice(s,i),u.base=d.slice(s,o),u.ext=d.slice(i,o))),s>0&&s!==n?u.dir=d.slice(0,s-1):u.dir=u.root,u},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...d){let u="",l=!1;for(let n=d.length-1;n>=-1&&!l;n--){const r=n>=0?d[n]:E.cwd();p(r,"path"),r.length!==0&&(u=`${r}/${u}`,l=r.charCodeAt(0)===g)}return u=w(u,!l,"/",y),l?`/${u}`:u.length>0?u:"."},normalize(d){if(p(d,"path"),d.length===0)return".";const u=d.charCodeAt(0)===g,l=d.charCodeAt(d.length-1)===g;return d=w(d,!u,"/",y),d.length===0?u?"/":l?"./":".":(l&&(d+="/"),u?`/${d}`:d)},isAbsolute(d){return p(d,"path"),d.length>0&&d.charCodeAt(0)===g},join(...d){if(d.length===0)return".";let u;for(let l=0;l<d.length;++l){const n=d[l];p(n,"path"),n.length>0&&(u===void 0?u=n:u+=`/${n}`)}return u===void 0?".":e.posix.normalize(u)},relative(d,u){if(p(d,"from"),p(u,"to"),d===u||(d=e.posix.resolve(d),u=e.posix.resolve(u),d===u))return"";const l=1,n=d.length,r=n-l,i=1,s=u.length-i,o=r<s?r:s;let a=-1,c=0;for(;c<o;c++){const k=d.charCodeAt(l+c);if(k!==u.charCodeAt(i+c))break;k===g&&(a=c)}if(c===o)if(s>o){if(u.charCodeAt(i+c)===g)return u.slice(i+c+1);if(c===0)return u.slice(i+c)}else r>o&&(d.charCodeAt(l+c)===g?a=c:c===0&&(a=0));let f="";for(c=l+a+1;c<=n;++c)(c===n||d.charCodeAt(c)===g)&&(f+=f.length===0?"..":"/..");return`${f}${u.slice(i+a)}`},toNamespacedPath(d){return d},dirname(d){if(p(d,"path"),d.length===0)return".";const u=d.charCodeAt(0)===g;let l=-1,n=!0;for(let r=d.length-1;r>=1;--r)if(d.charCodeAt(r)===g){if(!n){l=r;break}}else n=!1;return l===-1?u?"/":".":u&&l===1?"//":d.slice(0,l)},basename(d,u){u!==void 0&&p(u,"ext"),p(d,"path");let l=0,n=-1,r=!0,i;if(u!==void 0&&u.length>0&&u.length<=d.length){if(u===d)return"";let s=u.length-1,o=-1;for(i=d.length-1;i>=0;--i){const a=d.charCodeAt(i);if(a===g){if(!r){l=i+1;break}}else o===-1&&(r=!1,o=i+1),s>=0&&(a===u.charCodeAt(s)?--s==-1&&(n=i):(s=-1,n=o))}return l===n?n=o:n===-1&&(n=d.length),d.slice(l,n)}for(i=d.length-1;i>=0;--i)if(d.charCodeAt(i)===g){if(!r){l=i+1;break}}else n===-1&&(r=!1,n=i+1);return n===-1?"":d.slice(l,n)},extname(d){p(d,"path");let u=-1,l=0,n=-1,r=!0,i=0;for(let s=d.length-1;s>=0;--s){const o=d.charCodeAt(s);if(o===g){if(!r){l=s+1;break}continue}n===-1&&(r=!1,n=s+1),o===I?u===-1?u=s:i!==1&&(i=1):u!==-1&&(i=-1)}return u===-1||n===-1||i===0||i===1&&u===n-1&&u===l+1?"":d.slice(u,n)},format:m.bind(null,"/"),parse(d){p(d,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(d.length===0)return u;const l=d.charCodeAt(0)===g;let n;l?(u.root="/",n=1):n=0;let r=-1,i=0,s=-1,o=!0,a=d.length-1,c=0;for(;a>=n;--a){const f=d.charCodeAt(a);if(f===g){if(!o){i=a+1;break}continue}s===-1&&(o=!1,s=a+1),f===I?r===-1?r=a:c!==1&&(c=1):r!==-1&&(c=-1)}if(s!==-1){const f=i===0&&l?1:i;r===-1||c===0||c===1&&r===s-1&&r===i+1?u.base=u.name=d.slice(f,s):(u.name=d.slice(f,r),u.base=d.slice(f,s),u.ext=d.slice(r,s))}return i>0?u.dir=d.slice(0,i-1):l&&(u.dir="/"),u},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=E.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=E.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=E.platform==="win32"?e.win32.join:e.posix.join,e.resolve=E.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=E.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=E.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=E.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=E.platform==="win32"?e.win32.extname:e.posix.extname,e.format=E.platform==="win32"?e.win32.format:e.posix.format,e.parse=E.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=E.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=E.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=E.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(J[77],Z([0,1,4]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var t;(function(I){I[I.stdout=0]="stdout",I[I.stderr=1]="stderr"})(t=e.Source||(e.Source={}));var D;(function(I){I[I.Success=0]="Success",I[I.Unknown=1]="Unknown",I[I.AccessDenied=2]="AccessDenied",I[I.ProcessNotFound=3]="ProcessNotFound"})(D=e.TerminateResponseCode||(e.TerminateResponseCode={}));function R(I,...g){const S=g.reduce((b,p)=>(b[p]=!0,b),{}),C=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(I).filter(b=>!S[b]).forEach(b=>{for(let p=0;p<C.length;p++)if(b.search(C[p])!==-1){delete I[b];break}})}e.sanitizeProcessEnvironment=R;function M(I){!I||(delete I.DEBUG,E.isMacintosh&&delete I.DYLD_LIBRARY_PATH,E.isLinux&&delete I.LD_PRELOAD)}e.removeDangerousEnvVariables=M}),define(J[78],Z([0,1,4]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const t=E.globals.performance&&typeof E.globals.performance.now=="function";class D{constructor(M){this._highResolution=t&&M,this._startTime=this._now(),this._stopTime=-1}static create(M=!0){return new D(M)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?E.globals.performance.now():Date.now()}}e.StopWatch=D}),define(J[3],Z([0,1,18,48,2,121,78]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.MicrotaskEmitter=e.DebounceEmitter=e.PauseableEmitter=e.AsyncEmitter=e.EventDeliveryQueue=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;const I=!1,g=!1;var S;(function(a){a.None=()=>D.Disposable.None;function c(O){if(g){const{onListenerDidAdd:N}=O,j=h.create();let F=0;O.onListenerDidAdd=()=>{++F==2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),j.print()),N?.()}}}function f(O){return(N,j=null,F)=>{let z=!1,K;return K=O(te=>{if(!z)return K?K.dispose():z=!0,N.call(j,te)},null,F),z&&K.dispose(),K}}a.once=f;function k(O,N,j){return ne((F,z=null,K)=>O(te=>F.call(z,N(te)),null,K),j)}a.map=k;function L(O,N,j){return ne((F,z=null,K)=>O(te=>{N(te),F.call(z,te)},null,K),j)}a.forEach=L;function T(O,N,j){return ne((F,z=null,K)=>O(te=>N(te)&&F.call(z,te),null,K),j)}a.filter=T;function U(O){return O}a.signal=U;function G(...O){return(N,j=null,F)=>(0,D.combinedDisposable)(...O.map(z=>z(K=>N.call(j,K),null,F)))}a.any=G;function ie(O,N,j,F){let z=j;return k(O,K=>(z=N(z,K),z),F)}a.reduce=ie;function ne(O,N){let j;const F={onFirstListenerAdd(){j=O(z.fire,z)},onLastListenerRemove(){j?.dispose()}};N||c(F);const z=new v(F);return N?.add(z),z.event}function Y(O,N,j=100,F=!1,z,K){let te,oe,we,fe=0;const Ie={leakWarningThreshold:z,onFirstListenerAdd(){te=O(Pe=>{fe++,oe=N(oe,Pe),F&&!we&&(Ee.fire(oe),oe=void 0),clearTimeout(we),we=setTimeout(()=>{const We=oe;oe=void 0,we=void 0,(!F||fe>1)&&Ee.fire(We),fe=0},j)})},onLastListenerRemove(){te.dispose()}};K||c(Ie);const Ee=new v(Ie);return K?.add(Ee),Ee.event}a.debounce=Y;function ae(O,N=(F,z)=>F===z,j){let F=!0,z;return T(O,K=>{const te=F||!N(K,z);return F=!1,z=K,te},j)}a.latch=ae;function ce(O,N,j){return[a.filter(O,N,j),a.filter(O,F=>!N(F),j)]}a.split=ce;function H(O,N=!1,j=[]){let F=j.slice(),z=O(oe=>{F?F.push(oe):te.fire(oe)});const K=()=>{F?.forEach(oe=>te.fire(oe)),F=null},te=new v({onFirstListenerAdd(){z||(z=O(oe=>te.fire(oe)))},onFirstListenerDidAdd(){F&&(N?setTimeout(K):K())},onLastListenerRemove(){z&&z.dispose(),z=null}});return te.event}a.buffer=H;class se{constructor(N){this.event=N,this.disposables=new D.DisposableStore}map(N){return new se(k(this.event,N,this.disposables))}forEach(N){return new se(L(this.event,N,this.disposables))}filter(N){return new se(T(this.event,N,this.disposables))}reduce(N,j){return new se(ie(this.event,N,j,this.disposables))}latch(){return new se(ae(this.event,void 0,this.disposables))}debounce(N,j=100,F=!1,z){return new se(Y(this.event,N,j,F,z,this.disposables))}on(N,j,F){return this.event(N,j,F)}once(N,j,F){return f(this.event)(N,j,F)}dispose(){this.disposables.dispose()}}function W(O){return new se(O)}a.chain=W;function _(O,N,j=F=>F){const F=(...oe)=>te.fire(j(...oe)),z=()=>O.on(N,F),K=()=>O.removeListener(N,F),te=new v({onFirstListenerAdd:z,onLastListenerRemove:K});return te.event}a.fromNodeEventEmitter=_;function B(O,N,j=F=>F){const F=(...oe)=>te.fire(j(...oe)),z=()=>O.addEventListener(N,F),K=()=>O.removeEventListener(N,F),te=new v({onFirstListenerAdd:z,onLastListenerRemove:K});return te.event}a.fromDOMEventEmitter=B;function X(O){return new Promise(N=>f(O)(N))}a.toPromise=X;function q(O,N){return N(void 0),O(j=>N(j))}a.runAndSubscribe=q;function Q(O,N){let j=null;function F(K){j?.dispose(),j=new D.DisposableStore,N(K,j)}F(void 0);const z=O(K=>F(K));return(0,D.toDisposable)(()=>{z.dispose(),j?.dispose()})}a.runAndSubscribeWithStore=Q;class x{constructor(N,j){this.obs=N,this._counter=0,this._hasChanged=!1;const F={onFirstListenerAdd:()=>{N.addObserver(this)},onLastListenerRemove:()=>{N.removeObserver(this)}};j||c(F),this.emitter=new v(F),j&&j.add(this.emitter)}beginUpdate(N){this._counter++}handleChange(N,j){this._hasChanged=!0}endUpdate(N){--this._counter==0&&this._hasChanged&&(this._hasChanged=!1,this.emitter.fire(this.obs.get()))}}function A(O,N){return new x(O,N).emitter.event}a.fromObservable=A})(S=e.Event||(e.Event={}));class C{constructor(c){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${c}_${C._idPool++}`}start(c){this._stopWatch=new M.StopWatch(!0),this._listenerCount=c}stop(){if(this._stopWatch){const c=this._stopWatch.elapsed();this._elapsedOverall+=c,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${c.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}C._idPool=0;let P=-1;function b(a){const c=P;return P=a,{dispose(){P=c}}}e.setGlobalLeakWarningThreshold=b;class p{constructor(c,f=Math.random().toString(18).slice(2,5)){this.customThreshold=c,this.name=f,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(c,f){let k=P;if(typeof this.customThreshold=="number"&&(k=this.customThreshold),k<=0||f<k)return;this._stacks||(this._stacks=new Map);const L=this._stacks.get(c.value)||0;if(this._stacks.set(c.value,L+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=k*.5;let T,U=0;for(const[G,ie]of this._stacks)(!T||U<ie)&&(T=G,U=ie);console.warn(`[${this.name}] potential listener LEAK detected, having ${f} listeners already. MOST frequent listener (${U}):`),console.warn(T)}return()=>{const T=this._stacks.get(c.value)||0;this._stacks.set(c.value,T-1)}}}class h{constructor(c){this.value=c}static create(){return new h(new Error().stack??"")}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}class y{constructor(c,f,k){this.callback=c,this.callbackThis=f,this.stack=k,this.subscription=new D.SafeDisposable}invoke(c){this.callback.call(this.callbackThis,c)}}class v{constructor(c){this._disposed=!1,this._options=c,this._leakageMon=P>0?new p(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=this._options?._profName?new C(this._options._profName):void 0,this._deliveryQueue=this._options?.deliveryQueue}dispose(){if(!this._disposed){if(this._disposed=!0,this._listeners){if(I){const c=Array.from(this._listeners);queueMicrotask(()=>{for(const f of c)f.subscription.isset()&&(f.subscription.unset(),f.stack?.print())})}this._listeners.clear()}this._deliveryQueue?.clear(this),this._options?.onLastListenerRemove?.(),this._leakageMon?.dispose()}}get event(){return this._event||(this._event=(c,f,k)=>{this._listeners||(this._listeners=new R.LinkedList);const L=this._listeners.isEmpty();L&&this._options?.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);let T,U;this._leakageMon&&this._listeners.size>=30&&(U=h.create(),T=this._leakageMon.check(U,this._listeners.size+1)),I&&(U=U??h.create());const G=new y(c,f,U),ie=this._listeners.push(G);L&&this._options?.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options?.onListenerDidAdd&&this._options.onListenerDidAdd(this,c,f);const ne=G.subscription.set(()=>{T?.(),this._disposed||(ie(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))});return k instanceof D.DisposableStore?k.add(ne):Array.isArray(k)&&k.push(ne),ne}),this._event}fire(c){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new m);for(const f of this._listeners)this._deliveryQueue.push(this,f,c);this._perfMon?.start(this._deliveryQueue.size),this._deliveryQueue.deliver(),this._perfMon?.stop()}}hasListeners(){return this._listeners?!this._listeners.isEmpty():!1}}e.Emitter=v;class w{constructor(){this._queue=new R.LinkedList}get size(){return this._queue.size}push(c,f,k){this._queue.push(new d(c,f,k))}clear(c){const f=new R.LinkedList;for(const k of this._queue)k.emitter!==c&&f.push(k);this._queue=f}deliver(){for(;this._queue.size>0;){const c=this._queue.shift();try{c.listener.invoke(c.event)}catch(f){(0,E.onUnexpectedError)(f)}}}}e.EventDeliveryQueue=w;class m extends w{clear(c){this._queue.clear()}}class d{constructor(c,f,k){this.emitter=c,this.listener=f,this.event=k}}class u extends v{async fireAsync(c,f,k){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new R.LinkedList);for(const L of this._listeners)this._asyncDeliveryQueue.push([L,c]);for(;this._asyncDeliveryQueue.size>0&&!f.isCancellationRequested;){const[L,T]=this._asyncDeliveryQueue.shift(),U=[],G={...T,token:f,waitUntil:ie=>{if(Object.isFrozen(U))throw new Error("waitUntil can NOT be called asynchronous");k&&(ie=k(ie,L.callback)),U.push(ie)}};try{L.invoke(G)}catch(ie){(0,E.onUnexpectedError)(ie);continue}Object.freeze(U),await Promise.allSettled(U).then(ie=>{for(const ne of ie)ne.status==="rejected"&&(0,E.onUnexpectedError)(ne.reason)})}}}}e.AsyncEmitter=u;class l extends v{constructor(c){super(c);this._isPaused=0,this._eventQueue=new R.LinkedList,this._mergeFn=c?.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const c=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(c))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(c){this._listeners&&(this._isPaused!==0?this._eventQueue.push(c):super.fire(c))}}e.PauseableEmitter=l;class n extends l{constructor(c){super(c);this._delay=c.delay??100}fire(c){this._handle||(this.pause(),this._handle=setTimeout(()=>{this._handle=void 0,this.resume()},this._delay)),super.fire(c)}}e.DebounceEmitter=n;class r extends v{constructor(c){super(c);this._queuedEvents=[],this._mergeFn=c?.merge}fire(c){this._queuedEvents.push(c),this._queuedEvents.length===1&&queueMicrotask(()=>{this._mergeFn?super.fire(this._mergeFn(this._queuedEvents)):this._queuedEvents.forEach(f=>super.fire(f)),this._queuedEvents=[]})}}e.MicrotaskEmitter=r;class i{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new v({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(c){const f={event:c,listener:null};this.events.push(f),this.hasListeners&&this.hook(f);const k=()=>{this.hasListeners&&this.unhook(f);const L=this.events.indexOf(f);this.events.splice(L,1)};return(0,D.toDisposable)((0,t.once)(k))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(c=>this.hook(c))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(c=>this.unhook(c))}hook(c){c.listener=c.event(f=>this.emitter.fire(f))}unhook(c){c.listener&&c.listener.dispose(),c.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=i;class s{constructor(){this.buffers=[]}wrapEvent(c){return(f,k,L)=>c(T=>{const U=this.buffers[this.buffers.length-1];U?U.push(()=>f.call(k,T)):f.call(k,T)},void 0,L)}bufferEvents(c){const f=[];this.buffers.push(f);const k=c();return this.buffers.pop(),f.forEach(L=>L()),k}}e.EventBufferer=s;class o{constructor(){this.listening=!1,this.inputEvent=S.None,this.inputEventListener=D.Disposable.None,this.emitter=new v({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(c){this.inputEvent=c,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=c(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=o}),define(J[22],Z([0,1,3]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const t=Object.freeze(function(I,g){const S=setTimeout(I.bind(g),0);return{dispose(){clearTimeout(S)}}});var D;(function(I){function g(S){return S===I.None||S===I.Cancelled||S instanceof R?!0:!S||typeof S!="object"?!1:typeof S.isCancellationRequested=="boolean"&&typeof S.onCancellationRequested=="function"}I.isCancellationToken=g,I.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:E.Event.None}),I.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:t})})(D=e.CancellationToken||(e.CancellationToken={}));class R{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?t:(this._emitter||(this._emitter=new E.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class M{constructor(g){this._token=void 0,this._parentListener=void 0,this._parentListener=g&&g.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new R),this._token}cancel(){this._token?this._token instanceof R&&this._token.cancel():this._token=D.Cancelled}dispose(g=!1){g&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof R&&this._token.dispose():this._token=D.None}}e.CancellationTokenSource=M}),define(J[134],Z([0,1,22]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CachedFunction=e.LRUCachedFunction=e.Cache=void 0;class t{constructor(I){this.task=I,this.result=null}get(){if(this.result)return this.result;const I=new E.CancellationTokenSource,g=this.task(I.token);return this.result={promise:g,dispose:()=>{this.result=null,I.cancel(),I.dispose()}},this.result}}e.Cache=t;class D{constructor(I){this.fn=I,this.lastCache=void 0,this.lastArgKey=void 0}get(I){const g=JSON.stringify(I);return this.lastArgKey!==g&&(this.lastArgKey=g,this.lastCache=this.fn(I)),this.lastCache}}e.LRUCachedFunction=D;class R{constructor(I){this.fn=I,this._map=new Map}get cachedValues(){return this._map}get(I){if(this._map.has(I))return this._map.get(I);const g=this.fn(I);return this._map.set(I,g),g}}e.CachedFunction=R}),define(J[91],Z([0,1,3,2]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MutableObservableValue=e.staticObservableValue=void 0;const D=M=>({onDidChange:E.Event.None,value:M});e.staticObservableValue=D;class R extends t.Disposable{constructor(I){super();this._value=I,this.changeEmitter=this._register(new E.Emitter),this.onDidChange=this.changeEmitter.event}get value(){return this._value}set value(I){I!==this._value&&(this._value=I,this.changeEmitter.fire(I))}}e.MutableObservableValue=R}),define(J[31],Z([0,1,134,120]),function($,e,E,t){"use strict";var D;Object.defineProperty(e,"__esModule",{value:!0}),e.InvisibleCharacters=e.AmbiguousCharacters=e.noBreakWhitespace=e.getLeftDeleteOffset=e.GraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsRTL=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.GraphemeIterator=e.CodePointIterator=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.isAsciiDigit=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.replaceAsync=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format2=e.format=e.isFalsyOrWhitespace=void 0;function R(V){return!V||typeof V!="string"?!0:V.trim().length===0}e.isFalsyOrWhitespace=R;const M=/{(\d+)}/g;function I(V,...re){return re.length===0?V:V.replace(M,function(ue,ge){const ye=parseInt(ge,10);return isNaN(ye)||ye<0||ye>=re.length?ue:re[ye]})}e.format=I;const g=/{([^}]+)}/g;function S(V,re){return V.replace(g,(ue,ge)=>re[ge]??ue)}e.format2=S;function C(V){return V.replace(/[<>&]/g,function(re){switch(re){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return re}})}e.escape=C;function P(V){return V.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=P;function b(V,re){let ue=0;const ge=re.charCodeAt(0);for(let ye=V.length-1;ye>=0;ye--)V.charCodeAt(ye)===ge&&ue++;return ue}e.count=b;function p(V,re,ue="\u2026"){return V.length<=re?V:`${V.substr(0,re)}${ue}`}e.truncate=p;function h(V,re=" "){const ue=y(V,re);return v(ue,re)}e.trim=h;function y(V,re){if(!V||!re)return V;const ue=re.length;if(ue===0||V.length===0)return V;let ge=0;for(;V.indexOf(re,ge)===ge;)ge=ge+ue;return V.substring(ge)}e.ltrim=y;function v(V,re){if(!V||!re)return V;const ue=re.length,ge=V.length;if(ue===0||ge===0)return V;let ye=ge,De=-1;for(;De=V.lastIndexOf(re,ye-1),!(De===-1||De+ue!==ye);){if(De===0)return"";ye=De}return V.substring(0,ye)}e.rtrim=v;function w(V){return V.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=w;function m(V){return V.replace(/\*/g,"")}e.stripWildcards=m;function d(V,re,ue={}){if(!V)throw new Error("Cannot create regex from empty string");re||(V=P(V)),ue.wholeWord&&(/\B/.test(V.charAt(0))||(V="\\b"+V),/\B/.test(V.charAt(V.length-1))||(V=V+"\\b"));let ge="";return ue.global&&(ge+="g"),ue.matchCase||(ge+="i"),ue.multiline&&(ge+="m"),ue.unicode&&(ge+="u"),new RegExp(V,ge)}e.createRegExp=d;function u(V){return V.source==="^"||V.source==="^$"||V.source==="$"||V.source==="^\\s*$"?!1:!!(V.exec("")&&V.lastIndex===0)}e.regExpLeadsToEndlessLoop=u;function l(V){return!!V.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=l;function n(V){return(V.global?"g":"")+(V.ignoreCase?"i":"")+(V.multiline?"m":"")+(V.unicode?"u":"")}e.regExpFlags=n;function r(V){return V.split(/\r\n|\r|\n/)}e.splitLines=r;function i(V){for(let re=0,ue=V.length;re<ue;re++){const ge=V.charCodeAt(re);if(ge!==32&&ge!==9)return re}return-1}e.firstNonWhitespaceIndex=i;function s(V,re=0,ue=V.length){for(let ge=re;ge<ue;ge++){const ye=V.charCodeAt(ge);if(ye!==32&&ye!==9)return V.substring(re,ge)}return V.substring(re,ue)}e.getLeadingWhitespace=s;function o(V,re=V.length-1){for(let ue=re;ue>=0;ue--){const ge=V.charCodeAt(ue);if(ge!==32&&ge!==9)return ue}return-1}e.lastNonWhitespaceIndex=o;function a(V,re,ue){const ge=[];let ye=0;for(const De of V.matchAll(re)){if(ge.push(V.slice(ye,De.index)),De.index===void 0)throw new Error("match.index should be defined");ye=De.index+De[0].length,ge.push(ue(De[0],...De.slice(1),De.index,V,De.groups))}return ge.push(V.slice(ye)),Promise.all(ge).then(De=>De.join(""))}e.replaceAsync=a;function c(V,re){return V<re?-1:V>re?1:0}e.compare=c;function f(V,re,ue=0,ge=V.length,ye=0,De=re.length){for(;ue<ge&&ye<De;ue++,ye++){const et=V.charCodeAt(ue),He=re.charCodeAt(ye);if(et<He)return-1;if(et>He)return 1}const qe=ge-ue,it=De-ye;return qe<it?-1:qe>it?1:0}e.compareSubstring=f;function k(V,re){return L(V,re,0,V.length,0,re.length)}e.compareIgnoreCase=k;function L(V,re,ue=0,ge=V.length,ye=0,De=re.length){for(;ue<ge&&ye<De;ue++,ye++){let et=V.charCodeAt(ue),He=re.charCodeAt(ye);if(et===He)continue;if(et>=128||He>=128)return f(V.toLowerCase(),re.toLowerCase(),ue,ge,ye,De);U(et)&&(et-=32),U(He)&&(He-=32);const Xe=et-He;if(Xe!==0)return Xe}const qe=ge-ue,it=De-ye;return qe<it?-1:qe>it?1:0}e.compareSubstringIgnoreCase=L;function T(V){return V>=48&&V<=57}e.isAsciiDigit=T;function U(V){return V>=97&&V<=122}e.isLowerAsciiLetter=U;function G(V){return V>=65&&V<=90}e.isUpperAsciiLetter=G;function ie(V,re){return V.length===re.length&&L(V,re)===0}e.equalsIgnoreCase=ie;function ne(V,re){const ue=re.length;return re.length>V.length?!1:L(V,re,0,ue)===0}e.startsWithIgnoreCase=ne;function Y(V,re){const ue=Math.min(V.length,re.length);let ge;for(ge=0;ge<ue;ge++)if(V.charCodeAt(ge)!==re.charCodeAt(ge))return ge;return ue}e.commonPrefixLength=Y;function ae(V,re){const ue=Math.min(V.length,re.length);let ge;const ye=V.length-1,De=re.length-1;for(ge=0;ge<ue;ge++)if(V.charCodeAt(ye-ge)!==re.charCodeAt(De-ge))return ge;return ue}e.commonSuffixLength=ae;function ce(V){return 55296<=V&&V<=56319}e.isHighSurrogate=ce;function H(V){return 56320<=V&&V<=57343}e.isLowSurrogate=H;function se(V,re){return(V-55296<<10)+(re-56320)+65536}e.computeCodePoint=se;function W(V,re,ue){const ge=V.charCodeAt(ue);if(ce(ge)&&ue+1<re){const ye=V.charCodeAt(ue+1);if(H(ye))return se(ge,ye)}return ge}e.getNextCodePoint=W;function _(V,re){const ue=V.charCodeAt(re-1);if(H(ue)&&re>1){const ge=V.charCodeAt(re-2);if(ce(ge))return se(ge,ue)}return ue}class B{constructor(re,ue=0){this._str=re,this._len=re.length,this._offset=ue}get offset(){return this._offset}setOffset(re){this._offset=re}prevCodePoint(){const re=_(this._str,this._offset);return this._offset-=re>=65536?2:1,re}nextCodePoint(){const re=W(this._str,this._len,this._offset);return this._offset+=re>=65536?2:1,re}eol(){return this._offset>=this._len}}e.CodePointIterator=B;class X{constructor(re,ue=0){this._iterator=new B(re,ue)}get offset(){return this._iterator.offset}nextGraphemeLength(){const re=Le.getInstance(),ue=this._iterator,ge=ue.offset;let ye=re.getGraphemeBreakType(ue.nextCodePoint());for(;!ue.eol();){const De=ue.offset,qe=re.getGraphemeBreakType(ue.nextCodePoint());if(Re(ye,qe)){ue.setOffset(De);break}ye=qe}return ue.offset-ge}prevGraphemeLength(){const re=Le.getInstance(),ue=this._iterator,ge=ue.offset;let ye=re.getGraphemeBreakType(ue.prevCodePoint());for(;ue.offset>0;){const De=ue.offset,qe=re.getGraphemeBreakType(ue.prevCodePoint());if(Re(qe,ye)){ue.setOffset(De);break}ye=qe}return ge-ue.offset}eol(){return this._iterator.eol()}}e.GraphemeIterator=X;function q(V,re){return new X(V,re).nextGraphemeLength()}e.nextCharLength=q;function Q(V,re){return new X(V,re).prevGraphemeLength()}e.prevCharLength=Q;function x(V,re){re>0&&H(V.charCodeAt(re))&&re--;const ue=re+q(V,re);return[ue-Q(V,ue),ue]}e.getCharContainingOffset=x;const A=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function O(V){return A.test(V)}e.containsRTL=O;const N=/^[\t\n\r\x20-\x7E]*$/;function j(V){return N.test(V)}e.isBasicASCII=j,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function F(V){return e.UNUSUAL_LINE_TERMINATORS.test(V)}e.containsUnusualLineTerminators=F;function z(V){return V>=11904&&V<=55215||V>=63744&&V<=64255||V>=65281&&V<=65374}e.isFullWidthCharacter=z;function K(V){return V>=127462&&V<=127487||V===8986||V===8987||V===9200||V===9203||V>=9728&&V<=10175||V===11088||V===11093||V>=127744&&V<=128591||V>=128640&&V<=128764||V>=128992&&V<=129008||V>=129280&&V<=129535||V>=129648&&V<=129782}e.isEmojiImprecise=K;function te(V,re){if(V.length<re)return V;const ue=/\b/g;let ge=0;for(;ue.test(V)&&!(V.length-ue.lastIndex<re);)ge=ue.lastIndex,ue.lastIndex+=1;return V.substring(ge).replace(/^\s/,"")}e.lcut=te;const oe=/\x1B\x5B[12]?K/g,we=/\x1b\[\d+m/g,fe=/\x1b\[0?m/g;function Ie(V){return V&&(V=V.replace(oe,""),V=V.replace(we,""),V=V.replace(fe,"")),V}e.removeAnsiEscapeCodes=Ie,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Ee(V){return!!(V&&V.length>0&&V.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Ee;function Pe(V){return Ee(V)?V.substr(1):V}e.stripUTF8BOM=Pe;function We(V,re){if(!V||!re||V.length<re.length)return!1;const ue=re.length,ge=V.toLowerCase();let ye=0,De=-1;for(;ye<ue;){const qe=ge.indexOf(re[ye],De+1);if(qe<0)return!1;De=qe,ye++}return!0}e.fuzzyContains=We;function Ue(V,re=!1){return V?(re&&(V=V.replace(/\\./g,"")),V.toLowerCase()!==V):!1}e.containsUppercaseCharacter=Ue;function le(V){return V.charAt(0).toUpperCase()+V.slice(1)}e.uppercaseFirstLetter=le;function he(V,re=1){if(re===0)return"";let ue=-1;do ue=V.indexOf(`
`,ue+1),re--;while(re>0&&ue>=0);return ue===-1?V:(V[ue-1]==="\r"&&ue--,V.substr(0,ue))}e.getNLines=he;function pe(V){const re=90-65+1;return V=V%(2*re),V<re?String.fromCharCode(97+V):String.fromCharCode(65+V-re)}e.singleLetterHash=pe;function ke(V){return Le.getInstance().getGraphemeBreakType(V)}e.getGraphemeBreakType=ke;function Re(V,re){return V===0?re!==5&&re!==7:V===2&&re===3?!1:V===4||V===2||V===3||re===4||re===2||re===3?!0:!(V===8&&(re===8||re===9||re===11||re===12)||(V===11||V===9)&&(re===9||re===10)||(V===12||V===10)&&re===10||re===5||re===13||re===7||V===1||V===13&&re===14||V===6&&re===6)}var Je;(function(V){V[V.Other=0]="Other",V[V.Prepend=1]="Prepend",V[V.CR=2]="CR",V[V.LF=3]="LF",V[V.Control=4]="Control",V[V.Extend=5]="Extend",V[V.Regional_Indicator=6]="Regional_Indicator",V[V.SpacingMark=7]="SpacingMark",V[V.L=8]="L",V[V.V=9]="V",V[V.T=10]="T",V[V.LV=11]="LV",V[V.LVT=12]="LVT",V[V.ZWJ=13]="ZWJ",V[V.Extended_Pictographic=14]="Extended_Pictographic"})(Je=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Le{constructor(){this._data=Be()}static getInstance(){return Le._INSTANCE||(Le._INSTANCE=new Le),Le._INSTANCE}getGraphemeBreakType(re){if(re<32)return re===10?3:re===13?2:4;if(re<127)return 0;const ue=this._data,ge=ue.length/3;let ye=1;for(;ye<=ge;)if(re<ue[3*ye])ye=2*ye;else if(re>ue[3*ye+1])ye=2*ye+1;else return ue[3*ye+2];return 0}}Le._INSTANCE=null;function Be(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function Ae(V,re){if(V===0)return 0;const ue=Ye(V,re);if(ue!==void 0)return ue;const ge=new B(re,V);return ge.prevCodePoint(),ge.offset}e.getLeftDeleteOffset=Ae;function Ye(V,re){const ue=new B(re,V);let ge=ue.prevCodePoint();for(;Qe(ge)||ge===65039||ge===8419;){if(ue.offset===0)return;ge=ue.prevCodePoint()}if(!K(ge))return;let ye=ue.offset;return ye>0&&ue.prevCodePoint()===8205&&(ye=ue.offset),ye}function Qe(V){return 127995<=V&&V<=127999}var Ze;(function(V){V[V.zwj=8205]="zwj",V[V.emojiVariantSelector=65039]="emojiVariantSelector",V[V.enclosingKeyCap=8419]="enclosingKeyCap"})(Ze||(Ze={})),e.noBreakWhitespace="\xA0";class $e{constructor(re){this.confusableDictionary=re}static getInstance(re){return $e.cache.get(Array.from(re))}static getLocales(){return $e._locales.getValue()}isAmbiguous(re){return this.confusableDictionary.has(re)}getPrimaryConfusable(re){return this.confusableDictionary.get(re)}getConfusableCodePoints(){return new Set(this.confusableDictionary.keys())}}e.AmbiguousCharacters=$e,D=$e,$e.ambiguousCharacterData=new t.Lazy(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}')),$e.cache=new E.LRUCachedFunction(V=>{function re(He){const Xe=new Map;for(let xe=0;xe<He.length;xe+=2)Xe.set(He[xe],He[xe+1]);return Xe}function ue(He,Xe){const xe=new Map(He);for(const[at,ct]of Xe)xe.set(at,ct);return xe}function ge(He,Xe){if(!He)return Xe;const xe=new Map;for(const[at,ct]of He)Xe.has(at)&&xe.set(at,ct);return xe}const ye=D.ambiguousCharacterData.getValue();let De=V.filter(He=>!He.startsWith("_")&&He in ye);De.length===0&&(De=["_default"]);let qe;for(const He of De){const Xe=re(ye[He]);qe=ge(qe,Xe)}const it=re(ye._common),et=ue(it,qe);return new $e(et)}),$e._locales=new t.Lazy(()=>Object.keys($e.ambiguousCharacterData.getValue()).filter(V=>!V.startsWith("_")));class je{static getRawData(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static getData(){return this._data||(this._data=new Set(je.getRawData())),this._data}static isInvisibleCharacter(re){return je.getData().has(re)}static get codePoints(){return je.getData()}}e.InvisibleCharacters=je,je._data=void 0}),define(J[29],Z([0,1,9,4,31,13]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.randomPath=e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toPosixPath=e.toSlashes=e.isPathSeparator=void 0;function M(o){return o===47||o===92}e.isPathSeparator=M;function I(o){return o.replace(/[\\/]/g,E.posix.sep)}e.toSlashes=I;function g(o){return o.indexOf("/")===-1&&(o=I(o)),/^[a-zA-Z]:(\/|$)/.test(o)&&(o="/"+o),o}e.toPosixPath=g;function S(o,a=E.posix.sep){if(!o)return"";const c=o.length,f=o.charCodeAt(0);if(M(f)){if(M(o.charCodeAt(1))&&!M(o.charCodeAt(2))){let L=3;const T=L;for(;L<c&&!M(o.charCodeAt(L));L++);if(T!==L&&!M(o.charCodeAt(L+1))){for(L+=1;L<c;L++)if(M(o.charCodeAt(L)))return o.slice(0,L+1).replace(/[\\/]/g,a)}}return a}else if(w(f)&&o.charCodeAt(1)===58)return M(o.charCodeAt(2))?o.slice(0,2)+a:o.slice(0,2);let k=o.indexOf("://");if(k!==-1){for(k+=3;k<c;k++)if(M(o.charCodeAt(k)))return o.slice(0,k+1)}return""}e.getRoot=S;function C(o){if(!t.isWindows||!o||o.length<5)return!1;let a=o.charCodeAt(0);if(a!==92||(a=o.charCodeAt(1),a!==92))return!1;let c=2;const f=c;for(;c<o.length&&(a=o.charCodeAt(c),a!==92);c++);return!(f===c||(a=o.charCodeAt(c+1),isNaN(a)||a===92))}e.isUNC=C;const P=/[\\/:\*\?"<>\|]/g,b=/[\\/]/g,p=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function h(o,a=t.isWindows){const c=a?P:b;return!(!o||o.length===0||/^\s+$/.test(o)||(c.lastIndex=0,c.test(o))||a&&p.test(o)||o==="."||o===".."||a&&o[o.length-1]==="."||a&&o.length!==o.trim().length||o.length>255)}e.isValidBasename=h;function y(o,a,c){const f=o===a;return!c||f?f:!o||!a?!1:(0,D.equalsIgnoreCase)(o,a)}e.isEqual=y;function v(o,a,c,f=E.sep){if(o===a)return!0;if(!o||!a||a.length>o.length)return!1;if(c){if(!(0,D.startsWithIgnoreCase)(o,a))return!1;if(a.length===o.length)return!0;let L=a.length;return a.charAt(a.length-1)===f&&L--,o.charAt(L)===f}return a.charAt(a.length-1)!==f&&(a+=f),o.indexOf(a)===0}e.isEqualOrParent=v;function w(o){return o>=65&&o<=90||o>=97&&o<=122}e.isWindowsDriveLetter=w;function m(o,a){return t.isWindows&&o.endsWith(":")&&(o+=E.sep),(0,E.isAbsolute)(o)||(o=(0,E.join)(a,o)),o=(0,E.normalize)(o),t.isWindows?(o=(0,D.rtrim)(o,E.sep),o.endsWith(":")&&(o+=E.sep)):(o=(0,D.rtrim)(o,E.sep),o||(o=E.sep)),o}e.sanitizeFilePath=m;function d(o){const a=(0,E.normalize)(o);return t.isWindows?o.length>3?!1:u(a)&&(o.length===2||a.charCodeAt(2)===92):a===E.posix.sep}e.isRootOrDriveLetter=d;function u(o,a=t.isWindows){return a?w(o.charCodeAt(0))&&o.charCodeAt(1)===58:!1}e.hasDriveLetter=u;function l(o){return u(o)?o[0]:void 0}e.getDriveLetter=l;function n(o,a,c){return a.length>o.length?-1:o===a?0:(c&&(o=o.toLowerCase(),a=a.toLowerCase()),o.indexOf(a))}e.indexOfPath=n;function r(o){const a=o.split(":");let c,f,k;for(const L of a){const T=Number(L);(0,R.isNumber)(T)?f===void 0?f=T:k===void 0&&(k=T):c=c?[c,L].join(":"):L}if(!c)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:c,line:f!==void 0?f:void 0,column:k!==void 0?k:f!==void 0?1:void 0}}e.parseLineAndColumnAware=r;const i="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789";function s(o,a,c=8){let f="";for(let L=0;L<c;L++)f+=i.charAt(Math.floor(Math.random()*i.length));let k;return a?k=`${a}-${f}`:k=f,o?(0,E.join)(o,k):k}e.randomPath=s}),define(J[55],Z([0,1,31]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function t(w){return D(w,0)}e.hash=t;function D(w,m){switch(typeof w){case"object":return w===null?R(349,m):Array.isArray(w)?g(w,m):S(w,m);case"string":return I(w,m);case"boolean":return M(w,m);case"number":return R(w,m);case"undefined":return R(937,m);default:return R(617,m)}}e.doHash=D;function R(w,m){return(m<<5)-m+w|0}e.numberHash=R;function M(w,m){return R(w?433:863,m)}function I(w,m){m=R(149417,m);for(let d=0,u=w.length;d<u;d++)m=R(w.charCodeAt(d),m);return m}e.stringHash=I;function g(w,m){return m=R(104579,m),w.reduce((d,u)=>D(u,d),m)}function S(w,m){return m=R(181387,m),Object.keys(w).sort().reduce((d,u)=>(d=I(u,d),D(w[u],d)),m)}class C{constructor(){this._value=0}get value(){return this._value}hash(m){return this._value=D(m,this._value),this._value}}e.Hasher=C;var P;(function(w){w[w.BLOCK_SIZE=64]="BLOCK_SIZE",w[w.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(P||(P={}));function b(w,m,d=32){const u=d-m,l=~((1<<u)-1);return(w<<m|(l&w)>>>u)>>>0}function p(w,m=0,d=w.byteLength,u=0){for(let l=0;l<d;l++)w[m+l]=u}function h(w,m,d="0"){for(;w.length<m;)w=d+w;return w}function y(w,m=32){return w instanceof ArrayBuffer?Array.from(new Uint8Array(w)).map(d=>d.toString(16).padStart(2,"0")).join(""):h((w>>>0).toString(16),m/4)}e.toHexString=y;class v{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(m){const d=m.length;if(d===0)return;const u=this._buff;let l=this._buffLen,n=this._leftoverHighSurrogate,r,i;for(n!==0?(r=n,i=-1,n=0):(r=m.charCodeAt(0),i=0);;){let s=r;if(E.isHighSurrogate(r))if(i+1<d){const o=m.charCodeAt(i+1);E.isLowSurrogate(o)?(i++,s=E.computeCodePoint(r,o)):s=65533}else{n=r;break}else E.isLowSurrogate(r)&&(s=65533);if(l=this._push(u,l,s),i++,i<d)r=m.charCodeAt(i);else break}this._buffLen=l,this._leftoverHighSurrogate=n}_push(m,d,u){return u<128?m[d++]=u:u<2048?(m[d++]=192|(u&1984)>>>6,m[d++]=128|(u&63)>>>0):u<65536?(m[d++]=224|(u&61440)>>>12,m[d++]=128|(u&4032)>>>6,m[d++]=128|(u&63)>>>0):(m[d++]=240|(u&1835008)>>>18,m[d++]=128|(u&258048)>>>12,m[d++]=128|(u&4032)>>>6,m[d++]=128|(u&63)>>>0),d>=64&&(this._step(),d-=64,this._totalLen+=64,m[0]=m[64+0],m[1]=m[64+1],m[2]=m[64+2]),d}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),y(this._h0)+y(this._h1)+y(this._h2)+y(this._h3)+y(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,p(this._buff,this._buffLen),this._buffLen>56&&(this._step(),p(this._buff));const m=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(m/4294967296),!1),this._buffDV.setUint32(60,m%4294967296,!1),this._step()}_step(){const m=v._bigBlock32,d=this._buffDV;for(let c=0;c<64;c+=4)m.setUint32(c,d.getUint32(c,!1),!1);for(let c=64;c<320;c+=4)m.setUint32(c,b(m.getUint32(c-12,!1)^m.getUint32(c-32,!1)^m.getUint32(c-56,!1)^m.getUint32(c-64,!1),1),!1);let u=this._h0,l=this._h1,n=this._h2,r=this._h3,i=this._h4,s,o,a;for(let c=0;c<80;c++)c<20?(s=l&n|~l&r,o=1518500249):c<40?(s=l^n^r,o=1859775393):c<60?(s=l&n|l&r|n&r,o=2400959708):(s=l^n^r,o=3395469782),a=b(u,5)+s+i+o+m.getUint32(c*4,!1)&4294967295,i=r,r=n,n=b(l,30),l=u,u=a;this._h0=this._h0+u&4294967295,this._h1=this._h1+l&4294967295,this._h2=this._h2+n&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+i&4294967295}}e.StringSHA1=v,v._bigBlock32=new DataView(new ArrayBuffer(320))});var At=this&&this.__classPrivateFieldSet||function($,e,E,t,D){if(t==="m")throw new TypeError("Private method is not writable");if(t==="a"&&!D)throw new TypeError("Private accessor was defined without a setter");if(typeof e=="function"?$!==e||!D:!e.has($))throw new TypeError("Cannot write private member to an object whose class did not declare it");return t==="a"?D.call($,E):D?D.value=E:e.set($,E),E},st=this&&this.__classPrivateFieldGet||function($,e,E,t){if(E==="a"&&!t)throw new TypeError("Private accessor was defined without a getter");if(typeof e=="function"?$!==e||!t:!e.has($))throw new TypeError("Cannot read private member from an object whose class did not declare it");return E==="m"?t:E==="a"?t.call($):t?t.value:e.get($)};define(J[33],Z([0,1,25,31]),function($,e,E,t){"use strict";var D,R,M,I;Object.defineProperty(e,"__esModule",{value:!0}),e.ReadonlyMapView=e.LRUCache=e.LinkedMap=e.Touch=e.ResourceSet=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function g(o,a,c){let f=o.get(a);return f===void 0&&(f=c,o.set(a,f)),f}e.getOrSet=g;function S(o){const a=[];return o.forEach((c,f)=>{a.push(`${f} => ${c}`)}),`Map(${o.size}) {${a.join(", ")}}`}e.mapToString=S;function C(o){const a=[];return o.forEach(c=>{a.push(c)}),`Set(${o.size}) {${a.join(", ")}}`}e.setToString=C;class P{constructor(){this._value="",this._pos=0}reset(a){return this._value=a,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(a){const c=a.charCodeAt(0),f=this._value.charCodeAt(this._pos);return c-f}value(){return this._value[this._pos]}}e.StringIterator=P;class b{constructor(a=!0){this._caseSensitive=a}reset(a){return this._value=a,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(a)this._from++;else break;else a=!1;return this}cmp(a){return this._caseSensitive?(0,t.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=b;class p{constructor(a=!0,c=!0){this._splitOnBackslash=a,this._caseSensitive=c}reset(a){this._from=0,this._to=0,this._value=a,this._valueLen=a.length;for(let c=a.length-1;c>=0;c--,this._valueLen--){const f=this._value.charCodeAt(c);if(!(f===47||this._splitOnBackslash&&f===92))break}return this.next()}hasNext(){return this._to<this._valueLen}next(){this._from=this._to;let a=!0;for(;this._to<this._valueLen;this._to++){const c=this._value.charCodeAt(this._to);if(c===47||this._splitOnBackslash&&c===92)if(a)this._from++;else break;else a=!1}return this}cmp(a){return this._caseSensitive?(0,t.compareSubstring)(a,this._value,0,a.length,this._from,this._to):(0,t.compareSubstringIgnoreCase)(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=p;var h;(function(o){o[o.Scheme=1]="Scheme",o[o.Authority=2]="Authority",o[o.Path=3]="Path",o[o.Query=4]="Query",o[o.Fragment=5]="Fragment"})(h||(h={}));class y{constructor(a,c){this._ignorePathCasing=a,this._ignoreQueryAndFragment=c,this._states=[],this._stateIdx=0}reset(a){return this._value=a,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new p(!1,!this._ignorePathCasing(a)),this._pathIterator.reset(a.path),this._pathIterator.value()&&this._states.push(3)),this._ignoreQueryAndFragment(a)||(this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5)),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(a){if(this._states[this._stateIdx]===1)return(0,t.compareIgnoreCase)(a,this._value.scheme);if(this._states[this._stateIdx]===2)return(0,t.compareIgnoreCase)(a,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(a);if(this._states[this._stateIdx]===4)return(0,t.compare)(a,this._value.query);if(this._states[this._stateIdx]===5)return(0,t.compare)(a,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=y;class v{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const a=this.right;return this.right=a.left,a.left=this,this.updateHeight(),a.updateHeight(),a}rotateRight(){const a=this.left;return this.left=a.right,a.right=this,this.updateHeight(),a.updateHeight(),a}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var w;(function(o){o[o.Left=-1]="Left",o[o.Mid=0]="Mid",o[o.Right=1]="Right"})(w||(w={}));class m{constructor(a){this._iter=a}static forUris(a=()=>!1,c=()=>!1){return new m(new y(a,c))}static forPaths(a=!1){return new m(new p(void 0,!a))}static forStrings(){return new m(new P)}static forConfigKeys(){return new m(new b)}clear(){this._root=void 0}fill(a,c){if(c){const f=c.slice(0);(0,E.shuffle)(f);for(const k of f)this.set(k,a)}else{const f=a.slice(0);(0,E.shuffle)(f);for(const k of f)this.set(k[0],k[1])}}set(a,c){const f=this._iter.reset(a);let k;this._root||(this._root=new v,this._root.segment=f.value());const L=[];for(k=this._root;;){const U=f.cmp(k.segment);if(U>0)k.left||(k.left=new v,k.left.segment=f.value()),L.push([-1,k]),k=k.left;else if(U<0)k.right||(k.right=new v,k.right.segment=f.value()),L.push([1,k]),k=k.right;else if(f.hasNext())f.next(),k.mid||(k.mid=new v,k.mid.segment=f.value()),L.push([0,k]),k=k.mid;else break}const T=k.value;k.value=c,k.key=a;for(let U=L.length-1;U>=0;U--){const G=L[U][1];G.updateHeight();const ie=G.balanceFactor();if(ie<-1||ie>1){const ne=L[U][0],Y=L[U+1][0];if(ne===1&&Y===1)L[U][1]=G.rotateLeft();else if(ne===-1&&Y===-1)L[U][1]=G.rotateRight();else if(ne===1&&Y===-1)G.right=L[U+1][1]=L[U+1][1].rotateRight(),L[U][1]=G.rotateLeft();else if(ne===-1&&Y===1)G.left=L[U+1][1]=L[U+1][1].rotateLeft(),L[U][1]=G.rotateRight();else throw new Error;if(U>0)switch(L[U-1][0]){case-1:L[U-1][1].left=L[U][1];break;case 1:L[U-1][1].right=L[U][1];break;case 0:L[U-1][1].mid=L[U][1];break}else this._root=L[0][1]}}return T}get(a){return this._getNode(a)?.value}_getNode(a){const c=this._iter.reset(a);let f=this._root;for(;f;){const k=c.cmp(f.segment);if(k>0)f=f.left;else if(k<0)f=f.right;else if(c.hasNext())c.next(),f=f.mid;else break}return f}has(a){const c=this._getNode(a);return!(c?.value===void 0&&c?.mid===void 0)}delete(a){return this._delete(a,!1)}deleteSuperstr(a){return this._delete(a,!0)}_delete(a,c){const f=this._iter.reset(a),k=[];let L=this._root;for(;L;){const T=f.cmp(L.segment);if(T>0)k.push([-1,L]),L=L.left;else if(T<0)k.push([1,L]),L=L.right;else if(f.hasNext())f.next(),k.push([0,L]),L=L.mid;else break}if(!!L){if(c?(L.left=void 0,L.mid=void 0,L.right=void 0,L.height=1):(L.key=void 0,L.value=void 0),!L.mid&&!L.value)if(L.left&&L.right){const T=this._min(L.right),{key:U,value:G,segment:ie}=T;this._delete(T.key,!1),L.key=U,L.value=G,L.segment=ie}else{const T=L.left??L.right;if(k.length>0){const[U,G]=k[k.length-1];switch(U){case-1:G.left=T;break;case 0:G.mid=T;break;case 1:G.right=T;break}}else this._root=T}for(let T=k.length-1;T>=0;T--){const U=k[T][1];U.updateHeight();const G=U.balanceFactor();if(G>1?(U.right.balanceFactor()>=0||(U.right=U.right.rotateRight()),k[T][1]=U.rotateLeft()):G<-1&&(U.left.balanceFactor()<=0||(U.left=U.left.rotateLeft()),k[T][1]=U.rotateRight()),T>0)switch(k[T-1][0]){case-1:k[T-1][1].left=k[T][1];break;case 1:k[T-1][1].right=k[T][1];break;case 0:k[T-1][1].mid=k[T][1];break}else this._root=k[0][1]}}}_min(a){for(;a.left;)a=a.left;return a}findSubstr(a){const c=this._iter.reset(a);let f=this._root,k;for(;f;){const L=c.cmp(f.segment);if(L>0)f=f.left;else if(L<0)f=f.right;else if(c.hasNext())c.next(),k=f.value||k,f=f.mid;else break}return f&&f.value||k}findSuperstr(a){const c=this._iter.reset(a);let f=this._root;for(;f;){const k=c.cmp(f.segment);if(k>0)f=f.left;else if(k<0)f=f.right;else if(c.hasNext())c.next(),f=f.mid;else return f.mid?this._entries(f.mid):void 0}}forEach(a){for(const[c,f]of this)a(f,c)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(a){!a||(a.left&&(yield*this._entries(a.left)),a.value&&(yield[a.key,a.value]),a.mid&&(yield*this._entries(a.mid)),a.right&&(yield*this._entries(a.right)))}_isBalanced(){const a=c=>{if(!c)return!0;const f=c.balanceFactor();return f<-1||f>1?!1:a(c.left)&&a(c.right)};return a(this._root)}}e.TernarySearchTree=m;class d{constructor(a,c){this.uri=a,this.value=c}}class u{constructor(a,c){this[D]="ResourceMap",a instanceof u?(this.map=new Map(a.map),this.toKey=c??u.defaultToKey):(this.map=new Map,this.toKey=a??u.defaultToKey)}set(a,c){return this.map.set(this.toKey(a),new d(a,c)),this}get(a){return this.map.get(this.toKey(a))?.value}has(a){return this.map.has(this.toKey(a))}get size(){return this.map.size}clear(){this.map.clear()}delete(a){return this.map.delete(this.toKey(a))}forEach(a,c){typeof c!="undefined"&&(a=a.bind(c));for(const[f,k]of this.map)a(k.value,k.uri,this)}*values(){for(const a of this.map.values())yield a.value}*keys(){for(const a of this.map.values())yield a.uri}*entries(){for(const a of this.map.values())yield[a.uri,a.value]}*[(D=Symbol.toStringTag,Symbol.iterator)](){for(const[,a]of this.map)yield[a.uri,a.value]}}e.ResourceMap=u,u.defaultToKey=o=>o.toString();class l{constructor(a,c){this[R]="ResourceSet",!a||typeof a=="function"?this._map=new u(a):(this._map=new u(c),a.forEach(this.add,this))}get size(){return this._map.size}add(a){return this._map.set(a,a),this}clear(){this._map.clear()}delete(a){return this._map.delete(a)}forEach(a,c){this._map.forEach((f,k)=>a.call(c,k,k,this))}has(a){return this._map.has(a)}entries(){return this._map.entries()}keys(){return this._map.keys()}values(){return this._map.keys()}[(R=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.ResourceSet=l;var n;(function(o){o[o.None=0]="None",o[o.AsOld=1]="AsOld",o[o.AsNew=2]="AsNew"})(n=e.Touch||(e.Touch={}));class r{constructor(){this[M]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){return this._head?.value}get last(){return this._tail?.value}has(a){return this._map.has(a)}get(a,c=0){const f=this._map.get(a);if(!!f)return c!==0&&this.touch(f,c),f.value}set(a,c,f=0){let k=this._map.get(a);if(k)k.value=c,f!==0&&this.touch(k,f);else{switch(k={key:a,value:c,next:void 0,previous:void 0},f){case 0:this.addItemLast(k);break;case 1:this.addItemFirst(k);break;case 2:this.addItemLast(k);break;default:this.addItemLast(k);break}this._map.set(a,k),this._size++}return this}delete(a){return!!this.remove(a)}remove(a){const c=this._map.get(a);if(!!c)return this._map.delete(a),this.removeItem(c),this._size--,c.value}shift(){if(!this._head&&!this._tail)return;if(!this._head||!this._tail)throw new Error("Invalid list");const a=this._head;return this._map.delete(a.key),this.removeItem(a),this._size--,a.value}forEach(a,c){const f=this._state;let k=this._head;for(;k;){if(c?a.bind(c)(k.value,k.key,this):a(k.value,k.key,this),this._state!==f)throw new Error("LinkedMap got modified during iteration.");k=k.next}}keys(){const a=this,c=this._state;let f=this._head;const k={[Symbol.iterator](){return k},next(){if(a._state!==c)throw new Error("LinkedMap got modified during iteration.");if(f){const L={value:f.key,done:!1};return f=f.next,L}else return{value:void 0,done:!0}}};return k}values(){const a=this,c=this._state;let f=this._head;const k={[Symbol.iterator](){return k},next(){if(a._state!==c)throw new Error("LinkedMap got modified during iteration.");if(f){const L={value:f.value,done:!1};return f=f.next,L}else return{value:void 0,done:!0}}};return k}entries(){const a=this,c=this._state;let f=this._head;const k={[Symbol.iterator](){return k},next(){if(a._state!==c)throw new Error("LinkedMap got modified during iteration.");if(f){const L={value:[f.key,f.value],done:!1};return f=f.next,L}else return{value:void 0,done:!0}}};return k}[(M=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}trimOld(a){if(a>=this.size)return;if(a===0){this.clear();return}let c=this._head,f=this.size;for(;c&&f>a;)this._map.delete(c.key),c=c.next,f--;this._head=c,this._size=f,c&&(c.previous=void 0),this._state++}addItemFirst(a){if(!this._head&&!this._tail)this._tail=a;else if(this._head)a.next=this._head,this._head.previous=a;else throw new Error("Invalid list");this._head=a,this._state++}addItemLast(a){if(!this._head&&!this._tail)this._head=a;else if(this._tail)a.previous=this._tail,this._tail.next=a;else throw new Error("Invalid list");this._tail=a,this._state++}removeItem(a){if(a===this._head&&a===this._tail)this._head=void 0,this._tail=void 0;else if(a===this._head){if(!a.next)throw new Error("Invalid list");a.next.previous=void 0,this._head=a.next}else if(a===this._tail){if(!a.previous)throw new Error("Invalid list");a.previous.next=void 0,this._tail=a.previous}else{const c=a.next,f=a.previous;if(!c||!f)throw new Error("Invalid list");c.previous=f,f.next=c}a.next=void 0,a.previous=void 0,this._state++}touch(a,c){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(c!==1&&c!==2)){if(c===1){if(a===this._head)return;const f=a.next,k=a.previous;a===this._tail?(k.next=void 0,this._tail=k):(f.previous=k,k.next=f),a.previous=void 0,a.next=this._head,this._head.previous=a,this._head=a,this._state++}else if(c===2){if(a===this._tail)return;const f=a.next,k=a.previous;a===this._head?(f.previous=void 0,this._head=f):(f.previous=k,k.next=f),a.next=void 0,a.previous=this._tail,this._tail.next=a,this._tail=a,this._state++}}}toJSON(){const a=[];return this.forEach((c,f)=>{a.push([f,c])}),a}fromJSON(a){this.clear();for(const[c,f]of a)this.set(c,f)}}e.LinkedMap=r;class i extends r{constructor(a,c=1){super();this._limit=a,this._ratio=Math.min(Math.max(0,c),1)}get limit(){return this._limit}set limit(a){this._limit=a,this.checkTrim()}get ratio(){return this._ratio}set ratio(a){this._ratio=Math.min(Math.max(0,a),1),this.checkTrim()}get(a,c=2){return super.get(a,c)}peek(a){return super.get(a,0)}set(a,c){return super.set(a,c,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=i;class s{constructor(a){I.set(this,void 0),At(this,I,a,"f")}get size(){return st(this,I,"f").size}forEach(a,c){st(this,I,"f").forEach(a,c)}get(a){return st(this,I,"f").get(a)}has(a){return st(this,I,"f").has(a)}entries(){return st(this,I,"f").entries()}keys(){return st(this,I,"f").keys()}values(){return st(this,I,"f").values()}[(I=new WeakMap,Symbol.iterator)](){return st(this,I,"f").entries()}}e.ReadonlyMapView=s}),define(J[79],Z([0,1,33]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=void 0;const t=new E.LRUCache(1e4);function D(S){return g(S,"NFC",t)}e.normalizeNFC=D;const R=new E.LRUCache(1e4);function M(S){return g(S,"NFD",R)}e.normalizeNFD=M;const I=/[^\u0000-\u0080]/;function g(S,C,P){if(!S)return S;const b=P.get(S);if(b)return b;let p;return I.test(S)?p=S.normalize(C):p=S,P.set(S,p),p}e.removeAccents=function(){const S=/[\u0300-\u036f]/g;return function(C){return M(C).replace(S,"")}}()}),define(J[7],Z([0,1,9,4]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const D=/^\w[\w\d+.-]*$/,R=/^\//,M=/^\/\//;function I(i,s){if(!i.scheme&&s)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${i.authority}", path: "${i.path}", query: "${i.query}", fragment: "${i.fragment}"}`);if(i.scheme&&!D.test(i.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(i.path){if(i.authority){if(!R.test(i.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(M.test(i.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function g(i,s){return!i&&!s?"file":i}function S(i,s){switch(i){case"https":case"http":case"file":s?s[0]!==P&&(s=P+s):s=P;break}return s}const C="",P="/",b=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class p{constructor(s,o,a,c,f,k=!1){typeof s=="object"?(this.scheme=s.scheme||C,this.authority=s.authority||C,this.path=s.path||C,this.query=s.query||C,this.fragment=s.fragment||C):(this.scheme=g(s,k),this.authority=o||C,this.path=S(this.scheme,a||C),this.query=c||C,this.fragment=f||C,I(this,k))}static isUri(s){return s instanceof p?!0:s?typeof s.authority=="string"&&typeof s.fragment=="string"&&typeof s.path=="string"&&typeof s.query=="string"&&typeof s.scheme=="string"&&typeof s.fsPath=="string"&&typeof s.with=="function"&&typeof s.toString=="function":!1}get fsPath(){return d(this,!1)}with(s){if(!s)return this;let{scheme:o,authority:a,path:c,query:f,fragment:k}=s;return o===void 0?o=this.scheme:o===null&&(o=C),a===void 0?a=this.authority:a===null&&(a=C),c===void 0?c=this.path:c===null&&(c=C),f===void 0?f=this.query:f===null&&(f=C),k===void 0?k=this.fragment:k===null&&(k=C),o===this.scheme&&a===this.authority&&c===this.path&&f===this.query&&k===this.fragment?this:new y(o,a,c,f,k)}static parse(s,o=!1){const a=b.exec(s);return a?new y(a[2]||C,r(a[4]||C),r(a[5]||C),r(a[7]||C),r(a[9]||C),o):new y(C,C,C,C,C)}static file(s){let o=C;if(t.isWindows&&(s=s.replace(/\\/g,P)),s[0]===P&&s[1]===P){const a=s.indexOf(P,2);a===-1?(o=s.substring(2),s=P):(o=s.substring(2,a),s=s.substring(a)||P)}return new y("file",o,s,C,C)}static from(s){const o=new y(s.scheme,s.authority,s.path,s.query,s.fragment);return I(o,!0),o}static joinPath(s,...o){if(!s.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let a;return t.isWindows&&s.scheme==="file"?a=p.file(E.win32.join(d(s,!0),...o)).path:a=E.posix.join(s.path,...o),s.with({path:a})}toString(s=!1){return u(this,s)}toJSON(){return this}static revive(s){if(s){if(s instanceof p)return s;{const o=new y(s);return o._formatted=s.external,o._fsPath=s._sep===h?s.fsPath:null,o}}else return s}}e.URI=p;const h=t.isWindows?1:void 0;class y extends p{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=d(this,!1)),this._fsPath}toString(s=!1){return s?u(this,!0):(this._formatted||(this._formatted=u(this,!1)),this._formatted)}toJSON(){const s={$mid:1};return this._fsPath&&(s.fsPath=this._fsPath,s._sep=h),this._formatted&&(s.external=this._formatted),this.path&&(s.path=this.path),this.scheme&&(s.scheme=this.scheme),this.authority&&(s.authority=this.authority),this.query&&(s.query=this.query),this.fragment&&(s.fragment=this.fragment),s}}const v={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function w(i,s){let o,a=-1;for(let c=0;c<i.length;c++){const f=i.charCodeAt(c);if(f>=97&&f<=122||f>=65&&f<=90||f>=48&&f<=57||f===45||f===46||f===95||f===126||s&&f===47)a!==-1&&(o+=encodeURIComponent(i.substring(a,c)),a=-1),o!==void 0&&(o+=i.charAt(c));else{o===void 0&&(o=i.substr(0,c));const k=v[f];k!==void 0?(a!==-1&&(o+=encodeURIComponent(i.substring(a,c)),a=-1),o+=k):a===-1&&(a=c)}}return a!==-1&&(o+=encodeURIComponent(i.substring(a))),o!==void 0?o:i}function m(i){let s;for(let o=0;o<i.length;o++){const a=i.charCodeAt(o);a===35||a===63?(s===void 0&&(s=i.substr(0,o)),s+=v[a]):s!==void 0&&(s+=i[o])}return s!==void 0?s:i}function d(i,s){let o;return i.authority&&i.path.length>1&&i.scheme==="file"?o=`//${i.authority}${i.path}`:i.path.charCodeAt(0)===47&&(i.path.charCodeAt(1)>=65&&i.path.charCodeAt(1)<=90||i.path.charCodeAt(1)>=97&&i.path.charCodeAt(1)<=122)&&i.path.charCodeAt(2)===58?s?o=i.path.substr(1):o=i.path[1].toLowerCase()+i.path.substr(2):o=i.path,t.isWindows&&(o=o.replace(/\//g,"\\")),o}e.uriToFsPath=d;function u(i,s){const o=s?m:w;let a="",{scheme:c,authority:f,path:k,query:L,fragment:T}=i;if(c&&(a+=c,a+=":"),(f||c==="file")&&(a+=P,a+=P),f){let U=f.indexOf("@");if(U!==-1){const G=f.substr(0,U);f=f.substr(U+1),U=G.indexOf(":"),U===-1?a+=o(G,!1):(a+=o(G.substr(0,U),!1),a+=":",a+=o(G.substr(U+1),!1)),a+="@"}f=f.toLowerCase(),U=f.indexOf(":"),U===-1?a+=o(f,!1):(a+=o(f.substr(0,U),!1),a+=f.substr(U))}if(k){if(k.length>=3&&k.charCodeAt(0)===47&&k.charCodeAt(2)===58){const U=k.charCodeAt(1);U>=65&&U<=90&&(k=`/${String.fromCharCode(U+32)}:${k.substr(3)}`)}else if(k.length>=2&&k.charCodeAt(1)===58){const U=k.charCodeAt(0);U>=65&&U<=90&&(k=`${String.fromCharCode(U+32)}:${k.substr(2)}`)}a+=o(k,!0)}return L&&(a+="?",a+=o(L,!1)),T&&(a+="#",a+=s?T:w(T,!1)),a}function l(i){try{return decodeURIComponent(i)}catch{return i.length>3?i.substr(0,3)+l(i.substr(3)):i}}const n=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(i){return i.match(n)?i.replace(n,s=>l(s)):i}}),define(J[135],Z([0,1,7]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function t(S){const C=S;return C&&typeof C.type=="string"&&typeof C.severity=="string"}e.isRemoteConsoleLog=t;function D(S){const C=[];let P;try{const b=JSON.parse(S.arguments),p=b[b.length-1];p&&p.__$stack&&(b.pop(),P=p.__$stack),C.push(...b)}catch{C.push("Unable to log remote console arguments",S.arguments)}return{args:C,stack:P}}e.parse=D;function R(S){if(typeof S!="string")return R(D(S).stack);const C=S;if(C){const P=M(C),b=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(P||"");if(b&&b.length===4)return{uri:E.URI.file(b[1]),line:Number(b[2]),column:Number(b[3])}}}e.getFirstFrame=R;function M(S){if(!S)return S;const C=S.indexOf(`
`);return C===-1?S:S.substring(0,C)}function I(S,C){const{args:P,stack:b}=D(S),p=typeof P[0]=="string"&&P.length===1;let h=M(b);h&&(h=`(${h.trim()})`);let y=[];if(typeof P[0]=="string"?h&&p?y=[`%c[${C}] %c${P[0]} %c${h}`,g("blue"),g(""),g("grey")]:y=[`%c[${C}] %c${P[0]}`,g("blue"),g(""),...P.slice(1)]:y=[`%c[${C}]%`,g("blue"),...P],h&&!p&&y.push(h),typeof console[S.severity]!="function")throw new Error("Unknown console method");console[S.severity].apply(console,y)}e.log=I;function g(S){return`color: ${S}`}}),define(J[65],Z([0,1,19,31,7]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function R(S){return JSON.stringify(S,I)}e.stringify=R;function M(S){let C=JSON.parse(S);return C=g(C),C}e.parse=M;function I(S,C){return C instanceof RegExp?{$mid:2,source:C.source,flags:(0,t.regExpFlags)(C)}:C}function g(S,C=0){if(!S||C>200)return S;if(typeof S=="object"){switch(S.$mid){case 1:return D.URI.revive(S);case 2:return new RegExp(S.source,S.flags);case 14:return new Date(S.source)}if(S instanceof E.VSBuffer||S instanceof Uint8Array)return S;if(Array.isArray(S))for(let P=0;P<S.length;++P)S[P]=g(S[P],C+1);else for(const P in S)Object.hasOwnProperty.call(S,P)&&(S[P]=g(S[P],C+1))}return S}e.revive=g}),define(J[12],Z([0,1,4,7]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.connectionTokenQueryName=e.connectionTokenCookieName=e.Schemas=void 0;var D;(function(I){I.inMemory="inmemory",I.vscode="vscode",I.internal="private",I.walkThrough="walkThrough",I.walkThroughSnippet="walkThroughSnippet",I.http="http",I.https="https",I.file="file",I.mailto="mailto",I.untitled="untitled",I.data="data",I.command="command",I.vscodeRemote="vscode-remote",I.vscodeRemoteResource="vscode-remote-resource",I.vscodeUserData="vscode-userdata",I.vscodeCustomEditor="vscode-custom-editor",I.vscodeNotebook="vscode-notebook",I.vscodeNotebookCell="vscode-notebook-cell",I.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",I.vscodeNotebookCellOutput="vscode-notebook-cell-output",I.vscodeInteractive="vscode-interactive",I.vscodeInteractiveInput="vscode-interactive-input",I.vscodeSettings="vscode-settings",I.vscodeWorkspaceTrust="vscode-workspace-trust",I.vscodeTerminal="vscode-terminal",I.webviewPanel="webview-panel",I.vscodeWebview="vscode-webview",I.extension="extension",I.vscodeFileResource="vscode-file",I.tmp="tmp",I.vsls="vsls"})(D=e.Schemas||(e.Schemas={})),e.connectionTokenCookieName="vscode-tkn",e.connectionTokenQueryName="tkn";class R{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null,this._remoteResourcesPath=`/${D.vscodeRemoteResource}`}setPreferredWebSchema(g){this._preferredWebSchema=g}setDelegate(g){this._delegate=g}setServerRootPath(g){this._remoteResourcesPath=`${g}/${D.vscodeRemoteResource}`}set(g,S,C){this._hosts[g]=S,this._ports[g]=C}setConnectionToken(g,S){this._connectionTokens[g]=S}getPreferredWebSchema(){return this._preferredWebSchema}rewrite(g){if(this._delegate)return this._delegate(g);const S=g.authority;let C=this._hosts[S];C&&C.indexOf(":")!==-1&&(C=`[${C}]`);const P=this._ports[S],b=this._connectionTokens[S];let p=`path=${encodeURIComponent(g.path)}`;return typeof b=="string"&&(p+=`&${e.connectionTokenQueryName}=${encodeURIComponent(b)}`),t.URI.from({scheme:E.isWeb?this._preferredWebSchema:D.vscodeRemoteResource,authority:`${C}:${P}`,path:this._remoteResourcesPath,query:p})}}e.RemoteAuthorities=new R;class M{asBrowserUri(g,S){const C=this.toUri(g,S);return C.scheme===D.vscodeRemote?e.RemoteAuthorities.rewrite(C):C.scheme===D.file&&(E.isNative||E.isWebWorker&&E.globals.origin===`${D.vscodeFileResource}://${M.FALLBACK_AUTHORITY}`)?C.with({scheme:D.vscodeFileResource,authority:C.authority||M.FALLBACK_AUTHORITY,query:null,fragment:null}):C}asFileUri(g,S){const C=this.toUri(g,S);return C.scheme===D.vscodeFileResource?C.with({scheme:D.file,authority:C.authority!==M.FALLBACK_AUTHORITY?C.authority:null,query:null,fragment:null}):C}toUri(g,S){return t.URI.isUri(g)?g:t.URI.parse(S.toUrl(g))}}M.FALLBACK_AUTHORITY="vscode-app",e.FileAccess=new M}),define(J[15],Z([0,1,29,12,9,4,31,7]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function g(p){return(0,I.uriToFsPath)(p,!0)}e.originalFSPath=g;class S{constructor(h){this._ignorePathCasing=h}compare(h,y,v=!1){return h===y?0:(0,M.compare)(this.getComparisonKey(h,v),this.getComparisonKey(y,v))}isEqual(h,y,v=!1){return h===y?!0:!h||!y?!1:this.getComparisonKey(h,v)===this.getComparisonKey(y,v)}getComparisonKey(h,y=!1){return h.with({path:this._ignorePathCasing(h)?h.path.toLowerCase():void 0,fragment:y?null:void 0}).toString()}ignorePathCasing(h){return this._ignorePathCasing(h)}isEqualOrParent(h,y,v=!1){if(h.scheme===y.scheme){if(h.scheme===t.Schemas.file)return E.isEqualOrParent(g(h),g(y),this._ignorePathCasing(h))&&h.query===y.query&&(v||h.fragment===y.fragment);if((0,e.isEqualAuthority)(h.authority,y.authority))return E.isEqualOrParent(h.path,y.path,this._ignorePathCasing(h),"/")&&h.query===y.query&&(v||h.fragment===y.fragment)}return!1}joinPath(h,...y){return I.URI.joinPath(h,...y)}basenameOrAuthority(h){return(0,e.basename)(h)||h.authority}basename(h){return D.posix.basename(h.path)}extname(h){return D.posix.extname(h.path)}dirname(h){if(h.path.length===0)return h;let y;return h.scheme===t.Schemas.file?y=I.URI.file(D.dirname(g(h))).path:(y=D.posix.dirname(h.path),h.authority&&y.length&&y.charCodeAt(0)!==47&&(console.error(`dirname("${h.toString})) resulted in a relative path`),y="/")),h.with({path:y})}normalizePath(h){if(!h.path.length)return h;let y;return h.scheme===t.Schemas.file?y=I.URI.file(D.normalize(g(h))).path:y=D.posix.normalize(h.path),h.with({path:y})}relativePath(h,y){if(h.scheme!==y.scheme||!(0,e.isEqualAuthority)(h.authority,y.authority))return;if(h.scheme===t.Schemas.file){const m=D.relative(g(h),g(y));return R.isWindows?E.toSlashes(m):m}let v=h.path||"/";const w=y.path||"/";if(this._ignorePathCasing(h)){let m=0;for(const d=Math.min(v.length,w.length);m<d&&!(v.charCodeAt(m)!==w.charCodeAt(m)&&v.charAt(m).toLowerCase()!==w.charAt(m).toLowerCase());m++);v=w.substr(0,m)+v.substr(m)}return D.posix.relative(v,w)}resolvePath(h,y){if(h.scheme===t.Schemas.file){const v=I.URI.file(D.resolve(g(h),y));return h.with({authority:v.authority,path:v.path})}return y=E.toPosixPath(y),h.with({path:D.posix.resolve(h.path,y)})}isAbsolutePath(h){return!!h.path&&h.path[0]==="/"}isEqualAuthority(h,y){return h===y||h!==void 0&&y!==void 0&&(0,M.equalsIgnoreCase)(h,y)}hasTrailingPathSeparator(h,y=D.sep){if(h.scheme===t.Schemas.file){const v=g(h);return v.length>E.getRoot(v).length&&v[v.length-1]===y}else{const v=h.path;return v.length>1&&v.charCodeAt(v.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(h.fsPath)}}removeTrailingPathSeparator(h,y=D.sep){return(0,e.hasTrailingPathSeparator)(h,y)?h.with({path:h.path.substr(0,h.path.length-1)}):h}addTrailingPathSeparator(h,y=D.sep){let v=!1;if(h.scheme===t.Schemas.file){const w=g(h);v=w!==void 0&&w.length===E.getRoot(w).length&&w[w.length-1]===y}else{y="/";const w=h.path;v=w.length===1&&w.charCodeAt(w.length-1)===47}return!v&&!(0,e.hasTrailingPathSeparator)(h,y)?h.with({path:h.path+"/"}):h}}e.ExtUri=S,e.extUri=new S(()=>!1),e.extUriBiasedIgnorePathCase=new S(p=>p.scheme===t.Schemas.file?!R.isLinux:!0),e.extUriIgnorePathCase=new S(p=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function C(p,h){const y=[];for(let v=0;v<p.length;v++){const w=h(p[v]);p.some((m,d)=>d===v?!1:(0,e.isEqualOrParent)(w,h(m)))||y.push(p[v])}return y}e.distinctParents=C;var P;(function(p){p.META_DATA_LABEL="label",p.META_DATA_DESCRIPTION="description",p.META_DATA_SIZE="size",p.META_DATA_MIME="mime";function h(y){const v=new Map;y.path.substring(y.path.indexOf(";")+1,y.path.lastIndexOf(";")).split(";").forEach(d=>{const[u,l]=d.split(":");u&&l&&v.set(u,l)});const m=y.path.substring(0,y.path.indexOf(";"));return m&&v.set(p.META_DATA_MIME,m),v}p.parseMetaData=h})(P=e.DataUri||(e.DataUri={}));function b(p,h,y){if(h){let v=p.path;return v&&v[0]!==D.posix.sep&&(v=D.posix.sep+v),p.with({scheme:y,authority:h,path:v})}return p.with({scheme:y})}e.toLocalResource=b}),define(J[8],Z([0,1,22,18,3,2,15,4]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createCancelableAsyncIterable=e.CancelableAsyncIterableObject=e.AsyncIterableObject=e.Promises=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.ThrottledWorker=e.RunOnceWorker=e.ProcessTimeRunOnceScheduler=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.MicrotaskDelay=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellationError=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function g(x){return!!x&&typeof x.then=="function"}e.isThenable=g;function S(x){const A=new E.CancellationTokenSource,O=x(A.token),N=new Promise((j,F)=>{const z=A.token.onCancellationRequested(()=>{z.dispose(),A.dispose(),F(new t.CancellationError)});Promise.resolve(O).then(K=>{z.dispose(),A.dispose(),j(K)},K=>{z.dispose(),A.dispose(),F(K)})});return new class{cancel(){A.cancel()}then(j,F){return N.then(j,F)}catch(j){return this.then(void 0,j)}finally(j){return N.finally(j)}}}e.createCancelablePromise=S;function C(x,A,O){return new Promise((N,j)=>{const F=A.onCancellationRequested(()=>{F.dispose(),N(O)});x.then(N,j).finally(()=>F.dispose())})}e.raceCancellation=C;function P(x,A){return new Promise((O,N)=>{const j=A.onCancellationRequested(()=>{j.dispose(),N(new t.CancellationError)});x.then(O,N).finally(()=>j.dispose())})}e.raceCancellationError=P;async function b(x){let A=-1;const O=x.map((j,F)=>j.then(z=>(A=F,z))),N=await Promise.race(O);return x.forEach((j,F)=>{F!==A&&j.cancel()}),N}e.raceCancellablePromises=b;function p(x,A,O){let N;const j=setTimeout(()=>{N?.(void 0),O?.()},A);return Promise.race([x.finally(()=>clearTimeout(j)),new Promise(F=>N=F)])}e.raceTimeout=p;function h(x){return new Promise((A,O)=>{const N=x();g(N)?N.then(A,O):A(N)})}e.asPromise=h;class y{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(A){if(this.activePromise){if(this.queuedPromiseFactory=A,!this.queuedPromise){const O=()=>{this.queuedPromise=null;const N=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,N};this.queuedPromise=new Promise(N=>{this.activePromise.then(O,O).then(N)})}return new Promise((O,N)=>{this.queuedPromise.then(O,N)})}return this.activePromise=A(),new Promise((O,N)=>{this.activePromise.then(j=>{this.activePromise=null,O(j)},j=>{this.activePromise=null,N(j)})})}}e.Throttler=y;class v{constructor(){this.current=Promise.resolve(null)}queue(A){return this.current=this.current.then(()=>A(),()=>A())}}e.Sequencer=v;class w{constructor(){this.promiseMap=new Map}queue(A,O){const j=(this.promiseMap.get(A)??Promise.resolve()).catch(()=>{}).then(O).finally(()=>{this.promiseMap.get(A)===j&&this.promiseMap.delete(A)});return this.promiseMap.set(A,j),j}}e.SequencerByKey=w;const m=(x,A)=>{let O=!0;const N=setTimeout(()=>{O=!1,A()},x);return{isTriggered:()=>O,dispose:()=>{clearTimeout(N),O=!1}}},d=x=>{let A=!0;return queueMicrotask(()=>{A&&(A=!1,x())}),{isTriggered:()=>A,dispose:()=>{A=!1}}};e.MicrotaskDelay=Symbol("MicrotaskDelay");class u{constructor(A){this.defaultDelay=A,this.deferred=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(A,O=this.defaultDelay){this.task=A,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((j,F)=>{this.doResolve=j,this.doReject=F}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const j=this.task;return this.task=null,j()}}));const N=()=>{this.deferred=null,this.doResolve?.(null)};return this.deferred=O===e.MicrotaskDelay?d(N):m(O,N),this.completionPromise}isTriggered(){return!!this.deferred?.isTriggered()}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject?.(new t.CancellationError),this.completionPromise=null)}cancelTimeout(){this.deferred?.dispose(),this.deferred=null}dispose(){this.cancel()}}e.Delayer=u;class l{constructor(A){this.delayer=new u(A),this.throttler=new y}trigger(A,O){return this.delayer.trigger(()=>this.throttler.queue(A),O)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=l;class n{constructor(){this._isOpen=!1,this._promise=new Promise((A,O)=>{this._completePromise=A})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=n;class r extends n{constructor(A){super();this._timeout=setTimeout(()=>this.open(),A)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=r;function i(x,A){return A?new Promise((O,N)=>{const j=setTimeout(()=>{F.dispose(),O()},x),F=A.onCancellationRequested(()=>{clearTimeout(j),F.dispose(),N(new t.CancellationError)})}):S(O=>i(x,O))}e.timeout=i;function s(x,A=0){const O=setTimeout(x,A);return(0,R.toDisposable)(()=>clearTimeout(O))}e.disposableTimeout=s;function o(x){const A=[];let O=0;const N=x.length;function j(){return O<N?x[O++]():null}function F(z){z!=null&&A.push(z);const K=j();return K?K.then(F):Promise.resolve(A)}return Promise.resolve(null).then(F)}e.sequence=o;function a(x,A=N=>!!N,O=null){let N=0;const j=x.length,F=()=>{if(N>=j)return Promise.resolve(O);const z=x[N++];return Promise.resolve(z()).then(te=>A(te)?Promise.resolve(te):F())};return F()}e.first=a;function c(x,A=N=>!!N,O=null){if(x.length===0)return Promise.resolve(O);let N=x.length;const j=()=>{N=-1;for(const F of x)F.cancel?.()};return new Promise((F,z)=>{for(const K of x)K.then(te=>{--N>=0&&A(te)?(j(),F(te)):N===0&&F(O)}).catch(te=>{--N>=0&&(j(),z(te))})})}e.firstParallel=c;class f{constructor(A){this._size=0,this.maxDegreeOfParalellism=A,this.outstandingPromises=[],this.runningPromises=0,this._onDrained=new D.Emitter}get onDrained(){return this._onDrained.event}get size(){return this._size}queue(A){return this._size++,new Promise((O,N)=>{this.outstandingPromises.push({factory:A,c:O,e:N}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const A=this.outstandingPromises.shift();this.runningPromises++;const O=A.factory();O.then(A.c,A.e),O.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onDrained.fire()}dispose(){this._onDrained.dispose()}}e.Limiter=f;class k extends f{constructor(){super(1)}}e.Queue=k;class L{constructor(){this.queues=new Map,this.drainers=new Set}async whenDrained(){if(this.isDrained())return;const A=new W;return this.drainers.add(A),A.p}isDrained(){for(const[,A]of this.queues)if(A.size>0)return!1;return!0}queueFor(A,O=M.extUri){const N=O.getComparisonKey(A);let j=this.queues.get(N);return j||(j=new k,D.Event.once(j.onDrained)(()=>{j?.dispose(),this.queues.delete(N),this.onDidQueueDrain()}),this.queues.set(N,j)),j}onDidQueueDrain(){!this.isDrained()||this.releaseDrainers()}releaseDrainers(){for(const A of this.drainers)A.complete();this.drainers.clear()}dispose(){for(const[,A]of this.queues)A.dispose();this.queues.clear(),this.releaseDrainers()}}e.ResourceQueue=L;class T{constructor(A,O){this._token=-1,typeof A=="function"&&typeof O=="number"&&this.setIfNotSet(A,O)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(A,O){this.cancel(),this._token=setTimeout(()=>{this._token=-1,A()},O)}setIfNotSet(A,O){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,A()},O))}}e.TimeoutTimer=T;class U{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(A,O){this.cancel(),this._token=setInterval(()=>{A()},O)}}e.IntervalTimer=U;class G{constructor(A,O){this.timeoutToken=-1,this.runner=A,this.timeout=O,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(A=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,A)}get delay(){return this.timeout}set delay(A){this.timeout=A}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner?.()}}e.RunOnceScheduler=G;class ie{constructor(A,O){O%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${O}ms is not a multiple of 1000ms.`),this.runner=A,this.timeout=O,this.counter=0,this.intervalToken=-1,this.intervalHandler=this.onInterval.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearInterval(this.intervalToken),this.intervalToken=-1)}schedule(A=this.timeout){A%1e3!=0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${A}ms is not a multiple of 1000ms.`),this.cancel(),this.counter=Math.ceil(A/1e3),this.intervalToken=setInterval(this.intervalHandler,1e3)}isScheduled(){return this.intervalToken!==-1}onInterval(){this.counter--,!(this.counter>0)&&(clearInterval(this.intervalToken),this.intervalToken=-1,this.runner?.())}}e.ProcessTimeRunOnceScheduler=ie;class ne extends G{constructor(A,O){super(A,O);this.units=[]}work(A){this.units.push(A),this.isScheduled()||this.schedule()}doRun(){const A=this.units;this.units=[],this.runner?.(A)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=ne;class Y extends R.Disposable{constructor(A,O){super();this.options=A,this.handler=O,this.pendingWork=[],this.throttler=this._register(new R.MutableDisposable),this.disposed=!1}get pending(){return this.pendingWork.length}work(A){if(this.disposed)return!1;if(typeof this.options.maxBufferedWork=="number"){if(this.throttler.value){if(this.pending+A.length>this.options.maxBufferedWork)return!1}else if(this.pending+A.length-this.options.maxWorkChunkSize>this.options.maxBufferedWork)return!1}return this.pendingWork.push(...A),this.throttler.value||this.doWork(),!0}doWork(){this.handler(this.pendingWork.splice(0,this.options.maxWorkChunkSize)),this.pendingWork.length>0&&(this.throttler.value=new G(()=>{this.throttler.clear(),this.doWork()},this.options.throttleDelay),this.throttler.value.schedule())}dispose(){super.dispose(),this.disposed=!0}}e.ThrottledWorker=Y,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.runWhenIdle=x=>{(0,I.setTimeout0)(()=>{if(A)return;const O=Date.now()+15;x(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,O-Date.now())}}))});let A=!1;return{dispose(){A||(A=!0)}}}:e.runWhenIdle=(x,A)=>{const O=requestIdleCallback(x,typeof A=="number"?{timeout:A}:void 0);let N=!1;return{dispose(){N||(N=!0,cancelIdleCallback(O))}}}}();class ae{constructor(A){this._didRun=!1,this._executor=()=>{try{this._value=A()}catch(O){this._error=O}finally{this._didRun=!0}},this._handle=(0,e.runWhenIdle)(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}get isInitialized(){return this._didRun}}e.IdleValue=ae;async function ce(x,A,O){let N;for(let j=0;j<O;j++)try{return await x()}catch(F){N=F,await i(A)}throw N}e.retry=ce;class H{hasPending(A){return this._pending?typeof A=="number"?this._pending.taskId===A:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){this._pending?.cancel()}setPending(A,O,N){return this._pending={taskId:A,cancel:()=>N?.(),promise:O},O.then(()=>this.donePending(A),()=>this.donePending(A)),O}donePending(A){this._pending&&A===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const A=this._next;this._next=void 0,A.run().then(A.promiseResolve,A.promiseReject)}}setNext(A){if(this._next)this._next.run=A;else{let O,N;const j=new Promise((F,z)=>{O=F,N=z});this._next={run:A,promise:j,promiseResolve:O,promiseReject:N}}return this._next.promise}}e.TaskSequentializer=H;class se{constructor(A,O=()=>Date.now()){this.interval=A,this.nowFn=O,this.lastIncrementTime=0,this.value=0}increment(){const A=this.nowFn();return A-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=A,this.value=0),this.value++,this.value}}e.IntervalCounter=se;class W{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((A,O)=>{this.completeCallback=A,this.errorCallback=O})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(A){return new Promise(O=>{this.completeCallback(A),this.resolved=!0,O()})}error(A){return new Promise(O=>{this.errorCallback(A),this.rejected=!0,O()})}cancel(){new Promise(A=>{this.errorCallback(new t.CancellationError),this.rejected=!0,A()})}}e.DeferredPromise=W;var _;(function(x){async function A(N){let j;const F=await Promise.all(N.map(z=>z.then(K=>K,K=>{j||(j=K)})));if(typeof j!="undefined")throw j;return F}x.settled=A;function O(N){return new Promise(async(j,F)=>{try{await N(j,F)}catch(z){F(z)}})}x.withAsyncBody=O})(_=e.Promises||(e.Promises={}));var B;(function(x){x[x.Initial=0]="Initial",x[x.DoneOK=1]="DoneOK",x[x.DoneError=2]="DoneError"})(B||(B={}));class X{constructor(A){this._state=0,this._results=[],this._error=null,this._onStateChanged=new D.Emitter,queueMicrotask(async()=>{const O={emitOne:N=>this.emitOne(N),emitMany:N=>this.emitMany(N),reject:N=>this.reject(N)};try{await Promise.resolve(A(O)),this.resolve()}catch(N){this.reject(N)}finally{O.emitOne=void 0,O.emitMany=void 0,O.reject=void 0}})}static fromArray(A){return new X(O=>{O.emitMany(A)})}static fromPromise(A){return new X(async O=>{O.emitMany(await A)})}static fromPromises(A){return new X(async O=>{await Promise.all(A.map(async N=>O.emitOne(await N)))})}static merge(A){return new X(async O=>{await Promise.all(A.map(async N=>{for await(const j of N)O.emitOne(j)}))})}[Symbol.asyncIterator](){let A=0;return{next:async()=>{do{if(this._state===2)throw this._error;if(A<this._results.length)return{done:!1,value:this._results[A++]};if(this._state===1)return{done:!0,value:void 0};await D.Event.toPromise(this._onStateChanged.event)}while(!0)}}}static map(A,O){return new X(async N=>{for await(const j of A)N.emitOne(O(j))})}map(A){return X.map(this,A)}static filter(A,O){return new X(async N=>{for await(const j of A)O(j)&&N.emitOne(j)})}filter(A){return X.filter(this,A)}static coalesce(A){return X.filter(A,O=>!!O)}coalesce(){return X.coalesce(this)}static async toPromise(A){const O=[];for await(const N of A)O.push(N);return O}toPromise(){return X.toPromise(this)}emitOne(A){this._state===0&&(this._results.push(A),this._onStateChanged.fire())}emitMany(A){this._state===0&&(this._results=this._results.concat(A),this._onStateChanged.fire())}resolve(){this._state===0&&(this._state=1,this._onStateChanged.fire())}reject(A){this._state===0&&(this._state=2,this._error=A,this._onStateChanged.fire())}}e.AsyncIterableObject=X,X.EMPTY=X.fromArray([]);class q extends X{constructor(A,O){super(O);this._source=A}cancel(){this._source.cancel()}}e.CancelableAsyncIterableObject=q;function Q(x){const A=new E.CancellationTokenSource,O=x(A.token);return new q(A,async N=>{const j=A.token.onCancellationRequested(()=>{j.dispose(),A.dispose(),N.reject(new t.CancellationError)});try{for await(const F of O){if(A.token.isCancellationRequested)return;N.emitOne(F)}j.dispose(),A.dispose()}catch(F){j.dispose(),A.dispose(),N.reject(F)}})}e.createCancelableAsyncIterable=Q}),define(J[92],Z([0,1,25,8,29,33,9,4,31]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.patternsEquals=e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.parse=e.match=e.splitGlobAware=e.GLOB_SPLIT=e.GLOBSTAR=e.getEmptyExpression=void 0;function S(){return Object.create(null)}e.getEmptyExpression=S,e.GLOBSTAR="**",e.GLOB_SPLIT="/";const C="[/\\\\]",P="[^/\\\\]",b=/\//g;function p(W,_){switch(W){case 0:return"";case 1:return`${P}*?`;default:return`(?:${C}|${P}+${C}${_?`|${C}${P}+`:""})*?`}}function h(W,_){if(!W)return[];const B=[];let X=!1,q=!1,Q="";for(const x of W){switch(x){case _:if(!X&&!q){B.push(Q),Q="";continue}break;case"{":X=!0;break;case"}":X=!1;break;case"[":q=!0;break;case"]":q=!1;break}Q+=x}return Q&&B.push(Q),B}e.splitGlobAware=h;function y(W){if(!W)return"";let _="";const B=h(W,e.GLOB_SPLIT);if(B.every(X=>X===e.GLOBSTAR))_=".*";else{let X=!1;B.forEach((q,Q)=>{if(q===e.GLOBSTAR){if(X)return;_+=p(2,Q===B.length-1)}else{let x=!1,A="",O=!1,N="";for(const j of q){if(j!=="}"&&x){A+=j;continue}if(O&&(j!=="]"||!N)){let F;j==="-"?F=j:(j==="^"||j==="!")&&!N?F="^":j===e.GLOB_SPLIT?F="":F=(0,g.escapeRegExpCharacters)(j),N+=F;continue}switch(j){case"{":x=!0;continue;case"[":O=!0;continue;case"}":{_+=`(?:${h(A,",").map(K=>y(K)).join("|")})`,x=!1,A="";break}case"]":{_+="["+N+"]",O=!1,N="";break}case"?":_+=P;continue;case"*":_+=p(1);continue;default:_+=(0,g.escapeRegExpCharacters)(j)}}Q<B.length-1&&(B[Q+1]!==e.GLOBSTAR||Q+2<B.length)&&(_+=C)}X=q===e.GLOBSTAR})}return _}const v=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,m=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,d=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,u=/^\*\*((\/[\w\.-]+)+)\/?$/,l=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,n=new R.LRUCache(1e4),r=function(){return!1},i=function(){return null};function s(W,_){if(!W)return i;let B;typeof W!="string"?B=W.pattern:B=W,B=B.trim();const X=`${B}_${!!_.trimForExclusions}`;let q=n.get(X);if(q)return o(q,W);let Q;return v.test(B)?q=c(B.substr(4),B):(Q=w.exec(a(B,_)))?q=f(Q[1],B):(_.trimForExclusions?d:m).test(B)?q=k(B,_):(Q=u.exec(a(B,_)))?q=L(Q[1].substr(1),B,!0):(Q=l.exec(a(B,_)))?q=L(Q[1],B,!1):q=T(B),n.set(X,q),o(q,W)}function o(W,_){if(typeof _=="string")return W;const B=function(X,q){return(0,D.isEqualOrParent)(X,_.base,!I.isLinux)?W(X.substr(_.base.length+1),q):null};return B.allBasenames=W.allBasenames,B.allPaths=W.allPaths,B.basenames=W.basenames,B.patterns=W.patterns,B}function a(W,_){return _.trimForExclusions&&W.endsWith("/**")?W.substr(0,W.length-2):W}function c(W,_){return function(B,X){return typeof B=="string"&&B.endsWith(W)?_:null}}function f(W,_){const B=`/${W}`,X=`\\${W}`,q=function(x,A){return typeof x!="string"?null:A?A===W?_:null:x===W||x.endsWith(B)||x.endsWith(X)?_:null},Q=[W];return q.basenames=Q,q.patterns=[_],q.allBasenames=Q,q}function k(W,_){const B=H(W.slice(1,-1).split(",").map(A=>s(A,_)).filter(A=>A!==i),W),X=B.length;if(!X)return i;if(X===1)return B[0];const q=function(A,O){for(let N=0,j=B.length;N<j;N++)if(B[N](A,O))return W;return null},Q=B.find(A=>!!A.allBasenames);Q&&(q.allBasenames=Q.allBasenames);const x=B.reduce((A,O)=>O.allPaths?A.concat(O.allPaths):A,[]);return x.length&&(q.allPaths=x),q}function L(W,_,B){const X=M.sep===M.posix.sep,q=X?W:W.replace(b,M.sep),Q=M.sep+q,x=M.posix.sep+W;let A;return B?A=function(O,N){return typeof O=="string"&&(O===q||O.endsWith(Q)||!X&&(O===W||O.endsWith(x)))?_:null}:A=function(O,N){return typeof O=="string"&&(O===q||!X&&O===W)?_:null},A.allPaths=[(B?"*/":"./")+W],A}function T(W){try{const _=new RegExp(`^${y(W)}$`);return function(B){return _.lastIndex=0,typeof B=="string"&&_.test(B)?W:null}}catch{return i}}function U(W,_,B){return!W||typeof _!="string"?!1:G(W)(_,void 0,B)}e.match=U;function G(W,_={}){if(!W)return r;if(typeof W=="string"||ie(W)){const B=s(W,_);if(B===i)return r;const X=function(q,Q){return!!B(q,Q)};return B.allBasenames&&(X.allBasenames=B.allBasenames),B.allPaths&&(X.allPaths=B.allPaths),X}return ae(W,_)}e.parse=G;function ie(W){const _=W;return _?typeof _.base=="string"&&typeof _.pattern=="string":!1}e.isRelativePattern=ie;function ne(W){return W.allBasenames||[]}e.getBasenameTerms=ne;function Y(W){return W.allPaths||[]}e.getPathTerms=Y;function ae(W,_){const B=H(Object.getOwnPropertyNames(W).map(A=>ce(A,W[A],_)).filter(A=>A!==i)),X=B.length;if(!X)return i;if(!B.some(A=>!!A.requiresSiblings)){if(X===1)return B[0];const A=function(j,F){let z;for(let K=0,te=B.length;K<te;K++){const oe=B[K](j,F);if(typeof oe=="string")return oe;(0,t.isThenable)(oe)&&(z||(z=[]),z.push(oe))}return z?(async()=>{for(const K of z){const te=await K;if(typeof te=="string")return te}return null})():null},O=B.find(j=>!!j.allBasenames);O&&(A.allBasenames=O.allBasenames);const N=B.reduce((j,F)=>F.allPaths?j.concat(F.allPaths):j,[]);return N.length&&(A.allPaths=N),A}const q=function(A,O,N){let j,F;for(let z=0,K=B.length;z<K;z++){const te=B[z];te.requiresSiblings&&N&&(O||(O=(0,M.basename)(A)),j||(j=O.substr(0,O.length-(0,M.extname)(A).length)));const oe=te(A,O,j,N);if(typeof oe=="string")return oe;(0,t.isThenable)(oe)&&(F||(F=[]),F.push(oe))}return F?(async()=>{for(const z of F){const K=await z;if(typeof K=="string")return K}return null})():null},Q=B.find(A=>!!A.allBasenames);Q&&(q.allBasenames=Q.allBasenames);const x=B.reduce((A,O)=>O.allPaths?A.concat(O.allPaths):A,[]);return x.length&&(q.allPaths=x),q}function ce(W,_,B){if(_===!1)return i;const X=s(W,B);if(X===i)return i;if(typeof _=="boolean")return X;if(_){const q=_.when;if(typeof q=="string"){const Q=(x,A,O,N)=>{if(!N||!X(x,A))return null;const j=q.replace("$(basename)",O),F=N(j);return(0,t.isThenable)(F)?F.then(z=>z?W:null):F?W:null};return Q.requiresSiblings=!0,Q}}return X}function H(W,_){const B=W.filter(A=>!!A.basenames);if(B.length<2)return W;const X=B.reduce((A,O)=>{const N=O.basenames;return N?A.concat(N):A},[]);let q;if(_){q=[];for(let A=0,O=X.length;A<O;A++)q.push(_)}else q=B.reduce((A,O)=>{const N=O.patterns;return N?A.concat(N):A},[]);const Q=function(A,O){if(typeof A!="string")return null;if(!O){let j;for(j=A.length;j>0;j--){const F=A.charCodeAt(j-1);if(F===47||F===92)break}O=A.substr(j)}const N=X.indexOf(O);return N!==-1?q[N]:null};Q.basenames=X,Q.patterns=q,Q.allBasenames=X;const x=W.filter(A=>!A.basenames);return x.push(Q),x}function se(W,_){return(0,E.equals)(W,_,(B,X)=>typeof B=="string"&&typeof X=="string"?B===X:typeof B!="string"&&typeof X!="string"?B.base===X.base&&B.pattern===X.pattern:!1)}e.patternsEquals=se}),define(J[34],Z([0,1,25,29,9,4,15,31]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getPathLabel=void 0;function g(i,s){const{os:o,tildify:a,relative:c}=s;if(c){const L=S(i,c,o);if(typeof L=="string")return L}let f=i.fsPath;if(o===1&&!R.isWindows?f=f.replace(/\//g,"\\"):o!==1&&R.isWindows&&(f=f.replace(/\\/g,"/")),o!==1&&a?.userHome){const L=a.userHome.fsPath;let T;i.scheme!==a.userHome.scheme&&i.path.startsWith(D.posix.sep)?T=a.userHome.with({path:i.path}).fsPath:T=i.fsPath,f=b(T,L,o)}return(o===1?D.win32:D.posix).normalize(C(f,o===1))}e.getPathLabel=g;function S(i,s,o){const a=o===1?D.win32:D.posix,c=o===3?M.extUri:M.extUriIgnorePathCase,f=s.getWorkspace(),k=(0,E.firstOrDefault)(f.folders);if(!k)return;i.scheme!==k.uri.scheme&&i.path.startsWith(D.posix.sep)&&(i=k.uri.with({path:i.path}));const L=s.getWorkspaceFolder(i);if(!L)return;let T;if(c.isEqual(L.uri,i)?T="":T=c.relativePath(L.uri,i)??"",T&&(T=a.normalize(T)),f.folders.length>1&&!s.noPrefix){const U=L.name?L.name:c.basenameOrAuthority(L.uri);T=T?`${U} \u2022 ${T}`:U}return T}function C(i,s=R.isWindows){return(0,t.hasDriveLetter)(i,s)?i.charAt(0).toUpperCase()+i.slice(1):i}e.normalizeDriveLetter=C;let P=Object.create(null);function b(i,s,o=R.OS){if(o===1||!i||!s)return i;let a=P.original===s?P.normalized:void 0;a||(a=s,R.isWindows&&(a=(0,t.toSlashes)(a)),a=`${(0,I.rtrim)(a,D.posix.sep)}${D.posix.sep}`,P={original:s,normalized:a});let c=i;return R.isWindows&&(c=(0,t.toSlashes)(c)),(o===3?c.startsWith(a):(0,I.startsWithIgnoreCase)(c,a))?`~/${c.substr(a.length)}`:i}e.tildify=b;function p(i,s){return i.replace(/^~($|\/|\\)/,`${s}$1`)}e.untildify=p;const h="\u2026",y="\\\\",v="~";function w(i,s=D.sep){const o=new Array(i.length);let a=!1;for(let c=0;c<i.length;c++){const f=i[c];if(f===""){o[c]=`.${s}`;continue}if(!f){o[c]=f;continue}a=!0;let k="",L=f;L.indexOf(y)===0?(k=L.substr(0,L.indexOf(y)+y.length),L=L.substr(L.indexOf(y)+y.length)):L.indexOf(s)===0?(k=L.substr(0,L.indexOf(s)+s.length),L=L.substr(L.indexOf(s)+s.length)):L.indexOf(v)===0&&(k=L.substr(0,L.indexOf(v)+v.length),L=L.substr(L.indexOf(v)+v.length));const T=L.split(s);for(let U=1;a&&U<=T.length;U++)for(let G=T.length-U;a&&G>=0;G--){a=!1;let ie=T.slice(G,G+U).join(s);for(let ne=0;!a&&ne<i.length;ne++)if(ne!==c&&i[ne]&&i[ne].indexOf(ie)>-1){const Y=G+U===T.length,ae=G>0&&i[ne].indexOf(s)>-1?s+ie:ie,ce=i[ne].endsWith(ae);a=!Y||ce}if(!a){let ne="";(T[0].endsWith(":")||k!=="")&&(G===1&&(G=0,U++,ie=T[0]+s+ie),G>0&&(ne=T[0]+s),ne=k+ne),G>0&&(ne=ne+h+s),ne=ne+ie,G+U<T.length&&(ne=ne+s+h),o[c]=ne}}a&&(o[c]=f)}return o}e.shorten=w;var m;(function(i){i[i.TEXT=0]="TEXT",i[i.VARIABLE=1]="VARIABLE",i[i.SEPARATOR=2]="SEPARATOR"})(m||(m={}));function d(i,s=Object.create(null)){const o=[];let a=!1,c="";for(const f of i)if(f==="$"||a&&f==="{")c&&o.push({value:c,type:m.TEXT}),c="",a=!0;else if(f==="}"&&a){const k=s[c];if(typeof k=="string")k.length&&o.push({value:k,type:m.VARIABLE});else if(k){const L=o[o.length-1];(!L||L.type!==m.SEPARATOR)&&o.push({value:k.label,type:m.SEPARATOR})}c="",a=!1}else c+=f;return c&&!a&&o.push({value:c,type:m.TEXT}),o.filter((f,k)=>{if(f.type===m.SEPARATOR){const L=o[k-1],T=o[k+1];return[L,T].every(U=>U&&(U.type===m.VARIABLE||U.type===m.TEXT)&&U.value.length>0)}return!0}).map(f=>f.value).join("")}e.template=d;function u(i,s){return R.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,"").replace(/&/g,R.isMacintosh?"&":"&&"):i.replace(/&&|&/g,o=>o==="&"?"&&":"&")}e.mnemonicMenuLabel=u;function l(i,s){return R.isMacintosh||s?i.replace(/\(&&\w\)|&&/g,""):R.isWindows?i.replace(/&&|&/g,o=>o==="&"?"&&":"&"):i.replace(/&&/g,"_")}e.mnemonicButtonLabel=l;function n(i){return i.replace(/&/g,"&&")}e.unmnemonicLabel=n;function r(i){const s=i.indexOf("/")!==-1?D.posix:D.win32,o=s.basename(i),a=s.dirname(i);return o.length?{name:o,parentPath:a}:{name:a,parentPath:""}}e.splitName=r}),define(J[136],Z([0,1,7]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function t(C){return C.toJSON()}class D{constructor(P){this._uriTransformer=P}transformIncoming(P){const b=this._uriTransformer.transformIncoming(P);return b===P?P:t(E.URI.from(b))}transformOutgoing(P){const b=this._uriTransformer.transformOutgoing(P);return b===P?P:t(E.URI.from(b))}transformOutgoingURI(P){const b=this._uriTransformer.transformOutgoing(P);return b===P?P:E.URI.from(b)}transformOutgoingScheme(P){return this._uriTransformer.transformOutgoingScheme(P)}}e.URITransformer=D,e.DefaultURITransformer=new class{transformIncoming(C){return C}transformOutgoing(C){return C}transformOutgoingURI(C){return C}transformOutgoingScheme(C){return C}};function R(C,P,b){if(!C||b>200)return null;if(typeof C=="object"){if(C instanceof E.URI)return P.transformOutgoing(C);for(const p in C)if(Object.hasOwnProperty.call(C,p)){const h=R(C[p],P,b+1);h!==null&&(C[p]=h)}}return null}function M(C,P){const b=R(C,P,0);return b===null?C:b}e.transformOutgoingURIs=M;function I(C,P,b,p){if(!C||p>200)return null;if(typeof C=="object"){if(C.$mid===1)return b?E.URI.revive(P.transformIncoming(C)):P.transformIncoming(C);for(const h in C)if(Object.hasOwnProperty.call(C,h)){const y=I(C[h],P,b,p+1);y!==null&&(C[h]=y)}}return null}function g(C,P){const b=I(C,P,!1,0);return b===null?C:b}e.transformIncomingURIs=g;function S(C,P){const b=I(C,P,!0,0);return b===null?C:b}e.transformAndReviveIncomingURIs=S}),define(J[80],Z([0,1,28,18,33,30,126]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAddress(C){return this._virtualMachineOUIs||(this._virtualMachineOUIs=D.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(C)}value(){if(this._value===void 0){let C=0,P=0;const b=(0,E.networkInterfaces)();for(const p in b){const h=b[p];if(h)for(const{mac:y,internal:v}of h)v||(P+=1,this._isVirtualMachineMacAddress(y.toUpperCase())&&(C+=1))}this._value=P>0?C/P:0}return this._value}};let I;async function g(){return I||(I=(async()=>await S()||R.generateUuid())()),I}e.getMachineId=g;async function S(){try{const C=await new Promise((b,p)=>{$(["crypto"],b,p)}),P=(0,M.getMac)();return C.createHash("sha256").update(P,"utf8").digest("hex")}catch(C){t.onUnexpectedError(C);return}}}),define(J[23],Z([0,1,27,28,137,8,29,79,9,4,15,7]),function($,e,E,t,D,R,M,I,g,S,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var b;(function(Y){Y[Y.UNLINK=0]="UNLINK",Y[Y.MOVE=1]="MOVE"})(b=e.RimRafMode||(e.RimRafMode={}));async function p(Y,ae=b.UNLINK){if((0,M.isRootOrDriveLetter)(Y))throw new Error("rimraf - will refuse to recursively delete root");return ae===b.UNLINK?y(Y):h(Y)}async function h(Y){try{const ae=(0,M.randomPath)((0,t.tmpdir)());try{await E.promises.rename(Y,ae)}catch{return y(Y)}y(ae).catch(ce=>{})}catch(ae){if(ae.code!=="ENOENT")throw ae}}async function y(Y){return(0,D.promisify)(E.rm)(Y,{recursive:!0,force:!0,maxRetries:3})}function v(Y){if((0,M.isRootOrDriveLetter)(Y))throw new Error("rimraf - will refuse to recursively delete root");E.rmSync(Y,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=v;async function w(Y,ae){return u(await(ae?m(Y):(0,D.promisify)(E.readdir)(Y)))}async function m(Y){try{return await(0,D.promisify)(E.readdir)(Y,{withFileTypes:!0})}catch(H){console.warn("[node.js fs] readdir with filetypes failed with error: ",H)}const ae=[],ce=await w(Y);for(const H of ce){let se=!1,W=!1,_=!1;try{const B=await e.Promises.lstat((0,g.join)(Y,H));se=B.isFile(),W=B.isDirectory(),_=B.isSymbolicLink()}catch(B){console.warn("[node.js fs] unexpected error from lstat after readdir: ",B)}ae.push({name:H,isFile:()=>se,isDirectory:()=>W,isSymbolicLink:()=>_})}return ae}function d(Y){return u(E.readdirSync(Y))}e.readdirSync=d;function u(Y){return Y.map(ae=>typeof ae=="string"?S.isMacintosh?(0,I.normalizeNFC)(ae):ae:(ae.name=S.isMacintosh?(0,I.normalizeNFC)(ae.name):ae.name,ae))}async function l(Y){const ae=await w(Y),ce=[];for(const H of ae)await r.existsDirectory((0,g.join)(Y,H))&&ce.push(H);return ce}function n(Y,ae=1e3){return new Promise(ce=>{let H=!1;const se=setInterval(()=>{H||(H=!0,E.access(Y,W=>{H=!1,W&&(clearInterval(se),ce(void 0))}))},ae)})}e.whenDeleted=n;var r;(function(Y){async function ae(se){let W;try{if(W=await e.Promises.lstat(se),!W.isSymbolicLink())return{stat:W}}catch{}try{return{stat:await e.Promises.stat(se),symbolicLink:W?.isSymbolicLink()?{dangling:!1}:void 0}}catch(_){if(_.code==="ENOENT"&&W)return{stat:W,symbolicLink:{dangling:!0}};if(S.isWindows&&_.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(se)),symbolicLink:{dangling:!1}}}catch(B){if(B.code==="ENOENT"&&W)return{stat:W,symbolicLink:{dangling:!0}};throw B}throw _}}Y.stat=ae;async function ce(se){try{const{stat:W,symbolicLink:_}=await Y.stat(se);return W.isFile()&&_?.dangling!==!0}catch{}return!1}Y.existsFile=ce;async function H(se){try{const{stat:W,symbolicLink:_}=await Y.stat(se);return W.isDirectory()&&_?.dangling!==!0}catch{}return!1}Y.existsDirectory=H})(r=e.SymlinkSupport||(e.SymlinkSupport={}));const i=new R.ResourceQueue;function s(Y,ae,ce){return i.queueFor(P.URI.file(Y),C.extUriBiasedIgnorePathCase).queue(()=>{const H=f(ce);return new Promise((se,W)=>a(Y,ae,H,_=>_?W(_):se()))})}let o=!0;function a(Y,ae,ce,H){if(!o)return E.writeFile(Y,ae,{mode:ce.mode,flag:ce.flag},H);E.open(Y,ce.flag,ce.mode,(se,W)=>{if(se)return H(se);E.writeFile(W,ae,_=>{if(_)return E.close(W,()=>H(_));E.fdatasync(W,B=>(B&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",B),o=!1),E.close(W,X=>H(X))))})})}function c(Y,ae,ce){const H=f(ce);if(!o)return E.writeFileSync(Y,ae,{mode:H.mode,flag:H.flag});const se=E.openSync(Y,H.flag,H.mode);try{E.writeFileSync(se,ae);try{E.fdatasyncSync(se)}catch(W){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",W),o=!1}}finally{E.closeSync(se)}}e.writeFileSync=c;function f(Y){return Y?{mode:typeof Y.mode=="number"?Y.mode:438,flag:typeof Y.flag=="string"?Y.flag:"w"}:{mode:438,flag:"w"}}async function k(Y,ae){if(Y!==ae)try{await e.Promises.rename(Y,ae)}catch(ce){if(Y.toLowerCase()!==ae.toLowerCase()&&ce.code==="EXDEV"||Y.endsWith("."))await L(Y,ae,{preserveSymlinks:!1}),await p(Y,b.MOVE);else throw ce}}async function L(Y,ae,ce){return U(Y,ae,{root:{source:Y,target:ae},options:ce,handledSourcePaths:new Set})}const T=511;async function U(Y,ae,ce){if(ce.handledSourcePaths.has(Y))return;ce.handledSourcePaths.add(Y);const{stat:H,symbolicLink:se}=await r.stat(Y);if(se){if(ce.options.preserveSymlinks)try{return await ne(Y,ae,ce)}catch(W){console.warn("[node.js fs] copy of symlink failed: ",W)}if(se.dangling)return}return H.isDirectory()?G(Y,ae,H.mode&T,ce):ie(Y,ae,H.mode&T)}async function G(Y,ae,ce,H){await e.Promises.mkdir(ae,{recursive:!0,mode:ce});const se=await w(Y);for(const W of se)await U((0,g.join)(Y,W),(0,g.join)(ae,W),H)}async function ie(Y,ae,ce){await e.Promises.copyFile(Y,ae),await e.Promises.chmod(ae,ce)}async function ne(Y,ae,ce){let H=await e.Promises.readlink(Y);(0,M.isEqualOrParent)(H,ce.root.source,!S.isLinux)&&(H=(0,g.join)(ce.root.target,H.substr(ce.root.source.length+1))),await e.Promises.symlink(H,ae)}e.Promises=new class{get access(){return(0,D.promisify)(E.access)}get stat(){return(0,D.promisify)(E.stat)}get lstat(){return(0,D.promisify)(E.lstat)}get utimes(){return(0,D.promisify)(E.utimes)}get read(){return(Y,ae,ce,H,se)=>new Promise((W,_)=>{E.read(Y,ae,ce,H,se,(B,X,q)=>B?_(B):W({bytesRead:X,buffer:q}))})}get readFile(){return(0,D.promisify)(E.readFile)}get write(){return(Y,ae,ce,H,se)=>new Promise((W,_)=>{E.write(Y,ae,ce,H,se,(B,X,q)=>B?_(B):W({bytesWritten:X,buffer:q}))})}get appendFile(){return(0,D.promisify)(E.appendFile)}get fdatasync(){return(0,D.promisify)(E.fdatasync)}get truncate(){return(0,D.promisify)(E.truncate)}get rename(){return(0,D.promisify)(E.rename)}get copyFile(){return(0,D.promisify)(E.copyFile)}get open(){return(0,D.promisify)(E.open)}get close(){return(0,D.promisify)(E.close)}get symlink(){return(0,D.promisify)(E.symlink)}get readlink(){return(0,D.promisify)(E.readlink)}get chmod(){return(0,D.promisify)(E.chmod)}get mkdir(){return(0,D.promisify)(E.mkdir)}get unlink(){return(0,D.promisify)(E.unlink)}get rmdir(){return(0,D.promisify)(E.rmdir)}get realpath(){return(0,D.promisify)(E.realpath)}async exists(Y){try{return await e.Promises.access(Y),!0}catch{return!1}}get readdir(){return w}get readDirsInDir(){return l}get writeFile(){return s}get rm(){return p}get move(){return k}get copy(){return L}}}),define(J[93],Z([0,1,27,9,4,31,23]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcase=e.realcaseSync=void 0;function I(b){if(D.isLinux)return b;const p=(0,t.dirname)(b);if(b===p)return b;const h=((0,t.basename)(b)||b).toLowerCase();try{const v=(0,M.readdirSync)(p).filter(w=>w.toLowerCase()===h);if(v.length===1){const w=I(p);if(w)return(0,t.join)(w,v[0])}else if(v.length>1){const w=v.indexOf(h);if(w>=0){const m=I(p);if(m)return(0,t.join)(m,v[w])}}}catch{}return null}e.realcaseSync=I;async function g(b){if(D.isLinux)return b;const p=(0,t.dirname)(b);if(b===p)return b;const h=((0,t.basename)(b)||b).toLowerCase();try{const v=(await M.Promises.readdir(p)).filter(w=>w.toLowerCase()===h);if(v.length===1){const w=await g(p);if(w)return(0,t.join)(w,v[0])}else if(v.length>1){const w=v.indexOf(h);if(w>=0){const m=await g(p);if(m)return(0,t.join)(m,v[w])}}}catch{}return null}e.realcase=g;async function S(b){try{return await M.Promises.realpath(b)}catch{const h=P(b);return await M.Promises.access(h,E.constants.R_OK),h}}e.realpath=S;function C(b){try{return E.realpathSync(b)}catch{const h=P(b);return E.accessSync(h,E.constants.R_OK),h}}e.realpathSync=C;function P(b){return(0,R.rtrim)((0,t.normalize)(b),t.sep)}}),define(J[138],Z([0,1,28,9,23]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const R=/^\d+$/,M=/^Microsoft.PowerShell_.*/,I=/^Microsoft.PowerShellPreview_.*/;var g;(function(u){u[u.x64=0]="x64",u[u.x86=1]="x86",u[u.ARM=2]="ARM"})(g||(g={}));let S;switch(process.arch){case"ia32":case"x32":S=1;break;case"arm":case"arm64":S=2;break;default:S=0;break}let C;process.env.PROCESSOR_ARCHITEW6432?C=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?C=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?C=1:C=0;class P{constructor(l,n,r){this.exePath=l,this.displayName=n,this.knownToExist=r}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await D.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function b({useAlternateBitness:u=!1}={}){return u?S===0?process.env["ProgramFiles(x86)"]||null:C===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function p({useAlternateBitness:u=!1,findPreview:l=!1}={}){const n=b({useAlternateBitness:u});if(!n)return null;const r=t.join(n,"PowerShell");if(!await D.SymlinkSupport.existsDirectory(r))return null;let i=-1,s=null;for(const c of await D.Promises.readdir(r)){let f=-1;if(l){const L=c.indexOf("-");if(L<0)continue;const T=c.substring(0,L);if(!R.test(T)||c.substring(L+1)!=="preview")continue;f=parseInt(T,10)}else{if(!R.test(c))continue;f=parseInt(c,10)}if(f<=i)continue;const k=t.join(r,c,"pwsh.exe");!await D.SymlinkSupport.existsFile(k)||(s=k,i=f)}if(!s)return null;const o=n.includes("x86")?" (x86)":"",a=l?" Preview":"";return new P(s,`PowerShell${a}${o}`,!0)}async function h({findPreview:u}={}){if(!process.env.LOCALAPPDATA)return null;const l=t.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await D.SymlinkSupport.existsDirectory(l))return null;const{pwshMsixDirRegex:n,pwshMsixName:r}=u?{pwshMsixDirRegex:I,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:M,pwshMsixName:"PowerShell (Store)"};for(const i of await D.Promises.readdir(l))if(n.test(i)){const s=t.join(l,i,"pwsh.exe");return new P(s,r)}return null}function y(){const u=t.join(E.homedir(),".dotnet","tools","pwsh.exe");return new P(u,".NET Core PowerShell Global Tool")}function v(){const u=t.join(process.env.windir,S===1&&C!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new P(u,"Windows PowerShell",!0)}async function*w(){let u=await p();u&&(yield u),u=await p({useAlternateBitness:!0}),u&&(yield u),u=await h(),u&&(yield u),u=y(),u&&(yield u),u=await p({findPreview:!0}),u&&(yield u),u=await h({findPreview:!0}),u&&(yield u),u=await p({useAlternateBitness:!0,findPreview:!0}),u&&(yield u),u=v(),u&&(yield u)}async function*m(){for await(const u of w())await u.exists()&&(yield u)}e.enumeratePowerShellInstallations=m;async function d(){for await(const u of m())return u;return null}e.getFirstAvailablePowerShellInstallation=d}),define(J[94],Z([0,1,42,12]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function D(M){return new Promise((I,g)=>{let S;const C=new Map;function P(p,h,y,v,w){const m=C.get(h);if(p===M||m){const d={name:b(y),cmd:y,pid:p,ppid:h,load:v,mem:w};C.set(p,d),p===M&&(S=d),m&&(m.children||(m.children=[]),m.children.push(d),m.children.length>1&&(m.children=m.children.sort((u,l)=>u.pid-l.pid)))}}function b(p){const h=/--vscode-window-kind=shared-process/,y=/--vscode-window-kind=issue-reporter/,v=/--vscode-window-kind=process-explorer/,w=/--utility-sub-type=network/,m=/--vscode-utility-kind=extensionHost/,d=/--crashes-directory/,u=/\\pipe\\winpty-control/,l=/conhost\.exe/,n=/--type=([a-zA-Z-]+)/;if(d.exec(p))return"electron-crash-reporter";if(u.exec(p))return"winpty-process";if(l.exec(p))return"console-window-host (Windows internal process)";let r=n.exec(p);if(r&&r.length===2){if(r[1]==="renderer")return h.exec(p)?"shared-process":y.exec(p)?"issue-reporter":v.exec(p)?"process-explorer":"window";if(r[1]==="utility"){if(w.exec(p))return"utility-network-service";if(m.exec(p))return"extension-host"}return r[1]}const i=/[a-zA-Z-]+\.js/g;let s="";do r=i.exec(p),r&&(s+=r+" ");while(r);return s&&p.indexOf("node ")<0&&p.indexOf("node.exe")<0?`electron_node ${s}`:p}if(process.platform==="win32"){const p=h=>h.indexOf("\\\\?\\")===0||h.indexOf("\\??\\")===0?h.substr(4):h.indexOf('"\\\\?\\')===0||h.indexOf('"\\??\\')===0?'"'+h.substr(5):h;new Promise((h,y)=>{$(["windows-process-tree"],h,y)}).then(h=>{h.getProcessList(M,y=>{if(!y){g(new Error(`Root process ${M} not found`));return}h.getProcessCpuUsage(y,v=>{const w=new Map;v.forEach(m=>{const d=p(m.commandLine||"");w.set(m.pid,{name:b(d),cmd:d,pid:m.pid,ppid:m.ppid,load:m.cpu||0,mem:m.memory||0})}),S=w.get(M),S?(w.forEach(m=>{const d=w.get(m.ppid);d&&(d.children||(d.children=[]),d.children.push(m))}),w.forEach(m=>{m.children&&(m.children=m.children.sort((d,u)=>d.pid-u.pid))}),I(S)):g(new Error(`Root process ${M} not found`))})},h.ProcessDataFlag.CommandLine|h.ProcessDataFlag.Memory)})}else{let p=function(){let h=[S];const y=[];for(;h.length;){const w=h.shift();w&&(y.push(w.pid),w.children&&(h=h.concat(w.children)))}let v=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",$).fsPath);v+=" "+y.join(" "),(0,E.exec)(v,{},(w,m,d)=>{if(w||d)g(w||new Error(d.toString()));else{const u=m.toString().split(`
`);for(let l=0;l<y.length;l++){const n=C.get(y[l]);n.load=parseFloat(u[l])}if(!S){g(new Error(`Root process ${M} not found`));return}I(S)}})};(0,E.exec)("which ps",{},(h,y,v)=>{if(h||v)if(process.platform!=="linux")g(h||new Error(v.toString()));else{const w=JSON.stringify(t.FileAccess.asFileUri("vs/base/node/ps.sh",$).fsPath);(0,E.exec)(w,{},(m,d,u)=>{m||u?g(m||new Error(u.toString())):(R(d,P),p())})}else{const w=y.toString().trim(),m="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,E.exec)(`${w} ${m}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(d,u,l)=>{d||l&&!l.includes("screen size is bogus")?g(d||new Error(l.toString())):(R(u,P),process.platform==="linux"?p():S?I(S):g(new Error(`Root process ${M} not found`)))})}})}})}e.listProcesses=D;function R(M,I){const g=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,S=M.toString().split(`
`);for(const C of S){const P=g.exec(C.trim());P&&P.length===6&&I(parseInt(P[1]),parseInt(P[2]),P[5],parseFloat(P[3]),parseFloat(P[4]))}}});var de=this&&this.__decorate||function($,e,E,t){var D=arguments.length,R=D<3?e:t===null?t=Object.getOwnPropertyDescriptor(e,E):t,M;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate($,e,E,t);else for(var I=$.length-1;I>=0;I--)(M=$[I])&&(R=(D<3?M(R):D>3?M(e,E,R):M(e,E))||R);return D>3&&R&&Object.defineProperty(e,E,R),R};define(J[43],Z([0,1,25,8,19,22,51,18,3,2,65,31,13]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var p;(function(W){W[W.Promise=100]="Promise",W[W.PromiseCancel=101]="PromiseCancel",W[W.EventListen=102]="EventListen",W[W.EventDispose=103]="EventDispose"})(p=e.RequestType||(e.RequestType={}));function h(W){switch(W){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var y;(function(W){W[W.Initialize=200]="Initialize",W[W.PromiseSuccess=201]="PromiseSuccess",W[W.PromiseError=202]="PromiseError",W[W.PromiseErrorObj=203]="PromiseErrorObj",W[W.EventFire=204]="EventFire"})(y=e.ResponseType||(e.ResponseType={}));function v(W){switch(W){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var w;(function(W){W[W.Uninitialized=0]="Uninitialized",W[W.Idle=1]="Idle"})(w||(w={}));class m{constructor(_){this.buffer=_,this.pos=0}read(_){const B=this.buffer.slice(this.pos,this.pos+_);return this.pos+=B.byteLength,B}}class d{constructor(){this.buffers=[]}get buffer(){return D.VSBuffer.concat(this.buffers)}write(_){this.buffers.push(_)}}var u;(function(W){W[W.Undefined=0]="Undefined",W[W.String=1]="String",W[W.Buffer=2]="Buffer",W[W.VSBuffer=3]="VSBuffer",W[W.Array=4]="Array",W[W.Object=5]="Object"})(u||(u={}));function l(W){const _=D.VSBuffer.alloc(4);return _.writeUInt32BE(W,0),_}function n(W){return W.read(4).readUInt32BE(0)}function r(W){const _=D.VSBuffer.alloc(1);return _.writeUInt8(W,0),_}const i={Undefined:r(u.Undefined),String:r(u.String),Buffer:r(u.Buffer),VSBuffer:r(u.VSBuffer),Array:r(u.Array),Object:r(u.Object)},s=typeof Buffer!="undefined";function o(W,_){if(typeof _=="undefined")W.write(i.Undefined);else if(typeof _=="string"){const B=D.VSBuffer.fromString(_);W.write(i.String),W.write(l(B.byteLength)),W.write(B)}else if(s&&Buffer.isBuffer(_)){const B=D.VSBuffer.wrap(_);W.write(i.Buffer),W.write(l(B.byteLength)),W.write(B)}else if(_ instanceof D.VSBuffer)W.write(i.VSBuffer),W.write(l(_.byteLength)),W.write(_);else if(Array.isArray(_)){W.write(i.Array),W.write(l(_.length));for(const B of _)o(W,B)}else{const B=D.VSBuffer.fromString(JSON.stringify(_));W.write(i.Object),W.write(l(B.byteLength)),W.write(B)}}function a(W){switch(W.read(1).readUInt8(0)){case u.Undefined:return;case u.String:return W.read(n(W)).toString();case u.Buffer:return W.read(n(W)).buffer;case u.VSBuffer:return W.read(n(W));case u.Array:{const B=n(W),X=[];for(let q=0;q<B;q++)X.push(a(W));return X}case u.Object:return JSON.parse(W.read(n(W)).toString())}}class c{constructor(_,B,X=null,q=1e3){this.protocol=_,this.ctx=B,this.logger=X,this.timeoutDelay=q,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(Q=>this.onRawMessage(Q)),this.sendResponse({type:200})}registerChannel(_,B){this.channels.set(_,B),setTimeout(()=>this.flushPendingRequests(_),0)}sendResponse(_){switch(_.type){case 200:{const B=this.send([_.type]);this.logger?.logOutgoing(B,0,1,v(_.type));return}case 201:case 202:case 204:case 203:{const B=this.send([_.type,_.id],_.data);this.logger?.logOutgoing(B,_.id,1,v(_.type),_.data);return}}}send(_,B=void 0){const X=new d;return o(X,_),o(X,B),this.sendBuffer(X.buffer)}sendBuffer(_){try{return this.protocol.send(_),_.byteLength}catch{return 0}}onRawMessage(_){const B=new m(_),X=a(B),q=a(B),Q=X[0];switch(Q){case 100:return this.logger?.logIncoming(_.byteLength,X[1],1,`${h(Q)}: ${X[2]}.${X[3]}`,q),this.onPromise({type:Q,id:X[1],channelName:X[2],name:X[3],arg:q});case 102:return this.logger?.logIncoming(_.byteLength,X[1],1,`${h(Q)}: ${X[2]}.${X[3]}`,q),this.onEventListen({type:Q,id:X[1],channelName:X[2],name:X[3],arg:q});case 101:return this.logger?.logIncoming(_.byteLength,X[1],1,`${h(Q)}`),this.disposeActiveRequest({type:Q,id:X[1]});case 103:return this.logger?.logIncoming(_.byteLength,X[1],1,`${h(Q)}`),this.disposeActiveRequest({type:Q,id:X[1]})}}onPromise(_){const B=this.channels.get(_.channelName);if(!B){this.collectPendingRequest(_);return}const X=new R.CancellationTokenSource;let q;try{q=B.call(this.ctx,_.name,_.arg,X.token)}catch(A){q=Promise.reject(A)}const Q=_.id;q.then(A=>{this.sendResponse({id:Q,data:A,type:201}),this.activeRequests.delete(_.id)},A=>{A instanceof Error?this.sendResponse({id:Q,data:{message:A.message,name:A.name,stack:A.stack?A.stack.split?A.stack.split(`
`):A.stack:void 0},type:202}):this.sendResponse({id:Q,data:A,type:203}),this.activeRequests.delete(_.id)});const x=(0,S.toDisposable)(()=>X.cancel());this.activeRequests.set(_.id,x)}onEventListen(_){const B=this.channels.get(_.channelName);if(!B){this.collectPendingRequest(_);return}const X=_.id,Q=B.listen(this.ctx,_.name,_.arg)(x=>this.sendResponse({id:X,data:x,type:204}));this.activeRequests.set(_.id,Q)}disposeActiveRequest(_){const B=this.activeRequests.get(_.id);B&&(B.dispose(),this.activeRequests.delete(_.id))}collectPendingRequest(_){let B=this.pendingRequests.get(_.channelName);B||(B=[],this.pendingRequests.set(_.channelName,B));const X=setTimeout(()=>{console.error(`Unknown channel: ${_.channelName}`),_.type===100&&this.sendResponse({id:_.id,data:{name:"Unknown channel",message:`Channel name '${_.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);B.push({request:_,timeoutTimer:X})}flushPendingRequests(_){const B=this.pendingRequests.get(_);if(B){for(const X of B)switch(clearTimeout(X.timeoutTimer),X.request.type){case 100:this.onPromise(X.request);break;case 102:this.onEventListen(X.request);break}this.pendingRequests.delete(_)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,S.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=c;var f;(function(W){W[W.LocalSide=0]="LocalSide",W[W.OtherSide=1]="OtherSide"})(f=e.RequestInitiator||(e.RequestInitiator={}));class k{constructor(_,B=null){this.protocol=_,this.isDisposed=!1,this.state=w.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new g.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(X=>this.onBuffer(X)),this.logger=B}getChannel(_){const B=this;return{call(X,q,Q){return B.isDisposed?Promise.reject(I.canceled()):B.requestPromise(_,X,q,Q)},listen(X,q){return B.isDisposed?g.Event.None:B.requestEvent(_,X,q)}}}requestPromise(_,B,X,q=R.CancellationToken.None){const Q=this.lastRequestId++,A={id:Q,type:100,channelName:_,name:B,arg:X};if(q.isCancellationRequested)return Promise.reject(I.canceled());let O;return new Promise((j,F)=>{if(q.isCancellationRequested)return F(I.canceled());const z=()=>{const we=fe=>{switch(fe.type){case 201:this.handlers.delete(Q),j(fe.data);break;case 202:{this.handlers.delete(Q);const Ie=new Error(fe.data.message);Ie.stack=fe.data.stack,Ie.name=fe.data.name,F(Ie);break}case 203:this.handlers.delete(Q),F(fe.data);break}};this.handlers.set(Q,we),this.sendRequest(A)};let K=null;this.state===w.Idle?z():(K=(0,t.createCancelablePromise)(we=>this.whenInitialized()),K.then(()=>{K=null,z()}));const te=()=>{K?(K.cancel(),K=null):this.sendRequest({id:Q,type:101}),F(I.canceled())},oe=q.onCancellationRequested(te);O=(0,S.combinedDisposable)((0,S.toDisposable)(te),oe),this.activeRequests.add(O)}).finally(()=>{this.activeRequests.delete(O)})}requestEvent(_,B,X){const q=this.lastRequestId++,x={id:q,type:102,channelName:_,name:B,arg:X};let A=null;const O=new g.Emitter({onFirstListenerAdd:()=>{A=(0,t.createCancelablePromise)(j=>this.whenInitialized()),A.then(()=>{A=null,this.activeRequests.add(O),this.sendRequest(x)})},onLastListenerRemove:()=>{A?(A.cancel(),A=null):(this.activeRequests.delete(O),this.sendRequest({id:q,type:103}))}}),N=j=>O.fire(j.data);return this.handlers.set(q,N),O.event}sendRequest(_){switch(_.type){case 100:case 102:{const B=this.send([_.type,_.id,_.channelName,_.name],_.arg);this.logger?.logOutgoing(B,_.id,0,`${h(_.type)}: ${_.channelName}.${_.name}`,_.arg);return}case 101:case 103:{const B=this.send([_.type,_.id]);this.logger?.logOutgoing(B,_.id,0,h(_.type));return}}}send(_,B=void 0){const X=new d;return o(X,_),o(X,B),this.sendBuffer(X.buffer)}sendBuffer(_){try{return this.protocol.send(_),_.byteLength}catch{return 0}}onBuffer(_){const B=new m(_),X=a(B),q=a(B),Q=X[0];switch(Q){case 200:return this.logger?.logIncoming(_.byteLength,0,0,v(Q)),this.onResponse({type:X[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(_.byteLength,X[1],0,v(Q),q),this.onResponse({type:X[0],id:X[1],data:q})}}onResponse(_){if(_.type===200){this.state=w.Idle,this._onDidInitialize.fire();return}this.handlers.get(_.id)?.(_)}get onDidInitializePromise(){return g.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===w.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,S.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}de([M.memoize],k.prototype,"onDidInitializePromise",null),e.ChannelClient=k;class L{constructor(_){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new g.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new g.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,_(({protocol:B,onDidClientDisconnect:X})=>{g.Event.once(B.onMessage)(Q=>{const x=new m(Q),A=a(x),O=new c(B,A),N=new k(B);this.channels.forEach((F,z)=>O.registerChannel(z,F));const j={channelServer:O,channelClient:N,ctx:A};this._connections.add(j),this._onDidAddConnection.fire(j),X(()=>{O.dispose(),N.dispose(),this._connections.delete(j),this._onDidRemoveConnection.fire(j)})})})}get connections(){const _=[];return this._connections.forEach(B=>_.push(B)),_}getChannel(_,B){const X=this;return{call(q,Q,x){let A;if((0,b.isFunction)(B)){const N=(0,E.getRandomElement)(X.connections.filter(B));A=N?Promise.resolve(N):g.Event.toPromise(g.Event.filter(X.onDidAddConnection,B))}else A=B.routeCall(X,q,Q);const O=A.then(N=>N.channelClient.getChannel(_));return U(O).call(q,Q,x)},listen(q,Q){if((0,b.isFunction)(B))return X.getMulticastEvent(_,B,q,Q);const x=B.routeEvent(X,q,Q).then(A=>A.channelClient.getChannel(_));return U(x).listen(q,Q)}}}getMulticastEvent(_,B,X,q){const Q=this;let x=new S.DisposableStore;const A=new g.Emitter({onFirstListenerAdd:()=>{x=new S.DisposableStore;const O=new g.EventMultiplexer,N=new Map,j=z=>{const te=z.channelClient.getChannel(_).listen(X,q),oe=O.add(te);N.set(z,oe)},F=z=>{const K=N.get(z);!K||(K.dispose(),N.delete(z))};Q.connections.filter(B).forEach(j),g.Event.filter(Q.onDidAddConnection,B)(j,void 0,x),Q.onDidRemoveConnection(F,void 0,x),O.event(A.fire,A,x),x.add(O)},onLastListenerRemove:()=>{x.dispose()}});return A.event}registerChannel(_,B){this.channels.set(_,B),this._connections.forEach(X=>{X.channelServer.registerChannel(_,B)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=L;class T{constructor(_,B,X=null){const q=new d;o(q,B),_.send(q.buffer),this.channelClient=new k(_,X),this.channelServer=new c(_,B,X)}getChannel(_){return this.channelClient.getChannel(_)}registerChannel(_,B){this.channelServer.registerChannel(_,B)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=T;function U(W){return{call(_,B,X){return W.then(q=>q.call(_,B,X))},listen(_,B){const X=new g.Relay;return W.then(q=>X.input=q.listen(_,B)),X.event}}}e.getDelayedChannel=U;function G(W){let _=!1;return{call(B,X,q){return _?W.call(B,X,q):(0,t.timeout)(0).then(()=>_=!0).then(()=>W.call(B,X,q))},listen(B,X){if(_)return W.listen(B,X);const q=new g.Relay;return(0,t.timeout)(0).then(()=>_=!0).then(()=>q.input=W.listen(B,X)),q.event}}}e.getNextTickChannel=G;class ie{constructor(_){this.fn=_}routeCall(_){return this.route(_)}routeEvent(_){return this.route(_)}async route(_){for(const B of _.connections)if(await Promise.resolve(this.fn(B.ctx)))return Promise.resolve(B);return await g.Event.toPromise(_.onDidAddConnection),await this.route(_)}}e.StaticRouter=ie;var ne;(function(W){function _(Q,x){const A=Q,O=x&&x.disableMarshalling,N=new Map;for(const j in A)X(j)&&N.set(j,g.Event.buffer(A[j],!0));return new class{listen(j,F,z){const K=N.get(F);if(K)return K;if(q(F)){const te=A[F];if(typeof te=="function")return te.call(A,z)}throw new Error(`Event not found: ${F}`)}call(j,F,z){const K=A[F];if(typeof K=="function"){if(!O&&Array.isArray(z))for(let te=0;te<z.length;te++)z[te]=(0,C.revive)(z[te]);return K.apply(A,z)}throw new Error(`Method not found: ${F}`)}}}W.fromService=_;function B(Q,x){const A=x&&x.disableMarshalling;return new Proxy({},{get(O,N){if(typeof N=="string")return x?.properties?.has(N)?x.properties.get(N):q(N)?function(j){return Q.listen(N,j)}:X(N)?Q.listen(N):async function(...j){let F;x&&!(0,b.isUndefinedOrNull)(x.context)?F=[x.context,...j]:F=j;const z=await Q.call(N,F);return A?z:(0,C.revive)(z)};throw new Error(`Property not found: ${String(N)}`)}})}W.toService=B;function X(Q){return Q[0]==="o"&&Q[1]==="n"&&P.isUpperAsciiLetter(Q.charCodeAt(2))}function q(Q){return/^onDynamic/.test(Q)&&P.isUpperAsciiLetter(Q.charCodeAt(9))}})(ne=e.ProxyChannel||(e.ProxyChannel={}));const Y=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ae(W){if(Array.isArray(W))return W;if(W&&typeof W=="object"&&typeof W.toString=="function"){const _=W.toString();if(_!=="[object Object]")return _}return W}function ce(W){return Array.isArray(W)?W.map(ae):ae(W)}function H(W,_,B,X,q,Q,x){x=ce(x);const A=Y[q],O=A[X%A.length];let N=[`%c[${W}]%c[${String(_).padStart(7," ")}]%c[len: ${String(B).padStart(5," ")}]%c${String(X).padStart(5," ")} - ${Q}`,"color: darkgreen","color: grey","color: grey",`color: ${O}`];/\($/.test(Q)?(N=N.concat(x),N.push(")")):N.push(x),console.log.apply(console,N)}e.logWithColors=H;class se{constructor(_,B){this._outgoingPrefix=_,this._incomingPrefix=B,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(_,B,X,q,Q){this._totalOutgoing+=_,H(this._outgoingPrefix,this._totalOutgoing,_,B,X,q,Q)}logIncoming(_,B,X,q,Q){this._totalIncoming+=_,H(this._incomingPrefix,this._totalIncoming,_,B,X,q,Q)}}e.IPCLogger=se}),define(J[139],Z([0,1,19,3,43]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class R{constructor(g){this.port=g,this.onMessage=t.Event.fromDOMEventEmitter(this.port,"message",S=>E.VSBuffer.wrap(S.data)),g.start()}send(g){this.port.postMessage(g.buffer)}disconnect(){this.port.close()}}e.Protocol=R;class M extends D.IPCClient{constructor(g,S){const C=new R(g);super(C,S);this.protocol=C}dispose(){this.protocol.disconnect()}}e.Client=M}),define(J[95],Z([0,1,19,3,2,43]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var M;(function(s){s.Created="created",s.Read="read",s.Write="write",s.Open="open",s.Error="error",s.Close="close",s.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",s.NodeEndReceived="nodeEndReceived",s.NodeEndSent="nodeEndSent",s.NodeDrainBegin="nodeDrainBegin",s.NodeDrainEnd="nodeDrainEnd",s.zlibInflateError="zlibInflateError",s.zlibInflateData="zlibInflateData",s.zlibInflateInitialWrite="zlibInflateInitialWrite",s.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",s.zlibInflateWrite="zlibInflateWrite",s.zlibInflateFlushFired="zlibInflateFlushFired",s.zlibDeflateError="zlibDeflateError",s.zlibDeflateData="zlibDeflateData",s.zlibDeflateWrite="zlibDeflateWrite",s.zlibDeflateFlushFired="zlibDeflateFlushFired",s.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",s.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",s.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",s.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",s.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",s.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",s.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",s.ProtocolHeaderRead="protocolHeaderRead",s.ProtocolMessageRead="protocolMessageRead",s.ProtocolHeaderWrite="protocolHeaderWrite",s.ProtocolMessageWrite="protocolMessageWrite",s.ProtocolWrite="protocolWrite"})(M=e.SocketDiagnosticsEventType||(e.SocketDiagnosticsEventType={}));var I;(function(s){s.enableDiagnostics=!1,s.records=[];const o=new WeakMap;let a=0;function c(k,L){if(!o.has(k)){const T=String(++a);o.set(k,T)}return o.get(k)}function f(k,L,T,U){if(!s.enableDiagnostics)return;const G=c(k,L);if(U instanceof E.VSBuffer||U instanceof Uint8Array||U instanceof ArrayBuffer||ArrayBuffer.isView(U)){const ie=E.VSBuffer.alloc(U.byteLength);ie.set(U),s.records.push({timestamp:Date.now(),id:G,label:L,type:T,buff:ie})}else s.records.push({timestamp:Date.now(),id:G,label:L,type:T,data:U})}s.traceSocketEvent=f})(I=e.SocketDiagnostics||(e.SocketDiagnostics={}));var g;(function(s){s[s.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",s[s.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(g=e.SocketCloseEventType||(e.SocketCloseEventType={}));let S=null;function C(){return S||(S=E.VSBuffer.alloc(0)),S}class P{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(o){this._chunks.push(o),this._totalLength+=o.byteLength}read(o){return this._read(o,!0)}peek(o){return this._read(o,!1)}_read(o,a){if(o===0)return C();if(o>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===o){const L=this._chunks[0];return a&&(this._chunks.shift(),this._totalLength-=o),L}if(this._chunks[0].byteLength>o){const L=this._chunks[0].slice(0,o);return a&&(this._chunks[0]=this._chunks[0].slice(o),this._totalLength-=o),L}const c=E.VSBuffer.alloc(o);let f=0,k=0;for(;o>0;){const L=this._chunks[k];if(L.byteLength>o){const T=L.slice(0,o);c.set(T,f),f+=o,a&&(this._chunks[k]=L.slice(o),this._totalLength-=o),o-=o}else c.set(L,f),f+=L.byteLength,a?(this._chunks.shift(),this._totalLength-=L.byteLength):k++,o-=L.byteLength}return c}}e.ChunkStream=P;var b;(function(s){s[s.None=0]="None",s[s.Regular=1]="Regular",s[s.Control=2]="Control",s[s.Ack=3]="Ack",s[s.Disconnect=5]="Disconnect",s[s.ReplayRequest=6]="ReplayRequest",s[s.Pause=7]="Pause",s[s.Resume=8]="Resume"})(b||(b={}));function p(s){switch(s){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting"}}var h;(function(s){s[s.HeaderLength=13]="HeaderLength",s[s.AcknowledgeTime=2e3]="AcknowledgeTime",s[s.TimeoutTime=2e4]="TimeoutTime",s[s.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",s[s.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(h=e.ProtocolConstants||(e.ProtocolConstants={}));class y{constructor(o,a,c,f){this.type=o,this.id=a,this.ack=c,this.data=f,this.writtenTime=0}get size(){return this.data.byteLength}}class v extends D.Disposable{constructor(o){super();this._onMessage=this._register(new t.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=o,this._isDisposed=!1,this._incomingData=new P,this._register(this._socket.onData(a=>this.acceptChunk(a))),this.lastReadTime=Date.now()}acceptChunk(o){if(!(!o||o.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(o);this._incomingData.byteLength>=this._state.readLen;){const a=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=a.readUInt32BE(9),this._state.messageType=a.readUInt8(0),this._state.id=a.readUInt32BE(1),this._state.ack=a.readUInt32BE(5),this._socket.traceSocketEvent("protocolHeaderRead",{messageType:p(this._state.messageType),id:this._state.id,ack:this._state.ack,messageSize:this._state.readLen});else{const c=this._state.messageType,f=this._state.id,k=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._socket.traceSocketEvent("protocolMessageRead",a),this._onMessage.fire(new y(c,f,k,a)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class w{constructor(o){this._writeNowTimeout=null,this._isDisposed=!1,this._isPaused=!1,this._socket=o,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}pause(){this._isPaused=!0}resume(){this._isPaused=!1,this._scheduleWriting()}write(o){if(this._isDisposed)return;o.writtenTime=Date.now(),this.lastWriteTime=Date.now();const a=E.VSBuffer.alloc(13);a.writeUInt8(o.type,0),a.writeUInt32BE(o.id,1),a.writeUInt32BE(o.ack,5),a.writeUInt32BE(o.data.byteLength,9),this._socket.traceSocketEvent("protocolHeaderWrite",{messageType:p(o.type),id:o.id,ack:o.ack,messageSize:o.data.byteLength}),this._socket.traceSocketEvent("protocolMessageWrite",o.data),this._writeSoon(a,o.data)}_bufferAdd(o,a){const c=this._totalLength===0;return this._data.push(o,a),this._totalLength+=o.byteLength+a.byteLength,c}_bufferTake(){const o=E.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,o}_writeSoon(o,a){this._bufferAdd(o,a)&&this._scheduleWriting()}_scheduleWriting(){this._writeNowTimeout||(this._writeNowTimeout=setTimeout(()=>{this._writeNowTimeout=null,this._writeNow()}))}_writeNow(){if(this._totalLength===0||this._isPaused)return;const o=this._bufferTake();this._socket.traceSocketEvent("protocolWrite",{byteLength:o.byteLength}),this._socket.write(o)}}class m extends D.Disposable{constructor(o){super();this._onMessage=new t.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new t.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=o,this._socketWriter=this._register(new w(this._socket)),this._socketReader=this._register(new v(this._socket)),this._register(this._socketReader.onMessage(a=>{a.type===1&&this._onMessage.fire(a.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(o){this._socketWriter.write(new y(1,0,0,o))}}e.Protocol=m;class d extends R.IPCClient{constructor(o,a,c=null){super(o,a,c);this.protocol=o}static fromSocket(o,a){return new d(new m(o),a)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const o=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),o.end()}}e.Client=d;class u{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new t.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,queueMicrotask(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(o){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(o):this._emitter.fire(o):this._bufferedMessages.push(o)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=u;class l{constructor(o){this.data=o,this.next=null}}class n{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){const o=[];let a=0,c=this._first;for(;c;)o[a++]=c.data,c=c.next;return o}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(o){const a=new l(o);if(!this._first){this._first=a,this._last=a;return}this._last.next=a,this._last=a}}class r{constructor(){this.lastRuns=[];const o=Date.now();for(let a=0;a<r._HISTORY_LENGTH;a++)this.lastRuns[a]=o-1e3*a;setInterval(()=>{for(let a=r._HISTORY_LENGTH;a>=1;a--)this.lastRuns[a]=this.lastRuns[a-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return r._INSTANCE||(r._INSTANCE=new r),r._INSTANCE}load(){const o=Date.now(),a=(1+r._HISTORY_LENGTH)*1e3;let c=0;for(let f=0;f<r._HISTORY_LENGTH;f++)o-this.lastRuns[f]<=a&&c++;return 1-c/r._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}r._HISTORY_LENGTH=10,r._INSTANCE=null;class i{constructor(o,a=null,c=r.getInstance()){this._onControlMessage=new u,this.onControlMessage=this._onControlMessage.event,this._onMessage=new u,this.onMessage=this._onMessage.event,this._onDidDispose=new u,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new u,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new u,this.onSocketTimeout=this._onSocketTimeout.event,this._loadEstimator=c,this._isReconnecting=!1,this._outgoingUnackMsg=new n,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socketDisposables=[],this._socket=o,this._socketWriter=new w(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(f=>this._receiveMessage(f))),this._socketDisposables.push(this._socket.onClose(f=>this._onSocketClose.fire(f))),a&&this._socketReader.acceptChunk(a)}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._socketDisposables=(0,D.dispose)(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const o=new y(5,0,0,C());this._socketWriter.write(o),this._socketWriter.flush()}sendPause(){const o=new y(7,0,0,C());this._socketWriter.write(o)}sendResume(){const o=new y(8,0,0,C());this._socketWriter.write(o)}pauseSocketWriting(){this._socketWriter.pause()}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(o,a){this._isReconnecting=!0,this._socketDisposables=(0,D.dispose)(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._lastSocketTimeoutTime=Date.now(),this._socket=o,this._socketWriter=new w(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new v(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(c=>this._receiveMessage(c))),this._socketDisposables.push(this._socket.onClose(c=>this._onSocketClose.fire(c))),this._socketReader.acceptChunk(a)}endAcceptReconnection(){this._isReconnecting=!1,this._incomingAckId=this._incomingMsgId;const o=new y(3,0,this._incomingAckId,C());this._socketWriter.write(o);const a=this._outgoingUnackMsg.toArray();for(let c=0,f=a.length;c<f;c++)this._socketWriter.write(a[c]);this._recvAckCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(o){if(o.ack>this._outgoingAckId){this._outgoingAckId=o.ack;do{const a=this._outgoingUnackMsg.peek();if(a&&a.id<=o.ack)this._outgoingUnackMsg.pop();else break}while(!0)}switch(o.type){case 0:break;case 1:{if(o.id>this._incomingMsgId)if(o.id!==this._incomingMsgId+1){const a=Date.now();a-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=a,this._socketWriter.write(new y(6,0,0,C())))}else this._incomingMsgId=o.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(o.data);break}case 2:{this._onControlMessage.fire(o.data);break}case 3:break;case 5:{this._onDidDispose.fire();break}case 6:{const a=this._outgoingUnackMsg.toArray();for(let c=0,f=a.length;c<f;c++)this._socketWriter.write(a[c]);this._recvAckCheck();break}case 7:{this._socketWriter.pause();break}case 8:{this._socketWriter.resume();break}}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(o){const a=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const c=new y(1,a,this._incomingAckId,o);this._outgoingUnackMsg.push(c),this._isReconnecting||(this._socketWriter.write(c),this._recvAckCheck())}sendControl(o){const a=new y(2,0,0,o);this._socketWriter.write(a)}_sendAckCheck(){if(this._incomingMsgId<=this._incomingAckId||this._incomingAckTimeout)return;const o=Date.now()-this._incomingMsgLastTime;if(o>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-o+5)}_recvAckCheck(){if(this._outgoingMsgId<=this._outgoingAckId||this._outgoingAckTimeout||this._isReconnecting)return;const o=this._outgoingUnackMsg.peek(),a=Date.now()-o.writtenTime,c=Date.now()-this._socketReader.lastReadTime,f=Date.now()-this._lastSocketTimeoutTime;if(a>=2e4&&c>=2e4&&f>=2e4&&!this._loadEstimator.hasHighLoad()){this._lastSocketTimeoutTime=Date.now(),this._onSocketTimeout.fire(void 0);return}const k=Math.max(2e4-a,2e4-c,2e4-f,500);this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},k)}_sendAck(){if(this._incomingMsgId<=this._incomingAckId)return;this._incomingAckId=this._incomingMsgId;const o=new y(3,0,this._incomingAckId,C());this._socketWriter.write(o)}}e.PersistentProtocol=i}),define(J[140],Z([0,1,38,19,3,2,43,128]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function g(C,P){const b=D.Event.fromNodeEventEmitter(E.validatedIpcMain,P,(h,y)=>({event:h,message:y})),p=D.Event.filter(b,({event:h})=>h.sender.id===C);return D.Event.map(p,({message:h})=>h&&t.VSBuffer.wrap(h))}class S extends M.IPCServer{constructor(){super(S.getOnDidClientConnect())}static getOnDidClientConnect(){const P=D.Event.fromNodeEventEmitter(E.validatedIpcMain,"vscode:hello",({sender:b})=>b);return D.Event.map(P,b=>{const p=b.id,h=S.Clients.get(p);h&&h.dispose();const y=new D.Emitter;S.Clients.set(p,(0,R.toDisposable)(()=>y.fire()));const v=g(p,"vscode:message"),w=D.Event.any(D.Event.signal(g(p,"vscode:disconnect")),y.event);return{protocol:new I.Protocol(b,v),onDidClientDisconnect:w}})}}e.Server=S,S.Clients=new Map}),define(J[96],Z([0,1,38,3,30,139]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class M extends R.Client{constructor(S,C){super({addEventListener:(P,b)=>S.addListener(P,b),removeEventListener:(P,b)=>S.removeListener(P,b),postMessage:P=>S.postMessage(P),start:()=>S.start(),close:()=>S.close()},C)}}e.Client=M;async function I(g){if(g.isDestroyed()||g.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const S=(0,D.generateUuid)();g.webContents.send("vscode:createMessageChannel",S);const C=t.Event.fromNodeEventEmitter(E.validatedIpcMain,"vscode:createMessageChannelResult",(b,p)=>({nonce:p,port:b.ports[0]})),{port:P}=await t.Event.toPromise(t.Event.once(t.Event.filter(C,b=>b.nonce===S)));return P}e.connect=I}),define(J[81],Z([0,1,19,18,3,2,9,4,30,43,95]),function($,e,E,t,D,R,M,I,g,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;function P(){return{crypto:$.__$__nodeRequire("crypto"),zlib:$.__$__nodeRequire("zlib"),net:$.__$__nodeRequire("net"),os:$.__$__nodeRequire("os")}}class b{constructor(c,f=""){this.debugLabel=f,this.socket=c,this.traceSocketEvent("created",{type:"NodeSocket"}),this._errorListener=k=>{if(this.traceSocketEvent("error",{code:k?.code,message:k?.message}),k){if(k.code==="EPIPE")return;(0,t.onUnexpectedError)(k)}},this.socket.on("error",this._errorListener)}traceSocketEvent(c,f){C.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,c,f)}dispose(){this.socket.off("error",this._errorListener),this.socket.destroy()}onData(c){const f=k=>{this.traceSocketEvent("read",k),c(E.VSBuffer.wrap(k))};return this.socket.on("data",f),{dispose:()=>this.socket.off("data",f)}}onClose(c){const f=k=>{this.traceSocketEvent("close",{hadError:k}),c({type:0,hadError:k,error:void 0})};return this.socket.on("close",f),{dispose:()=>this.socket.off("close",f)}}onEnd(c){const f=()=>{this.traceSocketEvent("nodeEndReceived"),c()};return this.socket.on("end",f),{dispose:()=>this.socket.off("end",f)}}write(c){if(!this.socket.destroyed)try{this.traceSocketEvent("write",c),this.socket.write(c.buffer,f=>{if(f){if(f.code==="EPIPE")return;(0,t.onUnexpectedError)(f)}})}catch(f){if(f.code==="EPIPE")return;(0,t.onUnexpectedError)(f)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((c,f)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),c();return}const k=()=>{this.socket.off("close",k),this.socket.off("end",k),this.socket.off("error",k),this.socket.off("timeout",k),this.socket.off("drain",k),this.traceSocketEvent("nodeDrainEnd"),c()};this.socket.on("close",k),this.socket.on("end",k),this.socket.on("error",k),this.socket.on("timeout",k),this.socket.on("drain",k)})}}e.NodeSocket=b;var p;(function(a){a[a.MinHeaderByteSize=2]="MinHeaderByteSize"})(p||(p={}));var h;(function(a){a[a.PeekHeader=1]="PeekHeader",a[a.ReadHeader=2]="ReadHeader",a[a.ReadBody=3]="ReadBody",a[a.Fin=4]="Fin"})(h||(h={}));class y extends R.Disposable{constructor(c,f,k,L){super();this._onData=this._register(new D.Emitter),this._onClose=this._register(new D.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=c,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:f,inflateBytesLength:k?.byteLength||0,recordInflateBytes:L}),this._flowManager=this._register(new v(this,f,k,L,this._onData,(T,U)=>this._write(T,U))),this._register(this._flowManager.onError(T=>{console.error(T),(0,t.onUnexpectedError)(T),this._onClose.fire({type:0,hadError:!0,error:T})})),this._incomingData=new C.ChunkStream,this._register(this.socket.onData(T=>this._acceptChunk(T))),this._register(this.socket.onClose(T=>this._onClose.fire(T)))}get permessageDeflate(){return this._flowManager.permessageDeflate}get recordedInflateBytes(){return this._flowManager.recordedInflateBytes}traceSocketEvent(c,f){this.socket.traceSocketEvent(c,f)}dispose(){this._flowManager.isProcessingWriteQueue()?this._register(this._flowManager.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(c){return this._onData.event(c)}onClose(c){return this._onClose.event(c)}onEnd(c){return this.socket.onEnd(c)}write(c){this._flowManager.writeMessage(c)}_write(c,f){if(this._isEnded)return;this.traceSocketEvent("webSocketNodeSocketWrite",c);let k=2;c.byteLength<126?k+=0:c.byteLength<2**16?k+=2:k+=8;const L=E.VSBuffer.alloc(k);if(f?L.writeUInt8(194,0):L.writeUInt8(130,0),c.byteLength<126)L.writeUInt8(c.byteLength,1);else if(c.byteLength<2**16){L.writeUInt8(126,1);let T=1;L.writeUInt8(c.byteLength>>>8&255,++T),L.writeUInt8(c.byteLength>>>0&255,++T)}else{L.writeUInt8(127,1);let T=1;L.writeUInt8(0,++T),L.writeUInt8(0,++T),L.writeUInt8(0,++T),L.writeUInt8(0,++T),L.writeUInt8(c.byteLength>>>24&255,++T),L.writeUInt8(c.byteLength>>>16&255,++T),L.writeUInt8(c.byteLength>>>8&255,++T),L.writeUInt8(c.byteLength>>>0&255,++T)}this.socket.write(E.VSBuffer.concat([L,c]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(c){if(c.byteLength!==0){for(this._incomingData.acceptChunk(c);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const f=this._incomingData.peek(this._state.readLen),k=f.readUInt8(0),L=(k&128)>>>7,T=(k&64)>>>6,U=f.readUInt8(1),G=(U&128)>>>7,ie=U&127;this._state.state=2,this._state.readLen=2+(G?4:0)+(ie===126?2:0)+(ie===127?8:0),this._state.fin=L,this._state.firstFrameOfMessage&&(this._state.compressed=Boolean(T)),this._state.firstFrameOfMessage=Boolean(L),this._state.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin})}else if(this._state.state===2){const f=this._incomingData.read(this._state.readLen),k=f.readUInt8(1),L=(k&128)>>>7;let T=k&127,U=1;T===126?T=f.readUInt8(++U)*2**8+f.readUInt8(++U):T===127&&(T=f.readUInt8(++U)*0+f.readUInt8(++U)*0+f.readUInt8(++U)*0+f.readUInt8(++U)*0+f.readUInt8(++U)*2**24+f.readUInt8(++U)*2**16+f.readUInt8(++U)*2**8+f.readUInt8(++U));let G=0;L&&(G=f.readUInt8(++U)*2**24+f.readUInt8(++U)*2**16+f.readUInt8(++U)*2**8+f.readUInt8(++U)),this._state.state=3,this._state.readLen=T,this._state.mask=G,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this._state.readLen,compressed:this._state.compressed,fin:this._state.fin,mask:this._state.mask})}else if(this._state.state===3){const f=this._incomingData.read(this._state.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",f),d(f,this._state.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",f),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._flowManager.acceptFrame(f,this._state.compressed,!!this._state.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this._flowManager.isProcessingWriteQueue()&&await D.Event.toPromise(this._flowManager.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.WebSocketNodeSocket=y;class v extends R.Disposable{constructor(c,f,k,L,T,U){super();this._tracer=c,this._onData=T,this._writeFn=U,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._writeQueue=[],this._readQueue=[],this._onDidFinishProcessingWriteQueue=this._register(new D.Emitter),this.onDidFinishProcessingWriteQueue=this._onDidFinishProcessingWriteQueue.event,this._isProcessingWriteQueue=!1,this._isProcessingReadQueue=!1,f?(this._zlibInflateStream=this._register(new w(this._tracer,L,k,{windowBits:15})),this._zlibDeflateStream=this._register(new m(this._tracer,{windowBits:15})),this._register(this._zlibInflateStream.onError(G=>this._onError.fire(G))),this._register(this._zlibDeflateStream.onError(G=>this._onError.fire(G)))):(this._zlibInflateStream=null,this._zlibDeflateStream=null)}get permessageDeflate(){return Boolean(this._zlibInflateStream&&this._zlibDeflateStream)}get recordedInflateBytes(){return this._zlibInflateStream?this._zlibInflateStream.recordedInflateBytes:E.VSBuffer.alloc(0)}writeMessage(c){this._writeQueue.push(c),this._processWriteQueue()}async _processWriteQueue(){if(!this._isProcessingWriteQueue){for(this._isProcessingWriteQueue=!0;this._writeQueue.length>0;){const c=this._writeQueue.shift();if(this._zlibDeflateStream){const f=await this._deflateMessage(this._zlibDeflateStream,c);this._writeFn(f,!0)}else this._writeFn(c,!1)}this._isProcessingWriteQueue=!1,this._onDidFinishProcessingWriteQueue.fire()}}isProcessingWriteQueue(){return this._isProcessingWriteQueue}_deflateMessage(c,f){return new Promise((k,L)=>{c.write(f),c.flush(T=>k(T))})}acceptFrame(c,f,k){this._readQueue.push({data:c,isCompressed:f,isLastFrameOfMessage:k}),this._processReadQueue()}async _processReadQueue(){if(!this._isProcessingReadQueue){for(this._isProcessingReadQueue=!0;this._readQueue.length>0;){const c=this._readQueue.shift();if(this._zlibInflateStream&&c.isCompressed){const f=await this._inflateFrame(this._zlibInflateStream,c.data,c.isLastFrameOfMessage);this._onData.fire(f)}else this._onData.fire(c.data)}this._isProcessingReadQueue=!1}}_inflateFrame(c,f,k){return new Promise((L,T)=>{c.write(f),k&&c.write(E.VSBuffer.fromByteArray([0,0,255,255])),c.flush(U=>L(U))})}}class w extends R.Disposable{constructor(c,f,k,L){super();this._tracer=c,this._recordInflateBytes=f,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._recordedInflateBytes=[],this._pendingInflateData=[],this._zlibInflate=P().zlib.createInflateRaw(L),this._zlibInflate.on("error",T=>{this._tracer.traceSocketEvent("zlibInflateError",{message:T?.message,code:T?.code}),this._onError.fire(T)}),this._zlibInflate.on("data",T=>{this._tracer.traceSocketEvent("zlibInflateData",T),this._pendingInflateData.push(E.VSBuffer.wrap(T))}),k&&(this._tracer.traceSocketEvent("zlibInflateInitialWrite",k.buffer),this._zlibInflate.write(k.buffer),this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateInitialFlushFired"),this._pendingInflateData.length=0}))}get recordedInflateBytes(){return this._recordInflateBytes?E.VSBuffer.concat(this._recordedInflateBytes):E.VSBuffer.alloc(0)}write(c){this._recordInflateBytes&&this._recordedInflateBytes.push(c.clone()),this._tracer.traceSocketEvent("zlibInflateWrite",c),this._zlibInflate.write(c.buffer)}flush(c){this._zlibInflate.flush(()=>{this._tracer.traceSocketEvent("zlibInflateFlushFired");const f=E.VSBuffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,c(f)})}}class m extends R.Disposable{constructor(c,f){super();this._tracer=c,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._pendingDeflateData=[],this._zlibDeflate=P().zlib.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",k=>{this._tracer.traceSocketEvent("zlibDeflateError",{message:k?.message,code:k?.code}),this._onError.fire(k)}),this._zlibDeflate.on("data",k=>{this._tracer.traceSocketEvent("zlibDeflateData",k),this._pendingDeflateData.push(E.VSBuffer.wrap(k))})}write(c){this._tracer.traceSocketEvent("zlibDeflateWrite",c.buffer),this._zlibDeflate.write(c.buffer)}flush(c){this._zlibDeflate.flush(2,()=>{this._tracer.traceSocketEvent("zlibDeflateFlushFired");let f=E.VSBuffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,f=f.slice(0,f.byteLength-4),c(f)})}}function d(a,c){if(c===0)return;const f=a.byteLength>>>2;for(let ie=0;ie<f;ie++){const ne=a.readUInt32BE(ie*4);a.writeUInt32BE(ne^c,ie*4)}const k=f*4,L=a.byteLength-k,T=c>>>24&255,U=c>>>16&255,G=c>>>8&255;L>=1&&a.writeUInt8(a.readUInt8(k)^T,k),L>=2&&a.writeUInt8(a.readUInt8(k+1)^U,k+1),L>=3&&a.writeUInt8(a.readUInt8(k+2)^G,k+2)}e.XDG_RUNTIME_DIR=typeof process!="undefined"?process.env.XDG_RUNTIME_DIR:void 0;const u={[2]:107,[1]:103};function l(){const a=(0,g.generateUuid)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${a}-sock`;let c;return e.XDG_RUNTIME_DIR?c=(0,M.join)(e.XDG_RUNTIME_DIR,`vscode-ipc-${a}.sock`):c=(0,M.join)(P().os.tmpdir(),`vscode-ipc-${a}.sock`),r(c),c}e.createRandomIPCHandle=l;function n(a,c,f){const k=P().crypto.createHash("md5").update(a).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${k}-${f}-${c}-sock`;let L;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?L=(0,M.join)(e.XDG_RUNTIME_DIR,`vscode-${k.substr(0,8)}-${f}-${c}.sock`):L=(0,M.join)(a,`${f}-${c}.sock`),r(L),L}e.createStaticIPCHandle=n;function r(a){const c=u[I.platform];typeof c=="number"&&a.length>=c&&console.warn(`WARNING: IPC handle "${a}" is longer than ${c} chars, try a shorter --user-data-dir`)}class i extends S.IPCServer{constructor(c){super(i.toClientConnectionEvent(c));this.server=c}static toClientConnectionEvent(c){const f=D.Event.fromNodeEventEmitter(c,"connection");return D.Event.map(f,k=>({protocol:new C.Protocol(new b(k,"ipc-server-connection")),onDidClientDisconnect:D.Event.once(D.Event.fromNodeEventEmitter(k,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=i;function s(a){return new Promise((c,f)=>{const k=P().net.createServer();k.on("error",f),k.listen(a,()=>{k.removeListener("error",f),c(new i(k))})})}e.serve=s;function o(a,c){return new Promise((f,k)=>{const L=P().net.createConnection(a,()=>{L.removeListener("error",k),f(C.Client.fromSocket(new b(L,`ipc-client${c}`),c))});L.once("error",k)})}e.connect=o}),define(J[97],Z([0,1,8,3,2,13]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageState=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var M;(function(P){P[P.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(M=e.StorageHint||(e.StorageHint={}));function I(P){const b=P;return b?.changed instanceof Map||b?.deleted instanceof Set}e.isStorageItemsChangeEvent=I;var g;(function(P){P[P.None=0]="None",P[P.Initialized=1]="Initialized",P[P.Closed=2]="Closed"})(g=e.StorageState||(e.StorageState={}));class S extends D.Disposable{constructor(b,p=Object.create(null)){super();this.database=b,this.options=p,this._onDidChangeStorage=this._register(new t.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=g.None,this.cache=new Map,this.flushDelayer=new E.ThrottledDelayer(S.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(b=>this.onDidChangeItemsExternal(b)))}onDidChangeItemsExternal(b){b.changed?.forEach((p,h)=>this.accept(h,p)),b.deleted?.forEach(p=>this.accept(p,void 0))}accept(b,p){if(this.state===g.Closed)return;let h=!1;(0,R.isUndefinedOrNull)(p)?h=this.cache.delete(b):this.cache.get(b)!==p&&(this.cache.set(b,p),h=!0),h&&this._onDidChangeStorage.fire(b)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===g.None&&(this.state=g.Initialized,this.options.hint!==M.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(b,p){const h=this.cache.get(b);return(0,R.isUndefinedOrNull)(h)?p:h}getBoolean(b,p){const h=this.get(b);return(0,R.isUndefinedOrNull)(h)?p:h==="true"}getNumber(b,p){const h=this.get(b);return(0,R.isUndefinedOrNull)(h)?p:parseInt(h,10)}async set(b,p){if(this.state===g.Closed)return;if((0,R.isUndefinedOrNull)(p))return this.delete(b);const h=String(p);if(this.cache.get(b)!==h)return this.cache.set(b,h),this.pendingInserts.set(b,h),this.pendingDeletes.delete(b),this._onDidChangeStorage.fire(b),this.doFlush()}async delete(b){if(!(this.state===g.Closed||!this.cache.delete(b)))return this.pendingDeletes.has(b)||this.pendingDeletes.add(b),this.pendingInserts.delete(b),this._onDidChangeStorage.fire(b),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=g.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const b={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(b).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(b){if(!!this.hasPending)return this.doFlush(b)}async doFlush(b){return this.flushDelayer.trigger(()=>this.flushPending(),b)}async whenFlushed(){if(!!this.hasPending)return new Promise(b=>this.whenFlushedCallbacks.push(b))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=S,S.DEFAULT_FLUSH_DELAY=100;class C{constructor(){this.onDidChangeItemsExternal=t.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(b){b.insert?.forEach((p,h)=>this.items.set(h,p)),b.delete?.forEach(p=>this.items.delete(p))}async close(){}}e.InMemoryStorageDatabase=C}),define(J[141],Z([0,1,8,3,33,9,23]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class I{constructor(C,P=Object.create(null)){this.path=C,this.options=P,this.name=(0,R.basename)(this.path),this.logger=new g(this.options.logging),this.whenConnected=this.connect(this.path)}get onDidChangeItemsExternal(){return t.Event.None}async getItems(){const C=await this.whenConnected,P=new Map;return(await this.all(C,"SELECT * FROM ItemTable")).forEach(p=>P.set(p.key,p.value)),this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] getItems(): ${P.size} rows`),P}async updateItems(C){const P=await this.whenConnected;return this.doUpdateItems(P,C)}doUpdateItems(C,P){return this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] updateItems(): insert(${P.insert?(0,D.mapToString)(P.insert):"0"}), delete(${P.delete?(0,D.setToString)(P.delete):"0"})`),this.transaction(C,()=>{const b=P.insert,p=P.delete;if(b&&b.size>0){const h=[];h.push([]);let y=0;b.forEach((v,w)=>{let m=h[y];m.length>I.MAX_HOST_PARAMETERS&&(y++,m=[],h.push(m)),m.push(w,v)}),h.forEach(v=>{this.prepare(C,`INSERT INTO ItemTable VALUES ${new Array(v.length/2).fill("(?,?)").join(",")}`,w=>w.run(v),()=>{const w=[];let m=0;return b.forEach((d,u)=>{w.push(u),m+=d.length}),`Keys: ${w.join(", ")} Length: ${m}`})})}if(p&&p.size){const h=[];h.push([]);let y=0;p.forEach(v=>{let w=h[y];w.length>I.MAX_HOST_PARAMETERS&&(y++,w=[],h.push(w)),w.push(v)}),h.forEach(v=>{this.prepare(C,`DELETE FROM ItemTable WHERE key IN (${new Array(v.length).fill("?").join(",")})`,w=>w.run(v),()=>{const w=[];return p.forEach(m=>{w.push(m)}),`Keys: ${w.join(", ")}`})})}})}async close(C){this.logger.trace(`[storage ${this.name}] close()`);const P=await this.whenConnected;return this.doClose(P,C)}doClose(C,P){return new Promise((b,p)=>{C.db.close(h=>(h&&this.handleSQLiteError(C,`[storage ${this.name}] close(): ${h}`),this.path===I.IN_MEMORY_PATH?b():!C.isErroneous&&!C.isInMemory?this.backup().then(b,y=>(this.logger.error(`[storage ${this.name}] backup(): ${y}`),b())):typeof P=="function"?M.Promises.unlink(this.path).then(()=>this.doConnect(this.path).then(y=>{const v=()=>this.doClose(y,void 0);return this.doUpdateItems(y,{insert:P()}).then(()=>v(),w=>(v(),Promise.reject(w)))})).then(b,p):p(h||new Error("Database has errors or is in-memory without recovery option"))))})}backup(){const C=this.toBackupPath(this.path);return M.Promises.copy(this.path,C,{preserveSymlinks:!1})}toBackupPath(C){return`${C}.backup`}async checkIntegrity(C){this.logger.trace(`[storage ${this.name}] checkIntegrity(full: ${C})`);const P=await this.whenConnected,b=await this.get(P,C?"PRAGMA integrity_check":"PRAGMA quick_check"),p=C?b.integrity_check:b.quick_check;return P.isErroneous?`${p} (last error: ${P.lastError})`:P.isInMemory?`${p} (in-memory!)`:p}async connect(C,P=!0){this.logger.trace(`[storage ${this.name}] open(${C}, retryOnBusy: ${P})`);try{return await this.doConnect(C)}catch(b){if(this.logger.error(`[storage ${this.name}] open(): Unable to open DB due to ${b}`),b.code==="SQLITE_BUSY"&&P)return await(0,E.timeout)(I.BUSY_OPEN_TIMEOUT),this.connect(C,!1);try{await M.Promises.unlink(C);try{await M.Promises.rename(this.toBackupPath(C),C)}catch{}return await this.doConnect(C)}catch(p){return this.logger.error(`[storage ${this.name}] open(): Unable to use backup due to ${p}`),this.doConnect(I.IN_MEMORY_PATH)}}}handleSQLiteError(C,P){C.isErroneous=!0,C.lastError=P,this.logger.error(P)}doConnect(C){return new Promise((P,b)=>{new Promise((p,h)=>{$(["@vscode/sqlite3"],p,h)}).then(p=>{const h={db:new(this.logger.isTracing?p.verbose().Database:p.Database)(C,y=>y?h.db&&y.code!=="SQLITE_CANTOPEN"?h.db.close(()=>b(y)):b(y):this.exec(h,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>P(h),v=>h.db.close(()=>b(v)))),isInMemory:C===I.IN_MEMORY_PATH};h.db.on("error",y=>this.handleSQLiteError(h,`[storage ${this.name}] Error (event): ${y}`)),this.logger.isTracing&&h.db.on("trace",y=>this.logger.trace(`[storage ${this.name}] Trace (event): ${y}`))},b)})}exec(C,P){return new Promise((b,p)=>{C.db.exec(P,h=>h?(this.handleSQLiteError(C,`[storage ${this.name}] exec(): ${h}`),p(h)):b())})}get(C,P){return new Promise((b,p)=>{C.db.get(P,(h,y)=>h?(this.handleSQLiteError(C,`[storage ${this.name}] get(): ${h}`),p(h)):b(y))})}all(C,P){return new Promise((b,p)=>{C.db.all(P,(h,y)=>h?(this.handleSQLiteError(C,`[storage ${this.name}] all(): ${h}`),p(h)):b(y))})}transaction(C,P){return new Promise((b,p)=>{C.db.serialize(()=>{C.db.run("BEGIN TRANSACTION"),P(),C.db.run("END TRANSACTION",h=>h?(this.handleSQLiteError(C,`[storage ${this.name}] transaction(): ${h}`),p(h)):b())})})}prepare(C,P,b,p){const h=C.db.prepare(P),y=v=>{this.handleSQLiteError(C,`[storage ${this.name}] prepare(): ${v} (${P}). Details: ${p()}`)};h.on("error",y),b(h),h.finalize(v=>{v&&y(v),h.removeListener("error",y)})}}e.SQLiteStorageDatabase=I,I.IN_MEMORY_PATH=":memory:",I.BUSY_OPEN_TIMEOUT=2e3,I.MAX_HOST_PARAMETERS=256;class g{constructor(C){C&&typeof C.logTrace=="function"&&process.env[g.VSCODE_TRACE_STORAGE]&&(this.logTrace=C.logTrace),C&&typeof C.logError=="function"&&(this.logError=C.logError)}get isTracing(){return!!this.logTrace}trace(C){this.logTrace?.(C)}error(C){this.logError?.(C)}}g.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(J[142],Z([11,10]),function($,e){return $.create("vs/base/node/processes",e)}),define(J[82],Z([0,1,42,29,12,50,9,4,36,77,13,124,23,142]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return S.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return S.TerminateResponseCode}});function h(l){switch(l){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function y(l,n){if(I.isWindows)try{const r={stdio:["pipe","pipe","ignore"]};n&&(r.cwd=n);const i=E.execFile("taskkill",["/T","/F","/PID",l.pid.toString()],r);return new Promise(s=>{i.once("error",o=>{s({success:!1,error:o})}),i.once("exit",(o,a)=>{s(o===0?{success:!0}:{success:!1,code:o!==null?o:1})})})}catch(r){return Promise.resolve({success:!1,error:r,code:r.status?h(r.status):1})}else if(I.isLinux||I.isMacintosh)try{const r=D.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",$).fsPath;return new Promise(i=>{E.execFile(r,[l.pid.toString()],{encoding:"utf8",shell:!0},(s,o,a)=>{i(s?{success:!1,error:s}:{success:!0})})})}catch(r){return Promise.resolve({success:!1,error:r})}else l.kill("SIGKILL");return Promise.resolve({success:!0})}function v(l=g.env){return l.comspec||"cmd.exe"}e.getWindowsShell=v;class w{constructor(n,r,i,s){if(r!==void 0&&i!==void 0&&s!==void 0)this.cmd=n,this.args=r,this.shell=i,this.options=s;else{const o=n;this.cmd=o.command,this.shell=o.isShellCommand,this.args=o.args.slice(0),this.options=o.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const o=Object.create(null);Object.keys(g.env).forEach(a=>{o[a]=g.env[a]}),Object.keys(this.options.env).forEach(a=>{o[a]=this.options.env[a]}),this.options.env=o}}getSanitizedCommand(){let n=this.cmd.toLowerCase();const r=n.lastIndexOf(M.sep);return r!==-1&&(n=n.substring(r+1)),w.WellKnowCommands[n]?n:"other"}start(n){return I.isWindows&&(this.options&&this.options.cwd&&t.isUNC(this.options.cwd)||!this.options&&t.isUNC(g.cwd()))?Promise.reject(new Error(p.localize(0,null))):this.useExec().then(r=>{let i,s;const o=new Promise((a,c)=>{i=a,s=c});if(r){let a=this.cmd;this.args&&(a=a+" "+this.args.join(" ")),this.childProcess=E.exec(a,this.options,(c,f,k)=>{this.childProcess=null;const L=c;L&&L.killed?s({killed:this.terminateRequested,stdout:f.toString(),stderr:k.toString()}):this.handleExec(i,n,c,f,k)})}else{let a=null;const c=f=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(f,i,n,s);const k={terminated:this.terminateRequested};C.isNumber(f)&&(k.cmdCode=f),i(k)};if(this.shell&&I.isWindows){const f=R.deepClone(this.options);f.windowsVerbatimArguments=!0,f.detached=!1;let k=!1,L=!1;const T=[];let U=this.ensureQuotes(this.cmd);T.push(U.value),k=U.quoted,this.args&&this.args.forEach(ie=>{U=this.ensureQuotes(ie),T.push(U.value),L=L&&U.quoted});const G=["/s","/c"];k?L?G.push('"'+T.join(" ")+'"'):T.length>1?G.push('"'+T[0]+'" '+T.slice(1).join(" ")):G.push('"'+T[0]+'"'):G.push(T.join(" ")),a=E.spawn(v(),G,f)}else this.cmd&&(a=E.spawn(this.cmd,this.args,this.options));a&&(this.childProcess=a,this.childProcessPromise=Promise.resolve(a),this.pidResolve&&(this.pidResolve(C.isNumber(a.pid)?a.pid:-1),this.pidResolve=void 0),a.on("error",f=>{this.childProcess=null,s({terminated:this.terminateRequested,error:f})}),a.pid&&(this.childProcess.on("close",c),this.handleSpawn(a,i,n,s,!0)))}return o})}handleClose(n,r,i,s){}ensureQuotes(n){return w.regexp.test(n)?{value:'"'+n+'"',quoted:!0}:{value:n,quoted:n.length>0&&n[0]==='"'&&n[n.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(n=>n.pid,n=>-1):new Promise(n=>{this.pidResolve=n})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(n=>(this.terminateRequested=!0,y(n,this.options.cwd).then(r=>(r.success&&(this.childProcess=null),r))),n=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(n=>{if(!this.shell||!I.isWindows)return n(!1);const r=E.spawn(v(),["/s","/c"]);r.on("error",i=>n(!0)),r.on("exit",i=>n(!1))})}}e.AbstractProcess=w,w.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},w.regexp=/^[^"].* .*[^"]/;class m extends w{constructor(n,r,i,s){super(n,r,i,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(n,r,i,s,o){[s,o].forEach((a,c)=>{const f=new P.LineDecoder;f.write(a).forEach(T=>{r({line:T,source:c===0?0:1})});const L=f.end();L&&r({line:L,source:c===0?0:1})}),n({terminated:this.terminateRequested,error:i})}handleSpawn(n,r,i,s,o){const a=new P.LineDecoder,c=new P.LineDecoder;n.stdout.on("data",f=>{a.write(f).forEach(L=>i({line:L,source:0}))}),n.stderr.on("data",f=>{c.write(f).forEach(L=>i({line:L,source:1}))}),this.stdoutLineDecoder=a,this.stderrLineDecoder=c}handleClose(n,r,i,s){const o=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;o&&i({line:o,source:0});const a=this.stderrLineDecoder?this.stderrLineDecoder.end():null;a&&i({line:a,source:1})}}e.LineProcess=m;function d(l){let n=[],r=!1;const i=function(s){if(r){n.push(s);return}(!l.send(s,a=>{if(a&&console.error(a),r=!1,n.length>0){const c=n.slice(0);n=[],c.forEach(f=>i(f))}})||I.isWindows)&&(r=!0)};return{send:i}}e.createQueuedSender=d;var u;(function(l){async function n(r,i,s){if(M.isAbsolute(r))return r;if(i===void 0&&(i=g.cwd()),M.dirname(r)!=="."||(s===void 0&&C.isString(g.env.PATH)&&(s=g.env.PATH.split(M.delimiter)),s===void 0||s.length===0))return M.join(i,r);async function a(c){if(await b.Promises.exists(c)){let f;try{f=await b.Promises.stat(c)}catch(k){k.message.startsWith("EACCES")&&(f=await b.Promises.lstat(c))}return f?!f.isDirectory():!1}return!1}for(const c of s){let f;if(M.isAbsolute(c)?f=M.join(c,r):f=M.join(i,c,r),await a(f))return f;let k=f+".com";if(await a(k)||(k=f+".exe",await a(k)))return k}return M.join(i,r)}l.findExecutable=n})(u=e.win32||(e.win32={}))}),define(J[143],Z([0,1,28,4,138,82]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function M(p,h){return p===1?t.isWindows?P():R.getWindowsShell(h):S(p,h)}e.getSystemShell=M;function I(p,h){return p===1?t.isWindows?b(h):R.getWindowsShell(h):S(p,h)}e.getSystemShellSync=I;let g=null;function S(p,h){if(t.isLinux&&p===2||t.isMacintosh&&p===3)return"/bin/bash";if(!g){let y;if(t.isWindows)y="/bin/bash";else{if(y=h.SHELL,!y)try{y=(0,E.userInfo)().shell}catch{}y||(y="sh"),y==="/bin/false"&&(y="/bin/bash")}g=y}return g}let C=null;async function P(){return C||(C=(await(0,D.getFirstAvailablePowerShellInstallation)()).exePath),C}function b(p){if(C)return C;const h=t.isWindows&&parseFloat((0,E.release)())>=10,y=p.hasOwnProperty("PROCESSOR_ARCHITEW6432"),v=`${p.windir}\\${y?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return h?v:R.getWindowsShell(p)}}),define(J[144],Z([0,1,42,8,19,22,135,18,3,2,50,82,77,43]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class h extends p.ChannelServer{constructor(w){super({send:m=>{try{process.send?.(m.buffer.toString("base64"))}catch{}},onMessage:g.Event.fromNodeEventEmitter(process,"message",m=>D.VSBuffer.wrap(Buffer.from(m,"base64")))},w);process.once("disconnect",()=>this.dispose())}}e.Server=h;class y{constructor(w,m){this.modulePath=w,this.options=m,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new g.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const d=m&&m.timeout?m.timeout:6e4;this.disposeDelayer=new t.Delayer(d),this.child=null,this._client=null}getChannel(w){const m=this;return{call(d,u,l){return m.requestPromise(w,d,u,l)},listen(d,u){return m.requestEvent(w,d,u)}}}requestPromise(w,m,d,u=R.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(u.isCancellationRequested)return Promise.reject(I.canceled());this.disposeDelayer.cancel();const l=this.getCachedChannel(w),n=(0,t.createCancelablePromise)(s=>l.call(m,d,s)),r=u.onCancellationRequested(()=>n.cancel()),i=(0,S.toDisposable)(()=>n.cancel());return this.activeRequests.add(i),n.finally(()=>{r.dispose(),this.activeRequests.delete(i),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),n}requestEvent(w,m,d){if(!this.disposeDelayer)return g.Event.None;this.disposeDelayer.cancel();let u;const l=new g.Emitter({onFirstListenerAdd:()=>{u=this.getCachedChannel(w).listen(m,d)(l.fire,l),this.activeRequests.add(u)},onLastListenerRemove:()=>{this.activeRequests.delete(u),u.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return l.event}get client(){if(!this._client){const w=this.options&&this.options.args?this.options.args:[],m=Object.create(null);m.env={...(0,C.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(m.env={...m.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(m.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(m.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(m.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),m.execArgv===void 0&&(m.execArgv=process.execArgv.filter(o=>!/^--inspect(-brk)?=/.test(o))),(0,b.removeDangerousEnvVariables)(m.env),this.child=(0,E.fork)(this.modulePath,w,m);const d=new g.Emitter;g.Event.fromNodeEventEmitter(this.child,"message",o=>o)(o=>{if((0,M.isRemoteConsoleLog)(o)){(0,M.log)(o,`IPC Library: ${this.options.serverName}`);return}d.fire(D.VSBuffer.wrap(Buffer.from(o,"base64")))});const l=this.options.useQueue?(0,P.createQueuedSender)(this.child):this.child,n=o=>this.child&&this.child.connected&&l.send(o.buffer.toString("base64")),r=d.event,i={send:n,onMessage:r};this._client=new p.ChannelClient(i);const s=()=>this.disposeClient();process.once("exit",s),this.child.on("error",o=>console.warn('IPC "'+this.options.serverName+'" errored with '+o)),this.child.on("exit",(o,a)=>{process.removeListener("exit",s),this.activeRequests.forEach(c=>(0,S.dispose)(c)),this.activeRequests.clear(),o!==0&&a!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+o+" and signal "+a),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:o,signal:a})})}return this._client}getCachedChannel(w){let m=this.channels.get(w);return m||(m=this.client.getChannel(w),this.channels.set(w,m)),m}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=y}),define(J[145],Z([11,10]),function($,e){return $.create("vs/code/electron-main/app",e)}),define(J[146],Z([11,10]),function($,e){return $.create("vs/platform/configuration/common/configurationRegistry",e)}),define(J[147],Z([11,10]),function($,e){return $.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(J[148],Z([11,10]),function($,e){return $.create("vs/platform/environment/node/argv",e)}),define(J[149],Z([11,10]),function($,e){return $.create("vs/platform/environment/node/argvHelper",e)}),define(J[150],Z([11,10]),function($,e){return $.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(J[151],Z([11,10]),function($,e){return $.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(J[152],Z([11,10]),function($,e){return $.create("vs/platform/files/common/fileService",e)}),define(J[153],Z([11,10]),function($,e){return $.create("vs/platform/files/common/files",e)}),define(J[154],Z([11,10]),function($,e){return $.create("vs/platform/files/common/io",e)}),define(J[155],Z([11,10]),function($,e){return $.create("vs/platform/files/electron-main/diskFileSystemProviderServer",e)}),define(J[156],Z([11,10]),function($,e){return $.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(J[157],Z([11,10]),function($,e){return $.create("vs/platform/issue/electron-main/issueMainService",e)}),define(J[158],Z([11,10]),function($,e){return $.create("vs/platform/menubar/electron-main/menubar",e)}),define(J[159],Z([11,10]),function($,e){return $.create("vs/platform/native/electron-main/nativeHostMainService",e)}),define(J[160],Z([11,10]),function($,e){return $.create("vs/platform/request/common/request",e)}),define(J[161],Z([11,10]),function($,e){return $.create("vs/platform/shell/node/shellEnv",e)}),define(J[162],Z([11,10]),function($,e){return $.create("vs/platform/telemetry/common/telemetryService",e)}),define(J[163],Z([11,10]),function($,e){return $.create("vs/platform/update/common/update.config.contribution",e)}),define(J[164],Z([11,10]),function($,e){return $.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(J[165],Z([11,10]),function($,e){return $.create("vs/platform/windows/electron-main/window",e)}),define(J[166],Z([11,10]),function($,e){return $.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(J[167],Z([11,10]),function($,e){return $.create("vs/platform/workspace/common/workspace",e)}),define(J[168],Z([11,10]),function($,e){return $.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(J[169],Z([11,10]),function($,e){return $.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(J[170],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isWorkspaceBackupInfo=e.isFolderBackupInfo=void 0;function E(D){return D&&D.hasOwnProperty("folderUri")}e.isFolderBackupInfo=E;function t(D){return D&&D.hasOwnProperty("workspace")}e.isWorkspaceBackupInfo=t}),define(J[171],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEmptyWindowBackupInfo=void 0;function E(t){return typeof t?.backupFolder=="string"}e.isEmptyWindowBackupInfo=E}),define(J[172],Z([0,1,3,2]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class D{constructor(){this._onCloseEmitter=new E.Emitter,this._onReloadEmitter=new E.Emitter,this._onTerminateEmitter=new E.Emitter,this._onAttachEmitter=new E.Emitter}call(I,g,S){switch(g){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:S[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:S[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:S[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:S[0],port:S[1],subId:S[2]}))}throw new Error("Method not implemented.")}listen(I,g,S){switch(g){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=D,D.ChannelName="extensionhostdebugservice";class R extends t.Disposable{constructor(I){super();this.channel=I}reload(I){this.channel.call("reload",[I])}get onReload(){return this.channel.listen("reload")}close(I){this.channel.call("close",[I])}get onClose(){return this.channel.listen("close")}attachSession(I,g,S){this.channel.call("attach",[I,g,S])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(I,g){this.channel.call("terminate",[I,g])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(I,g){return this.channel.call("openExtensionDevelopmentHostWindow",[I,g])}}e.ExtensionHostDebugChannelClient=R}),define(J[173],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=void 0;class E{constructor(D){this.machineId=D}encryption(){return new Promise((D,R)=>$(["vscode-encrypt"],D,R))}async encrypt(D){try{return(await this.encryption()).encrypt(this.machineId,D)}catch{return D}}async decrypt(D){try{return(await this.encryption()).decrypt(this.machineId,D)}catch{return D}}}e.EncryptionMainService=E}),define(J[174],Z([0,1,131,51,12,9,36,15,7]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class S{constructor(y,v,w){this._args=y,this.paths=v,this.productService=w,this.editSessionId=this.args.editSessionId}get appRoot(){return(0,R.dirname)(D.FileAccess.asFileUri("",$).fsPath)}get userHome(){return g.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return g.URI.file((0,R.join)(this.userDataPath,"User"))}get tmpDir(){return g.URI.file(this.paths.tmpDir)}get cacheHome(){return g.URI.file(this.userDataPath)}get stateResource(){return(0,I.joinPath)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,I.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const y=(0,E.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,R.join)(this.userDataPath,"logs",y)}return this.args.logsPath}get userDataSyncLogResource(){return g.URI.file((0,R.join)(this.logsPath,"userDataSync.log"))}get editSessionsLogResource(){return g.URI.file((0,R.join)(this.logsPath,"editSessions.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,I.joinPath)(g.URI.file((0,R.join)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,I.joinPath)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,I.joinPath)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,I.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const y=M.env.VSCODE_PORTABLE;return y?g.URI.file((0,R.join)(y,"argv.json")):(0,I.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return g.URI.file((0,R.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,R.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const y=this.args["builtin-extensions-dir"];return y?(0,R.resolve)(y):(0,R.normalize)((0,R.join)(D.FileAccess.asFileUri("",$).fsPath,"..","extensions"))}get extensionsDownloadPath(){const y=this.args["extensions-download-dir"];return y?(0,R.resolve)(y):(0,R.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const y=this.args["extensions-dir"];if(y)return(0,R.resolve)(y);const v=M.env.VSCODE_EXTENSIONS;if(v)return v;const w=M.env.VSCODE_PORTABLE;return w?(0,R.join)(w,"extensions"):(0,I.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const y=this.args.extensionDevelopmentPath;if(Array.isArray(y))return y.map(v=>/^[^:/?#]+?:\/\//.test(v)?g.URI.parse(v):g.URI.file((0,R.normalize)(v)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(y=>y==="ui"||y==="workspace"||y==="web"?y:"workspace")}get extensionTestsLocationURI(){const y=this.args.extensionTestsPath;if(y)return/^[^:/?#]+?:\/\//.test(y)?g.URI.parse(y):g.URI.file((0,R.normalize)(y))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const y=this.args["disable-extension"];if(y){if(typeof y=="string")return[y];if(Array.isArray(y)&&y.length>0)return y}return!1}get debugExtensionHost(){return C(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!M.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,I.joinPath)(g.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get telemetryLogResource(){return g.URI.file((0,R.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const y=M.env.VSCODE_PORTABLE;return y?g.URI.file((0,R.join)(y,"policy.json")):(0,I.joinPath)(this.userHome,this.productService.dataFolderName,"policy.json")}}get args(){return this._args}}de([t.memoize],S.prototype,"appRoot",null),de([t.memoize],S.prototype,"userHome",null),de([t.memoize],S.prototype,"userDataPath",null),de([t.memoize],S.prototype,"appSettingsHome",null),de([t.memoize],S.prototype,"tmpDir",null),de([t.memoize],S.prototype,"cacheHome",null),de([t.memoize],S.prototype,"stateResource",null),de([t.memoize],S.prototype,"userRoamingDataHome",null),de([t.memoize],S.prototype,"userDataSyncHome",null),de([t.memoize],S.prototype,"userDataSyncLogResource",null),de([t.memoize],S.prototype,"editSessionsLogResource",null),de([t.memoize],S.prototype,"sync",null),de([t.memoize],S.prototype,"machineSettingsResource",null),de([t.memoize],S.prototype,"workspaceStorageHome",null),de([t.memoize],S.prototype,"localHistoryHome",null),de([t.memoize],S.prototype,"keyboardLayoutResource",null),de([t.memoize],S.prototype,"argvResource",null),de([t.memoize],S.prototype,"isExtensionDevelopment",null),de([t.memoize],S.prototype,"untitledWorkspacesHome",null),de([t.memoize],S.prototype,"installSourcePath",null),de([t.memoize],S.prototype,"builtinExtensionsPath",null),de([t.memoize],S.prototype,"extensionsPath",null),de([t.memoize],S.prototype,"extensionDevelopmentLocationURI",null),de([t.memoize],S.prototype,"extensionDevelopmentKind",null),de([t.memoize],S.prototype,"extensionTestsLocationURI",null),de([t.memoize],S.prototype,"debugExtensionHost",null),de([t.memoize],S.prototype,"serviceMachineIdResource",null),de([t.memoize],S.prototype,"telemetryLogResource",null),de([t.memoize],S.prototype,"disableWorkspaceTrust",null),de([t.memoize],S.prototype,"policyFile",null),e.AbstractNativeEnvironmentService=S;function C(h,y){return p(h["inspect-extensions"],h["inspect-brk-extensions"],5870,y,h.debugId,h.extensionEnvironment)}e.parseExtensionHostPort=C;function P(h,y){return p(h["inspect-search"],h["inspect-brk-search"],5876,y,h.extensionEnvironment)}e.parseSearchPort=P;function b(h,y){return p(h["inspect-ptyhost"],h["inspect-brk-ptyhost"],5877,y,h.extensionEnvironment)}e.parsePtyHostPort=b;function p(h,y,v,w,m,d){const l=Number(y||h)||(w?null:v),n=l?Boolean(!!y):!1;let r;if(d)try{r=JSON.parse(d)}catch{}return{port:l,break:n,debugId:m,env:r}}}),define(J[98],Z([0,1,259,4,148]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const R={o:(0,D.localize)(0,null),e:(0,D.localize)(1,null),t:(0,D.localize)(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,D.localize)(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,D.localize)(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,D.localize)(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,D.localize)(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,D.localize)(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,D.localize)(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,D.localize)(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,D.localize)(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,D.localize)(11,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,D.localize)(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,D.localize)(13,null)},"show-versions":{type:"boolean",cat:"e",description:(0,D.localize)(14,null)},category:{type:"string",cat:"e",description:(0,D.localize)(15,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,D.localize)(16,null)},"pre-release":{type:"boolean",cat:"e",description:(0,D.localize)(17,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,D.localize)(18,null)},"enable-proposed-api":{type:"string[]",allowEmptyValue:!0,cat:"e",args:"ext-id",description:(0,D.localize)(19,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,D.localize)(20,null)},verbose:{type:"boolean",cat:"t",description:(0,D.localize)(21,null)},log:{type:"string",cat:"t",args:"level",description:(0,D.localize)(22,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,D.localize)(23,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,D.localize)(24,null)},"prof-append-timers":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,D.localize)(25,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,D.localize)(26,null)},sync:{type:"string",cat:"t",description:(0,D.localize)(27,null),args:["on | off"]},"inspect-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,D.localize)(28,null)},"inspect-brk-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,D.localize)(29,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,D.localize)(30,null)},"ms-enable-electron-run-as-node":{type:"boolean"},"max-memory":{type:"string",cat:"t",description:(0,D.localize)(31,null),args:"memory"},telemetry:{type:"boolean",cat:"t",description:(0,D.localize)(32,null)},remote:{type:"string",allowEmptyValue:!0},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-brk-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-search":{type:"string",deprecates:["debugSearch"],allowEmptyValue:!0},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"],allowEmptyValue:!0},"export-default-configuration":{type:"string"},"install-source":{type:"string"},"enable-smoke-test-driver":{type:"boolean"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},logsPath:{type:"string"},"__enable-file-policy":{type:"boolean"},editSessionId:{type:"string"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string",allowEmptyValue:!0},"inspect-brk":{type:"string",allowEmptyValue:!0},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},_:{type:"string[]"}};const M={onUnknownOption:()=>{},onMultipleValues:()=>{},onEmptyValue:()=>{},onDeprecatedOption:()=>{}};function I(h,y,v=M){const w={},m=["_"],d=[];for(const r in y){const i=y[r];i.alias&&(w[r]=i.alias),i.type==="string"||i.type==="string[]"?(m.push(r),i.deprecates&&m.push(...i.deprecates)):i.type==="boolean"&&(d.push(r),i.deprecates&&d.push(...i.deprecates))}const u=E(h,{string:m,boolean:d,alias:w}),l={},n=u;l._=u._.map(r=>String(r)).filter(r=>r.length>0),delete n._;for(const r in y){const i=y[r];i.alias&&delete n[i.alias];let s=n[r];if(i.deprecates)for(const o of i.deprecates)n.hasOwnProperty(o)&&(s||(s=n[o],s&&v.onDeprecatedOption(o,i.deprecationMessage||(0,D.localize)(33,null,r))),delete n[o]);if(typeof s!="undefined"){if(i.type==="string[]"){if(Array.isArray(s)||(s=[s]),!i.allowEmptyValue){const o=s.filter(a=>a.length>0);o.length!==s.length&&(v.onEmptyValue(r),s=o.length>0?o:void 0)}}else i.type==="string"&&(Array.isArray(s)?(s=s.pop(),v.onMultipleValues(r,s)):!s&&!i.allowEmptyValue&&(v.onEmptyValue(r),s=void 0));l[r]=s,i.deprecationMessage&&v.onDeprecatedOption(r,i.deprecationMessage)}delete n[r]}for(const r in n)v.onUnknownOption(r);return l}e.parseArgs=I;function g(h,y){let v="";return y.args&&(Array.isArray(y.args)?v=` <${y.args.join("> <")}>`:v=` <${y.args}>`),y.alias?`-${y.alias} --${h}${v}`:`--${h}${v}`}function S(h,y){let v=0;const w=[];for(const l in h){const n=h[l],r=g(l,n);v=Math.max(v,r.length),w.push([r,n.description])}const m=v+2+1;if(y-m<25)return w.reduce((l,n)=>l.concat([`  ${n[0]}`,`      ${n[1]}`]),[]);const d=y-m-1,u=[];for(const l of w){const n=l[0],r=P(l[1],d),i=C(m-n.length-2);u.push("  "+n+i+r[0]);for(let s=1;s<r.length;s++)u.push(C(m)+r[s])}return u}e.formatOptions=S;function C(h){return" ".repeat(h)}function P(h,y){const v=[];for(;h.length;){const w=h.length<y?h.length:h.lastIndexOf(" ",y),m=h.slice(0,w).trim();h=h.slice(w),v.push(m)}return v}function b(h,y,v,w,m){const d=process.stdout.isTTY&&process.stdout.columns||80,u=m?.noInputFiles!==!0?`[${(0,D.localize)(34,null)}...]`:"",l=[`${h} ${v}`];l.push(""),l.push(`${(0,D.localize)(35,null)}: ${y} [${(0,D.localize)(36,null)}]${u}`),l.push(""),m?.noPipe!==!0&&(t.isWindows?l.push((0,D.localize)(37,null,y)):l.push((0,D.localize)(38,null,y)),l.push(""));const n={};for(const r in w){const i=w[r];if(i.description&&i.cat){let s=n[i.cat];s||(n[i.cat]=s={}),s[r]=i}}for(const r in n){const i=r,s=n[i];s&&(l.push(R[i]),l.push(...S(s,d)),l.push(""))}return l.join(`
`)}e.buildHelpMessage=b;function p(h,y){return`${h||(0,D.localize)(39,null)}
${y||(0,D.localize)(40,null)}
${process.arch}`}e.buildVersionMessage=p}),define(J[175],Z([0,1,76,172,98]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class R extends t.ExtensionHostDebugBroadcastChannel{constructor(I){super();this.windowsMainService=I}call(I,g,S){return g==="openExtensionDevelopmentHostWindow"?this.openExtensionDevelopmentHostWindow(S[0],S[1]):super.call(I,g,S)}async openExtensionDevelopmentHostWindow(I,g){const S=(0,D.parseArgs)(I,D.OPTIONS);S.debugRenderer=g;const C=S.extensionDevelopmentPath;if(!C)return{success:!1};const[P]=this.windowsMainService.openExtensionDevelopmentHostWindow(C,{context:5,cli:S});if(!g)return{success:!0};const b=P.win;if(!b)return{success:!0};const p=b.webContents.debugger;let h=p.isAttached()?1/0:0;const y=(0,E.createServer)(v=>{h++==0&&p.attach();let w=!1;const m=l=>{w||v.write(JSON.stringify(l)+"\0")},d=(l,n,r,i)=>m({method:n,params:r,sessionId:i});b.on("close",()=>{p.removeListener("message",d),v.end(),w=!0}),p.addListener("message",d);let u=Buffer.alloc(0);v.on("data",l=>{u=Buffer.concat([u,l]);for(let n=u.indexOf(0);n!==-1;n=u.indexOf(0)){let r;try{const i=u.slice(0,n).toString("utf8");u=u.slice(n+1),r=JSON.parse(i)}catch(i){console.error("error reading cdp line",i)}p.sendCommand(r.method,r.params,r.sessionId).then(i=>m({id:r.id,sessionId:r.sessionId,result:i})).catch(i=>m({id:r.id,sessionId:r.sessionId,error:{code:0,message:i.message}}))}}),v.on("error",l=>{console.error("error on cdp pipe:",l)}),v.on("close",()=>{w=!0,--h==0&&p.detach()})});return await new Promise(v=>y.listen(0,v)),b.on("close",()=>y.close()),{rendererDebugPort:y.address().port,success:!0}}}e.ElectronExtensionHostDebugBroadcastChannel=R}),define(J[56],Z([0,1,260,149,98]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;const R=2048;function M(b,p){const h={onUnknownOption:v=>{console.warn((0,t.localize)(0,null,v))},onMultipleValues:(v,w)=>{console.warn((0,t.localize)(1,null,v,w))},onEmptyValue:v=>{console.warn((0,t.localize)(2,null,v))},onDeprecatedOption:(v,w)=>{console.warn((0,t.localize)(3,null,v,w))}},y=(0,D.parseArgs)(b,D.OPTIONS,p?h:void 0);return y.goto&&y._.forEach(v=>E(/^(\w:)?[^:]+(:\d*){0,2}$/.test(v),(0,t.localize)(4,null))),y["max-memory"]&&E(parseInt(y["max-memory"])>=R,`The max-memory argument cannot be specified lower than ${R} MB.`),y}function I(b){const p=b.findIndex(h=>!/^-/.test(h));if(p>-1)return[...b.slice(0,p),...b.slice(p+1)]}function g(b){let[,...p]=b;process.env.VSCODE_DEV&&(p=I(p)||[]);const h=!P(process.env);return M(p,h)}e.parseMainProcessArgv=g;function S(b){const[,,...p]=b;return M(p,!0)}e.parseCLIProcessArgv=S;function C(b,...p){const h=b.indexOf("--");return h===-1?b.push(...p):b.splice(h,0,...p),b}e.addArg=C;function P(b){return b.VSCODE_CLI==="1"}e.isLaunchedFromCli=P}),function(){"use strict";function $(e,E,t,D){function R(I){const g=M(I),S=[g];return e.isAbsolute(g)||S.unshift(D),e.resolve(...S)}function M(I){const g=process.env.VSCODE_PORTABLE;if(g)return e.join(g,"user-data");let S=process.env.VSCODE_APPDATA;if(S)return e.join(S,t);const C=I["user-data-dir"];if(C)return C;switch(process.platform){case"win32":if(S=process.env.APPDATA,!S){const P=process.env.USERPROFILE;if(typeof P!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");S=e.join(P,"AppData","Roaming")}break;case"darwin":S=e.join(E.homedir(),"Library","Application Support");break;case"linux":S=process.env.XDG_CONFIG_HOME||e.join(E.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(S,t)}return{getUserDataPath:R}}if(typeof define=="function")define(J[176],Z([0,261,28,12,15,36]),function(e,E,t,D,R,M){const I=R.dirname(D.FileAccess.asFileUri("",e)),g=e.__$__nodeRequire(R.joinPath(I,"package.json").fsPath);return $(E,t,g.name,M.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),E=require("path"),t=require("os");module.exports=$(E,t,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(J[177],Z([0,1,28,174,176]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class R extends t.AbstractNativeEnvironmentService{constructor(I,g){super(I,{homeDir:(0,E.homedir)(),tmpDir:(0,E.tmpdir)(),userDataDir:(0,D.getUserDataPath)(I)},g)}}e.NativeEnvironmentService=R}),define(J[178],Z([0,1,27,28,29]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFile=void 0;function R(M){const I=(0,D.randomPath)((0,t.tmpdir)());try{return(0,E.writeFileSync)(I,""),M&&console.log(`Marker file for --wait created: ${I}`),I}catch(g){M&&console.error(`Failed to create marker file for --wait: ${g}`);return}}e.createWaitMarkerFile=R}),define(J[179],Z([0,1,19,30]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function D(R,M,I){let g=I&&I.get("storage.serviceMachineId",-1)||null;if(g)return g;try{const C=(await M.readFile(R.serviceMachineIdResource)).value.toString();g=(0,t.isUUID)(C)?C:null}catch{g=null}if(!g){g=(0,t.generateUuid)();try{await M.writeFile(R.serviceMachineIdResource,E.VSBuffer.fromString(g))}catch{}}return I?.store("storage.serviceMachineId",g,-1,1),g}e.getServiceMachineId=D}),define(J[66],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class E{constructor(D,R=[],M=!1){this.ctor=D,this.staticArguments=R,this.supportsDelayedInstantiation=M}}e.SyncDescriptor=E}),define(J[180],Z([0,1,66]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const t=[];function D(M,I,g){I instanceof E.SyncDescriptor||(I=new E.SyncDescriptor(I,[],g)),t.push([M,I])}e.registerSingleton=D;function R(){return t}e.getSingletonServiceDescriptors=R}),define(J[181],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class E{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}e.Node=E;class t{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(const M of this._nodes.values())M.outgoing.size===0&&R.push(M);return R}insertEdge(R,M){const I=this.lookupOrInsertNode(R),g=this.lookupOrInsertNode(M);I.outgoing.set(this._hashFn(M),g),g.incoming.set(this._hashFn(R),I)}removeNode(R){const M=this._hashFn(R);this._nodes.delete(M);for(const I of this._nodes.values())I.outgoing.delete(M),I.incoming.delete(M)}lookupOrInsertNode(R){const M=this._hashFn(R);let I=this._nodes.get(M);return I||(I=new E(R),this._nodes.set(M,I)),I}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){const R=[];for(const[M,I]of this._nodes)R.push(`${M}, (incoming)[${[...I.incoming.keys()].join(", ")}], (outgoing)[${[...I.outgoing.keys()].join(",")}]`);return R.join(`
`)}findCycleSlow(){for(const[R,M]of this._nodes){const I=new Set([R]),g=this._findCycle(M,I);if(g)return g}}_findCycle(R,M){for(const[I,g]of R.outgoing){if(M.has(I))return[...M,I].join(" -> ");M.add(I);const S=this._findCycle(g,M);if(S)return S;M.delete(I)}}}e.Graph=t}),define(J[5],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.refineServiceDecorator=e.createDecorator=e.IInstantiationService=e._util=void 0;var E;(function(M){M.serviceIds=new Map,M.DI_TARGET="$di$target",M.DI_DEPENDENCIES="$di$dependencies";function I(g){return g[M.DI_DEPENDENCIES]||[]}M.getServiceDependencies=I})(E=e._util||(e._util={})),e.IInstantiationService=D("instantiationService");function t(M,I,g){I[E.DI_TARGET]===I?I[E.DI_DEPENDENCIES].push({id:M,index:g}):(I[E.DI_DEPENDENCIES]=[{id:M,index:g}],I[E.DI_TARGET]=I)}function D(M){if(E.serviceIds.has(M))return E.serviceIds.get(M);const I=function(g,S,C){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");t(I,g,C)};return I.toString=()=>M,E.serviceIds.set(M,I),I}e.createDecorator=D;function R(M){return M}e.refineServiceDecorator=R}),define(J[57],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBackupMainService=void 0,e.IBackupMainService=(0,E.createDecorator)("backupMainService")}),define(J[17],Z([0,1,13,7,5]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,D.createDecorator)("configurationService");function R(w){return w&&typeof w=="object"&&(!w.overrideIdentifier||typeof w.overrideIdentifier=="string")&&(!w.resource||w.resource instanceof t.URI)}e.isConfigurationOverrides=R;function M(w){return w&&typeof w=="object"&&(!w.overrideIdentifiers||E.isArray(w.overrideIdentifiers))&&!w.overrideIdentifier&&(!w.resource||w.resource instanceof t.URI)}e.isConfigurationUpdateOverrides=M;var I;(function(w){w[w.USER=1]="USER",w[w.USER_LOCAL=2]="USER_LOCAL",w[w.USER_REMOTE=3]="USER_REMOTE",w[w.WORKSPACE=4]="WORKSPACE",w[w.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",w[w.DEFAULT=6]="DEFAULT",w[w.MEMORY=7]="MEMORY"})(I=e.ConfigurationTarget||(e.ConfigurationTarget={}));function g(w){switch(w){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=g;function S(w,m){const d=Object.create(null);for(const u in w)C(d,u,w[u],m);return d}e.toValuesTree=S;function C(w,m,d,u){const l=m.split("."),n=l.pop();let r=w;for(let i=0;i<l.length;i++){const s=l[i];let o=r[s];switch(typeof o){case"undefined":o=r[s]=Object.create(null);break;case"object":break;default:u(`Ignoring ${m} as ${l.slice(0,i+1).join(".")} is ${JSON.stringify(o)}`);return}r=o}if(typeof r=="object"&&r!==null)try{r[n]=d}catch{u(`Ignoring ${m} as ${l.join(".")} is ${JSON.stringify(r)}`)}else u(`Ignoring ${m} as ${l.join(".")} is ${JSON.stringify(r)}`)}e.addToValueTree=C;function P(w,m){const d=m.split(".");b(w,d)}e.removeFromValueTree=P;function b(w,m){const d=m.shift();if(m.length===0){delete w[d];return}if(Object.keys(w).indexOf(d)!==-1){const u=w[d];typeof u=="object"&&!Array.isArray(u)&&(b(u,m),Object.keys(u).length===0&&delete w[d])}}function p(w,m,d){function u(r,i){let s=r;for(const o of i){if(typeof s!="object"||s===null)return;s=s[o]}return s}const l=m.split("."),n=u(w,l);return typeof n=="undefined"?d:n}e.getConfigurationValue=p;function h(w,m,d){Object.keys(m).forEach(u=>{u!=="__proto__"&&(u in w?E.isObject(w[u])&&E.isObject(m[u])?h(w[u],m[u],d):d&&(w[u]=m[u]):w[u]=m[u])})}e.merge=h;function y(w,m,d){const u=w.inspect(m),l=w.inspect(d);return typeof u.userValue!="undefined"||typeof u.workspaceValue!="undefined"||typeof u.workspaceFolderValue!="undefined"?u.value:typeof l.userValue!="undefined"||typeof l.workspaceValue!="undefined"||typeof l.workspaceFolderValue!="undefined"?l.value:u.defaultValue}e.getMigratedSettingValue=y;function v(w){return w.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=v}),define(J[67],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryCredentialsProvider=e.ICredentialsMainService=e.ICredentialsService=void 0,e.ICredentialsService=(0,E.createDecorator)("credentialsService"),e.ICredentialsMainService=(0,E.createDecorator)("credentialsMainService");class t{constructor(){this.secretVault={}}async getPassword(R,M){return this.secretVault[R]?.[M]??null}async setPassword(R,M,I){this.secretVault[R]=this.secretVault[R]??{},this.secretVault[R][M]=I}async deletePassword(R,M){return this.secretVault[R]?.[M]?(delete this.secretVault[R][M],Object.keys(this.secretVault[R]).length===0&&delete this.secretVault[R],!0):!1}async findPassword(R){return JSON.stringify(this.secretVault[R])??null}async findCredentials(R){const M=[];for(const I of Object.keys(this.secretVault[R]||{}))M.push({account:I,password:this.secretVault[R][I]});return M}async clear(){this.secretVault={}}}e.InMemoryCredentialsProvider=t}),define(J[83],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullDiagnosticsService=e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=(0,E.createDecorator)(e.ID);function t(R){return!!R.hostName&&!!R.errorMessage}e.isRemoteDiagnosticError=t;class D{async getPerformanceInfo(M,I){return{}}async getSystemInfo(M,I){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(M,I){return""}async getWorkspaceFileExtensions(M){return{extensions:[]}}async reportWorkspaceStats(M){}}e.NullDiagnosticsService=D}),define(J[99],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEncryptionMainService=void 0,e.IEncryptionMainService=(0,E.createDecorator)("encryptionMainService")}),define(J[39],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,E.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,E.refineServiceDecorator)(e.IEnvironmentService)}),define(J[26],Z([0,1,51,9,81,39,177,5]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=(0,I.refineServiceDecorator)(R.IEnvironmentService);class g extends M.NativeEnvironmentService{get cachedLanguagesPath(){return(0,t.join)(this.userDataPath,"clp")}get backupHome(){return(0,t.join)(this.userDataPath,"Backups")}get backupWorkspacesPath(){return(0,t.join)(this.backupHome,"workspaces.json")}get mainIPCHandle(){return(0,D.createStaticIPCHandle)(this.userDataPath,"main",this.productService.version)}get mainLockfile(){return(0,t.join)(this.userDataPath,"code.lock")}get disableUpdates(){return!!this.args["disable-updates"]}get disableKeytar(){return!!this.args["disable-keytar"]}get codeCachePath(){return process.env.VSCODE_CODE_CACHE_PATH||void 0}get useCodeCache(){return!!this.codeCachePath}}de([E.memoize],g.prototype,"cachedLanguagesPath",null),de([E.memoize],g.prototype,"backupHome",null),de([E.memoize],g.prototype,"backupWorkspacesPath",null),de([E.memoize],g.prototype,"mainIPCHandle",null),de([E.memoize],g.prototype,"mainLockfile",null),de([E.memoize],g.prototype,"disableUpdates",null),de([E.memoize],g.prototype,"disableKeytar",null),de([E.memoize],g.prototype,"codeCachePath",null),de([E.memoize],g.prototype,"useCodeCache",null),e.EnvironmentMainService=g}),define(J[100],Z([0,1,150,5]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDefaultExtensionsProfileInitService=e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function D(w){switch(w){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=D;function R(w){switch(w){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=R;function M(w,m){switch(w){case 3:return m==="x64"?"win32-x64":m==="ia32"?"win32-ia32":m==="arm64"?"win32-arm64":"unknown";case 2:return m==="x64"?"linux-x64":m==="arm64"?"linux-arm64":m==="arm"?"linux-armhf":"unknown";case"alpine":return m==="x64"?"alpine-x64":m==="arm64"?"alpine-arm64":"unknown";case 1:return m==="x64"?"darwin-x64":m==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=M;function I(w,m){return m==="web"&&!w.includes("web")}e.isNotWebExtensionInWebTargetPlatform=I;function g(w,m,d){return I(m,d)?!1:w==="undefined"||w==="universal"?!0:w==="unknown"?!1:w===d?!0:S(d).includes(w)}e.isTargetPlatformCompatible=g;function S(w){switch(w){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=S;function C(w){return w&&typeof w=="object"&&typeof w.id=="string"&&(!w.uuid||typeof w.uuid=="string")}e.isIExtensionIdentifier=C;var P;(function(w){w[w.NoneOrRelevance=0]="NoneOrRelevance",w[w.LastUpdatedDate=1]="LastUpdatedDate",w[w.Title=2]="Title",w[w.PublisherName=3]="PublisherName",w[w.InstallCount=4]="InstallCount",w[w.PublishedDate=10]="PublishedDate",w[w.AverageRating=6]="AverageRating",w[w.WeightedRating=12]="WeightedRating"})(P=e.SortBy||(e.SortBy={}));var b;(function(w){w[w.Default=0]="Default",w[w.Ascending=1]="Ascending",w[w.Descending=2]="Descending"})(b=e.SortOrder||(e.SortOrder={}));var p;(function(w){w.Install="install",w.Uninstall="uninstall"})(p=e.StatisticType||(e.StatisticType={}));var h;(function(w){w[w.None=1]="None",w[w.Install=2]="Install",w[w.Update=3]="Update",w[w.Migrate=4]="Migrate"})(h=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,t.createDecorator)("extensionGalleryService");var y;(function(w){w.Unsupported="Unsupported",w.Deprecated="Deprecated",w.Malicious="Malicious",w.Incompatible="Incompatible",w.IncompatiblePreRelease="IncompatiblePreRelease",w.IncompatibleTargetPlatform="IncompatibleTargetPlatform",w.ReleaseVersionNotFound="ReleaseVersionNotFound",w.Invalid="Invalid",w.Download="Download",w.Extract="Extract",w.Delete="Delete",w.Rename="Rename",w.CorruptZip="CorruptZip",w.IncompleteZip="IncompleteZip",w.Internal="Internal"})(y=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class v extends Error{constructor(m,d){super(m);this.code=d,this.name=d}}e.ExtensionManagementError=v,e.IExtensionManagementService=(0,t.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,t.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,t.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,t.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,E.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,E.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,t.createDecorator)("IExtensionManagementCLIService"),e.IDefaultExtensionsProfileInitService=(0,t.createDecorator)("IDefaultExtensionsProfileInitService")}),define(J[182],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=(0,E.createDecorator)("extensionUrlTrustService")}),define(J[183],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ipcExtensionHostStarterChannelName=e.IExtensionHostStarter=void 0,e.IExtensionHostStarter=(0,E.createDecorator)("extensionHostStarter"),e.ipcExtensionHostStarterChannelName="extensionHostStarter"}),define(J[101],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExternalTerminalMainService=e.DEFAULT_TERMINAL_OSX=e.IExternalTerminalService=void 0,e.IExternalTerminalService=(0,E.createDecorator)("externalTerminal"),e.DEFAULT_TERMINAL_OSX="Terminal.app",e.IExternalTerminalMainService=(0,E.createDecorator)("externalTerminal")}),define(J[184],Z([0,1,42,12,9,4,77,23,82,151,101]),function($,e,E,t,D,R,M,I,g,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const P=S.localize(0,null);class b{async getDefaultTerminalForPlatforms(){return{windows:p.getDefaultTerminalWindows(),linux:await y.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class p extends b{openTerminal(u,l){return this.spawnTerminal(E,u,g.getWindowsShell(),l)}spawnTerminal(u,l,n,r){const i=l.windowsExec||p.getDefaultTerminalWindows();r&&r[1]===":"&&(r=r[0].toUpperCase()+r.substr(1));const s=D.basename(i).toLowerCase();if(s==="cmder"||s==="cmder.exe")return u.spawn(i,r?[r]:void 0),Promise.resolve(void 0);const o=["/c","start","/wait"];return i.indexOf(" ")>=0&&o.push('""'),o.push(i),(s==="wt"||s==="wt.exe")&&o.push("-d ."),new Promise((a,c)=>{const f=v(process),k=u.spawn(n,o,{cwd:r,env:f});k.on("error",c),k.on("exit",()=>a())})}runInTerminal(u,l,n,r,i){const s="windowsExec"in i&&i.windowsExec?i.windowsExec:p.getDefaultTerminalWindows();return new Promise((o,a)=>{const c=`"${l} - ${P}"`,f=`""${n.join('" "')}" & pause"`,k=["/c","start",c,"/wait",s,"/c",f],L=Object.assign({},v(process),r);Object.keys(L).filter(G=>L[G]===null).forEach(G=>delete L[G]);const T={cwd:l,env:L,windowsVerbatimArguments:!0};E.spawn(p.CMD,k,T).on("error",G=>{a(w(G))}),o(void 0)})}static getDefaultTerminalWindows(){if(!p._DEFAULT_TERMINAL_WINDOWS){const u=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");p._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${u?"Sysnative":"System32"}\\cmd.exe`}return p._DEFAULT_TERMINAL_WINDOWS}}e.WindowsExternalTerminalService=p,p.CMD="cmd.exe";class h extends b{openTerminal(u,l){return this.spawnTerminal(E,u,l)}runInTerminal(u,l,n,r,i){const s=i.osxExec||C.DEFAULT_TERMINAL_OSX;return new Promise((o,a)=>{if(s===C.DEFAULT_TERMINAL_OSX||s==="iTerm.app"){const c=s===C.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",k=[t.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${c}.scpt`,$).fsPath,"-t",u||P,"-w",l];for(const U of n)k.push("-a"),k.push(U);if(r){const U=Object.assign({},v(process),r);for(const G in U){const ie=U[G];ie===null?(k.push("-u"),k.push(G)):(k.push("-e"),k.push(`${G}=${ie}`))}}let L="";const T=E.spawn(h.OSASCRIPT,k);T.on("error",U=>{a(w(U))}),T.stderr.on("data",U=>{L+=U.toString()}),T.on("exit",U=>{if(U===0)o(void 0);else if(L){const G=L.split(`
`,1);a(new Error(G[0]))}else a(new Error(S.localize(1,null,c,U)))})}else a(new Error(S.localize(2,null,s)))})}spawnTerminal(u,l,n){const r=l.osxExec||C.DEFAULT_TERMINAL_OSX;return new Promise((i,s)=>{const o=["-a",r];n&&o.push(n);const a=v(process),c=u.spawn("/usr/bin/open",o,{cwd:n,env:a});c.on("error",s),c.on("exit",()=>i())})}}e.MacExternalTerminalService=h,h.OSASCRIPT="/usr/bin/osascript";class y extends b{openTerminal(u,l){return this.spawnTerminal(E,u,l)}runInTerminal(u,l,n,r,i){const s=i.linuxExec?Promise.resolve(i.linuxExec):y.getDefaultTerminalLinuxReady();return new Promise((o,a)=>{const c=[];s.then(f=>{f.indexOf("gnome-terminal")>=0?c.push("-x"):c.push("-e"),c.push("bash"),c.push("-c");const k=`${m(n)}; echo; read -p "${y.WAIT_MESSAGE}" -n1;`;c.push(`''${k}''`);const L=Object.assign({},v(process),r);Object.keys(L).filter(ie=>L[ie]===null).forEach(ie=>delete L[ie]);const T={cwd:l,env:L};let U="";const G=E.spawn(f,c,T);G.on("error",ie=>{a(w(ie))}),G.stderr.on("data",ie=>{U+=ie.toString()}),G.on("exit",ie=>{if(ie===0)o(void 0);else if(U){const ne=U.split(`
`,1);a(new Error(ne[0]))}else a(new Error(S.localize(4,null,f,ie)))})})})}static async getDefaultTerminalLinuxReady(){if(!y._DEFAULT_TERMINAL_LINUX_READY)if(!R.isLinux)y._DEFAULT_TERMINAL_LINUX_READY=Promise.resolve("xterm");else{const u=await I.Promises.exists("/etc/debian_version");y._DEFAULT_TERMINAL_LINUX_READY=new Promise(l=>{u?l("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?l("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?l("konsole"):process.env.COLORTERM?l(process.env.COLORTERM):process.env.TERM?l(process.env.TERM):l("xterm")})}return y._DEFAULT_TERMINAL_LINUX_READY}spawnTerminal(u,l,n){const r=l.linuxExec?Promise.resolve(l.linuxExec):y.getDefaultTerminalLinuxReady();return new Promise((i,s)=>{r.then(o=>{const a=v(process),c=u.spawn(o,[],{cwd:n,env:a});c.on("error",s),c.on("exit",()=>i())})})}}e.LinuxExternalTerminalService=y,y.WAIT_MESSAGE=S.localize(3,null);function v(d){const u={...d.env};return(0,M.sanitizeProcessEnvironment)(u),u}function w(d){return"errno"in d&&d.errno==="ENOENT"&&"path"in d&&typeof d.path=="string"?new Error(S.localize(5,null,d.path)):d}function m(d){let u="";for(const l of d)l.indexOf(" ")>=0?u+='"'+l+'"':u+=l,u+=" ";return u}}),define(J[16],Z([0,1,33,9,31,13,7,153,5]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPlatformLimits=e.Arch=e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.NotModifiedSinceFileOperationError=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileAtomicReadCapability=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileCloneCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.isFileOpenForWriteOptions=e.IFileService=void 0,e.IFileService=(0,g.createDecorator)("fileService");function S(H){return H.create===!0}e.isFileOpenForWriteOptions=S;var C;(function(H){H[H.Unknown=0]="Unknown",H[H.File=1]="File",H[H.Directory=2]="Directory",H[H.SymbolicLink=64]="SymbolicLink"})(C=e.FileType||(e.FileType={}));var P;(function(H){H[H.Readonly=1]="Readonly"})(P=e.FilePermission||(e.FilePermission={}));var b;(function(H){H[H.FileReadWrite=2]="FileReadWrite",H[H.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",H[H.FileReadStream=16]="FileReadStream",H[H.FileFolderCopy=8]="FileFolderCopy",H[H.PathCaseSensitive=1024]="PathCaseSensitive",H[H.Readonly=2048]="Readonly",H[H.Trash=4096]="Trash",H[H.FileWriteUnlock=8192]="FileWriteUnlock",H[H.FileAtomicRead=16384]="FileAtomicRead",H[H.FileClone=32768]="FileClone"})(b=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function p(H){return!!(H.capabilities&2)}e.hasReadWriteCapability=p;function h(H){return!!(H.capabilities&8)}e.hasFileFolderCopyCapability=h;function y(H){return!!(H.capabilities&32768)}e.hasFileCloneCapability=y;function v(H){return!!(H.capabilities&4)}e.hasOpenReadWriteCloseCapability=v;function w(H){return!!(H.capabilities&16)}e.hasFileReadStreamCapability=w;function m(H){return p(H)?!!(H.capabilities&16384):!1}e.hasFileAtomicReadCapability=m;var d;(function(H){H.FileExists="EntryExists",H.FileNotFound="EntryNotFound",H.FileNotADirectory="EntryNotADirectory",H.FileIsADirectory="EntryIsADirectory",H.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",H.FileTooLarge="EntryTooLarge",H.FileWriteLocked="EntryWriteLocked",H.NoPermissions="NoPermissions",H.Unavailable="Unavailable",H.Unknown="Unknown"})(d=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class u extends Error{constructor(se,W){super(se);this.code=W}}e.FileSystemProviderError=u;function l(H,se){const W=new u(H.toString(),se);return r(W,se),W}e.createFileSystemProviderError=l;function n(H){return H||l((0,I.localize)(0,null),d.Unknown)}e.ensureFileSystemProviderError=n;function r(H,se){return H.name=se?`${se} (FileSystemError)`:"FileSystemError",H}e.markAsFileSystemProviderError=r;function i(H){if(!H)return d.Unknown;if(H instanceof u)return H.code;const se=/^(.+) \(FileSystemError\)$/.exec(H.name);if(!se)return d.Unknown;switch(se[1]){case d.FileExists:return d.FileExists;case d.FileIsADirectory:return d.FileIsADirectory;case d.FileNotADirectory:return d.FileNotADirectory;case d.FileNotFound:return d.FileNotFound;case d.FileExceedsMemoryLimit:return d.FileExceedsMemoryLimit;case d.FileTooLarge:return d.FileTooLarge;case d.FileWriteLocked:return d.FileWriteLocked;case d.NoPermissions:return d.NoPermissions;case d.Unavailable:return d.Unavailable}return d.Unknown}e.toFileSystemProviderErrorCode=i;function s(H){if(H instanceof L)return H.fileOperationResult;switch(i(H)){case d.FileNotFound:return 1;case d.FileIsADirectory:return 0;case d.FileNotADirectory:return 10;case d.FileWriteLocked:return 5;case d.NoPermissions:return 6;case d.FileExists:return 4;case d.FileExceedsMemoryLimit:return 9;case d.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=s;var o;(function(H){H[H.CREATE=0]="CREATE",H[H.DELETE=1]="DELETE",H[H.MOVE=2]="MOVE",H[H.COPY=3]="COPY",H[H.WRITE=4]="WRITE"})(o=e.FileOperation||(e.FileOperation={}));class a{constructor(se,W,_){this.resource=se,this.operation=W,this.target=_}isOperation(se){return this.operation===se}}e.FileOperationEvent=a;var c;(function(H){H[H.UPDATED=0]="UPDATED",H[H.ADDED=1]="ADDED",H[H.DELETED=2]="DELETED"})(c=e.FileChangeType||(e.FileChangeType={}));class f{constructor(se,W){this.added=void 0,this.updated=void 0,this.deleted=void 0,this.rawChanges=[],this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[],this.rawChanges=se;const _=new Map;for(const B of se){const X=_.get(B.type);switch(X?X.push([B.resource,B]):_.set(B.type,[[B.resource,B]]),B.type){case 1:this.rawAdded.push(B.resource);break;case 0:this.rawUpdated.push(B.resource);break;case 2:this.rawDeleted.push(B.resource);break}}for(const[B,X]of _)switch(B){case 1:this.added=E.TernarySearchTree.forUris(()=>W),this.added.fill(X);break;case 0:this.updated=E.TernarySearchTree.forUris(()=>W),this.updated.fill(X);break;case 2:this.deleted=E.TernarySearchTree.forUris(()=>W),this.deleted.fill(X);break}}contains(se,...W){return this.doContains(se,{includeChildren:!1},...W)}affects(se,...W){return this.doContains(se,{includeChildren:!0},...W)}doContains(se,W,..._){if(!se)return!1;const B=_.length>0;return!!((!B||_.includes(1))&&(this.added?.get(se)||W.includeChildren&&this.added?.findSuperstr(se))||(!B||_.includes(0))&&(this.updated?.get(se)||W.includeChildren&&this.updated?.findSuperstr(se))||(!B||_.includes(2))&&(this.deleted?.findSubstr(se)||W.includeChildren&&this.deleted?.findSuperstr(se)))}gotAdded(){return!!this.added}gotDeleted(){return!!this.deleted}gotUpdated(){return!!this.updated}}e.FileChangesEvent=f;function k(H,se,W){return!H||!se||H===se||se.length>H.length?!1:(se.charAt(se.length-1)!==t.sep&&(se+=t.sep),W?(0,D.startsWithIgnoreCase)(H,se):H.indexOf(se)===0)}e.isParent=k;class L extends Error{constructor(se,W,_){super(se);this.fileOperationResult=W,this.options=_}}e.FileOperationError=L;class T extends L{constructor(se,W,_){super(se,2,_);this.stat=W}}e.NotModifiedSinceFileOperationError=T;var U;(function(H){H[H.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",H[H.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",H[H.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",H[H.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",H[H.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",H[H.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",H[H.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",H[H.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",H[H.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",H[H.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",H[H.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",H[H.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(U=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var G;(function(H){H[H.FILE=0]="FILE",H[H.FOLDER=1]="FOLDER",H[H.ROOT_FOLDER=2]="ROOT_FOLDER"})(G=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function ie(H){if(!(typeof H.size!="number"||typeof H.mtime!="number"))return H.mtime.toString(29)+H.size.toString(31)}e.etag=ie;async function ne(H,se){if(!se.hasProvider(M.URI.from({scheme:H.scheme})))return new Promise(W=>{const _=se.onDidChangeFileSystemProviderRegistrations(B=>{B.scheme===H.scheme&&B.added&&(_.dispose(),W())})})}e.whenProviderRegistered=ne,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class Y{static formatSize(se){return(0,R.isNumber)(se)||(se=0),se<Y.KB?(0,I.localize)(1,null,se.toFixed(0)):se<Y.MB?(0,I.localize)(2,null,(se/Y.KB).toFixed(2)):se<Y.GB?(0,I.localize)(3,null,(se/Y.MB).toFixed(2)):se<Y.TB?(0,I.localize)(4,null,(se/Y.GB).toFixed(2)):(0,I.localize)(5,null,(se/Y.TB).toFixed(2))}}e.ByteSize=Y,Y.KB=1024,Y.MB=Y.KB*Y.KB,Y.GB=Y.MB*Y.KB,Y.TB=Y.GB*Y.KB;var ae;(function(H){H[H.IA32=0]="IA32",H[H.OTHER=1]="OTHER"})(ae=e.Arch||(e.Arch={}));function ce(H){return{maxFileSize:H===0?300*Y.MB:16*Y.GB,maxHeapSize:H===0?700*Y.MB:2*700*Y.MB}}e.getPlatformLimits=ce}),define(J[185],Z([0,1,19,41,18,3,2,54,7,30,16]),function($,e,E,t,D,R,M,I,g,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderClient=e.LOCAL_FILE_SYSTEM_CHANNEL_NAME=void 0,e.LOCAL_FILE_SYSTEM_CHANNEL_NAME="localFilesystem";class P extends M.Disposable{constructor(p,h){super();this.channel=p,this.extraCapabilities=h,this.onDidChangeCapabilities=R.Event.None,this._onDidChange=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChange.event,this._onDidWatchError=this._register(new R.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.sessionId=(0,S.generateUuid)(),this.registerFileChangeListeners()}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,this.extraCapabilities.pathCaseSensitive&&(this._capabilities|=1024),this.extraCapabilities.trash&&(this._capabilities|=4096)),this._capabilities}stat(p){return this.channel.call("stat",[p])}readdir(p){return this.channel.call("readdir",[p])}async readFile(p,h){const{buffer:y}=await this.channel.call("readFile",[p,h]);return y}readFileStream(p,h,y){const v=(0,I.newWriteableStream)(m=>E.VSBuffer.concat(m.map(d=>E.VSBuffer.wrap(d))).buffer),w=this.channel.listen("readFileStream",[p,h])(m=>{if(m instanceof E.VSBuffer)v.write(m.buffer);else{if(m==="end")v.end();else{let d=m;d instanceof Error||(d=(0,C.createFileSystemProviderError)((0,t.toErrorMessage)(d),C.FileSystemProviderErrorCode.Unknown)),v.error(d),v.end()}w.dispose()}});return y.onCancellationRequested(()=>{v.error((0,D.canceled)()),v.end(),w.dispose()}),v}writeFile(p,h,y){return this.channel.call("writeFile",[p,E.VSBuffer.wrap(h),y])}open(p,h){return this.channel.call("open",[p,h])}close(p){return this.channel.call("close",[p])}async read(p,h,y,v,w){const[m,d]=await this.channel.call("read",[p,h,w]);return y.set(m.buffer.slice(0,d),v),d}write(p,h,y,v,w){return this.channel.call("write",[p,h,E.VSBuffer.wrap(y),v,w])}mkdir(p){return this.channel.call("mkdir",[p])}delete(p,h){return this.channel.call("delete",[p,h])}rename(p,h,y){return this.channel.call("rename",[p,h,y])}copy(p,h,y){return this.channel.call("copy",[p,h,y])}cloneFile(p,h){return this.channel.call("cloneFile",[p,h])}registerFileChangeListeners(){this._register(this.channel.listen("fileChange",[this.sessionId])(p=>{if(Array.isArray(p)){const h=p;this._onDidChange.fire(h.map(y=>({resource:g.URI.revive(y.resource),type:y.type})))}else{const h=p;this._onDidWatchError.fire(h)}}))}watch(p,h){const y=(0,S.generateUuid)();return this.channel.call("watch",[this.sessionId,y,p,h]),(0,M.toDisposable)(()=>this.channel.call("unwatch",[this.sessionId,y]))}}e.DiskFileSystemProviderClient=P}),define(J[102],Z([0,1,19,18,154,16]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function M(C,P,b,p,h,y){let v;try{await I(C,P,b,p,h,y)}catch(w){v=w}finally{v&&h.errorTransformer&&(v=h.errorTransformer(v)),typeof v!="undefined"&&b.error(v),b.end()}}e.readFileIntoStream=M;async function I(C,P,b,p,h,y){g(y);const v=await C.open(P,{create:!1});try{g(y);let w=0,m=0,d=h&&typeof h.length=="number"?h.length:void 0,u=E.VSBuffer.alloc(Math.min(h.bufferSize,typeof d=="number"?d:h.bufferSize)),l=h&&typeof h.position=="number"?h.position:0,n=0;do m=await C.read(v,l,u.buffer,n,u.byteLength-n),l+=m,n+=m,w+=m,typeof d=="number"&&(d-=m),n===u.byteLength&&(await b.write(p(u)),u=E.VSBuffer.alloc(Math.min(h.bufferSize,typeof d=="number"?d:h.bufferSize)),n=0);while(m>0&&(typeof d!="number"||d>0)&&g(y)&&S(w,h));if(n>0){let r=n;typeof d=="number"&&(r=Math.min(n,d)),b.write(p(u.slice(0,r)))}}catch(w){throw(0,R.ensureFileSystemProviderError)(w)}finally{await C.close(v)}}function g(C){if(C.isCancellationRequested)throw(0,t.canceled)();return!0}function S(C,P){if(P?.limits){if(typeof P.limits.memory=="number"&&C>P.limits.memory)throw(0,R.createFileSystemProviderError)((0,D.localize)(0,null),R.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof P.limits.size=="number"&&C>P.limits.size)throw(0,R.createFileSystemProviderError)((0,D.localize)(1,null),R.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(J[68],Z([0,1,92,2,9,4,7,16]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseWatcherPatterns=e.normalizeWatcherPattern=e.coalesceEvents=e.toFileChanges=e.AbstractUniversalWatcherClient=e.AbstractNonRecursiveWatcherClient=e.AbstractWatcherClient=e.isRecursiveWatchRequest=void 0;function g(w){return w.recursive===!0}e.isRecursiveWatchRequest=g;class S extends t.Disposable{constructor(m,d,u,l){super();this.onFileChanges=m,this.onLogMessage=d,this.verboseLogging=u,this.options=l,this.watcherDisposables=this._register(new t.MutableDisposable),this.requests=void 0,this.restartCounter=0}init(){const m=new t.DisposableStore;this.watcherDisposables.value=m,this.watcher=this.createWatcher(m),this.watcher.setVerboseLogging(this.verboseLogging),m.add(this.watcher.onDidChangeFile(d=>this.onFileChanges(d))),m.add(this.watcher.onDidLogMessage(d=>this.onLogMessage(d))),m.add(this.watcher.onDidError(d=>this.onError(d)))}onError(m){this.options.restartOnError?this.restartCounter<S.MAX_RESTARTS&&this.requests?(this.error(`restarting watcher after error: ${m}`),this.restart(this.requests)):this.error(`gave up attempting to restart watcher after error: ${m}`):this.error(m)}restart(m){this.restartCounter++,this.init(),this.watch(m)}async watch(m){this.requests=m,await this.watcher?.watch(m)}async setVerboseLogging(m){this.verboseLogging=m,await this.watcher?.setVerboseLogging(m)}error(m){this.onLogMessage({type:"error",message:`[File Watcher (${this.options.type})] ${m}`})}dispose(){return this.watcher=void 0,super.dispose()}}e.AbstractWatcherClient=S,S.MAX_RESTARTS=5;class C extends S{constructor(m,d,u){super(m,d,u,{type:"node.js",restartOnError:!1})}}e.AbstractNonRecursiveWatcherClient=C;class P extends S{constructor(m,d,u){super(m,d,u,{type:"universal",restartOnError:!0})}}e.AbstractUniversalWatcherClient=P;function b(w){return w.map(m=>({type:m.type,resource:M.URI.file(m.path)}))}e.toFileChanges=b;function p(w){const m=new v;for(const d of w)m.processEvent(d);return m.coalesce()}e.coalesceEvents=p;function h(w,m){return typeof m=="string"&&!m.startsWith(E.GLOBSTAR)&&!(0,D.isAbsolute)(m)?{base:w,pattern:m}:m}e.normalizeWatcherPattern=h;function y(w,m){const d=[];for(const u of m)d.push((0,E.parse)(h(w,u)));return d}e.parseWatcherPatterns=y;class v{constructor(){this.coalesced=new Set,this.mapPathToChange=new Map}toKey(m){return R.isLinux?m.path:m.path.toLowerCase()}processEvent(m){const d=this.mapPathToChange.get(this.toKey(m));let u=!1;if(d){const l=d.type,n=m.type;d.path!==m.path&&(m.type===2||m.type===1)?u=!0:l===1&&n===2?(this.mapPathToChange.delete(this.toKey(m)),this.coalesced.delete(d)):l===2&&n===1?d.type=0:l===1&&n===0||(d.type=n)}else u=!0;u&&(this.coalesced.add(m),this.mapPathToChange.set(this.toKey(m),m))}coalesce(){const m=[],d=[];return Array.from(this.coalesced).filter(u=>u.type!==2?(m.push(u),!1):!0).sort((u,l)=>u.path.length-l.path.length).filter(u=>d.some(l=>(0,I.isParent)(u.path,l,!R.isLinux))?!1:(d.push(u.path),!0)).concat(m)}}}),define(J[186],Z([0,1,27,8,22,29,2,79,9,4,93,23,68]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.watchFileContents=e.NodeJSFileWatcherLibrary=void 0;class p extends M.Disposable{constructor(v,w,m,d){super();this.request=v,this.onDidFilesChange=w,this.onLogMessage=m,this.verboseLogging=d,this.throttledFileChangesWorker=new t.ThrottledWorker({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},u=>this.onDidFilesChange(u)),this.fileChangesDelayer=this._register(new t.ThrottledDelayer(p.FILE_CHANGES_HANDLER_DELAY)),this.fileChangesBuffer=[],this.excludes=(0,b.parseWatcherPatterns)(this.request.path,this.request.excludes),this.includes=this.request.includes?(0,b.parseWatcherPatterns)(this.request.path,this.request.includes):void 0,this.cts=new D.CancellationTokenSource,this.ready=this.watch()}async watch(){try{const v=await this.normalizePath(this.request);if(this.cts.token.isCancellationRequested)return;const w=await P.Promises.stat(v);this._register(await this.doWatch(v,w.isDirectory()))}catch(v){v.code!=="ENOENT"?this.error(v):this.trace(v)}}async normalizePath(v){let w=v.path;try{w=await P.Promises.realpath(v.path),v.path===w&&(w=await(0,C.realcase)(v.path)??v.path),v.path!==w&&this.trace(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${v.path}, real: ${w})`)}catch{}return w}async doWatch(v,w){if(S.isMacintosh&&(0,R.isEqualOrParent)(v,"/Volumes/",!0))return this.error(`Refusing to watch ${v} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),M.Disposable.None;const m=new D.CancellationTokenSource(this.cts.token),d=new M.DisposableStore;try{const u=(0,g.basename)(v),l=(0,E.watch)(v);d.add((0,M.toDisposable)(()=>{l.removeAllListeners(),l.close()})),this.trace(`Started watching: '${v}'`);const n=new Set;if(w)try{for(const i of await P.Promises.readdir(v))n.add(i)}catch(i){this.error(i)}const r=new Map;d.add((0,M.toDisposable)(()=>{for(const[,i]of r)i.dispose();r.clear()})),l.on("error",(i,s)=>{this.error(`Failed to watch ${v} for changes using fs.watch() (${i}, ${s})`),this.dispose()}),l.on("change",(i,s)=>{if(m.token.isCancellationRequested)return;this.trace(`[raw] ["${i}"] ${s}`);let o="";if(s&&(o=s.toString(),S.isMacintosh&&(o=(0,I.normalizeNFC)(o))),!(!o||i!=="change"&&i!=="rename"))if(w)if(i==="rename"){r.get(o)?.dispose();const a=setTimeout(async()=>{if(r.delete(o),o===u&&!await P.Promises.exists(v)){this.warn("Watcher shutdown because watched path got deleted"),this.dispose();return}const c=await this.existsChildStrictCase((0,g.join)(v,o));if(m.token.isCancellationRequested)return;let f;c?n.has(o)?f=0:(f=1,n.add(o)):(n.delete(o),f=2),this.onFileChange({path:(0,g.join)(this.request.path,o),type:f})},p.FILE_DELETE_HANDLER_DELAY);r.set(o,(0,M.toDisposable)(()=>clearTimeout(a)))}else{let a;n.has(o)?a=0:(a=1,n.add(o)),this.onFileChange({path:(0,g.join)(this.request.path,o),type:a})}else if(i==="rename"||o!==u){const a=setTimeout(async()=>{const c=await P.Promises.exists(v);m.token.isCancellationRequested||(c?(this.onFileChange({path:this.request.path,type:0},!0),d.add(await this.doWatch(v,!1))):(await this.onFileChange({path:this.request.path,type:2},!0),this.dispose()))},p.FILE_DELETE_HANDLER_DELAY);d.clear(),d.add((0,M.toDisposable)(()=>clearTimeout(a)))}else this.onFileChange({path:this.request.path,type:0},!0)})}catch(u){await P.Promises.exists(v)&&!m.token.isCancellationRequested&&this.error(`Failed to watch ${v} for changes using fs.watch() (${u.toString()})`)}return(0,M.toDisposable)(()=>{m.dispose(!0),d.dispose()})}async onFileChange(v,w=!1){if(!this.cts.token.isCancellationRequested){this.verboseLogging&&this.trace(`${v.type===1?"[ADDED]":v.type===2?"[DELETED]":"[CHANGED]"} ${v.path}`),!w&&this.excludes.some(m=>m(v.path))?this.verboseLogging&&this.trace(` >> ignored (excluded) ${v.path}`):!w&&this.includes&&this.includes.length>0&&!this.includes.some(m=>m(v.path))?this.verboseLogging&&this.trace(` >> ignored (not included) ${v.path}`):this.fileChangesBuffer.push(v);try{await this.fileChangesDelayer.trigger(async()=>{const m=this.fileChangesBuffer;this.fileChangesBuffer=[];const d=(0,b.coalesceEvents)(m);if(d.length>0){if(this.verboseLogging)for(const l of d)this.trace(`>> normalized ${l.type===1?"[ADDED]":l.type===2?"[DELETED]":"[CHANGED]"} ${l.path}`);this.throttledFileChangesWorker.work(d)?this.throttledFileChangesWorker.pending>0&&this.trace(`started throttling events due to large amount of file change events at once (pending: ${this.throttledFileChangesWorker.pending}, most recent change: ${d[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.warn(`started ignoring events due to too many file change events at once (incoming: ${d.length}, most recent change: ${d[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}})}catch{}}}async existsChildStrictCase(v){if(S.isLinux)return P.Promises.exists(v);try{const w=(0,g.basename)(v);return(await P.Promises.readdir((0,g.dirname)(v))).some(d=>d===w)}catch(w){return this.trace(w),!1}}setVerboseLogging(v){this.verboseLogging=v}error(v){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"error",message:`[File Watcher (node.js)] ${v}`})}warn(v){this.cts.token.isCancellationRequested||this.onLogMessage?.({type:"warn",message:`[File Watcher (node.js)] ${v}`})}trace(v){!this.cts.token.isCancellationRequested&&this.verboseLogging&&this.onLogMessage?.({type:"trace",message:`[File Watcher (node.js)] ${v}`})}dispose(){this.trace(`stopping file watcher on ${this.request.path}`),this.cts.dispose(!0),super.dispose()}}e.NodeJSFileWatcherLibrary=p,p.FILE_DELETE_HANDLER_DELAY=100,p.FILE_CHANGES_HANDLER_DELAY=50;async function h(y,v,w,m,d=512){const u=await P.Promises.open(y,"r"),l=Buffer.allocUnsafe(d),n=new D.CancellationTokenSource(m);let r,i=!1;const s={path:y,excludes:[],recursive:!1},o=new p(s,a=>{(async()=>{for(const{type:c}of a)if(c===0){if(i)return;i=!0;try{for(;!n.token.isCancellationRequested;){const{bytesRead:f}=await P.Promises.read(u,l,0,d,null);if(!f||n.token.isCancellationRequested)break;v(l.slice(0,f))}}catch(f){r=new Error(f),n.dispose(!0)}finally{i=!1}}})()});return await o.ready,w(),new Promise((a,c)=>{n.token.onCancellationRequested(async()=>{o.dispose();try{await P.Promises.close(u)}catch(f){r=new Error(f)}r?c(r):a()})})}e.watchFileContents=h}),define(J[187],Z([0,1,3,92,2,4,186]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class I extends D.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new E.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new E.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=E.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(S){const C=this.normalizeRequests(S),P=C.filter(p=>{const h=this.watchers.get(p.path);return h?!(0,t.patternsEquals)(h.request.excludes,p.excludes)||!(0,t.patternsEquals)(h.request.includes,p.includes):!0}),b=Array.from(this.watchers.values()).filter(({request:p})=>!C.find(h=>h.path===p.path&&(0,t.patternsEquals)(h.excludes,p.excludes)&&(0,t.patternsEquals)(h.includes,p.includes))).map(({request:p})=>p.path);P.length&&this.trace(`Request to start watching: ${P.map(p=>`${p.path} (excludes: ${p.excludes.length>0?p.excludes:"<none>"}, includes: ${p.includes&&p.includes.length>0?JSON.stringify(p.includes):"<all>"})`).join(",")}`),b.length&&this.trace(`Request to stop watching: ${b.join(",")}`);for(const p of b)this.stopWatching(p);for(const p of P)this.startWatching(p)}startWatching(S){const C=new M.NodeJSFileWatcherLibrary(S,b=>this._onDidChangeFile.fire(b),b=>this._onDidLogMessage.fire(b),this.verboseLogging),P={request:S,instance:C};this.watchers.set(S.path,P)}async stop(){for(const[S]of this.watchers)this.stopWatching(S);this.watchers.clear()}stopWatching(S){const C=this.watchers.get(S);C&&(this.watchers.delete(S),C.instance.dispose())}normalizeRequests(S){const C=new Map;for(const P of S){const b=R.isLinux?P.path:P.path.toLowerCase();C.set(b,P)}return Array.from(C.values())}async setVerboseLogging(S){this.verboseLogging=S;for(const[,C]of this.watchers)C.instance.setVerboseLogging(S)}trace(S){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(S)})}toMessage(S,C){return C?`[File Watcher (node.js)] ${S} (path: ${C.request.path})`:`[File Watcher (node.js)] ${S}`}}e.NodeJSWatcher=I}),define(J[188],Z([0,1,68,187]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class D extends E.AbstractNonRecursiveWatcherClient{constructor(M,I,g){super(M,I,g);this.init()}createWatcher(){return new t.NodeJSWatcher}}e.NodeJSWatcherClient=D}),define(J[189],Z([0,1,12,43,144,68]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class M extends R.AbstractUniversalWatcherClient{constructor(g,S,C){super(g,S,C);this.init()}createWatcher(g){const S=g.add(new D.Client(E.FileAccess.asFileUri("bootstrap-fork",$).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return g.add(S.onDidProcessExit(({code:C,signal:P})=>this.onError(`terminated by itself with code ${C}, signal: ${P}`))),t.ProxyChannel.toService((0,t.getNextTickChannel)(S.getChannel("watcher")))}}e.UniversalWatcherClient=M}),define(J[84],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class E{constructor(...D){this._entries=new Map;for(const[R,M]of D)this.set(R,M)}set(D,R){const M=this._entries.get(D);return this._entries.set(D,R),M}has(D){return this._entries.has(D)}get(D){return this._entries.get(D)}}e.ServiceCollection=E}),define(J[190],Z([0,1,8,18,66,181,5,84]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const g=!1;class S extends Error{constructor(h){super("cyclic dependency between services");this.message=h.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${h.toString()}`}}class C{constructor(h=new I.ServiceCollection,y=!1,v){this._activeInstantiations=new Set,this._services=h,this._strict=y,this._parent=v,this._services.set(M.IInstantiationService,this)}createChild(h){return new C(h,this._strict,this)}invokeFunction(h,...y){const v=b.traceInvocation(h);let w=!1;try{return h({get:d=>{if(w)throw(0,t.illegalState)("service accessor is only valid during the invocation of its target method");const u=this._getOrCreateServiceInstance(d,v);if(!u)throw new Error(`[invokeFunction] unknown service '${d}'`);return u}},...y)}finally{w=!0,v.stop()}}createInstance(h,...y){let v,w;return h instanceof D.SyncDescriptor?(v=b.traceCreation(h.ctor),w=this._createInstance(h.ctor,h.staticArguments.concat(y),v)):(v=b.traceCreation(h),w=this._createInstance(h,y,v)),v.stop(),w}_createInstance(h,y=[],v){const w=M._util.getServiceDependencies(h).sort((u,l)=>u.index-l.index),m=[];for(const u of w){const l=this._getOrCreateServiceInstance(u.id,v);l||this._throwIfStrict(`[createInstance] ${h.name} depends on UNKNOWN service ${u.id}.`,!1),m.push(l)}const d=w.length>0?w[0].index:y.length;if(y.length!==d){console.trace(`[createInstance] First service dependency of ${h.name} at position ${d+1} conflicts with ${y.length} static arguments`);const u=d-y.length;u>0?y=y.concat(new Array(u)):y=y.slice(0,d)}return new h(...[...y,...m])}_setServiceInstance(h,y){if(this._services.get(h)instanceof D.SyncDescriptor)this._services.set(h,y);else if(this._parent)this._parent._setServiceInstance(h,y);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(h){const y=this._services.get(h);return!y&&this._parent?this._parent._getServiceInstanceOrDescriptor(h):y}_getOrCreateServiceInstance(h,y){const v=this._getServiceInstanceOrDescriptor(h);return v instanceof D.SyncDescriptor?this._safeCreateAndCacheServiceInstance(h,v,y.branch(h,!0)):(y.branch(h,!1),v)}_safeCreateAndCacheServiceInstance(h,y,v){if(this._activeInstantiations.has(h))throw new Error(`illegal state - RECURSIVELY instantiating service '${h}'`);this._activeInstantiations.add(h);try{return this._createAndCacheServiceInstance(h,y,v)}finally{this._activeInstantiations.delete(h)}}_createAndCacheServiceInstance(h,y,v){const w=new R.Graph(u=>u.id.toString());let m=0;const d=[{id:h,desc:y,_trace:v}];for(;d.length;){const u=d.pop();if(w.lookupOrInsertNode(u),m++>1e3)throw new S(w);for(const l of M._util.getServiceDependencies(u.desc.ctor)){const n=this._getServiceInstanceOrDescriptor(l.id);if(n||this._throwIfStrict(`[createInstance] ${h} depends on ${l.id} which is NOT registered.`,!0),n instanceof D.SyncDescriptor){const r={id:l.id,desc:n,_trace:u._trace.branch(l.id,!0)};w.insertEdge(u,r),d.push(r)}}}for(;;){const u=w.roots();if(u.length===0){if(!w.isEmpty())throw new S(w);break}for(const{data:l}of u){if(this._getServiceInstanceOrDescriptor(l.id)instanceof D.SyncDescriptor){const r=this._createServiceInstanceWithOwner(l.id,l.desc.ctor,l.desc.staticArguments,l.desc.supportsDelayedInstantiation,l._trace);this._setServiceInstance(l.id,r)}w.removeNode(l)}}return this._getServiceInstanceOrDescriptor(h)}_createServiceInstanceWithOwner(h,y,v=[],w,m){if(this._services.get(h)instanceof D.SyncDescriptor)return this._createServiceInstance(y,v,w,m);if(this._parent)return this._parent._createServiceInstanceWithOwner(h,y,v,w,m);throw new Error(`illegalState - creating UNKNOWN service instance ${y.name}`)}_createServiceInstance(h,y=[],v,w){if(v){const m=new E.IdleValue(()=>this._createInstance(h,y,w));return new Proxy(Object.create(null),{get(d,u){if(u in d)return d[u];const l=m.value;let n=l[u];return typeof n!="function"||(n=n.bind(l),d[u]=n),n},set(d,u,l){return m.value[u]=l,!0}})}else return this._createInstance(h,y,w)}_throwIfStrict(h,y){if(y&&console.warn(h),this._strict)throw new Error(h)}}e.InstantiationService=C;var P;(function(p){p[p.Creation=0]="Creation",p[p.Invocation=1]="Invocation",p[p.Branch=2]="Branch"})(P||(P={}));class b{constructor(h,y){this.type=h,this.name=y,this._start=Date.now(),this._dep=[]}static traceInvocation(h){return g?new b(1,h.name||h.toString().substring(0,42).replace(/\n/g,"")):b._None}static traceCreation(h){return g?new b(0,h.name):b._None}branch(h,y){const v=new b(2,h.toString());return this._dep.push([h,y,v]),v}stop(){const h=Date.now()-this._start;b._totals+=h;let y=!1;function v(m,d){const u=[],l=new Array(m+1).join("	");for(const[n,r,i]of d._dep)if(r&&i){y=!0,u.push(`${l}CREATES -> ${n}`);const s=v(m+1,i);s&&u.push(s)}else u.push(`${l}uses -> ${n}`);return u.join(`
`)}const w=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${v(1,this)}`,`DONE, took ${h.toFixed(2)}ms (grand total ${b._totals.toFixed(2)}ms)`];(h>2||y)&&console.log(w.join(`
`))}}e.Trace=b,b._None=new class extends b{constructor(){super(-1,null)}stop(){}branch(){return this}},b._totals=0}),define(J[6],Z([0,1,41,3,2,4,5]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,M.createDecorator)("logService"),e.ILoggerService=(0,M.createDecorator)("loggerService");function I(){return new Date().toISOString()}var g;(function(r){r[r.Trace=0]="Trace",r[r.Debug=1]="Debug",r[r.Info=2]="Info",r[r.Warning=3]="Warning",r[r.Error=4]="Error",r[r.Critical=5]="Critical",r[r.Off=6]="Off"})(g=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=g.Info;function S(r,i,s){switch(i){case g.Trace:r.trace(s);break;case g.Debug:r.debug(s);break;case g.Info:r.info(s);break;case g.Warning:r.warn(s);break;case g.Error:r.error(s);break;case g.Critical:r.critical(s);break;default:throw new Error("Invalid log level")}}e.log=S;function C(r){let i="";for(let s=0;s<r.length;s++){let o=r[s];if(typeof o=="object")try{o=JSON.stringify(o)}catch{}i+=(s>0?" ":"")+o}return i}e.format=C;class P extends D.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new t.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=P;class b extends P{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...s){this.checkLogLevel(g.Trace)&&this.log(g.Trace,C([i,...s]))}debug(i,...s){this.checkLogLevel(g.Debug)&&this.log(g.Debug,C([i,...s]))}info(i,...s){this.checkLogLevel(g.Info)&&this.log(g.Info,C([i,...s]))}warn(i,...s){this.checkLogLevel(g.Warning)&&this.log(g.Warning,C([i,...s]))}error(i,...s){if(this.checkLogLevel(g.Error))if(i instanceof Error){const o=Array.prototype.slice.call(arguments);o[0]=i.stack,this.log(g.Error,C(o))}else this.log(g.Error,C([i,...s]))}critical(i,...s){this.checkLogLevel(g.Critical)&&this.log(g.Critical,C([i,...s]))}flush(){}}e.AbstractMessageLogger=b;class p extends P{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!R.isWindows}trace(i,...s){this.getLevel()<=g.Trace&&(this.useColors?console.log(`[90m[main ${I()}][0m`,i,...s):console.log(`[main ${I()}]`,i,...s))}debug(i,...s){this.getLevel()<=g.Debug&&(this.useColors?console.log(`[90m[main ${I()}][0m`,i,...s):console.log(`[main ${I()}]`,i,...s))}info(i,...s){this.getLevel()<=g.Info&&(this.useColors?console.log(`[90m[main ${I()}][0m`,i,...s):console.log(`[main ${I()}]`,i,...s))}warn(i,...s){this.getLevel()<=g.Warning&&(this.useColors?console.warn(`[93m[main ${I()}][0m`,i,...s):console.warn(`[main ${I()}]`,i,...s))}error(i,...s){this.getLevel()<=g.Error&&(this.useColors?console.error(`[91m[main ${I()}][0m`,i,...s):console.error(`[main ${I()}]`,i,...s))}critical(i,...s){this.getLevel()<=g.Critical&&(this.useColors?console.error(`[90m[main ${I()}][0m`,i,...s):console.error(`[main ${I()}]`,i,...s))}dispose(){}flush(){}}e.ConsoleMainLogger=p;class h extends P{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...s){this.getLevel()<=g.Trace&&console.log("%cTRACE","color: #888",i,...s)}debug(i,...s){this.getLevel()<=g.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...s)}info(i,...s){this.getLevel()<=g.Info&&console.log("%c INFO","color: #33f",i,...s)}warn(i,...s){this.getLevel()<=g.Warning&&console.log("%c WARN","color: #993",i,...s)}error(i,...s){this.getLevel()<=g.Error&&console.log("%c  ERR","color: #f33",i,...s)}critical(i,...s){this.getLevel()<=g.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...s)}dispose(){}flush(){}}e.ConsoleLogger=h;class y extends P{constructor(i,s=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(s)}trace(i,...s){this.getLevel()<=g.Trace&&this.adapter.log(g.Trace,[this.extractMessage(i),...s])}debug(i,...s){this.getLevel()<=g.Debug&&this.adapter.log(g.Debug,[this.extractMessage(i),...s])}info(i,...s){this.getLevel()<=g.Info&&this.adapter.log(g.Info,[this.extractMessage(i),...s])}warn(i,...s){this.getLevel()<=g.Warning&&this.adapter.log(g.Warning,[this.extractMessage(i),...s])}error(i,...s){this.getLevel()<=g.Error&&this.adapter.log(g.Error,[this.extractMessage(i),...s])}critical(i,...s){this.getLevel()<=g.Critical&&this.adapter.log(g.Critical,[this.extractMessage(i),...s])}extractMessage(i){return typeof i=="string"?i:(0,E.toErrorMessage)(i,this.getLevel()<=g.Trace)}dispose(){}flush(){}}e.AdapterLogger=y;class v extends P{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const s of this.logServices)s.setLevel(i);super.setLevel(i)}trace(i,...s){for(const o of this.logServices)o.trace(i,...s)}debug(i,...s){for(const o of this.logServices)o.debug(i,...s)}info(i,...s){for(const o of this.logServices)o.info(i,...s)}warn(i,...s){for(const o of this.logServices)o.warn(i,...s)}error(i,...s){for(const o of this.logServices)o.error(i,...s)}critical(i,...s){for(const o of this.logServices)o.critical(i,...s)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=v;class w extends D.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...s){this.logger.trace(i,...s)}debug(i,...s){this.logger.debug(i,...s)}info(i,...s){this.logger.info(i,...s)}warn(i,...s){this.logger.warn(i,...s)}error(i,...s){this.logger.error(i,...s)}critical(i,...s){this.logger.critical(i,...s)}flush(){this.logger.flush()}}e.LogService=w;class m extends D.Disposable{constructor(i,s){super();this.logLevel=i,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(s(o=>{this.logLevel=o,this.logLevelChangeableLoggers.forEach(a=>a.setLevel(o))}))}getLogger(i){return this.loggers.get(i.toString())}createLogger(i,s){let o=this.loggers.get(i.toString());return o||(o=this.doCreateLogger(i,s?.always?g.Trace:this.logLevel,s),this.loggers.set(i.toString(),o),s?.always||this.logLevelChangeableLoggers.push(o)),o}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(i=>i.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=m;class d{constructor(){this.onDidChangeLogLevel=new t.Emitter().event}setLevel(i){}getLevel(){return g.Info}trace(i,...s){}debug(i,...s){}info(i,...s){}warn(i,...s){}error(i,...s){}critical(i,...s){}dispose(){}flush(){}}e.NullLogService=d;function u(r){if(r.verbose)return g.Trace;if(typeof r.logLevel=="string"){const i=l(r.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=u;function l(r){switch(r){case"trace":return g.Trace;case"debug":return g.Debug;case"info":return g.Info;case"warn":return g.Warning;case"error":return g.Error;case"critical":return g.Critical;case"off":return g.Off}}e.parseLogLevel=l;function n(r){switch(r){case g.Trace:return"trace";case g.Debug:return"debug";case g.Info:return"info";case g.Warning:return"warn";case g.Error:return"error";case g.Critical:return"critical";case g.Off:return"off"}}e.LogLevelToString=n});var ee=this&&this.__param||function($,e){return function(E,t){e(E,t,$)}};define(J[191],Z([0,1,67,3,2,6,4]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseCredentialsMainService=void 0;let I=class St extends D.Disposable{constructor(S){super();this.logService=S,this._onDidChangePassword=this._register(new t.Emitter),this.onDidChangePassword=this._onDidChangePassword.event}async getPassword(S,C){let P;try{P=await this.withKeytar()}catch{return null}const b=await P.getPassword(S,C);if(b)try{let{content:p,hasNextChunk:h}=JSON.parse(b);if(!p||!h)return b;let y=1;for(;h;){const v=await P.getPassword(S,`${C}-${y}`),w=JSON.parse(v);p+=w.content,h=w.hasNextChunk,y++}return p}catch{return b}return b}async setPassword(S,C,P){let b;try{b=await this.withKeytar()}catch(y){throw this.surfaceKeytarLoadError?.(y),y}const p=3,h=async(y,v,w)=>{let m=0,d;for(;m<p;)try{await b.setPassword(y,v,w);return}catch(u){d=u,this.logService.warn("Error attempting to set a password: ",u?.message??u),m++,await new Promise(l=>setTimeout(l,200))}throw d};if(M.isWindows&&P.length>St.MAX_PASSWORD_LENGTH){let y=0,v=0,w=!0;for(;w;){const m=P.substring(y,y+St.PASSWORD_CHUNK_SIZE);y+=St.PASSWORD_CHUNK_SIZE,w=P.length-y>0;const d={content:m,hasNextChunk:w};await h(S,v?`${C}-${v}`:C,JSON.stringify(d)),v++}}else await h(S,C,P);this._onDidChangePassword.fire({service:S,account:C})}async deletePassword(S,C){let P;try{P=await this.withKeytar()}catch(h){throw this.surfaceKeytarLoadError?.(h),h}const b=await P.getPassword(S,C);if(!b)return!1;const p=await P.deletePassword(S,C);try{let{content:h,hasNextChunk:y}=JSON.parse(b);if(h&&y){let v=1;for(;y;){const w=`${C}-${v}`,m=await P.getPassword(S,w);await P.deletePassword(S,w),y=JSON.parse(m).hasNextChunk,v++}}}catch{}return p&&this._onDidChangePassword.fire({service:S,account:C}),p}async findPassword(S){let C;try{C=await this.withKeytar()}catch{return null}return C.findPassword(S)}async findCredentials(S){let C;try{C=await this.withKeytar()}catch{return[]}return C.findCredentials(S)}clear(){return this._keytarCache instanceof E.InMemoryCredentialsProvider?this._keytarCache.clear():Promise.resolve()}};I.MAX_PASSWORD_LENGTH=2500,I.PASSWORD_CHUNK_SIZE=I.MAX_PASSWORD_LENGTH-100,I=de([ee(0,R.ILogService)],I),e.BaseCredentialsMainService=I}),define(J[192],Z([0,1,25,8,18,3,2,9,68,6]),function($,e,E,t,D,R,M,I,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class C extends M.Disposable{constructor(b,p){super();this.logService=b,this.options=p,this._onDidChangeFile=this._register(new R.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new R.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new t.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new t.ThrottledDelayer(0))}watch(b,p){return p.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(b,p):this.watchNonRecursive(b,p)}watchUniversal(b,p){const h={path:this.toFilePath(b),excludes:p.excludes,includes:p.includes,recursive:p.recursive},y=(0,E.insert)(this.universalPathsToWatch,h);return this.refreshUniversalWatchers(),(0,M.toDisposable)(()=>{y(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(b=>(0,D.onUnexpectedError)(b))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(p=>this._onDidChangeFile.fire((0,g.toFileChanges)(p)),p=>this.onWatcherLogMessage(p),this.logService.getLevel()===S.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===S.LogLevel.Trace)})));const b=this.options?.watcher?.recursive?.usePolling;if(b===!0)for(const p of this.universalPathsToWatch)(0,g.isRecursiveWatchRequest)(p)&&(p.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(b))for(const p of this.universalPathsToWatch)(0,g.isRecursiveWatchRequest)(p)&&b.includes(p.path)&&(p.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(b,p){const h={path:this.toFilePath(b),excludes:p.excludes,includes:p.includes,recursive:!1},y=(0,E.insert)(this.nonRecursivePathsToWatch,h);return this.refreshNonRecursiveWatchers(),(0,M.toDisposable)(()=>{y(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(b=>(0,D.onUnexpectedError)(b))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(b=>this._onDidChangeFile.fire((0,g.toFileChanges)(b)),b=>this.onWatcherLogMessage(b),this.logService.getLevel()===S.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===S.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(b){b.type==="error"&&this._onDidWatchError.fire(b.message),this.logService[b.type](b.message)}toFilePath(b){return(0,I.normalize)(b.fsPath)}}e.AbstractDiskFileSystemProvider=C}),define(J[193],Z([0,1,25,8,19,22,3,55,53,2,33,12,69,15,54,152,16,102,6]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let d=class extends S.Disposable{constructor(l){super();this.logService=l,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new M.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new M.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new M.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new M.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new M.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new M.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new t.ResourceQueue)}registerProvider(l,n){if(this.provider.has(l))throw new Error(`A filesystem provider for the scheme '${l}' is already registered.`);(0,b.mark)(`code/registerFilesystem/${l}`);const r=new S.DisposableStore;return this.provider.set(l,n),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:l,provider:n}),r.add(n.onDidChangeFile(i=>this._onDidFilesChange.fire(new v.FileChangesEvent(i,!this.isPathCaseSensitive(n))))),typeof n.onDidWatchError=="function"&&r.add(n.onDidWatchError(i=>this._onDidWatchError.fire(new Error(i)))),r.add(n.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:n,scheme:l}))),(0,S.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:l,provider:n}),this.provider.delete(l),(0,S.dispose)(r)})}getProvider(l){return this.provider.get(l)}async activateProvider(l){const n=[];this._onWillActivateFileSystemProvider.fire({scheme:l,join(r){n.push(r)}}),!this.provider.has(l)&&await t.Promises.settled(n)}async canHandleResource(l){return await this.activateProvider(l.scheme),this.hasProvider(l)}hasProvider(l){return this.provider.has(l.scheme)}hasCapability(l,n){const r=this.provider.get(l.scheme);return!!(r&&r.capabilities&n)}listCapabilities(){return g.Iterable.map(this.provider,([l,n])=>({scheme:l,capabilities:n.capabilities}))}async withProvider(l){if(!(0,p.isAbsolutePath)(l))throw new v.FileOperationError((0,y.localize)(0,null,this.resourceForError(l)),8);await this.activateProvider(l.scheme);const n=this.provider.get(l.scheme);if(!n){const r=new Error;throw r.name="ENOPRO",r.message=(0,y.localize)(1,null,l.toString()),r}return n}async withReadProvider(l){const n=await this.withProvider(l);if((0,v.hasOpenReadWriteCloseCapability)(n)||(0,v.hasReadWriteCapability)(n)||(0,v.hasFileReadStreamCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${l.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(l){const n=await this.withProvider(l);if((0,v.hasOpenReadWriteCloseCapability)(n)||(0,v.hasReadWriteCapability)(n))return n;throw new Error(`Filesystem provider for scheme '${l.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(l,n){try{return await this.doResolveFile(l,n)}catch(r){throw(0,v.toFileSystemProviderErrorCode)(r)===v.FileSystemProviderErrorCode.FileNotFound?new v.FileOperationError((0,y.localize)(2,null,this.resourceForError(l)),1):(0,v.ensureFileSystemProviderError)(r)}}async doResolveFile(l,n){const r=await this.withProvider(l),i=this.isPathCaseSensitive(r),s=n?.resolveTo,o=n?.resolveSingleChildDescendants,a=n?.resolveMetadata,c=await r.stat(l);let f;return this.toFileStat(r,l,c,void 0,!!a,(k,L)=>(f||(f=C.TernarySearchTree.forUris(()=>!i),f.set(l,!0),s&&f.fill(!0,s)),f.get(k.resource)||f.findSuperstr(k.resource.with({query:null,fragment:null}))?!0:k.isDirectory&&o?L===1:!1))}async toFileStat(l,n,r,i,s,o){const{providerExtUri:a}=this.getExtUri(l),c={resource:n,name:a.basename(n),isFile:(r.type&v.FileType.File)!=0,isDirectory:(r.type&v.FileType.Directory)!=0,isSymbolicLink:(r.type&v.FileType.SymbolicLink)!=0,mtime:r.mtime,ctime:r.ctime,size:r.size,readonly:Boolean((r.permissions??0)&v.FilePermission.Readonly)||Boolean(l.capabilities&2048),etag:(0,v.etag)({mtime:r.mtime,size:r.size}),children:void 0};if(c.isDirectory&&o(c,i)){try{const f=await l.readdir(n),k=await t.Promises.settled(f.map(async([L,T])=>{try{const U=a.joinPath(n,L),G=s?await l.stat(U):{type:T};return await this.toFileStat(l,U,G,f.length,s,o)}catch(U){return this.logService.trace(U),null}}));c.children=(0,E.coalesce)(k)}catch(f){this.logService.trace(f),c.children=[]}return c}return c}async resolveAll(l){return t.Promises.settled(l.map(async n=>{try{return{stat:await this.doResolveFile(n.resource,n.options),success:!0}}catch(r){return this.logService.trace(r),{stat:void 0,success:!1}}}))}async stat(l){const n=await this.withProvider(l),r=await n.stat(l);return this.toFileStat(n,l,r,void 0,!0,()=>!1)}async exists(l){const n=await this.withProvider(l);try{return!!await n.stat(l)}catch{return!1}}async canCreateFile(l,n){try{await this.doValidateCreateFile(l,n)}catch(r){return r}return!0}async doValidateCreateFile(l,n){if(!n?.overwrite&&await this.exists(l))throw new v.FileOperationError((0,y.localize)(3,null,this.resourceForError(l)),3,n)}async createFile(l,n=D.VSBuffer.fromString(""),r){await this.doValidateCreateFile(l,r);const i=await this.writeFile(l,n);return this._onDidRunOperation.fire(new v.FileOperationEvent(l,0,i)),i}async writeFile(l,n,r){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),{providerExtUri:s}=this.getExtUri(i);try{await this.validateWriteFile(i,l,r)||await this.mkdirp(i,s.dirname(l));let a;if((0,v.hasReadWriteCapability)(i)&&!(n instanceof D.VSBuffer))if((0,h.isReadableStream)(n)){const c=await(0,h.peekStream)(n,3);c.ended?a=D.VSBuffer.concat(c.buffer):a=c}else a=(0,h.peekReadable)(n,c=>D.VSBuffer.concat(c),3);else a=n;!(0,v.hasOpenReadWriteCloseCapability)(i)||(0,v.hasReadWriteCapability)(i)&&a instanceof D.VSBuffer?await this.doWriteUnbuffered(i,l,r,a):await this.doWriteBuffered(i,l,r,a instanceof D.VSBuffer?(0,D.bufferToReadable)(a):a),this._onDidRunOperation.fire(new v.FileOperationEvent(l,4))}catch(o){throw new v.FileOperationError((0,y.localize)(4,null,this.resourceForError(l),(0,v.ensureFileSystemProviderError)(o).toString()),(0,v.toFileOperationResult)(o),r)}return this.resolve(l,{resolveMetadata:!0})}async validateWriteFile(l,n,r){if(!!r?.unlock&&!(l.capabilities&8192))throw new Error((0,y.localize)(5,null,this.resourceForError(n)));let s;try{s=await l.stat(n)}catch{return}if((s.type&v.FileType.Directory)!=0)throw new v.FileOperationError((0,y.localize)(6,null,this.resourceForError(n)),0,r);if(this.throwIfFileIsReadonly(n,s),typeof r?.mtime=="number"&&typeof r.etag=="string"&&r.etag!==v.ETAG_DISABLED&&typeof s.mtime=="number"&&typeof s.size=="number"&&r.mtime<s.mtime&&r.etag!==(0,v.etag)({mtime:r.mtime,size:s.size}))throw new v.FileOperationError((0,y.localize)(7,null),3,r);return s}async readFile(l,n,r){const i=await this.withReadProvider(l);return n?.atomic?this.doReadFileAtomic(i,l,n,r):this.doReadFile(i,l,n,r)}async doReadFileAtomic(l,n,r,i){return new Promise((s,o)=>{this.writeQueue.queueFor(n,this.getExtUri(l).providerExtUri).queue(async()=>{try{const a=await this.doReadFile(l,n,r,i);s(a)}catch(a){o(a)}})})}async doReadFile(l,n,r,i){const s=await this.doReadFileStream(l,n,{...r,preferUnbuffered:!0},i);return{...s,value:await(0,D.streamToBuffer)(s.value)}}async readFileStream(l,n,r){const i=await this.withReadProvider(l);return this.doReadFileStream(i,l,n,r)}async doReadFileStream(l,n,r,i){const s=new R.CancellationTokenSource(i),o=this.validateReadFile(n,r).then(c=>c,c=>{throw s.cancel(),c});let a;try{return typeof r?.etag=="string"&&r.etag!==v.ETAG_DISABLED&&await o,r?.atomic&&(0,v.hasFileAtomicReadCapability)(l)||!((0,v.hasOpenReadWriteCloseCapability)(l)||(0,v.hasFileReadStreamCapability)(l))||(0,v.hasReadWriteCapability)(l)&&r?.preferUnbuffered?a=this.readFileUnbuffered(l,n,r):(0,v.hasFileReadStreamCapability)(l)?a=this.readFileStreamed(l,n,s.token,r):a=this.readFileBuffered(l,n,s.token,r),{...await o,value:a}}catch(c){a&&await(0,h.consumeStream)(a);const f=(0,y.localize)(8,null,this.resourceForError(n),(0,v.ensureFileSystemProviderError)(c).toString());throw c instanceof v.NotModifiedSinceFileOperationError?new v.NotModifiedSinceFileOperationError(f,c.stat,r):new v.FileOperationError(f,(0,v.toFileOperationResult)(c),r)}}readFileStreamed(l,n,r,i=Object.create(null)){const s=l.readFileStream(n,i,r);return(0,h.transform)(s,{data:o=>o instanceof D.VSBuffer?o:D.VSBuffer.wrap(o),error:o=>new v.FileOperationError((0,y.localize)(9,null,this.resourceForError(n),(0,v.ensureFileSystemProviderError)(o).toString()),(0,v.toFileOperationResult)(o),i)},o=>D.VSBuffer.concat(o))}readFileBuffered(l,n,r,i=Object.create(null)){const s=(0,D.newWriteableBufferStream)();return(0,w.readFileIntoStream)(l,n,s,o=>o,{...i,bufferSize:this.BUFFER_SIZE,errorTransformer:o=>new v.FileOperationError((0,y.localize)(10,null,this.resourceForError(n),(0,v.ensureFileSystemProviderError)(o).toString()),(0,v.toFileOperationResult)(o),i)},r),s}readFileUnbuffered(l,n,r){const i=(0,h.newWriteableStream)(s=>D.VSBuffer.concat(s));return(async()=>{try{let s;r?.atomic&&(0,v.hasFileAtomicReadCapability)(l)?s=await l.readFile(n,{atomic:!0}):s=await l.readFile(n),typeof r?.position=="number"&&(s=s.slice(r.position)),typeof r?.length=="number"&&(s=s.slice(0,r.length)),this.validateReadFileLimits(n,s.byteLength,r),i.end(D.VSBuffer.wrap(s))}catch(s){i.error(s),i.end()}})(),i}async validateReadFile(l,n){const r=await this.resolve(l,{resolveMetadata:!0});if(r.isDirectory)throw new v.FileOperationError((0,y.localize)(11,null,this.resourceForError(l)),0,n);if(typeof n?.etag=="string"&&n.etag!==v.ETAG_DISABLED&&n.etag===r.etag)throw new v.NotModifiedSinceFileOperationError((0,y.localize)(12,null),r,n);return this.validateReadFileLimits(l,r.size,n),r}validateReadFileLimits(l,n,r){if(r?.limits){let i;if(typeof r.limits.memory=="number"&&n>r.limits.memory&&(i=9),typeof r.limits.size=="number"&&n>r.limits.size&&(i=7),typeof i=="number")throw new v.FileOperationError((0,y.localize)(13,null,this.resourceForError(l)),i)}}async canMove(l,n,r){return this.doCanMoveCopy(l,n,"move",r)}async canCopy(l,n,r){return this.doCanMoveCopy(l,n,"copy",r)}async doCanMoveCopy(l,n,r,i){if(l.toString()!==n.toString())try{const s=r==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l):await this.withReadProvider(l),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n);await this.doValidateMoveCopy(s,l,o,n,r,i)}catch(s){return s}return!0}async move(l,n,r){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),o=await this.doMoveCopy(i,l,s,n,"move",!!r),a=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new v.FileOperationEvent(l,o==="move"?2:3,a)),a}async copy(l,n,r){const i=await this.withReadProvider(l),s=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n),o=await this.doMoveCopy(i,l,s,n,"copy",!!r),a=await this.resolve(n,{resolveMetadata:!0});return this._onDidRunOperation.fire(new v.FileOperationEvent(l,o==="copy"?3:2,a)),a}async doMoveCopy(l,n,r,i,s,o){if(n.toString()===i.toString())return s;const{exists:a,isSameResourceWithDifferentPathCase:c}=await this.doValidateMoveCopy(l,n,r,i,s,o);if(a&&!c&&o&&await this.del(i,{recursive:!0}),await this.mkdirp(r,this.getExtUri(r).providerExtUri.dirname(i)),s==="copy"){if(l===r&&(0,v.hasFileFolderCopyCapability)(l))await l.copy(n,i,{overwrite:o});else{const f=await this.resolve(n);f.isDirectory?await this.doCopyFolder(l,f,r,i):await this.doCopyFile(l,n,r,i)}return s}else return l===r?(await l.rename(n,i,{overwrite:o}),s):(await this.doMoveCopy(l,n,r,i,"copy",o),await this.del(n,{recursive:!0}),"copy")}async doCopyFile(l,n,r,i){if((0,v.hasOpenReadWriteCloseCapability)(l)&&(0,v.hasOpenReadWriteCloseCapability)(r))return this.doPipeBuffered(l,n,r,i);if((0,v.hasOpenReadWriteCloseCapability)(l)&&(0,v.hasReadWriteCapability)(r))return this.doPipeBufferedToUnbuffered(l,n,r,i);if((0,v.hasReadWriteCapability)(l)&&(0,v.hasOpenReadWriteCloseCapability)(r))return this.doPipeUnbufferedToBuffered(l,n,r,i);if((0,v.hasReadWriteCapability)(l)&&(0,v.hasReadWriteCapability)(r))return this.doPipeUnbuffered(l,n,r,i)}async doCopyFolder(l,n,r,i){await r.mkdir(i),Array.isArray(n.children)&&await t.Promises.settled(n.children.map(async s=>{const o=this.getExtUri(r).providerExtUri.joinPath(i,s.name);return s.isDirectory?this.doCopyFolder(l,await this.resolve(s.resource),r,o):this.doCopyFile(l,s.resource,r,o)}))}async doValidateMoveCopy(l,n,r,i,s,o){let a=!1;if(l===r){const{providerExtUri:f,isPathCaseSensitive:k}=this.getExtUri(l);if(k||(a=f.isEqual(n,i)),a&&s==="copy")throw new Error((0,y.localize)(14,null,this.resourceForError(n),this.resourceForError(i)));if(!a&&f.isEqualOrParent(i,n))throw new Error((0,y.localize)(15,null,this.resourceForError(n),this.resourceForError(i)))}const c=await this.exists(i);if(c&&!a){if(!o)throw new v.FileOperationError((0,y.localize)(16,null,this.resourceForError(n),this.resourceForError(i)),4);if(l===r){const{providerExtUri:f}=this.getExtUri(l);if(f.isEqualOrParent(n,i))throw new Error((0,y.localize)(17,null,this.resourceForError(n),this.resourceForError(i)))}}return{exists:c,isSameResourceWithDifferentPathCase:a}}getExtUri(l){const n=this.isPathCaseSensitive(l);return{providerExtUri:n?p.extUri:p.extUriIgnorePathCase,isPathCaseSensitive:n}}isPathCaseSensitive(l){return!!(l.capabilities&1024)}async createFolder(l){const n=this.throwIfFileSystemIsReadonly(await this.withProvider(l),l);await this.mkdirp(n,l);const r=await this.resolve(l,{resolveMetadata:!0});return this._onDidRunOperation.fire(new v.FileOperationEvent(l,0,r)),r}async mkdirp(l,n){const r=[],{providerExtUri:i}=this.getExtUri(l);for(;!i.isEqual(n,i.dirname(n));)try{if(((await l.stat(n)).type&v.FileType.Directory)==0)throw new Error((0,y.localize)(18,null,this.resourceForError(n)));break}catch(s){if((0,v.toFileSystemProviderErrorCode)(s)!==v.FileSystemProviderErrorCode.FileNotFound)throw s;r.push(i.basename(n)),n=i.dirname(n)}for(let s=r.length-1;s>=0;s--){n=i.joinPath(n,r[s]);try{await l.mkdir(n)}catch(o){if((0,v.toFileSystemProviderErrorCode)(o)!==v.FileSystemProviderErrorCode.FileExists)throw o}}}async canDelete(l,n){try{await this.doValidateDelete(l,n)}catch(r){return r}return!0}async doValidateDelete(l,n){const r=this.throwIfFileSystemIsReadonly(await this.withProvider(l),l);if(!!n?.useTrash&&!(r.capabilities&4096))throw new Error((0,y.localize)(19,null,this.resourceForError(l)));let s;try{s=await r.stat(l)}catch{}if(s)this.throwIfFileIsReadonly(l,s);else throw new v.FileOperationError((0,y.localize)(20,null,this.resourceForError(l)),1);if(!!!n?.recursive){const a=await this.resolve(l);if(a.isDirectory&&Array.isArray(a.children)&&a.children.length>0)throw new Error((0,y.localize)(21,null,this.resourceForError(l)))}return r}async del(l,n){const r=await this.doValidateDelete(l,n),i=!!n?.useTrash,s=!!n?.recursive;await r.delete(l,{recursive:s,useTrash:i}),this._onDidRunOperation.fire(new v.FileOperationEvent(l,1))}async cloneFile(l,n){const r=await this.withProvider(l),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(n),n);if(r===i&&this.getExtUri(r).providerExtUri.isEqual(l,n))return;if(r===i&&(0,v.hasFileCloneCapability)(r))return r.cloneFile(l,n);await this.mkdirp(i,this.getExtUri(i).providerExtUri.dirname(n));const s=this.writeQueue.queueFor(l,this.getExtUri(r).providerExtUri);return r===i&&(0,v.hasFileFolderCopyCapability)(r)?s.queue(()=>r.copy(l,n,{overwrite:!0})):s.queue(()=>this.doCopyFile(r,l,i,n))}watch(l,n={recursive:!1,excludes:[]}){const r=new S.DisposableStore;let i=!1,s=()=>{i=!0};return r.add((0,S.toDisposable)(()=>s())),(async()=>{try{const o=await this.doWatch(l,n);i?(0,S.dispose)(o):s=()=>(0,S.dispose)(o)}catch(o){this.logService.error(o)}})(),r}async doWatch(l,n){const r=await this.withProvider(l),i=(0,I.hash)([this.getExtUri(r).providerExtUri.getComparisonKey(l),n]);let s=this.activeWatchers.get(i);return s||(s={count:0,disposable:r.watch(l,n)},this.activeWatchers.set(i,s)),s.count+=1,(0,S.toDisposable)(()=>{s&&(s.count--,s.count===0&&((0,S.dispose)(s.disposable),this.activeWatchers.delete(i)))})}dispose(){super.dispose();for(const[,l]of this.activeWatchers)(0,S.dispose)(l.disposable);this.activeWatchers.clear()}async doWriteBuffered(l,n,r,i){return this.writeQueue.queueFor(n,this.getExtUri(l).providerExtUri).queue(async()=>{const s=await l.open(n,{create:!0,unlock:r?.unlock??!1});try{(0,h.isReadableStream)(i)||(0,h.isReadableBufferedStream)(i)?await this.doWriteStreamBufferedQueued(l,s,i):await this.doWriteReadableBufferedQueued(l,s,i)}catch(o){throw(0,v.ensureFileSystemProviderError)(o)}finally{await l.close(s)}})}async doWriteStreamBufferedQueued(l,n,r){let i=0,s;if((0,h.isReadableBufferedStream)(r)){if(r.buffer.length>0){const o=D.VSBuffer.concat(r.buffer);await this.doWriteBuffer(l,n,o,o.byteLength,i,0),i+=o.byteLength}if(r.ended)return;s=r.stream}else s=r;return new Promise((o,a)=>{(0,h.listenStream)(s,{onData:async c=>{s.pause();try{await this.doWriteBuffer(l,n,c,c.byteLength,i,0)}catch(f){return a(f)}i+=c.byteLength,setTimeout(()=>s.resume())},onError:c=>a(c),onEnd:()=>o()})})}async doWriteReadableBufferedQueued(l,n,r){let i=0,s;for(;(s=r.read())!==null;)await this.doWriteBuffer(l,n,s,s.byteLength,i,0),i+=s.byteLength}async doWriteBuffer(l,n,r,i,s,o){let a=0;for(;a<i;)a+=await l.write(n,s+a,r.buffer,o+a,i-a)}async doWriteUnbuffered(l,n,r,i){return this.writeQueue.queueFor(n,this.getExtUri(l).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(l,n,r,i))}async doWriteUnbufferedQueued(l,n,r,i){let s;i instanceof D.VSBuffer?s=i:(0,h.isReadableStream)(i)?s=await(0,D.streamToBuffer)(i):(0,h.isReadableBufferedStream)(i)?s=await(0,D.bufferedStreamToBuffer)(i):s=(0,D.readableToBuffer)(i),await l.writeFile(n,s.buffer,{create:!0,overwrite:!0,unlock:r?.unlock??!1})}async doPipeBuffered(l,n,r,i){return this.writeQueue.queueFor(i,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeBufferedQueued(l,n,r,i))}async doPipeBufferedQueued(l,n,r,i){let s,o;try{s=await l.open(n,{create:!1}),o=await r.open(i,{create:!0,unlock:!1});const a=D.VSBuffer.alloc(this.BUFFER_SIZE);let c=0,f=0,k=0;do k=await l.read(s,c,a.buffer,f,a.byteLength-f),await this.doWriteBuffer(r,o,a,k,c,f),c+=k,f+=k,f===a.byteLength&&(f=0);while(k>0)}catch(a){throw(0,v.ensureFileSystemProviderError)(a)}finally{await t.Promises.settled([typeof s=="number"?l.close(s):Promise.resolve(),typeof o=="number"?r.close(o):Promise.resolve()])}}async doPipeUnbuffered(l,n,r,i){return this.writeQueue.queueFor(i,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(l,n,r,i))}async doPipeUnbufferedQueued(l,n,r,i){return r.writeFile(i,await l.readFile(n),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(l,n,r,i){return this.writeQueue.queueFor(i,this.getExtUri(r).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(l,n,r,i))}async doPipeUnbufferedToBufferedQueued(l,n,r,i){const s=await r.open(i,{create:!0,unlock:!1});try{const o=await l.readFile(n);await this.doWriteBuffer(r,s,D.VSBuffer.wrap(o),o.byteLength,0,0)}catch(o){throw(0,v.ensureFileSystemProviderError)(o)}finally{await r.close(s)}}async doPipeBufferedToUnbuffered(l,n,r,i){const s=await(0,D.streamToBuffer)(this.readFileBuffered(l,n,R.CancellationToken.None));await this.doWriteUnbuffered(r,i,void 0,s)}throwIfFileSystemIsReadonly(l,n){if(l.capabilities&2048)throw new v.FileOperationError((0,y.localize)(22,null,this.resourceForError(n)),6);return l}throwIfFileIsReadonly(l,n){if((n.permissions??0)&v.FilePermission.Readonly)throw new v.FileOperationError((0,y.localize)(23,null,this.resourceForError(l)),6)}resourceForError(l){return l.scheme===P.Schemas.file?l.fsPath:l.toString(!0)}};d=de([ee(0,m.ILogService)],d),e.FileService=d}),define(J[85],Z([0,1,27,262,8,33,19,3,29,2,9,4,15,54,23,156,16,102,192,41,189,188]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,t.gracefulify)(E)}catch(r){console.error(`Error enabling graceful-fs: ${(0,d.toErrorMessage)(r)}`)}})();class n extends m.AbstractDiskFileSystemProvider{constructor(i,s){super(i,s);this.onDidChangeCapabilities=I.Event.None,this.resourceLocks=new R.ResourceMap(o=>b.extUriBiasedIgnorePathCase.getComparisonKey(o)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,P.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(i){try{const{stat:s,symbolicLink:o}=await h.SymlinkSupport.stat(this.toFilePath(i));return{type:this.toType(s,o),ctime:s.birthtime.getTime(),mtime:s.mtime.getTime(),size:s.size}}catch(s){throw this.toFileSystemProviderError(s)}}async readdir(i){try{const s=await h.Promises.readdir(this.toFilePath(i),{withFileTypes:!0}),o=[];return await Promise.all(s.map(async a=>{try{let c;a.isSymbolicLink()?c=(await this.stat((0,b.joinPath)(i,a.name))).type:c=this.toType(a),o.push([a.name,c])}catch(c){this.logService.trace(c)}})),o}catch(s){throw this.toFileSystemProviderError(s)}}toType(i,s){let o;return s?.dangling?o=v.FileType.Unknown:i.isFile()?o=v.FileType.File:i.isDirectory()?o=v.FileType.Directory:o=v.FileType.Unknown,s&&(o|=v.FileType.SymbolicLink),o}async createResourceLock(i){const s=this.toFilePath(i);this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${s})`);let o;for(;o=this.resourceLocks.get(i);)this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${s})`),await o.wait();const a=new D.Barrier;return this.resourceLocks.set(i,a),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${s})`),(0,S.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${s})`),this.resourceLocks.get(i)===a&&(this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${s})`),this.resourceLocks.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${s})`),a.open()})}async readFile(i,s){let o;try{s?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(i)})`),o=await this.createResourceLock(i));const a=this.toFilePath(i);return await h.Promises.readFile(a)}catch(a){throw this.toFileSystemProviderError(a)}finally{o?.dispose()}}readFileStream(i,s,o){const a=(0,p.newWriteableStream)(c=>M.VSBuffer.concat(c.map(f=>M.VSBuffer.wrap(f))).buffer);return(0,w.readFileIntoStream)(this,i,a,c=>c.buffer,{...s,bufferSize:256*1024},o),a}async writeFile(i,s,o){let a;try{const c=this.toFilePath(i);if(!o.create||!o.overwrite){if(await h.Promises.exists(c)){if(!o.overwrite)throw(0,v.createFileSystemProviderError)((0,y.localize)(0,null),v.FileSystemProviderErrorCode.FileExists)}else if(!o.create)throw(0,v.createFileSystemProviderError)((0,y.localize)(1,null),v.FileSystemProviderErrorCode.FileNotFound)}a=await this.open(i,{create:!0,unlock:o.unlock}),await this.write(a,0,s,0,s.byteLength)}catch(c){throw await this.toFileSystemProviderWriteError(i,c)}finally{typeof a=="number"&&await this.close(a)}}async open(i,s){const o=this.toFilePath(i);let a;(0,v.isFileOpenForWriteOptions)(s)&&(a=await this.createResourceLock(i));let c;try{if((0,v.isFileOpenForWriteOptions)(s)&&s.unlock)try{const{stat:k}=await h.SymlinkSupport.stat(o);k.mode&128||await h.Promises.chmod(o,k.mode|128)}catch(k){this.logService.trace(k)}let f;if((0,v.isFileOpenForWriteOptions)(s)){if(P.isWindows)try{await h.Promises.truncate(o,0),f="r+"}catch(k){k.code!=="ENOENT"&&this.logService.trace(k)}f||(f="w")}else f="r";c=await h.Promises.open(o,f)}catch(f){throw a?.dispose(),(0,v.isFileOpenForWriteOptions)(s)?await this.toFileSystemProviderWriteError(i,f):this.toFileSystemProviderError(f)}if(this.mapHandleToPos.set(c,0),(0,v.isFileOpenForWriteOptions)(s)&&this.writeHandles.set(c,i),a){const f=this.mapHandleToLock.get(c);this.logService.trace(`[Disk FileSystemProvider]: open() - storing lock for handle ${c} (${o})`),this.mapHandleToLock.set(c,a),f&&(this.logService.trace(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${c} (${o})`),f.dispose())}return c}async close(i){const s=this.mapHandleToLock.get(i);try{if(this.mapHandleToPos.delete(i),this.writeHandles.delete(i)&&this.canFlush)try{await h.Promises.fdatasync(i)}catch(o){this.canFlush=!1,this.logService.error(o)}return await h.Promises.close(i)}catch(o){throw this.toFileSystemProviderError(o)}finally{s&&(this.mapHandleToLock.get(i)===s&&(this.logService.trace(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${i}`),this.mapHandleToLock.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: close() - disposing lock for handle ${i}`),s.dispose())}}async read(i,s,o,a,c){const f=this.normalizePos(i,s);let k=null;try{k=(await h.Promises.read(i,o,a,c,f)).bytesRead}catch(L){throw this.toFileSystemProviderError(L)}finally{this.updatePos(i,f,k)}return k}normalizePos(i,s){return s===this.mapHandleToPos.get(i)?null:s}updatePos(i,s,o){const a=this.mapHandleToPos.get(i);typeof a=="number"&&(typeof s=="number"||(typeof o=="number"?this.mapHandleToPos.set(i,a+o):this.mapHandleToPos.delete(i)))}async write(i,s,o,a,c){return(0,D.retry)(()=>this.doWrite(i,s,o,a,c),100,3)}async doWrite(i,s,o,a,c){const f=this.normalizePos(i,s);let k=null;try{k=(await h.Promises.write(i,o,a,c,f)).bytesWritten}catch(L){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(i),L)}finally{this.updatePos(i,f,k)}return k}async mkdir(i){try{await h.Promises.mkdir(this.toFilePath(i))}catch(s){throw this.toFileSystemProviderError(s)}}async delete(i,s){try{const o=this.toFilePath(i);s.recursive?await h.Promises.rm(o,h.RimRafMode.MOVE):await h.Promises.unlink(o)}catch(o){throw this.toFileSystemProviderError(o)}}async rename(i,s,o){const a=this.toFilePath(i),c=this.toFilePath(s);if(a!==c)try{await this.validateTargetDeleted(i,s,"move",o.overwrite),await h.Promises.move(a,c)}catch(f){throw(f.code==="EINVAL"||f.code==="EBUSY"||f.code==="ENAMETOOLONG")&&(f=new Error((0,y.localize)(2,null,(0,C.basename)(a),(0,C.basename)((0,C.dirname)(c)),f.toString()))),this.toFileSystemProviderError(f)}}async copy(i,s,o){const a=this.toFilePath(i),c=this.toFilePath(s);if(a!==c)try{await this.validateTargetDeleted(i,s,"copy",o.overwrite),await h.Promises.copy(a,c,{preserveSymlinks:!0})}catch(f){throw(f.code==="EINVAL"||f.code==="EBUSY"||f.code==="ENAMETOOLONG")&&(f=new Error((0,y.localize)(3,null,(0,C.basename)(a),(0,C.basename)((0,C.dirname)(c)),f.toString()))),this.toFileSystemProviderError(f)}}async validateTargetDeleted(i,s,o,a){const c=this.toFilePath(i),f=this.toFilePath(s);let k=!1;if(!!(this.capabilities&1024)||(k=(0,g.isEqual)(c,f,!0)),k&&o==="copy")throw(0,v.createFileSystemProviderError)((0,y.localize)(4,null),v.FileSystemProviderErrorCode.FileExists);if(!k&&await h.Promises.exists(f)){if(!a)throw(0,v.createFileSystemProviderError)((0,y.localize)(5,null),v.FileSystemProviderErrorCode.FileExists);await this.delete(s,{recursive:!0,useTrash:!1})}}async cloneFile(i,s){return this.doCloneFile(i,s,!1)}async doCloneFile(i,s,o){const a=this.toFilePath(i),c=this.toFilePath(s),f=!!(this.capabilities&1024);if((0,g.isEqual)(a,c,!f))return;const k=new S.DisposableStore;try{const[L,T]=await Promise.all([this.createResourceLock(i),this.createResourceLock(s)]);k.add(L),k.add(T),o&&await h.Promises.mkdir((0,C.dirname)(c),{recursive:!0}),await h.Promises.copyFile(a,c)}catch(L){if(L.code==="ENOENT"&&!o)return this.doCloneFile(i,s,!0);throw this.toFileSystemProviderError(L)}finally{k.dispose()}}createUniversalWatcher(i,s,o){return new u.UniversalWatcherClient(a=>i(a),a=>s(a),o)}createNonRecursiveWatcher(i,s,o){return new l.NodeJSWatcherClient(a=>i(a),a=>s(a),o)}toFileSystemProviderError(i){if(i instanceof v.FileSystemProviderError)return i;let s;switch(i.code){case"ENOENT":s=v.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":s=v.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":s=v.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":s=v.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":s=v.FileSystemProviderErrorCode.NoPermissions;break;default:s=v.FileSystemProviderErrorCode.Unknown}return(0,v.createFileSystemProviderError)(i,s)}async toFileSystemProviderWriteError(i,s){let o=this.toFileSystemProviderError(s);if(i&&o.code===v.FileSystemProviderErrorCode.NoPermissions)try{const{stat:a}=await h.SymlinkSupport.stat(this.toFilePath(i));a.mode&128||(o=(0,v.createFileSystemProviderError)(s,v.FileSystemProviderErrorCode.FileWriteLocked))}catch(a){this.logService.trace(a)}return o}}e.DiskFileSystemProvider=n}),define(J[194],Z([0,1,3,85,2,19,54,22]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractSessionFileWatcher=e.AbstractDiskFileSystemProviderChannel=void 0;class g extends D.Disposable{constructor(P,b){super();this.provider=P,this.logService=b,this.sessionToWatcher=new Map,this.watchRequests=new Map}call(P,b,p){const h=this.getUriTransformer(P);switch(b){case"stat":return this.stat(h,p[0]);case"readdir":return this.readdir(h,p[0]);case"open":return this.open(h,p[0],p[1]);case"close":return this.close(p[0]);case"read":return this.read(p[0],p[1],p[2]);case"readFile":return this.readFile(h,p[0],p[1]);case"write":return this.write(p[0],p[1],p[2],p[3],p[4]);case"writeFile":return this.writeFile(h,p[0],p[1],p[2]);case"rename":return this.rename(h,p[0],p[1],p[2]);case"copy":return this.copy(h,p[0],p[1],p[2]);case"cloneFile":return this.cloneFile(h,p[0],p[1]);case"mkdir":return this.mkdir(h,p[0]);case"delete":return this.delete(h,p[0],p[1]);case"watch":return this.watch(h,p[0],p[1],p[2],p[3]);case"unwatch":return this.unwatch(p[0],p[1])}throw new Error(`IPC Command ${b} not found`)}listen(P,b,p){const h=this.getUriTransformer(P);switch(b){case"fileChange":return this.onFileChange(h,p[0]);case"readFileStream":return this.onReadFileStream(h,p[0],p[1])}throw new Error(`Unknown event ${b}`)}stat(P,b){const p=this.transformIncoming(P,b,!0);return this.provider.stat(p)}readdir(P,b){const p=this.transformIncoming(P,b);return this.provider.readdir(p)}async readFile(P,b,p){const h=this.transformIncoming(P,b,!0),y=await this.provider.readFile(h,p);return R.VSBuffer.wrap(y)}onReadFileStream(P,b,p){const h=this.transformIncoming(P,b,!0),y=new I.CancellationTokenSource,v=new E.Emitter({onLastListenerRemove:()=>{y.cancel()}}),w=this.provider.readFileStream(h,p,y.token);return(0,M.listenStream)(w,{onData:m=>v.fire(R.VSBuffer.wrap(m)),onError:m=>v.fire(m),onEnd:()=>{v.fire("end"),v.dispose(),y.dispose()}}),v.event}writeFile(P,b,p,h){const y=this.transformIncoming(P,b);return this.provider.writeFile(y,p.buffer,h)}open(P,b,p){const h=this.transformIncoming(P,b,!0);return this.provider.open(h,p)}close(P){return this.provider.close(P)}async read(P,b,p){const h=R.VSBuffer.alloc(p),y=0,v=await this.provider.read(P,b,h.buffer,y,p);return[h,v]}write(P,b,p,h,y){return this.provider.write(P,b,p.buffer,h,y)}mkdir(P,b){const p=this.transformIncoming(P,b);return this.provider.mkdir(p)}delete(P,b,p){const h=this.transformIncoming(P,b);return this.provider.delete(h,p)}rename(P,b,p,h){const y=this.transformIncoming(P,b),v=this.transformIncoming(P,p);return this.provider.rename(y,v,h)}copy(P,b,p,h){const y=this.transformIncoming(P,b),v=this.transformIncoming(P,p);return this.provider.copy(y,v,h)}cloneFile(P,b,p){const h=this.transformIncoming(P,b),y=this.transformIncoming(P,p);return this.provider.cloneFile(h,y)}onFileChange(P,b){const p=new E.Emitter({onFirstListenerAdd:()=>{this.sessionToWatcher.set(b,this.createSessionFileWatcher(P,p))},onLastListenerRemove:()=>{(0,D.dispose)(this.sessionToWatcher.get(b)),this.sessionToWatcher.delete(b)}});return p.event}async watch(P,b,p,h,y){const v=this.sessionToWatcher.get(b);if(v){const w=this.transformIncoming(P,h),m=v.watch(p,w,y);this.watchRequests.set(b+p,m)}}async unwatch(P,b){const p=P+b,h=this.watchRequests.get(p);h&&((0,D.dispose)(h),this.watchRequests.delete(p))}dispose(){super.dispose();for(const[,P]of this.watchRequests)P.dispose();this.watchRequests.clear();for(const[,P]of this.sessionToWatcher)P.dispose();this.sessionToWatcher.clear()}}e.AbstractDiskFileSystemProviderChannel=g;class S extends D.Disposable{constructor(P,b,p,h){super();this.uriTransformer=P,this.logService=p,this.environmentService=h,this.watcherRequests=new Map,this.fileWatcher=this._register(new t.DiskFileSystemProvider(this.logService,{watcher:{recursive:this.getRecursiveWatcherOptions(this.environmentService)}})),this.registerListeners(b)}registerListeners(P){const b=this._register(new E.Emitter);this._register(b.event(p=>{P.fire(p.map(h=>({resource:this.uriTransformer.transformOutgoingURI(h.resource),type:h.type})))})),this._register(this.fileWatcher.onDidChangeFile(p=>b.fire(p))),this._register(this.fileWatcher.onDidWatchError(p=>P.fire(p)))}getRecursiveWatcherOptions(P){}getExtraExcludes(P){}watch(P,b,p){const h=this.getExtraExcludes(this.environmentService);return Array.isArray(h)&&(p.excludes=[...p.excludes,...h]),this.watcherRequests.set(P,this.fileWatcher.watch(b,p)),(0,D.toDisposable)(()=>{(0,D.dispose)(this.watcherRequests.get(P)),this.watcherRequests.delete(P)})}dispose(){super.dispose();for(const[,P]of this.watcherRequests)P.dispose();this.watcherRequests.clear()}}e.AbstractSessionFileWatcher=S}),define(J[195],Z([0,1,14,155,4,7,16,9,194,136]),function($,e,E,t,D,R,M,I,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProviderChannel=void 0;class C extends g.AbstractDiskFileSystemProviderChannel{constructor(p,h,y){super(p,h);this.environmentService=y}getUriTransformer(p){return S.DefaultURITransformer}transformIncoming(p,h){return R.URI.revive(h)}async delete(p,h,y){if(!y.useTrash)return super.delete(p,h,y);const v=this.transformIncoming(p,h),w=(0,I.normalize)(v.fsPath);try{await E.shell.trashItem(w)}catch{throw(0,M.createFileSystemProviderError)(D.isWindows?(0,t.localize)(0,null,(0,I.basename)(w)):(0,t.localize)(1,null,(0,I.basename)(w)),M.FileSystemProviderErrorCode.Unknown)}}createSessionFileWatcher(p,h){return new P(p,h,this.logService,this.environmentService)}}e.DiskFileSystemProviderChannel=C;class P extends g.AbstractSessionFileWatcher{watch(p,h,y){if(y.recursive)throw(0,M.createFileSystemProviderError)("Recursive file watching is not supported from main process for performance reasons.",M.FileSystemProviderErrorCode.Unavailable);return super.watch(p,h,y)}}}),define(J[103],Z([0,1,6]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function t(R,M){switch(M){case E.LogLevel.Trace:return R.trace;case E.LogLevel.Debug:return R.debug;case E.LogLevel.Info:return R.info;case E.LogLevel.Warning:return R.warn;case E.LogLevel.Error:return R.error;case E.LogLevel.Critical:return R.critical;default:throw new Error("Invalid log level")}}class D extends E.AbstractLogger{constructor(M=E.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(M),this._register(this.onDidChangeLogLevel(I=>{this._logger?.setLevel(I)}))}set logger(M){this._logger=M;for(const{level:I,args:g}of this.buffer)t(M,I).apply(M,g);this.buffer=[]}_log(M,...I){this._logger?t(this._logger,M).apply(this._logger,I):this.getLevel()<=M&&this.buffer.push({level:M,args:I})}trace(M,...I){this._log(E.LogLevel.Trace,M,...I)}debug(M,...I){this._log(E.LogLevel.Debug,M,...I)}info(M,...I){this._log(E.LogLevel.Info,M,...I)}warn(M,...I){this._log(E.LogLevel.Warning,M,...I)}error(M,...I){this._log(E.LogLevel.Error,M,...I)}critical(M,...I){this._log(E.LogLevel.Critical,M,...I)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=D}),define(J[196],Z([0,1,8,19,15,16,5,103,6]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const S=5*R.ByteSize.MB;let C=class extends g.AbstractLogger{constructor(p,h,y,v,w){super();this.name=p,this.resource=h,this.donotUseFormatters=v,this.fileService=w,this.backupIndex=1,this.setLevel(y),this.queue=this._register(new E.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=g.LogLevel.Trace&&this._log(g.LogLevel.Trace,(0,g.format)(arguments))}debug(){this.getLevel()<=g.LogLevel.Debug&&this._log(g.LogLevel.Debug,(0,g.format)(arguments))}info(){this.getLevel()<=g.LogLevel.Info&&this._log(g.LogLevel.Info,(0,g.format)(arguments))}warn(){this.getLevel()<=g.LogLevel.Warning&&this._log(g.LogLevel.Warning,(0,g.format)(arguments))}error(){if(this.getLevel()<=g.LogLevel.Error){const p=arguments[0];if(p instanceof Error){const h=Array.prototype.slice.call(arguments);h[0]=p.stack,this._log(g.LogLevel.Error,(0,g.format)(h))}else this._log(g.LogLevel.Error,(0,g.format)(arguments))}}critical(){this.getLevel()<=g.LogLevel.Critical&&this._log(g.LogLevel.Critical,(0,g.format)(arguments))}flush(){}async initialize(){try{await this.fileService.createFile(this.resource)}catch(p){if(p.fileOperationResult!==3)throw p}}_log(p,h){this.queue.queue(async()=>{await this.initializePromise;let y=await this.loadContent();y.length>S&&(await this.fileService.writeFile(this.getBackupResource(),t.VSBuffer.fromString(y)),y=""),this.donotUseFormatters?y+=h:y+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(p)}] ${h}
`,await this.fileService.writeFile(this.resource,t.VSBuffer.fromString(y))})}getCurrentTimestamp(){const p=v=>v<10?`0${v}`:v,h=v=>v<10?`00${v}`:v<100?`0${v}`:v,y=new Date;return`${y.getFullYear()}-${p(y.getMonth()+1)}-${p(y.getDate())} ${p(y.getHours())}:${p(y.getMinutes())}:${p(y.getSeconds())}.${h(y.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,(0,D.joinPath)((0,D.dirname)(this.resource),`${(0,D.basename)(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch{return""}}stringifyLogLevel(p){switch(p){case g.LogLevel.Critical:return"critical";case g.LogLevel.Debug:return"debug";case g.LogLevel.Error:return"error";case g.LogLevel.Info:return"info";case g.LogLevel.Trace:return"trace";case g.LogLevel.Warning:return"warning"}return""}};C=de([ee(4,R.IFileService)],C),e.FileLogger=C;let P=class extends g.AbstractLoggerService{constructor(p,h,y){super(p.getLevel(),p.onDidChangeLogLevel);this.instantiationService=h,this.fileService=y}doCreateLogger(p,h,y){const v=new I.BufferLogService(h);return(0,R.whenProviderRegistered)(p,this.fileService).then(()=>v.logger=this.instantiationService.createInstance(C,y?.name||(0,D.basename)(p),p,v.getLevel(),!!y?.donotUseFormatters)),v}};P=de([ee(0,g.ILogService),ee(1,M.IInstantiationService),ee(2,R.IFileService)],P),e.FileLoggerService=P}),define(J[197],Z([0,1,3,7,6]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class R{constructor(b){this.service=b,this.onDidChangeLogLevel=E.Event.buffer(b.onDidChangeLogLevel,!0)}listen(b,p){switch(p){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${p}`)}async call(b,p,h){switch(p){case"setLevel":return this.service.setLevel(h)}throw new Error(`Call not found: ${p}`)}}e.LogLevelChannel=R;class M{constructor(b){this.channel=b}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(b){M.setLevel(this.channel,b)}static setLevel(b,p){return b.call("setLevel",p)}}e.LogLevelChannelClient=M;class I{constructor(b){this.loggerService=b,this.loggers=new Map}listen(b,p){throw new Error(`Event not found: ${p}`)}async call(b,p,h){switch(p){case"createLogger":this.createLogger(t.URI.revive(h[0]),h[1]);return;case"log":return this.log(t.URI.revive(h[0]),h[1]);case"consoleLog":return this.consoleLog(h[0],h[1])}throw new Error(`Call not found: ${p}`)}createLogger(b,p){this.loggers.set(b.toString(),this.loggerService.createLogger(b,p))}consoleLog(b,p){let h=console.log;switch(b){case D.LogLevel.Error:h=console.error;break;case D.LogLevel.Warning:h=console.warn;break;case D.LogLevel.Info:h=console.info;break}h.call(console,...p)}log(b,p){const h=this.loggers.get(b.toString());if(!h)throw new Error("Create the logger before logging");for(const[y,v]of p)(0,D.log)(h,y,v)}}e.LoggerChannel=I;class g extends D.AbstractLoggerService{constructor(b,p,h){super(b,p);this.channel=h}createConsoleMainLogger(){return new D.AdapterLogger({log:(b,p)=>{this.channel.call("consoleLog",[b,p])}})}doCreateLogger(b,p,h){return new S(this.channel,b,p,h)}}e.LoggerChannelClient=g;class S extends D.AbstractMessageLogger{constructor(b,p,h,y){super(y?.always);this.channel=b,this.file=p,this.isLoggerCreated=!1,this.buffer=[],this.setLevel(h),this.channel.call("createLogger",[p,y]).then(()=>{this.doLog(this.buffer),this.isLoggerCreated=!0})}log(b,p){const h=[[b,p]];this.isLoggerCreated?this.doLog(h):this.buffer.push(...h)}doLog(b){this.channel.call("log",[this.file,b])}}class C extends D.LogService{constructor(b,p){super(p);this.parent=b,this._register(b.onDidChangeLogLevel(h=>p.setLevel(h)))}setLevel(b){super.setLevel(b),this.parent.setLevel(b)}}e.FollowerLogService=C}),define(J[104],Z([0,1,16,6]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function D(I,g,S,C,P){try{const b=await new Promise((h,y)=>{$(["spdlog"],h,y)});b.setFlushOn(t.LogLevel.Trace);const p=await b.createAsyncRotatingLogger(I,g,S,C);return P&&p.clearFormatters(),p}catch(b){console.error(b)}return null}function R(I,g,S){switch(g){case t.LogLevel.Trace:I.trace(S);break;case t.LogLevel.Debug:I.debug(S);break;case t.LogLevel.Info:I.info(S);break;case t.LogLevel.Warning:I.warn(S);break;case t.LogLevel.Error:I.error(S);break;case t.LogLevel.Critical:I.critical(S);break;default:throw new Error("Invalid log level")}}class M extends t.AbstractMessageLogger{constructor(g,S,C,P,b){super();this.buffer=[],this.setLevel(b),this._loggerCreationPromise=this._createSpdLogLogger(g,S,C,P),this._register(this.onDidChangeLogLevel(p=>{this._logger?.setLevel(p)}))}async _createSpdLogLogger(g,S,C,P){const b=C?6:1,p=30/b*E.ByteSize.MB,h=await D(g,S,p,b,P);if(h){this._logger=h,this._logger.setLevel(this.getLevel());for(const{level:y,message:v}of this.buffer)R(this._logger,y,v);this.buffer=[]}}log(g,S){this._logger?R(this._logger,g,S):this.getLevel()<=g&&this.buffer.push({level:g,message:S})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=M}),define(J[198],Z([0,1,12,15,30,16,196,6,104]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let S=class extends I.AbstractLoggerService{constructor(P,b){super(P.getLevel(),P.onDidChangeLogLevel);this.fileService=b}doCreateLogger(P,b,p){return P.scheme===E.Schemas.file?new g.SpdLogLogger(p?.name||(0,D.generateUuid)(),P.fsPath,!p?.donotRotate,!!p?.donotUseFormatters,b):new M.FileLogger(p?.name??(0,t.basename)(P),P,b,!!p?.donotUseFormatters,this.fileService)}};S=de([ee(0,I.ILogService),ee(1,R.IFileService)],S),e.LoggerService=S}),define(J[199],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemRecentAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function E(M){return M.submenu!==void 0}e.isMenubarMenuItemSubmenu=E;function t(M){return M.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=t;function D(M){return M.uri!==void 0}e.isMenubarMenuItemRecentAction=D;function R(M){return!E(M)&&!t(M)&&!D(M)}e.isMenubarMenuItemAction=R}),define(J[37],Z([0,1,3,53,2,5]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullPolicyService=e.AbstractPolicyService=e.IPolicyService=void 0,e.IPolicyService=(0,R.createDecorator)("policy");class M extends D.Disposable{constructor(){super(...arguments);this.policyDefinitions={},this.policies=new Map,this._onDidChange=this._register(new E.Emitter),this.onDidChange=this._onDidChange.event}async registerPolicyDefinitions(S){const C=Object.keys(this.policyDefinitions).length;return this.policyDefinitions={...S,...this.policyDefinitions},C!==Object.keys(this.policyDefinitions).length&&await this.initializePolicies(S),t.Iterable.reduce(this.policies.entries(),(P,[b,p])=>({...P,[b]:p}),{})}getPolicyValue(S){return this.policies.get(S)}serialize(){return t.Iterable.reduce(Object.entries(this.policyDefinitions),(S,[C,P])=>({...S,[C]:{definition:P,value:this.policies.get(C)}}),{})}}e.AbstractPolicyService=M;class I{constructor(){this.onDidChange=E.Event.None}async registerPolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.NullPolicyService=I}),define(J[200],Z([0,1,8,3,53,13,16,6,37]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FilePolicyService=void 0;function S(P,b){const p=[];for(const h of D.Iterable.concat(P.keys(),b.keys()))P.get(h)!==b.get(h)&&p.push(h);return p}let C=class extends g.AbstractPolicyService{constructor(b,p,h){super();this.file=b,this.fileService=p,this.logService=h,this.throttledDelayer=this._register(new E.ThrottledDelayer(500));const y=t.Event.filter(p.onDidFilesChange,v=>v.affects(b));this._register(p.watch(b)),this._register(y(()=>this.throttledDelayer.trigger(()=>this.refresh())))}async initializePolicies(b){await this.refresh()}async read(){const b=new Map;try{const p=await this.fileService.readFile(this.file),h=JSON.parse(p.value.toString());if(!(0,R.isObject)(h))throw new Error("Policy file isn't a JSON object");for(const y of Object.keys(h))this.policyDefinitions[y]&&b.set(y,h[y])}catch(p){p.fileOperationResult!==1&&this.logService.error("[FilePolicyService] Failed to read policies",p)}return b}async refresh(){const b=await this.read(),p=S(this.policies,b);this.policies=b,p.length>0&&this._onDidChange.fire(p)}};C=de([ee(1,M.IFileService),ee(2,I.ILogService)],C),e.FilePolicyService=C}),define(J[201],Z([0,1,3,2,37]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyChannelClient=e.PolicyChannel=void 0;class R{constructor(g){this.service=g,this.disposables=new t.DisposableStore}listen(g,S){switch(S){case"onDidChange":return E.Event.map(this.service.onDidChange,C=>C.reduce((P,b)=>({...P,[b]:this.service.getPolicyValue(b)??null}),{}),this.disposables)}throw new Error(`Event not found: ${S}`)}call(g,S,C){switch(S){case"registerPolicyDefinitions":return this.service.registerPolicyDefinitions(C)}throw new Error(`Call not found: ${S}`)}dispose(){this.disposables.dispose()}}e.PolicyChannel=R;class M extends D.AbstractPolicyService{constructor(g,S){super();this.channel=S;for(const C in g){const{definition:P,value:b}=g[C];this.policyDefinitions[C]=P,b!==void 0&&this.policies.set(C,b)}this.channel.listen("onDidChange")(C=>{for(const P in C){const b=C[P];b===null?this.policies.delete(P):this.policies.set(P,b)}this._onDidChange.fire(Object.keys(C))})}async initializePolicies(g){const S=await this.channel.call("registerPolicyDefinitions",g);for(const C in S)this.policies.set(C,S[C])}}e.PolicyChannelClient=M}),define(J[58],Z([0,1,12,4,36,15]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let M;if(typeof t.globals.vscode!="undefined"&&typeof t.globals.vscode.context!="undefined"){const I=t.globals.vscode.context.configuration();if(I)M=I.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(typeof $?.__$__nodeRequire=="function"){const I=(0,R.dirname)(E.FileAccess.asFileUri("",$));M=$.__$__nodeRequire((0,R.joinPath)(I,"product.json").fsPath);const g=$.__$__nodeRequire((0,R.joinPath)(I,"package.json").fsPath);D.env.VSCODE_DEV&&Object.assign(M,{nameShort:`${M.nameShort} Dev`,nameLong:`${M.nameLong} Dev`,dataFolderName:`${M.dataFolderName}-dev`,serverDataFolderName:M.serverDataFolderName?`${M.serverDataFolderName}-dev`:void 0}),Object.assign(M,{version:g.version})}else M={},Object.keys(M).length===0&&Object.assign(M,{version:"1.67.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=M}),define(J[20],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,E.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(J[202],Z([0,1,75,6,20]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let R=class{constructor(I,g){this.productService=I,this.logService=g,this.trustedExtensionUrlPublicKeys=new Map}async isExtensionUrlTrusted(I,g){if(!this.productService.trustedExtensionUrlPublicKeys)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const S=/^(.*)#([^#]+)$/.exec(g);if(!S)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",g),!1;const[,C,P]=S;let b=this.trustedExtensionUrlPublicKeys.get(I);if(!b){if(b=this.productService.trustedExtensionUrlPublicKeys[I],!b||b.length===0)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",I),!1;this.trustedExtensionUrlPublicKeys.set(I,[...b])}const p=Buffer.from(decodeURIComponent(P),"base64");if(p.length<=6)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",g),!1;const h=p.slice(0,6),y=p.readUIntBE(0,6),v=Date.now()-y;if(v<0||v>36e5)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",g),!1;const w=p.slice(6),m=E.createVerify("SHA256");m.write(h),m.write(Buffer.from(C)),m.end();for(let d=0;d<b.length;d++){let u=b[d];if(u!==null){if(typeof u=="string")try{u=E.createPublicKey({key:Buffer.from(u,"base64"),format:"der",type:"spki"}),b[d]=u}catch(l){this.logService.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${d+1} for ${I}:`,l),b[d]=null;continue}if(m.verify(u,w))return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",g),!0}}return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",g),!1}};R=de([ee(0,D.IProductService),ee(1,t.ILogService)],R),e.ExtensionUrlTrustService=R}),define(J[59],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProtocolMainService=void 0,e.IProtocolMainService=(0,E.createDecorator)("protocolMainService")}),define(J[44],Z([0,1,115,13]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class D{constructor(){this.data=new Map}add(M,I){E.ok(t.isString(M)),E.ok(t.isObject(I)),E.ok(!this.data.has(M),"There is already an extension with this id"),this.data.set(M,I)}knows(M){return this.data.has(M)}as(M){return this.data.get(M)||null}}e.Registry=new D}),define(J[203],Z([0,1,3,44]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function D(I){return I.length>0&&I.charAt(I.length-1)==="#"?I.substring(0,I.length-1):I}class R{constructor(){this._onDidChangeSchema=new E.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(g,S){this.schemasById[D(g)]=S,this._onDidChangeSchema.fire(g)}notifySchemaChanged(g){this._onDidChangeSchema.fire(g)}getSchemaContributions(){return{schemas:this.schemasById}}}const M=new R;t.Registry.add(e.Extensions.JSONContribution,M)}),define(J[60],Z([0,1,25,3,13,146,17,203,44]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var S;(function(l){l.Multiline="multilineText",l.Singleline="singlelineText"})(S=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var C;(function(l){l[l.APPLICATION=1]="APPLICATION",l[l.MACHINE=2]="MACHINE",l[l.WINDOW=3]="WINDOW",l[l.RESOURCE=4]="RESOURCE",l[l.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",l[l.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(C=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const P=g.Registry.as(I.Extensions.JSONContribution);class b{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new t.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new t.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:R.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(n,r=!0){this.registerConfigurations([n],r)}registerConfigurations(n,r=!0){const i=this.doRegisterConfigurations(n,r);P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:i})}deregisterConfigurations(n){const r=this.doDeregisterConfigurations(n);P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r})}updateConfigurations({add:n,remove:r}){const i=[];i.push(...this.doDeregisterConfigurations(r)),i.push(...this.doRegisterConfigurations(n,!1)),P.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,E.distinct)(i)})}registerDefaultConfigurations(n){const r=[],i=[];for(const{overrides:s,source:o}of n)for(const a in s)if(r.push(a),e.OVERRIDE_PROPERTY_REGEX.test(a)){const c=this.configurationDefaultsOverrides.get(a),f=c?.valuesSources??new Map;if(o)for(const U of Object.keys(s[a]))f.set(U,o);const k={...c?.value||{},...s[a]};this.configurationDefaultsOverrides.set(a,{source:o,value:k,valuesSources:f});const L=(0,M.getLanguageTagSettingPlainKey)(a),T={type:"object",default:k,description:R.localize(1,null,L),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:k,source:D.isString(o)?void 0:o,defaultValueSource:o};i.push(...y(a)),this.configurationProperties[a]=T,this.defaultLanguageConfigurationOverridesNode.properties[a]=T}else{this.configurationDefaultsOverrides.set(a,{value:s[a],source:o});const c=this.configurationProperties[a];c&&(this.updatePropertyDefaultValue(a,c),this.updateSchema(a,c))}this.registerOverrideIdentifiers(i),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}deregisterDefaultConfigurations(n){const r=[];for(const{overrides:i,source:s}of n)for(const o in i){const a=this.configurationDefaultsOverrides.get(o),c=D.isString(s)?s:s?.id,f=D.isString(a?.source)?a?.source:a?.source?.id;if(c===f)if(r.push(o),this.configurationDefaultsOverrides.delete(o),e.OVERRIDE_PROPERTY_REGEX.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const k=this.configurationProperties[o];k&&(this.updatePropertyDefaultValue(o,k),this.updateSchema(o,k))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:r,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...n){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(n){for(const r of n)this.overrideIdentifiers.add(r);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(n,r){const i=[];return n.forEach(s=>{i.push(...this.validateAndRegisterProperties(s,r,s.extensionInfo,s.restrictedProperties)),this.configurationContributors.push(s),this.registerJSONConfiguration(s)}),i}doDeregisterConfigurations(n){const r=[],i=s=>{if(s.properties)for(const o in s.properties){r.push(o);const a=this.configurationProperties[o];a?.policy?.name&&this.policyConfigurations.delete(a.policy.name),delete this.configurationProperties[o],this.removeFromSchema(o,s.properties[o])}s.allOf?.forEach(o=>i(o))};for(const s of n){i(s);const o=this.configurationContributors.indexOf(s);o!==-1&&this.configurationContributors.splice(o,1)}return r}validateAndRegisterProperties(n,r=!0,i,s,o=3){o=D.isUndefinedOrNull(n.scope)?o:n.scope;const a=[],c=n.properties;if(c)for(const k in c){const L=c[k];if(r&&d(k,L)){delete c[k];continue}if(L.source=i,L.defaultDefaultValue=c[k].default,this.updatePropertyDefaultValue(k,L),e.OVERRIDE_PROPERTY_REGEX.test(k)?L.scope=void 0:(L.scope=D.isUndefinedOrNull(L.scope)?o:L.scope,L.restricted=D.isUndefinedOrNull(L.restricted)?!!s?.includes(k):L.restricted),c[k].hasOwnProperty("included")&&!c[k].included){this.excludedConfigurationProperties[k]=c[k],delete c[k];continue}else this.configurationProperties[k]=c[k],c[k].policy?.name&&this.policyConfigurations.set(c[k].policy.name,k);!c[k].deprecationMessage&&c[k].markdownDeprecationMessage&&(c[k].deprecationMessage=c[k].markdownDeprecationMessage),a.push(k)}const f=n.allOf;if(f)for(const k of f)a.push(...this.validateAndRegisterProperties(k,r,i,s,o));return a}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(n){const r=i=>{const s=i.properties;if(s)for(const a in s)this.updateSchema(a,s[a]);i.allOf?.forEach(r)};r(n)}updateSchema(n,r){switch(e.allSettings.properties[n]=r,r.scope){case 1:e.applicationSettings.properties[n]=r;break;case 2:e.machineSettings.properties[n]=r;break;case 6:e.machineOverridableSettings.properties[n]=r;break;case 3:e.windowSettings.properties[n]=r;break;case 4:e.resourceSettings.properties[n]=r;break;case 5:e.resourceSettings.properties[n]=r,this.resourceLanguageSettingsSchema.properties[n]=r;break}}removeFromSchema(n,r){switch(delete e.allSettings.properties[n],r.scope){case 1:delete e.applicationSettings.properties[n];break;case 2:delete e.machineSettings.properties[n];break;case 6:delete e.machineOverridableSettings.properties[n];break;case 3:delete e.windowSettings.properties[n];break;case 4:case 5:delete e.resourceSettings.properties[n],delete this.resourceLanguageSettingsSchema.properties[n];break}}updateOverridePropertyPatternKey(){for(const n of this.overrideIdentifiers.values()){const r=`[${n}]`,i={type:"object",description:R.localize(2,null),errorMessage:R.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(r,i),e.allSettings.properties[r]=i,e.applicationSettings.properties[r]=i,e.machineSettings.properties[r]=i,e.machineOverridableSettings.properties[r]=i,e.windowSettings.properties[r]=i,e.resourceSettings.properties[r]=i}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const n={type:"object",description:R.localize(4,null),errorMessage:R.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=n,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(n,r){const i=this.configurationDefaultsOverrides.get(n);let s=i?.value,o=i?.source;D.isUndefined(s)&&(s=r.defaultDefaultValue,o=void 0),D.isUndefined(s)&&(s=w(r.type)),r.default=s,r.defaultValueSource=o}}const p="\\[([^\\]]+)\\]",h=new RegExp(p,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${p})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function y(l){const n=[];if(e.OVERRIDE_PROPERTY_REGEX.test(l)){let r=h.exec(l);for(;r?.length;){const i=r[1].trim();i&&n.push(i),r=h.exec(l)}}return(0,E.distinct)(n)}e.overrideIdentifiersFromKey=y;function v(l){return l.reduce((n,r)=>`${n}[${r}]`,"")}e.keyFromOverrideIdentifiers=v;function w(l){switch(Array.isArray(l)?l[0]:l){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=w;const m=new b;g.Registry.add(e.Extensions.Configuration,m);function d(l,n){return l.trim()?e.OVERRIDE_PROPERTY_REGEX.test(l)?R.localize(7,null,l):m.getConfigurationProperties()[l]!==void 0?R.localize(8,null,l):n.policy?.name&&m.getPolicyConfigurations().get(n.policy?.name)!==void 0?R.localize(9,null,l,n.policy?.name,m.getPolicyConfigurations().get(n.policy?.name)):null:R.localize(6,null)}e.validateProperty=d;function u(){const l=[],n=m.getConfigurationProperties();for(const r of Object.keys(n))l.push([r,n[r].scope]);return l.push(["launch",4]),l.push(["task",4]),l}e.getScopes=u}),define(J[105],Z([0,1,25,3,49,2,33,50,13,7,17,60,44]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class p{constructor(r={},i=[],s=[]){this._contents=r,this._keys=i,this._overrides=s,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(r){return r?(0,C.getConfigurationValue)(this.contents,r):this.contents}getOverrideValue(r,i){const s=this.getContentsForOverrideIdentifer(i);return s?r?(0,C.getConfigurationValue)(s,r):s:void 0}getKeysForOverrideIdentifier(r){const i=[];for(const s of this.overrides)s.identifiers.includes(r)&&i.push(...s.keys);return E.distinct(i)}getAllOverrideIdentifiers(){const r=[];for(const i of this.overrides)r.push(...i.identifiers);return E.distinct(r)}override(r){let i=this.overrideConfigurations.get(r);return i||(i=this.createOverrideConfigurationModel(r),this.overrideConfigurations.set(r,i)),i}merge(...r){const i=I.deepClone(this.contents),s=I.deepClone(this.overrides),o=[...this.keys];for(const a of r)if(!a.isEmpty()){this.mergeContents(i,a.contents);for(const c of a.overrides){const[f]=s.filter(k=>E.equals(k.identifiers,c.identifiers));f?(this.mergeContents(f.contents,c.contents),f.keys.push(...c.keys),f.keys=E.distinct(f.keys)):s.push(I.deepClone(c))}for(const c of a.keys)o.indexOf(c)===-1&&o.push(c)}return new p(i,o,s)}freeze(){return this.frozen=!0,this}clone(){return new p(I.deepClone(this.contents),[...this.keys],I.deepClone(this.overrides))}createOverrideConfigurationModel(r){const i=this.getContentsForOverrideIdentifer(r);if(!i||typeof i!="object"||!Object.keys(i).length)return this;const s={};for(const o of E.distinct([...Object.keys(this.contents),...Object.keys(i)])){let a=this.contents[o];const c=i[o];c&&(typeof a=="object"&&typeof c=="object"?(a=I.deepClone(a),this.mergeContents(a,c)):a=c),s[o]=a}return new p(s,this.keys,this.overrides)}mergeContents(r,i){for(const s of Object.keys(i)){if(s in r&&g.isObject(r[s])&&g.isObject(i[s])){this.mergeContents(r[s],i[s]);continue}r[s]=I.deepClone(i[s])}}checkAndFreeze(r){return this.frozen&&!Object.isFrozen(r)?I.deepFreeze(r):r}getContentsForOverrideIdentifer(r){let i=null,s=null;const o=a=>{a&&(s?this.mergeContents(s,a):s=I.deepClone(a))};for(const a of this.overrides)E.equals(a.identifiers,[r])?i=a.contents:a.identifiers.includes(r)&&o(a.contents);return o(i),s}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(r,i){this.addKey(r),(0,C.addToValueTree)(this.contents,r,i,s=>{throw new Error(s)})}removeValue(r){this.removeKey(r)&&(0,C.removeFromValueTree)(this.contents,r)}addKey(r){let i=this.keys.length;for(let s=0;s<i;s++)r.indexOf(this.keys[s])===0&&(i=s);this.keys.splice(i,1,r)}removeKey(r){const i=this.keys.indexOf(r);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=p;class h{constructor(r){this._name=r,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new p}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(r,i){if(!g.isUndefinedOrNull(r)){const s=this.doParseContent(r);this.parseRaw(s,i)}}reparse(r){this._raw&&this.parseRaw(this._raw,r)}parseRaw(r,i){this._raw=r;const{contents:s,keys:o,overrides:a,restricted:c}=this.doParseRaw(r,i);this._configurationModel=new p(s,o,a),this._restrictedConfigurations=c||[]}doParseContent(r){let i={},s=null,o=[];const a=[],c=[];function f(L){Array.isArray(o)?o.push(L):s!==null&&(o[s]=L)}const k={onObjectBegin:()=>{const L={};f(L),a.push(o),o=L,s=null},onObjectProperty:L=>{s=L},onObjectEnd:()=>{o=a.pop()},onArrayBegin:()=>{const L=[];f(L),a.push(o),o=L,s=null},onArrayEnd:()=>{o=a.pop()},onLiteralValue:f,onError:(L,T,U)=>{c.push({error:L,offset:T,length:U})}};if(r)try{D.visit(r,k),i=o[0]||{}}catch(L){console.error(`Error while parsing settings file ${this._name}: ${L}`),this._parseErrors=[L]}return i}doParseRaw(r,i){const s=b.Registry.as(P.Extensions.Configuration).getConfigurationProperties(),o=this.filter(r,s,!0,i);r=o.raw;const a=(0,C.toValuesTree)(r,k=>console.error(`Conflict in settings file ${this._name}: ${k}`)),c=Object.keys(r),f=this.toOverrides(r,k=>console.error(`Conflict in settings file ${this._name}: ${k}`));return{contents:a,keys:c,overrides:f,restricted:o.restricted}}filter(r,i,s,o){if(!o?.scopes&&!o?.skipRestricted)return{raw:r,restricted:[]};const a={},c=[];for(const f in r)if(P.OVERRIDE_PROPERTY_REGEX.test(f)&&s){const k=this.filter(r[f],i,!1,o);a[f]=k.raw,c.push(...k.restricted)}else{const k=i[f],L=k?typeof k.scope!="undefined"?k.scope:3:void 0;k?.restricted&&c.push(f),(L===void 0||o.scopes===void 0||o.scopes.includes(L))&&(o.skipRestricted&&k?.restricted||(a[f]=r[f]))}return{raw:a,restricted:c}}toOverrides(r,i){const s=[];for(const o of Object.keys(r))if(P.OVERRIDE_PROPERTY_REGEX.test(o)){const a={};for(const c in r[o])a[c]=r[o][c];s.push({identifiers:(0,P.overrideIdentifiersFromKey)(o),keys:Object.keys(a),contents:(0,C.toValuesTree)(a,i)})}return s}}e.ConfigurationModelParser=h;class y extends R.Disposable{constructor(r,i,s,o){super();this.userSettingsResource=r,this.scopes=i,this.fileService=o,this._onDidChange=this._register(new t.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new h(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(t.Event.any(t.Event.filter(this.fileService.onDidFilesChange,a=>a.contains(this.userSettingsResource)),t.Event.filter(this.fileService.onDidRunOperation,a=>(a.isOperation(0)||a.isOperation(3)||a.isOperation(1)||a.isOperation(4))&&s.isEqual(a.resource,r)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const r=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(r.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new p}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=y;class v{constructor(r,i,s,o,a=new p,c=new p,f=new M.ResourceMap,k=new p,L=new M.ResourceMap,T=!0){this._defaultConfiguration=r,this._policyConfiguration=i,this._applicationConfiguration=s,this._localUserConfiguration=o,this._remoteUserConfiguration=a,this._workspaceConfiguration=c,this._folderConfigurations=f,this._memoryConfiguration=k,this._memoryConfigurationByResource=L,this._freeze=T,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new M.ResourceMap,this._userConfiguration=null}getValue(r,i,s){return this.getConsolidatedConfigurationModel(r,i,s).getValue(r)}updateValue(r,i,s={}){let o;s.resource?(o=this._memoryConfigurationByResource.get(s.resource),o||(o=new p,this._memoryConfigurationByResource.set(s.resource,o))):o=this._memoryConfiguration,i===void 0?o.removeValue(r):o.setValue(r,i),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(r,i,s){const o=this.getConsolidatedConfigurationModel(r,i,s),a=this.getFolderConfigurationModelForResource(i.resource,s),c=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,f=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this._defaultConfiguration.freeze().getValue(r),k=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(r),L=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(r),T=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.userConfiguration.freeze().getValue(r),U=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.localUserConfiguration.freeze().getValue(r),G=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this.remoteUserConfiguration.freeze().getValue(r),ie=s?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(r):this._workspaceConfiguration.freeze().getValue(r):void 0,ne=a?i.overrideIdentifier?a.freeze().override(i.overrideIdentifier).getValue(r):a.freeze().getValue(r):void 0,Y=i.overrideIdentifier?c.override(i.overrideIdentifier).getValue(r):c.getValue(r),ae=o.getValue(r),ce=E.distinct(o.overrides.map(H=>H.identifiers).flat()).filter(H=>o.getOverrideValue(r,H)!==void 0);return{defaultValue:f,policyValue:k,applicationValue:L,userValue:T,userLocalValue:U,userRemoteValue:G,workspaceValue:ie,workspaceFolderValue:ne,memoryValue:Y,value:ae,default:f!==void 0?{value:this._defaultConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,policy:k!==void 0?{value:k}:void 0,application:L!==void 0?{value:L,override:i.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,user:T!==void 0?{value:this.userConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,userLocal:U!==void 0?{value:this.localUserConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,userRemote:G!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,workspace:ie!==void 0?{value:this._workspaceConfiguration.freeze().getValue(r),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,workspaceFolder:ne!==void 0?{value:a?.freeze().getValue(r),override:i.overrideIdentifier?a?.freeze().getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,memory:Y!==void 0?{value:c.getValue(r),override:i.overrideIdentifier?c.getOverrideValue(r,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:ce.length?ce:void 0}}keys(r){const i=this.getFolderConfigurationModelForResource(void 0,r);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(r){this._defaultConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(r){this._policyConfiguration=r}updateApplicationConfiguration(r){this._applicationConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(r){this._localUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(r){this._remoteUserConfiguration=r,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(r){this._workspaceConfiguration=r,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(r,i){this._folderConfigurations.set(r,i),this._foldersConsolidatedConfigurations.delete(r)}deleteFolderConfiguration(r){this.folderConfigurations.delete(r),this._foldersConsolidatedConfigurations.delete(r)}compareAndUpdateDefaultConfiguration(r,i){const s=[];if(!i){const{added:o,updated:a,removed:c}=u(this._defaultConfiguration,r);i=[...o,...a,...c]}for(const o of i)for(const a of(0,P.overrideIdentifiersFromKey)(o)){const c=this._defaultConfiguration.getKeysForOverrideIdentifier(a),f=r.getKeysForOverrideIdentifier(a),k=[...f.filter(L=>c.indexOf(L)===-1),...c.filter(L=>f.indexOf(L)===-1),...c.filter(L=>!I.equals(this._defaultConfiguration.override(a).getValue(L),r.override(a).getValue(L)))];s.push([a,k])}return this.updateDefaultConfiguration(r),{keys:i,overrides:s}}compareAndUpdatePolicyConfiguration(r){const{added:i,updated:s,removed:o}=u(this._policyConfiguration,r),a=[...i,...s,...o];return a.length&&this.updatePolicyConfiguration(r),{keys:a,overrides:[]}}compareAndUpdateApplicationConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=u(this.applicationConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateApplicationConfiguration(r),{keys:c,overrides:a}}compareAndUpdateLocalUserConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=u(this.localUserConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateLocalUserConfiguration(r),{keys:c,overrides:a}}compareAndUpdateRemoteUserConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=u(this.remoteUserConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateRemoteUserConfiguration(r),{keys:c,overrides:a}}compareAndUpdateWorkspaceConfiguration(r){const{added:i,updated:s,removed:o,overrides:a}=u(this.workspaceConfiguration,r),c=[...i,...s,...o];return c.length&&this.updateWorkspaceConfiguration(r),{keys:c,overrides:a}}compareAndUpdateFolderConfiguration(r,i){const s=this.folderConfigurations.get(r),{added:o,updated:a,removed:c,overrides:f}=u(s,i),k=[...o,...a,...c];return(k.length||!s)&&this.updateFolderConfiguration(r,i),{keys:k,overrides:f}}compareAndDeleteFolderConfiguration(r){const i=this.folderConfigurations.get(r);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:s,updated:o,removed:a,overrides:c}=u(i,void 0);return{keys:[...s,...o,...a],overrides:c}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(r,i,s){let o=this.getConsolidatedConfigurationModelForResource(i,s);return i.overrideIdentifier&&(o=o.override(i.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(r)!==void 0&&(o=o.merge(this._policyConfiguration)),o}getConsolidatedConfigurationModelForResource({resource:r},i){let s=this.getWorkspaceConsolidatedConfiguration();if(i&&r){const o=i.getFolder(r);o&&(s=this.getFolderConsolidatedConfiguration(o.uri)||s);const a=this._memoryConfigurationByResource.get(r);a&&(s=s.merge(a))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(r){let i=this._foldersConsolidatedConfigurations.get(r);if(!i){const s=this.getWorkspaceConsolidatedConfiguration(),o=this._folderConfigurations.get(r);o?(i=s.merge(o),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(r,i)):i=s}return i}getFolderConfigurationModelForResource(r,i){if(i&&r){const s=i.getFolder(r);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((r,i)=>{const{contents:s,overrides:o,keys:a}=this._folderConfigurations.get(i);return r.push([i,{contents:s,overrides:o,keys:a}]),r},[])}}allKeys(){const r=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>r.add(i)),this.userConfiguration.freeze().keys.forEach(i=>r.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(s=>r.add(s))),[...r.values()]}allOverrideIdentifiers(){const r=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>r.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(s=>r.add(s))),[...r.values()]}getAllKeysForOverrideIdentifier(r){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(r).forEach(s=>i.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(r).forEach(o=>i.add(o))),[...i.values()]}static parse(r){const i=this.parseConfigurationModel(r.defaults),s=this.parseConfigurationModel(r.policy),o=this.parseConfigurationModel(r.application),a=this.parseConfigurationModel(r.user),c=this.parseConfigurationModel(r.workspace),f=r.folders.reduce((k,L)=>(k.set(S.URI.revive(L[0]),this.parseConfigurationModel(L[1])),k),new M.ResourceMap);return new v(i,s,o,a,new p,c,f,new p,new M.ResourceMap,!1)}static parseConfigurationModel(r){return new p(r.contents,r.keys,r.overrides).freeze()}}e.Configuration=v;function w(...n){if(n.length===0)return{keys:[],overrides:[]};if(n.length===1)return n[0];const r=new Set,i=new Map;for(const o of n)o.keys.forEach(a=>r.add(a)),o.overrides.forEach(([a,c])=>{const f=(0,M.getOrSet)(i,a,new Set);c.forEach(k=>f.add(k))});const s=[];return i.forEach((o,a)=>s.push([a,[...o.values()]])),{keys:[...r.values()],overrides:s}}e.mergeChanges=w;class m{constructor(r,i,s,o){this.change=r,this.previous=i,this.currentConfiguraiton=s,this.currentWorkspace=o,this._previousConfiguration=void 0;const a=new Set;r.keys.forEach(f=>a.add(f)),r.overrides.forEach(([,f])=>f.forEach(k=>a.add(k))),this.affectedKeys=[...a.values()];const c=new p;this.affectedKeys.forEach(f=>c.setValue(f,{})),this.affectedKeysTree=c.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=v.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(r,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,r)){if(i){const s=this.previousConfiguration?this.previousConfiguration.getValue(r,i,this.previous?.workspace):void 0,o=this.currentConfiguraiton.getValue(r,i,this.currentWorkspace);return!I.equals(s,o)}return!0}return!1}doesAffectedKeysTreeContains(r,i){let s=(0,C.toValuesTree)({[i]:!0},()=>{}),o;for(;typeof s=="object"&&(o=Object.keys(s)[0]);){if(r=r[o],!r)return!1;s=s[o]}return!0}}e.ConfigurationChangeEvent=m;class d extends m{constructor(r,i,s,o){super({keys:r.allKeys(),overrides:[]},void 0,r,i);this.source=s,this.sourceConfig=o}}e.AllKeysConfigurationChangeEvent=d;function u(n,r){const{added:i,removed:s,updated:o}=l(r,n),a=[],c=n?.getAllOverrideIdentifiers()||[],f=r?.getAllOverrideIdentifiers()||[];if(r){const k=f.filter(L=>!c.includes(L));for(const L of k)a.push([L,r.getKeysForOverrideIdentifier(L)])}if(n){const k=c.filter(L=>!f.includes(L));for(const L of k)a.push([L,n.getKeysForOverrideIdentifier(L)])}if(r&&n){for(const k of c)if(f.includes(k)){const L=l({contents:n.getOverrideValue(void 0,k)||{},keys:n.getKeysForOverrideIdentifier(k)},{contents:r.getOverrideValue(void 0,k)||{},keys:r.getKeysForOverrideIdentifier(k)});a.push([k,[...L.added,...L.removed,...L.updated]])}}return{added:i,removed:s,updated:o,overrides:a}}function l(n,r){const i=n?r?n.keys.filter(a=>r.keys.indexOf(a)===-1):[...n.keys]:[],s=r?n?r.keys.filter(a=>n.keys.indexOf(a)===-1):[...r.keys]:[],o=[];if(n&&r){for(const a of r.keys)if(n.keys.indexOf(a)!==-1){const c=(0,C.getConfigurationValue)(r.contents,a),f=(0,C.getConfigurationValue)(n.contents,a);I.equals(c,f)||o.push(a)}}return{added:i,removed:s,updated:o}}}),define(J[204],Z([0,1,25,3,2,50,13,17,105,60,6,37,44]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyConfiguration=e.NullPolicyConfiguration=e.DefaultConfigurationModel=e.DefaultConfiguration=void 0;class p extends D.Disposable{constructor(){super(...arguments);this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event}get configurationModel(){return this._configurationModel||(this._configurationModel=new h(this.getConfigurationDefaultOverrides())),this._configurationModel}async initialize(){return this._configurationModel=void 0,this._register(b.Registry.as(S.Extensions.Configuration).onDidUpdateConfiguration(({properties:m,defaultsOverrides:d})=>this.onDidUpdateConfiguration(m,d))),this.configurationModel}reload(){return this._configurationModel=void 0,this.configurationModel}onDidUpdateConfiguration(m,d){this._configurationModel=void 0,this._onDidChangeConfiguration.fire({defaults:this.configurationModel,properties:m})}getConfigurationDefaultOverrides(){return{}}}e.DefaultConfiguration=p;class h extends g.ConfigurationModel{constructor(m={}){const d=b.Registry.as(S.Extensions.Configuration).getConfigurationProperties(),u=Object.keys(d),l=Object.create(null),n=[];for(const r in d){const i=m[r],s=i!==void 0?i:d[r].default;(0,I.addToValueTree)(l,r,s,o=>console.error(`Conflict in default settings: ${o}`))}for(const r of Object.keys(l))S.OVERRIDE_PROPERTY_REGEX.test(r)&&n.push({identifiers:(0,S.overrideIdentifiersFromKey)(r),keys:Object.keys(l[r]),contents:(0,I.toValuesTree)(l[r],i=>console.error(`Conflict in default settings file: ${i}`))});super(l,u,n)}}e.DefaultConfigurationModel=h;class y{constructor(){this.onDidChangeConfiguration=t.Event.None,this.configurationModel=new g.ConfigurationModel}async initialize(){return this.configurationModel}}e.NullPolicyConfiguration=y;let v=class extends D.Disposable{constructor(m,d,u){super();this.defaultConfiguration=m,this.policyService=d,this.logService=u,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configurationModel=new g.ConfigurationModel}get configurationModel(){return this._configurationModel}async initialize(){return this.update(await this.registerPolicyDefinitions(this.defaultConfiguration.configurationModel.keys),!1),this._register(this.policyService.onDidChange(m=>this.onDidChangePolicies(m))),this._register(this.defaultConfiguration.onDidChangeConfiguration(async({properties:m})=>this.update(await this.registerPolicyDefinitions(m),!0))),this._configurationModel}async registerPolicyDefinitions(m){const d={},u=[],l=b.Registry.as(S.Extensions.Configuration).getConfigurationProperties();for(const n of m){const r=l[n];if(!r){u.push(n);continue}if(r.policy){if(r.type!=="string"&&r.type!=="number"){this.logService.warn(`Policy ${r.policy.name} has unsupported type ${r.type}`);continue}u.push(n),d[r.policy.name]={type:r.type}}}return(0,M.isEmptyObject)(d)||await this.policyService.registerPolicyDefinitions(d),u}onDidChangePolicies(m){const d=b.Registry.as(S.Extensions.Configuration).getPolicyConfigurations(),u=(0,E.coalesce)(m.map(l=>d.get(l)));this.update(u,!0)}update(m,d){const u=b.Registry.as(S.Extensions.Configuration).getConfigurationProperties(),l=[],n=this._configurationModel.isEmpty();for(const r of m){const i=u[r]?.policy?.name;if(i){const s=this.policyService.getPolicyValue(i);(n?s!==void 0:!(0,R.equals)(this._configurationModel.getValue(r),s))&&l.push([r,s])}else this._configurationModel.getValue(r)!==void 0&&l.push([r,void 0])}if(l.length){const r=this._configurationModel;this._configurationModel=new g.ConfigurationModel;for(const i of r.keys)this._configurationModel.setValue(i,r.getValue(i));for(const[i,s]of l)s===void 0?this._configurationModel.removeValue(i):this._configurationModel.setValue(i,s);d&&this._onDidChangeConfiguration.fire(this._configurationModel)}}};v=de([ee(1,P.IPolicyService),ee(2,C.ILogService)],v),e.PolicyConfiguration=v}),define(J[205],Z([0,1,8,3,2,15,17,105,204,37]),function($,e,E,t,D,R,M,I,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class C extends D.Disposable{constructor(b,p,h,y){super();this.settingsResource=b,this._onDidChangeConfiguration=this._register(new t.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.defaultConfiguration=this._register(new g.DefaultConfiguration),this.policyConfiguration=h instanceof S.NullPolicyService?new g.NullPolicyConfiguration:this._register(new g.PolicyConfiguration(this.defaultConfiguration,h,y)),this.userConfiguration=this._register(new I.UserSettings(this.settingsResource,void 0,R.extUriBiasedIgnorePathCase,p)),this.configuration=new I.Configuration(this.defaultConfiguration.configurationModel,this.policyConfiguration.configurationModel,new I.ConfigurationModel,new I.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new E.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(this.defaultConfiguration.onDidChangeConfiguration(({defaults:v,properties:w})=>this.onDidDefaultConfigurationChange(v,w))),this._register(this.policyConfiguration.onDidChangeConfiguration(v=>this.onDidPolicyConfigurationChange(v))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const[b,p,h]=await Promise.all([this.defaultConfiguration.initialize(),this.policyConfiguration.initialize(),this.userConfiguration.loadConfiguration()]);this.configuration=new I.Configuration(b,p,new I.ConfigurationModel,h)}getConfigurationData(){return this.configuration.toData()}getValue(b,p){const h=typeof b=="string"?b:void 0,y=(0,M.isConfigurationOverrides)(b)?b:(0,M.isConfigurationOverrides)(p)?p:{};return this.configuration.getValue(h,y,void 0)}updateValue(b,p,h,y){return Promise.reject(new Error("not supported"))}inspect(b){return this.configuration.inspect(b,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const b=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(b)}onDidChangeUserConfiguration(b){const p=this.configuration.toData(),h=this.configuration.compareAndUpdateLocalUserConfiguration(b);this.trigger(h,p,1)}onDidDefaultConfigurationChange(b,p){const h=this.configuration.toData(),y=this.configuration.compareAndUpdateDefaultConfiguration(b,p);this.trigger(y,h,6)}onDidPolicyConfigurationChange(b){const p=this.configuration.toData(),h=this.configuration.compareAndUpdatePolicyConfiguration(b);this.trigger(h,p,6)}trigger(b,p,h){const y=new I.ConfigurationChangeEvent(b,{data:p},this.configuration);y.source=h,y.sourceConfig=this.getTargetConfiguration(h),this._onDidChangeConfiguration.fire(y)}getTargetConfiguration(b){switch(b){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=C}),define(J[206],Z([0,1,18,5]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=(0,t.createDecorator)("remoteAuthorityResolverService");var D;(function(M){M.Unknown="Unknown",M.NotAvailable="NotAvailable",M.TemporarilyNotAvailable="TemporarilyNotAvailable",M.NoResolverFound="NoResolverFound"})(D=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class R extends E.ErrorNoTelemetry{constructor(I,g=D.Unknown,S){super(I);this._message=I,this._code=g,this._detail=S,this.isHandled=g===D.NotAvailable&&S===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,R.prototype)}static isTemporarilyNotAvailable(I){return I instanceof R&&I._code===D.TemporarilyNotAvailable}static isNoResolverFound(I){return I instanceof R&&I._code===D.NoResolverFound}static isHandled(I){return I instanceof R&&I.isHandled}}e.RemoteAuthorityResolverError=R}),define(J[70],Z([0,1,12]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function t(S){return S.scheme===E.Schemas.vscodeRemote?S.authority:void 0}e.getRemoteAuthority=t;function D(S){if(!S)return;const C=S.indexOf("+");return C<0?S:S.substr(0,C)}e.getRemoteName=D;function R(S){return`/${S.quality??"oss"}-${S.commit??"dev"}`}e.getRemoteServerRootPath=R;function M(S){const{host:C,port:P}=g(S);if(typeof P=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:C,port:P}}e.parseAuthorityWithPort=M;function I(S,C){let{host:P,port:b}=g(S);return typeof b=="undefined"&&(b=C),{host:P,port:b}}e.parseAuthorityWithOptionalPort=I;function g(S){const C=S.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(C)return{host:C[1],port:parseInt(C[2],10)};const P=S.match(/^(\[[0-9a-z:]+\])$/);if(P)return{host:P[1],port:void 0};const b=S.match(/(.*):(\d+)$/);return b?{host:b[1],port:parseInt(b[2],10)}:{host:S,port:void 0}}}),define(J[207],Z([0,1,8,19,22,18,3,2,30,95,206,70]),function($,e,E,t,D,R,M,I,g,S,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.PersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const b=30*1e3;var p;(function(q){q[q.Management=1]="Management",q[q.ExtensionHost=2]="ExtensionHost",q[q.Tunnel=3]="Tunnel"})(p=e.ConnectionType||(e.ConnectionType={}));function h(q){switch(q){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function y(q){const Q=new D.CancellationTokenSource;return setTimeout(()=>Q.cancel(),q),Q.token}function v(q,Q){if(q.isCancellationRequested||Q.isCancellationRequested)return D.CancellationToken.Cancelled;const x=new D.CancellationTokenSource;return q.onCancellationRequested(()=>x.cancel()),Q.onCancellationRequested(()=>x.cancel()),x.token}class w{constructor(Q){this._state="pending",this._disposables=new I.DisposableStore,this.promise=new Promise((x,A)=>{this._resolvePromise=x,this._rejectPromise=A}),Q.isCancellationRequested?this._timeout():this._disposables.add(Q.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(Q){this._state==="pending"?this._disposables.add(Q):Q.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const Q=new Error("Time limit reached");return Q.code="ETIMEDOUT",Q.syscall="connect",Q}resolve(Q){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(Q))}reject(Q){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(Q))}}function m(q,Q){const x=new w(Q);return x.registerDisposable(q.onControlMessage(A=>{const O=JSON.parse(A.toString()),N=se(O);N?x.reject(N):x.resolve(O)})),x.promise}function d(q,Q,x,A,O,N,j,F){const z=new w(F);return Q.connect(x,A,O,N,j,(K,te)=>{z.didTimeout?(K&&q.error(K),te?.dispose()):K||!te?z.reject(K):z.resolve(te)}),z.promise}function u(q,Q){const x=new w(Q);return q.then(A=>{x.didTimeout||x.resolve(A)},A=>{x.didTimeout||x.reject(A)}),x.promise}async function l(q,Q,x,A){const O=B(q,Q);q.logService.trace(`${O} 1/6. invoking socketFactory.connect().`);let N;try{N=await d(q.logService,q.socketFactory,q.host,q.port,(0,P.getRemoteServerRootPath)(q),`reconnectionToken=${q.reconnectionToken}&reconnection=${q.reconnectionProtocol?"true":"false"}`,`renderer-${h(Q)}-${q.reconnectionToken}`,A)}catch(te){throw q.logService.error(`${O} socketFactory.connect() failed or timed out. Error:`),q.logService.error(te),te}q.logService.trace(`${O} 2/6. socketFactory.connect() was successful.`);let j,F;q.reconnectionProtocol?(q.reconnectionProtocol.beginAcceptReconnection(N,null),j=q.reconnectionProtocol,F=!1):(j=new S.PersistentProtocol(N,null),F=!0),q.logService.trace(`${O} 3/6. sending AuthRequest control message.`);const z=await u(q.signService.createNewMessage((0,g.generateUuid)()),A),K={type:"auth",auth:q.connectionToken||"00000000000000000000",data:z.data};j.sendControl(t.VSBuffer.fromString(JSON.stringify(K)));try{const te=await m(j,v(A,y(1e4)));if(te.type!=="sign"||typeof te.data!="string"){const Ie=new Error("Unexpected handshake message");throw Ie.code="VSCODE_CONNECTION_ERROR",Ie}if(q.logService.trace(`${O} 4/6. received SignRequest control message.`),!await u(q.signService.validate(z,te.signedData),A)){const Ie=new Error("Refused to connect to unsupported server");throw Ie.code="VSCODE_CONNECTION_ERROR",Ie}const we=await u(q.signService.sign(te.data),A),fe={type:"connectionType",commit:q.commit,signedData:we,desiredConnectionType:Q};return x&&(fe.args=x),q.logService.trace(`${O} 5/6. sending ConnectionTypeRequest control message.`),j.sendControl(t.VSBuffer.fromString(JSON.stringify(fe))),{protocol:j,ownsProtocol:F}}catch(te){throw te&&te.code==="ETIMEDOUT"&&(q.logService.error(`${O} the handshake timed out. Error:`),q.logService.error(te)),te&&te.code==="VSCODE_CONNECTION_ERROR"&&(q.logService.error(`${O} received error control message when negotiating connection. Error:`),q.logService.error(te)),F&&H(j),te}}async function n(q,Q,x,A){const O=Date.now(),N=B(q,Q),{protocol:j,ownsProtocol:F}=await l(q,Q,x,A),z=new w(A);return z.registerDisposable(j.onControlMessage(K=>{const te=JSON.parse(K.toString()),oe=se(te);oe?(q.logService.error(`${N} received error control message when negotiating connection. Error:`),q.logService.error(oe),F&&H(j),z.reject(oe)):(q.reconnectionProtocol&&q.reconnectionProtocol.endAcceptReconnection(),q.logService.trace(`${N} 6/6. handshake finished, connection is up and running after ${X(O)}!`),z.resolve({protocol:j,firstMessage:te}))})),z.promise}async function r(q,Q){const{protocol:x}=await n(q,1,void 0,Q);return{protocol:x}}async function i(q,Q,x){const{protocol:A,firstMessage:O}=await n(q,2,Q,x),N=O&&O.debugPort;return{protocol:A,debugPort:N}}async function s(q,Q,x){const A=Date.now(),O=B(q,3),{protocol:N}=await l(q,3,Q,x);return q.logService.trace(`${O} 6/6. handshake finished, connection is up and running after ${X(A)}!`),N}async function o(q,Q,x){const{host:A,port:O,connectionToken:N}=await q.addressProvider.getAddress();return{commit:q.commit,quality:q.quality,host:A,port:O,connectionToken:N,reconnectionToken:Q,reconnectionProtocol:x,socketFactory:q.socketFactory,signService:q.signService,logService:q.logService}}async function a(q,Q,x){try{const A=(0,g.generateUuid)(),O=await o(q,A,null),{protocol:N}=await r(O,D.CancellationToken.None);return new ae(q,Q,x,A,N)}catch(A){throw q.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),q.logService.error(A),Y.triggerPermanentFailure(0,0,C.RemoteAuthorityResolverError.isHandled(A)),A}}e.connectRemoteAgentManagement=a;async function c(q,Q){try{const x=(0,g.generateUuid)(),A=await o(q,x,null),{protocol:O,debugPort:N}=await i(A,Q,D.CancellationToken.None);return new ce(q,Q,x,O,N)}catch(x){throw q.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),q.logService.error(x),Y.triggerPermanentFailure(0,0,C.RemoteAuthorityResolverError.isHandled(x)),x}}e.connectRemoteAgentExtensionHost=c;async function f(q,Q,x){const A=await o(q,(0,g.generateUuid)(),null);return await s(A,{host:Q,port:x},D.CancellationToken.None)}e.connectRemoteAgentTunnel=f;function k(q){return(0,E.createCancelablePromise)(Q=>new Promise((x,A)=>{const O=setTimeout(x,q*1e3);Q.onCancellationRequested(()=>{clearTimeout(O),x()})}))}var L;(function(q){q[q.ConnectionLost=0]="ConnectionLost",q[q.ReconnectionWait=1]="ReconnectionWait",q[q.ReconnectionRunning=2]="ReconnectionRunning",q[q.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",q[q.ConnectionGain=4]="ConnectionGain"})(L=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class T{constructor(Q,x){this.reconnectionToken=Q,this.millisSinceLastIncomingData=x,this.type=0}}e.ConnectionLostEvent=T;class U{constructor(Q,x,A,O){this.reconnectionToken=Q,this.millisSinceLastIncomingData=x,this.durationSeconds=A,this.cancellableTimer=O,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=U;class G{constructor(Q,x,A){this.reconnectionToken=Q,this.millisSinceLastIncomingData=x,this.attempt=A,this.type=2}}e.ReconnectionRunningEvent=G;class ie{constructor(Q,x,A){this.reconnectionToken=Q,this.millisSinceLastIncomingData=x,this.attempt=A,this.type=4}}e.ConnectionGainEvent=ie;class ne{constructor(Q,x,A,O){this.reconnectionToken=Q,this.millisSinceLastIncomingData=x,this.attempt=A,this.handled=O,this.type=3}}e.ReconnectionPermanentFailureEvent=ne;class Y extends I.Disposable{constructor(Q,x,A,O,N){super();this._connectionType=Q,this._options=x,this.reconnectionToken=A,this.protocol=O,this._reconnectionFailureIsFatal=N,this._onDidStateChange=this._register(new M.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._permanentFailure=!1,this._isReconnecting=!1,this._onDidStateChange.fire(new ie(this.reconnectionToken,0,0)),this._register(O.onSocketClose(j=>{const F=_(this._connectionType,this.reconnectionToken,!0);j?j.type===0?(this._options.logService.info(`${F} received socket close event (hadError: ${j.hadError}).`),j.error&&this._options.logService.error(j.error)):(this._options.logService.info(`${F} received socket close event (wasClean: ${j.wasClean}, code: ${j.code}, reason: ${j.reason}).`),j.event&&this._options.logService.error(j.event)):this._options.logService.info(`${F} received socket close event.`),this._beginReconnecting()})),this._register(O.onSocketTimeout(()=>{const j=_(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${j} received socket timeout event.`),this._beginReconnecting()})),Y._instances.push(this),this._register((0,I.toDisposable)(()=>{const j=Y._instances.indexOf(this);j>=0&&Y._instances.splice(j,1)})),this._isPermanentFailure&&this._gotoPermanentFailure(Y._permanentFailureMillisSinceLastIncomingData,Y._permanentFailureAttempt,Y._permanentFailureHandled)}static triggerPermanentFailure(Q,x,A){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=Q,this._permanentFailureAttempt=x,this._permanentFailureHandled=A,this._instances.forEach(O=>O._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}static debugTriggerReconnection(){this._instances.forEach(Q=>Q._beginReconnecting())}static debugPauseSocketWriting(){this._instances.forEach(Q=>Q._pauseSocketWriting())}get _isPermanentFailure(){return this._permanentFailure||Y._permanentFailure}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(this._isPermanentFailure)return;const Q=_(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${Q} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new T(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const x=[0,5,5,10,10,10,10,10,30];let A=-1;do{A++;const O=A<x.length?x[A]:x[x.length-1];try{if(O>0){const j=k(O);this._onDidStateChange.fire(new U(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),O,j)),this._options.logService.info(`${Q} waiting for ${O} seconds before reconnecting...`);try{await j}catch{}}if(this._isPermanentFailure){this._options.logService.error(`${Q} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new G(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),A+1)),this._options.logService.info(`${Q} resolving connection...`);const N=await o(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${Q} connecting to ${N.host}:${N.port}...`),await this._reconnect(N,y(b)),this._options.logService.info(`${Q} reconnected!`),this._onDidStateChange.fire(new ie(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),A+1));break}catch(N){if(N.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${Q} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}if(A>360){this._options.logService.error(`${Q} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}if(C.RemoteAuthorityResolverError.isTemporarilyNotAvailable(N)){this._options.logService.info(`${Q} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if((N.code==="ETIMEDOUT"||N.code==="ENETUNREACH"||N.code==="ECONNREFUSED"||N.code==="ECONNRESET")&&N.syscall==="connect"){this._options.logService.info(`${Q} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if((0,R.isCancellationError)(N)){this._options.logService.info(`${Q} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(N);continue}if(N instanceof C.RemoteAuthorityResolverError){this._options.logService.error(`${Q} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,C.RemoteAuthorityResolverError.isHandled(N));break}this._options.logService.error(`${Q} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(N),this._onReconnectionPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),A+1,!1);break}}while(!this._isPermanentFailure)}_onReconnectionPermanentFailure(Q,x,A){this._reconnectionFailureIsFatal?Y.triggerPermanentFailure(Q,x,A):this._gotoPermanentFailure(Q,x,A)}_gotoPermanentFailure(Q,x,A){this._onDidStateChange.fire(new ne(this.reconnectionToken,Q,x,A)),H(this.protocol)}_pauseSocketWriting(){this.protocol.pauseSocketWriting()}}e.PersistentConnection=Y,Y._permanentFailure=!1,Y._permanentFailureMillisSinceLastIncomingData=0,Y._permanentFailureAttempt=0,Y._permanentFailureHandled=!1,Y._instances=[];class ae extends Y{constructor(Q,x,A,O,N){super(1,Q,O,N,!0);this.client=this._register(new S.Client(N,{remoteAuthority:x,clientId:A},Q.ipcLogger))}async _reconnect(Q,x){await r(Q,x)}}e.ManagementPersistentConnection=ae;class ce extends Y{constructor(Q,x,A,O,N){super(2,Q,A,O,!1);this._startArguments=x,this.debugPort=N}async _reconnect(Q,x){await i(Q,this._startArguments,x)}}e.ExtensionHostPersistentConnection=ce;function H(q){try{q.acceptDisconnect();const Q=q.getSocket();q.dispose(),Q.dispose()}catch(Q){(0,R.onUnexpectedError)(Q)}}function se(q){if(q&&q.type==="error"){const Q=new Error(`Connection error: ${q.reason}`);return Q.code="VSCODE_CONNECTION_ERROR",Q}return null}function W(q,Q){for(;q.length<Q;)q+=" ";return q}function _(q,Q,x){return`[remote-connection][${W(h(q),13)}][${Q.substr(0,5)}\u2026][${x?"reconnect":"initial"}]`}function B(q,Q){return`${_(Q,q.reconnectionToken,!!q.reconnectionProtocol)}[${q.host}:${q.port}]`}function X(q){return`${Date.now()-q} ms`}}),define(J[208],Z([0,1,76,81]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(D,R,M,I,g,S){const C=b=>S(b,void 0),P=E.createConnection({host:D,port:R},()=>{P.removeListener("error",C);const b=Buffer.alloc(16);for(let v=0;v<16;v++)b[v]=Math.round(Math.random()*256);const p=b.toString("base64"),h=[`GET ws://${/:/.test(D)?`[${D}]`:D}:${R}${M}?${I}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${p}`];P.write(h.join(`\r
`)+`\r
\r
`);const y=v=>{v.toString().indexOf(`\r
\r
`)>=0&&(P.off("data",y),S(void 0,new t.NodeSocket(P,g)))};P.on("data",y)});P.setNoDelay(!0),P.once("error",C)}}}),define(J[61],Z([0,1,19,160,60,5,44]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asTextOrError=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,R.createDecorator)("requestService");function I(y){return y.res.statusCode&&y.res.statusCode>=200&&y.res.statusCode<300||y.res.statusCode===1223}e.isSuccess=I;function g(y){return y.res.statusCode===204}async function S(y){return g(y)?null:(await(0,E.streamToBuffer)(y.stream)).toString()}e.asText=S;async function C(y){if(!I(y))throw new Error("Server returned "+y.res.statusCode);return S(y)}e.asTextOrError=C;async function P(y){if(!I(y))throw new Error("Server returned "+y.res.statusCode);if(g(y))return null;const w=(await(0,E.streamToBuffer)(y.stream)).toString();try{return JSON.parse(w)}catch(m){throw m.message+=`:
`+w,m}}e.asJson=P;function b(y){h(y)}e.updateProxyConfigurationsScope=b;let p;function h(y){const v=M.Registry.as(D.Extensions.Configuration),w=p;p={id:"http",order:15,title:(0,t.localize)(0,null),type:"object",scope:y,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,t.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,t.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,t.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,t.localize)(4,null),(0,t.localize)(5,null),(0,t.localize)(6,null),(0,t.localize)(7,null)],default:"override",description:(0,t.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,t.localize)(9,null),restricted:!0}}},v.updateConfigurations({add:[p],remove:w?[w]:[]})}h(2)}),define(J[209],Z([0,1,210,13]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function D(M,I){return M.protocol==="http:"?I.HTTP_PROXY||I.http_proxy||null:M.protocol==="https:"&&(I.HTTPS_PROXY||I.https_proxy||I.HTTP_PROXY||I.http_proxy)||null}async function R(M,I,g={}){const S=(0,E.parse)(M),C=g.proxyUrl||D(S,I);if(!C)return null;const P=(0,E.parse)(C);if(!/^https?:$/.test(P.protocol||""))return null;const b={host:P.hostname||"",port:P.port||(P.protocol==="https"?"443":"80"),auth:P.auth,rejectUnauthorized:(0,t.isBoolean)(g.strictSSL)?g.strictSSL:!0};return S.protocol==="http:"?new(await new Promise((p,h)=>{$(["http-proxy-agent"],p,h)}))(b):new(await new Promise((p,h)=>{$(["https-proxy-agent"],p,h)}))(b)}e.getProxyAgent=R}),define(J[106],Z([0,1,42,9,161,22,41,18,4,30,143,56,8]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const p=1e4;let h;async function y(w,m,d){return m["force-disable-user-env"]?(w.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):g.isWindows?(w.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,P.isLaunchedFromCli)(d)&&!m["force-user-env"]?(w.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,P.isLaunchedFromCli)(d)?w.trace("resolveShellEnv(): running (--force-user-env)"):w.trace("resolveShellEnv(): running (macOS/Linux)"),h||(h=b.Promises.withAsyncBody(async(u,l)=>{const n=new R.CancellationTokenSource,r=setTimeout(()=>{n.dispose(!0),l(new Error((0,D.localize)(0,null)))},p);try{u(await v(w,n.token))}catch(i){!(0,I.isCancellationError)(i)&&!n.token.isCancellationRequested?l(new Error((0,D.localize)(1,null,(0,M.toErrorMessage)(i)))):u({})}finally{clearTimeout(r),n.dispose()}})),h)}e.getResolvedShellEnv=y;async function v(w,m){const d=process.env.ELECTRON_RUN_AS_NODE;w.trace("getUnixShellEnvironment#runAsNode",d);const u=process.env.ELECTRON_NO_ATTACH_CONSOLE;w.trace("getUnixShellEnvironment#noAttach",u);const l=(0,S.generateUuid)().replace(/-/g,"").substr(0,12),n=new RegExp(l+"(.*)"+l),r={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};w.trace("getUnixShellEnvironment#env",r);const i=await(0,C.getSystemShell)(g.OS,r);return w.trace("getUnixShellEnvironment#shell",i),new Promise((s,o)=>{if(m.isCancellationRequested)return o((0,I.canceled)());const a=(0,t.basename)(i);let c,f;const k=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(a)?(c=`& '${process.execPath}' ${k} -p '''${l}'' + JSON.stringify(process.env) + ''${l}'''`,f=["-Login","-Command"]):(c=`'${process.execPath}' ${k} -p '"${l}" + JSON.stringify(process.env) + "${l}"'`,a==="tcsh"?f=["-ic"]:f=["-ilc"]),w.trace("getUnixShellEnvironment#spawn",JSON.stringify(f),c);const L=(0,E.spawn)(i,[...f,c],{detached:!0,stdio:["ignore","pipe","pipe"],env:r});m.onCancellationRequested(()=>(L.kill(),o((0,I.canceled)()))),L.on("error",G=>{w.error("getUnixShellEnvironment#errorChildProcess",(0,M.toErrorMessage)(G)),o(G)});const T=[];L.stdout.on("data",G=>T.push(G));const U=[];L.stderr.on("data",G=>U.push(G)),L.on("close",(G,ie)=>{const ne=Buffer.concat(T).toString("utf8");w.trace("getUnixShellEnvironment#raw",ne);const Y=Buffer.concat(U).toString("utf8");if(Y.trim()&&w.trace("getUnixShellEnvironment#stderr",Y),G||ie)return o(new Error((0,D.localize)(2,null,G,ie)));const ae=n.exec(ne),ce=ae?ae[1]:"{}";try{const H=JSON.parse(ce);d?H.ELECTRON_RUN_AS_NODE=d:delete H.ELECTRON_RUN_AS_NODE,u?H.ELECTRON_NO_ATTACH_CONSOLE=u:delete H.ELECTRON_NO_ATTACH_CONSOLE,delete H.XDG_RUNTIME_DIR,w.trace("getUnixShellEnvironment#result",H),s(H)}catch(H){w.error("getUnixShellEnvironment#errorCaught",(0,M.toErrorMessage)(H)),o(H)}})})}}),define(J[86],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=(0,E.createDecorator)(e.SIGN_SERVICE_ID)}),define(J[211],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class E{constructor(){this.validators=new Map}vsda(){return new Promise((D,R)=>$(["vsda"],D,R))}async createNewMessage(D){try{const R=await this.vsda(),M=new R.validator;if(M){const I=String(E._nextId++);return this.validators.set(I,M),{id:I,data:M.createNewMessage(D)}}}catch{}return{id:"",data:D}}async validate(D,R){if(!D.id)return!0;const M=this.validators.get(D.id);if(!M)return!1;this.validators.delete(D.id);try{return M.validate(R)==="ok"}catch{return!1}}async sign(D){try{const R=await this.vsda(),M=new R.signer;if(M)return M.sign(D)}catch{}return D}}e.SignService=E,E._nextId=1}),define(J[45],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateMainService=void 0,e.IStateMainService=(0,E.createDecorator)("stateMainService")}),define(J[21],Z([0,1,14,38,8,3,2,4,36,13,5,6,45]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.ShutdownReason=e.ILifecycleMainService=void 0,e.ILifecycleMainService=(0,C.createDecorator)("lifecycleMainService");var p;(function(v){v[v.QUIT=1]="QUIT",v[v.KILL=2]="KILL"})(p=e.ShutdownReason||(e.ShutdownReason={}));var h;(function(v){v[v.Starting=1]="Starting",v[v.Ready=2]="Ready",v[v.AfterWindowOpen=3]="AfterWindowOpen"})(h=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let y=class yt extends M.Disposable{constructor(w,m){super();this.logService=w,this.stateMainService=m,this._onBeforeShutdown=this._register(new R.Emitter),this.onBeforeShutdown=this._onBeforeShutdown.event,this._onWillShutdown=this._register(new R.Emitter),this.onWillShutdown=this._onWillShutdown.event,this._onWillLoadWindow=this._register(new R.Emitter),this.onWillLoadWindow=this._onWillLoadWindow.event,this._onBeforeCloseWindow=this._register(new R.Emitter),this.onBeforeCloseWindow=this._onBeforeCloseWindow.event,this._quitRequested=!1,this._wasRestarted=!1,this._phase=1,this.windowToCloseRequest=new Set,this.oneTimeListenerTokenGenerator=0,this.windowCounter=0,this.pendingQuitPromise=void 0,this.pendingQuitPromiseResolve=void 0,this.pendingWillShutdownPromise=void 0,this.mapWindowIdToPendingUnload=new Map,this.phaseWhen=new Map,this.resolveRestarted(),this.when(2).then(()=>this.registerListeners())}get quitRequested(){return this._quitRequested}get wasRestarted(){return this._wasRestarted}get phase(){return this._phase}resolveRestarted(){this._wasRestarted=!!this.stateMainService.getItem(yt.QUIT_AND_RESTART_KEY),this._wasRestarted&&this.stateMainService.removeItem(yt.QUIT_AND_RESTART_KEY)}registerListeners(){const w=()=>{this._quitRequested||(this.logService.trace("Lifecycle#app.on(before-quit)"),this._quitRequested=!0,this.logService.trace("Lifecycle#onBeforeShutdown.fire()"),this._onBeforeShutdown.fire(),I.isMacintosh&&this.windowCounter===0&&this.fireOnWillShutdown(1))};E.app.addListener("before-quit",w);const m=()=>{this.logService.trace("Lifecycle#app.on(window-all-closed)"),(this._quitRequested||!I.isMacintosh)&&E.app.quit()};E.app.addListener("window-all-closed",m),E.app.once("will-quit",d=>{this.logService.trace("Lifecycle#app.on(will-quit)"),d.preventDefault(),this.fireOnWillShutdown(1).finally(()=>{this.resolvePendingQuitPromise(!1),E.app.removeListener("before-quit",w),E.app.removeListener("window-all-closed",m),E.app.quit()})})}fireOnWillShutdown(w){if(this.pendingWillShutdownPromise)return this.pendingWillShutdownPromise;this.logService.trace("Lifecycle#onWillShutdown.fire()");const m=[];return this._onWillShutdown.fire({reason:w,join(d){m.push(d)}}),this.pendingWillShutdownPromise=(async()=>{try{await D.Promises.settled(m)}catch(d){this.logService.error(d)}try{await this.stateMainService.close()}catch(d){this.logService.error(d)}})(),this.pendingWillShutdownPromise}set phase(w){if(w<this.phase)throw new Error("Lifecycle cannot go backwards");if(this._phase===w)return;this.logService.trace(`lifecycle (main): phase changed (value: ${w})`),this._phase=w;const m=this.phaseWhen.get(this._phase);m&&(m.open(),this.phaseWhen.delete(this._phase))}async when(w){if(w<=this._phase)return;let m=this.phaseWhen.get(w);m||(m=new D.Barrier,this.phaseWhen.set(w,m)),await m.wait()}registerWindow(w){const m=new M.DisposableStore;this.windowCounter++,m.add(w.onWillLoad(u=>this._onWillLoadWindow.fire({window:w,workspace:u.workspace,reason:u.reason})));const d=(0,S.assertIsDefined)(w.win);d.on("close",u=>{const l=w.id;if(this.windowToCloseRequest.has(l)){this.windowToCloseRequest.delete(l);return}this.logService.trace(`Lifecycle#window.on('close') - window ID ${w.id}`),u.preventDefault(),this.unload(w,1).then(n=>{if(n){this.windowToCloseRequest.delete(l);return}this.windowToCloseRequest.add(l),this.logService.trace(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${l}`),this._onBeforeCloseWindow.fire(w),w.close()})}),d.on("closed",()=>{this.logService.trace(`Lifecycle#window.on('closed') - window ID ${w.id}`),this.windowCounter--,m.dispose(),this.windowCounter===0&&(!I.isMacintosh||this._quitRequested)&&this.fireOnWillShutdown(1)})}async reload(w,m){await this.unload(w,3)||w.reload(m)}unload(w,m){const d=this.mapWindowIdToPendingUnload.get(w.id);if(d)return d;const u=this.doUnload(w,m).finally(()=>{this.mapWindowIdToPendingUnload.delete(w.id)});return this.mapWindowIdToPendingUnload.set(w.id,u),u}async doUnload(w,m){if(!w.isReady)return!1;this.logService.trace(`Lifecycle#unload() - window ID ${w.id}`);const d=this._quitRequested?2:m,u=await this.onBeforeUnloadWindowInRenderer(w,d);return u?(this.logService.trace(`Lifecycle#unload() - veto in renderer (window ID ${w.id})`),this.handleWindowUnloadVeto(u)):(await this.onWillUnloadWindowInRenderer(w,d),!1)}handleWindowUnloadVeto(w){return w?(this.resolvePendingQuitPromise(!0),this._quitRequested=!1,!0):!1}resolvePendingQuitPromise(w){this.pendingQuitPromiseResolve&&(this.pendingQuitPromiseResolve(w),this.pendingQuitPromiseResolve=void 0,this.pendingQuitPromise=void 0)}onBeforeUnloadWindowInRenderer(w,m){return new Promise(d=>{const u=this.oneTimeListenerTokenGenerator++,l=`vscode:ok${u}`,n=`vscode:cancel${u}`;t.validatedIpcMain.once(l,()=>{d(!1)}),t.validatedIpcMain.once(n,()=>{d(!0)}),w.send("vscode:onBeforeUnload",{okChannel:l,cancelChannel:n,reason:m})})}onWillUnloadWindowInRenderer(w,m){return new Promise(d=>{const l=`vscode:reply${this.oneTimeListenerTokenGenerator++}`;t.validatedIpcMain.once(l,()=>d()),w.send("vscode:onWillUnload",{replyChannel:l,reason:m})})}quit(w){return this.pendingQuitPromise?this.pendingQuitPromise:(this.logService.trace(`Lifecycle#quit() - will restart: ${w}`),w&&this.stateMainService.setItem(yt.QUIT_AND_RESTART_KEY,!0),this.pendingQuitPromise=new Promise(m=>{this.pendingQuitPromiseResolve=m,this.logService.trace("Lifecycle#quit() - calling app.quit()"),E.app.quit()}),this.pendingQuitPromise)}async relaunch(w){this.logService.trace("Lifecycle#relaunch()");const m=process.argv.slice(1);if(w?.addArgs&&m.push(...w.addArgs),w?.removeArgs)for(const l of w.removeArgs){const n=m.indexOf(l);n>=0&&m.splice(n,1)}const d=()=>{try{if(I.isWindows){const l=(0,g.cwd)();l!==process.cwd()&&process.chdir(l)}}catch(l){this.logService.error(l)}this.logService.trace("Lifecycle#relaunch() - calling app.relaunch()"),E.app.relaunch({args:m})};E.app.once("quit",d),await this.quit(!0)&&E.app.removeListener("quit",d)}async kill(w){this.logService.trace("Lifecycle#kill()"),await this.fireOnWillShutdown(2),await Promise.race([(0,D.timeout)(1e3),(async()=>{for(const m of E.BrowserWindow.getAllWindows())if(m&&!m.isDestroyed()){let d;m.webContents&&!m.webContents.isDestroyed()?d=new Promise(u=>m.once("closed",u)):d=Promise.resolve(),m.destroy(),await d}})()]),E.app.exit(w)}};y.QUIT_AND_RESTART_KEY="lifecycle.quitAndRestart",y=de([ee(0,P.ILogService),ee(1,b.IStateMainService)],y),e.LifecycleMainService=y}),define(J[212],Z([0,1,4,3,2,5,21]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=(0,R.createDecorator)("keyboardLayoutMainService");let I=class extends D.Disposable{constructor(C){super();this._onDidChangeKeyboardLayout=this._register(new t.Emitter),this.onDidChangeKeyboardLayout=this._onDidChangeKeyboardLayout.event,this._initPromise=null,this._keyboardLayoutData=null,C.when(3).then(()=>this._initialize())}_initialize(){return this._initPromise||(this._initPromise=this._doInitialize()),this._initPromise}async _doInitialize(){const C=await new Promise((P,b)=>{$(["native-keymap"],P,b)});this._keyboardLayoutData=g(C),E.isCI||C.onDidChangeKeyboardLayout(()=>{this._keyboardLayoutData=g(C),this._onDidChangeKeyboardLayout.fire(this._keyboardLayoutData)})}async getKeyboardLayoutData(){return await this._initialize(),this._keyboardLayoutData}};I=de([ee(0,M.ILifecycleMainService)],I),e.KeyboardLayoutMainService=I;function g(S){const C=S.getKeyMap(),P=S.getCurrentKeyboardLayout();return{keyboardMapping:C,keyboardLayoutInfo:P}}}),define(J[213],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateService=void 0,e.IStateService=(0,E.createDecorator)("stateService")}),define(J[214],Z([0,1,8,19,13,39,16,6]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateService=e.FileStorage=void 0;class g{constructor(P,b,p){this.storagePath=P,this.logService=b,this.fileService=p,this.storage=Object.create(null),this.lastSavedStorageContents="",this.flushDelayer=new E.ThrottledDelayer(100),this.initializing=void 0,this.closing=void 0}init(){return this.initializing||(this.initializing=this.doInit()),this.initializing}async doInit(){try{this.lastSavedStorageContents=(await this.fileService.readFile(this.storagePath)).value.toString(),this.storage=JSON.parse(this.lastSavedStorageContents)}catch(P){P.fileOperationResult!==1&&this.logService.error(P)}}getItem(P,b){const p=this.storage[P];return(0,D.isUndefinedOrNull)(p)?b:p}setItem(P,b){this.setItems([{key:P,data:b}])}setItems(P){let b=!1;for(const{key:p,data:h}of P)this.storage[p]!==h&&((0,D.isUndefinedOrNull)(h)?(0,D.isUndefined)(this.storage[p])||(this.storage[p]=void 0,b=!0):(this.storage[p]=h,b=!0));b&&this.save()}removeItem(P){(0,D.isUndefined)(this.storage[P])||(this.storage[P]=void 0,this.save())}async save(P){if(!this.closing)return this.flushDelayer.trigger(()=>this.doSave(),P)}async doSave(){if(!this.initializing)return;await this.initializing;const P=JSON.stringify(this.storage,null,4);if(P!==this.lastSavedStorageContents)try{await this.fileService.writeFile(this.storagePath,t.VSBuffer.fromString(P)),this.lastSavedStorageContents=P}catch(b){this.logService.error(b)}}async close(){return this.closing||(this.closing=this.flushDelayer.trigger(()=>this.doSave(),0)),this.closing}}e.FileStorage=g;let S=class{constructor(P,b,p){this.fileStorage=new g(P.stateResource,b,p)}async init(){await this.fileStorage.init()}getItem(P,b){return this.fileStorage.getItem(P,b)}};S=de([ee(0,R.IEnvironmentService),ee(1,I.ILogService),ee(2,M.IFileService)],S),e.StateService=S}),define(J[215],Z([0,1,214]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateMainService=void 0;class t extends E.StateService{setItem(R,M){this.fileStorage.setItem(R,M)}setItems(R){this.fileStorage.setItems(R)}removeItem(R){this.fileStorage.removeItem(R)}close(){return this.fileStorage.close()}}e.StateMainService=t}),define(J[216],Z([0,1,4,36,7,30]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function M(S){if(E.platform===2&&/^penguin(\.|$)/i.test(S))return"chromebook"}async function I(S,C,P,b,p,h,y,v,w,m){const d=Object.create(null);d["common.machineId"]=y,d.sessionID=(0,R.generateUuid)()+Date.now(),d.commitHash=p,d.version=h,d["common.platformVersion"]=(C||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),d["common.platform"]=(0,E.PlatformToString)(E.platform),d["common.nodePlatform"]=t.platform,d["common.nodeArch"]=b,d["common.product"]=m||"desktop";const u=g(v||[]);u&&(d["common.msftInternal"]=u);let l=0;const n=Date.now();Object.defineProperties(d,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-n,enumerable:!0},"common.sequence":{get:()=>l++,enumerable:!0}}),E.isLinuxSnap&&(d["common.snap"]="true");const r=M(P);r&&(d["common.platformDetail"]=r);try{const i=await S.readFile(D.URI.file(w));d["common.source"]=i.value.toString().slice(0,30)}catch{}return d}e.resolveCommonProperties=I;function g(S){const C=t.env.USERDNSDOMAIN;if(!C)return!1;const P=C.toLowerCase();return S.some(b=>P===b)}e.verifyMicrosoftInternalDomain=g}),define(J[35],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,E.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,E.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var t;(function(R){R[R.NONE=0]="NONE",R[R.CRASH=1]="CRASH",R[R.ERROR=2]="ERROR",R[R.USAGE=3]="USAGE"})(t=e.TelemetryLevel||(e.TelemetryLevel={}));var D;(function(R){R.OFF="off",R.CRASH="crash",R.ERROR="error",R.ON="all"})(D=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(J[217],Z([0,1,28,53,8,49,12,9,4,7,80,23,94,83,16,20,35]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;const w=new Map;async function m(r,i){const s=`${r}::${i.join(":")}`,o=w.get(s);if(o)return o;const a=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],c=new Map,f=new Map,k=2e4;function L(U,G,ie,ne){const Y=G.substring(U.length+1);return D.Promises.withAsyncBody(async ae=>{let ce;try{ce=await P.Promises.readdir(G,{withFileTypes:!0})}catch{ae();return}if(ne.count>=k){ne.count+=ce.length,ne.maxReached=!0,ae();return}let H=ce.length;if(H===0){ae();return}let se=ce;ne.count+ce.length>k&&(ne.maxReached=!0,H=k-ne.count,se=ce.slice(0,H)),ne.count+=ce.length;for(const W of se)if(W.isDirectory()){if(ie.includes(W.name)||await L(U,(0,I.join)(G,W.name),ie,ne),--H==0){ae();return}}else{const _=W.name.lastIndexOf(".");if(_>=0){const B=W.name.substring(_+1);B&&c.set(B,(c.get(B)??0)+1)}for(const B of a)B.relativePathPattern?.test(Y)!==!1&&B.filePattern.test(W.name)&&f.set(B.tag,(f.get(B.tag)??0)+1);if(--H==0){ae();return}}})}const T=D.Promises.withAsyncBody(async U=>{const G={count:0,maxReached:!1};await L(r,r,i,G);const ie=await l(r);U({configFiles:d(f),fileTypes:d(c),fileCount:G.count,maxFilesReached:G.maxReached,launchConfigFiles:ie})});return w.set(s,T),T}e.collectWorkspaceStats=m;function d(r){return[...t.Iterable.map(r.entries(),([i,s])=>({name:i,count:s}))].sort((i,s)=>s.count-i.count)}function u(){const r={os:`${E.type()} ${E.arch()} ${E.release()}`,memory:`${(E.totalmem()/h.ByteSize.GB).toFixed(2)}GB (${(E.freemem()/h.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(C.virtualMachineHint.value()*100)}%`},i=E.cpus();return i&&i.length>0&&(r.cpus=`${i[0].model} (${i.length} x ${i[0].speed})`),r}e.getMachineInfo=u;async function l(r){try{const i=new Map,s=(0,I.join)(r,".vscode","launch.json"),o=await P.Promises.readFile(s),a=[],c=(0,R.parse)(o.toString(),a);if(a.length)return console.log(`Unable to parse ${s}`),[];if((0,R.getNodeType)(c)==="object"&&c.configurations)for(const f of c.configurations){const k=f.type;k&&(i.has(k)?i.set(k,i.get(k)+1):i.set(k,1))}return d(i)}catch{return[]}}e.collectLaunchConfigs=l;let n=class{constructor(i,s){this.telemetryService=i,this.productService=s}formatMachineInfo(i){const s=[];return s.push(`OS Version:       ${i.os}`),s.push(`CPUs:             ${i.cpus}`),s.push(`Memory (System):  ${i.memory}`),s.push(`VM:               ${i.vmHint}`),s.join(`
`)}formatEnvironment(i){const s=[];s.push(`Version:          ${this.productService.nameShort} ${this.productService.version} (${this.productService.commit||"Commit unknown"}, ${this.productService.date||"Date unknown"})`),s.push(`OS Version:       ${E.type()} ${E.arch()} ${E.release()}`);const o=E.cpus();return o&&o.length>0&&s.push(`CPUs:             ${o[0].model} (${o.length} x ${o[0].speed})`),s.push(`Memory (System):  ${(E.totalmem()/h.ByteSize.GB).toFixed(2)}GB (${(E.freemem()/h.ByteSize.GB).toFixed(2)}GB free)`),g.isWindows||s.push(`Load (avg):       ${E.loadavg().map(a=>Math.round(a)).join(", ")}`),s.push(`VM:               ${Math.round(C.virtualMachineHint.value()*100)}%`),s.push(`Screen Reader:    ${i.screenReader?"yes":"no"}`),s.push(`Process Argv:     ${i.mainArguments.join(" ")}`),s.push(`GPU Status:       ${this.expandGPUFeatures(i.gpuFeatureStatus)}`),s.join(`
`)}async getPerformanceInfo(i,s){return Promise.all([(0,b.listProcesses)(i.mainPID),this.formatWorkspaceMetadata(i)]).then(async o=>{let[a,c]=o,f=this.formatProcessList(i,a);return s.forEach(k=>{if((0,p.isRemoteDiagnosticError)(k))f+=`
${k.errorMessage}`,c+=`
${k.errorMessage}`;else if(f+=`

Remote: ${k.hostName}`,k.processes&&(f+=`
${this.formatProcessList(i,k.processes)}`),k.workspaceMetadata){c+=`
|  Remote: ${k.hostName}`;for(const L of Object.keys(k.workspaceMetadata)){const T=k.workspaceMetadata[L];let U=`${T.fileCount} files`;T.maxFilesReached&&(U=`more than ${U}`),c+=`|    Folder (${L}): ${U}`,c+=this.formatWorkspaceStats(T)}}}),{processInfo:f,workspaceInfo:c}})}async getSystemInfo(i,s){const{memory:o,vmHint:a,os:c,cpus:f}=u(),k={os:c,memory:o,cpus:f,vmHint:a,processArgs:`${i.mainArguments.join(" ")}`,gpuStatus:i.gpuFeatureStatus,screenReader:`${i.screenReader?"yes":"no"}`,remoteData:s};return g.isWindows||(k.load=`${E.loadavg().map(L=>Math.round(L)).join(", ")}`),g.isLinux&&(k.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(k)}async getDiagnostics(i,s){const o=[];return(0,b.listProcesses)(i.mainPID).then(async a=>(o.push(""),o.push(this.formatEnvironment(i)),o.push(""),o.push(this.formatProcessList(i,a)),i.windows.some(c=>c.folderURIs&&c.folderURIs.length>0&&!c.remoteAuthority)&&(o.push(""),o.push("Workspace Stats: "),o.push(await this.formatWorkspaceMetadata(i))),s.forEach(c=>{if((0,p.isRemoteDiagnosticError)(c))o.push(`
${c.errorMessage}`);else if(o.push(`

`),o.push(`Remote:           ${c.hostName}`),o.push(this.formatMachineInfo(c.machineInfo)),c.processes&&o.push(this.formatProcessList(i,c.processes)),c.workspaceMetadata)for(const f of Object.keys(c.workspaceMetadata)){const k=c.workspaceMetadata[f];let L=`${k.fileCount} files`;k.maxFilesReached&&(L=`more than ${L}`),o.push(`Folder (${f}): ${L}`),o.push(this.formatWorkspaceStats(k))}}),o.push(""),o.push(""),o.join(`
`)))}formatWorkspaceStats(i){const s=[],o=60;let a=0;const c=(T,U)=>{const G=` ${T}(${U})`;a+G.length>o?(s.push(f),f="|                 ",a=f.length):a+=G.length,f+=G};let f="|      File types:";const k=10,L=i.fileTypes.length>k?k:i.fileTypes.length;for(let T=0;T<L;T++){const U=i.fileTypes[T];c(U.name,U.count)}if(s.push(f),i.configFiles.length>=0&&(f="|      Conf files:",a=0,i.configFiles.forEach(T=>{c(T.name,T.count)}),s.push(f)),i.launchConfigFiles.length>0){let T="|      Launch Configs:";i.launchConfigFiles.forEach(U=>{T+=U.count>1?` ${U.name}(${U.count})`:` ${U.name}`}),s.push(T)}return s.join(`
`)}expandGPUFeatures(i){const s=Math.max(...Object.keys(i).map(o=>o.length));return Object.keys(i).map(o=>`${o}:  ${" ".repeat(s-o.length)}  ${i[o]}`).join(`
                  `)}formatWorkspaceMetadata(i){const s=[],o=[];return i.windows.forEach(a=>{a.folderURIs.length===0||!!a.remoteAuthority||(s.push(`|  Window (${a.title})`),a.folderURIs.forEach(c=>{const f=S.URI.revive(c);if(f.scheme===M.Schemas.file){const k=f.fsPath;o.push(m(k,["node_modules",".git"]).then(L=>{let T=`${L.fileCount} files`;L.maxFilesReached&&(T=`more than ${T}`),s.push(`|    Folder (${(0,I.basename)(k)}): ${T}`),s.push(this.formatWorkspaceStats(L))}).catch(L=>{s.push(`|      Error: Unable to collect workspace stats for folder ${k} (${L.toString()})`)}))}else s.push(`|    Folder (${f.toString()}): Workspace stats not available.`)}))}),Promise.all(o).then(a=>s.join(`
`)).catch(a=>`Unable to collect workspace stats: ${a}`)}formatProcessList(i,s){const o=new Map;i.windows.forEach(c=>o.set(c.pid,c.title));const a=[];return a.push("CPU %	Mem MB	   PID	Process"),s&&this.formatProcessItem(i.mainPID,o,a,s,0),a.join(`
`)}formatProcessItem(i,s,o,a,c){const f=c===0;let k;f?k=a.pid===i?`${this.productService.applicationName} main`:"remote agent":(k=`${"  ".repeat(c)} ${a.name}`,a.name==="window"&&(k=`${k} (${s.get(a.pid)})`));const L=process.platform==="win32"?a.mem:E.totalmem()*(a.mem/100);o.push(`${a.load.toFixed(0).padStart(5," ")}	${(L/h.ByteSize.MB).toFixed(0).padStart(6," ")}	${a.pid.toFixed(0).padStart(6," ")}	${k}`),Array.isArray(a.children)&&a.children.forEach(T=>this.formatProcessItem(i,s,o,T,c+1))}async getWorkspaceFileExtensions(i){const s=new Set;for(const{uri:o}of i.folders){const a=S.URI.revive(o);if(a.scheme!==M.Schemas.file)continue;const c=a.fsPath;try{(await m(c,["node_modules",".git"])).fileTypes.forEach(k=>s.add(k.name))}catch{}}return{extensions:[...s]}}async reportWorkspaceStats(i){for(const{uri:s}of i.folders){const o=S.URI.revive(s);if(o.scheme!==M.Schemas.file)continue;const a=o.fsPath;try{const c=await m(a,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":i.telemetryId,rendererSessionId:i.rendererSessionId}),c.fileTypes.forEach(f=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:i.rendererSessionId,type:f.name,count:f.count})}),c.launchConfigFiles.forEach(f=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:i.rendererSessionId,type:f.name,count:f.count})}),c.configFiles.forEach(f=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:i.rendererSessionId,type:f.name,count:f.count})})}catch{}}}};n=de([ee(0,v.ITelemetryService),ee(1,y.IProductService)],n),e.DiagnosticsService=n}),define(J[218],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class E{constructor(R){this.appenders=R}listen(R,M){throw new Error(`Event not found: ${M}`)}call(R,M,{eventName:I,data:g}){return this.appenders.forEach(S=>S.log(I,g)),Promise.resolve(null)}}e.TelemetryAppenderChannel=E;class t{constructor(R){this.channel=R}log(R,M){return this.channel.call("log",{eventName:R,data:M}).then(void 0,I=>`Failed to log telemetry: ${console.warn(I)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=t}),define(J[71],Z([0,1,50,91,13,17,35]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPiiPathsFromEnvironment=e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class I{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=(0,t.staticObservableValue)(0)}publicLog(u,l){return Promise.resolve(void 0)}publicLog2(u,l){return this.publicLog(u,l)}publicLogError(u,l){return Promise.resolve(void 0)}publicLogError2(u,l){return this.publicLogError(u,l)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=I,e.NullTelemetryService=new I;class g{async publicLog(u,l,n){}async publicLogError(u,l,n){}}e.NullEndpointTelemetryService=g,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function S(d,u){return u.onDidChangeConfiguration(l=>{l.source!==6&&d.publicLog2("updateConfiguration",{configurationSource:(0,R.ConfigurationTargetToString)(l.source),configurationKeys:v(l.sourceConfig)})})}e.configurationTelemetry=S;function C(d,u){return!(u.disableTelemetry||!d.enableTelemetry||u.extensionTestsLocationURI)}e.supportsTelemetry=C;function P(d){const u=d.getValue(M.TELEMETRY_SETTING_ID),l=d.getValue("telemetry.enableCrashReporter");if(d.getValue(M.TELEMETRY_OLD_SETTING_ID)===!1||l===!1)return 0;switch(u??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=P;function b(d){const u={},l={},n={};y(d,n);for(let r in n){r=r.length>150?r.substr(r.length-149):r;const i=n[r];typeof i=="number"?l[r]=i:typeof i=="boolean"?l[r]=i?1:0:typeof i=="string"?(i.length>8192&&console.warn(`Telemetry property: ${r} has been trimmed to 8192, the original length is ${i.length}`),u[r]=i.substring(0,8191)):typeof i!="undefined"&&i!==null&&(u[r]=i)}return{properties:u,measurements:l}}e.validateTelemetryData=b;const p=["ssh-remote","dev-container","attached-container","wsl","tunneling"];function h(d){if(!d)return"none";for(const u of p)if(d.startsWith(`${u}+`))return u;return"other"}e.cleanRemoteAuthority=h;function y(d,u,l=0,n){if(!!d)for(const r of Object.getOwnPropertyNames(d)){const i=d[r],s=n?n+r:r;Array.isArray(i)?u[s]=(0,E.safeStringify)(i):i instanceof Date?u[s]=i.toISOString():(0,D.isObject)(i)?l<2?y(i,u,l+1,s+"."):u[s]=(0,E.safeStringify)(i):u[s]=i}}function v(d){if(!d)return[];const u=[];return w(u,"",d),u}function w(d,u,l){l&&typeof l=="object"&&!Array.isArray(l)?Object.keys(l).forEach(n=>w(d,u?`${u}.${n}`:n,l[n])):d.push(u)}function m(d){return[d.appRoot,d.extensionsPath,d.userHome.fsPath,d.tmpDir.fsPath,d.userDataPath]}e.getPiiPathsFromEnvironment=m}),define(J[219],Z([0,1,179,71]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function D(R,M,I,g,S,C,P){const b={"X-Market-Client-Id":`VSCode ${R}`,"User-Agent":`VSCode ${R} (${M.nameShort})`},p=await(0,E.getServiceMachineId)(I,S,C),{sessionId:h}=await P.getTelemetryInfo();return(0,t.supportsTelemetry)(M,I)&&(0,t.getTelemetryLevel)(g)===3&&(b["X-Market-User-Id"]=p,b["VSCode-SessionId"]=h),b}e.resolveMarketplaceHeaders=D}),define(J[220],Z([0,1,2,50,91,4,31,162,17,60,58,20,44,35,71]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let y=class{constructor(m,d,u){this._configurationService=d,this._productService=u,this._experimentProperties={},this.telemetryLevel=new D.MutableObservableValue(3),this._disposables=new E.DisposableStore,this._cleanupPatterns=[],this._appenders=m.appenders,this._commonProperties=m.commonProperties||Promise.resolve({}),this._piiPaths=m.piiPaths||[],this._sendErrorTelemetry=!!m.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(const l of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,M.escapeRegExpCharacters)(l),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(m,d){this._experimentProperties[m]=d}_updateTelemetryLevel(){let m=(0,h.getTelemetryLevel)(this._configurationService);const d=this._productService.enabledTelemetryLevels;if(d){this._sendErrorTelemetry=this.sendErrorTelemetry?d.error:!1;const u=d.usage?3:d.error?2:0;m=Math.min(m,u)}this.telemetryLevel.value=m}get sendErrorTelemetry(){return this._sendErrorTelemetry}async getTelemetryInfo(){const m=await this._commonProperties,d=m.sessionID,u=m["common.machineId"],l=m["common.firstSessionDate"],n=m["common.msftInternal"];return{sessionId:d,machineId:u,firstSessionDate:l,msftInternal:n}}dispose(){this._disposables.dispose()}_log(m,d,u,l){return this.telemetryLevel.value<d?Promise.resolve(void 0):this._commonProperties.then(n=>{u=(0,t.mixin)(u,n),u=(0,t.mixin)(u,this._experimentProperties),u=(0,t.cloneAndChange)(u,r=>{if(typeof r=="string")return this._cleanupInfo(r,l)}),this._appenders.forEach(r=>r.log(m,u))},n=>{console.error(n)})}publicLog(m,d,u){return this._log(m,3,d,u)}publicLog2(m,d,u){return this.publicLog(m,d,u)}publicLogError(m,d){return this._sendErrorTelemetry?this._log(m,2,d,!0):Promise.resolve(void 0)}publicLogError2(m,d){return this.publicLogError(m,d)}_anonymizeFilePaths(m){let d=m;const u=[];for(const i of this._cleanupPatterns)for(;;){const s=i.exec(m);if(!s)break;u.push([s.index,i.lastIndex])}const l=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,n=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let r=0;for(d="";;){const i=n.exec(m);if(!i)break;!l.test(i[0])&&u.every(([s,o])=>i.index<s||i.index>=o)&&(d+=m.substring(r,i.index)+"<REDACTED: user-file-path>",r=n.lastIndex)}return r<m.length&&(d+=m.substr(r)),d}_removePropertiesWithPossibleUserInfo(m){if(!m)return m;const d=m.toLowerCase(),u=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/},{label:"Email",regex:/@[a-zA-Z0-9-.]+/}];for(const l of u)if(l.regex.test(d))return`<REDACTED: ${l.label}>`;return m}_cleanupInfo(m,d){let u=m;d&&(u=this._anonymizeFilePaths(u));for(const l of this._cleanupPatterns)u=u.replace(l,"");return u=this._removePropertiesWithPossibleUserInfo(u),u}};y.IDLE_START_EVENT_NAME="UserIdleStart",y.IDLE_STOP_EVENT_NAME="UserIdleStop",y=de([ee(1,g.IConfigurationService),ee(2,P.IProductService)],y),e.TelemetryService=y;function v(){const w=(0,I.localize)(0,null,C.default.nameLong),m=C.default.privacyStatementUrl?(0,I.localize)(2,null,"https://aka.ms/vscode-telemetry",C.default.privacyStatementUrl):(0,I.localize)(1,null,"https://aka.ms/vscode-telemetry"),d=R.isWeb?"":(0,I.localize)(3,null),u=(0,I.localize)(4,null),l=(0,I.localize)(5,null),n=(0,I.localize)(6,null),r=(0,I.localize)(7,null),i=`
|       | ${u} | ${l} | ${n} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,s=(0,I.localize)(8,null);return`
${w} ${m} ${d}

&nbsp;

${r}
${i}

&nbsp;

${s}
`}b.Registry.as(S.Extensions.Configuration).registerConfiguration({id:p.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,I.localize)(9,null),properties:{[p.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,I.localize)(10,null),(0,I.localize)(11,null),(0,I.localize)(12,null),(0,I.localize)(13,null)],markdownDescription:v(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),b.Registry.as(S.Extensions.Configuration).registerConfiguration({id:p.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,I.localize)(14,null),properties:{[p.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:C.default.privacyStatementUrl?(0,I.localize)(16,null,C.default.nameLong,C.default.privacyStatementUrl):(0,I.localize)(15,null,C.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,I.localize)(17,null,`\`#${p.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(J[221],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isDark=e.isHighContrast=e.ColorScheme=void 0;var E;(function(R){R.DARK="dark",R.LIGHT="light",R.HIGH_CONTRAST_DARK="hcDark",R.HIGH_CONTRAST_LIGHT="hcLight"})(E=e.ColorScheme||(e.ColorScheme={}));function t(R){return R===E.HIGH_CONTRAST_DARK||R===E.HIGH_CONTRAST_LIGHT}e.isHighContrast=t;function D(R){return R===E.DARK||R===E.HIGH_CONTRAST_DARK}e.isDark=D}),define(J[222],Z([0,1,116,3,2,5,44,221]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=(0,R.createDecorator)("themeService");var g;(function(v){function w(m){return m&&typeof m=="object"&&typeof m.id=="string"}v.isThemeColor=w})(g=e.ThemeColor||(e.ThemeColor={}));function S(v){return{id:v}}e.themeColorFromId=S;var C;(function(v){function w(s){return s&&typeof s=="object"&&typeof s.id=="string"&&(typeof s.color=="undefined"||g.isThemeColor(s.color))}v.isThemeIcon=w;const m=new RegExp(`^\\$\\((${E.CSSIcon.iconNameExpression}(?:${E.CSSIcon.iconModifierExpression})?)\\)$`);function d(s){const o=m.exec(s);if(!o)return;const[,a]=o;return{id:a}}v.fromString=d;function u(s){return{id:s}}v.fromId=u;function l(s,o){let a=s.id;const c=a.lastIndexOf("~");return c!==-1&&(a=a.substring(0,c)),o&&(a=`${a}~${o}`),{id:a}}v.modify=l;function n(s){const o=s.id.lastIndexOf("~");if(o!==-1)return s.id.substring(o+1)}v.getModifier=n;function r(s,o){return s.id===o.id&&s.color?.id===o.color?.id}v.isEqual=r;function i(s,o){return{id:s.id,color:o?S(o):void 0}}v.asThemeIcon=i,v.asClassNameArray=E.CSSIcon.asClassNameArray,v.asClassName=E.CSSIcon.asClassName,v.asCSSSelector=E.CSSIcon.asCSSSelector})(C=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=E.Codicon.file,e.FolderThemeIcon=E.Codicon.folder;function P(v){switch(v){case I.ColorScheme.DARK:return"vs-dark";case I.ColorScheme.HIGH_CONTRAST_DARK:return"hc-black";case I.ColorScheme.HIGH_CONTRAST_LIGHT:return"hc-light";default:return"vs"}}e.getThemeTypeSelector=P,e.Extensions={ThemingContribution:"base.contributions.theming"};class b{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new t.Emitter}onColorThemeChange(w){return this.themingParticipants.push(w),this.onThemingParticipantAddedEmitter.fire(w),(0,D.toDisposable)(()=>{const m=this.themingParticipants.indexOf(w);this.themingParticipants.splice(m,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}const p=new b;M.Registry.add(e.Extensions.ThemingContribution,p);function h(v){return p.onColorThemeChange(v)}e.registerThemingParticipant=h;class y extends D.Disposable{constructor(w){super();this.themeService=w,this.theme=w.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(m=>this.onThemeChange(m)))}onThemeChange(w){this.theme=w,this.updateStyles()}updateStyles(){}getColor(w,m){let d=this.theme.getColor(w);return d&&m&&(d=m(d,this.theme)),d?d.toString():null}}e.Themable=y}),define(J[62],Z([0,1,14,3,2,4,17,5,45]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const S="#FFFFFF",C="#1E1E1E",P="#000000",b="#FFFFFF",p="theme",h="themeBackground",y="windowSplash";e.IThemeMainService=(0,I.createDecorator)("themeMainService");let v=class extends D.Disposable{constructor(m,d){super();this.stateMainService=m,this.configurationService=d,this._onDidChangeColorScheme=this._register(new t.Emitter),this.onDidChangeColorScheme=this._onDidChangeColorScheme.event,E.nativeTheme.on("updated",()=>{this._onDidChangeColorScheme.fire(this.getColorScheme())})}getColorScheme(){if(R.isWindows){if(E.nativeTheme.shouldUseHighContrastColors)return{dark:E.nativeTheme.shouldUseInvertedColorScheme,highContrast:!0}}else if(R.isMacintosh){if(E.nativeTheme.shouldUseInvertedColorScheme||E.nativeTheme.shouldUseHighContrastColors)return{dark:E.nativeTheme.shouldUseDarkColors!==E.nativeTheme.shouldUseInvertedColorScheme,highContrast:!0}}else if(R.isLinux&&E.nativeTheme.shouldUseHighContrastColors)return{dark:!0,highContrast:!0};return{dark:E.nativeTheme.shouldUseDarkColors,highContrast:!1}}getBackgroundColor(){const m=this.getColorScheme();if(m.highContrast&&this.configurationService.getValue("window.autoDetectHighContrast"))return m.dark?P:b;let d=this.stateMainService.getItem(h,null);if(!d)switch(this.stateMainService.getItem(p,"vs-dark").split(" ")[0]){case"vs":d=S;break;case"hc-black":d=P;break;case"hc-light":d=b;break;default:d=C}return R.isMacintosh&&d.toUpperCase()===C&&(d="#171717"),d}saveWindowSplash(m,d){this.stateMainService.setItems([{key:p,data:d.baseTheme},{key:h,data:d.colorInfo.background},{key:y,data:d}]),typeof m=="number"&&this.updateBackgroundColor(m,d)}updateBackgroundColor(m,d){for(const u of E.BrowserWindow.getAllWindows())if(u.id===m){u.setBackgroundColor(d.colorInfo.background);break}}getWindowSplash(){return this.stateMainService.getItem(y)}};v=de([ee(0,g.IStateMainService),ee(1,M.IConfigurationService)],v),e.ThemeMainService=v}),define(J[107],Z([0,1,3,4,5,6]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.DisposableTunnel=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ProvidedOnAutoForward=e.TunnelPrivacyId=e.TunnelProtocol=e.ISharedTunnelsService=e.ITunnelService=void 0,e.ITunnelService=(0,D.createDecorator)("tunnelService"),e.ISharedTunnelsService=(0,D.createDecorator)("sharedTunnelsService");var M;(function(y){y.Http="http",y.Https="https"})(M=e.TunnelProtocol||(e.TunnelProtocol={}));var I;(function(y){y.ConstantPrivate="constantPrivate",y.Private="private",y.Public="public"})(I=e.TunnelPrivacyId||(e.TunnelPrivacyId={}));var g;(function(y){y[y.Notify=1]="Notify",y[y.OpenBrowser=2]="OpenBrowser",y[y.OpenPreview=3]="OpenPreview",y[y.Silent=4]="Silent",y[y.Ignore=5]="Ignore",y[y.OpenBrowserOnce=6]="OpenBrowserOnce"})(g=e.ProvidedOnAutoForward||(e.ProvidedOnAutoForward={}));function S(y){if(y.scheme!=="http"&&y.scheme!=="https")return;const v=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(y.authority);if(!!v)return{address:v[1],port:+v[2]}}e.extractLocalHostUriMetaDataForPortMapping=S,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function C(y){return e.LOCALHOST_ADDRESSES.indexOf(y)>=0}e.isLocalhost=C,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function P(y){return e.ALL_INTERFACES_ADDRESSES.indexOf(y)>=0}e.isAllInterfaces=P;function b(y,v){return v?v!==1&&y<1024:!t.isWindows&&y<1024}e.isPortPrivileged=b;class p{constructor(v,w,m){this.remoteAddress=v,this.localAddress=w,this._dispose=m,this._onDispose=new E.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}e.DisposableTunnel=p;let h=class{constructor(v){this.logService=v,this._onTunnelOpened=new E.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new E.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._onAddedTunnelProvider=new E.Emitter,this.onAddedTunnelProvider=this._onAddedTunnelProvider.event,this._tunnels=new Map,this._canElevate=!1,this._privacyOptions=[],this._factoryInProgress=new Set}get hasTunnelProvider(){return!!this._tunnelProvider}setTunnelProvider(v){return this._tunnelProvider=v,v?(this._onAddedTunnelProvider.fire(),{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._privacyOptions=[]}}):(this._canElevate=!1,this._privacyOptions=[],this._onAddedTunnelProvider.fire(),{dispose:()=>{}})}setTunnelFeatures(v){this._canElevate=v.elevation,this._privacyOptions=v.privacyOptions}get canElevate(){return this._canElevate}get canChangePrivacy(){return this._privacyOptions.length>0}get privacyOptions(){return this._privacyOptions}get tunnels(){return this.getTunnels()}async getTunnels(){const v=[],w=Array.from(this._tunnels.values());for(const m of w){const d=Array.from(m.values());for(const u of d){const l=await u.value;l&&v.push(l)}}return v}async dispose(){for(const v of this._tunnels.values()){for(const{value:w}of v.values())await w.then(m=>m?.dispose());v.clear()}this._tunnels.clear()}openTunnel(v,w,m,d,u=!1,l,n){if(this.logService.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${w}:${m} on local port ${d}.`),!v)return;if(w||(w="localhost"),this._tunnelProvider&&this._factoryInProgress.has(m)){this.logService.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const r=this.retainOrCreateTunnel(v,w,m,d,u,l,n);return r?r.then(i=>{if(!i){this.logService.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.removeEmptyTunnelFromMap(w,m);return}this.logService.trace("ForwardedPorts: (TunnelService) New tunnel established.");const s=this.makeTunnel(i);return(i.tunnelRemoteHost!==w||i.tunnelRemotePort!==m)&&this.logService.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(s),s}):(this.logService.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),r)}makeTunnel(v){return{tunnelRemotePort:v.tunnelRemotePort,tunnelRemoteHost:v.tunnelRemoteHost,tunnelLocalPort:v.tunnelLocalPort,localAddress:v.localAddress,privacy:v.privacy,protocol:v.protocol,dispose:async()=>{this.logService.trace(`ForwardedPorts: (TunnelService) dispose request for ${v.tunnelRemoteHost}:${v.tunnelRemotePort} `);const w=this._tunnels.get(v.tunnelRemoteHost);if(w){const m=w.get(v.tunnelRemotePort);m&&(m.refcount--,await this.tryDisposeTunnel(v.tunnelRemoteHost,v.tunnelRemotePort,m))}}}}async tryDisposeTunnel(v,w,m){if(m.refcount<=0){this.logService.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${v}:${w}.`);const d=m.value.then(async u=>{u&&(await u.dispose(!0),this._onTunnelClosed.fire({host:u.tunnelRemoteHost,port:u.tunnelRemotePort}))});return this._tunnels.has(v)&&this._tunnels.get(v).delete(w),d}}async closeTunnel(v,w){this.logService.trace(`ForwardedPorts: (TunnelService) close request for ${v}:${w} `);const m=this._tunnels.get(v);if(m&&m.has(w)){const d=m.get(w);d.refcount=0,await this.tryDisposeTunnel(v,w,d)}}addTunnelToMap(v,w,m){this._tunnels.has(v)||this._tunnels.set(v,new Map),this._tunnels.get(v).set(w,{refcount:1,value:m})}async removeEmptyTunnelFromMap(v,w){const m=this._tunnels.get(v);m&&(await m.get(w)||m.delete(w),m.size===0&&this._tunnels.delete(v))}getTunnelFromMap(v,w){const m=[v];C(v)?(m.push(...e.LOCALHOST_ADDRESSES),m.push(...e.ALL_INTERFACES_ADDRESSES)):P(v)&&m.push(...e.ALL_INTERFACES_ADDRESSES);const d=m.map(u=>this._tunnels.get(u));for(const u of d){const l=u?.get(w);if(l)return l}}canTunnel(v){return!!S(v)}createWithProvider(v,w,m,d,u,l,n){this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${w}:${m} on local port ${d}.`);const r=m;this._factoryInProgress.add(r);const s={elevationRequired:u?b(d===void 0?m:d):!1},o={remoteAddress:{host:w,port:m},localAddressPort:d,privacy:l,public:l?l!==I.Private:void 0,protocol:n},a=v.forwardPort(o,s);return a?(this.addTunnelToMap(w,m,a),a.finally(()=>{this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this._factoryInProgress.delete(r)})):this._factoryInProgress.delete(r),a}};h=de([ee(0,R.ILogService)],h),e.AbstractTunnelService=h}),define(J[223],Z([0,1,76,90,208,8,2,17,6,20,207,107,86]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedTunnelsService=e.TunnelService=e.BaseTunnelService=void 0;async function p(m,d,u,l,n){let r;for(let i=3;i&&(r&&r.dispose(),r=await new h(m,d,u,l,n).waitForReady(),!(n&&t.BROWSER_RESTRICTED_PORTS[n]||!t.BROWSER_RESTRICTED_PORTS[r.tunnelLocalPort]));i--);return r}class h extends M.Disposable{constructor(d,u,l,n,r){super();this.defaultTunnelHost=u,this.suggestedLocalPort=r,this.privacy=P.TunnelPrivacyId.Private,this._socketsDispose=new Map,this._options=d,this._server=E.createServer(),this._barrier=new R.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=i=>this._onConnection(i),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=n,this.tunnelRemoteHost=l}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(u=>{u()})}async waitForReady(){let d=await(0,t.findFreePortFaster)(this.suggestedLocalPort??this.tunnelRemotePort,2,1e3),u=null;return this._server.listen(d,this.defaultTunnelHost),await this._barrier.wait(),u=this._server.address(),u||(d=0,this._server.listen(d,this.defaultTunnelHost),await this._barrier.wait(),u=this._server.address()),this.tunnelLocalPort=u.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${u.port}`,this}async _onConnection(d){d.pause();const u=(0,P.isLocalhost)(this.tunnelRemoteHost)||(0,P.isAllInterfaces)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,l=await(0,C.connectRemoteAgentTunnel)(this._options,u,this.tunnelRemotePort),n=l.getSocket().socket,r=l.readEntireBuffer();l.dispose(),r.byteLength>0&&d.write(r.buffer),d.on("end",()=>{d.localAddress&&this._socketsDispose.delete(d.localAddress),n.end()}),d.on("close",()=>n.end()),d.on("error",()=>{d.localAddress&&this._socketsDispose.delete(d.localAddress),n.destroy()}),n.on("end",()=>d.end()),n.on("close",()=>d.end()),n.on("error",()=>{d.destroy()}),d.pipe(n),n.pipe(d),d.localAddress&&this._socketsDispose.set(d.localAddress,()=>{d.end(),n.end()})}}let y=class extends P.AbstractTunnelService{constructor(d,u,l,n,r){super(u);this.socketFactory=d,this.signService=l,this.productService=n,this.configurationService=r}get defaultTunnelHost(){const d=this.configurationService.getValue("remote.localPortHost");return!d||d==="localhost"?"127.0.0.1":"0.0.0.0"}retainOrCreateTunnel(d,u,l,n,r,i,s){const o=this.getTunnelFromMap(u,l);if(o)return++o.refcount,o.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,u,l,n,r,i,s);{this.logService.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${u}:${l} on local port ${n}.`);const a={commit:this.productService.commit,quality:this.productService.quality,socketFactory:this.socketFactory,addressProvider:d,signService:this.signService,logService:this.logService,ipcLogger:null},c=p(a,this.defaultTunnelHost,u,l,n);return this.logService.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.addTunnelToMap(u,l,c),c}}};y=de([ee(1,g.ILogService),ee(2,b.ISignService),ee(3,S.IProductService),ee(4,I.IConfigurationService)],y),e.BaseTunnelService=y;let v=class extends y{constructor(d,u,l,n){super(D.nodeSocketFactory,d,u,l,n)}};v=de([ee(0,g.ILogService),ee(1,b.ISignService),ee(2,S.IProductService),ee(3,I.IConfigurationService)],v),e.TunnelService=v;let w=class extends M.Disposable{constructor(d,u,l,n){super();this.logService=d,this.productService=u,this.signService=l,this.configurationService=n,this._tunnelServices=new Map}async openTunnel(d,u,l,n,r,i,s,o){if(this.logService.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${l}:${n} on local port ${r}.`),!this._tunnelServices.has(d)){const a=new v(this.logService,this.signService,this.productService,this.configurationService);this._register(a),this._tunnelServices.set(d,a),a.onTunnelClosed(async()=>{(await a.tunnels).length===0&&(a.dispose(),this._tunnelServices.delete(d))})}return this._tunnelServices.get(d).openTunnel(u,l,n,r,i,s,o)}};w=de([ee(0,g.ILogService),ee(1,S.IProductService),ee(2,b.ISignService),ee(3,I.IConfigurationService)],w),e.SharedTunnelsService=w}),define(J[46],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var t;(function(R){R.Uninitialized="uninitialized",R.Idle="idle",R.CheckingForUpdates="checking for updates",R.AvailableForDownload="available for download",R.Downloading="downloading",R.Downloaded="downloaded",R.Updating="updating",R.Ready="ready"})(t=e.StateType||(e.StateType={}));var D;(function(R){R[R.Setup=0]="Setup",R[R.Archive=1]="Archive",R[R.Snap=2]="Snap"})(D=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(R,M)=>({type:"idle",updateType:R,error:M}),CheckingForUpdates:R=>({type:"checking for updates",explicit:R}),AvailableForDownload:R=>({type:"available for download",update:R}),Downloading:R=>({type:"downloading",update:R}),Downloaded:R=>({type:"downloaded",update:R}),Updating:R=>({type:"updating",update:R}),Ready:R=>({type:"ready",update:R})},e.IUpdateService=(0,E.createDecorator)("updateService")}),define(J[224],Z([0,1,4,163,60,44]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),R.Registry.as(D.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:(0,t.localize)(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:(0,t.localize)(1,null),tags:["usesOnlineServices"],enumDescriptions:[(0,t.localize)(2,null),(0,t.localize)(3,null),(0,t.localize)(4,null),(0,t.localize)(5,null)],policy:{name:"UpdateMode",minimumVersion:"1.67"}},"update.channel":{type:"string",default:"default",scope:1,description:(0,t.localize)(6,null),deprecationMessage:(0,t.localize)(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:(0,t.localize)(8,null),description:(0,t.localize)(9,null),included:E.isWindows&&!E.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:(0,t.localize)(10,null),tags:["usesOnlineServices"]}}})}),define(J[225],Z([0,1,3,46]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class D{constructor(I){this.service=I}listen(I,g){switch(g){case"onStateChange":return this.service.onStateChange}throw new Error(`Event not found: ${g}`)}call(I,g,S){switch(g){case"checkForUpdates":return this.service.checkForUpdates(S);case"downloadUpdate":return this.service.downloadUpdate();case"applyUpdate":return this.service.applyUpdate();case"quitAndInstall":return this.service.quitAndInstall();case"_getInitialState":return Promise.resolve(this.service.state);case"isLatestVersion":return this.service.isLatestVersion()}throw new Error(`Call not found: ${g}`)}}e.UpdateChannel=D;class R{constructor(I){this.channel=I,this._onStateChange=new E.Emitter,this.onStateChange=this._onStateChange.event,this._state=t.State.Uninitialized,this.channel.listen("onStateChange")(g=>this.state=g),this.channel.call("_getInitialState").then(g=>this.state=g)}get state(){return this._state}set state(I){this._state=I,this._onStateChange.fire(I)}checkForUpdates(I){return this.channel.call("checkForUpdates",I)}downloadUpdate(){return this.channel.call("downloadUpdate")}applyUpdate(){return this.channel.call("applyUpdate")}quitAndInstall(){return this.channel.call("quitAndInstall")}isLatestVersion(){return this.channel.call("isLatestVersion")}}e.UpdateChannelClient=R}),define(J[87],Z([0,1,8,22,3,17,26,21,6,20,61,46]),function($,e,E,t,D,R,M,I,g,S,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function b(h,y,v){return`${v.updateUrl}/api/update/${h}/${y}/${v.commit}`}e.createUpdateURL=b;let p=class{constructor(y,v,w,m,d,u){this.lifecycleMainService=y,this.configurationService=v,this.environmentMainService=w,this.requestService=m,this.logService=d,this.productService=u,this._state=P.State.Uninitialized,this._onStateChange=new D.Emitter,this.onStateChange=this._onStateChange.event}get state(){return this._state}setState(y){this.logService.info("update#setState",y.type),this._state=y,this._onStateChange.fire(y)}initialize(){if(!this.environmentMainService.isBuilt)return;if(this.environmentMainService.disableUpdates){this.logService.info("update#ctor - updates are disabled by the environment");return}if(!this.productService.updateUrl||!this.productService.commit){this.logService.info("update#ctor - updates are disabled as there is no update URL");return}const y=this.getUpdateMode(),v=this.getProductQuality(y);if(!v){this.logService.info("update#ctor - updates are disabled by user preference");return}if(this.url=this.buildUpdateFeedUrl(v),!this.url){this.logService.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.setState(P.State.Idle(this.getUpdateType())),y==="manual"){this.logService.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}y==="start"?(this.logService.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(!1),30*1e3)):this.scheduleCheckForUpdates(30*1e3).then(void 0,w=>this.logService.error(w))}getUpdateMode(){return(0,R.getMigratedSettingValue)(this.configurationService,"update.mode","update.channel")}getProductQuality(y){return y==="none"?void 0:this.productService.quality}scheduleCheckForUpdates(y=60*60*1e3){return(0,E.timeout)(y).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(y){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(y)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}async doDownloadUpdate(y){}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}async doApplyUpdate(){}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(y=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${y}`),!y&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}async isLatestVersion(){return this.url?await this.getUpdateMode()==="none"?!1:(await this.requestService.request({url:this.url},t.CancellationToken.None)).res.statusCode===204:void 0}getUpdateType(){return 1}doQuitAndInstall(){}};p=de([ee(0,I.ILifecycleMainService),ee(1,R.IConfigurationService),ee(2,M.IEnvironmentMainService),ee(3,C.IRequestService),ee(4,g.ILogService),ee(5,S.IProductService)],p),e.AbstractUpdateService=p}),define(J[226],Z([0,1,14,51,3,2,17,26,21,6,20,61,35,46,87]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let y=class extends h.AbstractUpdateService{constructor(w,m,d,u,l,n,r){super(w,m,u,l,n,r);this.telemetryService=d,this.disposables=new R.DisposableStore}get onRawError(){return D.Event.fromNodeEventEmitter(E.autoUpdater,"error",(w,m)=>m)}get onRawUpdateNotAvailable(){return D.Event.fromNodeEventEmitter(E.autoUpdater,"update-not-available")}get onRawUpdateAvailable(){return D.Event.fromNodeEventEmitter(E.autoUpdater,"update-available",(w,m,d)=>({url:m,version:d,productVersion:d}))}get onRawUpdateDownloaded(){return D.Event.fromNodeEventEmitter(E.autoUpdater,"update-downloaded",(w,m,d,u)=>({releaseNotes:m,version:d,productVersion:d,date:u}))}initialize(){super.initialize(),this.onRawError(this.onError,this,this.disposables),this.onRawUpdateAvailable(this.onUpdateAvailable,this,this.disposables),this.onRawUpdateDownloaded(this.onUpdateDownloaded,this,this.disposables),this.onRawUpdateNotAvailable(this.onUpdateNotAvailable,this,this.disposables)}onError(w){this.logService.error("UpdateService error:",w);const d=(this.state.type==="checking for updates"?this.state.explicit:!0)?w:void 0;this.setState(p.State.Idle(1,d))}buildUpdateFeedUrl(w){let m;this.productService.darwinUniversalAssetId?m=this.productService.darwinUniversalAssetId:m=process.arch==="x64"?"darwin":"darwin-arm64";const d=(0,h.createUpdateURL)(m,w,this.productService);try{E.autoUpdater.setFeedURL({url:d})}catch(u){this.logService.error("Failed to set update feed URL",u);return}return d}doCheckForUpdates(w){this.setState(p.State.CheckingForUpdates(w)),E.autoUpdater.checkForUpdates()}onUpdateAvailable(w){this.state.type==="checking for updates"&&this.setState(p.State.Downloading(w))}onUpdateDownloaded(w){this.state.type==="downloading"&&(this.telemetryService.publicLog2("update:downloaded",{version:w.version}),this.setState(p.State.Ready(w)))}onUpdateNotAvailable(){this.state.type==="checking for updates"&&(this.telemetryService.publicLog2("update:notAvailable",{explicit:this.state.explicit}),this.setState(p.State.Idle(1)))}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),E.autoUpdater.quitAndInstall()}dispose(){this.disposables.dispose()}};de([t.memoize],y.prototype,"onRawError",null),de([t.memoize],y.prototype,"onRawUpdateNotAvailable",null),de([t.memoize],y.prototype,"onRawUpdateAvailable",null),de([t.memoize],y.prototype,"onRawUpdateDownloaded",null),y=de([ee(0,g.ILifecycleMainService),ee(1,M.IConfigurationService),ee(2,b.ITelemetryService),ee(3,I.IEnvironmentMainService),ee(4,P.IRequestService),ee(5,S.ILogService),ee(6,C.IProductService)],y),e.DarwinUpdateService=y}),define(J[227],Z([0,1,42,27,8,3,9,26,21,6,35,46]),function($,e,E,t,D,R,M,I,g,S,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let b=class{constructor(y,v,w){if(this.lifecycleMainService=y,this.logService=w,this._state=P.State.Uninitialized,this._onStateChange=new R.Emitter,this.onStateChange=this._onStateChange.event,v.disableUpdates){this.logService.info("update#ctor - updates are disabled");return}this.setState(P.State.Idle(this.getUpdateType())),this.scheduleCheckForUpdates(30*1e3).then(void 0,m=>this.logService.error(m))}get state(){return this._state}setState(y){this.logService.info("update#setState",y.type),this._state=y,this._onStateChange.fire(y)}scheduleCheckForUpdates(y=60*60*1e3){return(0,D.timeout)(y).then(()=>this.checkForUpdates(!1)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(y){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(y)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}doDownloadUpdate(y){return Promise.resolve(void 0)}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}doApplyUpdate(){return Promise.resolve(void 0)}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(y=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${y}`),!y&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}getUpdateType(){return 2}doQuitAndInstall(){}};b=de([ee(0,g.ILifecycleMainService),ee(1,I.IEnvironmentMainService),ee(2,S.ILogService)],b);let p=class extends b{constructor(y,v,w,m,d,u){super(w,m,d);this.snap=y,this.snapRevision=v,this.telemetryService=u;const l=(0,t.watch)(M.dirname(this.snap)),n=R.Event.fromNodeEventEmitter(l,"change",(o,a)=>a),r=R.Event.filter(n,o=>o==="current"),s=R.Event.debounce(r,(o,a)=>a,2e3)(()=>this.checkForUpdates(!1));w.onWillShutdown(()=>{s.dispose(),l.close()})}doCheckForUpdates(){this.setState(P.State.CheckingForUpdates(!1)),this.isUpdateAvailable().then(y=>{y?this.setState(P.State.Ready({version:"something",productVersion:"something"})):(this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(P.State.Idle(2)))},y=>{this.logService.error(y),this.telemetryService.publicLog2("update:notAvailable",{explicit:!1}),this.setState(P.State.Idle(2,y.message||y))})}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),(0,E.spawn)("sleep 3 && "+M.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async isUpdateAvailable(){const y=await new Promise((w,m)=>(0,t.realpath)(`${M.dirname(this.snap)}/current`,(d,u)=>d?m(d):w(u))),v=M.basename(y);return this.snapRevision!==v}isLatestVersion(){return this.isUpdateAvailable().then(void 0,y=>{this.logService.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};p=de([ee(2,g.ILifecycleMainService),ee(3,I.IEnvironmentMainService),ee(4,S.ILogService),ee(5,C.ITelemetryService)],p),e.SnapUpdateService=p}),define(J[72],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,E.createDecorator)("IUriIdentityService")}),define(J[228],Z([0,1,72,180,16,15,122,3,2]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class S{constructor(b){this.uri=b,this.time=S._clock++}touch(){return this.time=S._clock++,this}}S._clock=0;let C=class{constructor(b){this._fileService=b,this._dispooables=new g.DisposableStore,this._limit=2**16;const p=new Map,h=y=>{let v=p.get(y.scheme);return v===void 0&&(v=b.hasProvider(y)&&!this._fileService.hasCapability(y,1024),p.set(y.scheme,v)),v};this._dispooables.add(I.Event.any(b.onDidChangeFileSystemProviderRegistrations,b.onDidChangeFileSystemProviderCapabilities)(y=>{p.delete(y.scheme)})),this.extUri=new R.ExtUri(h),this._canonicalUris=new M.SkipList((y,v)=>this.extUri.compare(y,v,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(b){this._fileService.hasProvider(b)&&(b=(0,R.normalizePath)(b));const p=this._canonicalUris.get(b);return p?p.touch().uri.with({fragment:b.fragment}):(this._canonicalUris.set(b,new S(b)),this._checkTrim(),b)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const b=[...this._canonicalUris.entries()].sort((h,y)=>h[1].touch<y[1].touch?1:h[1].touch>y[1].touch?-1:0);S._clock=0,this._canonicalUris.clear();const p=this._limit*.5;for(let h=0;h<p;h++)this._canonicalUris.set(b[h][0],b[h][1].touch())}};C=de([ee(0,D.IFileService)],C),e.UriIdentityService=C,(0,t.registerSingleton)(E.IUriIdentityService,C,!0)}),define(J[108],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=(0,E.createDecorator)("urlService")}),define(J[229],Z([0,1,7]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class t{constructor(I){this.handler=I}listen(I,g){throw new Error(`Event not found: ${g}`)}call(I,g,S){switch(g){case"handleURL":return this.handler.handleURL(E.URI.revive(S[0]),S[1])}throw new Error(`Call not found: ${g}`)}}e.URLHandlerChannel=t;class D{constructor(I){this.channel=I}handleURL(I,g){return this.channel.call("handleURL",[I.toJSON(),g])}}e.URLHandlerChannelClient=D;class R{constructor(I){this.next=I}async routeCall(I,g,S,C){if(g!=="handleURL")throw new Error(`Call not found: ${g}`);if(S){const P=E.URI.revive(S);if(P&&P.query){const b=/\bwindowId=(\d+)/.exec(P.query);if(b){const p=b[1],h=new RegExp(`window:${p}`),y=I.connections.find(v=>h.test(v.ctx));if(y)return y}}}return this.next.routeCall(I,g,S,C)}routeEvent(I,g){throw new Error(`Event not found: ${g}`)}}e.URLHandlerRouter=R}),define(J[230],Z([0,1,8,2,7,20]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class M extends t.Disposable{constructor(){super(...arguments);this.handlers=new Set}open(S,C){const P=[...this.handlers.values()];return(0,E.first)(P.map(b=>()=>b.handleURL(S,C)),void 0,!1).then(b=>b||!1)}registerHandler(S){return this.handlers.add(S),(0,t.toDisposable)(()=>this.handlers.delete(S))}}e.AbstractURLService=M;let I=class extends M{constructor(S){super();this.productService=S}create(S){let{authority:C,path:P,query:b,fragment:p}=S||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return C&&P&&P.indexOf("/")!==0&&(P=`/${P}`),D.URI.from({scheme:this.productService.urlProtocol,authority:C,path:P,query:b,fragment:p})}};I=de([ee(0,R.IProductService)],I),e.NativeURLService=I}),define(J[231],Z([0,1,14,8,3,2,4,7]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;function g(C){try{return I.URI.parse(C)}catch{return null}}class S{constructor(P,b,p,h,y){if(this.urlService=b,this.uris=[],this.retryCount=0,this.flushDisposable=R.Disposable.None,this.disposables=new R.DisposableStore,this.uris=P,M.isWindows){const m=h.isBuilt?[]:[`"${h.appRoot}"`];m.push("--open-url","--"),E.app.setAsDefaultProtocolClient(y.urlProtocol,process.execPath,m)}const v=D.Event.map(D.Event.fromNodeEventEmitter(E.app,"open-url",(m,d)=>({event:m,url:d})),({event:m,url:d})=>(m.preventDefault(),d));this.disposables.add(v(m=>{const d=g(m);!d||this.urlService.open(d,{originalUrl:m})})),p.getWindows().filter(m=>m.isReady).length>0?this.flush():D.Event.once(p.onDidSignalReadyWindow)(this.flush,this,this.disposables)}async flush(){if(this.retryCount++>10)return;const P=[];for(const b of this.uris)await this.urlService.open(b.uri,{originalUrl:b.url})||P.push(b);P.length!==0&&(this.uris=P,this.flushDisposable=(0,t.disposableTimeout)(()=>this.flush(),500))}dispose(){this.disposables.dispose(),this.flushDisposable.dispose()}}e.ElectronURLListener=S}),define(J[40],Z([0,1,55,3,2,15,13,7,164,39,16,5,6]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=e.toUserDataProfile=e.EXTENSIONS_RESOURCE_NAME=e.reviveProfile=e.IUserDataProfilesService=e.PROFILES_ENABLEMENT_CONFIG=e.isUserDataProfile=void 0;function p(w){const m=w;return!!(m&&typeof m=="object"&&typeof m.id=="string"&&typeof m.isDefault=="boolean"&&typeof m.name=="string"&&I.URI.isUri(m.location)&&I.URI.isUri(m.globalStorageHome)&&I.URI.isUri(m.settingsResource)&&I.URI.isUri(m.keybindingsResource)&&I.URI.isUri(m.tasksResource)&&I.URI.isUri(m.snippetsHome)&&((0,M.isUndefined)(m.extensionsResource)||I.URI.isUri(m.extensionsResource)))}e.isUserDataProfile=p,e.PROFILES_ENABLEMENT_CONFIG="workbench.experimental.settingsProfiles.enabled",e.IUserDataProfilesService=(0,P.createDecorator)("IUserDataProfilesService");function h(w,m){return{id:w.id,isDefault:w.isDefault,name:w.name,location:I.URI.revive(w.location).with({scheme:m}),globalStorageHome:I.URI.revive(w.globalStorageHome).with({scheme:m}),settingsResource:I.URI.revive(w.settingsResource).with({scheme:m}),keybindingsResource:I.URI.revive(w.keybindingsResource).with({scheme:m}),tasksResource:I.URI.revive(w.tasksResource).with({scheme:m}),snippetsHome:I.URI.revive(w.snippetsHome).with({scheme:m}),extensionsResource:I.URI.revive(w.extensionsResource)?.with({scheme:m})}}e.reviveProfile=h,e.EXTENSIONS_RESOURCE_NAME="extensions.json";function y(w,m,d){return{id:(0,E.hash)(m.path).toString(16),name:w,location:m,isDefault:!1,globalStorageHome:(0,R.joinPath)(m,"globalStorage"),settingsResource:(0,R.joinPath)(m,"settings.json"),keybindingsResource:(0,R.joinPath)(m,"keybindings.json"),tasksResource:(0,R.joinPath)(m,"tasks.json"),snippetsHome:(0,R.joinPath)(m,"snippets"),extensionsResource:(0,R.joinPath)(m,e.EXTENSIONS_RESOURCE_NAME),useDefaultFlags:d}}e.toUserDataProfile=y;let v=class extends D.Disposable{constructor(m,d,u){super();this.environmentService=m,this.fileService=d,this.logService=u,this._profiles=[this.createDefaultUserDataProfile(!1)],this._onDidChangeProfiles=this._register(new t.Emitter),this.onDidChangeProfiles=this._onDidChangeProfiles.event,this.profilesHome=(0,R.joinPath)(this.environmentService.userRoamingDataHome,"profiles")}get defaultProfile(){return this.profiles[0]}get profiles(){return this._profiles}createDefaultUserDataProfile(m){const d=y((0,g.localize)(0,null),this.environmentService.userRoamingDataHome);return{...d,isDefault:!0,extensionsResource:m?d.extensionsResource:void 0}}createProfile(m,d,u){throw new Error("Not implemented")}setProfileForWorkspace(m,d){throw new Error("Not implemented")}getProfile(m){throw new Error("Not implemented")}removeProfile(m){throw new Error("Not implemented")}};v=de([ee(0,S.IEnvironmentService),ee(1,C.IFileService),ee(2,b.ILogService)],v),e.UserDataProfilesService=v}),define(J[232],Z([0,1,14,38,2,33,12,9,4,7,30,39,6,40]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProtocolMainService=void 0;let h=class extends D.Disposable{constructor(v,w,m){super();this.logService=m,this.validRoots=R.TernarySearchTree.forPaths(!g.isLinux),this.validExtensions=new Set([".svg",".png",".jpg",".jpeg",".gif",".bmp",".webp"]),this.addValidFileRoot(v.appRoot),this.addValidFileRoot(v.extensionsPath),this.addValidFileRoot(w.defaultProfile.globalStorageHome.fsPath),this.addValidFileRoot(v.workspaceStorageHome.fsPath),this.handleProtocols()}handleProtocols(){const{defaultSession:v}=E.session;v.protocol.registerFileProtocol(M.Schemas.vscodeFileResource,(w,m)=>this.handleResourceRequest(w,m)),v.protocol.interceptFileProtocol(M.Schemas.file,(w,m)=>this.handleFileRequest(w,m)),this._register((0,D.toDisposable)(()=>{v.protocol.unregisterProtocol(M.Schemas.vscodeFileResource),v.protocol.uninterceptProtocol(M.Schemas.file)}))}addValidFileRoot(v){const w=(0,I.normalize)(v);return this.validRoots.get(w)?D.Disposable.None:(this.validRoots.set(w,!0),(0,D.toDisposable)(()=>this.validRoots.delete(w)))}handleFileRequest(v,w){const m=S.URI.parse(v.url);return this.logService.error(`Refused to load resource ${m.fsPath} from ${M.Schemas.file}: protocol (original URL: ${v.url})`),w({error:-3})}handleResourceRequest(v,w){const m=this.requestToNormalizedFilePath(v);return this.validRoots.findSubstr(m)?w({path:m}):this.validExtensions.has((0,I.extname)(m))?w({path:m}):(this.logService.error(`${M.Schemas.vscodeFileResource}: Refused to load resource ${m} from ${M.Schemas.vscodeFileResource}: protocol (original URL: ${v.url})`),w({error:-3}))}requestToNormalizedFilePath(v){const w=S.URI.parse(v.url),m=M.FileAccess.asFileUri(w);return(0,I.normalize)(m.fsPath)}createIPCObjectUrl(){let v;const w=S.URI.from({scheme:"vscode",path:(0,C.generateUuid)()}),m=w.toString(),d=async()=>v;return t.validatedIpcMain.handle(m,d),this.logService.trace(`IPC Object URL: Registered new channel ${m}.`),{resource:w,update:u=>v=u,dispose:()=>{this.logService.trace(`IPC Object URL: Removed channel ${m}.`),t.validatedIpcMain.removeHandler(m)}}}};h=de([ee(0,P.INativeEnvironmentService),ee(1,p.IUserDataProfilesService),ee(2,b.ILogService)],h),e.ProtocolMainService=h}),define(J[233],Z([0,1,14,38,8,3,2,12,13,96,26,21,6,58,59,62,41,40,37]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let d=class extends M.Disposable{constructor(l,n,r,i,s,o,a,c,f){super();this.machineId=l,this.userEnv=n,this.environmentMainService=r,this.userDataProfilesService=i,this.lifecycleMainService=s,this.logService=o,this.policyService=a,this.themeMainService=c,this.protocolMainService=f,this.firstWindowConnectionBarrier=new D.Barrier,this.window=void 0,this.windowCloseListener=void 0,this._onDidError=this._register(new R.Emitter),this.onDidError=R.Event.buffer(this._onDidError.event),this._whenReady=void 0,this._whenIpcReady=void 0,this.registerListeners()}registerListeners(){t.validatedIpcMain.on("vscode:createSharedProcessMessageChannel",(l,n)=>this.onWindowConnection(l,n)),t.validatedIpcMain.on("vscode:relaySharedProcessWorkerMessageChannel",(l,n)=>this.onWorkerConnection(l,n)),this._register(this.lifecycleMainService.onWillShutdown(()=>this.onWillShutdown()))}async onWindowConnection(l,n){this.logService.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.firstWindowConnectionBarrier.isOpen()||this.firstWindowConnectionBarrier.open(),await this.whenReady();const r=await this.connect();if(l.sender.isDestroyed())return r.close();l.sender.postMessage("vscode:createSharedProcessMessageChannelResult",n,[r])}onWorkerConnection(l,n){this.logService.trace("SharedProcess: onWorkerConnection",n);const r=new M.DisposableStore,i=o=>{!this.isAlive()||(this.logService.trace(`SharedProcess: disposing worker (reason: '${o}')`,n),r.dispose(),this.send("vscode:electron-main->shared-process=disposeWorker",n))},s=E.BrowserWindow.fromId(n.reply.windowId);if(!s||s.isDestroyed()||s.webContents.isDestroyed()||!n.reply.channel){i("unavailable");return}r.add(R.Event.filter(this.lifecycleMainService.onWillLoadWindow,o=>o.window.win===s)(()=>i("load"))),r.add(R.Event.fromNodeEventEmitter(s,"closed")(()=>i("closed"))),s.webContents.postMessage(n.reply.channel,n.reply.nonce,l.ports)}onWillShutdown(){const l=this.window;!l||(this.send("vscode:electron-main->shared-process=exit"),this.windowCloseListener&&(l.removeListener("close",this.windowCloseListener),this.windowCloseListener=void 0),setTimeout(()=>{try{l.close()}catch{}this.window=void 0},0))}send(l,...n){if(!this.isAlive()){this.logService.warn(`Sending IPC message to channel '${l}' for shared process window that is destroyed`);return}try{this.window?.webContents.send(l,...n)}catch(r){this.logService.warn(`Error sending IPC message to channel '${l}' of shared process: ${(0,v.toErrorMessage)(r)}`)}}whenReady(){return this._whenReady||(this._whenReady=new Promise(l=>t.validatedIpcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.logService.trace("SharedProcess: Overall ready"),l()}))),this._whenReady}get whenIpcReady(){return this._whenIpcReady||(this._whenIpcReady=(async()=>{await this.firstWindowConnectionBarrier.wait(),this.createWindow(),this.registerWindowListeners(),await new Promise(l=>t.validatedIpcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.logService.trace("SharedProcess: IPC ready"),l()}))})()),this._whenIpcReady}createWindow(){const l=this._register(this.protocolMainService.createIPCObjectUrl());this.window=new E.BrowserWindow({show:!1,backgroundColor:this.themeMainService.getBackgroundColor(),webPreferences:{preload:I.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",$).fsPath,additionalArguments:[`--vscode-window-config=${l.resource.toString()}`,"--vscode-window-kind=shared-process"],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",nodeIntegration:!0,nodeIntegrationInWorker:!0,contextIsolation:!1,enableWebSQL:!1,spellcheck:!1,images:!1,webgl:!1}}),l.update({machineId:this.machineId,windowId:this.window.id,appRoot:this.environmentMainService.appRoot,codeCachePath:this.environmentMainService.codeCachePath,backupWorkspacesPath:this.environmentMainService.backupWorkspacesPath,profiles:this.userDataProfilesService.profiles,userEnv:this.userEnv,args:this.environmentMainService.args,logLevel:this.logService.getLevel(),product:p.default,policiesData:this.policyService.serialize()}),this.window.loadURL(I.FileAccess.asBrowserUri("vs/code/electron-browser/sharedProcess/sharedProcess.html",$).toString(!0))}registerWindowListeners(){!this.window||(this.windowCloseListener=l=>{this.logService.trace("SharedProcess#close prevented"),l.preventDefault(),this.window?.isVisible()&&this.window.hide()},this.window.on("close",this.windowCloseListener),this.window.webContents.on("render-process-gone",(l,n)=>this._onDidError.fire({type:2,details:n})),this.window.on("unresponsive",()=>this._onDidError.fire({type:1})),this.window.webContents.on("did-fail-load",(l,n,r)=>this._onDidError.fire({type:3,details:{reason:r,exitCode:n}})))}async connect(){await this.whenIpcReady;const l=(0,g.assertIsDefined)(this.window);return(0,S.connect)(l)}async toggle(){await this.whenIpcReady,!!this.window&&(this.window.isVisible()?(this.window.webContents.closeDevTools(),this.window.hide()):(this.window.show(),this.window.webContents.openDevTools()))}isVisible(){return this.window?.isVisible()??!1}isAlive(){const l=this.window;return l?!l.isDestroyed()&&!l.webContents.isDestroyed():!1}};d=de([ee(2,C.IEnvironmentMainService),ee(3,w.IUserDataProfilesService),ee(4,P.ILifecycleMainService),ee(5,b.ILogService),ee(6,m.IPolicyService),ee(7,y.IThemeMainService),ee(8,h.IProtocolMainService)],d),e.SharedProcess=d}),define(J[109],Z([0,1,8,3,2,69,13,97,5,40]),function($,e,E,t,D,R,M,I,g,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.isProfileUsingDefaultStorage=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const C="__$__targetStorageMarker";e.IStorageService=(0,g.createDecorator)("storageService");var P;(function(m){m[m.NONE=0]="NONE",m[m.SHUTDOWN=1]="SHUTDOWN"})(P=e.WillSaveStateReason||(e.WillSaveStateReason={}));var b;(function(m){m[m.APPLICATION=-1]="APPLICATION",m[m.PROFILE=0]="PROFILE",m[m.WORKSPACE=1]="WORKSPACE"})(b=e.StorageScope||(e.StorageScope={}));var p;(function(m){m[m.USER=0]="USER",m[m.MACHINE=1]="MACHINE"})(p=e.StorageTarget||(e.StorageTarget={}));class h extends D.Disposable{constructor(d={flushInterval:h.DEFAULT_FLUSH_INTERVAL}){super();this.options=d,this._onDidChangeValue=this._register(new t.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new t.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new t.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new E.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new D.MutableDisposable),this._workspaceKeyTargets=void 0,this._profileKeyTargets=void 0,this._applicationKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,E.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,D.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,R.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,R.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(d,u){if(u===C){switch(d){case-1:this._applicationKeyTargets=void 0;break;case 0:this._profileKeyTargets=void 0;break;case 1:this._workspaceKeyTargets=void 0;break}this._onDidChangeTarget.fire({scope:d})}else this._onDidChangeValue.fire({scope:d,key:u,target:this.getKeyTargets(d)[u]})}emitWillSaveState(d){this._onWillSaveState.fire({reason:d})}get(d,u,l){return this.getStorage(u)?.get(d,l)}getBoolean(d,u,l){return this.getStorage(u)?.getBoolean(d,l)}getNumber(d,u,l){return this.getStorage(u)?.getNumber(d,l)}store(d,u,l,n){if((0,M.isUndefinedOrNull)(u)){this.remove(d,l);return}this.withPausedEmitters(()=>{this.updateKeyTarget(d,l,n),this.getStorage(l)?.set(d,u)})}remove(d,u){this.withPausedEmitters(()=>{this.updateKeyTarget(d,u,void 0),this.getStorage(u)?.delete(d)})}withPausedEmitters(d){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{d()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(d,u){const l=[],n=this.getKeyTargets(d);for(const r of Object.keys(n))n[r]===u&&l.push(r);return l}updateKeyTarget(d,u,l){const n=this.getKeyTargets(u);typeof l=="number"?n[d]!==l&&(n[d]=l,this.getStorage(u)?.set(C,JSON.stringify(n))):typeof n[d]=="number"&&(delete n[d],this.getStorage(u)?.set(C,JSON.stringify(n)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get profileKeyTargets(){return this._profileKeyTargets||(this._profileKeyTargets=this.loadKeyTargets(0)),this._profileKeyTargets}get applicationKeyTargets(){return this._applicationKeyTargets||(this._applicationKeyTargets=this.loadKeyTargets(-1)),this._applicationKeyTargets}getKeyTargets(d){switch(d){case-1:return this.applicationKeyTargets;case 0:return this.profileKeyTargets;default:return this.workspaceKeyTargets}}loadKeyTargets(d){const u=this.get(C,d);if(u)try{return JSON.parse(u)}catch{}return Object.create(null)}isNew(d){return this.getBoolean(e.IS_NEW_KEY,d)===!0}async flush(d=P.NONE){this._onWillSaveState.fire({reason:d});const u=this.getStorage(-1),l=this.getStorage(0),n=this.getStorage(1);switch(d){case P.NONE:await E.Promises.settled([u?.whenFlushed()??Promise.resolve(),l?.whenFlushed()??Promise.resolve(),n?.whenFlushed()??Promise.resolve()]);break;case P.SHUTDOWN:await E.Promises.settled([u?.flush(0)??Promise.resolve(),l?.flush(0)??Promise.resolve(),n?.flush(0)??Promise.resolve()]);break}}async log(){const d=this.getStorage(-1)?.items??new Map,u=this.getStorage(0)?.items??new Map,l=this.getStorage(1)?.items??new Map;return w(d,u,l,this.getLogDetails(-1)??"",this.getLogDetails(0)??"",this.getLogDetails(1)??"")}async switch(d,u){return this.emitWillSaveState(P.NONE),(0,S.isUserDataProfile)(d)?this.switchToProfile(d,u):this.switchToWorkspace(d,u)}canSwitchProfile(d,u){return!(d.id===u.id||y(u)&&y(d))}switchData(d,u,l,n){this.withPausedEmitters(()=>{if(n)for(const[r,i]of d)u.set(r,i);else{const r=new Set;for(const[i,s]of d)r.add(i),u.get(i)!==s&&this.emitDidChangeValue(l,i);for(const[i]of u.items)r.has(i)||this.emitDidChangeValue(l,i)}})}}e.AbstractStorageService=h,h.DEFAULT_FLUSH_INTERVAL=60*1e3;function y(m){return m.isDefault||!!m.useDefaultFlags?.uiState}e.isProfileUsingDefaultStorage=y;class v extends h{constructor(){super();this.applicationStorage=this._register(new I.Storage(new I.InMemoryStorageDatabase)),this.profileStorage=this._register(new I.Storage(new I.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new I.Storage(new I.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(d=>this.emitDidChangeValue(1,d))),this._register(this.profileStorage.onDidChangeStorage(d=>this.emitDidChangeValue(0,d))),this._register(this.applicationStorage.onDidChangeStorage(d=>this.emitDidChangeValue(-1,d)))}getStorage(d){switch(d){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(d){switch(d){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async doInitialize(){}async switchToProfile(){}async switchToWorkspace(){}}e.InMemoryStorageService=v;async function w(m,d,u,l,n,r){const i=U=>{try{return JSON.parse(U)}catch{return U}},s=new Map,o=new Map;m.forEach((U,G)=>{s.set(G,U),o.set(G,i(U))});const a=new Map,c=new Map;d.forEach((U,G)=>{a.set(G,U),c.set(G,i(U))});const f=new Map,k=new Map;u.forEach((U,G)=>{f.set(G,U),k.set(G,i(U))}),console.group(l!==n?`Storage: Application (path: ${l})`:`Storage: Application & Profile (path: ${l}, default profile)`);const L=[];if(s.forEach((U,G)=>{L.push({key:G,value:U})}),console.table(L),console.groupEnd(),console.log(o),l!==n){console.group(`Storage: Profile (path: ${n}, profile specific)`);const U=[];a.forEach((G,ie)=>{U.push({key:ie,value:G})}),console.table(U),console.groupEnd(),console.log(c)}console.group(`Storage: Workspace (path: ${r})`);const T=[];f.forEach((U,G)=>{T.push({key:G,value:U})}),console.table(T),console.groupEnd(),console.log(k)}e.logStorage=w}),define(J[234],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWebviewManagerService=void 0,e.IWebviewManagerService=(0,E.createDecorator)("webviewManagerService")}),define(J[235],Z([0,1,14,2,12,7]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;class M extends t.Disposable{constructor(){super();const g=this.handleWebviewRequest.bind(this);E.protocol.registerFileProtocol(D.Schemas.vscodeWebview,g)}handleWebviewRequest(g,S){try{const C=R.URI.parse(g.url),P=M.validWebviewFilePaths.get(C.path);if(typeof P=="string"){const b=`vs/workbench/contrib/webview/browser/pre/${P}`,p=D.FileAccess.asFileUri(b,$);return S(decodeURIComponent(p.fsPath))}else return S({error:-10})}catch{}return S({error:-2})}}e.WebviewProtocolProvider=M,M.validWebviewFilePaths=new Map([["/index.html","index.html"],["/fake.html","fake.html"],["/service-worker.js","service-worker.js"]])}),define(J[73],Z([0,1,4]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.useWindowControlsOverlay=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function t(C){return!!C.workspaceUri}e.isWorkspaceToOpen=t;function D(C){return!!C.folderUri}e.isFolderToOpen=D;function R(C){return!!C.fileUri}e.isFileToOpen=R;function M(C){const P=I(C),b=C.getValue("window.menuBarVisibility");return b==="default"||P==="native"&&b==="compact"||E.isMacintosh&&E.isNative?"classic":b}e.getMenuBarVisibility=M;function I(C){if(E.isWeb)return"custom";const P=C.getValue("window");if(P){if(E.isMacintosh&&P.nativeTabs===!0||E.isMacintosh&&P.nativeFullScreen===!1)return"native";const h=C.getValue("workbench.colorCustomizations");if(h?.["window.activeBorder"]||h?.["window.inactiveBorder"])return"custom";const y=P.titleBarStyle;if(y==="native"||y==="custom")return y}return E.isLinux?"native":"custom"}e.getTitleBarStyle=I;function g(C,P){return!E.isWindows||E.isWeb||!P.isBuilt||I(C)==="native"?!1:C.getValue("window.experimental.windowControlsOverlay.enabled")}e.useWindowControlsOverlay=g;function S(C=0){return Math.pow(1.2,C)}e.zoomLevelToZoomFactor=S}),define(J[110],Z([0,1]),function($,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowError=e.WindowMode=e.defaultWindowState=e.UnloadReason=e.LoadReason=void 0;var E;(function(I){I[I.INITIAL=1]="INITIAL",I[I.LOAD=2]="LOAD",I[I.RELOAD=3]="RELOAD"})(E=e.LoadReason||(e.LoadReason={}));var t;(function(I){I[I.CLOSE=1]="CLOSE",I[I.QUIT=2]="QUIT",I[I.RELOAD=3]="RELOAD",I[I.LOAD=4]="LOAD"})(t=e.UnloadReason||(e.UnloadReason={}));const D=function(I=1){return{width:1024,height:768,mode:I}};e.defaultWindowState=D;var R;(function(I){I[I.Maximized=0]="Maximized",I[I.Normal=1]="Normal",I[I.Minimized=2]="Minimized",I[I.Fullscreen=3]="Fullscreen"})(R=e.WindowMode||(e.WindowMode={}));var M;(function(I){I[I.UNRESPONSIVE=1]="UNRESPONSIVE",I[I.CRASHED=2]="CRASHED",I[I.LOAD=3]="LOAD"})(M=e.WindowError||(e.WindowError={}))}),define(J[32],Z([0,1,5]),function($,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OpenContext=e.IWindowsMainService=void 0,e.IWindowsMainService=(0,E.createDecorator)("windowsMainService");var t;(function(D){D[D.CLI=0]="CLI",D[D.DOCK=1]="DOCK",D[D.MENU=2]="MENU",D[D.DIALOG=3]="DIALOG",D[D.DESKTOP=4]="DESKTOP",D[D.API=5]="API"})(t=e.OpenContext||(e.OpenContext={}))}),define(J[236],Z([0,1,14,22,3,55,2,30,67,99,6,20,32]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var p;(function(y){y[y.Initial=1]="Initial",y[y.StoredCredentialsUsed=2]="StoredCredentialsUsed",y[y.LoginDialogShown=3]="LoginDialogShown"})(p||(p={}));let h=class extends M.Disposable{constructor(v,w,m,d,u){super();this.logService=v,this.windowsMainService=w,this.credentialsService=m,this.encryptionMainService=d,this.productService=u,this.PROXY_CREDENTIALS_SERVICE_KEY=`${this.productService.urlProtocol}.proxy-credentials`,this.pendingProxyResolve=void 0,this.state=p.Initial,this.sessionCredentials=void 0,this.registerListeners()}registerListeners(){const v=D.Event.fromNodeEventEmitter(E.app,"login",(w,m,d,u,l)=>({event:w,webContents:m,req:d,authInfo:u,callback:l}));this._register(v(this.onLogin,this))}async onLogin({event:v,authInfo:w,req:m,callback:d}){if(!w.isProxy)return;if(!this.pendingProxyResolve&&this.state===p.LoginDialogShown&&m.firstAuthAttempt){this.logService.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}v.preventDefault();let u;if(this.pendingProxyResolve)this.logService.trace("auth#onLogin (proxy) - pending proxy handling found"),u=await this.pendingProxyResolve;else{this.logService.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.pendingProxyResolve=this.resolveProxyCredentials(w);try{u=await this.pendingProxyResolve}finally{this.pendingProxyResolve=void 0}}d(u?.username,u?.password)}async resolveProxyCredentials(v){this.logService.trace("auth#resolveProxyCredentials (proxy) - enter");try{const w=await this.doResolveProxyCredentials(v);if(w)return this.logService.trace("auth#resolveProxyCredentials (proxy) - got credentials"),w;this.logService.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.logService.trace("auth#resolveProxyCredentials (proxy) - exit")}}async doResolveProxyCredentials(v){this.logService.trace("auth#doResolveProxyCredentials - enter",v);const w=String((0,R.hash)({scheme:v.scheme,host:v.host,port:v.port}));let m,d;try{const r=await this.credentialsService.getPassword(this.PROXY_CREDENTIALS_SERVICE_KEY,w);if(r){const i=JSON.parse(await this.encryptionMainService.decrypt(r));m=i.username,d=i.password}}catch(r){this.logService.error(r)}if(this.state!==p.StoredCredentialsUsed&&typeof m=="string"&&typeof d=="string")return this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.state=p.StoredCredentialsUsed,{username:m,password:d};const u=this.windowsMainService.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(!u){this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.logService.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${u.id} to handle proxy login`);const l={authInfo:v,username:this.sessionCredentials?.username??m,password:this.sessionCredentials?.password??d,replyChannel:`vscode:proxyAuthResponse:${(0,I.generateUuid)()}`};u.sendWhenReady("vscode:openProxyAuthenticationDialog",t.CancellationToken.None,l),this.state=p.LoginDialogShown;const n=await new Promise(r=>{const i=async(s,o,a)=>{if(o===l.replyChannel)if(this.logService.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${u.id}`),u.win?.webContents.off("ipc-message",i),a){const c={username:a.username,password:a.password};try{if(a.remember){const f=await this.encryptionMainService.encrypt(JSON.stringify(c));await this.credentialsService.setPassword(this.PROXY_CREDENTIALS_SERVICE_KEY,w,f)}else await this.credentialsService.deletePassword(this.PROXY_CREDENTIALS_SERVICE_KEY,w)}catch(f){this.logService.error(f)}r({username:c.username,password:c.password})}else r(void 0)};u.win?.webContents.on("ipc-message",i)});return this.sessionCredentials=n,n}};h=de([ee(0,C.ILogService),ee(1,b.IWindowsMainService),ee(2,g.ICredentialsMainService),ee(3,S.IEncryptionMainService),ee(4,P.IProductService)],h),e.ProxyAuthHandler=h}),define(J[237],Z([0,1,67,6,39,20,32,191]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CredentialsNativeMainService=void 0;let g=class extends I.BaseCredentialsMainService{constructor(C,P,b,p){super(C);this.environmentMainService=P,this.productService=b,this.windowsMainService=p,this.surfaceKeytarLoadError=h=>{this.windowsMainService.sendToFocused("vscode:showCredentialsError",h.message??h)}}async getSecretStoragePrefix(){return Promise.resolve(this.productService.urlProtocol)}async withKeytar(){if(this._keytarCache)return this._keytarCache;if(this.environmentMainService.disableKeytar)return this.logService.info("Keytar is disabled. Using in-memory credential store instead."),this._keytarCache=new E.InMemoryCredentialsProvider,this._keytarCache;const C=await new Promise((P,b)=>{$(["keytar"],P,b)});return await C.findCredentials("test-keytar-loads"),this._keytarCache=C,this._keytarCache}};g=de([ee(0,t.ILogService),ee(1,D.INativeEnvironmentService),ee(2,R.IProductService),ee(3,M.IWindowsMainService)],g),e.CredentialsNativeMainService=g}),define(J[238],Z([0,1,18,2,3,6,21,78,42,125,8,12,50,4,36,14,32]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostStarter=void 0;const w=y.UtilityProcess,m=typeof w!="undefined";let d=class Rt{constructor(r,i,s){this._logService=r,this._windowsMainService=s,this._shutdown=!1,this._extHosts=new Map,i.onWillShutdown(o=>{this._shutdown=!0,o.join(this._waitForAllExit(6e3))})}dispose(){}_getExtHost(r){const i=this._extHosts.get(r);if(!i)throw new Error("Unknown extension host!");return i}onDynamicStdout(r){return this._getExtHost(r).onStdout}onDynamicStderr(r){return this._getExtHost(r).onStderr}onDynamicMessage(r){return this._getExtHost(r).onMessage}onDynamicError(r){return this._getExtHost(r).onError}onDynamicExit(r){return this._getExtHost(r).onExit}async canUseUtilityProcess(){return m}async createExtensionHost(r){if(this._shutdown)throw(0,E.canceled)();const i=String(++Rt._lastId);let s;if(r){if(!m)throw new Error("Cannot use UtilityProcess!");s=new l(i,this._logService,this._windowsMainService)}else s=new u(i,this._logService);return this._extHosts.set(i,s),s.onExit(({pid:o,code:a,signal:c})=>{this._logService.info(`Extension host with pid ${o} exited with code: ${a}, signal: ${c}.`),setTimeout(()=>{s.dispose(),this._extHosts.delete(i)})}),{id:i}}async start(r,i){if(this._shutdown)throw(0,E.canceled)();return this._getExtHost(r).start(i)}async enableInspectPort(r){if(this._shutdown)throw(0,E.canceled)();const i=this._extHosts.get(r);return i?i.enableInspectPort():!1}async kill(r){if(this._shutdown)throw(0,E.canceled)();const i=this._extHosts.get(r);!i||i.kill()}async _killAllNow(){for(const[,r]of this._extHosts)r.kill()}async _waitForAllExit(r){const i=[];for(const[,s]of this._extHosts)i.push(s.waitForExit(r));return C.Promises.settled(i).then(()=>{})}};d._lastId=0,d=de([ee(0,R.ILogService),ee(1,M.ILifecycleMainService),ee(2,v.IWindowsMainService)],d),e.ExtensionHostStarter=d;let u=class extends t.Disposable{constructor(r,i){super();this.id=r,this._logService=i,this._onStdout=this._register(new D.Emitter),this.onStdout=this._onStdout.event,this._onStderr=this._register(new D.Emitter),this.onStderr=this._onStderr.event,this._onMessage=this._register(new D.Emitter),this.onMessage=this._onMessage.event,this._onError=this._register(new D.Emitter),this.onError=this._onError.event,this._onExit=this._register(new D.Emitter),this.onExit=this._onExit.event,this._process=null,this._hasExited=!1}start(r){p.isCI&&this._logService.info("Calling fork to start extension host...");const i=I.StopWatch.create(!1);this._process=(0,g.fork)(P.FileAccess.asFileUri("bootstrap-fork",$).fsPath,["--type=extensionHost","--skipWorkspaceStorageLock"],(0,b.mixin)({cwd:(0,h.cwd)()},r));const s=i.elapsed(),o=this._process.pid;this._logService.info(`Starting extension host with pid ${o} (fork() took ${s} ms).`);const a=new S.StringDecoder("utf-8");this._process.stdout?.on("data",f=>{const k=typeof f=="string"?f:a.write(f);this._onStdout.fire(k)});const c=new S.StringDecoder("utf-8");this._process.stderr?.on("data",f=>{const k=typeof f=="string"?f:c.write(f);this._onStderr.fire(k)}),this._process.on("message",f=>{this._onMessage.fire(f)}),this._process.on("error",f=>{this._onError.fire({error:(0,E.transformErrorForSerialization)(f)})}),this._process.on("exit",(f,k)=>{this._hasExited=!0,this._onExit.fire({pid:o,code:f,signal:k})})}enableInspectPort(){return this._process?(this._logService.info(`Enabling inspect port on extension host with pid ${this._process.pid}.`),typeof process._debugProcess=="function"?(process._debugProcess(this._process.pid),!0):p.isWindows?!1:(this._process.kill("SIGUSR1"),!0)):!1}kill(){!this._process||(this._logService.info(`Killing extension host with pid ${this._process.pid}.`),this._process.kill())}async waitForExit(r){if(!this._process)return;const i=this._process.pid;this._logService.info(`Waiting for extension host with pid ${i} to exit.`),await Promise.race([D.Event.toPromise(this.onExit),(0,C.timeout)(r)]),this._hasExited||(this._logService.info(`Extension host with pid ${i} did not exit within ${r}ms.`),this._process.kill())}};u=de([ee(1,R.ILogService)],u);let l=class extends t.Disposable{constructor(r,i,s){super();this.id=r,this._logService=i,this._windowsMainService=s,this.onStdout=D.Event.None,this.onStderr=D.Event.None,this.onError=D.Event.None,this._onMessage=this._register(new D.Emitter),this.onMessage=this._onMessage.event,this._onExit=this._register(new D.Emitter),this.onExit=this._onExit.event,this._process=null,this._hasExited=!1}start(r){const i=this._windowsMainService.getWindowById(r.responseWindowId);if(!i){this._logService.info(`UtilityProcess<${this.id}>: Refusing to create new Extension Host UtilityProcess because requesting window cannot be found...`);return}const s=i.win;if(!s||s.isDestroyed()||s.webContents.isDestroyed()){this._logService.info(`UtilityProcess<${this.id}>: Refusing to create new Extension Host UtilityProcess because requesting window cannot be found...`);return}const o=`extensionHost${this.id}`,a=P.FileAccess.asFileUri("bootstrap-fork.js",$).fsPath,c=["--type=extensionHost","--skipWorkspaceStorageLock"],f=r.execArgv||[];f.push("--vscode-utility-kind=extensionHost");const k={...r.env};for(const G of Object.keys(k))k[G]=String(k[G]);this._logService.info(`UtilityProcess<${this.id}>: Creating new...`),this._process=new w(a,c,{serviceName:o,env:k,execArgv:f}),this._register(D.Event.fromNodeEventEmitter(this._process,"spawn")(()=>{this._logService.info(`UtilityProcess<${this.id}>: received spawn event.`)})),this._register(D.Event.fromNodeEventEmitter(this._process,"exit")(G=>{G=G||0,this._logService.info(`UtilityProcess<${this.id}>: received exit event with code ${G}.`),this._hasExited=!0,this._onExit.fire({pid:this._process.pid,code:G,signal:""})}));const L=(G,ie)=>{ie.type==="Utility"&&ie.name===o&&(this._logService.info(`UtilityProcess<${this.id}>: terminated unexpectedly with code ${ie.exitCode}.`),this._hasExited=!0,this._onExit.fire({pid:this._process.pid,code:ie.exitCode,signal:""}))};y.app.on("child-process-gone",L),this._register((0,t.toDisposable)(()=>{y.app.off("child-process-gone",L)}));const{port1:T,port2:U}=new y.MessageChannelMain;this._process.postMessage("port",null,[U]),s.webContents.postMessage(r.responseChannel,r.responseNonce,[T])}enableInspectPort(){return this._process?(this._logService.info(`UtilityProcess<${this.id}>: Enabling inspect port on extension host with pid ${this._process.pid}.`),typeof process._debugProcess=="function"?(process._debugProcess(this._process.pid),!0):p.isWindows?!1:(this._process.kill("SIGUSR1"),!0)):!1}kill(){!this._process||(this._logService.info(`UtilityProcess<${this.id}>: Killing extension host with pid ${this._process.pid}.`),this._process.kill())}async waitForExit(r){if(!this._process)return;const i=this._process.pid;this._logService.info(`UtilityProcess<${this.id}>: Waiting for extension host with pid ${i} to exit.`),await Promise.race([D.Event.toPromise(this.onExit),(0,C.timeout)(r)]),this._hasExited||(this._logService.info(`UtilityProcess<${this.id}>: Extension host with pid ${i} did not exit within ${r}ms, will kill it now.`),this._process.kill())}};l=de([ee(1,R.ILogService),ee(2,v.IWindowsMainService)],l)}),define(J[239],Z([0,1,14,3,2,235,32]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let I=class extends D.Disposable{constructor(S){super();this.windowsMainService=S,this._onFoundInFrame=this._register(new t.Emitter),this.onFoundInFrame=this._onFoundInFrame.event,this._register(new R.WebviewProtocolProvider)}async setIgnoreMenuShortcuts(S,C){let P;if(typeof S.windowId=="number"){const{windowId:b}=S,p=this.windowsMainService.getWindowById(b);if(!p?.win)throw new Error(`Invalid windowId: ${b}`);P=p.win.webContents}else{const{webContentsId:b}=S;if(P=E.webContents.fromId(b),!P)throw new Error(`Invalid webContentsId: ${b}`)}P.isDestroyed()||P.setIgnoreMenuShortcuts(C)}async findInFrame(S,C,P,b){const h=this.getFrameByName(S,C);if(typeof h.findInFrame=="function"){h.findInFrame(P,{findNext:b.findNext,forward:b.forward});const y=(v,w)=>{w.finalUpdate&&(this._onFoundInFrame.fire(w),h.removeListener("found-in-frame",y))};h.on("found-in-frame",y)}}async stopFindInFrame(S,C,P){const p=this.getFrameByName(S,C);typeof p.stopFindInFrame=="function"&&p.stopFindInFrame(P.keepSelection?"keepSelection":"clearSelection")}getFrameByName(S,C){const P=this.windowsMainService.getWindowById(S.windowId);if(!P?.win)throw new Error(`Invalid windowId: ${S}`);const b=P.win.webContents.mainFrame.framesInSubtree.find(p=>p.name===C);if(!b)throw new Error(`Unknown frame: ${C}`);return b}};I=de([ee(0,M.IWindowsMainService)],I),e.WebviewMainService=I}),define(J[240],Z([0,1,8,3,2]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class R extends D.Disposable{constructor({onDidOpenWindow:I,onDidFocusWindow:g,getActiveWindowId:S}){super();this.disposables=this._register(new D.DisposableStore),t.Event.latch(t.Event.any(I,g))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=(0,E.createCancelablePromise)(()=>S()),(async()=>{try{const P=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:P}catch{}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(I){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=I}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=R}),define(J[24],Z([0,1,167,9,33,15,7,5,12]),function($,e,E,t,D,R,M,I,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,I.createDecorator)("contextService");function S(i){const s=i;return typeof s?.id=="string"&&M.URI.isUri(s.uri)}e.isSingleFolderWorkspaceIdentifier=S;function C(i){if(i.configuration)return{id:i.id,configPath:i.configuration};if(i.folders.length===1)return{id:i.id,uri:i.folders[0].uri}}e.toWorkspaceIdentifier=C;function P(i){const s=i;return typeof s?.id=="string"&&M.URI.isUri(s.configPath)}e.isWorkspaceIdentifier=P;function b(i){const s=i;if(s?.uri)return{id:s.id,uri:M.URI.revive(s.uri)};const o=i;if(o?.configPath)return{id:o.id,configPath:M.URI.revive(o.configPath)};if(i?.id)return{id:i.id}}e.reviveIdentifier=b;var p;(function(i){i[i.EMPTY=1]="EMPTY",i[i.FOLDER=2]="FOLDER",i[i.WORKSPACE=3]="WORKSPACE"})(p=e.WorkbenchState||(e.WorkbenchState={}));function h(i){const s=i;return!!(s&&typeof s=="object"&&typeof s.id=="string"&&Array.isArray(s.folders))}e.isWorkspace=h;function y(i){const s=i;return!!(s&&typeof s=="object"&&M.URI.isUri(s.uri)&&typeof s.name=="string"&&typeof s.toResource=="function")}e.isWorkspaceFolder=y;class v{constructor(s,o,a,c,f){this._id=s,this._transient=a,this._configuration=c,this._ignorePathCasing=f,this._foldersMap=D.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=o}update(s){this._id=s.id,this._configuration=s.configuration,this._transient=s.transient,this._ignorePathCasing=s._ignorePathCasing,this.folders=s.folders}get folders(){return this._folders}set folders(s){this._folders=s,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(s){this._configuration=s}getFolder(s){return s&&this._foldersMap.findSubstr(s)||null}updateFoldersMap(){this._foldersMap=D.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const s of this.folders)this._foldersMap.set(s.uri,s)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=v;class w{constructor(s,o){this.raw=o,this.uri=s.uri,this.index=s.index,this.name=s.name}toResource(s){return(0,R.joinPath)(this.uri,s)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=w;function m(i){return new w({uri:i,index:0,name:(0,R.basenameOrAuthority)(i)},{uri:i.toString()})}e.toWorkspaceFolder=m,e.WORKSPACE_EXTENSION="code-workspace";const d=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,E.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function u(i,s){return R.extUriBiasedIgnorePathCase.isEqualOrParent(i,s.untitledWorkspacesHome)}e.isUntitledWorkspace=u;function l(i){let s;return M.URI.isUri(i)?s=i:s=i.configuration,s?.scheme===g.Schemas.tmp}e.isTemporaryWorkspace=l;function n(i,s){return!u(i,s)&&!l(i)}e.isSavedWorkspace=n;function r(i){return(typeof i=="string"?(0,t.extname)(i):(0,R.extname)(i))===d}e.hasWorkspaceFileExtension=r}),define(J[241],Z([0,1,75,27,29,12,9,4,15,7,23,171,17,26,16,6,170,24]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let m=class{constructor(u,l,n){this.configurationService=l,this.logService=n,this.workspaces=[],this.folders=[],this.emptyWindows=[],this.backupUriComparer=g.extUriBiasedIgnorePathCase,this.backupPathComparer={isEqual:(r,i)=>(0,D.isEqual)(r,i,!I.isLinux)},this.backupHome=u.backupHome,this.workspacesJsonPath=u.backupWorkspacesPath}async initialize(){let u;try{u=JSON.parse(await C.Promises.readFile(this.workspacesJsonPath,"utf8"))}catch{u=Object.create(null)}this.emptyWindows=await this.validateEmptyWorkspaces(u.emptyWorkspaceInfos);let l=[];try{Array.isArray(u.rootURIWorkspaces)&&(l=u.rootURIWorkspaces.map(r=>({workspace:{id:r.id,configPath:S.URI.parse(r.configURIPath)},remoteAuthority:r.remoteAuthority})))}catch{}this.workspaces=await this.validateWorkspaces(l);let n=[];try{Array.isArray(u.folderWorkspaceInfos)?n=u.folderWorkspaceInfos.map(r=>({folderUri:S.URI.parse(r.folderUri),remoteAuthority:r.remoteAuthority})):Array.isArray(u.folderURIWorkspaces)&&(n=u.folderURIWorkspaces.map(r=>({folderUri:S.URI.parse(r),remoteAuthority:void 0})))}catch{}this.folders=await this.validateFolders(n),await this.save()}getWorkspaceBackups(){return this.isHotExitOnExitAndWindowClose()?[]:this.workspaces.slice(0)}getFolderBackupPaths(){return this.isHotExitOnExitAndWindowClose()?[]:this.folders.slice(0)}isHotExitEnabled(){return this.getHotExitConfig()!==h.HotExitConfiguration.OFF}isHotExitOnExitAndWindowClose(){return this.getHotExitConfig()===h.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}getHotExitConfig(){return this.configurationService.getValue()?.files?.hotExit||h.HotExitConfiguration.ON_EXIT}getEmptyWindowBackupPaths(){return this.emptyWindows.slice(0)}registerWorkspaceBackupSync(u,l){this.workspaces.some(r=>u.workspace.id===r.workspace.id)||(this.workspaces.push(u),this.saveSync());const n=this.getBackupPath(u.workspace.id);return l&&this.moveBackupFolderSync(n,l),n}moveBackupFolderSync(u,l){if(t.existsSync(u)&&this.convertToEmptyWindowBackupSync(u),t.existsSync(l))try{t.renameSync(l,u)}catch(n){this.logService.error(`Backup: Could not move backup folder to new location: ${n.toString()}`)}}unregisterWorkspaceBackupSync(u){const l=u.id,n=this.workspaces.findIndex(r=>r.workspace.id===l);n!==-1&&(this.workspaces.splice(n,1),this.saveSync())}registerFolderBackupSync(u){return this.folders.some(l=>this.backupUriComparer.isEqual(u.folderUri,l.folderUri))||(this.folders.push(u),this.saveSync()),this.getBackupPath(this.getFolderHash(u))}unregisterFolderBackupSync(u){const l=this.folders.findIndex(n=>this.backupUriComparer.isEqual(u,n.folderUri));l!==-1&&(this.folders.splice(l,1),this.saveSync())}registerEmptyWindowBackupSync(u,l){const n=u||this.getRandomEmptyWindowId();return this.emptyWindows.some(r=>!!r.backupFolder&&this.backupPathComparer.isEqual(r.backupFolder,n))||(this.emptyWindows.push({backupFolder:n,remoteAuthority:l}),this.saveSync()),this.getBackupPath(n)}unregisterEmptyWindowBackupSync(u){const l=this.emptyWindows.findIndex(n=>!!n.backupFolder&&this.backupPathComparer.isEqual(n.backupFolder,u));l!==-1&&(this.emptyWindows.splice(l,1),this.saveSync())}getBackupPath(u){return(0,M.join)(this.backupHome,u)}async validateWorkspaces(u){if(!Array.isArray(u))return[];const l=new Set,n=[];for(const r of u){const i=r.workspace;if(!(0,w.isWorkspaceIdentifier)(i))return[];if(!l.has(i.id)){l.add(i.id);const s=this.getBackupPath(i.id);await this.doHasBackups(s)?i.configPath.scheme!==R.Schemas.file||await C.Promises.exists(i.configPath.fsPath)?n.push(r):await this.convertToEmptyWindowBackup(s):await this.deleteStaleBackup(s)}}return n}async validateFolders(u){if(!Array.isArray(u))return[];const l=[],n=new Set;for(const r of u){const i=r.folderUri,s=this.backupUriComparer.getComparisonKey(i);if(!n.has(s)){n.add(s);const o=this.getBackupPath(this.getFolderHash(r));await this.doHasBackups(o)?i.scheme!==R.Schemas.file||await C.Promises.exists(i.fsPath)?l.push(r):await this.convertToEmptyWindowBackup(o):await this.deleteStaleBackup(o)}}return l}async validateEmptyWorkspaces(u){if(!Array.isArray(u))return[];const l=[],n=new Set;for(const r of u){const i=r.backupFolder;if(typeof i!="string")return[];if(!n.has(i)){n.add(i);const s=this.getBackupPath(i);await this.doHasBackups(s)?l.push(r):await this.deleteStaleBackup(s)}}return l}async deleteStaleBackup(u){try{await C.Promises.exists(u)&&await C.Promises.rm(u,C.RimRafMode.MOVE)}catch(l){this.logService.error(`Backup: Could not delete stale backup: ${l.toString()}`)}}async convertToEmptyWindowBackup(u){let l=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(r=>!!r.backupFolder&&this.backupPathComparer.isEqual(r.backupFolder,l));)l=this.getRandomEmptyWindowId();const n=this.getBackupPath(l);try{await C.Promises.rename(u,n)}catch(r){return this.logService.error(`Backup: Could not rename backup folder: ${r.toString()}`),!1}return this.emptyWindows.push({backupFolder:l}),!0}convertToEmptyWindowBackupSync(u){let l=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(r=>!!r.backupFolder&&this.backupPathComparer.isEqual(r.backupFolder,l));)l=this.getRandomEmptyWindowId();const n=this.getBackupPath(l);try{t.renameSync(u,n)}catch(r){return this.logService.error(`Backup: Could not rename backup folder: ${r.toString()}`),!1}return this.emptyWindows.push({backupFolder:l}),!0}async getDirtyWorkspaces(){const u=[];for(const l of this.workspaces)await this.hasBackups(l)&&u.push(l);for(const l of this.folders)await this.hasBackups(l)&&u.push(l);return u}hasBackups(u){let l;return(0,P.isEmptyWindowBackupInfo)(u)?l=u.backupFolder:(0,v.isFolderBackupInfo)(u)?l=this.getBackupPath(this.getFolderHash(u)):l=this.getBackupPath(u.workspace.id),this.doHasBackups(l)}async doHasBackups(u){try{const l=await C.Promises.readdir(u);for(const n of l)try{if((await C.Promises.readdir((0,M.join)(u,n))).length>0)return!0}catch{}}catch{}return!1}saveSync(){try{(0,C.writeFileSync)(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(u){this.logService.error(`Backup: Could not save workspaces.json: ${u.toString()}`)}}async save(){try{await C.Promises.writeFile(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(u){this.logService.error(`Backup: Could not save workspaces.json: ${u.toString()}`)}}serializeBackups(){return{rootURIWorkspaces:this.workspaces.map(u=>({id:u.workspace.id,configURIPath:u.workspace.configPath.toString(),remoteAuthority:u.remoteAuthority})),folderWorkspaceInfos:this.folders.map(u=>({folderUri:u.folderUri.toString(),remoteAuthority:u.remoteAuthority})),emptyWorkspaceInfos:this.emptyWindows}}getRandomEmptyWindowId(){return(Date.now()+Math.round(Math.random()*1e3)).toString()}getFolderHash(u){const l=u.folderUri;let n;return l.scheme===R.Schemas.file?n=I.isLinux?l.fsPath:l.fsPath.toLowerCase():n=l.toString().toLowerCase(),(0,E.createHash)("md5").update(n).digest("hex")}};m=de([ee(0,p.IEnvironmentMainService),ee(1,b.IConfigurationService),ee(2,y.ILogService)],m),e.BackupMainService=m}),define(J[52],Z([0,1,14,8,55,34,2,79,4,13,23,147,5,6,24]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=(0,b.createDecorator)("dialogMainService");let y=class{constructor(w){this.logService=w,this.windowFileDialogLocks=new Map,this.windowDialogQueues=new Map,this.noWindowDialogueQueue=new t.Queue}pickFileFolder(w,m){return this.doPick({...w,pickFolders:!0,pickFiles:!0,title:(0,P.localize)(0,null)},m)}pickFolder(w,m){return this.doPick({...w,pickFolders:!0,title:(0,P.localize)(1,null)},m)}pickFile(w,m){return this.doPick({...w,pickFiles:!0,title:(0,P.localize)(2,null)},m)}pickWorkspace(w,m){const d=(0,P.localize)(3,null),u=(0,R.mnemonicButtonLabel)((0,P.localize)(4,null)),l=h.WORKSPACE_FILTER;return this.doPick({...w,pickFiles:!0,title:d,filters:l,buttonLabel:u},m)}async doPick(w,m){const d={title:w.title,buttonLabel:w.buttonLabel,filters:w.filters,defaultPath:w.defaultPath};(typeof w.pickFiles=="boolean"||typeof w.pickFolders=="boolean")&&(d.properties=void 0,w.pickFiles&&w.pickFolders&&(d.properties=["multiSelections","openDirectory","openFile","createDirectory"])),d.properties||(d.properties=["multiSelections",w.pickFolders?"openDirectory":"openFile","createDirectory"]),g.isMacintosh&&d.properties.push("treatPackageAsDirectory");const u=await this.showOpenDialog(d,(0,S.withNullAsUndefined)(m||E.BrowserWindow.getFocusedWindow()));if(u&&u.filePaths&&u.filePaths.length>0)return u.filePaths}getWindowDialogQueue(w){if(w){let m=this.windowDialogQueues.get(w.id);return m||(m=new t.Queue,this.windowDialogQueues.set(w.id,m)),m}else return this.noWindowDialogueQueue}showMessageBox(w,m){return this.getWindowDialogQueue(m).queue(async()=>m?E.dialog.showMessageBox(m,w):E.dialog.showMessageBox(w))}async showSaveDialog(w,m){const d=this.acquireFileDialogLock(w,m);if(!d)return this.logService.error("[DialogMainService]: file save dialog is already or will be showing for the window with the same configuration"),{canceled:!0};try{return await this.getWindowDialogQueue(m).queue(async()=>{let u;return m?u=await E.dialog.showSaveDialog(m,w):u=await E.dialog.showSaveDialog(w),u.filePath=this.normalizePath(u.filePath),u})}finally{(0,M.dispose)(d)}}normalizePath(w){return w&&g.isMacintosh&&(w=(0,I.normalizeNFC)(w)),w}normalizePaths(w){return w.map(m=>this.normalizePath(m))}async showOpenDialog(w,m){w.defaultPath&&(await C.Promises.exists(w.defaultPath)||(w.defaultPath=void 0));const d=this.acquireFileDialogLock(w,m);if(!d)return this.logService.error("[DialogMainService]: file open dialog is already or will be showing for the window with the same configuration"),{canceled:!0,filePaths:[]};try{return await this.getWindowDialogQueue(m).queue(async()=>{let u;return m?u=await E.dialog.showOpenDialog(m,w):u=await E.dialog.showOpenDialog(w),u.filePaths=this.normalizePaths(u.filePaths),u})}finally{(0,M.dispose)(d)}}acquireFileDialogLock(w,m){if(!m)return M.Disposable.None;this.logService.trace("[DialogMainService]: request to acquire file dialog lock",w);let d=this.windowFileDialogLocks.get(m.id);d||(d=new Set,this.windowFileDialogLocks.set(m.id,d));const u=(0,D.hash)(w);if(!d.has(u))return this.logService.trace("[DialogMainService]: new file dialog lock created",w),d.add(u),(0,M.toDisposable)(()=>{this.logService.trace("[DialogMainService]: file dialog lock disposed",w),d?.delete(u),d?.size===0&&this.windowFileDialogLocks.delete(m.id)})}};y=de([ee(0,p.ILogService)],y),e.DialogMainService=y}),define(J[242],Z([0,1,3,2,65,24]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class M extends t.Disposable{constructor(g,S){super();this.logService=g,this.storageMainService=S,this.onDidChangeApplicationStorageEmitter=this._register(new E.Emitter),this.mapProfileToOnDidChangeProfileStorageEmitter=new Map,this.registerStorageChangeListeners(S.applicationStorage,this.onDidChangeApplicationStorageEmitter)}registerStorageChangeListeners(g,S){this._register(E.Event.debounce(g.onDidChangeStorage,(C,P)=>(C?C.push(P):C=[P],C),M.STORAGE_CHANGE_DEBOUNCE_TIME)(C=>{C.length&&S.fire(this.serializeStorageChangeEvents(C,g))}))}serializeStorageChangeEvents(g,S){const C=new Map,P=new Set;return g.forEach(b=>{const p=S.get(b.key);typeof p=="string"?C.set(b.key,p):P.add(b.key)}),{changed:Array.from(C.entries()),deleted:Array.from(P.values())}}listen(g,S,C){switch(S){case"onDidChangeStorage":{const P=C.profile?(0,D.revive)(C.profile):void 0;if(!P)return this.onDidChangeApplicationStorageEmitter.event;let b=this.mapProfileToOnDidChangeProfileStorageEmitter.get(P.id);return b||(b=this._register(new E.Emitter),this.registerStorageChangeListeners(this.storageMainService.profileStorage(P),b),this.mapProfileToOnDidChangeProfileStorageEmitter.set(P.id,b)),b.event}}throw new Error(`Event not found: ${S}`)}async call(g,S,C){const P=C.profile?(0,D.revive)(C.profile):void 0,b=(0,R.reviveIdentifier)(C.workspace),p=await this.withStorageInitialized(P,b);switch(S){case"getItems":return Array.from(p.items.entries());case"updateItems":{const h=C;if(h.insert)for(const[y,v]of h.insert)p.set(y,v);h.delete?.forEach(y=>p.delete(y));break}default:throw new Error(`Call not found: ${S}`)}}async withStorageInitialized(g,S){let C;S?C=this.storageMainService.workspaceStorage(S):g?C=this.storageMainService.profileStorage(g):C=this.storageMainService.applicationStorage;try{await C.init()}catch(P){this.logService.error(`StorageIPC#init: Unable to init ${S?"workspace":g?"profile":"application"} storage due to ${P}`)}return C}}e.StorageDatabaseChannel=M,M.STORAGE_CHANGE_DEBOUNCE_TIME=100}),define(J[243],Z([0,1,25,8,3,2,9,78,7,23,97,141,6,109,35,24]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageMain=e.WorkspaceStorageMain=e.ApplicationStorageMain=e.ProfileStorageMain=void 0;class v extends R.Disposable{constructor(r,i){super();this.logService=r,this.fileService=i,this._onDidChangeStorage=this._register(new D.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this._onDidCloseStorage=this._register(new D.Emitter),this.onDidCloseStorage=this._onDidCloseStorage.event,this._storage=new C.Storage(new C.InMemoryStorageDatabase),this.initializePromise=void 0,this.whenInitPromise=new t.DeferredPromise,this.whenInit=this.whenInitPromise.p,this.state=C.StorageState.None}get storage(){return this._storage}init(){return this.initializePromise||(this.initializePromise=(async()=>{if(this.state===C.StorageState.None)try{const r=await this.doCreate();this._storage.dispose(),this._storage=r,this._register(r.onDidChangeStorage(s=>this._onDidChangeStorage.fire({key:s}))),await this.doInit(r);const i=r.getBoolean(p.IS_NEW_KEY);i===void 0?r.set(p.IS_NEW_KEY,!0):i&&r.set(p.IS_NEW_KEY,!1)}catch(r){this.logService.error(`[storage main] initialize(): Unable to init storage due to ${r}`)}finally{this.state=C.StorageState.Initialized,this.whenInitPromise.complete()}})()),this.initializePromise}createLoggingOptions(){return{logTrace:this.logService.getLevel()===b.LogLevel.Trace?r=>this.logService.trace(r):void 0,logError:r=>this.logService.error(r)}}doInit(r){return r.init()}get items(){return this._storage.items}get(r,i){return this._storage.get(r,i)}set(r,i){return this._storage.set(r,i)}delete(r){return this._storage.delete(r)}async close(){const r=new I.StopWatch(!1);await this.doClose(),r.stop(),r.elapsed()>v.LOG_SLOW_CLOSE_THRESHOLD&&await this.logSlowClose(r),this._onDidCloseStorage.fire()}async logSlowClose(r){if(!!this.path)try{const i=(0,E.top)(Array.from(this._storage.items.entries()).map(([o,a])=>({key:o,length:a.length})),(o,a)=>a.length-o.length,5).map(o=>`${o.key}:${o.length}`).join(", "),s=(await this.fileService.stat(g.URI.file(this.path))).size;this.logService.warn(`[storage main] detected slow close() operation: Time: ${r.elapsed()}ms, DB size: ${s}b, Large Keys: ${i}`)}catch(i){this.logService.error("[storage main] figuring out stats for slow DB on close() resulted in an error",i)}}async doClose(){this.initializePromise&&await this.initializePromise,this.state=C.StorageState.Closed,await this._storage.close()}}v.LOG_SLOW_CLOSE_THRESHOLD=2e3;class w extends v{constructor(r,i,s,o){super(s,o);this.profile=r,this.options=i}get path(){if(!this.options.useInMemoryStorage)return(0,M.join)(this.profile.globalStorageHome.fsPath,w.STORAGE_NAME)}async doCreate(){return new C.Storage(new P.SQLiteStorageDatabase(this.path??P.SQLiteStorageDatabase.IN_MEMORY_PATH,{logging:this.createLoggingOptions()}))}}w.STORAGE_NAME="state.vscdb";class m extends w{constructor(r,i,s,o){super(r,i,s,o)}}e.ProfileStorageMain=m;class d extends w{constructor(r,i,s,o){super(i.defaultProfile,r,s,o)}async doInit(r){await super.doInit(r),this.updateTelemetryState(r)}updateTelemetryState(r){r.get(h.firstSessionDateStorageKey,void 0)===void 0&&r.set(h.firstSessionDateStorageKey,new Date().toUTCString());const s=r.get(h.currentSessionDateStorageKey,void 0),o=new Date().toUTCString();r.set(h.lastSessionDateStorageKey,typeof s=="undefined"?null:s),r.set(h.currentSessionDateStorageKey,o)}}e.ApplicationStorageMain=d;class u extends v{constructor(r,i,s,o,a){super(s,a);this.workspace=r,this.options=i,this.environmentService=o}get path(){if(!this.options.useInMemoryStorage)return(0,M.join)(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id,u.WORKSPACE_STORAGE_NAME)}async doCreate(){const{storageFilePath:r,wasCreated:i}=await this.prepareWorkspaceStorageFolder();return new C.Storage(new P.SQLiteStorageDatabase(r,{logging:this.createLoggingOptions()}),{hint:i?C.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async prepareWorkspaceStorageFolder(){if(this.options.useInMemoryStorage)return{storageFilePath:P.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const r=(0,M.join)(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id),i=(0,M.join)(r,u.WORKSPACE_STORAGE_NAME);return await S.Promises.exists(r)?{storageFilePath:i,wasCreated:!1}:(await S.Promises.mkdir(r,{recursive:!0}),this.ensureWorkspaceStorageFolderMeta(r),{storageFilePath:i,wasCreated:!0})}async ensureWorkspaceStorageFolderMeta(r){let i;if((0,y.isSingleFolderWorkspaceIdentifier)(this.workspace)?i={folder:this.workspace.uri.toString()}:(0,y.isWorkspaceIdentifier)(this.workspace)&&(i={workspace:this.workspace.configPath.toString()}),i)try{const s=(0,M.join)(r,u.WORKSPACE_META_NAME);await S.Promises.exists(s)||await S.Promises.writeFile(s,JSON.stringify(i,void 0,2))}catch(s){this.logService.error(`[storage main] ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${s}`)}}}e.WorkspaceStorageMain=u,u.WORKSPACE_STORAGE_NAME="state.vscdb",u.WORKSPACE_META_NAME="workspace.json";class l extends v{get path(){}async doCreate(){return new C.Storage(new C.InMemoryStorageDatabase)}}e.InMemoryStorageMain=l}),define(J[244],Z([0,1,33,65,7,39,16,6,213,72,40,24]),function($,e,E,t,D,R,M,I,g,S,C,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=void 0;let b=class kt extends C.UserDataProfilesService{constructor(h,y,v,w,m){super(v,w,m);this.stateService=h,this.uriIdentityService=y,this.enabled=!1}setEnablement(h){this._profilesObject=void 0,this.enabled=h}get profilesObject(){if(!this._profilesObject){const h=this.enabled?this.getStoredProfiles().map(w=>(0,C.toUserDataProfile)(w.name,w.location,w.useDefaultFlags)):[];let y;const v=new E.ResourceMap;if(h.length){const w=this.getStoredProfileAssociations();if(w.workspaces)for(const[m,d]of Object.entries(w.workspaces)){const u=D.URI.parse(m),l=D.URI.parse(d),n=h.find(r=>this.uriIdentityService.extUri.isEqual(r.location,l));n&&v.set(u,n)}if(w.emptyWindow){const m=D.URI.parse(w.emptyWindow);y=h.find(d=>this.uriIdentityService.extUri.isEqual(d.location,m))}}h.unshift(this.createDefaultUserDataProfile(h.length>0)),this._profilesObject={profiles:h,workspaces:v,emptyWindow:y}}return this._profilesObject}get profiles(){return this.profilesObject.profiles}getProfile(h){const y=this.getWorkspace(h);return(D.URI.isUri(y)?this.profilesObject.workspaces.get(y):this.profilesObject.emptyWindow)??this.defaultProfile}getWorkspace(h){return(0,P.isSingleFolderWorkspaceIdentifier)(h)?h.uri:(0,P.isWorkspaceIdentifier)(h)?h.configPath:"empty-window"}getStoredProfiles(){return(0,t.revive)(this.stateService.getItem(kt.PROFILES_KEY,[]))}getStoredProfileAssociations(){return(0,t.revive)(this.stateService.getItem(kt.PROFILE_ASSOCIATIONS_KEY,{}))}};b.PROFILES_KEY="userDataProfiles",b.PROFILE_ASSOCIATIONS_KEY="profileAssociations",b=de([ee(0,g.IStateService),ee(1,S.IUriIdentityService),ee(2,R.IEnvironmentService),ee(3,M.IFileService),ee(4,I.ILogService)],b),e.UserDataProfilesService=b}),define(J[63],Z([0,1,3,7,39,16,5,6,45,72,40,8,244,15,55]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesMainService=e.IUserDataProfilesMainService=void 0,e.IUserDataProfilesMainService=(0,M.refineServiceDecorator)(C.IUserDataProfilesService);let y=class bt extends b.UserDataProfilesService{constructor(w,m,d,u,l){super(w,m,d,u,l);this.stateMainService=w,this._onWillCreateProfile=this._register(new E.Emitter),this.onWillCreateProfile=this._onWillCreateProfile.event,this._onWillRemoveProfile=this._register(new E.Emitter),this.onWillRemoveProfile=this._onWillRemoveProfile.event}async createProfile(w,m,d){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${C.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(this.getStoredProfiles().some(n=>n.name===w))throw new Error(`Profile with name ${w} already exists`);const u=(0,C.toUserDataProfile)(w,(0,p.joinPath)(this.profilesHome,(0,h.hash)(w).toString(16)),m);await this.fileService.createFolder(u.location);const l=[];return this._onWillCreateProfile.fire({profile:u,join(n){l.push(n)}}),await P.Promises.settled(l),this.updateProfiles([u],[]),d&&await this.setProfileForWorkspace(u,d),u}async setProfileForWorkspace(w,m){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${C.PROFILES_ENABLEMENT_CONFIG}' setting.`);const d=this.profiles.find(u=>u.id===w.id);if(!d)throw new Error(`Profile '${w.name}' does not exist`);this.updateWorkspaceAssociation(m,d)}async unsetWorkspace(w){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${C.PROFILES_ENABLEMENT_CONFIG}' setting.`);this.updateWorkspaceAssociation(w)}async removeProfile(w){if(!this.enabled)throw new Error(`Settings Profiles are disabled. Enable them via the '${C.PROFILES_ENABLEMENT_CONFIG}' setting.`);if(w.isDefault)throw new Error("Cannot remove default profile");const m=this.profiles.find(u=>u.id===w.id);if(!m)throw new Error(`Profile '${w.name}' does not exist`);const d=[];this._onWillRemoveProfile.fire({profile:m,join(u){d.push(u)}}),await P.Promises.settled(d),m.id===this.profilesObject.emptyWindow?.id&&(this.profilesObject.emptyWindow=void 0);for(const u of[...this.profilesObject.workspaces.keys()])m.id===this.profilesObject.workspaces.get(u)?.id&&this.profilesObject.workspaces.delete(u);this.saveStoredProfileAssociations(),this.updateProfiles([],[m]);try{this.profiles.length===1?await this.fileService.del(this.profilesHome,{recursive:!0}):await this.fileService.del(m.location,{recursive:!0})}catch(u){this.logService.error(u)}}updateProfiles(w,m){const d=[];for(const u of[...this.profilesObject.profiles,...w])u.isDefault||m.some(l=>u.id===l.id)||d.push({location:u.location,name:u.name,useDefaultFlags:u.useDefaultFlags});this.stateMainService.setItem(bt.PROFILES_KEY,d),this._profilesObject=void 0,this._onDidChangeProfiles.fire({added:w,removed:m,all:this.profiles})}updateWorkspaceAssociation(w,m){const d=this.getWorkspace(w);t.URI.isUri(d)?(this.profilesObject.workspaces.delete(d),m&&!m.isDefault&&this.profilesObject.workspaces.set(d,m)):this.profilesObject.emptyWindow=m?.isDefault?void 0:m,this.saveStoredProfileAssociations()}saveStoredProfileAssociations(){const w={};for(const[d,u]of this.profilesObject.workspaces.entries())w[d.toString()]=u.location.toString();const m=this.profilesObject.emptyWindow?.location.toString();this.stateMainService.setItem(bt.PROFILE_ASSOCIATIONS_KEY,{workspaces:w,emptyWindow:m}),this._profilesObject=void 0}getStoredProfileAssociations(){const w="workspaceAndProfileInfo",m=this.stateMainService.getItem(w,void 0);if(m){this.stateMainService.removeItem(w);const d=m.reduce((u,{workspace:l,profile:n})=>(u[t.URI.revive(l).toString()]=t.URI.revive(n).toString(),u),{});this.stateMainService.setItem(bt.PROFILE_ASSOCIATIONS_KEY,{workspaces:d})}return super.getStoredProfileAssociations()}};y=de([ee(0,g.IStateMainService),ee(1,S.IUriIdentityService),ee(2,D.IEnvironmentService),ee(3,R.IFileService),ee(4,I.ILogService)],y),e.UserDataProfilesMainService=y}),define(J[245],Z([0,1,2,100,63]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DefaultExtensionsProfileInitHandler=void 0;let R=class extends E.Disposable{constructor(I,g){super();this.defaultExtensionsProfileInitService=I,this._register(g.onWillCreateProfile(S=>{g.profiles.length===1&&S.join(this.defaultExtensionsProfileInitService.initialize())})),this._register(g.onDidChangeProfiles(S=>{g.profiles.length===1&&this.defaultExtensionsProfileInitService.uninitialize()}))}};R=de([ee(0,t.IDefaultExtensionsProfileInitService),ee(1,D.IUserDataProfilesMainService)],R),e.DefaultExtensionsProfileInitHandler=R}),define(J[88],Z([0,1,48,2,39,16,5,21,6,109,243,40,63]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplicationStorageMainService=e.IApplicationStorageMainService=e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=(0,M.createDecorator)("storageMainService");let p=class extends t.Disposable{constructor(v,w,m,d,u){super();this.logService=v,this.environmentService=w,this.userDataProfilesService=m,this.lifecycleMainService=d,this.fileService=u,this.shutdownReason=void 0,this.applicationStorage=this.createApplicationStorage(),this.mapProfileToStorage=new Map,this.mapWorkspaceToStorage=new Map,this.registerListeners()}getStorageOptions(){return{useInMemoryStorage:!!this.environmentService.extensionTestsLocationURI}}registerListeners(){(async()=>{await this.lifecycleMainService.when(3),this.applicationStorage.init()})(),this._register(this.lifecycleMainService.onWillLoadWindow(v=>{v.window.profile&&this.profileStorage(v.window.profile).init(),v.workspace&&this.workspaceStorage(v.workspace).init()})),this._register(this.lifecycleMainService.onWillShutdown(v=>{this.logService.trace("storageMainService#onWillShutdown()"),this.shutdownReason=v.reason,v.join(this.applicationStorage.close());for(const[,w]of this.mapProfileToStorage)v.join(w.close());for(const[,w]of this.mapWorkspaceToStorage)v.join(w.close())})),this._register(this.userDataProfilesService.onWillCreateProfile(v=>{v.join((async()=>{await this.fileService.exists(v.profile.globalStorageHome)||await this.fileService.createFolder(v.profile.globalStorageHome)})())})),this._register(this.userDataProfilesService.onWillRemoveProfile(v=>{const w=this.mapProfileToStorage.get(v.profile.id);w&&v.join(w.close())}))}createApplicationStorage(){this.logService.trace("StorageMainService: creating application storage");const v=new C.ApplicationStorageMain(this.getStorageOptions(),this.userDataProfilesService,this.logService,this.fileService);return(0,E.once)(v.onDidCloseStorage)(()=>{this.logService.trace("StorageMainService: closed application storage")}),v}profileStorage(v){if((0,S.isProfileUsingDefaultStorage)(v))return this.applicationStorage;let w=this.mapProfileToStorage.get(v.id);return w||(this.logService.trace(`StorageMainService: creating profile storage (${v.name})`),w=this.createProfileStorage(v),this.mapProfileToStorage.set(v.id,w),(0,E.once)(w.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed profile storage (${v.name})`),this.mapProfileToStorage.delete(v.id)})),w}createProfileStorage(v){return this.shutdownReason===2?new C.InMemoryStorageMain(this.logService,this.fileService):new C.ProfileStorageMain(v,this.getStorageOptions(),this.logService,this.fileService)}workspaceStorage(v){let w=this.mapWorkspaceToStorage.get(v.id);return w||(this.logService.trace(`StorageMainService: creating workspace storage (${v.id})`),w=this.createWorkspaceStorage(v),this.mapWorkspaceToStorage.set(v.id,w),(0,E.once)(w.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed workspace storage (${v.id})`),this.mapWorkspaceToStorage.delete(v.id)})),w}createWorkspaceStorage(v){return this.shutdownReason===2?new C.InMemoryStorageMain(this.logService,this.fileService):new C.WorkspaceStorageMain(v,this.getStorageOptions(),this.logService,this.environmentService,this.fileService)}};p=de([ee(0,g.ILogService),ee(1,D.IEnvironmentService),ee(2,b.IUserDataProfilesMainService),ee(3,I.ILifecycleMainService),ee(4,R.IFileService)],p),e.StorageMainService=p,e.IApplicationStorageMainService=(0,M.createDecorator)("applicationStorageMainService");let h=class extends S.AbstractStorageService{constructor(v,w){super();this.userDataProfilesService=v,this.storageMainService=w,this.whenReady=this.storageMainService.applicationStorage.whenInit}doInitialize(){return this.storageMainService.applicationStorage.whenInit}getStorage(v){if(v===-1)return this.storageMainService.applicationStorage.storage}getLogDetails(v){if(v===-1)return this.userDataProfilesService.defaultProfile.globalStorageHome.fsPath}shouldFlushWhenIdle(){return!1}switch(){throw new Error("Migrating storage is unsupported from main process")}switchToProfile(){throw new Error("Switching storage profile is unsupported from main process")}switchToWorkspace(){throw new Error("Switching storage workspace is unsupported from main process")}};h=de([ee(0,P.IUserDataProfilesService),ee(1,e.IStorageMainService)],h),e.ApplicationStorageMainService=h}),define(J[111],Z([0,1,15,7,24]),function($,e,E,t,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;function R(g,S,C){for(const b of g){const p=b.openedWorkspace;if((0,D.isWorkspaceIdentifier)(p)){const h=C(p);if(h){if(h.folders.some(y=>E.extUriBiasedIgnorePathCase.isEqualOrParent(S,y.uri)))return b}else if(E.extUriBiasedIgnorePathCase.isEqualOrParent(S,p.configPath))return b}}const P=g.filter(b=>(0,D.isSingleFolderWorkspaceIdentifier)(b.openedWorkspace)&&E.extUriBiasedIgnorePathCase.isEqualOrParent(S,b.openedWorkspace.uri));if(P.length)return P.sort((b,p)=>-(b.openedWorkspace.uri.path.length-p.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=R;function M(g,S){for(const C of g)if((0,D.isWorkspaceIdentifier)(C.openedWorkspace)&&E.extUriBiasedIgnorePathCase.isEqual(C.openedWorkspace.configPath,S)||(0,D.isSingleFolderWorkspaceIdentifier)(C.openedWorkspace)&&E.extUriBiasedIgnorePathCase.isEqual(C.openedWorkspace.uri,S))return C}e.findWindowOnWorkspaceOrFolder=M;function I(g,S){const C=P=>S.some(b=>E.extUriBiasedIgnorePathCase.isEqual(t.URI.file(b),t.URI.file(P)));for(const P of g)if(P.config?.extensionDevelopmentPath?.some(b=>C(b)))return P}e.findWindowOnExtensionDevelopmentPath=I}),define(J[246],Z([0,1,14,2,4,15,7,17,21,6,45,32,110,24]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let h=class Mt extends t.Disposable{constructor(u,l,n,r,i){super();this.windowsMainService=u,this.stateMainService=l,this.lifecycleMainService=n,this.logService=r,this.configurationService=i,this._state=y(this.stateMainService.getItem(Mt.windowsStateStorageKey)),this.lastClosedState=void 0,this.shuttingDown=!1,this.registerListeners()}get state(){return this._state}registerListeners(){E.app.on("browser-window-blur",()=>{this.shuttingDown||this.saveWindowsState()}),this.lifecycleMainService.onBeforeCloseWindow(u=>this.onBeforeCloseWindow(u)),this.lifecycleMainService.onBeforeShutdown(()=>this.onBeforeShutdown()),this.windowsMainService.onDidChangeWindowsCount(u=>{u.newCount-u.oldCount>0&&(this.lastClosedState=void 0)}),this.windowsMainService.onDidDestroyWindow(u=>this.onBeforeCloseWindow(u))}onBeforeShutdown(){this.shuttingDown=!0,this.saveWindowsState()}saveWindowsState(){const u={openedWindows:[],lastPluginDevelopmentHostWindow:this._state.lastPluginDevelopmentHostWindow,lastActiveWindow:this.lastClosedState};if(!u.lastActiveWindow){let r=this.windowsMainService.getLastActiveWindow();(!r||r.isExtensionDevelopmentHost)&&(r=this.windowsMainService.getWindows().find(i=>!i.isExtensionDevelopmentHost)),r&&(u.lastActiveWindow=this.toWindowState(r))}const l=this.windowsMainService.getWindows().find(r=>r.isExtensionDevelopmentHost&&!r.isExtensionTestHost);l&&(u.lastPluginDevelopmentHostWindow=this.toWindowState(l)),this.windowsMainService.getWindowCount()>1&&(u.openedWindows=this.windowsMainService.getWindows().filter(r=>!r.isExtensionDevelopmentHost).map(r=>this.toWindowState(r)));const n=w(u);this.stateMainService.setItem(Mt.windowsStateStorageKey,n),this.shuttingDown&&this.logService.trace("[WindowsStateHandler] onBeforeShutdown",n)}onBeforeCloseWindow(u){if(this.lifecycleMainService.quitRequested)return;const l=this.toWindowState(u);u.isExtensionDevelopmentHost&&!u.isExtensionTestHost?this._state.lastPluginDevelopmentHostWindow=l:!u.isExtensionDevelopmentHost&&u.openedWorkspace&&this._state.openedWindows.forEach(n=>{const r=(0,p.isWorkspaceIdentifier)(u.openedWorkspace)&&n.workspace?.id===u.openedWorkspace.id,i=(0,p.isSingleFolderWorkspaceIdentifier)(u.openedWorkspace)&&n.folderUri&&R.extUriBiasedIgnorePathCase.isEqual(n.folderUri,u.openedWorkspace.uri);(r||i)&&(n.uiState=l.uiState)}),this.windowsMainService.getWindowCount()===1&&(this.lastClosedState=l)}toWindowState(u){return{workspace:(0,p.isWorkspaceIdentifier)(u.openedWorkspace)?u.openedWorkspace:void 0,folderUri:(0,p.isSingleFolderWorkspaceIdentifier)(u.openedWorkspace)?u.openedWorkspace.uri:void 0,backupPath:u.backupPath,remoteAuthority:u.remoteAuthority,uiState:u.serializeWindowState()}}getNewWindowState(u){const l=this.doGetNewWindowState(u),n=this.configurationService.getValue("window");let r;return l.hasDefaultState?r=!!(n?.newWindowDimensions&&["fullscreen","inherit","offset"].indexOf(n.newWindowDimensions)>=0):(r=!!(this.lifecycleMainService.wasRestarted||n?.restoreFullscreen),r&&D.isMacintosh&&this.windowsMainService.getWindows().some(i=>i.isFullScreen)&&(r=!1)),l.mode===3&&!r&&(l.mode=1),l}doGetNewWindowState(u){const l=this.windowsMainService.getLastActiveWindow();if(!u.extensionTestsPath){if(!!u.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const a=u.workspace;if((0,p.isWorkspaceIdentifier)(a)){const f=this.state.openedWindows.filter(k=>k.workspace&&k.workspace.id===a.id).map(k=>k.uiState);if(f.length)return f[0]}if((0,p.isSingleFolderWorkspaceIdentifier)(a)){const f=this.state.openedWindows.filter(k=>k.folderUri&&R.extUriBiasedIgnorePathCase.isEqual(k.folderUri,a.uri)).map(k=>k.uiState);if(f.length)return f[0]}else if(u.backupPath){const f=this.state.openedWindows.filter(k=>k.backupPath===u.backupPath).map(k=>k.uiState);if(f.length)return f[0]}const c=this.lastClosedState||this.state.lastActiveWindow;if(!l&&c)return c.uiState}let n;const r=E.screen.getAllDisplays();if(r.length===1)n=r[0];else{if(D.isMacintosh){const a=E.screen.getCursorScreenPoint();n=E.screen.getDisplayNearestPoint(a)}!n&&l&&(n=E.screen.getDisplayMatching(l.getBounds())),n||(n=E.screen.getPrimaryDisplay()||r[0])}let i=(0,b.defaultWindowState)();i.x=Math.round(n.bounds.x+n.bounds.width/2-i.width/2),i.y=Math.round(n.bounds.y+n.bounds.height/2-i.height/2);const s=this.configurationService.getValue("window");let o=!0;if(s?.newWindowDimensions){if(s.newWindowDimensions==="maximized")i.mode=0,o=!1;else if(s.newWindowDimensions==="fullscreen")i.mode=3,o=!1;else if((s.newWindowDimensions==="inherit"||s.newWindowDimensions==="offset")&&l){const a=l.serializeWindowState();a.mode===3?i.mode=3:i=a,o=i.mode!==3&&s.newWindowDimensions==="offset"}}return o&&(i=this.ensureNoOverlap(i)),i.hasDefaultState=!0,i}ensureNoOverlap(u){if(this.windowsMainService.getWindows().length===0)return u;u.x=typeof u.x=="number"?u.x:0,u.y=typeof u.y=="number"?u.y:0;const l=this.windowsMainService.getWindows().map(n=>n.getBounds());for(;l.some(n=>n.x===u.x||n.y===u.y);)u.x+=30,u.y+=30;return u}};h.windowsStateStorageKey="windowsState",h=de([ee(0,P.IWindowsMainService),ee(1,C.IStateMainService),ee(2,g.ILifecycleMainService),ee(3,S.ILogService),ee(4,I.IConfigurationService)],h),e.WindowsStateHandler=h;function y(d){const u={openedWindows:[]},l=d||{openedWindows:[]};return l.lastActiveWindow&&(u.lastActiveWindow=v(l.lastActiveWindow)),l.lastPluginDevelopmentHostWindow&&(u.lastPluginDevelopmentHostWindow=v(l.lastPluginDevelopmentHostWindow)),Array.isArray(l.openedWindows)&&(u.openedWindows=l.openedWindows.map(n=>v(n))),u}e.restoreWindowsState=y;function v(d){const u={uiState:d.uiState};return d.backupPath&&(u.backupPath=d.backupPath),d.remoteAuthority&&(u.remoteAuthority=d.remoteAuthority),d.folder&&(u.folderUri=M.URI.parse(d.folder)),d.workspaceIdentifier&&(u.workspace={id:d.workspaceIdentifier.id,configPath:M.URI.parse(d.workspaceIdentifier.configURIPath)}),u}function w(d){return{lastActiveWindow:d.lastActiveWindow&&m(d.lastActiveWindow),lastPluginDevelopmentHostWindow:d.lastPluginDevelopmentHostWindow&&m(d.lastPluginDevelopmentHostWindow),openedWindows:d.openedWindows.map(u=>m(u))}}e.getWindowsStateStoreData=w;function m(d){return{workspaceIdentifier:d.workspace&&{id:d.workspace.id,configURIPath:d.workspace.configPath.toString()},folder:d.folderUri&&d.folderUri.toString(),backupPath:d.backupPath,remoteAuthority:d.remoteAuthority,uiState:d.uiState}}}),define(J[89],Z([0,1,29,49,119,34,12,9,4,15,7,5,70,24]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isStoredWorkspaceFolder=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=void 0,e.IWorkspacesService=(0,P.createDecorator)("workspacesService");function h(k){return k.hasOwnProperty("workspace")}e.isRecentWorkspace=h;function y(k){return k.hasOwnProperty("folderUri")}e.isRecentFolder=y;function v(k){return k.hasOwnProperty("fileUri")}e.isRecentFile=v;function w(k){return m(k)||d(k)}e.isStoredWorkspaceFolder=w;function m(k){const L=k;return typeof L?.path=="string"&&(!L.name||typeof L.name=="string")}function d(k){const L=k;return typeof L?.uri=="string"&&(!L.name||typeof L.name=="string")}function u(k,L,T,U,G=!g.isWindows,ie){if(k.scheme!==U.scheme)return{name:T,uri:k.toString(!0)};let ne=L?void 0:ie.relativePath(U,k);if(ne!==void 0)ne.length===0?ne=".":g.isWindows&&k.scheme===M.Schemas.file&&!G&&(ne=ne.replace(/\//g,"\\"));else if(k.scheme===M.Schemas.file)ne=k.fsPath,g.isWindows&&(ne=(0,R.normalizeDriveLetter)(ne),G&&(ne=(0,E.toSlashes)(ne)));else{if(!ie.isEqualAuthority(k.authority,U.authority))return{name:T,uri:k.toString(!0)};ne=k.path}return{name:T,path:ne}}e.getStoredWorkspaceFolder=u;function l(k,L,T){const U=[],G=new Set,ie=T.dirname(L);for(const ne of k){let Y;if(m(ne))ne.path&&(Y=T.resolvePath(ie,ne.path));else if(d(ne))try{Y=C.URI.parse(ne.uri),Y.path[0]!=="/"&&(Y=Y.with({path:"/"+Y.path}))}catch(ae){console.warn(ae)}if(Y){const ae=T.getComparisonKey(Y);if(!G.has(ae)){G.add(ae);const ce=ne.name||T.basenameOrAuthority(Y);U.push(new p.WorkspaceFolder({uri:Y,name:ce,index:U.length},ne))}}}return U}e.toWorkspaceFolders=l;function n(k,L,T,U,G){const ie=r(L,k),ne=G.dirname(L),Y=G.dirname(U),ae=[],ce=i(ie.folders);for(const _ of ie.folders){const B=m(_)?G.resolvePath(ne,_.path):C.URI.parse(_.uri);let X;T?X=!1:X=!m(_)||(0,I.isAbsolute)(_.path),ae.push(u(B,X,_.name,Y,ce,G))}const H={insertSpaces:!1,tabSize:4,eol:g.isLinux||g.isMacintosh?`
`:`\r
`},se=D.setProperty(k,["folders"],ae,H);let W=D.applyEdits(k,se);return(0,S.isEqualAuthority)(ie.remoteAuthority,(0,b.getRemoteAuthority)(U))&&(W=D.applyEdits(W,D.removeProperty(W,["remoteAuthority"],H))),W}e.rewriteWorkspaceFileForNewLocation=n;function r(k,L){const T=t.parse(L);if(T&&Array.isArray(T.folders))T.folders=T.folders.filter(U=>w(U));else throw new Error(`${k} looks like an invalid workspace file.`);return T}function i(k){return g.isWindows?k.some(L=>m(L)&&L.path.indexOf("/")>=0):!0}e.useSlashForPath=i;function s(k){return k.workspace&&typeof k.workspace=="object"&&typeof k.workspace.id=="string"&&typeof k.workspace.configPath=="string"}function o(k){return typeof k.folderUri=="string"}function a(k){return typeof k.fileUri=="string"}function c(k,L){const T={workspaces:[],files:[]};if(k){const U=function(ie,ne){for(let Y=0;Y<ie.length;Y++)try{ne(ie[Y],Y)}catch(ae){L.warn(`Error restoring recent entry ${JSON.stringify(ie[Y])}: ${ae.toString()}. Skip entry.`)}},G=k;Array.isArray(G.entries)&&U(G.entries,ie=>{const ne=ie.label,Y=ie.remoteAuthority;s(ie)?T.workspaces.push({label:ne,remoteAuthority:Y,workspace:{id:ie.workspace.id,configPath:C.URI.parse(ie.workspace.configPath)}}):o(ie)?T.workspaces.push({label:ne,remoteAuthority:Y,folderUri:C.URI.parse(ie.folderUri)}):a(ie)&&T.files.push({label:ne,remoteAuthority:Y,fileUri:C.URI.parse(ie.fileUri)})})}return T}e.restoreRecentlyOpened=c;function f(k){const L={entries:[]};for(const T of k.workspaces)y(T)?L.entries.push({folderUri:T.folderUri.toString(),label:T.label,remoteAuthority:T.remoteAuthority}):L.entries.push({workspace:{id:T.workspace.id,configPath:T.workspace.configPath.toString()},label:T.label,remoteAuthority:T.remoteAuthority});for(const T of k.files)L.entries.push({fileUri:T.fileUri.toString(),label:T.label,remoteAuthority:T.remoteAuthority});return L}e.toStoreData=f}),define(J[112],Z([0,1,75,27,12,4,15]),function($,e,E,t,D,R,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=void 0;function I(S){function C(){let P=S.scheme===D.Schemas.file?(0,M.originalFSPath)(S):S.toString();return R.isLinux||(P=P.toLowerCase()),(0,E.createHash)("md5").update(P).digest("hex")}return{id:C(),configPath:S}}e.getWorkspaceIdentifier=I;function g(S,C){function P(){if(S.scheme!==D.Schemas.file)return(0,E.createHash)("md5").update(S.toString()).digest("hex");if(!C)try{C=(0,t.statSync)(S.fsPath)}catch{return}let p;return R.isLinux?p=C.ino:R.isMacintosh?p=C.birthtime.getTime():R.isWindows&&(typeof C.birthtimeMs=="number"?p=Math.floor(C.birthtimeMs):p=C.birthtime.getTime()),(0,E.createHash)("md5").update(S.fsPath).update(p?String(p):"").digest("hex")}const b=P();if(typeof b=="string")return{id:b,uri:S}}e.getSingleFolderWorkspaceIdentifier=g}),define(J[47],Z([0,1,14,27,3,49,34,2,12,9,4,15,13,23,169,57,52,26,5,6,20,63,111,24,89,112]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n,r,i,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=(0,m.createDecorator)("workspacesManagementMainService");let o=class extends I.Disposable{constructor(c,f,k,L,T,U){super();this.environmentMainService=c,this.logService=f,this.userDataProfilesMainService=k,this.backupMainService=L,this.dialogMainService=T,this.productService=U,this.untitledWorkspacesHome=this.environmentMainService.untitledWorkspacesHome,this._onDidDeleteUntitledWorkspace=this._register(new D.Emitter),this.onDidDeleteUntitledWorkspace=this._onDidDeleteUntitledWorkspace.event,this._onDidEnterWorkspace=this._register(new D.Emitter),this.onDidEnterWorkspace=this._onDidEnterWorkspace.event}resolveLocalWorkspaceSync(c){return this.doResolveLocalWorkspace(c,f=>(0,t.readFileSync)(f,"utf8"))}resolveLocalWorkspace(c){return this.doResolveLocalWorkspace(c,f=>p.Promises.readFile(f,"utf8"))}doResolveLocalWorkspace(c,f){if(!!this.isWorkspacePath(c)&&c.scheme===g.Schemas.file)try{const k=f(c.fsPath);return k instanceof Promise?k.then(L=>this.doResolveWorkspace(c,L),L=>{}):this.doResolveWorkspace(c,k)}catch{return}}isWorkspacePath(c){return(0,r.isUntitledWorkspace)(c,this.environmentMainService)||(0,r.hasWorkspaceFileExtension)(c)}doResolveWorkspace(c,f){try{const k=this.doParseStoredWorkspace(c,f),L=(0,s.getWorkspaceIdentifier)(c);return{id:L.id,configPath:L.configPath,folders:(0,i.toWorkspaceFolders)(k.folders,L.configPath,P.extUriBiasedIgnorePathCase),remoteAuthority:k.remoteAuthority,transient:k.transient}}catch(k){this.logService.warn(k.toString())}}doParseStoredWorkspace(c,f){const k=(0,R.parse)(f);if(k&&Array.isArray(k.folders))k.folders=k.folders.filter(L=>(0,i.isStoredWorkspaceFolder)(L));else throw new Error(`${c.toString(!0)} looks like an invalid workspace file.`);return k}async createUntitledWorkspace(c,f){const{workspace:k,storedWorkspace:L}=this.newUntitledWorkspace(c,f),T=k.configPath.fsPath;return await p.Promises.mkdir((0,S.dirname)(T),{recursive:!0}),await p.Promises.writeFile(T,JSON.stringify(L,null,"	")),k}createUntitledWorkspaceSync(c,f){const{workspace:k,storedWorkspace:L}=this.newUntitledWorkspace(c,f),T=k.configPath.fsPath;return(0,t.mkdirSync)((0,S.dirname)(T),{recursive:!0}),(0,p.writeFileSync)(T,JSON.stringify(L,null,"	")),k}newUntitledWorkspace(c=[],f){const k=(Date.now()+Math.round(Math.random()*1e3)).toString(),L=(0,P.joinPath)(this.untitledWorkspacesHome,k),T=(0,P.joinPath)(L,r.UNTITLED_WORKSPACE_NAME),U=[];for(const G of c)U.push((0,i.getStoredWorkspaceFolder)(G.uri,!0,G.name,L,!C.isWindows,P.extUriBiasedIgnorePathCase));return{workspace:(0,s.getWorkspaceIdentifier)(T),storedWorkspace:{folders:U,remoteAuthority:f}}}async getWorkspaceIdentifier(c){return(0,s.getWorkspaceIdentifier)(c)}isUntitledWorkspace(c){return(0,r.isUntitledWorkspace)(c.configPath,this.environmentMainService)}deleteUntitledWorkspaceSync(c){!this.isUntitledWorkspace(c)||(this.doDeleteUntitledWorkspaceSync(c),this.userDataProfilesMainService.unsetWorkspace(c),this._onDidDeleteUntitledWorkspace.fire(c))}async deleteUntitledWorkspace(c){this.deleteUntitledWorkspaceSync(c)}doDeleteUntitledWorkspaceSync(c){const f=(0,P.originalFSPath)(c.configPath);try{(0,p.rimrafSync)((0,S.dirname)(f));const k=(0,S.join)(this.environmentMainService.workspaceStorageHome.fsPath,c.id);(0,t.existsSync)(k)&&(0,p.writeFileSync)((0,S.join)(k,"obsolete"),"")}catch(k){this.logService.warn(`Unable to delete untitled workspace ${f} (${k}).`)}}getUntitledWorkspacesSync(){const c=[];try{const f=(0,p.readdirSync)(this.untitledWorkspacesHome.fsPath).map(k=>(0,P.joinPath)(this.untitledWorkspacesHome,k,r.UNTITLED_WORKSPACE_NAME));for(const k of f){const L=(0,s.getWorkspaceIdentifier)(k),T=this.resolveLocalWorkspaceSync(k);T?c.push({workspace:L,remoteAuthority:T.remoteAuthority}):this.doDeleteUntitledWorkspaceSync(L)}}catch(f){f.code!=="ENOENT"&&this.logService.warn(`Unable to read folders in ${this.untitledWorkspacesHome} (${f}).`)}return c}async enterWorkspace(c,f,k){if(!c||!c.win||!c.isReady||!await this.isValidTargetWorkspacePath(c,f,k))return;const T=this.doEnterWorkspace(c,(0,s.getWorkspaceIdentifier)(k));if(!!T)return this._onDidEnterWorkspace.fire({window:c,workspace:T.workspace}),T}async isValidTargetWorkspacePath(c,f,k){if(!k)return!0;if((0,r.isWorkspaceIdentifier)(c.openedWorkspace)&&P.extUriBiasedIgnorePathCase.isEqual(c.openedWorkspace.configPath,k))return!1;if((0,n.findWindowOnWorkspaceOrFolder)(f,k)){const L={title:this.productService.nameLong,type:"info",buttons:[(0,M.mnemonicButtonLabel)((0,h.localize)(0,null))],message:(0,h.localize)(1,null,(0,P.basename)(k)),detail:(0,h.localize)(2,null),noLink:!0,defaultId:0};return await this.dialogMainService.showMessageBox(L,(0,b.withNullAsUndefined)(E.BrowserWindow.getFocusedWindow())),!1}return!0}doEnterWorkspace(c,f){if(!c.config)return;c.focus();let k;return c.config.extensionDevelopmentPath||(k=this.backupMainService.registerWorkspaceBackupSync({workspace:f,remoteAuthority:c.remoteAuthority},c.config.backupPath)),(0,r.isWorkspaceIdentifier)(c.openedWorkspace)&&this.isUntitledWorkspace(c.openedWorkspace)&&this.deleteUntitledWorkspaceSync(c.openedWorkspace),c.config.workspace=f,c.config.backupPath=k,{workspace:f,backupPath:k}}};o=de([ee(0,w.IEnvironmentMainService),ee(1,d.ILogService),ee(2,l.IUserDataProfilesMainService),ee(3,y.IBackupMainService),ee(4,v.IDialogMainService),ee(5,u.IProductService)],o),e.WorkspacesManagementMainService=o}),define(J[113],Z([0,1,38,22,5,32,24,47]),function($,e,E,t,D,R,M,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsMainService=e.IDiagnosticsMainService=e.ID=void 0,e.ID="diagnosticsMainService",e.IDiagnosticsMainService=(0,D.createDecorator)(e.ID);let g=class{constructor(C,P){this.windowsMainService=C,this.workspacesManagementMainService=P}async getRemoteDiagnostics(C){const P=this.windowsMainService.getWindows();return(await Promise.all(P.map(p=>new Promise(h=>{const y=p.remoteAuthority;if(y){const v=`vscode:getDiagnosticInfoResponse${p.id}`,w={includeProcesses:C.includeProcesses,folders:C.includeWorkspaceMetadata?this.getFolderURIs(p):void 0};p.sendWhenReady("vscode:getDiagnosticInfo",t.CancellationToken.None,{replyChannel:v,args:w}),E.validatedIpcMain.once(v,(m,d)=>{d||h({hostName:y,errorMessage:`Unable to resolve connection to '${y}'.`}),h(d)}),setTimeout(()=>{h({hostName:y,errorMessage:`Connection to '${y}' could not be established`})},5e3)}else h(void 0)})))).filter(p=>!!p)}getFolderURIs(C){const P=[],b=C.openedWorkspace;if((0,M.isSingleFolderWorkspaceIdentifier)(b))P.push(b.uri);else if((0,M.isWorkspaceIdentifier)(b)){const p=this.workspacesManagementMainService.resolveLocalWorkspaceSync(b.configPath);p&&p.folders.forEach(y=>{P.push(y.uri)})}return P}};g=de([ee(0,R.IWindowsMainService),ee(1,I.IWorkspacesManagementMainService)],g),e.DiagnosticsMainService=g}),define(J[114],Z([0,1,14,25,4,13,7,23,17,56,5,6,108,32,24,47]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=(0,C.createDecorator)(e.ID);let v=class{constructor(m,d,u,l,n){this.logService=m,this.windowsMainService=d,this.urlService=u,this.workspacesManagementMainService=l,this.configurationService=n}async start(m,d){this.logService.trace("Received data from other instance: ",m,d),D.isMacintosh&&E.app.focus({steal:!0});const u=this.parseOpenUrl(m);if(u.length){let l=Promise.resolve();this.windowsMainService.getWindowCount()===0&&(l=this.windowsMainService.openEmptyWindow({context:4})[0].ready()),l.then(()=>{for(const{uri:n,url:r}of u)this.urlService.open(n,{originalUrl:r})})}else return this.startOpenWindow(m,d)}parseOpenUrl(m){return m["open-url"]&&m._urls&&m._urls.length>0?(0,t.coalesce)(m._urls.map(d=>{try{return{uri:M.URI.parse(d),url:d}}catch{return null}})):[]}async startOpenWindow(m,d){const u=(0,S.isLaunchedFromCli)(d)?0:4;let l=[];const n=m.wait&&m.waitMarkerFilePath?M.URI.file(m.waitMarkerFilePath):void 0,r=m.remote||void 0,i={context:u,cli:m,userEnv:d,waitMarkerFileURI:n,remoteAuthority:r};if(m.extensionDevelopmentPath)this.windowsMainService.openExtensionDevelopmentHostWindow(m.extensionDevelopmentPath,i);else if(!m._.length&&!m["folder-uri"]&&!m["file-uri"]){let s=!1;if(m["new-window"]||m["unity-launch"])s=!0;else if(m["reuse-window"])s=!1;else switch(this.configurationService.getValue("window")?.openWithoutArgumentsInNewWindow||"default"){case"on":s=!0;break;case"off":s=!1;break;default:s=!D.isMacintosh}if(s)l=this.windowsMainService.open({...i,forceNewWindow:!0,forceEmpty:!0});else{const o=this.windowsMainService.getLastActiveWindow();o?(this.windowsMainService.openExistingWindow(o,i),l=[o]):l=this.windowsMainService.open({...i,forceEmpty:!0})}}else l=this.windowsMainService.open({...i,forceNewWindow:m["new-window"],preferNewWindow:!m["reuse-window"]&&!m.wait,forceReuseWindow:m["reuse-window"],diffMode:m.diff,addMode:m.add,noRecentEntry:!!m["skip-add-to-recently-opened"],gotoLineMode:m.goto});if(n&&l.length===1&&l[0])return Promise.race([l[0].whenClosedOrLoaded,(0,I.whenDeleted)(n.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.logService.trace("Received request for process ID from other instance."),process.pid}async getMainProcessInfo(){this.logService.trace("Received request for main process info from other instance.");const m=[];return E.BrowserWindow.getAllWindows().forEach(d=>{const u=this.windowsMainService.getWindowById(d.id);u?m.push(this.codeWindowToInfo(u)):m.push(this.browserWindowToInfo(d))}),{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:m,screenReader:!!E.app.accessibilitySupportEnabled,gpuFeatureStatus:E.app.getGPUFeatureStatus()}}getFolderURIs(m){const d=[],u=m.openedWorkspace;if((0,h.isSingleFolderWorkspaceIdentifier)(u))d.push(u.uri);else if((0,h.isWorkspaceIdentifier)(u)){const l=this.workspacesManagementMainService.resolveLocalWorkspaceSync(u.configPath);l&&l.folders.forEach(r=>{d.push(r.uri)})}return d}codeWindowToInfo(m){const d=this.getFolderURIs(m),u=(0,R.assertIsDefined)(m.win);return this.browserWindowToInfo(u,d,m.remoteAuthority)}browserWindowToInfo(m,d=[],u){return{pid:m.webContents.getOSProcessId(),title:m.getTitle(),folderURIs:d,remoteAuthority:u}}};v=de([ee(0,P.ILogService),ee(1,p.IWindowsMainService),ee(2,b.IURLService),ee(3,y.IWorkspacesManagementMainService),ee(4,g.IConfigurationService)],v),e.LaunchMainService=v}),define(J[64],Z([0,1,42,14,28,137,51,3,34,2,12,9,4,7,93,80,23,90,159,52,26,5,21,6,20,62,32,24,47]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n,r,i,s,o,a,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=(0,l.createDecorator)("nativeHostMainService");let f=class extends S.Disposable{constructor(L,T,U,G,ie,ne,Y,ae,ce){super();this.sharedProcess=L,this.windowsMainService=T,this.dialogMainService=U,this.lifecycleMainService=G,this.environmentMainService=ie,this.logService=ne,this.productService=Y,this.themeMainService=ae,this.workspacesManagementMainService=ce,this.onDidOpenWindow=I.Event.map(this.windowsMainService.onDidOpenWindow,H=>H.id),this.onDidMaximizeWindow=I.Event.filter(I.Event.fromNodeEventEmitter(t.app,"browser-window-maximize",(H,se)=>se.id),H=>!!this.windowsMainService.getWindowById(H)),this.onDidUnmaximizeWindow=I.Event.filter(I.Event.fromNodeEventEmitter(t.app,"browser-window-unmaximize",(H,se)=>se.id),H=>!!this.windowsMainService.getWindowById(H)),this.onDidBlurWindow=I.Event.filter(I.Event.fromNodeEventEmitter(t.app,"browser-window-blur",(H,se)=>se.id),H=>!!this.windowsMainService.getWindowById(H)),this.onDidFocusWindow=I.Event.any(I.Event.map(I.Event.filter(I.Event.map(this.windowsMainService.onDidChangeWindowsCount,()=>this.windowsMainService.getLastActiveWindow()),H=>!!H),H=>H.id),I.Event.filter(I.Event.fromNodeEventEmitter(t.app,"browser-window-focus",(H,se)=>se.id),H=>!!this.windowsMainService.getWindowById(H))),this.onDidResumeOS=I.Event.fromNodeEventEmitter(t.powerMonitor,"resume"),this.onDidChangeColorScheme=this.themeMainService.onDidChangeColorScheme,this._onDidChangePassword=this._register(new I.Emitter),this.onDidChangePassword=this._onDidChangePassword.event,this.onDidChangeDisplay=I.Event.debounce(I.Event.any(I.Event.filter(I.Event.fromNodeEventEmitter(t.screen,"display-metrics-changed",(H,se,W)=>W),H=>!(Array.isArray(H)&&H.length===1&&H[0]==="workArea")),I.Event.fromNodeEventEmitter(t.screen,"display-added"),I.Event.fromNodeEventEmitter(t.screen,"display-removed")),()=>{},100)}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.windowsMainService.getWindows().map(T=>({id:T.id,workspace:T.openedWorkspace,title:T.win?.getTitle()??"",filename:T.getRepresentedFilename(),dirty:T.isDocumentEdited()}))}async getWindowCount(L){return this.windowsMainService.getWindowCount()}async getActiveWindowId(L){const T=t.BrowserWindow.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(T)return T.id}openWindow(L,T,U){return Array.isArray(T)?this.doOpenWindow(L,T,U):this.doOpenEmptyWindow(L,T)}async doOpenWindow(L,T,U=Object.create(null)){T.length>0&&this.windowsMainService.open({context:5,contextWindowId:L,urisToOpen:T,cli:this.environmentMainService.args,forceNewWindow:U.forceNewWindow,forceReuseWindow:U.forceReuseWindow,preferNewWindow:U.preferNewWindow,diffMode:U.diffMode,addMode:U.addMode,gotoLineMode:U.gotoLineMode,noRecentEntry:U.noRecentEntry,waitMarkerFileURI:U.waitMarkerFileURI,remoteAuthority:U.remoteAuthority||void 0})}async doOpenEmptyWindow(L,T){this.windowsMainService.openEmptyWindow({context:5,contextWindowId:L},T)}async toggleFullScreen(L){const T=this.windowById(L);T&&T.toggleFullScreen()}async handleTitleDoubleClick(L){const T=this.windowById(L);T&&T.handleTitleDoubleClick()}async isMaximized(L){const T=this.windowById(L);return T?.win?T.win.isMaximized():!1}async maximizeWindow(L){const T=this.windowById(L);T?.win&&T.win.maximize()}async unmaximizeWindow(L){const T=this.windowById(L);T?.win&&T.win.unmaximize()}async minimizeWindow(L){const T=this.windowById(L);T?.win&&T.win.minimize()}async updateTitleBarOverlay(L,T){const U=this.windowById(L);U?.win&&U.win.setTitleBarOverlay({color:T.backgroundColor,symbolColor:T.foregroundColor,height:T.height?T.height-1:void 0})}async focusWindow(L,T){T&&typeof T.windowId=="number"&&(L=T.windowId),this.windowById(L)?.focus({force:T?.force??!1})}async setMinimumSize(L,T,U){const G=this.windowById(L);if(G?.win){const[ie,ne]=G.win.getSize(),[Y,ae]=G.win.getMinimumSize(),[ce,H]=[T??Y,U??ae],[se,W]=[Math.max(ie,ce),Math.max(ne,H)];(Y!==ce||ae!==H)&&G.win.setMinimumSize(ce,H),(ie!==se||ne!==W)&&G.win.setSize(se,W)}}async saveWindowSplash(L,T){this.themeMainService.saveWindowSplash(L,T)}async installShellCommand(L){const{source:T,target:U}=await this.getShellCommandLink();try{const{symbolicLink:G}=await v.SymlinkSupport.stat(T);if(G&&!G.dangling){const ie=await(0,h.realpath)(T);if(U===ie)return}await v.Promises.unlink(T)}catch(G){if(G.code!=="ENOENT")throw G}try{await v.Promises.symlink(U,T)}catch(G){if(G.code!=="EACCES"&&G.code!=="ENOENT")throw G;const{response:ie}=await this.showMessageBox(L,{title:this.productService.nameLong,type:"info",message:(0,m.localize)(0,null,this.productService.nameShort),buttons:[(0,g.mnemonicButtonLabel)((0,m.localize)(1,null)),(0,g.mnemonicButtonLabel)((0,m.localize)(2,null))],noLink:!0,defaultId:0,cancelId:1});if(ie===0)try{const ne=`osascript -e "do shell script \\"mkdir -p /usr/local/bin && ln -sf '${U}' '${T}'\\" with administrator privileges"`;await(0,R.promisify)(E.exec)(ne)}catch{throw new Error((0,m.localize)(3,null,T))}}}async uninstallShellCommand(L){const{source:T}=await this.getShellCommandLink();try{await v.Promises.unlink(T)}catch(U){switch(U.code){case"EACCES":{const{response:G}=await this.showMessageBox(L,{title:this.productService.nameLong,type:"info",message:(0,m.localize)(4,null,this.productService.nameShort),buttons:[(0,g.mnemonicButtonLabel)((0,m.localize)(5,null)),(0,g.mnemonicButtonLabel)((0,m.localize)(6,null))],noLink:!0,defaultId:0,cancelId:1});if(G===0)try{const ie=`osascript -e "do shell script \\"rm '${T}'\\" with administrator privileges"`;await(0,R.promisify)(E.exec)(ie)}catch{throw new Error((0,m.localize)(7,null,T))}break}case"ENOENT":break;default:throw U}}}async getShellCommandLink(){const L=(0,P.resolve)(this.environmentMainService.appRoot,"bin","code"),T=`/usr/local/bin/${this.productService.applicationName}`;if(!await v.Promises.exists(L))throw new Error((0,m.localize)(8,null,L));return{source:T,target:L}}async showMessageBox(L,T){return this.dialogMainService.showMessageBox(T,this.toBrowserWindow(L))}async showSaveDialog(L,T){return this.dialogMainService.showSaveDialog(T,this.toBrowserWindow(L))}async showOpenDialog(L,T){return this.dialogMainService.showOpenDialog(T,this.toBrowserWindow(L))}toBrowserWindow(L){const T=this.windowById(L);if(T?.win)return T.win}async pickFileFolderAndOpen(L,T){const U=await this.dialogMainService.pickFileFolder(T);U&&this.doOpenPicked(await Promise.all(U.map(async G=>await v.SymlinkSupport.existsDirectory(G)?{folderUri:p.URI.file(G)}:{fileUri:p.URI.file(G)})),T,L)}async pickFolderAndOpen(L,T){const U=await this.dialogMainService.pickFolder(T);U&&this.doOpenPicked(U.map(G=>({folderUri:p.URI.file(G)})),T,L)}async pickFileAndOpen(L,T){const U=await this.dialogMainService.pickFile(T);U&&this.doOpenPicked(U.map(G=>({fileUri:p.URI.file(G)})),T,L)}async pickWorkspaceAndOpen(L,T){const U=await this.dialogMainService.pickWorkspace(T);U&&this.doOpenPicked(U.map(G=>({workspaceUri:p.URI.file(G)})),T,L)}doOpenPicked(L,T,U){this.windowsMainService.open({context:3,contextWindowId:U,cli:this.environmentMainService.args,urisToOpen:L,forceNewWindow:T.forceNewWindow})}async showItemInFolder(L,T){t.shell.showItemInFolder(T)}async setRepresentedFilename(L,T){this.windowById(L)?.setRepresentedFilename(T)}async setDocumentEdited(L,T){this.windowById(L)?.setDocumentEdited(T)}async openExternal(L,T){return b.isLinuxSnap?this.safeSnapOpenExternal(T):t.shell.openExternal(T),!0}safeSnapOpenExternal(L){const T=process.env.GDK_PIXBUF_MODULE_FILE,U=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,t.shell.openExternal(L),process.env.GDK_PIXBUF_MODULE_FILE=T,process.env.GDK_PIXBUF_MODULEDIR=U}moveItemToTrash(L,T){return t.shell.trashItem(T)}async isAdmin(){let L;return b.isWindows?L=(await new Promise((T,U)=>{$(["native-is-elevated"],T,U)}))():L=process.getuid()===0,L}async writeElevated(L,T,U,G){const ie=await new Promise((ne,Y)=>{$(["@vscode/sudo-prompt"],ne,Y)});return new Promise((ne,Y)=>{const ae=[`"${this.cliPath}"`];G?.unlock&&ae.push("--file-chmod"),ae.push("--file-write",`"${T.fsPath}"`,`"${U.fsPath}"`);const ce={name:this.productService.nameLong.replace("-",""),icns:b.isMacintosh&&this.environmentMainService.isBuilt?(0,P.join)((0,P.dirname)(this.environmentMainService.appRoot),`${this.productService.nameShort}.icns`):void 0};ie.exec(ae.join(" "),ce,(H,se,W)=>{se&&this.logService.trace(`[sudo-prompt] received stdout: ${se}`),W&&this.logService.trace(`[sudo-prompt] received stderr: ${W}`),H?Y(H):ne(void 0)})})}get cliPath(){return b.isWindows?this.environmentMainService.isBuilt?(0,P.join)((0,P.dirname)(process.execPath),"bin",`${this.productService.applicationName}.cmd`):(0,P.join)(this.environmentMainService.appRoot,"scripts","code-cli.bat"):b.isLinux?this.environmentMainService.isBuilt?(0,P.join)((0,P.dirname)(process.execPath),"bin",`${this.productService.applicationName}`):(0,P.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh"):this.environmentMainService.isBuilt?(0,P.join)(this.environmentMainService.appRoot,"bin","code"):(0,P.join)(this.environmentMainService.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:(0,D.totalmem)(),freemem:(0,D.freemem)(),loadavg:(0,D.loadavg)()}}async getOSProperties(){return{arch:(0,D.arch)(),platform:(0,D.platform)(),release:(0,D.release)(),type:(0,D.type)(),cpus:(0,D.cpus)()}}async getOSVirtualMachineHint(){return y.virtualMachineHint.value()}async getOSColorScheme(){return this.themeMainService.getColorScheme()}async killProcess(L,T,U){process.kill(T,U)}async readClipboardText(L,T){return t.clipboard.readText(T)}async writeClipboardText(L,T,U){return t.clipboard.writeText(T,U)}async readClipboardFindText(L){return t.clipboard.readFindText()}async writeClipboardFindText(L,T){return t.clipboard.writeFindText(T)}async writeClipboardBuffer(L,T,U,G){return t.clipboard.writeBuffer(T,Buffer.from(U),G)}async readClipboardBuffer(L,T){return t.clipboard.readBuffer(T)}async hasClipboard(L,T,U){return t.clipboard.has(T,U)}async newWindowTab(){this.windowsMainService.open({context:5,cli:this.environmentMainService.args,forceNewTabbedWindow:!0,forceEmpty:!0,remoteAuthority:this.environmentMainService.args.remote||void 0})}async showPreviousWindowTab(){t.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){t.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){t.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){t.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){t.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(L,T){this.windowById(L)?.updateTouchBar(T)}async notifyReady(L){const T=this.windowById(L);T&&T.setReady()}async relaunch(L,T){return this.lifecycleMainService.relaunch(T)}async reload(L,T){const U=this.windowById(L);if(U){if((0,a.isWorkspaceIdentifier)(U.openedWorkspace)){const G=U.openedWorkspace.configPath;if(G.scheme===C.Schemas.file&&(await this.workspacesManagementMainService.resolveLocalWorkspace(G))?.transient)return this.openWindow(U.id,{forceReuseWindow:!0})}return this.lifecycleMainService.reload(U,T?.disableExtensions!==void 0?{_:[],"disable-extensions":T.disableExtensions}:void 0)}}async closeWindow(L){this.closeWindowById(L,L)}async closeWindowById(L,T){const U=this.windowById(T);if(U?.win)return U.win.close()}async quit(L){const T=this.windowsMainService.getLastActiveWindow();T?.isExtensionDevelopmentHost&&this.windowsMainService.getWindowCount()>1&&T.win?T.win.close():this.lifecycleMainService.quit()}async exit(L,T){await this.lifecycleMainService.kill(T)}async resolveProxy(L,T){const G=this.windowById(L)?.win?.webContents?.session;if(G)return G.resolveProxy(T)}findFreePort(L,T,U,G,ie=1){return(0,w.findFreePort)(T,U,G,ie)}async openDevTools(L,T){const U=this.windowById(L);U?.win&&U.win.webContents.openDevTools(T)}async toggleDevTools(L){const T=this.windowById(L);T?.win&&T.win.webContents.toggleDevTools()}async sendInputEvent(L,T){const U=this.windowById(L);U?.win&&(T.type==="mouseDown"||T.type==="mouseUp")&&U.win.webContents.sendInputEvent(T)}async toggleSharedProcessWindow(){return this.sharedProcess.toggle()}async windowsGetStringRegKey(L,T,U,G){if(!b.isWindows)return;const ie=await new Promise((ne,Y)=>{$(["@vscode/windows-registry"],ne,Y)});try{return ie.GetStringRegKey(T,U,G)}catch{return}}windowById(L){if(typeof L=="number")return this.windowsMainService.getWindowById(L)}};de([M.memoize],f.prototype,"cliPath",null),f=de([ee(1,o.IWindowsMainService),ee(2,d.IDialogMainService),ee(3,n.ILifecycleMainService),ee(4,u.IEnvironmentMainService),ee(5,r.ILogService),ee(6,i.IProductService),ee(7,s.IThemeMainService),ee(8,c.IWorkspacesManagementMainService)],f),e.NativeHostMainService=f}),define(J[247],Z([0,1,14,38,28,34,2,12,4,94,157,83,113,52,26,5,114,6,64,58,20,59,73]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0,e.IIssueMainService=(0,y.createDecorator)("issueMainService");let r=class Lt{constructor(s,o,a,c,f,k,L,T,U,G){this.userEnv=s,this.environmentMainService=o,this.launchMainService=a,this.logService=c,this.diagnosticsService=f,this.diagnosticsMainService=k,this.dialogMainService=L,this.nativeHostMainService=T,this.protocolMainService=U,this.productService=G,this.issueReporterWindow=null,this.issueReporterParentWindow=null,this.processExplorerWindow=null,this.processExplorerParentWindow=null,this.registerListeners()}registerListeners(){t.validatedIpcMain.on("vscode:issueSystemInfoRequest",async s=>{const[o,a]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]),c=await this.diagnosticsService.getSystemInfo(o,a);this.safeSend(s,"vscode:issueSystemInfoResponse",c)}),t.validatedIpcMain.on("vscode:listProcesses",async s=>{const o=[];try{const a=await this.launchMainService.getMainProcessId();o.push({name:(0,C.localize)(0,null),rootProcess:await(0,S.listProcesses)(a)}),(await this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!0})).forEach(f=>{(0,P.isRemoteDiagnosticError)(f)?o.push({name:f.hostName,rootProcess:f}):f.processes&&o.push({name:f.hostName,rootProcess:f.processes})})}catch(a){this.logService.error(`Listing processes failed: ${a}`)}this.safeSend(s,"vscode:listProcessesResponse",o)}),t.validatedIpcMain.on("vscode:issueReporterClipboard",async s=>{const o={title:this.productService.nameLong,message:(0,C.localize)(1,null),type:"warning",buttons:[(0,R.mnemonicButtonLabel)((0,C.localize)(2,null)),(0,R.mnemonicButtonLabel)((0,C.localize)(3,null))],defaultId:0,cancelId:1,noLink:!0};if(this.issueReporterWindow){const a=await this.dialogMainService.showMessageBox(o,this.issueReporterWindow);this.safeSend(s,"vscode:issueReporterClipboardResponse",a.response===0)}}),t.validatedIpcMain.on("vscode:issuePerformanceInfoRequest",async s=>{const o=await this.getPerformanceInfo();this.safeSend(s,"vscode:issuePerformanceInfoResponse",o)}),t.validatedIpcMain.on("vscode:issueReporterConfirmClose",async()=>{const s={title:this.productService.nameLong,message:(0,C.localize)(4,null),type:"warning",buttons:[(0,R.mnemonicButtonLabel)((0,C.localize)(5,null)),(0,R.mnemonicButtonLabel)((0,C.localize)(6,null))],defaultId:0,cancelId:1,noLink:!0};this.issueReporterWindow&&(await this.dialogMainService.showMessageBox(s,this.issueReporterWindow)).response===0&&this.issueReporterWindow&&(this.issueReporterWindow.destroy(),this.issueReporterWindow=null)}),t.validatedIpcMain.on("vscode:workbenchCommand",(s,o)=>{const{id:a,from:c,args:f}=o;let k;switch(c){case"issueReporter":k=this.issueReporterParentWindow;break;case"processExplorer":k=this.processExplorerParentWindow;break;default:throw new Error(`Unexpected command source: ${c}`)}k?.webContents.send("vscode:runAction",{id:a,from:c,args:f})}),t.validatedIpcMain.on("vscode:openExternal",(s,o)=>{this.nativeHostMainService.openExternal(void 0,o)}),t.validatedIpcMain.on("vscode:closeIssueReporter",s=>{this.issueReporterWindow&&this.issueReporterWindow.close()}),t.validatedIpcMain.on("vscode:closeProcessExplorer",s=>{this.processExplorerWindow&&this.processExplorerWindow.close()}),t.validatedIpcMain.on("vscode:windowsInfoRequest",async s=>{const o=await this.launchMainService.getMainProcessInfo();this.safeSend(s,"vscode:windowsInfoResponse",o.windows)})}safeSend(s,o,...a){s.sender.isDestroyed()||s.sender.send(o,...a)}async openReporter(s){if(!this.issueReporterWindow&&(this.issueReporterParentWindow=E.BrowserWindow.getFocusedWindow(),this.issueReporterParentWindow)){const o=new M.DisposableStore,a=o.add(this.protocolMainService.createIPCObjectUrl()),c=this.getWindowPosition(this.issueReporterParentWindow,700,800);this.issueReporterWindow=this.createBrowserWindow(c,a,{backgroundColor:s.styles.backgroundColor,title:(0,C.localize)(7,null),zoomLevel:s.zoomLevel,alwaysOnTop:!1},"issue-reporter"),a.update({appRoot:this.environmentMainService.appRoot,windowId:this.issueReporterWindow.id,userEnv:this.userEnv,data:s,disableExtensions:!!this.environmentMainService.disableExtensions,os:{type:(0,D.type)(),arch:(0,D.arch)(),release:(0,D.release)()},product:d.default}),this.issueReporterWindow.loadURL(I.FileAccess.asBrowserUri("vs/code/electron-sandbox/issue/issueReporter.html",$).toString(!0)),this.issueReporterWindow.on("close",()=>{this.issueReporterWindow=null,o.dispose()}),this.issueReporterParentWindow.on("closed",()=>{this.issueReporterWindow&&(this.issueReporterWindow.close(),this.issueReporterWindow=null,o.dispose())})}this.issueReporterWindow&&this.focusWindow(this.issueReporterWindow)}async openProcessExplorer(s){if(!this.processExplorerWindow&&(this.processExplorerParentWindow=E.BrowserWindow.getFocusedWindow(),this.processExplorerParentWindow)){const o=new M.DisposableStore,a=o.add(this.protocolMainService.createIPCObjectUrl()),c=this.getWindowPosition(this.processExplorerParentWindow,800,500);this.processExplorerWindow=this.createBrowserWindow(c,a,{backgroundColor:s.styles.backgroundColor,title:(0,C.localize)(8,null),zoomLevel:s.zoomLevel,alwaysOnTop:!0},"process-explorer"),a.update({appRoot:this.environmentMainService.appRoot,windowId:this.processExplorerWindow.id,userEnv:this.userEnv,data:s,product:d.default}),this.processExplorerWindow.loadURL(I.FileAccess.asBrowserUri("vs/code/electron-sandbox/processExplorer/processExplorer.html",$).toString(!0)),this.processExplorerWindow.on("close",()=>{this.processExplorerWindow=null,o.dispose()}),this.processExplorerParentWindow.on("close",()=>{this.processExplorerWindow&&(this.processExplorerWindow.close(),this.processExplorerWindow=null,o.dispose())})}this.processExplorerWindow&&this.focusWindow(this.processExplorerWindow)}focusWindow(s){s.isMinimized()&&s.restore(),s.focus()}createBrowserWindow(s,o,a,c){const f=new E.BrowserWindow({fullscreen:!1,skipTaskbar:!0,resizable:!0,width:s.width,height:s.height,minWidth:300,minHeight:200,x:s.x,y:s.y,title:a.title,backgroundColor:a.backgroundColor||Lt.DEFAULT_BACKGROUND_COLOR,webPreferences:{preload:I.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",$).fsPath,additionalArguments:[`--vscode-window-config=${o.resource.toString()}`,`--vscode-window-kind=${c}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,zoomFactor:(0,n.zoomLevelToZoomFactor)(a.zoomLevel),sandbox:!0,contextIsolation:!0},alwaysOnTop:a.alwaysOnTop,experimentalDarkMode:!0});return f.setMenuBarVisibility(!1),f}async getSystemStatus(){const[s,o]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]);return this.diagnosticsService.getDiagnostics(s,o)}getWindowPosition(s,o,a){let c;const f=E.screen.getAllDisplays();if(f.length===1)c=f[0];else{if(g.isMacintosh){const T=E.screen.getCursorScreenPoint();c=E.screen.getDisplayNearestPoint(T)}!c&&s&&(c=E.screen.getDisplayMatching(s.getBounds())),c||(c=E.screen.getPrimaryDisplay()||f[0])}const k={width:o,height:a},L=c.bounds;return k.x=L.x+L.width/2-k.width/2,k.y=L.y+L.height/2-k.height/2,L.width>0&&L.height>0&&(k.x<L.x&&(k.x=L.x),k.y<L.y&&(k.y=L.y),k.x>L.x+L.width&&(k.x=L.x),k.y>L.y+L.height&&(k.y=L.y),k.width>L.width&&(k.width=L.width),k.height>L.height&&(k.height=L.height)),k}async getPerformanceInfo(){try{const[s,o]=await Promise.all([this.launchMainService.getMainProcessInfo(),this.diagnosticsMainService.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]);return await this.diagnosticsService.getPerformanceInfo(s,o)}catch(s){throw this.logService.warn("issueService#getPerformanceInfo ",s.message),s}}};r.DEFAULT_BACKGROUND_COLOR="#1E1E1E",r=de([ee(1,h.IEnvironmentMainService),ee(2,v.ILaunchMainService),ee(3,w.ILogService),ee(4,P.IDiagnosticsService),ee(5,b.IDiagnosticsMainService),ee(6,p.IDialogMainService),ee(7,m.INativeHostMainService),ee(8,l.IProtocolMainService),ee(9,u.IProductService)],r),e.IssueMainService=r}),define(J[248],Z([0,1,22,17,26,21,6,64,20,61,35,46,87]),function($,e,E,t,D,R,M,I,g,S,C,P,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let p=class extends b.AbstractUpdateService{constructor(y,v,w,m,d,u,l,n){super(y,v,m,d,u,n);this.telemetryService=w,this.nativeHostMainService=l}buildUpdateFeedUrl(y){return(0,b.createUpdateURL)(`linux-${process.arch}`,y,this.productService)}doCheckForUpdates(y){!this.url||(this.setState(P.State.CheckingForUpdates(y)),this.requestService.request({url:this.url},E.CancellationToken.None).then(S.asJson).then(v=>{!v||!v.url||!v.version||!v.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!y}),this.setState(P.State.Idle(1))):this.setState(P.State.AvailableForDownload(v))}).then(void 0,v=>{this.logService.error(v),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!y});const w=y?v.message||v:void 0;this.setState(P.State.Idle(1,w))}))}async doDownloadUpdate(y){this.productService.downloadUrl&&this.productService.downloadUrl.length>0?this.nativeHostMainService.openExternal(void 0,this.productService.downloadUrl):y.update.url&&this.nativeHostMainService.openExternal(void 0,y.update.url),this.setState(P.State.Idle(1))}};p=de([ee(0,R.ILifecycleMainService),ee(1,t.IConfigurationService),ee(2,C.ITelemetryService),ee(3,D.IEnvironmentMainService),ee(4,S.IRequestService),ee(5,M.ILogService),ee(6,I.INativeHostMainService),ee(7,g.IProductService)],p),e.LinuxUpdateService=p}),define(J[249],Z([0,1,42,27,28,8,22,51,9,7,123,23,17,26,16,21,6,64,20,61,35,46,87]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function r(a,c=1e3){for(;!a();)await(0,R.timeout)(c)}let i;function s(){return typeof i=="undefined"&&(i=t.existsSync(g.join(g.dirname(process.execPath),"unins000.exe"))?0:1),i}let o=class extends n.AbstractUpdateService{constructor(c,f,k,L,T,U,G,ie,ne){super(c,f,L,T,U,ne);this.telemetryService=k,this.fileService=G,this.nativeHostMainService=ie}get cachePath(){const c=g.join((0,D.tmpdir)(),`vscode-update-${this.productService.target}-${process.arch}`);return P.Promises.mkdir(c,{recursive:!0}).then(()=>c)}buildUpdateFeedUrl(c){let f="win32";return process.arch!=="ia32"&&(f+=`-${process.arch}`),s()===1?f+="-archive":this.productService.target==="user"&&(f+="-user"),(0,n.createUpdateURL)(f,c,this.productService)}doCheckForUpdates(c){!this.url||(this.setState(l.State.CheckingForUpdates(c)),this.requestService.request({url:this.url},M.CancellationToken.None).then(d.asJson).then(f=>{const k=s();return!f||!f.url||!f.version||!f.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!c}),this.setState(l.State.Idle(k)),Promise.resolve(null)):k===1?(this.setState(l.State.AvailableForDownload(f)),Promise.resolve(null)):(this.setState(l.State.Downloading(f)),this.cleanup(f.version).then(()=>this.getUpdatePackagePath(f.version).then(L=>P.Promises.exists(L).then(T=>{if(T)return Promise.resolve(L);const U=f.url,G=f.hash,ie=`${L}.tmp`;return this.requestService.request({url:U},M.CancellationToken.None).then(ne=>this.fileService.writeFile(S.URI.file(ie),ne.stream)).then(G?()=>(0,C.checksum)(ie,f.hash):()=>{}).then(()=>P.Promises.rename(ie,L)).then(()=>L)})).then(L=>{const T=this.configurationService.getValue("update.enableWindowsBackgroundUpdates");this.availableUpdate={packagePath:L},T&&f.supportsFastUpdate?this.productService.target==="user"?this.doApplyUpdate():this.setState(l.State.Downloaded(f)):this.setState(l.State.Ready(f))})))}).then(void 0,f=>{this.logService.error(f),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!c});const k=c?f.message||f:void 0;this.setState(l.State.Idle(s(),k))}))}async doDownloadUpdate(c){c.update.url&&this.nativeHostMainService.openExternal(void 0,c.update.url),this.setState(l.State.Idle(s()))}async getUpdatePackagePath(c){const f=await this.cachePath;return g.join(f,`CodeSetup-${this.productService.quality}-${c}.exe`)}async cleanup(c=null){const f=c?U=>!new RegExp(`${this.productService.quality}-${c}\\.exe$`).test(U):()=>!0,k=await this.cachePath,T=(await P.Promises.readdir(k)).filter(f).map(async U=>{try{await P.Promises.unlink(g.join(k,U))}catch{}});await Promise.all(T)}async doApplyUpdate(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.availableUpdate)return Promise.resolve(void 0);const c=this.state.update;this.setState(l.State.Updating(c));const f=await this.cachePath;this.availableUpdate.updateFilePath=g.join(f,`CodeSetup-${this.productService.quality}-${c.version}.flag`),await P.Promises.writeFile(this.availableUpdate.updateFilePath,"flag"),(0,E.spawn)(this.availableUpdate.packagePath,["/verysilent",`/update="${this.availableUpdate.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.availableUpdate=void 0,this.setState(l.State.Idle(s()))});const L=`${this.productService.win32MutexName}-ready`,T=await new Promise((U,G)=>{$(["windows-mutex"],U,G)});r(()=>T.isActive(L)).then(()=>this.setState(l.State.Ready(c)))}doQuitAndInstall(){this.state.type!=="ready"||!this.availableUpdate||(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.availableUpdate.updateFilePath?t.unlinkSync(this.availableUpdate.updateFilePath):(0,E.spawn)(this.availableUpdate.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}getUpdateType(){return s()}};de([I.memoize],o.prototype,"cachePath",null),o=de([ee(0,y.ILifecycleMainService),ee(1,b.IConfigurationService),ee(2,u.ITelemetryService),ee(3,p.IEnvironmentMainService),ee(4,d.IRequestService),ee(5,v.ILogService),ee(6,h.IFileService),ee(7,w.INativeHostMainService),ee(8,m.IProductService)],o),e.Win32UpdateService=o}),define(J[250],Z([0,1,14,8,22,41,3,34,2,12,9,69,4,7,165,57,17,52,26,56,16,21,6,20,59,219,88,35,222,62,73,32,24,47,110,117,37,40,65]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n,r,i,s,o,a,c,f,k,L,T,U,G,ie,ne,Y,ae){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var ce;(function(se){se[se.NONE=0]="NONE",se[se.NAVIGATING=1]="NAVIGATING",se[se.READY=2]="READY"})(ce||(ce={}));let H=class extends g.Disposable{constructor(W,_,B,X,q,Q,x,A,O,N,j,F,z,K,te,oe,we,fe){super();this.logService=_,this.environmentMainService=B,this.policyService=X,this.userDataProfilesService=q,this.fileService=Q,this.applicationStorageMainService=x,this.storageMainService=A,this.configurationService=O,this.themeMainService=N,this.workspacesManagementMainService=j,this.backupMainService=F,this.telemetryService=z,this.dialogMainService=K,this.lifecycleMainService=te,this.productService=oe,this.protocolMainService=we,this.windowsMainService=fe,this._onWillLoad=this._register(new M.Emitter),this.onWillLoad=this._onWillLoad.event,this._onDidSignalReady=this._register(new M.Emitter),this.onDidSignalReady=this._onDidSignalReady.event,this._onDidClose=this._register(new M.Emitter),this.onDidClose=this._onDidClose.event,this._onDidDestroy=this._register(new M.Emitter),this.onDidDestroy=this._onDidDestroy.event,this._lastFocusTime=-1,this.whenReadyCallbacks=[],this.touchBarGroups=[],this.currentHttpProxy=void 0,this.currentNoProxy=void 0,this.configObjectUrl=this._register(this.protocolMainService.createIPCObjectUrl()),this.wasLoaded=!1,this.readyState=0;{const[Ie,Ee]=this.restoreWindowState(W.state);this.windowState=Ie,this.logService.trace("window#ctor: using window state",Ie);const Pe=this.windowState.mode===0||this.windowState.mode===3,We=this.configurationService.getValue("window"),Ue={width:this.windowState.width,height:this.windowState.height,x:this.windowState.x,y:this.windowState.y,backgroundColor:this.themeMainService.getBackgroundColor(),minWidth:k.WindowMinimumSize.WIDTH,minHeight:k.WindowMinimumSize.HEIGHT,show:!Pe,title:this.productService.nameLong,webPreferences:{preload:S.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",$).fsPath,additionalArguments:[`--vscode-window-config=${this.configObjectUrl.resource.toString()}`],v8CacheOptions:this.environmentMainService.useCodeCache?"bypassHeatCheck":"none",enableWebSQL:!1,spellcheck:!1,zoomFactor:(0,k.zoomLevelToZoomFactor)(We?.zoomLevel),enableBlinkFeatures:"HighlightAPI",...We?.experimental?.useSandbox?{sandbox:!0}:{nodeIntegration:!0,contextIsolation:!1}},experimentalDarkMode:!0};b.isLinux?Ue.icon=(0,C.join)(this.environmentMainService.appRoot,"resources/linux/code.png"):b.isWindows&&!this.environmentMainService.isBuilt&&(Ue.icon=(0,C.join)(this.environmentMainService.appRoot,"resources/win32/code_150x150.png")),b.isMacintosh&&!this.useNativeFullScreen()&&(Ue.fullscreenable=!1),b.isMacintosh&&(Ue.acceptFirstMouse=!0,We?.clickThroughInactive===!1&&(Ue.acceptFirstMouse=!1));const le=b.isMacintosh&&We?.nativeTabs===!0;le&&(Ue.tabbingIdentifier=this.productService.nameShort);const he=(0,k.getTitleBarStyle)(this.configurationService)==="custom";if(he&&(Ue.titleBarStyle="hidden",b.isMacintosh||(Ue.frame=!1),(0,k.useWindowControlsOverlay)(this.configurationService,this.environmentMainService))){const pe=this.themeMainService.getWindowSplash()?.colorInfo.titleBarBackground??this.themeMainService.getBackgroundColor(),ke=ie.Color.fromHex(pe).isDarker()?"#FFFFFF":"#000000";Ue.titleBarOverlay={height:29,color:pe,symbolColor:ke}}if((0,P.mark)("code/willCreateCodeBrowserWindow"),this._win=new E.BrowserWindow(Ue),(0,P.mark)("code/didCreateCodeBrowserWindow"),this._id=this._win.id,b.isMacintosh&&he&&this.updateTrafficLightPosition(),b.isMacintosh&&he&&this._win.setSheetOffset(22),b.isMacintosh&&Ee&&(!le||E.BrowserWindow.getAllWindows().length===1)&&[this.windowState.width,this.windowState.height,this.windowState.x,this.windowState.y].every(pe=>typeof pe=="number")){const pe=this.windowState;this._win.setBounds({width:pe.width,height:pe.height,x:pe.x,y:pe.y})}Pe&&((0,P.mark)("code/willMaximizeCodeWindow"),this._win.maximize(),this.windowState.mode===3&&this.setFullScreen(!0),this._win.show(),(0,P.mark)("code/didMaximizeCodeWindow")),this._lastFocusTime=Date.now()}this.environmentMainService.args["open-devtools"]===!0&&this._win.webContents.openDevTools(),this.onConfigurationUpdated(),this.createTouchBar(),this.registerListeners()}get id(){return this._id}get win(){return this._win}get lastFocusTime(){return this._lastFocusTime}get backupPath(){return this._config?.backupPath}get openedWorkspace(){return this._config?.workspace}get profile(){return this._profile||(this._profile=(0,ae.revive)(this._config?.profiles.current)),this._profile}get remoteAuthority(){return this._config?.remoteAuthority}get config(){return this._config}get isExtensionDevelopmentHost(){return!!this._config?.extensionDevelopmentPath}get isExtensionTestHost(){return!!this._config?.extensionTestsPath}get isExtensionDevelopmentTestFromCli(){return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!this._config?.debugId}setRepresentedFilename(W){b.isMacintosh&&!this.customTrafficLightPosition?this._win.setRepresentedFilename(W):this.representedFilename=W}getRepresentedFilename(){return b.isMacintosh&&!this.customTrafficLightPosition?this._win.getRepresentedFilename():this.representedFilename}setDocumentEdited(W){b.isMacintosh&&this._win.setDocumentEdited(W),this.documentEdited=W}isDocumentEdited(){return b.isMacintosh?this._win.isDocumentEdited():!!this.documentEdited}focus(W){b.isMacintosh&&W?.force&&E.app.focus({steal:!0}),!!this._win&&(this._win.isMinimized()&&this._win.restore(),this._win.focus())}setReady(){for(this.logService.trace(`window#load: window reported ready (id: ${this._id})`),this.readyState=2;this.whenReadyCallbacks.length;)this.whenReadyCallbacks.pop()(this);this._onDidSignalReady.fire()}ready(){return new Promise(W=>{if(this.isReady)return W(this);this.whenReadyCallbacks.push(W)})}get isReady(){return this.readyState===2}get whenClosedOrLoaded(){return new Promise(W=>{function _(){B.dispose(),X.dispose(),W()}const B=this.onDidClose(()=>_()),X=this.onWillLoad(()=>_())})}registerListeners(){this._win.on("unresponsive",()=>this.onWindowError(1)),this._win.webContents.on("render-process-gone",(_,B)=>this.onWindowError(2,B)),this._win.webContents.on("did-fail-load",(_,B,X)=>this.onWindowError(3,{reason:X,exitCode:B})),this._win.webContents.on("will-prevent-unload",_=>{_.preventDefault()}),this._win.on("closed",()=>{this._onDidClose.fire(),this.dispose()}),this._win.webContents.on("did-finish-load",()=>{this.pendingLoadConfig&&(this._config=this.pendingLoadConfig,this.pendingLoadConfig=void 0)}),this._win.on("focus",()=>{this._lastFocusTime=Date.now()}),this._win.on("maximize",_=>{this._config&&(this._config.maximized=!0),E.app.emit("browser-window-maximize",_,this._win)}),this._win.on("unmaximize",_=>{this._config&&(this._config.maximized=!1),E.app.emit("browser-window-unmaximize",_,this._win)}),this._win.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",D.CancellationToken.None)}),this._win.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",D.CancellationToken.None)}),this._register(this.configurationService.onDidChangeConfiguration(_=>this.onConfigurationUpdated(_))),this._register(this.workspacesManagementMainService.onDidDeleteUntitledWorkspace(_=>this.onDidDeleteUntitledWorkspace(_)));const W=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this._win.webContents.session.webRequest.onBeforeSendHeaders({urls:W},async(_,B)=>{const X=await this.getMarketplaceHeaders();B({cancel:!1,requestHeaders:Object.assign(_.requestHeaders,X)})})}getMarketplaceHeaders(){return this.marketplaceHeadersPromise||(this.marketplaceHeadersPromise=(0,s.resolveMarketplaceHeaders)(this.productService.version,this.productService,this.environmentMainService,this.configurationService,this.fileService,this.applicationStorageMainService,this.telemetryService)),this.marketplaceHeadersPromise}async onWindowError(W,_){switch(W){case 2:this.logService.error(`CodeWindow: renderer process crashed (reason: ${_?.reason||"<unknown>"}, code: ${_?.exitCode||"<unknown>"})`);break;case 1:this.logService.error("CodeWindow: detected unresponsive");break;case 3:this.logService.error(`CodeWindow: failed to load (reason: ${_?.reason||"<unknown>"}, code: ${_?.exitCode||"<unknown>"})`);break}switch(this.telemetryService.publicLog2("windowerror",{type:W,reason:_?.reason,code:_?.exitCode}),W){case 1:case 2:if(this.isExtensionDevelopmentTestFromCli){this.lifecycleMainService.kill(1);return}if(this.environmentMainService.args["enable-smoke-test-driver"]){this.destroyWindow(!1,!1);return}if(W===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this._win&&this._win.webContents&&this._win.webContents.isDevToolsOpened())return;const B=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,I.mnemonicButtonLabel)((0,h.localize)(0,null)),(0,I.mnemonicButtonLabel)((0,h.localize)(1,null)),(0,I.mnemonicButtonLabel)((0,h.localize)(2,null))],message:(0,h.localize)(3,null),detail:(0,h.localize)(4,null),noLink:!0,defaultId:0,cancelId:1,checkboxLabel:this._config?.workspace?(0,h.localize)(5,null):void 0},this._win);if(B.response!==1){const X=B.response===0;this.destroyWindow(X,B.checkboxChecked)}}else if(W===2){let B;_?B=(0,h.localize)(7,null,_.reason,_.exitCode??"<unknown>"):B=(0,h.localize)(6,null);const X=await this.dialogMainService.showMessageBox({title:this.productService.nameLong,type:"warning",buttons:[(0,I.mnemonicButtonLabel)((0,h.localize)(8,null)),(0,I.mnemonicButtonLabel)((0,h.localize)(9,null))],message:B,detail:(0,h.localize)(10,null),noLink:!0,defaultId:0,checkboxLabel:this._config?.workspace?(0,h.localize)(11,null):void 0},this._win),q=X.response===0;this.destroyWindow(q,X.checkboxChecked)}break}}async destroyWindow(W,_){const B=this._config?.workspace;if(_&&B)try{const X=this.storageMainService.workspaceStorage(B);await X.init(),X.delete("memento/workbench.parts.editor"),await X.close()}catch(X){this.logService.error(X)}if(this._onDidDestroy.fire(),this._win?.destroy(),W&&this._config){let X,q;(0,T.isSingleFolderWorkspaceIdentifier)(B)?X={folderUri:B.uri}:(0,T.isWorkspaceIdentifier)(B)?X={workspaceUri:B.configPath}:q=!0;const[Q]=this.windowsMainService.open({context:5,userEnv:this._config.userEnv,cli:{...this.environmentMainService.args,_:[]},urisToOpen:X?[X]:void 0,forceEmpty:q,forceNewWindow:!0,remoteAuthority:this.remoteAuthority});Q.focus()}}onDidDeleteUntitledWorkspace(W){this._config?.workspace?.id===W.id&&this._config&&(this._config.workspace=void 0)}onConfigurationUpdated(W){const _=this.getMenuBarVisibility();_!==this.currentMenuBarVisibility&&(this.currentMenuBarVisibility=_,this.setMenuBarVisibility(_)),this.updateTrafficLightPosition(W);let B=(this.configurationService.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;B?.endsWith("/")&&(B=B.substr(0,B.length-1));const X=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((B||"").indexOf("@")===-1&&(B!==this.currentHttpProxy||X!==this.currentNoProxy)){this.currentHttpProxy=B,this.currentNoProxy=X;const q=B||"",Q=X?`${X},<local>`:"<local>";this.logService.trace(`Setting proxy to '${q}', bypassing '${Q}'`),this._win.webContents.session.setProxy({proxyRules:q,proxyBypassRules:Q,pacScript:""})}}addTabbedWindow(W){b.isMacintosh&&W.win&&this._win.addTabbedWindow(W.win)}load(W,_=Object.create(null)){this.logService.trace(`window#load: attempt to load window (id: ${this._id})`),this.isDocumentEdited()&&(!_.isReload||!this.backupMainService.isHotExitEnabled())&&this.setDocumentEdited(!1),_.isReload||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this._win.setTitle(this.productService.nameLong)),this.updateConfiguration(W,_),this.readyState===0?this._config=W:this.pendingLoadConfig=W,this.readyState=1,this._win.loadURL(S.FileAccess.asBrowserUri("vs/code/electron-sandbox/workbench/workbench.html",$).toString(!0));const B=this.wasLoaded;this.wasLoaded=!0,!this.environmentMainService.isBuilt&&!this.environmentMainService.extensionTestsLocationURI&&this._register(new t.RunOnceScheduler(()=>{this._win&&!this._win.isVisible()&&!this._win.isMinimized()&&(this._win.show(),this.focus({force:!0}),this._win.webContents.openDevTools())},1e4)).schedule(),this._onWillLoad.fire({workspace:W.workspace,reason:_.isReload?3:B?2:1})}updateConfiguration(W,_){const B=(this._config??this.pendingLoadConfig)?.userEnv;if(B){const X=(0,d.isLaunchedFromCli)(B)&&!(0,d.isLaunchedFromCli)(W.userEnv),q=this.isExtensionDevelopmentHost;(X||q)&&(W.userEnv={...B,...W.userEnv})}process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(W.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),_.disableExtensions!==void 0&&(W["disable-extensions"]=_.disableExtensions),W.fullscreen=this.isFullScreen,W.maximized=this._win.isMaximized(),W.partsSplash=this.themeMainService.getWindowSplash(),(0,P.mark)("code/willOpenNewWindow"),W.perfMarks=(0,P.getMarks)(),this.configObjectUrl.update(W)}async reload(W){const _=Object.assign({},this._config);_.workspace=await this.validateWorkspaceBeforeReload(_),delete _.filesToOpenOrCreate,delete _.filesToDiff,delete _.filesToWait,this.isExtensionDevelopmentHost&&W&&(_.verbose=W.verbose,_.debugId=W.debugId,_.extensionEnvironment=W.extensionEnvironment,_["inspect-extensions"]=W["inspect-extensions"],_["inspect-brk-extensions"]=W["inspect-brk-extensions"],_["extensions-dir"]=W["extensions-dir"]),_.isInitialStartup=!1,_.policiesData=this.policyService.serialize(),_.editSessionId=this.environmentMainService.editSessionId,_.profiles={all:this.userDataProfilesService.profiles,current:this.userDataProfilesService.getProfile(_.workspace??"empty-window")},this.load(_,{isReload:!0,disableExtensions:W?.["disable-extensions"]})}async validateWorkspaceBeforeReload(W){if((0,T.isWorkspaceIdentifier)(W.workspace)){const _=W.workspace.configPath;if(_.scheme===S.Schemas.file&&!await this.fileService.exists(_))return}else if((0,T.isSingleFolderWorkspaceIdentifier)(W.workspace)){const _=W.workspace.uri;if(_.scheme===S.Schemas.file&&!await this.fileService.exists(_))return}return W.workspace}serializeWindowState(){if(!this._win)return(0,G.defaultWindowState)();if(this.isFullScreen){let B;try{B=E.screen.getDisplayMatching(this.getBounds())}catch{}const X=(0,G.defaultWindowState)();return{mode:3,display:B?B.id:void 0,width:this.windowState.width||X.width,height:this.windowState.height||X.height,x:this.windowState.x||0,y:this.windowState.y||0}}const W=Object.create(null);let _;if(!b.isMacintosh&&this._win.isMaximized()?_=0:_=1,_===0?W.mode=0:W.mode=1,_===1||_===0){let B;_===1?B=this.getBounds():B=this._win.getNormalBounds(),W.x=B.x,W.y=B.y,W.width=B.width,W.height=B.height}return W}restoreWindowState(W){(0,P.mark)("code/willRestoreCodeWindowState");let _=!1;if(W)try{const B=E.screen.getAllDisplays();_=B.length>1,W=this.validateWindowState(W,B)}catch(B){this.logService.warn(`Unexpected error validating window state: ${B}
${B.stack}`)}return(0,P.mark)("code/didRestoreCodeWindowState"),[W||(0,G.defaultWindowState)(),_]}validateWindowState(W,_){if(this.logService.trace(`window#validateWindowState: validating window state on ${_.length} display(s)`,W),typeof W.x!="number"||typeof W.y!="number"||typeof W.width!="number"||typeof W.height!="number"){this.logService.trace("window#validateWindowState: unexpected type of state values");return}if(W.width<=0||W.height<=0){this.logService.trace("window#validateWindowState: unexpected negative values");return}if(_.length===1){const q=this.getWorkingArea(_[0]);if(q){let Q=function(){!W||typeof W.x!="number"||typeof W.y!="number"||!q||(W.x<q.x&&(W.x=q.x),W.y<q.y&&(W.y=q.y))};this.logService.trace("window#validateWindowState: 1 monitor working area",q),Q(),W.width>q.width&&(W.width=q.width),W.height>q.height&&(W.height=q.height),W.x>q.x+q.width-128&&(W.x=q.x+q.width-W.width),W.y>q.y+q.height-128&&(W.y=q.y+q.height-W.height),Q()}return W}if(W.display&&W.mode===3){const q=_.find(Q=>Q.id===W.display);if(q&&typeof q.bounds?.x=="number"&&typeof q.bounds?.y=="number"){this.logService.trace("window#validateWindowState: restoring fullscreen to previous display");const Q=(0,G.defaultWindowState)(3);return Q.x=q.bounds.x,Q.y=q.bounds.y,Q}}let B,X;try{B=E.screen.getDisplayMatching({x:W.x,y:W.y,width:W.width,height:W.height}),X=this.getWorkingArea(B)}catch{}if(B&&X&&W.x+W.width>X.x&&W.y+W.height>X.y&&W.x<X.x+X.width&&W.y<X.y+X.height)return this.logService.trace("window#validateWindowState: multi-monitor working area",X),W}getWorkingArea(W){if(W.workArea.width>0&&W.workArea.height>0)return W.workArea;if(W.bounds.width>0&&W.bounds.height>0)return W.bounds}getBounds(){const[W,_]=this._win.getPosition(),[B,X]=this._win.getSize();return{x:W,y:_,width:B,height:X}}toggleFullScreen(){this.setFullScreen(!this.isFullScreen)}setFullScreen(W){this.useNativeFullScreen()?this.setNativeFullScreen(W):this.setSimpleFullScreen(W),this.sendWhenReady(W?"vscode:enterFullScreen":"vscode:leaveFullScreen",D.CancellationToken.None),this.currentMenuBarVisibility&&this.setMenuBarVisibility(this.currentMenuBarVisibility,!1)}get isFullScreen(){return this._win.isFullScreen()||this._win.isSimpleFullScreen()}setNativeFullScreen(W){this._win.isSimpleFullScreen()&&this._win.setSimpleFullScreen(!1),this._win.setFullScreen(W)}setSimpleFullScreen(W){this._win.isFullScreen()&&this._win.setFullScreen(!1),this._win.setSimpleFullScreen(W),this._win.webContents.focus()}useNativeFullScreen(){const W=this.configurationService.getValue("window");return!W||typeof W.nativeFullScreen!="boolean"||W.nativeTabs?!0:W.nativeFullScreen!==!1}isMinimized(){return this._win.isMinimized()}getMenuBarVisibility(){let W=(0,k.getMenuBarVisibility)(this.configurationService);return["visible","toggle","hidden"].indexOf(W)<0&&(W="classic"),W}setMenuBarVisibility(W,_=!0){b.isMacintosh||(W==="toggle"&&_&&this.send("vscode:showInfoMessage",(0,h.localize)(12,null)),W==="hidden"?setTimeout(()=>{this.doSetMenuBarVisibility(W)}):this.doSetMenuBarVisibility(W))}doSetMenuBarVisibility(W){const _=this.isFullScreen;switch(W){case"classic":this._win.setMenuBarVisibility(!_),this._win.autoHideMenuBar=_;break;case"visible":this._win.setMenuBarVisibility(!0),this._win.autoHideMenuBar=!1;break;case"toggle":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!0;break;case"hidden":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!1;break}}updateTrafficLightPosition(W){if(!b.isMacintosh)return;const _="window.commandCenter";if(W&&!W.affectsConfiguration(_)||!((0,k.getTitleBarStyle)(this.configurationService)==="custom"))return;const X=this.configurationService.getValue(_);X?this._win.setTrafficLightPosition({x:7,y:9}):this._win.setTrafficLightPosition({x:7,y:6}),this.customTrafficLightPosition=X}handleTitleDoubleClick(){if(b.isMacintosh)switch(E.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this._win.minimize();break;case"None":break;case"Maximize":default:this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}else this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}close(){this._win&&this._win.close()}sendWhenReady(W,_,...B){this.isReady?this.send(W,...B):this.ready().then(()=>{_.isCancellationRequested||this.send(W,...B)})}send(W,..._){if(this._win){if(this._win.isDestroyed()||this._win.webContents.isDestroyed()){this.logService.warn(`Sending IPC message to channel '${W}' for window that is destroyed`);return}try{this._win.webContents.send(W,..._)}catch(B){this.logService.warn(`Error sending IPC message to channel '${W}' of window ${this._id}: ${(0,R.toErrorMessage)(B)}`)}}}updateTouchBar(W){!b.isMacintosh||this.touchBarGroups.forEach((_,B)=>{const X=W[B];_.segments=this.createTouchBarGroupSegments(X)})}createTouchBar(){if(!!b.isMacintosh){for(let W=0;W<10;W++){const _=this.createTouchBarGroup();this.touchBarGroups.push(_)}this._win.setTouchBar(new E.TouchBar({items:this.touchBarGroups}))}}createTouchBarGroup(W=[]){const _=this.createTouchBarGroupSegments(W),B=new E.TouchBar.TouchBarSegmentedControl({segments:_,mode:"buttons",segmentStyle:"automatic",change:X=>{this.sendWhenReady("vscode:runAction",D.CancellationToken.None,{id:B.segments[X].id,from:"touchbar"})}});return B}createTouchBarGroupSegments(W=[]){return W.map(B=>{let X;B.icon&&!c.ThemeIcon.isThemeIcon(B.icon)&&B.icon?.dark?.scheme===S.Schemas.file&&(X=E.nativeImage.createFromPath(p.URI.revive(B.icon.dark).fsPath),X.isEmpty()&&(X=void 0));let q;return typeof B.title=="string"?q=B.title:q=B.title.value,{id:B.id,label:X?void 0:q,icon:X}})}dispose(){super.dispose(),this._win=null}};H=de([ee(1,n.ILogService),ee(2,m.IEnvironmentMainService),ee(3,ne.IPolicyService),ee(4,Y.IUserDataProfilesService),ee(5,u.IFileService),ee(6,o.IApplicationStorageMainService),ee(7,o.IStorageMainService),ee(8,v.IConfigurationService),ee(9,f.IThemeMainService),ee(10,U.IWorkspacesManagementMainService),ee(11,y.IBackupMainService),ee(12,a.ITelemetryService),ee(13,w.IDialogMainService),ee(14,l.ILifecycleMainService),ee(15,r.IProductService),ee(16,i.IProtocolMainService),ee(17,L.IWindowsMainService)],H),e.CodeWindow=H}),define(J[74],Z([0,1,14,25,8,3,34,2,12,4,15,7,23,168,5,21,6,88,89,24,47]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=(0,h.createDecorator)("workspacesHistoryMainService");let l=class tt extends I.Disposable{constructor(r,i,s,o){super();this.logService=r,this.workspacesManagementMainService=i,this.lifecycleMainService=s,this.applicationStorageMainService=o,this._onDidChangeRecentlyOpened=this._register(new R.Emitter),this.onDidChangeRecentlyOpened=this._onDidChangeRecentlyOpened.event,this.macOSRecentDocumentsUpdater=this._register(new D.ThrottledDelayer(800)),this.registerListeners()}registerListeners(){this.lifecycleMainService.when(3).then(()=>this.handleWindowsJumpList()),this._register(this.workspacesManagementMainService.onDidEnterWorkspace(r=>this.addRecentlyOpened([{workspace:r.workspace,remoteAuthority:r.window.remoteAuthority}])))}async addRecentlyOpened(r){const i=[],s=[];for(const o of r)if((0,m.isRecentWorkspace)(o))!this.workspacesManagementMainService.isUntitledWorkspace(o.workspace)&&this.indexOfWorkspace(i,o.workspace)===-1&&i.push(o);else if((0,m.isRecentFolder)(o))this.indexOfFolder(i,o.folderUri)===-1&&i.push(o);else{const a=this.indexOfFile(s,o.fileUri)>=0,c=o.fileUri.scheme===g.Schemas.file&&tt.COMMON_FILES_FILTER.indexOf((0,C.basename)(o.fileUri))>=0;!a&&!c&&(s.push(o),S.isWindows&&o.fileUri.scheme===g.Schemas.file&&E.app.addRecentDocument(o.fileUri.fsPath))}await this.addEntriesFromStorage(i,s),i.length>tt.MAX_TOTAL_RECENT_ENTRIES&&(i.length=tt.MAX_TOTAL_RECENT_ENTRIES),s.length>tt.MAX_TOTAL_RECENT_ENTRIES&&(s.length=tt.MAX_TOTAL_RECENT_ENTRIES),await this.saveRecentlyOpened({workspaces:i,files:s}),this._onDidChangeRecentlyOpened.fire(),S.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments())}async removeRecentlyOpened(r){const i=c=>{const f=this.location(c);for(const k of r)if(C.extUriBiasedIgnorePathCase.isEqual(k,f))return!1;return!0},s=await this.getRecentlyOpened(),o=s.workspaces.filter(i),a=s.files.filter(i);(o.length!==s.workspaces.length||a.length!==s.files.length)&&(await this.saveRecentlyOpened({files:a,workspaces:o}),this._onDidChangeRecentlyOpened.fire(),S.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments()))}async clearRecentlyOpened(){await this.saveRecentlyOpened({workspaces:[],files:[]}),E.app.clearRecentDocuments(),this._onDidChangeRecentlyOpened.fire()}async getRecentlyOpened(r){const i=[],s=[];if(r){const a=r.config?.workspace;(0,d.isWorkspaceIdentifier)(a)&&!this.workspacesManagementMainService.isUntitledWorkspace(a)?i.push({workspace:a,remoteAuthority:r.remoteAuthority}):(0,d.isSingleFolderWorkspaceIdentifier)(a)&&i.push({folderUri:a.uri,remoteAuthority:r.remoteAuthority})}const o=r?.config?.filesToOpenOrCreate;if(o)for(const a of o){const c=a.fileUri;c&&this.indexOfFile(s,c)===-1&&s.push({fileUri:c})}return await this.addEntriesFromStorage(i,s),{workspaces:i,files:s}}async addEntriesFromStorage(r,i){const s=await this.getRecentlyOpenedFromStorage();for(const o of s.workspaces){const a=(0,m.isRecentFolder)(o)?this.indexOfFolder(r,o.folderUri):this.indexOfWorkspace(r,o.workspace);a>=0?r[a].label=r[a].label||o.label:r.push(o)}for(const o of s.files){const a=this.indexOfFile(i,o.fileUri);a>=0?i[a].label=i[a].label||o.label:i.push(o)}}async getRecentlyOpenedFromStorage(){await this.applicationStorageMainService.whenReady;let r;const i=this.applicationStorageMainService.get(tt.RECENTLY_OPENED_STORAGE_KEY,-1);if(typeof i=="string")try{r=JSON.parse(i)}catch(s){this.logService.error("Unexpected error parsing opened paths list",s)}return(0,m.restoreRecentlyOpened)(r,this.logService)}async saveRecentlyOpened(r){await this.applicationStorageMainService.whenReady,this.applicationStorageMainService.store(tt.RECENTLY_OPENED_STORAGE_KEY,JSON.stringify((0,m.toStoreData)(r)),-1,1)}location(r){return(0,m.isRecentFolder)(r)?r.folderUri:(0,m.isRecentFile)(r)?r.fileUri:r.workspace.configPath}indexOfWorkspace(r,i){return r.findIndex(s=>(0,m.isRecentWorkspace)(s)&&s.workspace.id===i.id)}indexOfFolder(r,i){return r.findIndex(s=>(0,m.isRecentFolder)(s)&&C.extUriBiasedIgnorePathCase.isEqual(s.folderUri,i))}indexOfFile(r,i){return r.findIndex(s=>C.extUriBiasedIgnorePathCase.isEqual(s.fileUri,i))}async handleWindowsJumpList(){!S.isWindows||(await this.updateWindowsJumpList(),this._register(this.onDidChangeRecentlyOpened(()=>this.updateWindowsJumpList())))}async updateWindowsJumpList(){if(!S.isWindows)return;const r=[];if(r.push({type:"tasks",items:[{type:"task",title:(0,p.localize)(0,null),description:(0,p.localize)(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),(await this.getRecentlyOpened()).workspaces.length>0){const i=[];for(const a of E.app.getJumpListSettings().removedItems){const c=a.args;if(c){const f=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(c);f&&i.push(P.URI.parse(f[2]))}}await this.removeRecentlyOpened(i);let s=!1;const o=(0,t.coalesce)((await this.getRecentlyOpened()).workspaces.slice(0,tt.MAX_WINDOWS_JUMP_LIST_ENTRIES).map(a=>{const c=(0,m.isRecentWorkspace)(a)?a.workspace:a.folderUri,{title:f,description:k}=this.getWindowsJumpListLabel(c,a.label);let L;return P.URI.isUri(c)?L=`--folder-uri "${c.toString()}"`:(s=!0,L=`--file-uri "${c.configPath.toString()}"`),{type:"task",title:f.substr(0,255),description:k.substr(0,255),program:process.execPath,args:L,iconPath:"explorer.exe",iconIndex:0}}));o.length>0&&r.push({type:"custom",name:s?(0,p.localize)(2,null):(0,p.localize)(3,null),items:o})}r.push({type:"recent"});try{const i=E.app.setJumpList(r);i&&i!=="ok"&&this.logService.warn(`updateWindowsJumpList#setJumpList unexpected result: ${i}`)}catch(i){this.logService.warn("updateWindowsJumpList#setJumpList",i)}}getWindowsJumpListLabel(r,i){if(i)return{title:(0,M.splitName)(i).name,description:i};if(P.URI.isUri(r))return{title:(0,C.basename)(r),description:this.renderJumpListPathDescription(r)};if(this.workspacesManagementMainService.isUntitledWorkspace(r))return{title:(0,p.localize)(4,null),description:""};let s=(0,C.basename)(r.configPath);return s.endsWith(d.WORKSPACE_EXTENSION)&&(s=s.substr(0,s.length-d.WORKSPACE_EXTENSION.length-1)),{title:(0,p.localize)(5,null,s),description:this.renderJumpListPathDescription(r.configPath)}}renderJumpListPathDescription(r){return r.scheme==="file"?(0,M.normalizeDriveLetter)(r.fsPath):r.toString()}async updateMacOSRecentDocuments(){if(!S.isMacintosh)return;E.app.clearRecentDocuments();const r=await this.getRecentlyOpened(),i=[];let s=0;for(let a=0;a<r.workspaces.length&&s<tt.MAX_MACOS_DOCK_RECENT_WORKSPACES;a++){const c=this.location(r.workspaces[a]);if(c.scheme===g.Schemas.file){const f=(0,C.originalFSPath)(c);await b.Promises.exists(f)&&(i.push(f),s++)}}const o=[];for(let a=0;a<r.files.length&&s<tt.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL;a++){const c=this.location(r.files[a]);if(c.scheme===g.Schemas.file){const f=(0,C.originalFSPath)(c);if(tt.COMMON_FILES_FILTER.includes((0,C.basename)(c))||i.includes(f))continue;await b.Promises.exists(f)&&(o.push(f),s++)}}o.reverse().forEach(a=>E.app.addRecentDocument(a)),i.reverse().forEach(a=>E.app.addRecentDocument(a))}};l.MAX_TOTAL_RECENT_ENTRIES=500,l.RECENTLY_OPENED_STORAGE_KEY="history.recentlyOpenedPathsList",l.MAX_MACOS_DOCK_RECENT_WORKSPACES=7,l.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL=10,l.MAX_WINDOWS_JUMP_LIST_ENTRIES=7,l.COMMON_FILES_FILTER=["COMMIT_EDITMSG","MERGE_MSG"],l=de([ee(0,v.ILogService),ee(1,u.IWorkspacesManagementMainService),ee(2,y.ILifecycleMainService),ee(3,w.IApplicationStorageMainService)],l),e.WorkspacesHistoryMainService=l}),define(J[251],Z([0,1,14,8,22,34,4,7,158,17,26,21,6,199,64,20,45,35,46,73,32,74]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const n="menu";let r=class Dt{constructor(o,a,c,f,k,L,T,U,G,ie,ne){this.updateService=o,this.configurationService=a,this.windowsMainService=c,this.environmentMainService=f,this.telemetryService=k,this.workspacesHistoryMainService=L,this.stateMainService=T,this.lifecycleMainService=U,this.logService=G,this.nativeHostMainService=ie,this.productService=ne,this.fallbackMenuHandlers=Object.create(null),this.menuUpdater=new t.RunOnceScheduler(()=>this.doUpdateMenu(),0),this.menuGC=new t.RunOnceScheduler(()=>{this.oldMenus=[]},1e4),this.menubarMenus=Object.create(null),this.keybindings=Object.create(null),(M.isMacintosh||(0,d.getTitleBarStyle)(this.configurationService)==="native")&&this.restoreCachedMenubarData(),this.addFallbackHandlers(),this.closedLastWindow=!1,this.noActiveWindow=!1,this.oldMenus=[],this.install(),this.registerListeners()}restoreCachedMenubarData(){const o=this.stateMainService.getItem(Dt.lastKnownMenubarStorageKey);o&&(o.menus&&(this.menubarMenus=o.menus),o.keybindings&&(this.keybindings=o.keybindings))}addFallbackHandlers(){this.fallbackMenuHandlers["workbench.action.files.newUntitledFile"]=(L,T,U)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.newWindow"]=(L,T,U)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:T?.id}),this.fallbackMenuHandlers["workbench.action.files.openFileFolder"]=(L,T,U)=>this.nativeHostMainService.pickFileFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(U),telemetryExtraData:{from:n}}),this.fallbackMenuHandlers["workbench.action.files.openFolder"]=(L,T,U)=>this.nativeHostMainService.pickFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(U),telemetryExtraData:{from:n}}),this.fallbackMenuHandlers["workbench.action.openWorkspace"]=(L,T,U)=>this.nativeHostMainService.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.isOptionClick(U),telemetryExtraData:{from:n}}),this.fallbackMenuHandlers["workbench.action.clearRecentFiles"]=()=>this.workspacesHistoryMainService.clearRecentlyOpened();const o=this.productService.twitterUrl;o&&(this.fallbackMenuHandlers["workbench.action.openTwitterUrl"]=()=>this.openUrl(o,"openTwitterUrl"));const a=this.productService.requestFeatureUrl;a&&(this.fallbackMenuHandlers["workbench.action.openRequestFeatureUrl"]=()=>this.openUrl(a,"openUserVoiceUrl"));const c=this.productService.reportIssueUrl;c&&(this.fallbackMenuHandlers["workbench.action.openIssueReporter"]=()=>this.openUrl(c,"openReportIssues"));const f=this.productService.licenseUrl;f&&(this.fallbackMenuHandlers["workbench.action.openLicenseUrl"]=()=>{if(M.language){const L=f.indexOf("?")>0?"&":"?";this.openUrl(`${f}${L}lang=${M.language}`,"openLicenseUrl")}else this.openUrl(f,"openLicenseUrl")});const k=this.productService.privacyStatementUrl;k&&f&&(this.fallbackMenuHandlers["workbench.action.openPrivacyStatementUrl"]=()=>{this.openUrl(k,"openPrivacyStatement")})}registerListeners(){this.lifecycleMainService.onWillShutdown(()=>this.willShutdown=!0),this.windowsMainService.onDidChangeWindowsCount(o=>this.onDidChangeWindowsCount(o)),this.nativeHostMainService.onDidBlurWindow(()=>this.onDidChangeWindowFocus()),this.nativeHostMainService.onDidFocusWindow(()=>this.onDidChangeWindowFocus())}get currentEnableMenuBarMnemonics(){const o=this.configurationService.getValue("window.enableMenuBarMnemonics");return typeof o!="boolean"?!0:o}get currentEnableNativeTabs(){if(!M.isMacintosh)return!1;const o=this.configurationService.getValue("window.nativeTabs");return typeof o!="boolean"?!1:o}updateMenu(o,a){this.menubarMenus=o.menus,this.keybindings=o.keybindings,this.stateMainService.setItem(Dt.lastKnownMenubarStorageKey,o),this.scheduleUpdateMenu()}scheduleUpdateMenu(){this.menuUpdater.schedule()}doUpdateMenu(){this.willShutdown||setTimeout(()=>{this.willShutdown||this.install()},10)}onDidChangeWindowsCount(o){!M.isMacintosh||(o.oldCount===0&&o.newCount>0||o.oldCount>0&&o.newCount===0)&&(this.closedLastWindow=o.newCount===0,this.scheduleUpdateMenu())}onDidChangeWindowFocus(){!M.isMacintosh||(this.noActiveWindow=!E.BrowserWindow.getFocusedWindow(),this.scheduleUpdateMenu())}install(){const o=E.Menu.getApplicationMenu();if(o&&this.oldMenus.push(o),Object.keys(this.menubarMenus).length===0){E.Menu.setApplicationMenu(M.isMacintosh?new E.Menu:null);return}const a=new E.Menu;let c;if(M.isMacintosh){const k=new E.Menu;c=new E.MenuItem({label:this.productService.nameShort,submenu:k}),this.setMacApplicationMenu(k),a.append(c)}if(M.isMacintosh&&!this.appMenuInstalled){this.appMenuInstalled=!0;const k=new E.Menu;k.append(new E.MenuItem({label:this.mnemonicLabel(g.localize(0,null)),click:()=>this.windowsMainService.openEmptyWindow({context:1})})),E.app.dock.setMenu(k)}if(this.shouldDrawMenu("File")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(1,null)),submenu:k});this.setMenuById(k,"File"),a.append(L)}if(this.shouldDrawMenu("Edit")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(2,null)),submenu:k});this.setMenuById(k,"Edit"),a.append(L)}if(this.shouldDrawMenu("Selection")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(3,null)),submenu:k});this.setMenuById(k,"Selection"),a.append(L)}if(this.shouldDrawMenu("View")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(4,null)),submenu:k});this.setMenuById(k,"View"),a.append(L)}if(this.shouldDrawMenu("Go")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(5,null)),submenu:k});this.setMenuById(k,"Go"),a.append(L)}if(this.shouldDrawMenu("Run")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(6,null)),submenu:k});this.setMenuById(k,"Run"),a.append(L)}if(this.shouldDrawMenu("Terminal")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(7,null)),submenu:k});this.setMenuById(k,"Terminal"),a.append(L)}let f;if(this.shouldDrawMenu("Window")){const k=new E.Menu;f=new E.MenuItem({label:this.mnemonicLabel(g.localize(8,null)),submenu:k,role:"window"}),this.setMacWindowMenu(k)}if(f&&a.append(f),this.shouldDrawMenu("Help")){const k=new E.Menu,L=new E.MenuItem({label:this.mnemonicLabel(g.localize(9,null)),submenu:k,role:"help"});this.setMenuById(k,"Help"),a.append(L)}a.items&&a.items.length>0?E.Menu.setApplicationMenu(a):E.Menu.setApplicationMenu(null),this.menuGC.schedule()}setMacApplicationMenu(o){const a=this.createMenuItem(g.localize(10,null,this.productService.nameLong),"workbench.action.showAboutDialog"),c=this.getUpdateMenuItems();let f;if(this.shouldDrawMenu("Preferences")){const Y=new E.Menu;this.setMenuById(Y,"Preferences"),f=new E.MenuItem({label:this.mnemonicLabel(g.localize(11,null)),submenu:Y})}const k=new E.Menu,L=new E.MenuItem({label:g.localize(12,null),role:"services",submenu:k}),T=new E.MenuItem({label:g.localize(13,null,this.productService.nameLong),role:"hide",accelerator:"Command+H"}),U=new E.MenuItem({label:g.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),G=new E.MenuItem({label:g.localize(15,null),role:"unhide"}),ie=new E.MenuItem(this.likeAction("workbench.action.quit",{label:g.localize(16,null,this.productService.nameLong),click:async(Y,ae,ce)=>{const H=this.windowsMainService.getLastActiveWindow();(this.windowsMainService.getWindowCount()===0||!!E.BrowserWindow.getFocusedWindow()||H?.isMinimized())&&await this.confirmBeforeQuit(ce)&&this.nativeHostMainService.quit(void 0)}})),ne=[a];ne.push(...c),f&&ne.push(i(),f),ne.push(i(),L,i(),T,U,G,i(),ie),ne.forEach(Y=>o.append(Y))}async confirmBeforeQuit(o){if(this.windowsMainService.getWindowCount()===0)return!0;const a=this.configurationService.getValue("window.confirmBeforeClose");if(a==="always"||a==="keyboardOnly"&&this.isKeyboardEvent(o)){const c={title:this.productService.nameLong,type:"question",buttons:[(0,R.mnemonicButtonLabel)(g.localize(17,null)),(0,R.mnemonicButtonLabel)(g.localize(18,null))],message:g.localize(19,null),noLink:!0,defaultId:0,cancelId:1},{response:f}=await this.nativeHostMainService.showMessageBox(this.windowsMainService.getFocusedWindow()?.id,c);return f===0}return!0}shouldDrawMenu(o){if(!M.isMacintosh&&(0,d.getTitleBarStyle)(this.configurationService)==="custom")return!1;switch(o){case"File":case"Help":if(M.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus&&!!this.menubarMenus[o];case"Window":if(M.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus;default:return this.windowsMainService.getWindowCount()>0&&!!this.menubarMenus&&!!this.menubarMenus[o]}}setMenu(o,a){a.forEach(c=>{if((0,p.isMenubarMenuItemSeparator)(c))o.append(i());else if((0,p.isMenubarMenuItemSubmenu)(c)){const f=new E.Menu,k=new E.MenuItem({label:this.mnemonicLabel(c.label),submenu:f});this.setMenu(f,c.submenu.items),o.append(k)}else(0,p.isMenubarMenuItemRecentAction)(c)?o.append(this.createOpenRecentMenuItem(c)):(0,p.isMenubarMenuItemAction)(c)&&(c.id==="workbench.action.showAboutDialog"&&this.insertCheckForUpdatesItems(o),M.isMacintosh?this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow?this.fallbackMenuHandlers[c.id]?o.append(new E.MenuItem(this.likeAction(c.id,{label:this.mnemonicLabel(c.label),click:this.fallbackMenuHandlers[c.id]}))):o.append(this.createMenuItem(c.label,c.id,!1,c.checked)):o.append(this.createMenuItem(c.label,c.id,c.enabled!==!1,!!c.checked)):o.append(this.createMenuItem(c.label,c.id,c.enabled!==!1,!!c.checked)))})}setMenuById(o,a){this.menubarMenus&&this.menubarMenus[a]&&this.setMenu(o,this.menubarMenus[a].items)}insertCheckForUpdatesItems(o){const a=this.getUpdateMenuItems();a.length&&(a.forEach(c=>o.append(c)),o.append(i()))}createOpenRecentMenuItem(o){const a=I.URI.revive(o.uri),c=o.id,f=c==="openRecentFile"?{fileUri:a}:c==="openRecentWorkspace"?{workspaceUri:a}:{folderUri:a};return new E.MenuItem(this.likeAction(c,{label:o.label,click:(k,L,T)=>{const U=this.isOptionClick(T);this.windowsMainService.open({context:2,cli:this.environmentMainService.args,urisToOpen:[f],forceNewWindow:U,gotoLineMode:!1,remoteAuthority:o.remoteAuthority}).length>0||this.workspacesHistoryMainService.removeRecentlyOpened([a])}},!1))}isOptionClick(o){return!!(o&&(!M.isMacintosh&&(o.ctrlKey||o.shiftKey)||M.isMacintosh&&(o.metaKey||o.altKey)))}isKeyboardEvent(o){return!!(o.triggeredByAccelerator||o.altKey||o.ctrlKey||o.metaKey||o.shiftKey)}createRoleMenuItem(o,a,c){const f={label:this.mnemonicLabel(o),role:c,enabled:!0};return new E.MenuItem(this.withKeybinding(a,f))}setMacWindowMenu(o){const a=new E.MenuItem({label:g.localize(20,null),role:"minimize",accelerator:"Command+M",enabled:this.windowsMainService.getWindowCount()>0}),c=new E.MenuItem({label:g.localize(21,null),role:"zoom",enabled:this.windowsMainService.getWindowCount()>0}),f=new E.MenuItem({label:g.localize(22,null),role:"front",enabled:this.windowsMainService.getWindowCount()>0}),k=this.createMenuItem(g.localize(23,null),"workbench.action.switchWindow"),L=[];this.currentEnableNativeTabs&&(L.push(i()),L.push(this.createMenuItem(g.localize(24,null),"workbench.action.newWindowTab")),L.push(this.createRoleMenuItem(g.localize(25,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),L.push(this.createRoleMenuItem(g.localize(26,null),"workbench.action.showNextWindowTab","selectNextTab")),L.push(this.createRoleMenuItem(g.localize(27,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),L.push(this.createRoleMenuItem(g.localize(28,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[a,c,i(),k,...L,i(),f].forEach(T=>o.append(T))}getUpdateMenuItems(){switch(this.updateService.state.type){case"uninitialized":return[];case"idle":return[new E.MenuItem({label:this.mnemonicLabel(g.localize(29,null)),click:()=>setTimeout(()=>{this.reportMenuActionTelemetry("CheckForUpdate"),this.updateService.checkForUpdates(!0)},0)})];case"checking for updates":return[new E.MenuItem({label:g.localize(30,null),enabled:!1})];case"available for download":return[new E.MenuItem({label:this.mnemonicLabel(g.localize(31,null)),click:()=>{this.updateService.downloadUpdate()}})];case"downloading":return[new E.MenuItem({label:g.localize(32,null),enabled:!1})];case"downloaded":return[new E.MenuItem({label:this.mnemonicLabel(g.localize(33,null)),click:()=>{this.reportMenuActionTelemetry("InstallUpdate"),this.updateService.applyUpdate()}})];case"updating":return[new E.MenuItem({label:g.localize(34,null),enabled:!1})];case"ready":return[new E.MenuItem({label:this.mnemonicLabel(g.localize(35,null)),click:()=>{this.reportMenuActionTelemetry("RestartToUpdate"),this.updateService.quitAndInstall()}})]}}createMenuItem(o,a,c,f){const k=this.mnemonicLabel(o),L=typeof a=="function"?a:(ne,Y,ae)=>{const ce=ne?ne.userSettingsLabel:null;let H=a;Array.isArray(a)&&(H=this.isOptionClick(ae)?a[1]:a[0]),ce&&ae.triggeredByAccelerator?this.runActionInRenderer({type:"keybinding",userSettingsLabel:ce}):this.runActionInRenderer({type:"commandId",commandId:H})},T=typeof c=="boolean"?c:this.windowsMainService.getWindowCount()>0,U=typeof f=="boolean"?f:!1,G={label:k,click:L,enabled:T};U&&(G.type="checkbox",G.checked=U);let ie;return typeof a=="string"?ie=a:Array.isArray(a)&&(ie=a[0]),M.isMacintosh&&(ie==="editor.action.clipboardCutAction"?G.role="cut":ie==="editor.action.clipboardCopyAction"?G.role="copy":ie==="editor.action.clipboardPasteAction"&&(G.role="paste"),ie==="undo"?G.click=this.makeContextAwareClickHandler(L,{inDevTools:ne=>ne.undo(),inNoWindow:()=>E.Menu.sendActionToFirstResponder("undo:")}):ie==="redo"?G.click=this.makeContextAwareClickHandler(L,{inDevTools:ne=>ne.redo(),inNoWindow:()=>E.Menu.sendActionToFirstResponder("redo:")}):ie==="editor.action.selectAll"&&(G.click=this.makeContextAwareClickHandler(L,{inDevTools:ne=>ne.selectAll(),inNoWindow:()=>E.Menu.sendActionToFirstResponder("selectAll:")}))),new E.MenuItem(this.withKeybinding(ie,G))}makeContextAwareClickHandler(o,a){return(c,f,k)=>{const L=E.BrowserWindow.getFocusedWindow();if(!L)return a.inNoWindow();if(L.webContents.isDevToolsFocused()&&L.webContents.devToolsWebContents)return a.inDevTools(L.webContents.devToolsWebContents);o(c,f||L,k)}}runActionInRenderer(o){let a=E.BrowserWindow.getFocusedWindow();if(!a){const f=this.windowsMainService.getLastActiveWindow();f?.isMinimized()&&(a=f.win)}const c=a?this.windowsMainService.getWindowById(a.id):void 0;if(c){if(this.logService.trace("menubar#runActionInRenderer",o),M.isMacintosh&&!this.environmentMainService.isBuilt&&!c.isReady&&(o.type==="commandId"&&o.commandId==="workbench.action.toggleDevTools"||o.type!=="commandId"&&o.userSettingsLabel==="alt+cmd+i"))return;if(o.type==="commandId"){const f={id:o.commandId,from:"menu"};c.sendWhenReady("vscode:runAction",D.CancellationToken.None,f)}else{const f={userSettingsLabel:o.userSettingsLabel};c.sendWhenReady("vscode:runKeybinding",D.CancellationToken.None,f)}}else this.logService.trace("menubar#runActionInRenderer: no active window found",o)}withKeybinding(o,a){const c=typeof o=="string"?this.keybindings[o]:void 0;if(c?.label){if(c.isNative!==!1)a.accelerator=c.label,a.userSettingsLabel=c.userSettingsLabel;else if(typeof a.label=="string"){const f=a.label.indexOf("[");f>=0?a.label=`${a.label.substr(0,f)} [${c.label}]`:a.label=`${a.label} [${c.label}]`}}else a.accelerator=void 0;return a}likeAction(o,a,c=!a.accelerator){c&&(a=this.withKeybinding(o,a));const f=a.click;return a.click=(k,L,T)=>{this.reportMenuActionTelemetry(o),f?.(k,L,T)},a}openUrl(o,a){this.nativeHostMainService.openExternal(void 0,o),this.reportMenuActionTelemetry(a)}reportMenuActionTelemetry(o){this.telemetryService.publicLog2("workbenchActionExecuted",{id:o,from:n})}mnemonicLabel(o){return(0,R.mnemonicMenuLabel)(o,!this.currentEnableMenuBarMnemonics)}};r.lastKnownMenubarStorageKey="lastKnownMenubarData",r=de([ee(0,m.IUpdateService),ee(1,S.IConfigurationService),ee(2,u.IWindowsMainService),ee(3,C.IEnvironmentMainService),ee(4,w.ITelemetryService),ee(5,l.IWorkspacesHistoryMainService),ee(6,v.IStateMainService),ee(7,P.ILifecycleMainService),ee(8,b.ILogService),ee(9,h.INativeHostMainService),ee(10,y.IProductService)],r),e.Menubar=r;function i(){return new E.MenuItem({type:"separator"})}}),define(J[252],Z([0,1,5,21,6,251]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=(0,E.createDecorator)("menubarMainService");let M=class{constructor(g,S,C){this.instantiationService=g,this.lifecycleMainService=S,this.logService=C,this.menubar=this.installMenuBarAfterWindowOpen()}async installMenuBarAfterWindowOpen(){return await this.lifecycleMainService.when(3),this.instantiationService.createInstance(R.Menubar)}async updateMenubar(g,S){this.logService.trace("menubarService#updateMenubar",g),(await this.menubar).updateMenu(S,g)}};M=de([ee(0,E.IInstantiationService),ee(1,t.ILifecycleMainService),ee(2,D.ILogService)],M),e.MenubarMainService=M}),define(J[253],Z([0,1,14,27,28,25,22,3,29,48,34,2,12,9,69,4,36,15,13,7,166,57,17,52,26,16,5,21,6,58,20,59,70,45,73,250,111,246,24,112,74,47,62,40,37]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n,r,i,s,o,a,c,f,k,L,T,U,G,ie,ne,Y,ae,ce,H,se,W,_,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function X(x){return(0,ae.isWorkspaceIdentifier)(x?.workspace)}function q(x){return(0,ae.isSingleFolderWorkspaceIdentifier)(x?.workspace)}let Q=class ut extends P.Disposable{constructor(A,O,N,j,F,z,K,te,oe,we,fe,Ie,Ee,Pe,We,Ue,le,he){super();this.machineId=A,this.initialUserEnv=O,this.logService=N,this.stateMainService=j,this.policyService=F,this.environmentMainService=z,this.userDataProfilesService=K,this.lifecycleMainService=te,this.backupMainService=oe,this.configurationService=we,this.workspacesHistoryMainService=fe,this.workspacesManagementMainService=Ie,this.instantiationService=Ee,this.dialogMainService=Pe,this.fileService=We,this.productService=Ue,this.protocolMainService=le,this.themeMainService=he,this._onDidOpenWindow=this._register(new I.Emitter),this.onDidOpenWindow=this._onDidOpenWindow.event,this._onDidSignalReadyWindow=this._register(new I.Emitter),this.onDidSignalReadyWindow=this._onDidSignalReadyWindow.event,this._onDidDestroyWindow=this._register(new I.Emitter),this.onDidDestroyWindow=this._onDidDestroyWindow.event,this._onDidChangeWindowsCount=this._register(new I.Emitter),this.onDidChangeWindowsCount=this._onDidChangeWindowsCount.event,this.windowsStateHandler=this._register(new Y.WindowsStateHandler(this,this.stateMainService,this.lifecycleMainService,this.logService,this.configurationService)),this.registerListeners()}registerListeners(){this._register(this.workspacesManagementMainService.onDidEnterWorkspace(A=>this._onDidSignalReadyWindow.fire(A.window))),this._register(this.onDidSignalReadyWindow(A=>{if(A.config?.extensionDevelopmentPath||A.config?.extensionTestsPath){const O=new P.DisposableStore;if(O.add(I.Event.any(A.onDidClose,A.onDidDestroy)(()=>O.dispose())),A.config.extensionDevelopmentPath)for(const N of A.config.extensionDevelopmentPath)O.add(this.protocolMainService.addValidFileRoot(N));A.config.extensionTestsPath&&O.add(this.protocolMainService.addValidFileRoot(A.config.extensionTestsPath))}}))}openEmptyWindow(A,O){const N=this.environmentMainService.args,j=O?.remoteAuthority||void 0,F=!0,z=O?.forceReuseWindow,K=!z;return this.open({...A,cli:N,forceEmpty:F,forceNewWindow:K,forceReuseWindow:z,remoteAuthority:j})}openExistingWindow(A,O){A.focus(),this.handleWaitMarkerFile(O,[A])}open(A){this.logService.trace("windowsManager#open"),A.addMode&&(A.initialStartup||!this.getLastActiveWindow())&&(A.addMode=!1);const O=[],N=[],j=[],F=[],z=[];let K,te=0;const oe=this.getPathsToOpen(A);this.logService.trace("windowsManager#open pathsToOpen",oe);for(const Ee of oe)q(Ee)?A.addMode?O.push(Ee):N.push(Ee):X(Ee)?j.push(Ee):Ee.fileUri?(K||(K={filesToOpenOrCreate:[],filesToDiff:[],remoteAuthority:Ee.remoteAuthority}),K.filesToOpenOrCreate.push(Ee)):Ee.backupPath?z.push({backupFolder:(0,p.basename)(Ee.backupPath),remoteAuthority:Ee.remoteAuthority}):te++;A.diffMode&&K&&K.filesToOpenOrCreate.length>=2&&(K.filesToDiff=K.filesToOpenOrCreate.slice(0,2),K.filesToOpenOrCreate=[]),K&&A.waitMarkerFileURI&&(K.filesToWait={paths:[...K.filesToDiff,...K.filesToOpenOrCreate],waitMarkerFileUri:A.waitMarkerFileURI}),A.initialStartup?(F.push(...this.workspacesManagementMainService.getUntitledWorkspacesSync()),j.push(...F),z.push(...this.backupMainService.getEmptyWindowBackupPaths())):z.length=0;const{windows:we,filesOpenedInWindow:fe}=this.doOpen(A,j,N,z,te,K,O);if(this.logService.trace(`windowsManager#open used window count ${we.length} (workspacesToOpen: ${j.length}, foldersToOpen: ${N.length}, emptyToRestore: ${z.length}, emptyToOpen: ${te})`),we.length>1)if(fe)fe.focus();else{const Ee=this.windowsStateHandler.state.lastActiveWindow&&!A.forceEmpty&&!A.cli._.length&&!A.cli["file-uri"]&&!A.cli["folder-uri"]&&!(A.urisToOpen&&A.urisToOpen.length);let Pe=!0,We=!0;if(Ee){const Ue=we.filter(le=>this.windowsStateHandler.state.lastActiveWindow&&le.backupPath===this.windowsStateHandler.state.lastActiveWindow.backupPath);Ue.length&&(Ue[0].focus(),Pe=!1,We=!1)}if(Pe)for(let Ue=we.length-1;Ue>=0;Ue--){const le=we[Ue];if(!(le.openedWorkspace&&F.some(he=>le.openedWorkspace&&he.workspace.id===le.openedWorkspace.id)||le.backupPath&&z.some(he=>le.backupPath&&he.backupFolder===(0,p.basename)(le.backupPath)))){le.focus(),We=!1;break}}We&&we[we.length-1].focus()}const Ie=K&&K.filesToDiff.length>0;if(!we.some(Ee=>Ee.isExtensionDevelopmentHost)&&!Ie&&!A.noRecentEntry){const Ee=[];for(const Pe of oe)X(Pe)&&!Pe.transient?Ee.push({label:Pe.label,workspace:Pe.workspace,remoteAuthority:Pe.remoteAuthority}):q(Pe)?Ee.push({label:Pe.label,folderUri:Pe.workspace.uri,remoteAuthority:Pe.remoteAuthority}):Pe.fileUri&&Ee.push({label:Pe.label,fileUri:Pe.fileUri,remoteAuthority:Pe.remoteAuthority});this.workspacesHistoryMainService.addRecentlyOpened(Ee)}return this.handleWaitMarkerFile(A,we),we}handleWaitMarkerFile(A,O){const N=A.waitMarkerFileURI;A.context===0&&N&&O.length===1&&O[0]&&(async()=>{await O[0].whenClosedOrLoaded;try{await this.fileService.del(N)}catch{}})()}doOpen(A,O,N,j,F,z,K){const te=[];let oe;function we(le,he){te.push(le),he&&(oe=le,z=void 0)}let{openFolderInNewWindow:fe,openFilesInNewWindow:Ie}=this.shouldOpenNewWindow(A);if(!A.initialStartup&&K.length>0){const le=K[0].remoteAuthority,he=this.getLastActiveWindowForAuthority(le);he&&we(this.doAddFoldersToExistingWindow(he,K.map(pe=>pe.workspace.uri)))}const Ee=N.length+O.length+j.length;if(z&&Ee===0){const le=z.filesToOpenOrCreate[0]||z.filesToDiff[0],he=this.getWindows().filter(ke=>z&&(0,w.isEqualAuthority)(ke.remoteAuthority,z.remoteAuthority));let pe;le?.fileUri&&!Ie&&((A.context===4||A.context===0||A.context===1)&&(pe=(0,ne.findWindowOnFile)(he,le.fileUri,ke=>ke.configPath.scheme===b.Schemas.file?this.workspacesManagementMainService.resolveLocalWorkspaceSync(ke.configPath):void 0)),pe||(pe=this.doGetLastActiveWindow(he))),pe?(0,ae.isWorkspaceIdentifier)(pe.openedWorkspace)?O.push({workspace:pe.openedWorkspace,remoteAuthority:pe.remoteAuthority}):(0,ae.isSingleFolderWorkspaceIdentifier)(pe.openedWorkspace)?N.push({workspace:pe.openedWorkspace,remoteAuthority:pe.remoteAuthority}):we(this.doOpenFilesInExistingWindow(A,pe,z),!0):we(this.openInBrowserWindow({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,filesToOpen:z,forceNewWindow:!0,remoteAuthority:z.remoteAuthority,forceNewTabbedWindow:A.forceNewTabbedWindow}),!0)}const Pe=(0,R.distinct)(O,le=>le.workspace.id);if(Pe.length>0){const le=(0,R.coalesce)(Pe.map(he=>(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),he.workspace.configPath)));if(le.length>0){const he=le[0],pe=(0,w.isEqualAuthority)(z?.remoteAuthority,he.remoteAuthority)?z:void 0;we(this.doOpenFilesInExistingWindow(A,he,pe),!!pe),fe=!0}Pe.forEach(he=>{if(le.some(Re=>Re.openedWorkspace&&Re.openedWorkspace.id===he.workspace.id))return;const pe=he.remoteAuthority,ke=(0,w.isEqualAuthority)(z?.remoteAuthority,pe)?z:void 0;we(this.doOpenFolderOrWorkspace(A,he,fe,ke),!!ke),fe=!0})}const We=(0,R.distinct)(N,le=>w.extUriBiasedIgnorePathCase.getComparisonKey(le.workspace.uri));if(We.length>0){const le=(0,R.coalesce)(We.map(he=>(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),he.workspace.uri)));if(le.length>0){const he=le[0],pe=(0,w.isEqualAuthority)(z?.remoteAuthority,he.remoteAuthority)?z:void 0;we(this.doOpenFilesInExistingWindow(A,he,pe),!!pe),fe=!0}We.forEach(he=>{if(le.some(Re=>(0,ae.isSingleFolderWorkspaceIdentifier)(Re.openedWorkspace)&&w.extUriBiasedIgnorePathCase.isEqual(Re.openedWorkspace.uri,he.workspace.uri)))return;const pe=he.remoteAuthority,ke=(0,w.isEqualAuthority)(z?.remoteAuthority,pe)?z:void 0;we(this.doOpenFolderOrWorkspace(A,he,fe,ke),!!ke),fe=!0})}const Ue=(0,R.distinct)(j,le=>le.backupFolder);if(Ue.length>0&&Ue.forEach(le=>{const he=le.remoteAuthority,pe=(0,w.isEqualAuthority)(z?.remoteAuthority,he)?z:void 0;we(this.doOpenEmpty(A,!0,he,pe,le),!!pe),fe=!0}),te.length===0||z){z&&!F&&F++;const le=z?z.remoteAuthority:A.remoteAuthority;for(let he=0;he<F;he++)we(this.doOpenEmpty(A,fe,le,z),!!z),fe=!0}return{windows:(0,R.distinct)(te),filesOpenedInWindow:oe}}doOpenFilesInExistingWindow(A,O,N){this.logService.trace("windowsManager#doOpenFilesInExistingWindow",{filesToOpen:N}),O.focus();const j={filesToOpenOrCreate:N?.filesToOpenOrCreate,filesToDiff:N?.filesToDiff,filesToWait:N?.filesToWait,termProgram:A?.userEnv?.TERM_PROGRAM};return O.sendWhenReady("vscode:openFiles",M.CancellationToken.None,j),O}doAddFoldersToExistingWindow(A,O){this.logService.trace("windowsManager#doAddFoldersToExistingWindow",{foldersToAdd:O}),A.focus();const N={foldersToAdd:O};return A.sendWhenReady("vscode:addFolders",M.CancellationToken.None,N),A}doOpenEmpty(A,O,N,j,F){this.logService.trace("windowsManager#doOpenEmpty",{restore:!!F,remoteAuthority:N,filesToOpen:j,forceNewWindow:O});let z;return!O&&typeof A.contextWindowId=="number"&&(z=this.getWindowById(A.contextWindowId)),this.openInBrowserWindow({userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:N,forceNewWindow:O,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:j,windowToUse:z,emptyWindowBackupInfo:F})}doOpenFolderOrWorkspace(A,O,N,j,F){return this.logService.trace("windowsManager#doOpenFolderOrWorkspace",{folderOrWorkspace:O,filesToOpen:j}),!N&&!F&&typeof A.contextWindowId=="number"&&(F=this.getWindowById(A.contextWindowId)),this.openInBrowserWindow({workspace:O.workspace,userEnv:A.userEnv,cli:A.cli,initialStartup:A.initialStartup,remoteAuthority:O.remoteAuthority,forceNewWindow:N,forceNewTabbedWindow:A.forceNewTabbedWindow,filesToOpen:j,windowToUse:F})}getPathsToOpen(A){let O,N=!1,j=!1;if(A.urisToOpen&&A.urisToOpen.length>0?(O=this.doExtractPathsFromAPI(A),N=!0):A.forceEmpty?O=[Object.create(null)]:A.cli._.length||A.cli["folder-uri"]||A.cli["file-uri"]?(O=this.doExtractPathsFromCLI(A.cli),O.length===0&&O.push(Object.create(null)),N=!0):(O=this.doGetPathsFromLastSession(),O.length===0&&O.push(Object.create(null)),j=!0),!A.addMode&&N){const F=O.filter(z=>q(z));if(F.length>1){const z=F[0].remoteAuthority;if(F.every(K=>(0,w.isEqualAuthority)(K.remoteAuthority,z))){const K=this.workspacesManagementMainService.createUntitledWorkspaceSync(F.map(te=>({uri:te.workspace.uri})));O.push({workspace:K,remoteAuthority:z}),O=O.filter(te=>!q(te))}}}return A.initialStartup&&!j&&this.configurationService.getValue("window")?.restoreWindows==="preserve"&&O.unshift(...this.doGetPathsFromLastSession().filter(F=>X(F)||q(F)||F.backupPath)),O}doExtractPathsFromAPI(A){const O=[],N={gotoLineMode:A.gotoLineMode,remoteAuthority:A.remoteAuthority};for(const j of(0,R.coalesce)(A.urisToOpen||[])){const F=this.resolveOpenable(j,N);if(F)F.label=j.label,O.push(F);else{const z=this.resourceFromOpenable(j),K={title:this.productService.nameLong,type:"info",buttons:[(0,C.mnemonicButtonLabel)((0,u.localize)(0,null))],defaultId:0,message:z.scheme===b.Schemas.file?(0,u.localize)(1,null):(0,u.localize)(2,null),detail:z.scheme===b.Schemas.file?(0,u.localize)(3,null,(0,C.getPathLabel)(z,{os:y.OS,tildify:this.environmentMainService})):(0,u.localize)(4,null,z.toString(!0)),noLink:!0};this.dialogMainService.showMessageBox(K,(0,m.withNullAsUndefined)(E.BrowserWindow.getFocusedWindow()))}}return O}doExtractPathsFromCLI(A){const O=[],N={ignoreFileNotFound:!0,gotoLineMode:A.goto,remoteAuthority:A.remote||void 0,forceOpenWorkspaceAsFile:!1},j=A["folder-uri"];if(j)for(const K of j){const te=this.cliArgToUri(K);if(te){const oe=this.resolveOpenable({folderUri:te},N);oe&&O.push(oe)}}const F=A["file-uri"];if(F)for(const K of F){const te=this.cliArgToUri(K);if(te){const oe=this.resolveOpenable((0,ae.hasWorkspaceFileExtension)(K)?{workspaceUri:te}:{fileUri:te},N);oe&&O.push(oe)}}const z=A._;for(const K of z){const te=N.remoteAuthority?this.doResolvePathRemote(K,N):this.doResolveFilePath(K,N);te&&O.push(te)}return O}cliArgToUri(A){try{const O=d.URI.parse(A);if(!O.scheme){this.logService.error(`Invalid URI input string, scheme missing: ${A}`);return}return O}catch(O){this.logService.error(`Invalid URI input string: ${A}, ${O.message}`)}}doGetPathsFromLastSession(){const A=this.getRestoreWindowsSetting();switch(A){case"none":return[];case"one":case"all":case"preserve":case"folders":{const O=[];A!=="one"&&O.push(...this.windowsStateHandler.state.openedWindows),this.windowsStateHandler.state.lastActiveWindow&&O.push(this.windowsStateHandler.state.lastActiveWindow);const N=[];for(const j of O)if(j.workspace){const F=this.resolveOpenable({workspaceUri:j.workspace.configPath},{remoteAuthority:j.remoteAuthority,rejectTransientWorkspaces:!0});X(F)&&N.push(F)}else if(j.folderUri){const F=this.resolveOpenable({folderUri:j.folderUri},{remoteAuthority:j.remoteAuthority});q(F)&&N.push(F)}else A!=="folders"&&j.backupPath&&N.push({backupPath:j.backupPath,remoteAuthority:j.remoteAuthority});return N}}}getRestoreWindowsSetting(){let A;return this.lifecycleMainService.wasRestarted?A="all":(A=this.configurationService.getValue("window")?.restoreWindows||"all",["preserve","all","folders","one","none"].includes(A)||(A="all")),A}resolveOpenable(A,O=Object.create(null)){const N=this.resourceFromOpenable(A);return N.scheme===b.Schemas.file?((0,G.isFileToOpen)(A)&&(O={...O,forceOpenWorkspaceAsFile:!0}),this.doResolveFilePath(N.fsPath,O)):this.doResolveRemoteOpenable(A,O)}doResolveRemoteOpenable(A,O){let N=this.resourceFromOpenable(A);const j=(0,T.getRemoteAuthority)(N)||O.remoteAuthority;if(N=(0,w.removeTrailingPathSeparator)((0,w.normalizePath)(N)),(0,G.isFileToOpen)(A)){if(O.gotoLineMode){const{path:F,line:z,column:K}=(0,g.parseLineAndColumnAware)(N.path);return{fileUri:N.with({path:F}),options:{selection:z?{startLineNumber:z,startColumn:K||1}:void 0},remoteAuthority:j}}return{fileUri:N,remoteAuthority:j}}else if((0,G.isWorkspaceToOpen)(A))return{workspace:(0,ce.getWorkspaceIdentifier)(N),remoteAuthority:j};return{workspace:(0,ce.getSingleFolderWorkspaceIdentifier)(N),remoteAuthority:j}}resourceFromOpenable(A){return(0,G.isWorkspaceToOpen)(A)?A.workspaceUri:(0,G.isFolderToOpen)(A)?A.folderUri:A.fileUri}doResolveFilePath(A,O){let N,j;O.gotoLineMode&&({path:A,line:N,column:j}=(0,g.parseLineAndColumnAware)(A)),A=(0,g.sanitizeFilePath)((0,p.normalize)(A),(0,v.cwd)());try{const F=(0,t.statSync)(A);if(F.isFile()){if(!O.forceOpenWorkspaceAsFile){const z=this.workspacesManagementMainService.resolveLocalWorkspaceSync(d.URI.file(A));if(z)return z.transient&&O.rejectTransientWorkspaces?void 0:{workspace:{id:z.id,configPath:z.configPath},type:s.FileType.File,exists:!0,remoteAuthority:z.remoteAuthority,transient:z.transient}}return{fileUri:d.URI.file(A),type:s.FileType.File,exists:!0,options:{selection:N?{startLineNumber:N,startColumn:j||1}:void 0}}}else{if(F.isDirectory())return{workspace:(0,ce.getSingleFolderWorkspaceIdentifier)(d.URI.file(A),F),type:s.FileType.Directory,exists:!0};if(!y.isWindows&&A==="/dev/null")return{fileUri:d.URI.file(A),type:s.FileType.File,exists:!0}}}catch{const z=d.URI.file(A);if(this.workspacesHistoryMainService.removeRecentlyOpened([z]),O.ignoreFileNotFound)return{fileUri:z,type:s.FileType.File,exists:!1}}}doResolvePathRemote(A,O){const N=A.charCodeAt(0),j=O.remoteAuthority;let F,z;O.gotoLineMode&&({path:A,line:F,column:z}=(0,g.parseLineAndColumnAware)(A)),N!==47&&((0,g.isWindowsDriveLetter)(N)&&A.charCodeAt(A.charCodeAt(1))===58&&(A=(0,g.toSlashes)(A)),A=`/${A}`);const K=d.URI.from({scheme:b.Schemas.vscodeRemote,authority:j,path:A});if(A.charCodeAt(A.length-1)!==47){if((0,ae.hasWorkspaceFileExtension)(A))return O.forceOpenWorkspaceAsFile?{fileUri:K,options:{selection:F?{startLineNumber:F,startColumn:z||1}:void 0},remoteAuthority:O.remoteAuthority}:{workspace:(0,ce.getWorkspaceIdentifier)(K),remoteAuthority:j};if(O.gotoLineMode||p.posix.basename(A).indexOf(".")!==-1)return{fileUri:K,options:{selection:F?{startLineNumber:F,startColumn:z||1}:void 0},remoteAuthority:j}}return{workspace:(0,ce.getSingleFolderWorkspaceIdentifier)(K),remoteAuthority:j}}shouldOpenNewWindow(A){const O=this.configurationService.getValue("window"),N=O?.openFoldersInNewWindow||"default",j=O?.openFilesInNewWindow||"off";let F=(A.preferNewWindow||A.forceNewWindow)&&!A.forceReuseWindow;!A.forceNewWindow&&!A.forceReuseWindow&&(N==="on"||N==="off")&&(F=N==="on");let z=!1;return A.forceNewWindow||A.forceReuseWindow?z=!!A.forceNewWindow&&!A.forceReuseWindow:(y.isMacintosh?A.context===1&&(z=!0):A.context!==3&&A.context!==2&&!(A.userEnv&&A.userEnv.TERM_PROGRAM==="vscode")&&(z=!0),!A.cli.extensionDevelopmentPath&&(j==="on"||j==="off")&&(z=j==="on")),{openFolderInNewWindow:!!F,openFilesInNewWindow:z}}openExtensionDevelopmentHostWindow(A,O){const N=(0,ne.findWindowOnExtensionDevelopmentPath)(this.getWindows(),A);if(N)return this.lifecycleMainService.reload(N,O.cli),N.focus(),[N];let j=O.cli["folder-uri"]||[],F=O.cli["file-uri"]||[],z=O.cli._;if(!z.length&&!j.length&&!F.length&&!O.cli.extensionTestsPath){const we=this.windowsStateHandler.state.lastPluginDevelopmentHostWindow,fe=we&&(we.workspace||we.folderUri);fe&&(d.URI.isUri(fe)?fe.scheme===b.Schemas.file?z=[fe.fsPath]:j=[fe.toString()]:fe.configPath.scheme===b.Schemas.file?z=[(0,w.originalFSPath)(fe.configPath)]:F=[fe.configPath.toString()])}let K=O.remoteAuthority;for(const we of A)if(we.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const fe=d.URI.parse(we),Ie=(0,T.getRemoteAuthority)(fe);Ie&&(K?(0,w.isEqualAuthority)(Ie,K)||this.logService.error("more than one extension development path authority"):K=Ie)}z=z.filter(we=>{const fe=d.URI.file(we);return(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),fe)?!1:(0,w.isEqualAuthority)((0,T.getRemoteAuthority)(fe),K)}),j=j.filter(we=>{const fe=this.cliArgToUri(we);return fe&&!!(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),fe)?!1:fe?(0,w.isEqualAuthority)((0,T.getRemoteAuthority)(fe),K):!1}),F=F.filter(we=>{const fe=this.cliArgToUri(we);return fe&&!!(0,ne.findWindowOnWorkspaceOrFolder)(this.getWindows(),fe)?!1:fe?(0,w.isEqualAuthority)((0,T.getRemoteAuthority)(fe),K):!1}),O.cli._=z,O.cli["folder-uri"]=j,O.cli["file-uri"]=F;const te=!z.length&&!j.length&&!F.length,oe={context:O.context,cli:O.cli,forceNewWindow:!0,forceEmpty:te,userEnv:O.userEnv,noRecentEntry:!0,waitMarkerFileURI:O.waitMarkerFileURI,remoteAuthority:K};return this.open(oe)}openInBrowserWindow(A){const O=this.configurationService.getValue("window"),N={...this.environmentMainService.args,...A.cli,machineId:this.machineId,windowId:-1,mainPid:process.pid,appRoot:this.environmentMainService.appRoot,execPath:process.execPath,codeCachePath:this.environmentMainService.codeCachePath,backupPath:A.emptyWindowBackupInfo?(0,p.join)(this.environmentMainService.backupHome,A.emptyWindowBackupInfo.backupFolder):void 0,profiles:{all:this.userDataProfilesService.profiles,current:this.userDataProfilesService.getProfile(A.workspace??"empty-window")},homeDir:this.environmentMainService.userHome.fsPath,tmpDir:this.environmentMainService.tmpDir.fsPath,userDataDir:this.environmentMainService.userDataPath,remoteAuthority:A.remoteAuthority,workspace:A.workspace,userEnv:{...this.initialUserEnv,...A.userEnv},filesToOpenOrCreate:A.filesToOpen?.filesToOpenOrCreate,filesToDiff:A.filesToOpen?.filesToDiff,filesToWait:A.filesToOpen?.filesToWait,logLevel:this.logService.getLevel(),logsPath:this.environmentMainService.logsPath,product:f.default,isInitialStartup:A.initialStartup,perfMarks:(0,h.getMarks)(),os:{release:(0,D.release)(),hostname:(0,D.hostname)()},zoomLevel:typeof O?.zoomLevel=="number"?O.zoomLevel:void 0,autoDetectHighContrast:O?.autoDetectHighContrast??!0,autoDetectColorScheme:O?.autoDetectColorScheme??!1,accessibilitySupport:E.app.accessibilitySupportEnabled,colorScheme:this.themeMainService.getColorScheme(),policiesData:this.policyService.serialize(),editSessionId:this.environmentMainService.editSessionId};let j;if(!A.forceNewWindow&&!A.forceNewTabbedWindow&&(j=A.windowToUse||this.getLastActiveWindow(),j&&j.focus()),j){const F=j.config;!N.extensionDevelopmentPath&&F&&!!F.extensionDevelopmentPath&&(N.extensionDevelopmentPath=F.extensionDevelopmentPath,N.verbose=F.verbose,N["inspect-brk-extensions"]=F["inspect-brk-extensions"],N.debugId=F.debugId,N.extensionEnvironment=F.extensionEnvironment,N["inspect-extensions"]=F["inspect-extensions"],N["extensions-dir"]=F["extensions-dir"])}else{const F=this.windowsStateHandler.getNewWindowState(N);(0,h.mark)("code/willCreateCodeWindow");const z=j=this.instantiationService.createInstance(ie.CodeWindow,{state:F,extensionDevelopmentPath:N.extensionDevelopmentPath,isExtensionTestHost:!!N.extensionTestsPath});(0,h.mark)("code/didCreateCodeWindow"),A.forceNewTabbedWindow&&this.getLastActiveWindow()?.addTabbedWindow(z),ut.WINDOWS.push(z),this._onDidOpenWindow.fire(z),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),(0,S.once)(z.onDidSignalReady)(()=>this._onDidSignalReadyWindow.fire(z)),(0,S.once)(z.onDidClose)(()=>this.onWindowClosed(z)),(0,S.once)(z.onDidDestroy)(()=>this._onDidDestroyWindow.fire(z));const K=(0,m.assertIsDefined)(z.win?.webContents);K.removeAllListeners("devtools-reload-page"),K.on("devtools-reload-page",()=>this.lifecycleMainService.reload(z)),this.lifecycleMainService.registerWindow(z)}return N.windowId=j.id,j.isReady?this.lifecycleMainService.unload(j,4).then(F=>{F||this.doOpenInBrowserWindow(j,N,A)}):this.doOpenInBrowserWindow(j,N,A),j}doOpenInBrowserWindow(A,O,N){if(!O.extensionDevelopmentPath)if((0,ae.isWorkspaceIdentifier)(O.workspace))O.backupPath=this.backupMainService.registerWorkspaceBackupSync({workspace:O.workspace,remoteAuthority:O.remoteAuthority});else if((0,ae.isSingleFolderWorkspaceIdentifier)(O.workspace))O.backupPath=this.backupMainService.registerFolderBackupSync({folderUri:O.workspace.uri,remoteAuthority:O.remoteAuthority});else{const j=N.emptyWindowBackupInfo&&N.emptyWindowBackupInfo.backupFolder;O.backupPath=this.backupMainService.registerEmptyWindowBackupSync(j,O.remoteAuthority)}A.load(O)}onWindowClosed(A){const O=ut.WINDOWS.indexOf(A);ut.WINDOWS.splice(O,1),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const A=E.BrowserWindow.getFocusedWindow();if(A)return this.getWindowById(A.id)}getLastActiveWindow(){return this.doGetLastActiveWindow(this.getWindows())}getLastActiveWindowForAuthority(A){return this.doGetLastActiveWindow(this.getWindows().filter(O=>(0,w.isEqualAuthority)(O.remoteAuthority,A)))}doGetLastActiveWindow(A){const O=Math.max.apply(Math,A.map(N=>N.lastFocusTime));return A.find(N=>N.lastFocusTime===O)}sendToFocused(A,...O){(this.getFocusedWindow()||this.getLastActiveWindow())?.sendWhenReady(A,M.CancellationToken.None,...O)}sendToAll(A,O,N){for(const j of this.getWindows())N&&N.indexOf(j.id)>=0||j.sendWhenReady(A,M.CancellationToken.None,O)}getWindows(){return ut.WINDOWS}getWindowCount(){return ut.WINDOWS.length}getWindowById(A){const O=this.getWindows().filter(N=>N.id===A);return(0,R.firstOrDefault)(O)}getWindowByWebContents(A){const O=E.BrowserWindow.fromWebContents(A);if(!!O)return this.getWindowById(O.id)}};Q.WINDOWS=[],Q=de([ee(2,c.ILogService),ee(3,U.IStateMainService),ee(4,B.IPolicyService),ee(5,i.IEnvironmentMainService),ee(6,_.IUserDataProfilesService),ee(7,a.ILifecycleMainService),ee(8,l.IBackupMainService),ee(9,n.IConfigurationService),ee(10,H.IWorkspacesHistoryMainService),ee(11,se.IWorkspacesManagementMainService),ee(12,o.IInstantiationService),ee(13,r.IDialogMainService),ee(14,s.IFileService),ee(15,k.IProductService),ee(16,L.IProtocolMainService),ee(17,W.IThemeMainService)],Q),e.WindowsMainService=Q}),define(J[254],Z([0,1,57,32,74,47]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let M=class{constructor(g,S,C,P){this.workspacesManagementMainService=g,this.windowsMainService=S,this.workspacesHistoryMainService=C,this.backupMainService=P,this.onDidChangeRecentlyOpened=this.workspacesHistoryMainService.onDidChangeRecentlyOpened}async enterWorkspace(g,S){const C=this.windowsMainService.getWindowById(g);if(C)return this.workspacesManagementMainService.enterWorkspace(C,this.windowsMainService.getWindows(),S)}createUntitledWorkspace(g,S,C){return this.workspacesManagementMainService.createUntitledWorkspace(S,C)}deleteUntitledWorkspace(g,S){return this.workspacesManagementMainService.deleteUntitledWorkspace(S)}getWorkspaceIdentifier(g,S){return this.workspacesManagementMainService.getWorkspaceIdentifier(S)}getRecentlyOpened(g){return this.workspacesHistoryMainService.getRecentlyOpened(this.windowsMainService.getWindowById(g))}addRecentlyOpened(g,S){return this.workspacesHistoryMainService.addRecentlyOpened(S)}removeRecentlyOpened(g,S){return this.workspacesHistoryMainService.removeRecentlyOpened(S)}clearRecentlyOpened(g){return this.workspacesHistoryMainService.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.backupMainService.getDirtyWorkspaces()}};M=de([ee(0,R.IWorkspacesManagementMainService),ee(1,t.IWindowsMainService),ee(2,D.IWorkspacesHistoryMainService),ee(3,E.IBackupMainService)],M),e.WorkspacesMainService=M}),define(J[255],Z([0,1,14,38,27,28,19,41,18,29,48,49,34,2,12,9,4,13,7,30,80,129,43,140,96,236,145,57,241,17,67,175,83,113,52,99,173,26,56,106,182,202,183,238,101,184,185,16,195,85,66,5,84,247,212,114,21,6,197,252,64,20,70,233,86,45,242,88,216,35,218,220,71,46,225,226,248,227,249,108,229,230,231,234,239,32,253,240,24,89,74,254,47,237,37,201,63,100,245]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n,r,i,s,o,a,c,f,k,L,T,U,G,ie,ne,Y,ae,ce,H,se,W,_,B,X,q,Q,x,A,O,N,j,F,z,K,te,oe,we,fe,Ie,Ee,Pe,We,Ue,le,he,pe,ke,Re,Je,Le,Be,Ae,Ye,Qe,Ze,$e,je,V,re,ue,ge,ye,De,qe,it,et,He,Xe,xe,at,ct,Tt,Wt,Ot,Ft,_t,Ut){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let Et=class extends p.Disposable{constructor(me,Se,be,ve,Me,Oe,Te,Fe,Ce,_e){super();this.mainProcessNodeIpcServer=me,this.userEnv=Se,this.mainInstantiationService=be,this.logService=ve,this.environmentMainService=Me,this.lifecycleMainService=Oe,this.configurationService=Te,this.stateMainService=Fe,this.fileService=Ce,this.productService=_e,this.configureSession(),this.registerListeners()}configureSession(){const me=Ce=>Ce?.startsWith(`${h.Schemas.vscodeWebview}://`),Se=new Set(["clipboard-read","clipboard-sanitized-write"]);E.session.defaultSession.setPermissionRequestHandler((Ce,_e,ze,Ge)=>me(Ge.requestingUrl)?ze(Se.has(_e)):ze(!1)),E.session.defaultSession.setPermissionCheckHandler((Ce,_e,ze,Ge)=>me(Ge.requestingUrl)?Se.has(_e):!1);const be=new Set([h.Schemas.file,h.Schemas.vscodeFileResource,h.Schemas.vscodeRemoteResource,"devtools"]),ve=Ce=>{for(let _e=Ce;_e;_e=_e.parent)if(_e.url.startsWith(`${h.Schemas.vscodeWebview}://`))return!0;return!1},Me=Ce=>Ce.resourceType==="xhr"||ve(Ce.frame),Oe=Ce=>{const _e=Ce.frame;if(!_e||!this.windowsMainService)return!1;const ze=E.BrowserWindow.getAllWindows();for(const Ge of ze)if(_e.processId===Ge.webContents.mainFrame.processId)return!0;return!1},Te=(Ce,_e)=>{if(Ce.path!=="/index.html")return!0;const ze=_e.frame;if(!ze||!this.windowsMainService)return!1;for(const Ge of this.windowsMainService.getWindows())if(Ge.win&&ze.processId===Ge.win.webContents.mainFrame.processId)return!0;return!1};E.session.defaultSession.webRequest.onBeforeRequest((Ce,_e)=>{const ze=m.URI.parse(Ce.url);return ze.scheme===h.Schemas.vscodeWebview&&!Te(ze,Ce)?(this.logService.error("Blocked vscode-webview request",Ce.url),_e({cancel:!0})):ze.scheme===h.Schemas.vscodeFileResource&&!Oe(Ce)?(this.logService.error("Blocked vscode-file request",Ce.url),_e({cancel:!0})):ze.path.endsWith(".svg")&&!be.has(ze.scheme)?_e({cancel:!Me(Ce)}):_e({cancel:!1})}),E.session.defaultSession.webRequest.onHeadersReceived((Ce,_e)=>{const ze=Ce.responseHeaders,Ge=ze["content-type"]||ze["Content-Type"];if(Ge&&Array.isArray(Ge)){const nt=m.URI.parse(Ce.url);if(nt.path.endsWith(".svg")&&be.has(nt.scheme))return ze["Content-Type"]=["image/svg+xml"],_e({cancel:!1,responseHeaders:ze});if(!nt.path.endsWith(h.Schemas.vscodeRemoteResource)&&Ge.some(ht=>ht.toLowerCase().includes("image/svg")))return _e({cancel:!Me(Ce)})}return _e({cancel:!1})});const Fe=E.session.defaultSession;typeof Fe.setCodeCachePath=="function"&&this.environmentMainService.codeCachePath&&Fe.setCodeCachePath((0,y.join)(this.environmentMainService.codeCachePath,"chrome"))}registerListeners(){(0,g.setUnexpectedErrorHandler)(be=>this.onUnexpectedError(be)),process.on("uncaughtException",be=>(0,g.onUnexpectedError)(be)),process.on("unhandledRejection",be=>(0,g.onUnexpectedError)(be)),this.lifecycleMainService.onWillShutdown(()=>this.dispose()),(0,l.registerContextMenuListener)(),E.app.on("accessibility-support-changed",(be,ve)=>{this.windowsMainService?.sendToAll("vscode:accessibilitySupportChanged",ve)}),E.app.on("activate",(be,ve)=>{this.logService.trace("app#activate"),ve||this.windowsMainService?.openEmptyWindow({context:1})}),E.app.on("web-contents-created",(be,ve)=>{ve.on("will-navigate",Me=>{this.logService.error("webContents#will-navigate: Prevented webcontent navigation"),Me.preventDefault()}),ve.setWindowOpenHandler(({url:Me})=>(this.nativeHostMainService?.openExternal(void 0,Me),{action:"deny"}))});let me=[],Se;E.app.on("open-file",(be,ve)=>{this.logService.trace("app#open-file: ",ve),be.preventDefault(),me.push(this.getWindowOpenableFromPathSync(ve)),Se!==void 0&&(clearTimeout(Se),Se=void 0),Se=setTimeout(()=>{this.windowsMainService?.open({context:1,cli:this.environmentMainService.args,urisToOpen:me,gotoLineMode:!1,preferNewWindow:!0}),me=[],Se=void 0},100)}),E.app.on("new-window-for-tab",()=>{this.windowsMainService?.openEmptyWindow({context:4})}),t.validatedIpcMain.handle("vscode:fetchShellEnv",be=>{const ve=this.windowsMainService?.getWindowByWebContents(be.sender);let Me,Oe;return ve?.config?(Me=ve.config,Oe={...process.env,...ve.config.userEnv}):(Me=this.environmentMainService.args,Oe=process.env),this.resolveShellEnvironment(Me,Oe,!1)}),t.validatedIpcMain.handle("vscode:writeNlsFile",(be,ve,Me)=>{const Oe=this.validateNlsPath([ve]);if(!Oe||typeof Me!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.fileService.writeFile(Oe,M.VSBuffer.fromString(Me))}),t.validatedIpcMain.handle("vscode:readNlsFile",async(be,...ve)=>{const Me=this.validateNlsPath(ve);if(!Me)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.fileService.readFile(Me)).value.toString()}),t.validatedIpcMain.on("vscode:toggleDevTools",be=>be.sender.toggleDevTools()),t.validatedIpcMain.on("vscode:openDevTools",be=>be.sender.openDevTools()),t.validatedIpcMain.on("vscode:reloadWindow",be=>be.sender.reload())}validateNlsPath(me){let Se;for(const be of me)typeof be=="string"&&(typeof Se!="string"?Se=be:Se=(0,y.join)(Se,be));if(!(typeof Se!="string"||!(0,y.isAbsolute)(Se)||!(0,S.isEqualOrParent)(Se,this.environmentMainService.cachedLanguagesPath,!v.isLinux)))return m.URI.file(Se)}onUnexpectedError(me){if(me){const Se={message:`[uncaught exception in main]: ${me.message}`,stack:me.stack};this.windowsMainService?.sendToFocused("vscode:reportError",JSON.stringify(Se))}this.logService.error(`[uncaught exception in main]: ${me}`),me.stack&&this.logService.error(me.stack)}async startup(){this.logService.debug("Starting VS Code"),this.logService.debug(`from: ${this.environmentMainService.appRoot}`),this.logService.debug("args:",this.environmentMainService.args);const me=this.productService.win32AppUserModelId;v.isWindows&&me&&E.app.setAppUserModelId(me);try{v.isMacintosh&&this.configurationService.getValue("window.nativeTabs")===!0&&!E.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&E.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(Ce){this.logService.error(Ce)}const Se=new r.Server;this.lifecycleMainService.onWillShutdown(Ce=>{Ce.reason===2&&Se.dispose()}),this.logService.trace("Resolving machine identifier...");const be=await this.resolveMachineId();this.logService.trace(`Resolved machine identifier: ${be}`);const{sharedProcess:ve,sharedProcessReady:Me,sharedProcessClient:Oe}=this.setupSharedProcess(be),Te=await this.initServices(be,ve,Me);this.setUpHandlers(Te),Te.invokeFunction(Ce=>this.initChannels(Ce,Se,Oe));const Fe=Te.invokeFunction(Ce=>this.openFirstWindow(Ce,Se));Te.invokeFunction(Ce=>this.afterWindowOpen(Ce,ve)),this.environmentMainService.args.trace&&Te.invokeFunction(Ce=>this.stopTracingEventually(Ce,Fe))}setUpHandlers(me){this._register(me.createInstance(s.ProxyAuthHandler)),this._register(me.createInstance(Ut.DefaultExtensionsProfileInitHandler))}async resolveMachineId(){let me=this.stateMainService.getItem(Re.machineIdKey);return(!me||v.isMacintosh&&me==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(me=await(0,u.getMachineId)(),this.stateMainService.setItem(Re.machineIdKey,me)),me}setupSharedProcess(me){const Se=this._register(this.mainInstantiationService.createInstance(We.SharedProcess,me,this.userEnv)),be=(async()=>{this.logService.trace("Main->SharedProcess#connect");const Me=await Se.connect();return this.logService.trace("Main->SharedProcess#connect: connection established"),new i.Client(Me,"main")})(),ve=(async()=>(await Se.whenReady(),be))();return{sharedProcess:Se,sharedProcessReady:ve,sharedProcessClient:be}}async initServices(me,Se,be){const ve=new j.ServiceCollection;switch(process.platform){case"win32":ve.set(Ae.IUpdateService,new O.SyncDescriptor(je.Win32UpdateService));break;case"linux":v.isLinuxSnap?ve.set(Ae.IUpdateService,new O.SyncDescriptor($e.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):ve.set(Ae.IUpdateService,new O.SyncDescriptor(Ze.LinuxUpdateService));break;case"darwin":ve.set(Ae.IUpdateService,new O.SyncDescriptor(Qe.DarwinUpdateService));break}ve.set(qe.IWindowsMainService,new O.SyncDescriptor(it.WindowsMainService,[me,this.userEnv])),ve.set(G.IDialogMainService,new O.SyncDescriptor(G.DialogMainService)),ve.set(K.ILaunchMainService,new O.SyncDescriptor(K.LaunchMainService)),ve.set(U.IDiagnosticsMainService,new O.SyncDescriptor(U.DiagnosticsMainService)),ve.set(T.IDiagnosticsService,n.ProxyChannel.toService((0,n.getDelayedChannel)(be.then(Oe=>Oe.getChannel("diagnostics"))))),ve.set(F.IIssueMainService,new O.SyncDescriptor(F.IssueMainService,[this.userEnv])),ve.set(ie.IEncryptionMainService,new O.SyncDescriptor(ne.EncryptionMainService,[me])),ve.set(z.IKeyboardLayoutMainService,new O.SyncDescriptor(z.KeyboardLayoutMainService)),ve.set(Ie.INativeHostMainService,new O.SyncDescriptor(Ie.NativeHostMainService,[Se])),ve.set(k.ICredentialsMainService,new O.SyncDescriptor(Tt.CredentialsNativeMainService)),ve.set(ye.IWebviewManagerService,new O.SyncDescriptor(De.WebviewMainService)),ve.set(Xe.IWorkspacesService,new O.SyncDescriptor(at.WorkspacesMainService)),ve.set(ct.IWorkspacesManagementMainService,new O.SyncDescriptor(ct.WorkspacesManagementMainService)),ve.set(xe.IWorkspacesHistoryMainService,new O.SyncDescriptor(xe.WorkspacesHistoryMainService)),ve.set(fe.IMenubarMainService,new O.SyncDescriptor(fe.MenubarMainService)),ve.set(H.IExtensionUrlTrustService,new O.SyncDescriptor(se.ExtensionUrlTrustService)),ve.set(W.IExtensionHostStarter,new O.SyncDescriptor(_.ExtensionHostStarter)),ve.set(pe.IStorageMainService,new O.SyncDescriptor(pe.StorageMainService)),ve.set(pe.IApplicationStorageMainService,new O.SyncDescriptor(pe.ApplicationStorageMainService)),v.isWindows?ve.set(B.IExternalTerminalMainService,new O.SyncDescriptor(X.WindowsExternalTerminalService)):v.isMacintosh?ve.set(B.IExternalTerminalMainService,new O.SyncDescriptor(X.MacExternalTerminalService)):v.isLinux&&ve.set(B.IExternalTerminalMainService,new O.SyncDescriptor(X.LinuxExternalTerminalService));const Me=new c.BackupMainService(this.environmentMainService,this.configurationService,this.logService);if(ve.set(a.IBackupMainService,Me),ve.set(V.IURLService,new O.SyncDescriptor(ue.NativeURLService)),(0,Be.supportsTelemetry)(this.productService,this.environmentMainService)){const Oe=(0,n.getDelayedChannel)(be.then(ze=>ze.getChannel("telemetryAppender"))),Te=new Je.TelemetryAppenderClient(Oe),Fe=(0,ke.resolveCommonProperties)(this.fileService,(0,R.release)(),(0,R.hostname)(),process.arch,this.productService.commit,this.productService.version,me,this.productService.msftInternalDomains,this.environmentMainService.installSourcePath),Ce=(0,Be.getPiiPathsFromEnvironment)(this.environmentMainService),_e={appenders:[Te],commonProperties:Fe,piiPaths:Ce,sendErrorTelemetry:!0};ve.set(Re.ITelemetryService,new O.SyncDescriptor(Le.TelemetryService,[_e]))}else ve.set(Re.ITelemetryService,Be.NullTelemetryService);return ve.set(_t.IDefaultExtensionsProfileInitService,n.ProxyChannel.toService((0,n.getDelayedChannel)(be.then(Oe=>Oe.getChannel("IDefaultExtensionsProfileInitService"))))),await Me.initialize(),this.mainInstantiationService.createChild(ve)}initChannels(me,Se,be){const ve=n.ProxyChannel.fromService(me.get(K.ILaunchMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("launch",ve);const Me=n.ProxyChannel.fromService(me.get(U.IDiagnosticsMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("diagnostics",Me);const Oe=new Ot.PolicyChannel(me.get(Wt.IPolicyService));Se.registerChannel("policy",Oe),be.then(Ve=>Ve.registerChannel("policy",Oe));const Te=this.fileService.getProvider(h.Schemas.file);(0,w.assertType)(Te instanceof A.DiskFileSystemProvider);const Fe=new x.DiskFileSystemProviderChannel(Te,this.logService,this.environmentMainService);Se.registerChannel(q.LOCAL_FILE_SYSTEM_CHANNEL_NAME,Fe),be.then(Ve=>Ve.registerChannel(q.LOCAL_FILE_SYSTEM_CHANNEL_NAME,Fe));const Ce=n.ProxyChannel.fromService(me.get(Ft.IUserDataProfilesMainService));Se.registerChannel("userDataProfiles",Ce),be.then(Ve=>Ve.registerChannel("userDataProfiles",Ce));const _e=new Ye.UpdateChannel(me.get(Ae.IUpdateService));Se.registerChannel("update",_e);const ze=n.ProxyChannel.fromService(me.get(F.IIssueMainService));Se.registerChannel("issue",ze);const Ge=n.ProxyChannel.fromService(me.get(ie.IEncryptionMainService));Se.registerChannel("encryption",Ge);const nt=n.ProxyChannel.fromService(me.get(k.ICredentialsMainService));Se.registerChannel("credentials",nt);const ht=n.ProxyChannel.fromService(me.get(Ue.ISignService));Se.registerChannel("sign",ht);const Ct=n.ProxyChannel.fromService(me.get(z.IKeyboardLayoutMainService));Se.registerChannel("keyboardLayout",Ct),this.nativeHostMainService=me.get(Ie.INativeHostMainService);const Ke=n.ProxyChannel.fromService(this.nativeHostMainService);Se.registerChannel("nativeHost",Ke),be.then(Ve=>Ve.registerChannel("nativeHost",Ke));const wt=n.ProxyChannel.fromService(me.get(Xe.IWorkspacesService));Se.registerChannel("workspaces",wt);const dt=n.ProxyChannel.fromService(me.get(fe.IMenubarMainService));Se.registerChannel("menubar",dt);const ft=n.ProxyChannel.fromService(me.get(V.IURLService));Se.registerChannel("url",ft);const pt=n.ProxyChannel.fromService(me.get(H.IExtensionUrlTrustService));Se.registerChannel("extensionUrlTrust",pt);const vt=n.ProxyChannel.fromService(me.get(ye.IWebviewManagerService));Se.registerChannel("webview",vt);const lt=this._register(new he.StorageDatabaseChannel(this.logService,me.get(pe.IStorageMainService)));Se.registerChannel("storage",lt),be.then(Ve=>Ve.registerChannel("storage",lt));const gt=n.ProxyChannel.fromService(me.get(B.IExternalTerminalMainService));Se.registerChannel("externalTerminal",gt);const mt=new we.LogLevelChannel(me.get(oe.ILogService));Se.registerChannel("logLevel",mt),be.then(Ve=>Ve.registerChannel("logLevel",mt));const Ne=new we.LoggerChannel(me.get(oe.ILoggerService));Se.registerChannel("logger",Ne),be.then(Ve=>Ve.registerChannel("logger",Ne));const rt=new L.ElectronExtensionHostDebugBroadcastChannel(me.get(qe.IWindowsMainService));Se.registerChannel("extensionhostdebugservice",rt);const ot=n.ProxyChannel.fromService(me.get(W.IExtensionHostStarter));Se.registerChannel(W.ipcExtensionHostStarterChannelName,ot)}openFirstWindow(me,Se){const be=this.windowsMainService=me.get(qe.IWindowsMainService),ve=me.get(V.IURLService),Me=me.get(Ie.INativeHostMainService);this.lifecycleMainService.phase=2;const Oe=[],Te=[...this.environmentMainService.args["open-url"]?this.environmentMainService.args._urls||[]:[],...global.getOpenUrls()||[]].map(Ne=>{try{return{uri:m.URI.parse(Ne),url:Ne}}catch{return}}).filter(Ne=>{if(!Ne||this.shouldBlockURI(Ne.uri))return!1;const rt=this.getWindowOpenableFromProtocolLink(Ne.uri);return rt?(Oe.push(rt),!1):!0}),Fe=this,Ce=this.environmentMainService,_e=this.productService,ze=this.logService;ve.registerHandler({async handleURL(Ne,rt){if(ze.trace("app#handleURL: ",Ne.toString(!0),rt),Ne.scheme===_e.urlProtocol&&Ne.path==="workspace"&&(Ne=Ne.with({authority:"file",path:m.URI.parse(Ne.query).path,query:""})),Fe.shouldBlockURI(Ne))return!0;let ot=!1;const Ve=new URLSearchParams(Ne.query);Ve.get("windowId")==="_blank"&&(Ve.delete("windowId"),Ne=Ne.with({query:Ve.toString()}),ot=!0),ot||(ot=v.isMacintosh&&be.getWindowCount()===0),Ve.get("editSessionId")!==null&&(Ce.editSessionId=Ve.get("editSessionId")??void 0,Ve.delete("editSessionId"),Ne=Ne.with({query:Ve.toString()}));const It=Fe.getWindowOpenableFromProtocolLink(Ne);if(ze.trace("app#handleURL: windowOpenableFromProtocolLink = ",It),It){const[Pt]=be.open({context:5,cli:{...Ce.args},urisToOpen:[It],forceNewWindow:ot,gotoLineMode:!0});return Pt.focus(),!0}if(ot){const[Pt]=be.open({context:5,cli:{...Ce.args},forceNewWindow:!0,forceEmpty:!0,gotoLineMode:!0,remoteAuthority:(0,Pe.getRemoteAuthority)(Ne)});return await Pt.ready(),ve.open(Ne,rt)}return!1}});const Ge=this._register(new et.ActiveWindowManager({onDidOpenWindow:Me.onDidOpenWindow,onDidFocusWindow:Me.onDidFocusWindow,getActiveWindowId:()=>Me.getActiveWindowId(-1)})),nt=new n.StaticRouter(Ne=>Ge.getActiveClientId().then(rt=>Ne===rt)),ht=new re.URLHandlerRouter(nt),Ct=Se.getChannel("urlHandler",ht);ve.registerHandler(new re.URLHandlerChannelClient(Ct)),this._register(new ge.ElectronURLListener(Te,ve,be,this.environmentMainService,this.productService));const Ke=this.environmentMainService.args,wt=global.macOpenFiles,dt=(0,ae.isLaunchedFromCli)(process.env)?0:4,ft=Ke._.length,pt=!!Ke["folder-uri"],vt=!!Ke["file-uri"],lt=Ke["skip-add-to-recently-opened"]===!0,gt=Ke.wait&&Ke.waitMarkerFilePath?m.URI.file(Ke.waitMarkerFilePath):void 0,mt=Ke.remote||void 0;return Oe.length>0?be.open({context:dt,cli:Ke,urisToOpen:Oe,gotoLineMode:!0,initialStartup:!0}):Ke["new-window"]&&!ft&&!pt&&!vt?be.open({context:dt,cli:Ke,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:lt,waitMarkerFileURI:gt,initialStartup:!0,remoteAuthority:mt}):wt.length&&!ft&&!pt&&!vt?be.open({context:1,cli:Ke,urisToOpen:wt.map(Ne=>this.getWindowOpenableFromPathSync(Ne)),noRecentEntry:lt,waitMarkerFileURI:gt,initialStartup:!0}):be.open({context:dt,cli:Ke,forceNewWindow:Ke["new-window"]||!ft&&Ke["unity-launch"],diffMode:Ke.diff,noRecentEntry:lt,waitMarkerFileURI:gt,gotoLineMode:Ke.goto,initialStartup:!0,remoteAuthority:mt})}shouldBlockURI(me){return!!(me.authority===h.Schemas.file&&v.isWindows&&E.dialog.showMessageBoxSync({title:this.productService.nameLong,type:"question",buttons:[(0,b.mnemonicButtonLabel)((0,o.localize)(0,null)),(0,b.mnemonicButtonLabel)((0,o.localize)(1,null))],defaultId:0,cancelId:1,message:(0,o.localize)(2,null,(0,b.getPathLabel)(me,{os:v.OS,tildify:this.environmentMainService}),this.productService.nameShort),detail:(0,o.localize)(3,null),noLink:!0})===1)}getWindowOpenableFromProtocolLink(me){if(!!me.path){if(me.authority===h.Schemas.file){const Se=m.URI.file(me.fsPath);return(0,He.hasWorkspaceFileExtension)(Se)?{workspaceUri:Se}:{fileUri:Se}}else if(me.authority===h.Schemas.vscodeRemote){const Se=me.path.indexOf(y.posix.sep,1);if(Se!==-1){const be=me.path.substring(1,Se),ve=me.path.substring(Se),Me=m.URI.from({scheme:h.Schemas.vscodeRemote,authority:be,path:ve,query:me.query,fragment:me.fragment});return(0,He.hasWorkspaceFileExtension)(ve)?{workspaceUri:Me}:/:[\d]+$/.test(ve)?{fileUri:Me}:{folderUri:Me}}}}}getWindowOpenableFromPathSync(me){try{if((0,D.statSync)(me).isDirectory())return{folderUri:m.URI.file(me)};if((0,He.hasWorkspaceFileExtension)(me))return{workspaceUri:m.URI.file(me)}}catch{}return{fileUri:m.URI.file(me)}}async afterWindowOpen(me,Se){this.lifecycleMainService.phase=3;let be=!1;(0,C.once)(this.lifecycleMainService.onWillShutdown)(()=>be=!0);const ve=me.get(Re.ITelemetryService);this._register(Se.onDidError(({type:Te,details:Fe})=>{let Ce;switch(Te){case 1:Ce="SharedProcess: detected unresponsive window";break;case 2:Ce=`SharedProcess: crashed (detail: ${Fe?.reason??"<unknown>"}, code: ${Fe?.exitCode??"<unknown>"})`;break;case 3:Ce=`SharedProcess: failed to load (detail: ${Fe?.reason??"<unknown>"}, code: ${Fe?.exitCode??"<unknown>"})`;break}(0,g.onUnexpectedError)(new Error(Ce)),ve.publicLog2("sharedprocesserror",{type:Te,reason:Fe?.reason,code:Fe?.exitCode,visible:Se.isVisible(),shuttingdown:be})}));const Me=this.productService.win32MutexName;if(v.isWindows&&Me)try{const Te=$.__$__nodeRequire("windows-mutex").Mutex,Fe=new Te(Me);(0,C.once)(this.lifecycleMainService.onWillShutdown)(()=>Fe.release())}catch(Te){this.logService.error(Te)}E.protocol.registerHttpProtocol(h.Schemas.vscodeRemoteResource,(Te,Fe)=>{Fe({url:Te.url.replace(/^vscode-remote-resource:/,"http:"),method:Te.method})});const Oe=me.get(Ae.IUpdateService);(Oe instanceof je.Win32UpdateService||Oe instanceof Ze.LinuxUpdateService||Oe instanceof Qe.DarwinUpdateService)&&Oe.initialize(),this.resolveShellEnvironment(this.environmentMainService.args,process.env,!0);try{const Fe=(await this.fileService.readFile(this.environmentMainService.argvResource)).value.toString();if(JSON.parse((0,P.stripComments)(Fe))["enable-crash-reporter"]===void 0){const ze=(0,Be.getTelemetryLevel)(this.configurationService)>=1,Ge=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${ze},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${(0,d.generateUuid)()}"`,"}"],nt=Fe.substring(0,Fe.length-2).concat(`,
`,Ge.join(`
`));await this.fileService.writeFile(this.environmentMainService.argvResource,M.VSBuffer.fromString(nt))}}catch(Te){this.logService.error(Te)}}async resolveShellEnvironment(me,Se,be){try{return await(0,ce.getResolvedShellEnv)(this.logService,me,Se)}catch(ve){const Me=(0,I.toErrorMessage)(ve);be?this.windowsMainService?.sendToFocused("vscode:showResolveShellEnvError",Me):this.logService.error(Me)}return{}}stopTracingEventually(me,Se){this.logService.info("Tracing: waiting for windows to get ready...");const be=me.get(G.IDialogMainService);let ve=!1;const Me=async Te=>{if(ve)return;ve=!0;const Fe=await E.contentTracing.stopRecording(`${(0,S.randomPath)(this.environmentMainService.userHome.fsPath,this.productService.applicationName)}.trace.txt`);Te?this.logService.info(`Tracing: data recorded (after 30s timeout) to ${Fe}`):be.showMessageBox({title:this.productService.nameLong,type:"info",message:(0,o.localize)(4,null),detail:(0,o.localize)(5,null,Fe),buttons:[(0,b.mnemonicButtonLabel)((0,o.localize)(6,null))],defaultId:0,noLink:!0},(0,w.withNullAsUndefined)(E.BrowserWindow.getFocusedWindow()))},Oe=setTimeout(()=>Me(!0),3e4);Promise.all(Se.map(Te=>Te.ready())).then(()=>{clearTimeout(Oe),Me(!1)})}};Et=de([ee(2,N.IInstantiationService),ee(3,oe.ILogService),ee(4,Y.IEnvironmentMainService),ee(5,te.ILifecycleMainService),ee(6,f.IConfigurationService),ee(7,le.IStateMainService),ee(8,Q.IFileService),ee(9,Ee.IProductService)],Et),e.CodeApplication=Et}),define(J[256],Z([0,1,37,8,263,2]),function($,e,E,t,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativePolicyService=void 0;class M extends E.AbstractPolicyService{constructor(g){super();this.productName=g,this.throttler=new t.Throttler,this.watcher=this._register(new R.MutableDisposable)}async initializePolicies(g){await this.throttler.queue(()=>new Promise((S,C)=>{try{this.watcher.value=(0,D.createWatcher)(this.productName,g,P=>{for(const b in P){const p=P[b];p===void 0?this.policies.delete(b):this.policies.set(b,p)}this._onDidChange.fire(Object.keys(P)),S()})}catch(P){C(P)}}))}}e.NativePolicyService=M}),define(J[257],Z([0,1,210,8,19,18,2,13,17,39,106,6,209,264]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let h=class extends M.Disposable{constructor(v,w,m){super();this.environmentService=w,this.logService=m,this.configure(v.getValue()),this._register(v.onDidChangeConfiguration(()=>this.configure(v.getValue()),this))}configure(v){this.proxyUrl=v.http&&v.http.proxy,this.strictSSL=!!(v.http&&v.http.proxyStrictSSL),this.authorization=v.http&&v.http.proxyAuthorization}async request(v,w){this.logService.trace("RequestService#request (node) - begin",v.url);const{proxyUrl:m,strictSSL:d}=this;let u;try{u=await(0,C.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(r){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request (node) resolving shell environment failed",r))}const l={...process.env,...u},n=v.agent?v.agent:await(0,b.getProxyAgent)(v.url||"",l,{proxyUrl:m,strictSSL:d});v.agent=n,v.strictSSL=d,this.authorization&&(v.headers={...v.headers||{},"Proxy-Authorization":this.authorization});try{const r=await this._request(v,w);return this.logService.trace("RequestService#request (node) - success",v.url),r}catch(r){throw this.logService.trace("RequestService#request (node) - error",v.url,r),r}}async getNodeRequest(v){return((0,E.parse)(v.url).protocol==="https:"?await new Promise((d,u)=>{$(["https"],d,u)}):await new Promise((d,u)=>{$(["http"],d,u)})).request}_request(v,w){return t.Promises.withAsyncBody(async(m,d)=>{const u=(0,E.parse)(v.url),l=v.getRawRequest?v.getRawRequest(v):await this.getNodeRequest(v),n={hostname:u.hostname,port:u.port?parseInt(u.port):u.protocol==="https:"?443:80,protocol:u.protocol,path:u.path,method:v.type||"GET",headers:v.headers,agent:v.agent,rejectUnauthorized:(0,I.isBoolean)(v.strictSSL)?v.strictSSL:!0};v.user&&v.password&&(n.auth=v.user+":"+v.password);const r=l(n,i=>{const s=(0,I.isNumber)(v.followRedirects)?v.followRedirects:3;if(i.statusCode&&i.statusCode>=300&&i.statusCode<400&&s>0&&i.headers.location)this._request({...v,url:i.headers.location,followRedirects:s-1},w).then(m,d);else{let o=i;i.headers["content-encoding"]==="gzip"&&(o=i.pipe((0,p.createGunzip)())),m({res:i,stream:(0,D.streamToBufferReadableStream)(o)})}});r.on("error",d),v.timeout&&r.setTimeout(v.timeout),v.data&&typeof v.data=="string"&&r.write(v.data),r.end(),w.onCancellationRequested(()=>{r.abort(),d((0,R.canceled)())})})}async resolveProxy(v){}};h=de([ee(0,g.IConfigurationService),ee(1,S.INativeEnvironmentService),ee(2,P.ILogService)],h),e.RequestService=h}),define(J[258],Z([0,1,14,257]),function($,e,E,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function D(M){return E.net.request}class R extends t.RequestService{request(I,g){return super.request({...I||{},getRawRequest:D},g)}}e.RequestMainService=R}),define(J[265],Z([0,1,14,27,7,25,8,41,18,29,48,34,12,9,69,4,36,31,23,43,81,255,10,17,205,217,26,56,178,16,193,85,66,190,84,21,103,6,198,104,58,20,59,232,107,223,61,258,86,211,45,215,71,62,63,37,256,200,2,72,228,40,224]),function($,e,E,t,D,R,M,I,g,S,C,P,b,p,h,y,v,w,m,d,u,l,n,r,i,s,o,a,c,f,k,L,T,U,G,ie,ne,Y,ae,ce,H,se,W,_,B,X,q,Q,x,A,O,N,j,F,z,K,te,oe,we,fe,Ie,Ee){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class Pe{main(){try{this.startup()}catch(le){console.error(le.message),E.app.exit(1)}}async startup(){(0,g.setUnexpectedErrorHandler)(Ae=>console.error(Ae));const[le,he,pe,ke,Re,Je,Le,Be]=this.createServices();try{try{await this.initServices(pe,Be,ke,Re)}catch(Ae){throw this.handleStartupDataDirError(pe,Le.nameLong,Ae),Ae}await le.invokeFunction(async Ae=>{const Ye=Ae.get(Y.ILogService),Qe=Ae.get(ie.ILifecycleMainService),Ze=Ae.get(f.IFileService),$e=await this.claimInstance(Ye,pe,Qe,le,Le,!0);return m.Promises.writeFile(pe.mainLockfile,String(process.pid)).catch(je=>{Ye.warn(`Error writing main lockfile: ${je.stack}`)}),Je.logger=new ce.SpdLogLogger("main",(0,p.join)(pe.logsPath,"main.log"),!0,!1,Je.getLevel()),(0,C.once)(Qe.onWillShutdown)(je=>{Ze.dispose(),ke.dispose(),je.join(m.Promises.unlink(pe.mainLockfile).catch(()=>{}))}),le.createInstance(l.CodeApplication,$e,he).startup()})}catch(Ae){le.invokeFunction(this.quit,Ae)}}createServices(){const le=new G.ServiceCollection,he=new we.DisposableStore;process.once("exit",()=>he.dispose());const pe={_serviceBrand:void 0,...H.default};le.set(se.IProductService,pe);const ke=new o.EnvironmentMainService(this.resolveArgs(),pe),Re=this.patchEnvironment(ke);le.set(o.IEnvironmentMainService,ke);const Je=new ne.BufferLogService,Le=he.add(new Y.MultiplexLogService([new Y.ConsoleMainLogger((0,Y.getLogLevel)(ke)),Je]));le.set(Y.ILogService,Le);const Be=new k.FileService(Le);le.set(f.IFileService,Be);const Ae=new L.DiskFileSystemProvider(Le);Be.registerProvider(b.Schemas.file,Ae);const Ye=new Ie.UriIdentityService(Be);le.set(fe.IUriIdentityService,Ye),le.set(Y.ILoggerService,new ae.LoggerService(Le,Be));const Qe=new N.StateMainService(ke,Le,Be);le.set(O.IStateMainService,Qe);const Ze=new z.UserDataProfilesMainService(Qe,Ye,ke,Be,Le);le.set(z.IUserDataProfilesMainService,Ze);const $e=y.isWindows&&pe.win32RegValueName?he.add(new te.NativePolicyService(pe.win32RegValueName)):ke.policyFile?he.add(new oe.FilePolicyService(ke.policyFile,Be,Le)):new K.NullPolicyService;le.set(K.IPolicyService,$e);const je=new i.ConfigurationService(Ze.defaultProfile.settingsResource,Be,$e,Le);return le.set(r.IConfigurationService,je),le.set(ie.ILifecycleMainService,new T.SyncDescriptor(ie.LifecycleMainService)),le.set(q.IRequestService,new T.SyncDescriptor(Q.RequestMainService)),le.set(F.IThemeMainService,new T.SyncDescriptor(F.ThemeMainService)),le.set(x.ISignService,new T.SyncDescriptor(A.SignService)),le.set(B.ITunnelService,new T.SyncDescriptor(X.TunnelService)),le.set(W.IProtocolMainService,new T.SyncDescriptor(_.ProtocolMainService)),[new U.InstantiationService(le,!0),Re,ke,je,Qe,Je,pe,Ze]}patchEnvironment(le){const he={VSCODE_IPC_HOOK:le.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(pe=>{const ke=process.env[pe];typeof ke=="string"&&(he[pe]=ke)}),Object.assign(process.env,he),he}async initServices(le,he,pe,ke){await M.Promises.settled([Promise.all([le.extensionsPath,le.codeCachePath,le.logsPath,he.defaultProfile.globalStorageHome.fsPath,le.workspaceStorageHome.fsPath,le.localHistoryHome.fsPath,le.backupHome].map(Re=>Re?m.Promises.mkdir(Re,{recursive:!0}):void 0)),ke.init(),pe.initialize()]),he.setEnablement(!!pe.getValue(Ee.PROFILES_ENABLEMENT_CONFIG))}async claimInstance(le,he,pe,ke,Re,Je){let Le;try{(0,h.mark)("code/willStartMainServer"),Le=await(0,u.serve)(he.mainIPCHandle),(0,h.mark)("code/didStartMainServer"),(0,C.once)(pe.onWillShutdown)(()=>Le.dispose())}catch(Be){if(Be.code!=="EADDRINUSE")throw this.handleStartupDataDirError(he,Re.nameLong,Be),Be;let Ae;try{Ae=await(0,u.connect)(he.mainIPCHandle,"main")}catch($e){if(!Je||y.isWindows||$e.code!=="ECONNREFUSED")throw $e.code==="EPERM"&&this.showStartupWarningDialog((0,n.localize)(0,null,Re.nameShort),(0,n.localize)(1,null),Re.nameLong),$e;try{(0,t.unlinkSync)(he.mainIPCHandle)}catch(je){throw le.warn("Could not delete obsolete instance handle",je),je}return this.claimInstance(le,he,pe,ke,Re,!1)}if(he.extensionTestsLocationURI&&!he.debugExtensionHost.break){const $e="Running extension tests from the command line is currently only supported if no other instance of Code is running.";throw le.error($e),Ae.dispose(),new Error($e)}let Ye;!he.args.wait&&!he.args.status&&(Ye=setTimeout(()=>{this.showStartupWarningDialog((0,n.localize)(2,null,Re.nameShort),(0,n.localize)(3,null),Re.nameLong)},1e4));const Qe=d.ProxyChannel.toService(Ae.getChannel("launch"),{disableMarshalling:!0}),Ze=d.ProxyChannel.toService(Ae.getChannel("diagnostics"),{disableMarshalling:!0});if(he.args.status)return ke.invokeFunction(async()=>{const $e=new s.DiagnosticsService(j.NullTelemetryService,Re),je=await Qe.getMainProcessInfo(),V=await Ze.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),re=await $e.getDiagnostics(je,V);throw console.log(re),new g.ExpectedError});throw y.isWindows&&await this.windowsAllowSetForegroundWindow(Qe,le),le.trace("Sending env to running instance..."),await Qe.start(he.args,process.env),Ae.dispose(),Ye&&clearTimeout(Ye),new g.ExpectedError("Sent env to running instance. Terminating...")}if(he.args.status)throw le.warn("Warning: The --status argument can only be used if Code is already running. Please run it again after Code has started."),new g.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),Le}handleStartupDataDirError(le,he,pe){if(pe.code==="EACCES"||pe.code==="EPERM"){const ke=(0,R.coalesce)([le.userDataPath,le.extensionsPath,u.XDG_RUNTIME_DIR]).map(Re=>(0,P.getPathLabel)(D.URI.file(Re),{os:y.OS,tildify:le}));this.showStartupWarningDialog((0,n.localize)(4,null),(0,n.localize)(5,null,(0,I.toErrorMessage)(pe),ke.join(`
`)),he)}}showStartupWarningDialog(le,he,pe){E.dialog.showMessageBoxSync({title:pe,type:"warning",buttons:[(0,P.mnemonicButtonLabel)((0,n.localize)(6,null))],message:le,detail:he,defaultId:0,noLink:!0})}async windowsAllowSetForegroundWindow(le,he){if(y.isWindows){const pe=await le.getMainProcessId();he.trace("Sending some foreground love to the running instance:",pe);try{(await new Promise((ke,Re)=>{$(["windows-foreground-love"],ke,Re)})).allowSetForegroundWindow(pe)}catch(ke){he.error(ke)}}}quit(le,he){const pe=le.get(Y.ILogService),ke=le.get(ie.ILifecycleMainService);let Re=0;he&&(he.isExpected?he.message&&pe.trace(he.message):(Re=1,he.stack?pe.error(he.stack):pe.error(`Startup error: ${he.toString()}`))),ke.kill(Re)}resolveArgs(){const le=this.validatePaths((0,a.parseMainProcessArgv)(process.argv));if(le.wait&&!le.waitMarkerFilePath){const he=(0,c.createWaitMarkerFile)(le.verbose);he&&((0,a.addArg)(process.argv,"--waitMarkerFilePath",he),le.waitMarkerFilePath=he)}return le}validatePaths(le){if(le["open-url"]&&(le._urls=le._,le._=[]),!le.remote){const he=this.doValidatePaths(le._,le.goto);le._=he}return le}doValidatePaths(le,he){const pe=(0,v.cwd)(),ke=le.map(Le=>{let Be=String(Le),Ae;he&&(Ae=(0,S.parseLineAndColumnAware)(Be),Be=Ae.path),Be&&(Be=this.preparePath(pe,Be));const Ye=(0,S.sanitizeFilePath)(Be,pe),Qe=(0,p.basename)(Ye);return Qe&&!(0,S.isValidBasename)(Qe)?null:he&&Ae?(Ae.path=Ye,this.toPath(Ae)):Ye}),Re=y.isWindows||y.isMacintosh,Je=(0,R.distinct)(ke,Le=>Le&&Re?Le.toLowerCase():Le||"");return(0,R.coalesce)(Je)}preparePath(le,he){return y.isWindows&&(he=(0,w.rtrim)(he,'"')),he=(0,w.trim)((0,w.trim)(he," "),"	"),y.isWindows&&(he=(0,p.resolve)(le,he),he=(0,w.rtrim)(he,".")),he}toPath(le){const he=[le.path];return typeof le.line=="number"&&he.push(String(le.line)),typeof le.column=="number"&&he.push(String(le.column)),he.join(":")}}new Pe().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/274aed07cc6fa04dc99984d3ee90f45d3711a7df/core/vs/code/electron-main/main.js.map
