/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ee=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/async","vs/nls","vs/nls!vs/code/node/cliProcessMain","vs/base/common/types","vs/platform/log/common/log","vs/base/common/uri","vs/platform/instantiation/common/instantiation","vs/platform/files/common/files","vs/base/common/errors","vs/base/common/platform","vs/base/common/path","vs/base/common/buffer","vs/base/common/network","vs/base/common/resources","vs/platform/environment/common/environment","vs/base/common/arrays","vs/base/node/pfs","vs/platform/configuration/common/configuration","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/base/common/objects","vs/base/common/cancellation","vs/platform/userDataProfile/common/userDataProfile","vs/platform/product/common/productService","vs/base/common/errorMessage","vs/base/common/strings","vs/base/common/process","vs/platform/registry/common/platform","vs/platform/telemetry/common/telemetry","vs/platform/uriIdentity/common/uriIdentity","vs/base/common/uuid","vs/base/common/map","vs/platform/policy/common/policy","vs/platform/extensions/common/extensions","vs/platform/extensionManagement/common/extensionsProfileScannerService","os","vs/base/common/semver/semver","vs/platform/configuration/common/configurationRegistry","vs/platform/telemetry/common/telemetryUtils","vs/base/common/stream","vs/base/common/marshalling","child_process","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/descriptors","vs/platform/request/common/request","vs/platform/extensionManagement/common/extensionsScannerService","vs/base/common/decorators","vs/base/common/json","vs/base/common/processes","vs/base/common/observableValue","vs/base/common/hash","vs/base/common/severity","vs/base/parts/ipc/common/ipc","vs/base/node/processes","vs/platform/download/common/download","vs/platform/files/common/io","vs/platform/files/common/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/languagePacks/common/languagePacks","vs/base/common/iterator","vs/platform/configuration/common/configurationModels","vs/platform/state/node/state","vs/base/node/zip","vs/base/common/assert","vs/base/common/skipList","vs/base/node/decoder","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/base/common/console","vs/base/node/powershell","vs/base/parts/storage/common/storage","vs/nls!vs/base/node/processes","vs/base/common/extpath","vs/base/node/shell","vs/base/parts/ipc/node/ipc.cp","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLIService","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/languagePacks/common/languagePacks","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/workspace/common/workspace","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","fs","vs/platform/log/node/spdlogLog","vs/platform/policy/common/filePolicyService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionManagementCLIService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/languagePacks/node/languagePacks","vs/platform/download/common/downloadService","vs/platform/request/node/proxy","url","vs/platform/shell/node/shellEnv","vs/platform/state/node/stateService","vs/platform/telemetry/common/commonProperties","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/common/telemetryService","vs/platform/product/common/product","vs/platform/telemetry/node/1dsAppender","vs/platform/telemetry/node/telemetry","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/extensionManagement/node/extensionsScannerService","vs/platform/storage/common/storage","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/workspace/common/workspace","vs/platform/userDataProfile/node/userDataProfile","vs/platform/policy/node/nativePolicyService","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/request/node/requestService","string_decoder","path","vs/base/common/glob","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","graceful-fs","crypto","vs/platform/environment/node/argvHelper","https","vscode-policy-watcher","yauzl","yazl","zlib","vs/code/node/cliProcessMain"],te=function(q){for(var e=[],C=0,D=q.length;C<D;C++)e[C]=ee[q[C]];return e};define(ee[67],te([0,1]),function(q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function C(D,P){if(!D)throw new Error(P?`Assertion failed (${P})`:"Assertion Failed")}e.ok=C}),define(ee[50],te([0,1]),function(q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createDecorator=void 0;function C(k){return(E,c,m)=>{let I=null,b=null;if(typeof m.value=="function"?(I="value",b=m.value):typeof m.get=="function"&&(I="get",b=m.get),!b)throw new Error("not supported");m[I]=k(b,c)}}e.createDecorator=C;function D(k,E,c){let m=null,I=null;if(typeof c.value=="function"?(m="value",I=c.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof c.get=="function"&&(m="get",I=c.get),!I)throw new Error("not supported");const b=`$memoize$${E}`;c[m]=function(...g){return this.hasOwnProperty(b)||Object.defineProperty(this,b,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,g)}),this[b]}}e.memoize=D;function P(k,E,c){return C((m,I)=>{const b=`$debounce$${I}`,g=`$debounce$result$${I}`;return function(...w){this[g]||(this[g]=c?c():void 0),clearTimeout(this[b]),E&&(this[g]=E(this[g],...w),w=[this[g]]),this[b]=setTimeout(()=>{m.apply(this,w),this[g]=c?c():void 0},k)}})}e.debounce=P;function L(k,E,c){return C((m,I)=>{const b=`$throttle$timer$${I}`,g=`$throttle$result$${I}`,w=`$throttle$lastRun$${I}`,a=`$throttle$pending$${I}`;return function(...d){if(this[g]||(this[g]=c?c():void 0),(this[w]===null||this[w]===void 0)&&(this[w]=-Number.MAX_VALUE),E&&(this[g]=E(this[g],...d)),this[a])return;const y=this[w]+k;y<=Date.now()?(this[w]=Date.now(),m.apply(this,[this[g]]),this[g]=c?c():void 0):(this[a]=!0,this[b]=setTimeout(()=>{this[a]=!1,this[w]=Date.now(),m.apply(this,[this[g]]),this[g]=c?c():void 0},y-Date.now()))}})}e.throttle=L}),define(ee[51],te([0,1]),function(q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var C;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(C=e.ScanError||(e.ScanError={}));var D;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(D=e.SyntaxKind||(e.SyntaxKind={}));var P;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(P=e.ParseErrorCode||(e.ParseErrorCode={}));var L;(function(t){t.DEFAULT={allowTrailingComma:!0}})(L=e.ParseOptions||(e.ParseOptions={}));function k(t,n=!1){let i=0;const r=t.length;let o="",f=0,p=16,v=0;function R(Y){let ce=0,x=0;for(;ce<Y;){const j=t.charCodeAt(i);if(j>=48&&j<=57)x=x*16+j-48;else if(j>=65&&j<=70)x=x*16+j-65+10;else if(j>=97&&j<=102)x=x*16+j-97+10;else break;i++,ce++}return ce<Y&&(x=-1),x}function M(Y){i=Y,o="",f=0,p=16,v=0}function H(){const Y=i;if(t.charCodeAt(i)===48)i++;else for(i++;i<t.length&&m(t.charCodeAt(i));)i++;if(i<t.length&&t.charCodeAt(i)===46)if(i++,i<t.length&&m(t.charCodeAt(i)))for(i++;i<t.length&&m(t.charCodeAt(i));)i++;else return v=3,t.substring(Y,i);let ce=i;if(i<t.length&&(t.charCodeAt(i)===69||t.charCodeAt(i)===101))if(i++,(i<t.length&&t.charCodeAt(i)===43||t.charCodeAt(i)===45)&&i++,i<t.length&&m(t.charCodeAt(i))){for(i++;i<t.length&&m(t.charCodeAt(i));)i++;ce=i}else v=3;return t.substring(Y,ce)}function Z(){let Y="",ce=i;for(;;){if(i>=r){Y+=t.substring(ce,i),v=2;break}const x=t.charCodeAt(i);if(x===34){Y+=t.substring(ce,i),i++;break}if(x===92){if(Y+=t.substring(ce,i),i++,i>=r){v=2;break}switch(t.charCodeAt(i++)){case 34:Y+='"';break;case 92:Y+="\\";break;case 47:Y+="/";break;case 98:Y+="\b";break;case 102:Y+="\f";break;case 110:Y+=`
`;break;case 114:Y+="\r";break;case 116:Y+="	";break;case 117:{const K=R(4);K>=0?Y+=String.fromCharCode(K):v=4;break}default:v=5}ce=i;continue}if(x>=0&&x<=31)if(c(x)){Y+=t.substring(ce,i),v=2;break}else v=6;i++}return Y}function ne(){if(o="",v=0,f=i,i>=r)return f=r,p=17;let Y=t.charCodeAt(i);if(E(Y)){do i++,o+=String.fromCharCode(Y),Y=t.charCodeAt(i);while(E(Y));return p=15}if(c(Y))return i++,o+=String.fromCharCode(Y),Y===13&&t.charCodeAt(i)===10&&(i++,o+=`
`),p=14;switch(Y){case 123:return i++,p=1;case 125:return i++,p=2;case 91:return i++,p=3;case 93:return i++,p=4;case 58:return i++,p=6;case 44:return i++,p=5;case 34:return i++,o=Z(),p=10;case 47:{const ce=i-1;if(t.charCodeAt(i+1)===47){for(i+=2;i<r&&!c(t.charCodeAt(i));)i++;return o=t.substring(ce,i),p=12}if(t.charCodeAt(i+1)===42){i+=2;const x=r-1;let j=!1;for(;i<x;){if(t.charCodeAt(i)===42&&t.charCodeAt(i+1)===47){i+=2,j=!0;break}i++}return j||(i++,v=1),o=t.substring(ce,i),p=13}return o+=String.fromCharCode(Y),i++,p=16}case 45:if(o+=String.fromCharCode(Y),i++,i===r||!m(t.charCodeAt(i)))return p=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return o+=H(),p=11;default:for(;i<r&&Q(Y);)i++,Y=t.charCodeAt(i);if(f!==i){switch(o=t.substring(f,i),o){case"true":return p=8;case"false":return p=9;case"null":return p=7}return p=16}return o+=String.fromCharCode(Y),i++,p=16}}function Q(Y){if(E(Y)||c(Y))return!1;switch(Y){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function se(){let Y;do Y=ne();while(Y>=12&&Y<=15);return Y}return{setPosition:M,getPosition:()=>i,scan:n?se:ne,getToken:()=>p,getTokenValue:()=>o,getTokenOffset:()=>f,getTokenLength:()=>i-f,getTokenError:()=>v}}e.createScanner=k;function E(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function c(t){return t===10||t===13||t===8232||t===8233}function m(t){return t>=48&&t<=57}var I;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(I||(I={}));function b(t,n){const i=[],r=new Object;let o;const f={value:{},offset:0,length:0,type:"object",parent:void 0};let p=!1;function v(R,M,H,Z){f.value=R,f.offset=M,f.length=H,f.type=Z,f.colonOffset=void 0,o=f}try{S(t,{onObjectBegin:(R,M)=>{if(n<=R)throw r;o=void 0,p=n>R,i.push("")},onObjectProperty:(R,M,H)=>{if(n<M||(v(R,M,H,"property"),i[i.length-1]=R,n<=M+H))throw r},onObjectEnd:(R,M)=>{if(n<=R)throw r;o=void 0,i.pop()},onArrayBegin:(R,M)=>{if(n<=R)throw r;o=void 0,i.push(0)},onArrayEnd:(R,M)=>{if(n<=R)throw r;o=void 0,i.pop()},onLiteralValue:(R,M,H)=>{if(n<M||(v(R,M,H,s(R)),n<=M+H))throw r},onSeparator:(R,M,H)=>{if(n<=M)throw r;if(R===":"&&o&&o.type==="property")o.colonOffset=M,p=!1,o=void 0;else if(R===","){const Z=i[i.length-1];typeof Z=="number"?i[i.length-1]=Z+1:(p=!0,i[i.length-1]=""),o=void 0}}})}catch(R){if(R!==r)throw R}return{path:i,previousNode:o,isAtPropertyKey:p,matches:R=>{let M=0;for(let H=0;M<R.length&&H<i.length;H++)if(R[M]===i[H]||R[M]==="*")M++;else if(R[M]!=="**")return!1;return M===R.length}}}e.getLocation=b;function g(t,n=[],i=L.DEFAULT){let r=null,o=[];const f=[];function p(R){Array.isArray(o)?o.push(R):r!==null&&(o[r]=R)}return S(t,{onObjectBegin:()=>{const R={};p(R),f.push(o),o=R,r=null},onObjectProperty:R=>{r=R},onObjectEnd:()=>{o=f.pop()},onArrayBegin:()=>{const R=[];p(R),f.push(o),o=R,r=null},onArrayEnd:()=>{o=f.pop()},onLiteralValue:p,onError:(R,M,H)=>{n.push({error:R,offset:M,length:H})}},i),o[0]}e.parse=g;function w(t,n=[],i=L.DEFAULT){let r={type:"array",offset:-1,length:-1,children:[],parent:void 0};function o(R){r.type==="property"&&(r.length=R-r.offset,r=r.parent)}function f(R){return r.children.push(R),R}S(t,{onObjectBegin:R=>{r=f({type:"object",offset:R,length:-1,parent:r,children:[]})},onObjectProperty:(R,M,H)=>{r=f({type:"property",offset:M,length:-1,parent:r,children:[]}),r.children.push({type:"string",value:R,offset:M,length:H,parent:r})},onObjectEnd:(R,M)=>{r.length=R+M-r.offset,r=r.parent,o(R+M)},onArrayBegin:(R,M)=>{r=f({type:"array",offset:R,length:-1,parent:r,children:[]})},onArrayEnd:(R,M)=>{r.length=R+M-r.offset,r=r.parent,o(R+M)},onLiteralValue:(R,M,H)=>{f({type:s(R),offset:M,length:H,parent:r,value:R}),o(M+H)},onSeparator:(R,M,H)=>{r.type==="property"&&(R===":"?r.colonOffset=M:R===","&&o(M))},onError:(R,M,H)=>{n.push({error:R,offset:M,length:H})}},i);const v=r.children[0];return v&&delete v.parent,v}e.parseTree=w;function a(t,n){if(!t)return;let i=t;for(const r of n)if(typeof r=="string"){if(i.type!=="object"||!Array.isArray(i.children))return;let o=!1;for(const f of i.children)if(Array.isArray(f.children)&&f.children[0].value===r){i=f.children[1],o=!0;break}if(!o)return}else{const o=r;if(i.type!=="array"||o<0||!Array.isArray(i.children)||o>=i.children.length)return;i=i.children[o]}return i}e.findNodeAtLocation=a;function d(t){if(!t.parent||!t.parent.children)return[];const n=d(t.parent);if(t.parent.type==="property"){const i=t.parent.children[0].value;n.push(i)}else if(t.parent.type==="array"){const i=t.parent.children.indexOf(t);i!==-1&&n.push(i)}return n}e.getNodePath=d;function y(t){switch(t.type){case"array":return t.children.map(y);case"object":{const n=Object.create(null);for(const i of t.children){const r=i.children[1];r&&(n[i.children[0].value]=y(r))}return n}case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=y;function h(t,n,i=!1){return n>=t.offset&&n<t.offset+t.length||i&&n===t.offset+t.length}e.contains=h;function u(t,n,i=!1){if(h(t,n,i)){const r=t.children;if(Array.isArray(r))for(let o=0;o<r.length&&r[o].offset<=n;o++){const f=u(r[o],n,i);if(f)return f}return t}}e.findNodeAtOffset=u;function S(t,n,i=L.DEFAULT){const r=k(t,!1);function o(N){return N?()=>N(r.getTokenOffset(),r.getTokenLength()):()=>!0}function f(N){return N?$=>N($,r.getTokenOffset(),r.getTokenLength()):()=>!0}const p=o(n.onObjectBegin),v=f(n.onObjectProperty),R=o(n.onObjectEnd),M=o(n.onArrayBegin),H=o(n.onArrayEnd),Z=f(n.onLiteralValue),ne=f(n.onSeparator),Q=o(n.onComment),se=f(n.onError),Y=i&&i.disallowComments,ce=i&&i.allowTrailingComma;function x(){for(;;){const N=r.scan();switch(r.getTokenError()){case 4:j(14);break;case 5:j(15);break;case 3:j(13);break;case 1:Y||j(11);break;case 2:j(12);break;case 6:j(16);break}switch(N){case 12:case 13:Y?j(10):Q();break;case 16:j(1);break;case 15:case 14:break;default:return N}}}function j(N,$=[],O=[]){if(se(N),$.length+O.length>0){let F=r.getToken();for(;F!==17;){if($.indexOf(F)!==-1){x();break}else if(O.indexOf(F)!==-1)break;F=x()}}}function K(N){const $=r.getTokenValue();return N?Z($):v($),x(),!0}function z(){switch(r.getToken()){case 11:{let N=0;try{N=JSON.parse(r.getTokenValue()),typeof N!="number"&&(j(2),N=0)}catch{j(2)}Z(N);break}case 7:Z(null);break;case 8:Z(!0);break;case 9:Z(!1);break;default:return!1}return x(),!0}function A(){return r.getToken()!==10?(j(3,[],[2,5]),!1):(K(!1),r.getToken()===6?(ne(":"),x(),U()||j(4,[],[2,5])):j(5,[],[2,5]),!0)}function B(){p(),x();let N=!1;for(;r.getToken()!==2&&r.getToken()!==17;){if(r.getToken()===5){if(N||j(4,[],[]),ne(","),x(),r.getToken()===2&&ce)break}else N&&j(6,[],[]);A()||j(4,[],[2,5]),N=!0}return R(),r.getToken()!==2?j(7,[2],[]):x(),!0}function T(){M(),x();let N=!1;for(;r.getToken()!==4&&r.getToken()!==17;){if(r.getToken()===5){if(N||j(4,[],[]),ne(","),x(),r.getToken()===4&&ce)break}else N&&j(6,[],[]);U()||j(4,[],[4,5]),N=!0}return H(),r.getToken()!==4?j(8,[4],[]):x(),!0}function U(){switch(r.getToken()){case 3:return T();case 1:return B();case 10:return K(!0);default:return z()}}return x(),r.getToken()===17?i.allowEmptyContent?!0:(j(4,[],[]),!1):U()?(r.getToken()!==17&&j(9,[],[]),!0):(j(4,[],[]),!1)}e.visit=S;function l(t,n){const i=k(t),r=[];let o,f=0,p;do switch(p=i.getPosition(),o=i.scan(),o){case 12:case 13:case 17:f!==p&&r.push(t.substring(f,p)),n!==void 0&&r.push(i.getTokenValue().replace(/[^\r\n]/g,n)),f=i.getPosition();break}while(o!==17);return r.join("")}e.stripComments=l;function s(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=s}),function(){function q(P){const L=[];typeof P=="number"&&L.push("code/timeOrigin",P);function k(c){L.push(c,Date.now())}function E(){const c=[];for(let m=0;m<L.length;m+=2)c.push({name:L[m],startTime:L[m+1]});return c}return{mark:k,getMarks:E}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?q():{mark(P){performance.mark(P)},getMarks(){let P=performance.timeOrigin;typeof P!="number"&&(P=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const L=[{name:"code/timeOrigin",startTime:Math.round(P)}];for(const k of performance.getEntriesByType("mark"))L.push({name:k.name,startTime:Math.round(P+k.startTime)});return L}};if(typeof process=="object"){const P=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return q(P)}else return console.trace("perf-util loaded in UNKNOWN environment"),q()}function C(P){return P.MonacoPerformanceMarks||(P.MonacoPerformanceMarks=e()),P.MonacoPerformanceMarks}var D;typeof global=="object"?D=global:typeof self=="object"?D=self:D={},typeof define=="function"?define("vs/base/common/performance",[],function(){return C(D)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=C(D):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),D.perf=C(D))}(),function(q,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var C=e();for(var D in C)(typeof exports=="object"?exports:q)[D]=C[D]}}(typeof self!="undefined"?self:this,function(){return function(q){var e={};function C(D){if(e[D])return e[D].exports;var P=e[D]={i:D,l:!1,exports:{}};return q[D].call(P.exports,P,P.exports,C),P.l=!0,P.exports}return C.m=q,C.c=e,C.d=function(D,P,L){C.o(D,P)||Object.defineProperty(D,P,{enumerable:!0,get:L})},C.r=function(D){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(D,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(D,"__esModule",{value:!0})},C.t=function(D,P){if(1&P&&(D=C(D)),8&P||4&P&&typeof D=="object"&&D&&D.__esModule)return D;var L=Object.create(null);if(C.r(L),Object.defineProperty(L,"default",{enumerable:!0,value:D}),2&P&&typeof D!="string")for(var k in D)C.d(L,k,function(E){return D[E]}.bind(null,k));return L},C.n=function(D){var P=D&&D.__esModule?function(){return D.default}:function(){return D};return C.d(P,"a",P),P},C.o=function(D,P){return Object.prototype.hasOwnProperty.call(D,P)},C.p="",C(C.s=0)}([function(q,e,C){(function(D){var P;e=q.exports=O,P=typeof D=="object"&&D.env&&D.env.NODE_DEBUG&&/\bsemver\b/i.test(D.env.NODE_DEBUG)?function(){var V=Array.prototype.slice.call(arguments,0);V.unshift("SEMVER"),console.log.apply(console,V)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var L=256,k=Number.MAX_SAFE_INTEGER||9007199254740991,E=e.re=[],c=e.src=[],m=0,I=m++;c[I]="0|[1-9]\\d*";var b=m++;c[b]="[0-9]+";var g=m++;c[g]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var w=m++;c[w]="("+c[I]+")\\.("+c[I]+")\\.("+c[I]+")";var a=m++;c[a]="("+c[b]+")\\.("+c[b]+")\\.("+c[b]+")";var d=m++;c[d]="(?:"+c[I]+"|"+c[g]+")";var y=m++;c[y]="(?:"+c[b]+"|"+c[g]+")";var h=m++;c[h]="(?:-("+c[d]+"(?:\\."+c[d]+")*))";var u=m++;c[u]="(?:-?("+c[y]+"(?:\\."+c[y]+")*))";var S=m++;c[S]="[0-9A-Za-z-]+";var l=m++;c[l]="(?:\\+("+c[S]+"(?:\\."+c[S]+")*))";var s=m++,t="v?"+c[w]+c[h]+"?"+c[l]+"?";c[s]="^"+t+"$";var n="[v=\\s]*"+c[a]+c[u]+"?"+c[l]+"?",i=m++;c[i]="^"+n+"$";var r=m++;c[r]="((?:<|>)?=?)";var o=m++;c[o]=c[b]+"|x|X|\\*";var f=m++;c[f]=c[I]+"|x|X|\\*";var p=m++;c[p]="[v=\\s]*("+c[f]+")(?:\\.("+c[f]+")(?:\\.("+c[f]+")(?:"+c[h]+")?"+c[l]+"?)?)?";var v=m++;c[v]="[v=\\s]*("+c[o]+")(?:\\.("+c[o]+")(?:\\.("+c[o]+")(?:"+c[u]+")?"+c[l]+"?)?)?";var R=m++;c[R]="^"+c[r]+"\\s*"+c[p]+"$";var M=m++;c[M]="^"+c[r]+"\\s*"+c[v]+"$";var H=m++;c[H]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var Z=m++;c[Z]="(?:~>?)";var ne=m++;c[ne]="(\\s*)"+c[Z]+"\\s+",E[ne]=new RegExp(c[ne],"g");var Q=m++;c[Q]="^"+c[Z]+c[p]+"$";var se=m++;c[se]="^"+c[Z]+c[v]+"$";var Y=m++;c[Y]="(?:\\^)";var ce=m++;c[ce]="(\\s*)"+c[Y]+"\\s+",E[ce]=new RegExp(c[ce],"g");var x=m++;c[x]="^"+c[Y]+c[p]+"$";var j=m++;c[j]="^"+c[Y]+c[v]+"$";var K=m++;c[K]="^"+c[r]+"\\s*("+n+")$|^$";var z=m++;c[z]="^"+c[r]+"\\s*("+t+")$|^$";var A=m++;c[A]="(\\s*)"+c[r]+"\\s*("+n+"|"+c[p]+")",E[A]=new RegExp(c[A],"g");var B=m++;c[B]="^\\s*("+c[p]+")\\s+-\\s+("+c[p]+")\\s*$";var T=m++;c[T]="^\\s*("+c[v]+")\\s+-\\s+("+c[v]+")\\s*$";var U=m++;c[U]="(<|>)?=?\\s*\\*";for(var N=0;N<35;N++)P(N,c[N]),E[N]||(E[N]=new RegExp(c[N]));function $(V,G){if(V instanceof O)return V;if(typeof V!="string"||V.length>L||!(G?E[i]:E[s]).test(V))return null;try{return new O(V,G)}catch{return null}}function O(V,G){if(V instanceof O){if(V.loose===G)return V;V=V.version}else if(typeof V!="string")throw new TypeError("Invalid Version: "+V);if(V.length>L)throw new TypeError("version is longer than "+L+" characters");if(!(this instanceof O))return new O(V,G);P("SemVer",V,G),this.loose=G;var X=V.trim().match(G?E[i]:E[s]);if(!X)throw new TypeError("Invalid Version: "+V);if(this.raw=V,this.major=+X[1],this.minor=+X[2],this.patch=+X[3],this.major>k||this.major<0)throw new TypeError("Invalid major version");if(this.minor>k||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>k||this.patch<0)throw new TypeError("Invalid patch version");X[4]?this.prerelease=X[4].split(".").map(function(ue){if(/^[0-9]+$/.test(ue)){var me=+ue;if(me>=0&&me<k)return me}return ue}):this.prerelease=[],this.build=X[5]?X[5].split("."):[],this.format()}e.parse=$,e.valid=function(V,G){var X=$(V,G);return X?X.version:null},e.clean=function(V,G){var X=$(V.trim().replace(/^[=v]+/,""),G);return X?X.version:null},e.SemVer=O,O.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},O.prototype.toString=function(){return this.version},O.prototype.compare=function(V){return P("SemVer.compare",this.version,this.loose,V),V instanceof O||(V=new O(V,this.loose)),this.compareMain(V)||this.comparePre(V)},O.prototype.compareMain=function(V){return V instanceof O||(V=new O(V,this.loose)),W(this.major,V.major)||W(this.minor,V.minor)||W(this.patch,V.patch)},O.prototype.comparePre=function(V){if(V instanceof O||(V=new O(V,this.loose)),this.prerelease.length&&!V.prerelease.length)return-1;if(!this.prerelease.length&&V.prerelease.length)return 1;if(!this.prerelease.length&&!V.prerelease.length)return 0;var G=0;do{var X=this.prerelease[G],ue=V.prerelease[G];if(P("prerelease compare",G,X,ue),X===void 0&&ue===void 0)return 0;if(ue===void 0)return 1;if(X===void 0)return-1;if(X!==ue)return W(X,ue)}while(++G)},O.prototype.inc=function(V,G){switch(V){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",G);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",G);break;case"prepatch":this.prerelease.length=0,this.inc("patch",G),this.inc("pre",G);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",G),this.inc("pre",G);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var X=this.prerelease.length;--X>=0;)typeof this.prerelease[X]=="number"&&(this.prerelease[X]++,X=-2);X===-1&&this.prerelease.push(0)}G&&(this.prerelease[0]===G?isNaN(this.prerelease[1])&&(this.prerelease=[G,0]):this.prerelease=[G,0]);break;default:throw new Error("invalid increment argument: "+V)}return this.format(),this.raw=this.version,this},e.inc=function(V,G,X,ue){typeof X=="string"&&(ue=X,X=void 0);try{return new O(V,X).inc(G,ue).version}catch{return null}},e.diff=function(V,G){if(le(V,G))return null;var X=$(V),ue=$(G);if(X.prerelease.length||ue.prerelease.length){for(var me in X)if((me==="major"||me==="minor"||me==="patch")&&X[me]!==ue[me])return"pre"+me;return"prerelease"}for(var me in X)if((me==="major"||me==="minor"||me==="patch")&&X[me]!==ue[me])return me},e.compareIdentifiers=W;var F=/^[0-9]+$/;function W(V,G){var X=F.test(V),ue=F.test(G);return X&&ue&&(V=+V,G=+G),X&&!ue?-1:ue&&!X?1:V<G?-1:V>G?1:0}function _(V,G,X){return new O(V,X).compare(new O(G,X))}function J(V,G,X){return _(V,G,X)>0}function ie(V,G,X){return _(V,G,X)<0}function le(V,G,X){return _(V,G,X)===0}function fe(V,G,X){return _(V,G,X)!==0}function pe(V,G,X){return _(V,G,X)>=0}function ve(V,G,X){return _(V,G,X)<=0}function re(V,G,X,ue){var me;switch(G){case"===":typeof V=="object"&&(V=V.version),typeof X=="object"&&(X=X.version),me=V===X;break;case"!==":typeof V=="object"&&(V=V.version),typeof X=="object"&&(X=X.version),me=V!==X;break;case"":case"=":case"==":me=le(V,X,ue);break;case"!=":me=fe(V,X,ue);break;case">":me=J(V,X,ue);break;case">=":me=pe(V,X,ue);break;case"<":me=ie(V,X,ue);break;case"<=":me=ve(V,X,ue);break;default:throw new TypeError("Invalid operator: "+G)}return me}function ae(V,G){if(V instanceof ae){if(V.loose===G)return V;V=V.value}if(!(this instanceof ae))return new ae(V,G);P("comparator",V,G),this.loose=G,this.parse(V),this.semver===he?this.value="":this.value=this.operator+this.semver.version,P("comp",this)}e.rcompareIdentifiers=function(V,G){return W(G,V)},e.major=function(V,G){return new O(V,G).major},e.minor=function(V,G){return new O(V,G).minor},e.patch=function(V,G){return new O(V,G).patch},e.compare=_,e.compareLoose=function(V,G){return _(V,G,!0)},e.rcompare=function(V,G,X){return _(G,V,X)},e.sort=function(V,G){return V.sort(function(X,ue){return e.compare(X,ue,G)})},e.rsort=function(V,G){return V.sort(function(X,ue){return e.rcompare(X,ue,G)})},e.gt=J,e.lt=ie,e.eq=le,e.neq=fe,e.gte=pe,e.lte=ve,e.cmp=re,e.Comparator=ae;var he={};function ge(V,G){if(V instanceof ge)return V.loose===G?V:new ge(V.raw,G);if(V instanceof ae)return new ge(V.value,G);if(!(this instanceof ge))return new ge(V,G);if(this.loose=G,this.raw=V,this.set=V.split(/\s*\|\|\s*/).map(function(X){return this.parseRange(X.trim())},this).filter(function(X){return X.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+V);this.format()}function ye(V){return!V||V.toLowerCase()==="x"||V==="*"}function Te(V,G,X,ue,me,De,we,Re,be,Oe,Me,Ce,Le){return((G=ye(X)?"":ye(ue)?">="+X+".0.0":ye(me)?">="+X+"."+ue+".0":">="+G)+" "+(Re=ye(be)?"":ye(Oe)?"<"+(+be+1)+".0.0":ye(Me)?"<"+be+"."+(+Oe+1)+".0":Ce?"<="+be+"."+Oe+"."+Me+"-"+Ce:"<="+Re)).trim()}function Ae(V,G){for(var X=0;X<V.length;X++)if(!V[X].test(G))return!1;if(G.prerelease.length){for(X=0;X<V.length;X++)if(P(V[X].semver),V[X].semver!==he&&V[X].semver.prerelease.length>0){var ue=V[X].semver;if(ue.major===G.major&&ue.minor===G.minor&&ue.patch===G.patch)return!0}return!1}return!0}function Ue(V,G,X){try{G=new ge(G,X)}catch{return!1}return G.test(V)}function xe(V,G,X,ue){var me,De,we,Re,be;switch(V=new O(V,ue),G=new ge(G,ue),X){case">":me=J,De=ve,we=ie,Re=">",be=">=";break;case"<":me=ie,De=pe,we=J,Re="<",be="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ue(V,G,ue))return!1;for(var Oe=0;Oe<G.set.length;++Oe){var Me=G.set[Oe],Ce=null,Le=null;if(Me.forEach(function(Fe){Fe.semver===he&&(Fe=new ae(">=0.0.0")),Ce=Ce||Fe,Le=Le||Fe,me(Fe.semver,Ce.semver,ue)?Ce=Fe:we(Fe.semver,Le.semver,ue)&&(Le=Fe)}),Ce.operator===Re||Ce.operator===be||(!Le.operator||Le.operator===Re)&&De(V,Le.semver)||Le.operator===be&&we(V,Le.semver))return!1}return!0}ae.prototype.parse=function(V){var G=this.loose?E[K]:E[z],X=V.match(G);if(!X)throw new TypeError("Invalid comparator: "+V);this.operator=X[1],this.operator==="="&&(this.operator=""),X[2]?this.semver=new O(X[2],this.loose):this.semver=he},ae.prototype.toString=function(){return this.value},ae.prototype.test=function(V){return P("Comparator.test",V,this.loose),this.semver===he||(typeof V=="string"&&(V=new O(V,this.loose)),re(V,this.operator,this.semver,this.loose))},ae.prototype.intersects=function(V,G){if(!(V instanceof ae))throw new TypeError("a Comparator is required");var X;if(this.operator==="")return X=new ge(V.value,G),Ue(this.value,X,G);if(V.operator==="")return X=new ge(this.value,G),Ue(V.semver,X,G);var ue=!(this.operator!==">="&&this.operator!==">"||V.operator!==">="&&V.operator!==">"),me=!(this.operator!=="<="&&this.operator!=="<"||V.operator!=="<="&&V.operator!=="<"),De=this.semver.version===V.semver.version,we=!(this.operator!==">="&&this.operator!=="<="||V.operator!==">="&&V.operator!=="<="),Re=re(this.semver,"<",V.semver,G)&&(this.operator===">="||this.operator===">")&&(V.operator==="<="||V.operator==="<"),be=re(this.semver,">",V.semver,G)&&(this.operator==="<="||this.operator==="<")&&(V.operator===">="||V.operator===">");return ue||me||De&&we||Re||be},e.Range=ge,ge.prototype.format=function(){return this.range=this.set.map(function(V){return V.join(" ").trim()}).join("||").trim(),this.range},ge.prototype.toString=function(){return this.range},ge.prototype.parseRange=function(V){var G=this.loose;V=V.trim(),P("range",V,G);var X=G?E[T]:E[B];V=V.replace(X,Te),P("hyphen replace",V),V=V.replace(E[A],"$1$2$3"),P("comparator trim",V,E[A]),V=(V=(V=V.replace(E[ne],"$1~")).replace(E[ce],"$1^")).split(/\s+/).join(" ");var ue=G?E[K]:E[z],me=V.split(" ").map(function(De){return function(we,Re){return P("comp",we),we=function(be,Oe){return be.trim().split(/\s+/).map(function(Me){return function(Ce,Le){P("caret",Ce,Le);var Fe=Le?E[j]:E[x];return Ce.replace(Fe,function(Ne,Se,Ee,Pe,Ie){var ke;return P("caret",Ce,Ne,Se,Ee,Pe,Ie),ye(Se)?ke="":ye(Ee)?ke=">="+Se+".0.0 <"+(+Se+1)+".0.0":ye(Pe)?ke=Se==="0"?">="+Se+"."+Ee+".0 <"+Se+"."+(+Ee+1)+".0":">="+Se+"."+Ee+".0 <"+(+Se+1)+".0.0":Ie?(P("replaceCaret pr",Ie),Ie.charAt(0)!=="-"&&(Ie="-"+Ie),ke=Se==="0"?Ee==="0"?">="+Se+"."+Ee+"."+Pe+Ie+" <"+Se+"."+Ee+"."+(+Pe+1):">="+Se+"."+Ee+"."+Pe+Ie+" <"+Se+"."+(+Ee+1)+".0":">="+Se+"."+Ee+"."+Pe+Ie+" <"+(+Se+1)+".0.0"):(P("no pr"),ke=Se==="0"?Ee==="0"?">="+Se+"."+Ee+"."+Pe+" <"+Se+"."+Ee+"."+(+Pe+1):">="+Se+"."+Ee+"."+Pe+" <"+Se+"."+(+Ee+1)+".0":">="+Se+"."+Ee+"."+Pe+" <"+(+Se+1)+".0.0"),P("caret return",ke),ke})}(Me,Oe)}).join(" ")}(we,Re),P("caret",we),we=function(be,Oe){return be.trim().split(/\s+/).map(function(Me){return function(Ce,Le){var Fe=Le?E[se]:E[Q];return Ce.replace(Fe,function(Ne,Se,Ee,Pe,Ie){var ke;return P("tilde",Ce,Ne,Se,Ee,Pe,Ie),ye(Se)?ke="":ye(Ee)?ke=">="+Se+".0.0 <"+(+Se+1)+".0.0":ye(Pe)?ke=">="+Se+"."+Ee+".0 <"+Se+"."+(+Ee+1)+".0":Ie?(P("replaceTilde pr",Ie),Ie.charAt(0)!=="-"&&(Ie="-"+Ie),ke=">="+Se+"."+Ee+"."+Pe+Ie+" <"+Se+"."+(+Ee+1)+".0"):ke=">="+Se+"."+Ee+"."+Pe+" <"+Se+"."+(+Ee+1)+".0",P("tilde return",ke),ke})}(Me,Oe)}).join(" ")}(we,Re),P("tildes",we),we=function(be,Oe){return P("replaceXRanges",be,Oe),be.split(/\s+/).map(function(Me){return function(Ce,Le){Ce=Ce.trim();var Fe=Le?E[M]:E[R];return Ce.replace(Fe,function(Ne,Se,Ee,Pe,Ie,ke){P("xRange",Ce,Ne,Se,Ee,Pe,Ie,ke);var We=ye(Ee),ze=We||ye(Pe),Ve=ze||ye(Ie);return Se==="="&&Ve&&(Se=""),We?Ne=Se===">"||Se==="<"?"<0.0.0":"*":Se&&Ve?(ze&&(Pe=0),Ve&&(Ie=0),Se===">"?(Se=">=",ze?(Ee=+Ee+1,Pe=0,Ie=0):Ve&&(Pe=+Pe+1,Ie=0)):Se==="<="&&(Se="<",ze?Ee=+Ee+1:Pe=+Pe+1),Ne=Se+Ee+"."+Pe+"."+Ie):ze?Ne=">="+Ee+".0.0 <"+(+Ee+1)+".0.0":Ve&&(Ne=">="+Ee+"."+Pe+".0 <"+Ee+"."+(+Pe+1)+".0"),P("xRange return",Ne),Ne})}(Me,Oe)}).join(" ")}(we,Re),P("xrange",we),we=function(be,Oe){return P("replaceStars",be,Oe),be.trim().replace(E[U],"")}(we,Re),P("stars",we),we}(De,G)}).join(" ").split(/\s+/);return this.loose&&(me=me.filter(function(De){return!!De.match(ue)})),me=me.map(function(De){return new ae(De,G)})},ge.prototype.intersects=function(V,G){if(!(V instanceof ge))throw new TypeError("a Range is required");return this.set.some(function(X){return X.every(function(ue){return V.set.some(function(me){return me.every(function(De){return ue.intersects(De,G)})})})})},e.toComparators=function(V,G){return new ge(V,G).set.map(function(X){return X.map(function(ue){return ue.value}).join(" ").trim().split(" ")})},ge.prototype.test=function(V){if(!V)return!1;typeof V=="string"&&(V=new O(V,this.loose));for(var G=0;G<this.set.length;G++)if(Ae(this.set[G],V))return!0;return!1},e.satisfies=Ue,e.maxSatisfying=function(V,G,X){var ue=null,me=null;try{var De=new ge(G,X)}catch{return null}return V.forEach(function(we){De.test(we)&&(ue&&me.compare(we)!==-1||(me=new O(ue=we,X)))}),ue},e.minSatisfying=function(V,G,X){var ue=null,me=null;try{var De=new ge(G,X)}catch{return null}return V.forEach(function(we){De.test(we)&&(ue&&me.compare(we)!==1||(me=new O(ue=we,X)))}),ue},e.validRange=function(V,G){try{return new ge(V,G).range||"*"}catch{return null}},e.ltr=function(V,G,X){return xe(V,G,"<",X)},e.gtr=function(V,G,X){return xe(V,G,">",X)},e.outside=xe,e.prerelease=function(V,G){var X=$(V,G);return X&&X.prerelease.length?X.prerelease:null},e.intersects=function(V,G,X){return V=new ge(V,X),G=new ge(G,X),V.intersects(G)},e.coerce=function(V){if(V instanceof O)return V;if(typeof V!="string")return null;var G=V.match(E[H]);return G==null?null:$((G[1]||"0")+"."+(G[2]||"0")+"."+(G[3]||"0"))}}).call(this,C(1))},function(q,e){var C,D,P=q.exports={};function L(){throw new Error("setTimeout has not been defined")}function k(){throw new Error("clearTimeout has not been defined")}function E(y){if(C===setTimeout)return setTimeout(y,0);if((C===L||!C)&&setTimeout)return C=setTimeout,setTimeout(y,0);try{return C(y,0)}catch{try{return C.call(null,y,0)}catch{return C.call(this,y,0)}}}(function(){try{C=typeof setTimeout=="function"?setTimeout:L}catch{C=L}try{D=typeof clearTimeout=="function"?clearTimeout:k}catch{D=k}})();var c,m=[],I=!1,b=-1;function g(){I&&c&&(I=!1,c.length?m=c.concat(m):b=-1,m.length&&w())}function w(){if(!I){var y=E(g);I=!0;for(var h=m.length;h;){for(c=m,m=[];++b<h;)c&&c[b].run();b=-1,h=m.length}c=null,I=!1,function(u){if(D===clearTimeout)return clearTimeout(u);if((D===k||!D)&&clearTimeout)return D=clearTimeout,clearTimeout(u);try{D(u)}catch{try{return D.call(null,u)}catch{return D.call(this,u)}}}(y)}}function a(y,h){this.fun=y,this.array=h}function d(){}P.nextTick=function(y){var h=new Array(arguments.length-1);if(arguments.length>1)for(var u=1;u<arguments.length;u++)h[u-1]=arguments[u];m.push(new a(y,h)),m.length!==1||I||E(w)},a.prototype.run=function(){this.fun.apply(null,this.array)},P.title="browser",P.browser=!0,P.env={},P.argv=[],P.version="",P.versions={},P.on=d,P.addListener=d,P.once=d,P.off=d,P.removeListener=d,P.removeAllListeners=d,P.emit=d,P.prependListener=d,P.prependOnceListener=d,P.listeners=function(y){return[]},P.binding=function(y){throw new Error("process.binding is not supported")},P.cwd=function(){return"/"},P.chdir=function(y){throw new Error("process.chdir is not supported")},P.umask=function(){return 0}}])}),define(ee[68],te([0,1]),function(q,e){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.SkipList=void 0;class D{constructor(E,c,m){this.level=E,this.key=c,this.value=m,this.forward=[]}}const P=void 0;class L{constructor(E,c=2**16){this.comparator=E,this[C]="SkipList",this._level=0,this._size=0,this._maxLevel=Math.max(1,Math.log2(c)|0),this._header=new D(this._maxLevel,P,P)}get size(){return this._size}clear(){this._header=new D(this._maxLevel,P,P)}has(E){return Boolean(L._search(this,E,this.comparator))}get(E){return L._search(this,E,this.comparator)?.value}set(E,c){return L._insert(this,E,c,this.comparator)&&(this._size+=1),this}delete(E){const c=L._delete(this,E,this.comparator);return c&&(this._size-=1),c}forEach(E,c){let m=this._header.forward[0];for(;m;)E.call(c,m.value,m.key,this),m=m.forward[0]}[(C=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let E=this._header.forward[0];for(;E;)yield[E.key,E.value],E=E.forward[0]}*keys(){let E=this._header.forward[0];for(;E;)yield E.key,E=E.forward[0]}*values(){let E=this._header.forward[0];for(;E;)yield E.value,E=E.forward[0]}toString(){let E="[SkipList]:",c=this._header.forward[0];for(;c;)E+=`node(${c.key}, ${c.value}, lvl:${c.level})`,c=c.forward[0];return E}static _search(E,c,m){let I=E._header;for(let b=E._level-1;b>=0;b--)for(;I.forward[b]&&m(I.forward[b].key,c)<0;)I=I.forward[b];if(I=I.forward[0],I&&m(I.key,c)===0)return I}static _insert(E,c,m,I){const b=[];let g=E._header;for(let w=E._level-1;w>=0;w--){for(;g.forward[w]&&I(g.forward[w].key,c)<0;)g=g.forward[w];b[w]=g}if(g=g.forward[0],g&&I(g.key,c)===0)return g.value=m,!1;{const w=L._randomLevel(E);if(w>E._level){for(let a=E._level;a<w;a++)b[a]=E._header;E._level=w}g=new D(w,c,m);for(let a=0;a<w;a++)g.forward[a]=b[a].forward[a],b[a].forward[a]=g;return!0}}static _randomLevel(E,c=.5){let m=1;for(;Math.random()<c&&m<E._maxLevel;)m+=1;return m}static _delete(E,c,m){const I=[];let b=E._header;for(let g=E._level-1;g>=0;g--){for(;b.forward[g]&&m(b.forward[g].key,c)<0;)b=b.forward[g];I[g]=b}if(b=b.forward[0],!b||m(b.key,c)!==0)return!1;for(let g=0;g<E._level&&I[g].forward[g]===b;g++)I[g].forward[g]=b.forward[g];for(;E._level>0&&E._header.forward[E._level-1]===P;)E._level-=1;return!0}}e.SkipList=L}),define(ee[43],te([0,1,12,2]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prefixedStream=e.prefixedReadable=e.transform=e.toReadable=e.emptyStream=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=e.isReadable=void 0;function P(l){const s=l;return s?typeof s.read=="function":!1}e.isReadable=P;function L(l){const s=l;return s?[s.on,s.pause,s.resume,s.destroy].every(t=>typeof t=="function"):!1}e.isReadableStream=L;function k(l){const s=l;return s?L(s.stream)&&Array.isArray(s.buffer)&&typeof s.ended=="boolean":!1}e.isReadableBufferedStream=k;function E(l,s){return new c(l,s)}e.newWriteableStream=E;class c{constructor(s,t){this.reducer=s,this.options=t,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(s){if(!this.state.destroyed){if(this.state.flowing)this.emitData(s);else if(this.buffer.data.push(s),typeof this.options?.highWaterMark=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(t=>this.pendingWritePromises.push(t))}}error(s){this.state.destroyed||(this.state.flowing?this.emitError(s):this.buffer.error.push(s))}end(s){this.state.destroyed||(typeof s!="undefined"&&this.write(s),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(s){this.listeners.data.slice(0).forEach(t=>t(s))}emitError(s){this.listeners.error.length===0?(0,C.onUnexpectedError)(s):this.listeners.error.slice(0).forEach(t=>t(s))}emitEnd(){this.listeners.end.slice(0).forEach(s=>s())}on(s,t){if(!this.state.destroyed)switch(s){case"data":this.listeners.data.push(t),this.resume();break;case"end":this.listeners.end.push(t),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(t),this.state.flowing&&this.flowErrors();break}}removeListener(s,t){if(this.state.destroyed)return;let n;switch(s){case"data":n=this.listeners.data;break;case"end":n=this.listeners.end;break;case"error":n=this.listeners.error;break}if(n){const i=n.indexOf(t);i>=0&&n.splice(i,1)}}flowData(){if(this.buffer.data.length>0){const s=this.reducer(this.buffer.data);this.emitData(s),this.buffer.data.length=0;const t=[...this.pendingWritePromises];this.pendingWritePromises.length=0,t.forEach(n=>n())}}flowErrors(){if(this.listeners.error.length>0){for(const s of this.buffer.error)this.emitError(s);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function m(l,s){const t=[];let n;for(;(n=l.read())!==null;)t.push(n);return s(t)}e.consumeReadable=m;function I(l,s,t){const n=[];let i;for(;(i=l.read())!==null&&n.length<t;)n.push(i);return i===null&&n.length>0?s(n):{read:()=>{if(n.length>0)return n.shift();if(typeof i!="undefined"){const r=i;return i=void 0,r}return l.read()}}}e.peekReadable=I;function b(l,s){return new Promise((t,n)=>{const i=[];g(l,{onData:r=>{s&&i.push(r)},onError:r=>{s?n(r):t(void 0)},onEnd:()=>{t(s?s(i):void 0)}})})}e.consumeStream=b;function g(l,s){let t=!1;return l.on("error",n=>{t||s.onError(n)}),l.on("end",()=>{t||s.onEnd()}),l.on("data",n=>{t||s.onData(n)}),(0,D.toDisposable)(()=>t=!0)}e.listenStream=g;function w(l,s){return new Promise((t,n)=>{const i=new D.DisposableStore,r=[],o=v=>{if(r.push(v),r.length>s)return i.dispose(),l.pause(),t({stream:l,buffer:r,ended:!1})},f=v=>n(v),p=()=>t({stream:l,buffer:r,ended:!0});i.add((0,D.toDisposable)(()=>l.removeListener("error",f))),l.on("error",f),i.add((0,D.toDisposable)(()=>l.removeListener("end",p))),l.on("end",p),i.add((0,D.toDisposable)(()=>l.removeListener("data",o))),l.on("data",o)})}e.peekStream=w;function a(l,s){const t=E(s);return t.end(l),t}e.toStream=a;function d(){const l=E(()=>{throw new Error("not supported")});return l.end(),l}e.emptyStream=d;function y(l){let s=!1;return{read:()=>s?null:(s=!0,l)}}e.toReadable=y;function h(l,s,t){const n=E(t);return g(l,{onData:i=>n.write(s.data(i)),onError:i=>n.error(s.error?s.error(i):i),onEnd:()=>n.end()}),n}e.transform=h;function u(l,s,t){let n=!1;return{read:()=>{const i=s.read();return n?i:(n=!0,i!==null?t([l,i]):l)}}}e.prefixedReadable=u;function S(l,s,t){let n=!1;const i=E(t);return g(s,{onData:r=>n?i.write(r):(n=!0,i.write(t([l,r]))),onError:r=>i.error(r),onEnd:()=>{n||(n=!0,i.write(l)),i.end()}}),i}e.prefixedStream=S}),define(ee[15],te([0,1,43]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.encodeBase64=e.decodeBase64=e.prefixedBufferStream=e.prefixedBufferReadable=e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const D=typeof Buffer!="undefined";let P,L;class k{constructor(v){this.buffer=v,this.byteLength=this.buffer.byteLength}static alloc(v){return D?new k(Buffer.allocUnsafe(v)):new k(new Uint8Array(v))}static wrap(v){return D&&!Buffer.isBuffer(v)&&(v=Buffer.from(v.buffer,v.byteOffset,v.byteLength)),new k(v)}static fromString(v,R){return!(R?.dontUseNodeBuffer||!1)&&D?new k(Buffer.from(v)):(P||(P=new TextEncoder),new k(P.encode(v)))}static fromByteArray(v){const R=k.alloc(v.length);for(let M=0,H=v.length;M<H;M++)R.buffer[M]=v[M];return R}static concat(v,R){if(typeof R=="undefined"){R=0;for(let Z=0,ne=v.length;Z<ne;Z++)R+=v[Z].byteLength}const M=k.alloc(R);let H=0;for(let Z=0,ne=v.length;Z<ne;Z++){const Q=v[Z];M.set(Q,H),H+=Q.byteLength}return M}clone(){const v=k.alloc(this.byteLength);return v.set(this),v}toString(){return D?this.buffer.toString():(L||(L=new TextDecoder),L.decode(this.buffer))}slice(v,R){return new k(this.buffer.subarray(v,R))}set(v,R){if(v instanceof k)this.buffer.set(v.buffer,R);else if(v instanceof Uint8Array)this.buffer.set(v,R);else if(v instanceof ArrayBuffer)this.buffer.set(new Uint8Array(v),R);else if(ArrayBuffer.isView(v))this.buffer.set(new Uint8Array(v.buffer,v.byteOffset,v.byteLength),R);else throw new Error("Unknown argument 'array'")}readUInt32BE(v){return m(this.buffer,v)}writeUInt32BE(v,R){I(this.buffer,v,R)}readUInt32LE(v){return b(this.buffer,v)}writeUInt32LE(v,R){g(this.buffer,v,R)}readUInt8(v){return w(this.buffer,v)}writeUInt8(v,R){a(this.buffer,v,R)}}e.VSBuffer=k;function E(p,v){return p[v+0]<<0>>>0|p[v+1]<<8>>>0}e.readUInt16LE=E;function c(p,v,R){p[R+0]=v&255,v=v>>>8,p[R+1]=v&255}e.writeUInt16LE=c;function m(p,v){return p[v]*2**24+p[v+1]*2**16+p[v+2]*2**8+p[v+3]}e.readUInt32BE=m;function I(p,v,R){p[R+3]=v,v=v>>>8,p[R+2]=v,v=v>>>8,p[R+1]=v,v=v>>>8,p[R]=v}e.writeUInt32BE=I;function b(p,v){return p[v+0]<<0>>>0|p[v+1]<<8>>>0|p[v+2]<<16>>>0|p[v+3]<<24>>>0}e.readUInt32LE=b;function g(p,v,R){p[R+0]=v&255,v=v>>>8,p[R+1]=v&255,v=v>>>8,p[R+2]=v&255,v=v>>>8,p[R+3]=v&255}e.writeUInt32LE=g;function w(p,v){return p[v]}e.readUInt8=w;function a(p,v,R){p[R]=v}e.writeUInt8=a;function d(p){return C.consumeReadable(p,v=>k.concat(v))}e.readableToBuffer=d;function y(p){return C.toReadable(p)}e.bufferToReadable=y;function h(p){return C.consumeStream(p,v=>k.concat(v))}e.streamToBuffer=h;async function u(p){return p.ended?k.concat(p.buffer):k.concat([...p.buffer,await h(p.stream)])}e.bufferedStreamToBuffer=u;function S(p){return C.toStream(p,v=>k.concat(v))}e.bufferToStream=S;function l(p){return C.transform(p,{data:v=>typeof v=="string"?k.fromString(v):k.wrap(v)},v=>k.concat(v))}e.streamToBufferReadableStream=l;function s(p){return C.newWriteableStream(v=>k.concat(v),p)}e.newWriteableBufferStream=s;function t(p,v){return C.prefixedReadable(p,v,R=>k.concat(R))}e.prefixedBufferReadable=t;function n(p,v){return C.prefixedStream(p,v,R=>k.concat(R))}e.prefixedBufferStream=n;function i(p){let v=0,R=0,M=0;const H=new Uint8Array(Math.floor(p.length/4*3)),Z=Q=>{switch(R){case 3:H[M++]=v|Q,R=0;break;case 2:H[M++]=v|Q>>>2,v=Q<<6,R=3;break;case 1:H[M++]=v|Q>>>4,v=Q<<4,R=2;break;default:v=Q<<2,R=1}};for(let Q=0;Q<p.length;Q++){const se=p.charCodeAt(Q);if(se>=65&&se<=90)Z(se-65);else if(se>=97&&se<=122)Z(se-97+26);else if(se>=48&&se<=57)Z(se-48+52);else if(se===43||se===45)Z(62);else if(se===47||se===95)Z(63);else{if(se===61)break;throw new SyntaxError(`Unexpected base64 character ${p[Q]}`)}}const ne=M;for(;R>0;)Z(0);return k.wrap(H).slice(0,ne)}e.decodeBase64=i;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function f({buffer:p},v=!0,R=!1){const M=R?o:r;let H="";const Z=p.byteLength%3;let ne=0;for(;ne<p.byteLength-Z;ne+=3){const Q=p[ne+0],se=p[ne+1],Y=p[ne+2];H+=M[Q>>>2],H+=M[(Q<<4|se>>>4)&63],H+=M[(se<<2|Y>>>6)&63],H+=M[Y&63]}if(Z===1){const Q=p[ne+0];H+=M[Q>>>2],H+=M[Q<<4&63],v&&(H+="==")}else if(Z===2){const Q=p[ne+0],se=p[ne+1];H+=M[Q>>>2],H+=M[(Q<<4|se>>>4)&63],H+=M[se<<2&63],v&&(H+="=")}return H}e.encodeBase64=f}),define(ee[24],te([0,1,7]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.filter=e.getCaseInsensitive=e.distinct=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function D(a){if(!a||typeof a!="object"||a instanceof RegExp)return a;const d=Array.isArray(a)?[]:{};return Object.keys(a).forEach(y=>{a[y]&&typeof a[y]=="object"?d[y]=D(a[y]):d[y]=a[y]}),d}e.deepClone=D;function P(a){if(!a||typeof a!="object")return a;const d=[a];for(;d.length>0;){const y=d.shift();Object.freeze(y);for(const h in y)if(L.call(y,h)){const u=y[h];typeof u=="object"&&!Object.isFrozen(u)&&!(0,C.isTypedArray)(u)&&d.push(u)}}return a}e.deepFreeze=P;const L=Object.prototype.hasOwnProperty;function k(a,d){return E(a,d,new Set)}e.cloneAndChange=k;function E(a,d,y){if((0,C.isUndefinedOrNull)(a))return a;const h=d(a);if(typeof h!="undefined")return h;if((0,C.isArray)(a)){const u=[];for(const S of a)u.push(E(S,d,y));return u}if((0,C.isObject)(a)){if(y.has(a))throw new Error("Cannot clone recursive data-structure");y.add(a);const u={};for(const S in a)L.call(a,S)&&(u[S]=E(a[S],d,y));return y.delete(a),u}return a}function c(a,d,y=!0){return(0,C.isObject)(a)?((0,C.isObject)(d)&&Object.keys(d).forEach(h=>{h in a?y&&((0,C.isObject)(a[h])&&(0,C.isObject)(d[h])?c(a[h],d[h],y):a[h]=d[h]):a[h]=d[h]}),a):d}e.mixin=c;function m(a,d){if(a===d)return!0;if(a==null||d===null||d===void 0||typeof a!=typeof d||typeof a!="object"||Array.isArray(a)!==Array.isArray(d))return!1;let y,h;if(Array.isArray(a)){if(a.length!==d.length)return!1;for(y=0;y<a.length;y++)if(!m(a[y],d[y]))return!1}else{const u=[];for(h in a)u.push(h);u.sort();const S=[];for(h in d)S.push(h);if(S.sort(),!m(u,S))return!1;for(y=0;y<u.length;y++)if(!m(a[u[y]],d[u[y]]))return!1}return!0}e.equals=m;function I(a){const d=new Set;return JSON.stringify(a,(y,h)=>{if((0,C.isObject)(h)||Array.isArray(h)){if(d.has(h))return"[Circular]";d.add(h)}return h})}e.safeStringify=I;function b(a,d){const y=Object.create(null);return!a||!d||Object.keys(d).forEach(u=>{const S=a[u],l=d[u];m(S,l)||(y[u]=l)}),y}e.distinct=b;function g(a,d){const y=d.toLowerCase(),h=Object.keys(a).find(u=>u.toLowerCase()===y);return h?a[h]:a[d]}e.getCaseInsensitive=g;function w(a,d){const y=Object.create(null);for(const[h,u]of Object.entries(a))d(h,u)&&(y[h]=u);return y}e.filter=w}),define(ee[34],te([0,1]),function(q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const C=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function D(P){return C.test(P)}e.isUUID=D,e.generateUuid=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let P;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?P=crypto.getRandomValues.bind(crypto):P=function(E){for(let c=0;c<E.length;c++)E[c]=Math.floor(Math.random()*256);return E};const L=new Uint8Array(16),k=[];for(let E=0;E<256;E++)k.push(E.toString(16).padStart(2,"0"));return function(){P(L),L[6]=L[6]&15|64,L[8]=L[8]&63|128;let c=0,m="";return m+=k[L[c++]],m+=k[L[c++]],m+=k[L[c++]],m+=k[L[c++]],m+="-",m+=k[L[c++]],m+=k[L[c++]],m+="-",m+=k[L[c++]],m+=k[L[c++]],m+="-",m+=k[L[c++]],m+=k[L[c++]],m+="-",m+=k[L[c++]],m+=k[L[c++]],m+=k[L[c++]],m+=k[L[c++]],m+=k[L[c++]],m+=k[L[c++]],m}}()}),define(ee[69],te([0,1,150]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class D{constructor(L="utf8"){this.stringDecoder=new C.StringDecoder(L),this.remaining=null}write(L){const k=[],E=this.remaining?this.remaining+this.stringDecoder.write(L):this.stringDecoder.write(L);if(E.length<1)return k;let c=0,m,I=c;for(;I<E.length;)if(m=E.charCodeAt(I),m===13||m===10){if(k.push(E.substring(c,I)),I++,I<E.length){const b=m;m=E.charCodeAt(I),(b===13&&m===10||b===10&&m===13)&&I++}c=I}else I++;return this.remaining=c<E.length?E.substr(c):null,k}end(){return this.remaining}}e.LineDecoder=D}),define(ee[70],te([5,6]),function(q,e){return q.create("vs/base/common/date",e)}),define(ee[71],te([0,1,70]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const D=60,P=D*60,L=P*24,k=L*7,E=L*30,c=L*365;function m(b,g,w){typeof b!="number"&&(b=b.getTime());const a=Math.round((new Date().getTime()-b)/1e3);if(a<-30)return(0,C.localize)(0,null,m(new Date().getTime()+a*1e3,!1));if(a<30)return(0,C.localize)(1,null);let d;return a<D?(d=a,g?d===1?w?(0,C.localize)(2,null,d):(0,C.localize)(3,null,d):w?(0,C.localize)(4,null,d):(0,C.localize)(5,null,d):d===1?w?(0,C.localize)(6,null,d):(0,C.localize)(7,null,d):w?(0,C.localize)(8,null,d):(0,C.localize)(9,null,d)):a<P?(d=Math.floor(a/D),g?d===1?w?(0,C.localize)(10,null,d):(0,C.localize)(11,null,d):w?(0,C.localize)(12,null,d):(0,C.localize)(13,null,d):d===1?w?(0,C.localize)(14,null,d):(0,C.localize)(15,null,d):w?(0,C.localize)(16,null,d):(0,C.localize)(17,null,d)):a<L?(d=Math.floor(a/P),g?d===1?w?(0,C.localize)(18,null,d):(0,C.localize)(19,null,d):w?(0,C.localize)(20,null,d):(0,C.localize)(21,null,d):d===1?w?(0,C.localize)(22,null,d):(0,C.localize)(23,null,d):w?(0,C.localize)(24,null,d):(0,C.localize)(25,null,d)):a<k?(d=Math.floor(a/L),g?d===1?(0,C.localize)(26,null,d):(0,C.localize)(27,null,d):d===1?(0,C.localize)(28,null,d):(0,C.localize)(29,null,d)):a<E?(d=Math.floor(a/k),g?d===1?w?(0,C.localize)(30,null,d):(0,C.localize)(31,null,d):w?(0,C.localize)(32,null,d):(0,C.localize)(33,null,d):d===1?w?(0,C.localize)(34,null,d):(0,C.localize)(35,null,d):w?(0,C.localize)(36,null,d):(0,C.localize)(37,null,d)):a<c?(d=Math.floor(a/E),g?d===1?w?(0,C.localize)(38,null,d):(0,C.localize)(39,null,d):w?(0,C.localize)(40,null,d):(0,C.localize)(41,null,d):d===1?w?(0,C.localize)(42,null,d):(0,C.localize)(43,null,d):w?(0,C.localize)(44,null,d):(0,C.localize)(45,null,d)):(d=Math.floor(a/c),g?d===1?w?(0,C.localize)(46,null,d):(0,C.localize)(47,null,d):w?(0,C.localize)(48,null,d):(0,C.localize)(49,null,d):d===1?w?(0,C.localize)(50,null,d):(0,C.localize)(51,null,d):w?(0,C.localize)(52,null,d):(0,C.localize)(53,null,d))}e.fromNow=m;function I(b){return b.getFullYear()+"-"+String(b.getMonth()+1).padStart(2,"0")+"-"+String(b.getDate()).padStart(2,"0")+"T"+String(b.getHours()).padStart(2,"0")+":"+String(b.getMinutes()).padStart(2,"0")+":"+String(b.getSeconds()).padStart(2,"0")+"."+(b.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=I}),define(ee[72],te([5,6]),function(q,e){return q.create("vs/base/common/errorMessage",e)}),define(ee[28],te([0,1,19,7,72]),function(q,e,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.toErrorMessage=void 0;function L(b,g){return g&&(b.stack||b.stacktrace)?P.localize(0,null,E(b),k(b.stack)||k(b.stacktrace)):E(b)}function k(b){return Array.isArray(b)?b.join(`
`):b}function E(b){return typeof b.code=="string"&&typeof b.errno=="number"&&typeof b.syscall=="string"?P.localize(1,null,b.message):b.message||P.localize(2,null)}function c(b=null,g=!1){if(!b)return P.localize(3,null);if(Array.isArray(b)){const w=C.coalesce(b),a=c(w[0],g);return w.length>1?P.localize(4,null,a,w.length):a}if(D.isString(b))return b;if(b.detail){const w=b.detail;if(w.error)return L(w.error,g);if(w.exception)return L(w.exception,g)}return b.stack?L(b,g):b.message?b.message:P.localize(5,null)}e.toErrorMessage=c;function m(b){const g=b;return g instanceof Error&&Array.isArray(g.actions)}e.isErrorWithActions=m;function I(b,g){let w;return typeof b=="string"?w=new Error(b):w=b,w.actions=g,w}e.createErrorWithActions=I}),define(ee[73],te([5,6]),function(q,e){return q.create("vs/base/common/jsonErrorMessages",e)}),define(ee[74],te([0,1,73]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getParseErrorMessage=void 0;function D(P){switch(P){case 1:return(0,C.localize)(0,null);case 2:return(0,C.localize)(1,null);case 3:return(0,C.localize)(2,null);case 4:return(0,C.localize)(3,null);case 5:return(0,C.localize)(4,null);case 6:return(0,C.localize)(5,null);case 7:return(0,C.localize)(6,null);case 8:return(0,C.localize)(7,null);case 9:return(0,C.localize)(8,null);default:return""}}e.getParseErrorMessage=D}),define(ee[52],te([0,1,13]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeDangerousEnvVariables=e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var D;(function(E){E[E.stdout=0]="stdout",E[E.stderr=1]="stderr"})(D=e.Source||(e.Source={}));var P;(function(E){E[E.Success=0]="Success",E[E.Unknown=1]="Unknown",E[E.AccessDenied=2]="AccessDenied",E[E.ProcessNotFound=3]="ProcessNotFound"})(P=e.TerminateResponseCode||(e.TerminateResponseCode={}));function L(E,...c){const m=c.reduce((g,w)=>(g[w]=!0,g),{}),I=[/^ELECTRON_.+$/,/^VSCODE_(?!SHELL_LOGIN).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(E).filter(g=>!m[g]).forEach(g=>{for(let w=0;w<I.length;w++)if(g.search(I[w])!==-1){delete E[g];break}})}e.sanitizeProcessEnvironment=L;function k(E){!E||(delete E.DEBUG,C.isMacintosh&&delete E.DYLD_LIBRARY_PATH,C.isLinux&&delete E.LD_PRELOAD)}e.removeDangerousEnvVariables=k}),define(ee[53],te([0,1,3,2]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MutableObservableValue=e.staticObservableValue=void 0;const P=k=>({onDidChange:C.Event.None,value:k});e.staticObservableValue=P;class L extends D.Disposable{constructor(E){super();this._value=E,this.changeEmitter=this._register(new C.Emitter),this.onDidChange=this.changeEmitter.event}get value(){return this._value}set value(E){E!==this._value&&(this._value=E,this.changeEmitter.fire(E))}}e.MutableObservableValue=L}),define(ee[54],te([0,1,29]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.numberHash=e.doHash=e.hash=void 0;function D(h){return P(h,0)}e.hash=D;function P(h,u){switch(typeof h){case"object":return h===null?L(349,u):Array.isArray(h)?c(h,u):m(h,u);case"string":return E(h,u);case"boolean":return k(h,u);case"number":return L(h,u);case"undefined":return L(937,u);default:return L(617,u)}}e.doHash=P;function L(h,u){return(u<<5)-u+h|0}e.numberHash=L;function k(h,u){return L(h?433:863,u)}function E(h,u){u=L(149417,u);for(let S=0,l=h.length;S<l;S++)u=L(h.charCodeAt(S),u);return u}e.stringHash=E;function c(h,u){return u=L(104579,u),h.reduce((S,l)=>P(l,S),u)}function m(h,u){return u=L(181387,u),Object.keys(h).sort().reduce((S,l)=>(S=E(l,S),P(h[l],S)),u)}class I{constructor(){this._value=0}get value(){return this._value}hash(u){return this._value=P(u,this._value),this._value}}e.Hasher=I;var b;(function(h){h[h.BLOCK_SIZE=64]="BLOCK_SIZE",h[h.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(b||(b={}));function g(h,u,S=32){const l=S-u,s=~((1<<l)-1);return(h<<u|(s&h)>>>l)>>>0}function w(h,u=0,S=h.byteLength,l=0){for(let s=0;s<S;s++)h[u+s]=l}function a(h,u,S="0"){for(;h.length<u;)h=S+h;return h}function d(h,u=32){return h instanceof ArrayBuffer?Array.from(new Uint8Array(h)).map(S=>S.toString(16).padStart(2,"0")).join(""):a((h>>>0).toString(16),u/4)}e.toHexString=d;class y{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(u){const S=u.length;if(S===0)return;const l=this._buff;let s=this._buffLen,t=this._leftoverHighSurrogate,n,i;for(t!==0?(n=t,i=-1,t=0):(n=u.charCodeAt(0),i=0);;){let r=n;if(C.isHighSurrogate(n))if(i+1<S){const o=u.charCodeAt(i+1);C.isLowSurrogate(o)?(i++,r=C.computeCodePoint(n,o)):r=65533}else{t=n;break}else C.isLowSurrogate(n)&&(r=65533);if(s=this._push(l,s,r),i++,i<S)n=u.charCodeAt(i);else break}this._buffLen=s,this._leftoverHighSurrogate=t}_push(u,S,l){return l<128?u[S++]=l:l<2048?(u[S++]=192|(l&1984)>>>6,u[S++]=128|(l&63)>>>0):l<65536?(u[S++]=224|(l&61440)>>>12,u[S++]=128|(l&4032)>>>6,u[S++]=128|(l&63)>>>0):(u[S++]=240|(l&1835008)>>>18,u[S++]=128|(l&258048)>>>12,u[S++]=128|(l&4032)>>>6,u[S++]=128|(l&63)>>>0),S>=64&&(this._step(),S-=64,this._totalLen+=64,u[0]=u[64+0],u[1]=u[64+1],u[2]=u[64+2]),S}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),d(this._h0)+d(this._h1)+d(this._h2)+d(this._h3)+d(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,w(this._buff,this._buffLen),this._buffLen>56&&(this._step(),w(this._buff));const u=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(u/4294967296),!1),this._buffDV.setUint32(60,u%4294967296,!1),this._step()}_step(){const u=y._bigBlock32,S=this._buffDV;for(let p=0;p<64;p+=4)u.setUint32(p,S.getUint32(p,!1),!1);for(let p=64;p<320;p+=4)u.setUint32(p,g(u.getUint32(p-12,!1)^u.getUint32(p-32,!1)^u.getUint32(p-56,!1)^u.getUint32(p-64,!1),1),!1);let l=this._h0,s=this._h1,t=this._h2,n=this._h3,i=this._h4,r,o,f;for(let p=0;p<80;p++)p<20?(r=s&t|~s&n,o=1518500249):p<40?(r=s^t^n,o=1859775393):p<60?(r=s&t|s&n|t&n,o=2400959708):(r=s^t^n,o=3395469782),f=g(l,5)+r+i+o+u.getUint32(p*4,!1)&4294967295,i=n,n=t,t=g(s,30),s=l,l=f;this._h0=this._h0+l&4294967295,this._h1=this._h1+s&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+n&4294967295,this._h4=this._h4+i&4294967295}}e.StringSHA1=y,y._bigBlock32=new DataView(new ArrayBuffer(320))}),define(ee[55],te([0,1,29]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var D;(function(P){P[P.Ignore=0]="Ignore",P[P.Info=1]="Info",P[P.Warning=2]="Warning",P[P.Error=3]="Error"})(D||(D={})),function(P){const L="error",k="warning",E="warn",c="info",m="ignore";function I(g){return g?C.equalsIgnoreCase(L,g)?P.Error:C.equalsIgnoreCase(k,g)||C.equalsIgnoreCase(E,g)?P.Warning:C.equalsIgnoreCase(c,g)?P.Info:P.Ignore:P.Ignore}P.fromValue=I;function b(g){switch(g){case P.Error:return L;case P.Warning:return k;case P.Info:return c;default:return m}}P.toString=b}(D||(D={})),e.default=D}),define(ee[75],te([0,1,9]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function D(m){const I=m;return I&&typeof I.type=="string"&&typeof I.severity=="string"}e.isRemoteConsoleLog=D;function P(m){const I=[];let b;try{const g=JSON.parse(m.arguments),w=g[g.length-1];w&&w.__$stack&&(g.pop(),b=w.__$stack),I.push(...g)}catch{I.push("Unable to log remote console arguments",m.arguments)}return{args:I,stack:b}}e.parse=P;function L(m){if(typeof m!="string")return L(P(m).stack);const I=m;if(I){const b=k(I),g=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(b||"");if(g&&g.length===4)return{uri:C.URI.file(g[1]),line:Number(g[2]),column:Number(g[3])}}}e.getFirstFrame=L;function k(m){if(!m)return m;const I=m.indexOf(`
`);return I===-1?m:m.substring(0,I)}function E(m,I){const{args:b,stack:g}=P(m),w=typeof b[0]=="string"&&b.length===1;let a=k(g);a&&(a=`(${a.trim()})`);let d=[];if(typeof b[0]=="string"?a&&w?d=[`%c[${I}] %c${b[0]} %c${a}`,c("blue"),c(""),c("grey")]:d=[`%c[${I}] %c${b[0]}`,c("blue"),c(""),...b.slice(1)]:d=[`%c[${I}]%`,c("blue"),...b],a&&!w&&d.push(a),typeof console[m.severity]!="function")throw new Error("Unknown console method");console[m.severity].apply(console,d)}e.log=E;function c(m){return`color: ${m}`}}),define(ee[44],te([0,1,15,29,9]),function(q,e,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function L(m){return JSON.stringify(m,E)}e.stringify=L;function k(m){let I=JSON.parse(m);return I=c(I),I}e.parse=k;function E(m,I){return I instanceof RegExp?{$mid:2,source:I.source,flags:(0,D.regExpFlags)(I)}:I}function c(m,I=0){if(!m||I>200)return m;if(typeof m=="object"){switch(m.$mid){case 1:return P.URI.revive(m);case 2:return new RegExp(m.source,m.flags);case 14:return new Date(m.source)}if(m instanceof C.VSBuffer||m instanceof Uint8Array)return m;if(Array.isArray(m))for(let b=0;b<m.length;++b)m[b]=c(m[b],I+1);else for(const b in m)Object.hasOwnProperty.call(m,b)&&(m[b]=c(m[b],I+1))}return m}e.revive=c}),define(ee[76],te([0,1,39,14,20]),function(q,e,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const L=/^\d+$/,k=/^Microsoft.PowerShell_.*/,E=/^Microsoft.PowerShellPreview_.*/;var c;(function(l){l[l.x64=0]="x64",l[l.x86=1]="x86",l[l.ARM=2]="ARM"})(c||(c={}));let m;switch(process.arch){case"ia32":case"x32":m=1;break;case"arm":case"arm64":m=2;break;default:m=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class b{constructor(s,t,n){this.exePath=s,this.displayName=t,this.knownToExist=n}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await P.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function g({useAlternateBitness:l=!1}={}){return l?m===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function w({useAlternateBitness:l=!1,findPreview:s=!1}={}){const t=g({useAlternateBitness:l});if(!t)return null;const n=D.join(t,"PowerShell");if(!await P.SymlinkSupport.existsDirectory(n))return null;let i=-1,r=null;for(const p of await P.Promises.readdir(n)){let v=-1;if(s){const M=p.indexOf("-");if(M<0)continue;const H=p.substring(0,M);if(!L.test(H)||p.substring(M+1)!=="preview")continue;v=parseInt(H,10)}else{if(!L.test(p))continue;v=parseInt(p,10)}if(v<=i)continue;const R=D.join(n,p,"pwsh.exe");!await P.SymlinkSupport.existsFile(R)||(r=R,i=v)}if(!r)return null;const o=t.includes("x86")?" (x86)":"",f=s?" Preview":"";return new b(r,`PowerShell${f}${o}`,!0)}async function a({findPreview:l}={}){if(!process.env.LOCALAPPDATA)return null;const s=D.join(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await P.SymlinkSupport.existsDirectory(s))return null;const{pwshMsixDirRegex:t,pwshMsixName:n}=l?{pwshMsixDirRegex:E,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:k,pwshMsixName:"PowerShell (Store)"};for(const i of await P.Promises.readdir(s))if(t.test(i)){const r=D.join(s,i,"pwsh.exe");return new b(r,n)}return null}function d(){const l=D.join(C.homedir(),".dotnet","tools","pwsh.exe");return new b(l,".NET Core PowerShell Global Tool")}function y(){const l=D.join(process.env.windir,m===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new b(l,"Windows PowerShell",!0)}async function*h(){let l=await w();l&&(yield l),l=await w({useAlternateBitness:!0}),l&&(yield l),l=await a(),l&&(yield l),l=d(),l&&(yield l),l=await w({findPreview:!0}),l&&(yield l),l=await a({findPreview:!0}),l&&(yield l),l=await w({useAlternateBitness:!0,findPreview:!0}),l&&(yield l),l=y(),l&&(yield l)}async function*u(){for await(const l of h())await l.exists()&&(yield l)}e.enumeratePowerShellInstallations=u;async function S(){for await(const l of u())return l;return null}e.getFirstAvailablePowerShellInstallation=S});var de=this&&this.__decorate||function(q,e,C,D){var P=arguments.length,L=P<3?e:D===null?D=Object.getOwnPropertyDescriptor(e,C):D,k;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")L=Reflect.decorate(q,e,C,D);else for(var E=q.length-1;E>=0;E--)(k=q[E])&&(L=(P<3?k(L):P>3?k(e,C,L):k(e,C))||L);return P>3&&L&&Object.defineProperty(e,C,L),L};define(ee[56],te([0,1,19,4,15,25,50,12,3,2,44,29,7]),function(q,e,C,D,P,L,k,E,c,m,I,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var w;(function(z){z[z.Promise=100]="Promise",z[z.PromiseCancel=101]="PromiseCancel",z[z.EventListen=102]="EventListen",z[z.EventDispose=103]="EventDispose"})(w=e.RequestType||(e.RequestType={}));function a(z){switch(z){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var d;(function(z){z[z.Initialize=200]="Initialize",z[z.PromiseSuccess=201]="PromiseSuccess",z[z.PromiseError=202]="PromiseError",z[z.PromiseErrorObj=203]="PromiseErrorObj",z[z.EventFire=204]="EventFire"})(d=e.ResponseType||(e.ResponseType={}));function y(z){switch(z){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var h;(function(z){z[z.Uninitialized=0]="Uninitialized",z[z.Idle=1]="Idle"})(h||(h={}));class u{constructor(A){this.buffer=A,this.pos=0}read(A){const B=this.buffer.slice(this.pos,this.pos+A);return this.pos+=B.byteLength,B}}class S{constructor(){this.buffers=[]}get buffer(){return P.VSBuffer.concat(this.buffers)}write(A){this.buffers.push(A)}}var l;(function(z){z[z.Undefined=0]="Undefined",z[z.String=1]="String",z[z.Buffer=2]="Buffer",z[z.VSBuffer=3]="VSBuffer",z[z.Array=4]="Array",z[z.Object=5]="Object"})(l||(l={}));function s(z){const A=P.VSBuffer.alloc(4);return A.writeUInt32BE(z,0),A}function t(z){return z.read(4).readUInt32BE(0)}function n(z){const A=P.VSBuffer.alloc(1);return A.writeUInt8(z,0),A}const i={Undefined:n(l.Undefined),String:n(l.String),Buffer:n(l.Buffer),VSBuffer:n(l.VSBuffer),Array:n(l.Array),Object:n(l.Object)},r=typeof Buffer!="undefined";function o(z,A){if(typeof A=="undefined")z.write(i.Undefined);else if(typeof A=="string"){const B=P.VSBuffer.fromString(A);z.write(i.String),z.write(s(B.byteLength)),z.write(B)}else if(r&&Buffer.isBuffer(A)){const B=P.VSBuffer.wrap(A);z.write(i.Buffer),z.write(s(B.byteLength)),z.write(B)}else if(A instanceof P.VSBuffer)z.write(i.VSBuffer),z.write(s(A.byteLength)),z.write(A);else if(Array.isArray(A)){z.write(i.Array),z.write(s(A.length));for(const B of A)o(z,B)}else{const B=P.VSBuffer.fromString(JSON.stringify(A));z.write(i.Object),z.write(s(B.byteLength)),z.write(B)}}function f(z){switch(z.read(1).readUInt8(0)){case l.Undefined:return;case l.String:return z.read(t(z)).toString();case l.Buffer:return z.read(t(z)).buffer;case l.VSBuffer:return z.read(t(z));case l.Array:{const B=t(z),T=[];for(let U=0;U<B;U++)T.push(f(z));return T}case l.Object:return JSON.parse(z.read(t(z)).toString())}}class p{constructor(A,B,T=null,U=1e3){this.protocol=A,this.ctx=B,this.logger=T,this.timeoutDelay=U,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(N=>this.onRawMessage(N)),this.sendResponse({type:200})}registerChannel(A,B){this.channels.set(A,B),setTimeout(()=>this.flushPendingRequests(A),0)}sendResponse(A){switch(A.type){case 200:{const B=this.send([A.type]);this.logger?.logOutgoing(B,0,1,y(A.type));return}case 201:case 202:case 204:case 203:{const B=this.send([A.type,A.id],A.data);this.logger?.logOutgoing(B,A.id,1,y(A.type),A.data);return}}}send(A,B=void 0){const T=new S;return o(T,A),o(T,B),this.sendBuffer(T.buffer)}sendBuffer(A){try{return this.protocol.send(A),A.byteLength}catch{return 0}}onRawMessage(A){const B=new u(A),T=f(B),U=f(B),N=T[0];switch(N){case 100:return this.logger?.logIncoming(A.byteLength,T[1],1,`${a(N)}: ${T[2]}.${T[3]}`,U),this.onPromise({type:N,id:T[1],channelName:T[2],name:T[3],arg:U});case 102:return this.logger?.logIncoming(A.byteLength,T[1],1,`${a(N)}: ${T[2]}.${T[3]}`,U),this.onEventListen({type:N,id:T[1],channelName:T[2],name:T[3],arg:U});case 101:return this.logger?.logIncoming(A.byteLength,T[1],1,`${a(N)}`),this.disposeActiveRequest({type:N,id:T[1]});case 103:return this.logger?.logIncoming(A.byteLength,T[1],1,`${a(N)}`),this.disposeActiveRequest({type:N,id:T[1]})}}onPromise(A){const B=this.channels.get(A.channelName);if(!B){this.collectPendingRequest(A);return}const T=new L.CancellationTokenSource;let U;try{U=B.call(this.ctx,A.name,A.arg,T.token)}catch(O){U=Promise.reject(O)}const N=A.id;U.then(O=>{this.sendResponse({id:N,data:O,type:201}),this.activeRequests.delete(A.id)},O=>{O instanceof Error?this.sendResponse({id:N,data:{message:O.message,name:O.name,stack:O.stack?O.stack.split?O.stack.split(`
`):O.stack:void 0},type:202}):this.sendResponse({id:N,data:O,type:203}),this.activeRequests.delete(A.id)});const $=(0,m.toDisposable)(()=>T.cancel());this.activeRequests.set(A.id,$)}onEventListen(A){const B=this.channels.get(A.channelName);if(!B){this.collectPendingRequest(A);return}const T=A.id,N=B.listen(this.ctx,A.name,A.arg)($=>this.sendResponse({id:T,data:$,type:204}));this.activeRequests.set(A.id,N)}disposeActiveRequest(A){const B=this.activeRequests.get(A.id);B&&(B.dispose(),this.activeRequests.delete(A.id))}collectPendingRequest(A){let B=this.pendingRequests.get(A.channelName);B||(B=[],this.pendingRequests.set(A.channelName,B));const T=setTimeout(()=>{console.error(`Unknown channel: ${A.channelName}`),A.type===100&&this.sendResponse({id:A.id,data:{name:"Unknown channel",message:`Channel name '${A.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);B.push({request:A,timeoutTimer:T})}flushPendingRequests(A){const B=this.pendingRequests.get(A);if(B){for(const T of B)switch(clearTimeout(T.timeoutTimer),T.request.type){case 100:this.onPromise(T.request);break;case 102:this.onEventListen(T.request);break}this.pendingRequests.delete(A)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,m.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}e.ChannelServer=p;var v;(function(z){z[z.LocalSide=0]="LocalSide",z[z.OtherSide=1]="OtherSide"})(v=e.RequestInitiator||(e.RequestInitiator={}));class R{constructor(A,B=null){this.protocol=A,this.isDisposed=!1,this.state=h.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new c.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(T=>this.onBuffer(T)),this.logger=B}getChannel(A){const B=this;return{call(T,U,N){return B.isDisposed?Promise.reject(E.canceled()):B.requestPromise(A,T,U,N)},listen(T,U){return B.isDisposed?c.Event.None:B.requestEvent(A,T,U)}}}requestPromise(A,B,T,U=L.CancellationToken.None){const N=this.lastRequestId++,O={id:N,type:100,channelName:A,name:B,arg:T};if(U.isCancellationRequested)return Promise.reject(E.canceled());let F;return new Promise((_,J)=>{if(U.isCancellationRequested)return J(E.canceled());const ie=()=>{const ve=re=>{switch(re.type){case 201:this.handlers.delete(N),_(re.data);break;case 202:{this.handlers.delete(N);const ae=new Error(re.data.message);ae.stack=re.data.stack,ae.name=re.data.name,J(ae);break}case 203:this.handlers.delete(N),J(re.data);break}};this.handlers.set(N,ve),this.sendRequest(O)};let le=null;this.state===h.Idle?ie():(le=(0,D.createCancelablePromise)(ve=>this.whenInitialized()),le.then(()=>{le=null,ie()}));const fe=()=>{le?(le.cancel(),le=null):this.sendRequest({id:N,type:101}),J(E.canceled())},pe=U.onCancellationRequested(fe);F=(0,m.combinedDisposable)((0,m.toDisposable)(fe),pe),this.activeRequests.add(F)}).finally(()=>{this.activeRequests.delete(F)})}requestEvent(A,B,T){const U=this.lastRequestId++,$={id:U,type:102,channelName:A,name:B,arg:T};let O=null;const F=new c.Emitter({onFirstListenerAdd:()=>{O=(0,D.createCancelablePromise)(_=>this.whenInitialized()),O.then(()=>{O=null,this.activeRequests.add(F),this.sendRequest($)})},onLastListenerRemove:()=>{O?(O.cancel(),O=null):(this.activeRequests.delete(F),this.sendRequest({id:U,type:103}))}}),W=_=>F.fire(_.data);return this.handlers.set(U,W),F.event}sendRequest(A){switch(A.type){case 100:case 102:{const B=this.send([A.type,A.id,A.channelName,A.name],A.arg);this.logger?.logOutgoing(B,A.id,0,`${a(A.type)}: ${A.channelName}.${A.name}`,A.arg);return}case 101:case 103:{const B=this.send([A.type,A.id]);this.logger?.logOutgoing(B,A.id,0,a(A.type));return}}}send(A,B=void 0){const T=new S;return o(T,A),o(T,B),this.sendBuffer(T.buffer)}sendBuffer(A){try{return this.protocol.send(A),A.byteLength}catch{return 0}}onBuffer(A){const B=new u(A),T=f(B),U=f(B),N=T[0];switch(N){case 200:return this.logger?.logIncoming(A.byteLength,0,0,y(N)),this.onResponse({type:T[0]});case 201:case 202:case 204:case 203:return this.logger?.logIncoming(A.byteLength,T[1],0,y(N),U),this.onResponse({type:T[0],id:T[1],data:U})}}onResponse(A){if(A.type===200){this.state=h.Idle,this._onDidInitialize.fire();return}this.handlers.get(A.id)?.(A)}get onDidInitializePromise(){return c.Event.toPromise(this.onDidInitialize)}whenInitialized(){return this.state===h.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),(0,m.dispose)(this.activeRequests.values()),this.activeRequests.clear()}}de([k.memoize],R.prototype,"onDidInitializePromise",null),e.ChannelClient=R;class M{constructor(A){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new c.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new c.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,A(({protocol:B,onDidClientDisconnect:T})=>{c.Event.once(B.onMessage)(N=>{const $=new u(N),O=f($),F=new p(B,O),W=new R(B);this.channels.forEach((J,ie)=>F.registerChannel(ie,J));const _={channelServer:F,channelClient:W,ctx:O};this._connections.add(_),this._onDidAddConnection.fire(_),T(()=>{F.dispose(),W.dispose(),this._connections.delete(_),this._onDidRemoveConnection.fire(_)})})})}get connections(){const A=[];return this._connections.forEach(B=>A.push(B)),A}getChannel(A,B){const T=this;return{call(U,N,$){let O;if((0,g.isFunction)(B)){const W=(0,C.getRandomElement)(T.connections.filter(B));O=W?Promise.resolve(W):c.Event.toPromise(c.Event.filter(T.onDidAddConnection,B))}else O=B.routeCall(T,U,N);const F=O.then(W=>W.channelClient.getChannel(A));return Z(F).call(U,N,$)},listen(U,N){if((0,g.isFunction)(B))return T.getMulticastEvent(A,B,U,N);const $=B.routeEvent(T,U,N).then(O=>O.channelClient.getChannel(A));return Z($).listen(U,N)}}}getMulticastEvent(A,B,T,U){const N=this;let $=new m.DisposableStore;const O=new c.Emitter({onFirstListenerAdd:()=>{$=new m.DisposableStore;const F=new c.EventMultiplexer,W=new Map,_=ie=>{const fe=ie.channelClient.getChannel(A).listen(T,U),pe=F.add(fe);W.set(ie,pe)},J=ie=>{const le=W.get(ie);!le||(le.dispose(),W.delete(ie))};N.connections.filter(B).forEach(_),c.Event.filter(N.onDidAddConnection,B)(_,void 0,$),N.onDidRemoveConnection(J,void 0,$),F.event(O.fire,O,$),$.add(F)},onLastListenerRemove:()=>{$.dispose()}});return O.event}registerChannel(A,B){this.channels.set(A,B),this._connections.forEach(T=>{T.channelServer.registerChannel(A,B)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=M;class H{constructor(A,B,T=null){const U=new S;o(U,B),A.send(U.buffer),this.channelClient=new R(A,T),this.channelServer=new p(A,B,T)}getChannel(A){return this.channelClient.getChannel(A)}registerChannel(A,B){this.channelServer.registerChannel(A,B)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=H;function Z(z){return{call(A,B,T){return z.then(U=>U.call(A,B,T))},listen(A,B){const T=new c.Relay;return z.then(U=>T.input=U.listen(A,B)),T.event}}}e.getDelayedChannel=Z;function ne(z){let A=!1;return{call(B,T,U){return A?z.call(B,T,U):(0,D.timeout)(0).then(()=>A=!0).then(()=>z.call(B,T,U))},listen(B,T){if(A)return z.listen(B,T);const U=new c.Relay;return(0,D.timeout)(0).then(()=>A=!0).then(()=>U.input=z.listen(B,T)),U.event}}}e.getNextTickChannel=ne;class Q{constructor(A){this.fn=A}routeCall(A){return this.route(A)}routeEvent(A){return this.route(A)}async route(A){for(const B of A.connections)if(await Promise.resolve(this.fn(B.ctx)))return Promise.resolve(B);return await c.Event.toPromise(A.onDidAddConnection),await this.route(A)}}e.StaticRouter=Q;var se;(function(z){function A(N,$){const O=N,F=$&&$.disableMarshalling,W=new Map;for(const _ in O)T(_)&&W.set(_,c.Event.buffer(O[_],!0));return new class{listen(_,J,ie){const le=W.get(J);if(le)return le;if(U(J)){const fe=O[J];if(typeof fe=="function")return fe.call(O,ie)}throw new Error(`Event not found: ${J}`)}call(_,J,ie){const le=O[J];if(typeof le=="function"){if(!F&&Array.isArray(ie))for(let fe=0;fe<ie.length;fe++)ie[fe]=(0,I.revive)(ie[fe]);return le.apply(O,ie)}throw new Error(`Method not found: ${J}`)}}}z.fromService=A;function B(N,$){const O=$&&$.disableMarshalling;return new Proxy({},{get(F,W){if(typeof W=="string")return $?.properties?.has(W)?$.properties.get(W):U(W)?function(_){return N.listen(W,_)}:T(W)?N.listen(W):async function(..._){let J;$&&!(0,g.isUndefinedOrNull)($.context)?J=[$.context,..._]:J=_;const ie=await N.call(W,J);return O?ie:(0,I.revive)(ie)};throw new Error(`Property not found: ${String(W)}`)}})}z.toService=B;function T(N){return N[0]==="o"&&N[1]==="n"&&b.isUpperAsciiLetter(N.charCodeAt(2))}function U(N){return/^onDynamic/.test(N)&&b.isUpperAsciiLetter(N.charCodeAt(9))}})(se=e.ProxyChannel||(e.ProxyChannel={}));const Y=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function ce(z){if(Array.isArray(z))return z;if(z&&typeof z=="object"&&typeof z.toString=="function"){const A=z.toString();if(A!=="[object Object]")return A}return z}function x(z){return Array.isArray(z)?z.map(ce):ce(z)}function j(z,A,B,T,U,N,$){$=x($);const O=Y[U],F=O[T%O.length];let W=[`%c[${z}]%c[${String(A).padStart(7," ")}]%c[len: ${String(B).padStart(5," ")}]%c${String(T).padStart(5," ")} - ${N}`,"color: darkgreen","color: grey","color: grey",`color: ${F}`];/\($/.test(N)?(W=W.concat($),W.push(")")):W.push($),console.log.apply(console,W)}e.logWithColors=j;class K{constructor(A,B){this._outgoingPrefix=A,this._incomingPrefix=B,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(A,B,T,U,N){this._totalOutgoing+=A,j(this._outgoingPrefix,this._totalOutgoing,A,B,T,U,N)}logIncoming(A,B,T,U,N){this._totalIncoming+=A,j(this._incomingPrefix,this._totalIncoming,A,B,T,U,N)}}e.IPCLogger=K}),define(ee[77],te([0,1,4,3,2,7]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageState=e.isStorageItemsChangeEvent=e.StorageHint=void 0;var k;(function(b){b[b.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(k=e.StorageHint||(e.StorageHint={}));function E(b){const g=b;return g?.changed instanceof Map||g?.deleted instanceof Set}e.isStorageItemsChangeEvent=E;var c;(function(b){b[b.None=0]="None",b[b.Initialized=1]="Initialized",b[b.Closed=2]="Closed"})(c=e.StorageState||(e.StorageState={}));class m extends P.Disposable{constructor(g,w=Object.create(null)){super();this.database=g,this.options=w,this._onDidChangeStorage=this._register(new D.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=c.None,this.cache=new Map,this.flushDelayer=new C.ThrottledDelayer(m.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(g=>this.onDidChangeItemsExternal(g)))}onDidChangeItemsExternal(g){g.changed?.forEach((w,a)=>this.accept(a,w)),g.deleted?.forEach(w=>this.accept(w,void 0))}accept(g,w){if(this.state===c.Closed)return;let a=!1;(0,L.isUndefinedOrNull)(w)?a=this.cache.delete(g):this.cache.get(g)!==w&&(this.cache.set(g,w),a=!0),a&&this._onDidChangeStorage.fire(g)}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===c.None&&(this.state=c.Initialized,this.options.hint!==k.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(g,w){const a=this.cache.get(g);return(0,L.isUndefinedOrNull)(a)?w:a}getBoolean(g,w){const a=this.get(g);return(0,L.isUndefinedOrNull)(a)?w:a==="true"}getNumber(g,w){const a=this.get(g);return(0,L.isUndefinedOrNull)(a)?w:parseInt(a,10)}async set(g,w){if(this.state===c.Closed)return;if((0,L.isUndefinedOrNull)(w))return this.delete(g);const a=String(w);if(this.cache.get(g)!==a)return this.cache.set(g,a),this.pendingInserts.set(g,a),this.pendingDeletes.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async delete(g){if(!(this.state===c.Closed||!this.cache.delete(g)))return this.pendingDeletes.has(g)||this.pendingDeletes.add(g),this.pendingInserts.delete(g),this._onDidChangeStorage.fire(g),this.doFlush()}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=c.Closed;try{await this.doFlush(0)}catch{}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!this.hasPending)return;const g={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(g).finally(()=>{if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)this.whenFlushedCallbacks.pop()?.()})}async flush(g){if(!!this.hasPending)return this.doFlush(g)}async doFlush(g){return this.flushDelayer.trigger(()=>this.flushPending(),g)}async whenFlushed(){if(!!this.hasPending)return new Promise(g=>this.whenFlushedCallbacks.push(g))}dispose(){this.flushDelayer.dispose(),super.dispose()}}e.Storage=m,m.DEFAULT_FLUSH_DELAY=100;class I{constructor(){this.onDidChangeItemsExternal=D.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(g){g.insert?.forEach((w,a)=>this.items.set(a,w)),g.delete?.forEach(w=>this.items.delete(w))}async close(){}}e.InMemoryStorageDatabase=I}),define(ee[78],te([5,6]),function(q,e){return q.create("vs/base/node/processes",e)}),define(ee[57],te([0,1,45,79,16,24,14,13,30,52,7,69,20,78]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return m.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return m.TerminateResponseCode}});function a(s){switch(s){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function d(s,t){if(E.isWindows)try{const n={stdio:["pipe","pipe","ignore"]};t&&(n.cwd=t);const i=C.execFile("taskkill",["/T","/F","/PID",s.pid.toString()],n);return new Promise(r=>{i.once("error",o=>{r({success:!1,error:o})}),i.once("exit",(o,f)=>{r(o===0?{success:!0}:{success:!1,code:o!==null?o:1})})})}catch(n){return Promise.resolve({success:!1,error:n,code:n.status?a(n.status):1})}else if(E.isLinux||E.isMacintosh)try{const n=P.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",q).fsPath;return new Promise(i=>{C.execFile(n,[s.pid.toString()],{encoding:"utf8",shell:!0},(r,o,f)=>{i(r?{success:!1,error:r}:{success:!0})})})}catch(n){return Promise.resolve({success:!1,error:n})}else s.kill("SIGKILL");return Promise.resolve({success:!0})}function y(s=c.env){return s.comspec||"cmd.exe"}e.getWindowsShell=y;class h{constructor(t,n,i,r){if(n!==void 0&&i!==void 0&&r!==void 0)this.cmd=t,this.args=n,this.shell=i,this.options=r;else{const o=t;this.cmd=o.command,this.shell=o.isShellCommand,this.args=o.args.slice(0),this.options=o.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const o=Object.create(null);Object.keys(c.env).forEach(f=>{o[f]=c.env[f]}),Object.keys(this.options.env).forEach(f=>{o[f]=this.options.env[f]}),this.options.env=o}}getSanitizedCommand(){let t=this.cmd.toLowerCase();const n=t.lastIndexOf(k.sep);return n!==-1&&(t=t.substring(n+1)),h.WellKnowCommands[t]?t:"other"}start(t){return E.isWindows&&(this.options&&this.options.cwd&&D.isUNC(this.options.cwd)||!this.options&&D.isUNC(c.cwd()))?Promise.reject(new Error(w.localize(0,null))):this.useExec().then(n=>{let i,r;const o=new Promise((f,p)=>{i=f,r=p});if(n){let f=this.cmd;this.args&&(f=f+" "+this.args.join(" ")),this.childProcess=C.exec(f,this.options,(p,v,R)=>{this.childProcess=null;const M=p;M&&M.killed?r({killed:this.terminateRequested,stdout:v.toString(),stderr:R.toString()}):this.handleExec(i,t,p,v,R)})}else{let f=null;const p=v=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(v,i,t,r);const R={terminated:this.terminateRequested};I.isNumber(v)&&(R.cmdCode=v),i(R)};if(this.shell&&E.isWindows){const v=L.deepClone(this.options);v.windowsVerbatimArguments=!0,v.detached=!1;let R=!1,M=!1;const H=[];let Z=this.ensureQuotes(this.cmd);H.push(Z.value),R=Z.quoted,this.args&&this.args.forEach(Q=>{Z=this.ensureQuotes(Q),H.push(Z.value),M=M&&Z.quoted});const ne=["/s","/c"];R?M?ne.push('"'+H.join(" ")+'"'):H.length>1?ne.push('"'+H[0]+'" '+H.slice(1).join(" ")):ne.push('"'+H[0]+'"'):ne.push(H.join(" ")),f=C.spawn(y(),ne,v)}else this.cmd&&(f=C.spawn(this.cmd,this.args,this.options));f&&(this.childProcess=f,this.childProcessPromise=Promise.resolve(f),this.pidResolve&&(this.pidResolve(I.isNumber(f.pid)?f.pid:-1),this.pidResolve=void 0),f.on("error",v=>{this.childProcess=null,r({terminated:this.terminateRequested,error:v})}),f.pid&&(this.childProcess.on("close",p),this.handleSpawn(f,i,t,r,!0)))}return o})}handleClose(t,n,i,r){}ensureQuotes(t){return h.regexp.test(t)?{value:'"'+t+'"',quoted:!0}:{value:t,quoted:t.length>0&&t[0]==='"'&&t[t.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(t=>t.pid,t=>-1):new Promise(t=>{this.pidResolve=t})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(t=>(this.terminateRequested=!0,d(t,this.options.cwd).then(n=>(n.success&&(this.childProcess=null),n))),t=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(t=>{if(!this.shell||!E.isWindows)return t(!1);const n=C.spawn(y(),["/s","/c"]);n.on("error",i=>t(!0)),n.on("exit",i=>t(!1))})}}e.AbstractProcess=h,h.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},h.regexp=/^[^"].* .*[^"]/;class u extends h{constructor(t,n,i,r){super(t,n,i,r);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(t,n,i,r,o){[r,o].forEach((f,p)=>{const v=new b.LineDecoder;v.write(f).forEach(H=>{n({line:H,source:p===0?0:1})});const M=v.end();M&&n({line:M,source:p===0?0:1})}),t({terminated:this.terminateRequested,error:i})}handleSpawn(t,n,i,r,o){const f=new b.LineDecoder,p=new b.LineDecoder;t.stdout.on("data",v=>{f.write(v).forEach(M=>i({line:M,source:0}))}),t.stderr.on("data",v=>{p.write(v).forEach(M=>i({line:M,source:1}))}),this.stdoutLineDecoder=f,this.stderrLineDecoder=p}handleClose(t,n,i,r){const o=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;o&&i({line:o,source:0});const f=this.stderrLineDecoder?this.stderrLineDecoder.end():null;f&&i({line:f,source:1})}}e.LineProcess=u;function S(s){let t=[],n=!1;const i=function(r){if(n){t.push(r);return}(!s.send(r,f=>{if(f&&console.error(f),n=!1,t.length>0){const p=t.slice(0);t=[],p.forEach(v=>i(v))}})||E.isWindows)&&(n=!0)};return{send:i}}e.createQueuedSender=S;var l;(function(s){async function t(n,i,r){if(k.isAbsolute(n))return n;if(i===void 0&&(i=c.cwd()),k.dirname(n)!=="."||(r===void 0&&I.isString(c.env.PATH)&&(r=c.env.PATH.split(k.delimiter)),r===void 0||r.length===0))return k.join(i,n);async function f(p){if(await g.Promises.exists(p)){let v;try{v=await g.Promises.stat(p)}catch(R){R.message.startsWith("EACCES")&&(v=await g.Promises.lstat(p))}return v?!v.isDirectory():!1}return!1}for(const p of r){let v;if(k.isAbsolute(p)?v=k.join(p,n):v=k.join(i,p,n),await f(v))return v;let R=v+".com";if(await f(R)||(R=v+".exe",await f(R)))return R}return k.join(i,n)}s.findExecutable=t})(l=e.win32||(e.win32={}))}),define(ee[80],te([0,1,39,13,76,57]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function k(w,a){return w===1?D.isWindows?b():L.getWindowsShell(a):m(w,a)}e.getSystemShell=k;function E(w,a){return w===1?D.isWindows?g(a):L.getWindowsShell(a):m(w,a)}e.getSystemShellSync=E;let c=null;function m(w,a){if(D.isLinux&&w===2||D.isMacintosh&&w===3)return"/bin/bash";if(!c){let d;if(D.isWindows)d="/bin/bash";else{if(d=a.SHELL,!d)try{d=(0,C.userInfo)().shell}catch{}d||(d="sh"),d==="/bin/false"&&(d="/bin/bash")}c=d}return c}let I=null;async function b(){return I||(I=(await(0,P.getFirstAvailablePowerShellInstallation)()).exePath),I}function g(w){if(I)return I;const a=D.isWindows&&parseFloat((0,C.release)())>=10,d=w.hasOwnProperty("PROCESSOR_ARCHITEW6432"),y=`${w.windir}\\${d?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return a?y:L.getWindowsShell(w)}}),define(ee[81],te([0,1,45,4,15,25,75,12,3,2,24,57,52,56]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class a extends w.ChannelServer{constructor(h){super({send:u=>{try{process.send?.(u.buffer.toString("base64"))}catch{}},onMessage:c.Event.fromNodeEventEmitter(process,"message",u=>P.VSBuffer.wrap(Buffer.from(u,"base64")))},h);process.once("disconnect",()=>this.dispose())}}e.Server=a;class d{constructor(h,u){this.modulePath=h,this.options=u,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new c.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const S=u&&u.timeout?u.timeout:6e4;this.disposeDelayer=new D.Delayer(S),this.child=null,this._client=null}getChannel(h){const u=this;return{call(S,l,s){return u.requestPromise(h,S,l,s)},listen(S,l){return u.requestEvent(h,S,l)}}}requestPromise(h,u,S,l=L.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(l.isCancellationRequested)return Promise.reject(E.canceled());this.disposeDelayer.cancel();const s=this.getCachedChannel(h),t=(0,D.createCancelablePromise)(r=>s.call(u,S,r)),n=l.onCancellationRequested(()=>t.cancel()),i=(0,m.toDisposable)(()=>t.cancel());return this.activeRequests.add(i),t.finally(()=>{n.dispose(),this.activeRequests.delete(i),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(h,u,S){if(!this.disposeDelayer)return c.Event.None;this.disposeDelayer.cancel();let l;const s=new c.Emitter({onFirstListenerAdd:()=>{l=this.getCachedChannel(h).listen(u,S)(s.fire,s),this.activeRequests.add(l)},onLastListenerRemove:()=>{this.activeRequests.delete(l),l.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return s.event}get client(){if(!this._client){const h=this.options&&this.options.args?this.options.args:[],u=Object.create(null);u.env={...(0,I.deepClone)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.options&&this.options.env&&(u.env={...u.env,...this.options.env}),this.options&&this.options.freshExecArgv&&(u.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(u.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(u.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),u.execArgv===void 0&&(u.execArgv=process.execArgv.filter(o=>!/^--inspect(-brk)?=/.test(o))),(0,g.removeDangerousEnvVariables)(u.env),this.child=(0,C.fork)(this.modulePath,h,u);const S=new c.Emitter;c.Event.fromNodeEventEmitter(this.child,"message",o=>o)(o=>{if((0,k.isRemoteConsoleLog)(o)){(0,k.log)(o,`IPC Library: ${this.options.serverName}`);return}S.fire(P.VSBuffer.wrap(Buffer.from(o,"base64")))});const s=this.options.useQueue?(0,b.createQueuedSender)(this.child):this.child,t=o=>this.child&&this.child.connected&&s.send(o.buffer.toString("base64")),n=S.event,i={send:t,onMessage:n};this._client=new w.ChannelClient(i);const r=()=>this.disposeClient();process.once("exit",r),this.child.on("error",o=>console.warn('IPC "'+this.options.serverName+'" errored with '+o)),this.child.on("exit",(o,f)=>{process.removeListener("exit",r),this.activeRequests.forEach(p=>(0,m.dispose)(p)),this.activeRequests.clear(),o!==0&&f!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+o+" and signal "+f),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:o,signal:f})})}return this._client}getCachedChannel(h){let u=this.channels.get(h);return u||(u=this.client.getChannel(h),this.channels.set(h,u)),u}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=d}),define(ee[82],te([5,6]),function(q,e){return q.create("vs/base/node/zip",e)}),define(ee[83],te([5,6]),function(q,e){return q.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ee[84],te([5,6]),function(q,e){return q.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(ee[85],te([5,6]),function(q,e){return q.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ee[86],te([5,6]),function(q,e){return q.create("vs/platform/extensionManagement/common/extensionManagementCLIService",e)}),define(ee[87],te([5,6]),function(q,e){return q.create("vs/platform/extensionManagement/common/extensionsScannerService",e)}),define(ee[88],te([5,6]),function(q,e){return q.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(ee[89],te([5,6]),function(q,e){return q.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(ee[90],te([5,6]),function(q,e){return q.create("vs/platform/extensions/common/extensionValidator",e)}),define(ee[91],te([5,6]),function(q,e){return q.create("vs/platform/files/common/fileService",e)}),define(ee[92],te([5,6]),function(q,e){return q.create("vs/platform/files/common/io",e)}),define(ee[93],te([5,6]),function(q,e){return q.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(ee[94],te([5,6]),function(q,e){return q.create("vs/platform/languagePacks/common/languagePacks",e)}),define(ee[95],te([5,6]),function(q,e){return q.create("vs/platform/request/common/request",e)}),define(ee[96],te([5,6]),function(q,e){return q.create("vs/platform/shell/node/shellEnv",e)}),define(ee[97],te([5,6]),function(q,e){return q.create("vs/platform/telemetry/common/telemetryService",e)}),define(ee[98],te([5,6]),function(q,e){return q.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(ee[99],te([5,6]),function(q,e){return q.create("vs/platform/workspace/common/workspace",e)}),define(ee[100],te([0,1,71,50,16,14,30,17,9]),function(q,e,C,D,P,L,k,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parsePtyHostPort=e.parseSearchPort=e.parseExtensionHostPort=e.AbstractNativeEnvironmentService=void 0;class m{constructor(d,y,h){this._args=d,this.paths=y,this.productService=h,this.editSessionId=this.args.editSessionId}get appRoot(){return(0,L.dirname)(P.FileAccess.asFileUri("",q).fsPath)}get userHome(){return c.URI.file(this.paths.homeDir)}get userDataPath(){return this.paths.userDataDir}get appSettingsHome(){return c.URI.file((0,L.join)(this.userDataPath,"User"))}get tmpDir(){return c.URI.file(this.paths.tmpDir)}get cacheHome(){return c.URI.file(this.userDataPath)}get stateResource(){return(0,E.joinPath)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome}get userDataSyncHome(){return(0,E.joinPath)(this.userRoamingDataHome,"sync")}get logsPath(){if(!this.args.logsPath){const d=(0,C.toLocalISOString)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,L.join)(this.userDataPath,"logs",d)}return this.args.logsPath}get userDataSyncLogResource(){return c.URI.file((0,L.join)(this.logsPath,"userDataSync.log"))}get editSessionsLogResource(){return c.URI.file((0,L.join)(this.logsPath,"editSessions.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return(0,E.joinPath)(c.URI.file((0,L.join)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,E.joinPath)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,E.joinPath)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,E.joinPath)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const d=k.env.VSCODE_PORTABLE;return d?c.URI.file((0,L.join)(d,"argv.json")):(0,E.joinPath)(this.userHome,this.productService.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return c.URI.file((0,L.join)(this.userDataPath,"Workspaces"))}get installSourcePath(){return(0,L.join)(this.userDataPath,"installSource")}get builtinExtensionsPath(){const d=this.args["builtin-extensions-dir"];return d?(0,L.resolve)(d):(0,L.normalize)((0,L.join)(P.FileAccess.asFileUri("",q).fsPath,"..","extensions"))}get extensionsDownloadPath(){const d=this.args["extensions-download-dir"];return d?(0,L.resolve)(d):(0,L.join)(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const d=this.args["extensions-dir"];if(d)return(0,L.resolve)(d);const y=k.env.VSCODE_EXTENSIONS;if(y)return y;const h=k.env.VSCODE_PORTABLE;return h?(0,L.join)(h,"extensions"):(0,E.joinPath)(this.userHome,this.productService.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const d=this.args.extensionDevelopmentPath;if(Array.isArray(d))return d.map(y=>/^[^:/?#]+?:\/\//.test(y)?c.URI.parse(y):c.URI.file((0,L.normalize)(y)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(d=>d==="ui"||d==="workspace"||d==="web"?d:"workspace")}get extensionTestsLocationURI(){const d=this.args.extensionTestsPath;if(d)return/^[^:/?#]+?:\/\//.test(d)?c.URI.parse(d):c.URI.file((0,L.normalize)(d))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const d=this.args["disable-extension"];if(d){if(typeof d=="string")return[d];if(Array.isArray(d)&&d.length>0)return d}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!k.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log}get serviceMachineIdResource(){return(0,E.joinPath)(c.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get telemetryLogResource(){return c.URI.file((0,L.join)(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get policyFile(){if(this.args["__enable-file-policy"]){const d=k.env.VSCODE_PORTABLE;return d?c.URI.file((0,L.join)(d,"policy.json")):(0,E.joinPath)(this.userHome,this.productService.dataFolderName,"policy.json")}}get args(){return this._args}}de([D.memoize],m.prototype,"appRoot",null),de([D.memoize],m.prototype,"userHome",null),de([D.memoize],m.prototype,"userDataPath",null),de([D.memoize],m.prototype,"appSettingsHome",null),de([D.memoize],m.prototype,"tmpDir",null),de([D.memoize],m.prototype,"cacheHome",null),de([D.memoize],m.prototype,"stateResource",null),de([D.memoize],m.prototype,"userRoamingDataHome",null),de([D.memoize],m.prototype,"userDataSyncHome",null),de([D.memoize],m.prototype,"userDataSyncLogResource",null),de([D.memoize],m.prototype,"editSessionsLogResource",null),de([D.memoize],m.prototype,"sync",null),de([D.memoize],m.prototype,"machineSettingsResource",null),de([D.memoize],m.prototype,"workspaceStorageHome",null),de([D.memoize],m.prototype,"localHistoryHome",null),de([D.memoize],m.prototype,"keyboardLayoutResource",null),de([D.memoize],m.prototype,"argvResource",null),de([D.memoize],m.prototype,"isExtensionDevelopment",null),de([D.memoize],m.prototype,"untitledWorkspacesHome",null),de([D.memoize],m.prototype,"installSourcePath",null),de([D.memoize],m.prototype,"builtinExtensionsPath",null),de([D.memoize],m.prototype,"extensionsPath",null),de([D.memoize],m.prototype,"extensionDevelopmentLocationURI",null),de([D.memoize],m.prototype,"extensionDevelopmentKind",null),de([D.memoize],m.prototype,"extensionTestsLocationURI",null),de([D.memoize],m.prototype,"debugExtensionHost",null),de([D.memoize],m.prototype,"serviceMachineIdResource",null),de([D.memoize],m.prototype,"telemetryLogResource",null),de([D.memoize],m.prototype,"disableWorkspaceTrust",null),de([D.memoize],m.prototype,"policyFile",null),e.AbstractNativeEnvironmentService=m;function I(a,d){return w(a["inspect-extensions"],a["inspect-brk-extensions"],5870,d,a.debugId,a.extensionEnvironment)}e.parseExtensionHostPort=I;function b(a,d){return w(a["inspect-search"],a["inspect-brk-search"],5876,d,a.extensionEnvironment)}e.parseSearchPort=b;function g(a,d){return w(a["inspect-ptyhost"],a["inspect-brk-ptyhost"],5877,d,a.extensionEnvironment)}e.parsePtyHostPort=g;function w(a,d,y,h,u,S){const s=Number(d||a)||(h?null:y),t=s?Boolean(!!d):!1;let n;if(S)try{n=JSON.parse(S)}catch{}return{port:s,break:t,debugId:u,env:n}}}),function(){"use strict";function q(e,C,D,P){function L(E){const c=k(E),m=[c];return e.isAbsolute(c)||m.unshift(P),e.resolve(...m)}function k(E){const c=process.env.VSCODE_PORTABLE;if(c)return e.join(c,"user-data");let m=process.env.VSCODE_APPDATA;if(m)return e.join(m,D);const I=E["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(m=process.env.APPDATA,!m){const b=process.env.USERPROFILE;if(typeof b!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");m=e.join(b,"AppData","Roaming")}break;case"darwin":m=e.join(C.homedir(),"Library","Application Support");break;case"linux":m=process.env.XDG_CONFIG_HOME||e.join(C.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(m,D)}return{getUserDataPath:L}}if(typeof define=="function")define(ee[101],te([0,151,39,16,17,30]),function(e,C,D,P,L,k){const E=L.dirname(P.FileAccess.asFileUri("",e)),c=e.__$__nodeRequire(L.joinPath(E,"package.json").fsPath);return q(C,D,c.name,k.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../../package.json"),C=require("path"),D=require("os");module.exports=q(C,D,e.name,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(ee[102],te([0,1,39,100,101]),function(q,e,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeEnvironmentService=void 0;class L extends D.AbstractNativeEnvironmentService{constructor(E,c){super(E,{homeDir:(0,C.homedir)(),tmpDir:(0,C.tmpdir)(),userDataDir:(0,P.getUserDataPath)(E)},c)}}e.NativeEnvironmentService=L}),define(ee[46],te([0,1,17,55,90,40]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEngineValid=e.isValidExtensionVersion=e.validateExtensionManifest=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const k=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,E=/^-(\d{4})(\d{2})(\d{2})$/;function c(h){return h=h.trim(),h==="*"||k.test(h)}e.isValidVersionStr=c;function m(h){if(!c(h))return null;if(h=h.trim(),h==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const u=h.match(k);return u?{hasCaret:u[1]==="^",hasGreaterEquals:u[1]===">=",majorBase:u[2]==="x"?0:parseInt(u[2],10),majorMustEqual:u[2]!=="x",minorBase:u[4]==="x"?0:parseInt(u[4],10),minorMustEqual:u[4]!=="x",patchBase:u[6]==="x"?0:parseInt(u[6],10),patchMustEqual:u[6]!=="x",preRelease:u[8]||null}:null}e.parseVersion=m;function I(h){if(!h)return null;const u=h.majorBase,S=h.majorMustEqual,l=h.minorBase;let s=h.minorMustEqual;const t=h.patchBase;let n=h.patchMustEqual;h.hasCaret&&(u===0||(s=!1),n=!1);let i=0;if(h.preRelease){const r=E.exec(h.preRelease);if(r){const[,o,f,p]=r;i=Date.UTC(Number(o),Number(f)-1,Number(p))}}return{majorBase:u,majorMustEqual:S,minorBase:l,minorMustEqual:s,patchBase:t,patchMustEqual:n,isMinimum:h.hasGreaterEquals,notBefore:i}}e.normalizeVersion=I;function b(h,u,S){let l;typeof h=="string"?l=I(m(h)):l=h;let s;u instanceof Date?s=u.getTime():typeof u=="string"&&(s=new Date(u).getTime());let t;if(typeof S=="string"?t=I(m(S)):t=S,!l||!t)return!1;const n=l.majorBase,i=l.minorBase,r=l.patchBase;let o=t.majorBase,f=t.minorBase,p=t.patchBase;const v=t.notBefore;let R=t.majorMustEqual,M=t.minorMustEqual,H=t.patchMustEqual;return t.isMinimum?n>o?!0:n<o?!1:i>f?!0:i<f||s&&s<v?!1:r>=p:(n===1&&o===0&&(!R||!M||!H)&&(o=1,f=0,p=0,R=!0,M=!1,H=!1),n<o?!1:n>o?!R:i<f?!1:i>f?!M:r<p?!1:r>p?!H:!(s&&s<v))}e.isValidVersion=b;function g(h,u,S,l,s){const t=[];if(typeof l.publisher!="undefined"&&typeof l.publisher!="string")return t.push([D.default.Error,P.localize(0,null)]),t;if(typeof l.name!="string")return t.push([D.default.Error,P.localize(1,null,"name")]),t;if(typeof l.version!="string")return t.push([D.default.Error,P.localize(2,null,"version")]),t;if(!l.engines)return t.push([D.default.Error,P.localize(3,null,"engines")]),t;if(typeof l.engines.vscode!="string")return t.push([D.default.Error,P.localize(4,null,"engines.vscode")]),t;if(typeof l.extensionDependencies!="undefined"&&!y(l.extensionDependencies))return t.push([D.default.Error,P.localize(5,null,"extensionDependencies")]),t;if(typeof l.activationEvents!="undefined"){if(!y(l.activationEvents))return t.push([D.default.Error,P.localize(6,null,"activationEvents")]),t;if(typeof l.main=="undefined"&&typeof l.browser=="undefined")return t.push([D.default.Error,P.localize(7,null,"activationEvents","main")]),t}if(typeof l.extensionKind!="undefined"&&typeof l.main=="undefined"&&t.push([D.default.Warning,P.localize(8,null,"extensionKind")]),typeof l.main!="undefined"){if(typeof l.main!="string")return t.push([D.default.Error,P.localize(9,null,"main")]),t;{const r=(0,C.joinPath)(S,l.main);(0,C.isEqualOrParent)(r,S)||t.push([D.default.Warning,P.localize(10,null,r.path,S.path)])}if(typeof l.activationEvents=="undefined")return t.push([D.default.Error,P.localize(11,null,"activationEvents","main")]),t}if(typeof l.browser!="undefined"){if(typeof l.browser!="string")return t.push([D.default.Error,P.localize(12,null,"browser")]),t;{const r=(0,C.joinPath)(S,l.browser);(0,C.isEqualOrParent)(r,S)||t.push([D.default.Warning,P.localize(13,null,r.path,S.path)])}if(typeof l.activationEvents=="undefined")return t.push([D.default.Error,P.localize(14,null,"activationEvents","browser")]),t}if(!L.valid(l.version))return t.push([D.default.Error,P.localize(15,null)]),t;const n=[];if(!w(h,u,l,s,n))for(const r of n)t.push([D.default.Error,r]);return t}e.validateExtensionManifest=g;function w(h,u,S,l,s){return l||typeof S.main=="undefined"&&typeof S.browser=="undefined"?!0:d(h,u,S.engines.vscode,s)}e.isValidExtensionVersion=w;function a(h,u,S){return h==="*"||d(u,S,h)}e.isEngineValid=a;function d(h,u,S,l=[]){const s=I(m(S));if(!s)return l.push(P.localize(16,null,S)),!1;if(s.majorBase===0){if(!s.majorMustEqual||!s.minorMustEqual)return l.push(P.localize(17,null,S)),!1}else if(!s.majorMustEqual)return l.push(P.localize(18,null,S)),!1;return b(h,u,s)?!0:(l.push(P.localize(19,null,h,S)),!1)}function y(h){if(!Array.isArray(h))return!1;for(let u=0,S=h.length;u<S;u++)if(typeof h[u]!="string")return!1;return!0}}),define(ee[103],te([0,1,15,34]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function P(L,k,E){let c=E&&E.get("storage.serviceMachineId",-1)||null;if(c)return c;try{const I=(await k.readFile(L.serviceMachineIdResource)).value.toString();c=(0,D.isUUID)(I)?I:null}catch{c=null}if(!c){c=(0,D.generateUuid)();try{await k.writeFile(L.serviceMachineIdResource,C.VSBuffer.fromString(c))}catch{}}return E?.store("storage.serviceMachineId",c,-1,1),c}e.getServiceMachineId=P}),define(ee[47],te([0,1]),function(q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SyncDescriptor=void 0;class C{constructor(P,L=[],k=!1){this.ctor=P,this.staticArguments=L,this.supportsDelayedInstantiation=k}}e.SyncDescriptor=C}),define(ee[104],te([0,1,47]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const D=[];function P(k,E,c){E instanceof C.SyncDescriptor||(E=new C.SyncDescriptor(E,[],c)),D.push([k,E])}e.registerSingleton=P;function L(){return D}e.getSingletonServiceDescriptors=L}),define(ee[105],te([0,1]),function(q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class C{constructor(L){this.incoming=new Map,this.outgoing=new Map,this.data=L}}e.Node=C;class D{constructor(L){this._hashFn=L,this._nodes=new Map}roots(){const L=[];for(const k of this._nodes.values())k.outgoing.size===0&&L.push(k);return L}insertEdge(L,k){const E=this.lookupOrInsertNode(L),c=this.lookupOrInsertNode(k);E.outgoing.set(this._hashFn(k),c),c.incoming.set(this._hashFn(L),E)}removeNode(L){const k=this._hashFn(L);this._nodes.delete(k);for(const E of this._nodes.values())E.outgoing.delete(k),E.incoming.delete(k)}lookupOrInsertNode(L){const k=this._hashFn(L);let E=this._nodes.get(k);return E||(E=new C(L),this._nodes.set(k,E)),E}lookup(L){return this._nodes.get(this._hashFn(L))}isEmpty(){return this._nodes.size===0}toString(){const L=[];for(const[k,E]of this._nodes)L.push(`${k}, (incoming)[${[...E.incoming.keys()].join(", ")}], (outgoing)[${[...E.outgoing.keys()].join(",")}]`);return L.join(`
`)}findCycleSlow(){for(const[L,k]of this._nodes){const E=new Set([L]),c=this._findCycle(k,E);if(c)return c}}_findCycle(L,k){for(const[E,c]of L.outgoing){if(k.has(E))return[...k,E].join(" -> ");k.add(E);const m=this._findCycle(c,k);if(m)return m;k.delete(E)}}}e.Graph=D}),define(ee[21],te([0,1,7,9,10]),function(q,e,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLanguageTagSettingPlainKey=e.getMigratedSettingValue=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationUpdateOverrides=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=(0,P.createDecorator)("configurationService");function L(h){return h&&typeof h=="object"&&(!h.overrideIdentifier||typeof h.overrideIdentifier=="string")&&(!h.resource||h.resource instanceof D.URI)}e.isConfigurationOverrides=L;function k(h){return h&&typeof h=="object"&&(!h.overrideIdentifiers||C.isArray(h.overrideIdentifiers))&&!h.overrideIdentifier&&(!h.resource||h.resource instanceof D.URI)}e.isConfigurationUpdateOverrides=k;var E;(function(h){h[h.USER=1]="USER",h[h.USER_LOCAL=2]="USER_LOCAL",h[h.USER_REMOTE=3]="USER_REMOTE",h[h.WORKSPACE=4]="WORKSPACE",h[h.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",h[h.DEFAULT=6]="DEFAULT",h[h.MEMORY=7]="MEMORY"})(E=e.ConfigurationTarget||(e.ConfigurationTarget={}));function c(h){switch(h){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=c;function m(h,u){const S=Object.create(null);for(const l in h)I(S,l,h[l],u);return S}e.toValuesTree=m;function I(h,u,S,l){const s=u.split("."),t=s.pop();let n=h;for(let i=0;i<s.length;i++){const r=s[i];let o=n[r];switch(typeof o){case"undefined":o=n[r]=Object.create(null);break;case"object":break;default:l(`Ignoring ${u} as ${s.slice(0,i+1).join(".")} is ${JSON.stringify(o)}`);return}n=o}if(typeof n=="object"&&n!==null)try{n[t]=S}catch{l(`Ignoring ${u} as ${s.join(".")} is ${JSON.stringify(n)}`)}else l(`Ignoring ${u} as ${s.join(".")} is ${JSON.stringify(n)}`)}e.addToValueTree=I;function b(h,u){const S=u.split(".");g(h,S)}e.removeFromValueTree=b;function g(h,u){const S=u.shift();if(u.length===0){delete h[S];return}if(Object.keys(h).indexOf(S)!==-1){const l=h[S];typeof l=="object"&&!Array.isArray(l)&&(g(l,u),Object.keys(l).length===0&&delete h[S])}}function w(h,u,S){function l(n,i){let r=n;for(const o of i){if(typeof r!="object"||r===null)return;r=r[o]}return r}const s=u.split("."),t=l(h,s);return typeof t=="undefined"?S:t}e.getConfigurationValue=w;function a(h,u,S){Object.keys(u).forEach(l=>{l!=="__proto__"&&(l in h?C.isObject(h[l])&&C.isObject(u[l])?a(h[l],u[l],S):S&&(h[l]=u[l]):h[l]=u[l])})}e.merge=a;function d(h,u,S){const l=h.inspect(u),s=h.inspect(S);return typeof l.userValue!="undefined"||typeof l.workspaceValue!="undefined"||typeof l.workspaceFolderValue!="undefined"?l.value:typeof s.userValue!="undefined"||typeof s.workspaceValue!="undefined"||typeof s.workspaceFolderValue!="undefined"?s.value:l.defaultValue}e.getMigratedSettingValue=d;function y(h){return h.replace(/[\[\]]/g,"")}e.getLanguageTagSettingPlainKey=y}),define(ee[58],te([0,1,10]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=(0,C.createDecorator)("downloadService")}),define(ee[18],te([0,1,10]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=(0,C.createDecorator)("environmentService"),e.INativeEnvironmentService=(0,C.refineServiceDecorator)(e.IEnvironmentService)}),define(ee[22],te([0,1,85,10]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDefaultExtensionsProfileInitService=e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IServerExtensionManagementService=e.IExtensionManagementService=e.ExtensionManagementError=e.ExtensionManagementErrorCode=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.getFallbackTargetPlarforms=e.isTargetPlatformCompatible=e.isNotWebExtensionInWebTargetPlatform=e.getTargetPlatform=e.toTargetPlatform=e.TargetPlatformToString=e.WEB_EXTENSION_TAG=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN),e.WEB_EXTENSION_TAG="__web_extension";function P(h){switch(h){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.TargetPlatformToString=P;function L(h){switch(h){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.toTargetPlatform=L;function k(h,u){switch(h){case 3:return u==="x64"?"win32-x64":u==="ia32"?"win32-ia32":u==="arm64"?"win32-arm64":"unknown";case 2:return u==="x64"?"linux-x64":u==="arm64"?"linux-arm64":u==="arm"?"linux-armhf":"unknown";case"alpine":return u==="x64"?"alpine-x64":u==="arm64"?"alpine-arm64":"unknown";case 1:return u==="x64"?"darwin-x64":u==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.getTargetPlatform=k;function E(h,u){return u==="web"&&!h.includes("web")}e.isNotWebExtensionInWebTargetPlatform=E;function c(h,u,S){return E(u,S)?!1:h==="undefined"||h==="universal"?!0:h==="unknown"?!1:h===S?!0:m(S).includes(h)}e.isTargetPlatformCompatible=c;function m(h){switch(h){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.getFallbackTargetPlarforms=m;function I(h){return h&&typeof h=="object"&&typeof h.id=="string"&&(!h.uuid||typeof h.uuid=="string")}e.isIExtensionIdentifier=I;var b;(function(h){h[h.NoneOrRelevance=0]="NoneOrRelevance",h[h.LastUpdatedDate=1]="LastUpdatedDate",h[h.Title=2]="Title",h[h.PublisherName=3]="PublisherName",h[h.InstallCount=4]="InstallCount",h[h.PublishedDate=10]="PublishedDate",h[h.AverageRating=6]="AverageRating",h[h.WeightedRating=12]="WeightedRating"})(b=e.SortBy||(e.SortBy={}));var g;(function(h){h[h.Default=0]="Default",h[h.Ascending=1]="Ascending",h[h.Descending=2]="Descending"})(g=e.SortOrder||(e.SortOrder={}));var w;(function(h){h.Install="install",h.Uninstall="uninstall"})(w=e.StatisticType||(e.StatisticType={}));var a;(function(h){h[h.None=1]="None",h[h.Install=2]="Install",h[h.Update=3]="Update",h[h.Migrate=4]="Migrate"})(a=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=(0,D.createDecorator)("extensionGalleryService");var d;(function(h){h.Unsupported="Unsupported",h.Deprecated="Deprecated",h.Malicious="Malicious",h.Incompatible="Incompatible",h.IncompatiblePreRelease="IncompatiblePreRelease",h.IncompatibleTargetPlatform="IncompatibleTargetPlatform",h.ReleaseVersionNotFound="ReleaseVersionNotFound",h.Invalid="Invalid",h.Download="Download",h.Extract="Extract",h.Delete="Delete",h.Rename="Rename",h.CorruptZip="CorruptZip",h.IncompleteZip="IncompleteZip",h.Internal="Internal"})(d=e.ExtensionManagementErrorCode||(e.ExtensionManagementErrorCode={}));class y extends Error{constructor(u,S){super(u);this.code=S,this.name=S}}e.ExtensionManagementError=y,e.IExtensionManagementService=(0,D.createDecorator)("extensionManagementService"),e.IServerExtensionManagementService=(0,D.refineServiceDecorator)(e.IExtensionManagementService),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=(0,D.createDecorator)("IGlobalExtensionEnablementService"),e.IExtensionTipsService=(0,D.createDecorator)("IExtensionTipsService"),e.ExtensionsLabel=(0,C.localize)(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=(0,C.localize)(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=(0,D.createDecorator)("IExtensionManagementCLIService"),e.IDefaultExtensionsProfileInitService=(0,D.createDecorator)("IDefaultExtensionsProfileInitService")}),define(ee[59],te([0,1,15,12,92,11]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function k(I,b,g,w,a,d){let y;try{await E(I,b,g,w,a,d)}catch(h){y=h}finally{y&&a.errorTransformer&&(y=a.errorTransformer(y)),typeof y!="undefined"&&g.error(y),g.end()}}e.readFileIntoStream=k;async function E(I,b,g,w,a,d){c(d);const y=await I.open(b,{create:!1});try{c(d);let h=0,u=0,S=a&&typeof a.length=="number"?a.length:void 0,l=C.VSBuffer.alloc(Math.min(a.bufferSize,typeof S=="number"?S:a.bufferSize)),s=a&&typeof a.position=="number"?a.position:0,t=0;do u=await I.read(y,s,l.buffer,t,l.byteLength-t),s+=u,t+=u,h+=u,typeof S=="number"&&(S-=u),t===l.byteLength&&(await g.write(w(l)),l=C.VSBuffer.alloc(Math.min(a.bufferSize,typeof S=="number"?S:a.bufferSize)),t=0);while(u>0&&(typeof S!="number"||S>0)&&c(d)&&m(h,a));if(t>0){let n=t;typeof S=="number"&&(n=Math.min(t,S)),g.write(w(l.slice(0,n)))}}catch(h){throw(0,L.ensureFileSystemProviderError)(h)}finally{await I.close(y)}}function c(I){if(I.isCancellationRequested)throw(0,D.canceled)();return!0}function m(I,b){if(b?.limits){if(typeof b.limits.memory=="number"&&I>b.limits.memory)throw(0,L.createFileSystemProviderError)((0,P.localize)(0,null),L.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof b.limits.size=="number"&&I>b.limits.size)throw(0,L.createFileSystemProviderError)((0,P.localize)(1,null),L.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(ee[106],te([0,1,3,152,2,13,153]),function(q,e,C,D,P,L,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcher=void 0;class E extends P.Disposable{constructor(){super(...arguments);this._onDidChangeFile=this._register(new C.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidLogMessage=this._register(new C.Emitter),this.onDidLogMessage=this._onDidLogMessage.event,this.onDidError=C.Event.None,this.watchers=new Map,this.verboseLogging=!1}async watch(m){const I=this.normalizeRequests(m),b=I.filter(w=>{const a=this.watchers.get(w.path);return a?!(0,D.patternsEquals)(a.request.excludes,w.excludes)||!(0,D.patternsEquals)(a.request.includes,w.includes):!0}),g=Array.from(this.watchers.values()).filter(({request:w})=>!I.find(a=>a.path===w.path&&(0,D.patternsEquals)(a.excludes,w.excludes)&&(0,D.patternsEquals)(a.includes,w.includes))).map(({request:w})=>w.path);b.length&&this.trace(`Request to start watching: ${b.map(w=>`${w.path} (excludes: ${w.excludes.length>0?w.excludes:"<none>"}, includes: ${w.includes&&w.includes.length>0?JSON.stringify(w.includes):"<all>"})`).join(",")}`),g.length&&this.trace(`Request to stop watching: ${g.join(",")}`);for(const w of g)this.stopWatching(w);for(const w of b)this.startWatching(w)}startWatching(m){const I=new k.NodeJSFileWatcherLibrary(m,g=>this._onDidChangeFile.fire(g),g=>this._onDidLogMessage.fire(g),this.verboseLogging),b={request:m,instance:I};this.watchers.set(m.path,b)}async stop(){for(const[m]of this.watchers)this.stopWatching(m);this.watchers.clear()}stopWatching(m){const I=this.watchers.get(m);I&&(this.watchers.delete(m),I.instance.dispose())}normalizeRequests(m){const I=new Map;for(const b of m){const g=L.isLinux?b.path:b.path.toLowerCase();I.set(g,b)}return Array.from(I.values())}async setVerboseLogging(m){this.verboseLogging=m;for(const[,I]of this.watchers)I.instance.setVerboseLogging(m)}trace(m){this.verboseLogging&&this._onDidLogMessage.fire({type:"trace",message:this.toMessage(m)})}toMessage(m,I){return I?`[File Watcher (node.js)] ${m} (path: ${I.request.path})`:`[File Watcher (node.js)] ${m}`}}e.NodeJSWatcher=E}),define(ee[107],te([0,1,60,106]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeJSWatcherClient=void 0;class P extends C.AbstractNonRecursiveWatcherClient{constructor(k,E,c){super(k,E,c);this.init()}createWatcher(){return new D.NodeJSWatcher}}e.NodeJSWatcherClient=P}),define(ee[108],te([0,1,16,56,81,60]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UniversalWatcherClient=void 0;class k extends L.AbstractUniversalWatcherClient{constructor(c,m,I){super(c,m,I);this.init()}createWatcher(c){const m=c.add(new P.Client(C.FileAccess.asFileUri("bootstrap-fork",q).fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return c.add(m.onDidProcessExit(({code:I,signal:b})=>this.onError(`terminated by itself with code ${I}, signal: ${b}`))),D.ProxyChannel.toService((0,D.getNextTickChannel)(m.getChannel("watcher")))}}e.UniversalWatcherClient=k}),define(ee[61],te([0,1]),function(q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class C{constructor(...P){this._entries=new Map;for(const[L,k]of P)this.set(L,k)}set(P,L){const k=this._entries.get(P);return this._entries.set(P,L),k}has(P){return this._entries.has(P)}get(P){return this._entries.get(P)}}e.ServiceCollection=C}),define(ee[109],te([0,1,4,12,47,105,10,61]),function(q,e,C,D,P,L,k,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Trace=e.InstantiationService=void 0;const c=!1;class m extends Error{constructor(a){super("cyclic dependency between services");this.message=a.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${a.toString()}`}}class I{constructor(a=new E.ServiceCollection,d=!1,y){this._activeInstantiations=new Set,this._services=a,this._strict=d,this._parent=y,this._services.set(k.IInstantiationService,this)}createChild(a){return new I(a,this._strict,this)}invokeFunction(a,...d){const y=g.traceInvocation(a);let h=!1;try{return a({get:S=>{if(h)throw(0,D.illegalState)("service accessor is only valid during the invocation of its target method");const l=this._getOrCreateServiceInstance(S,y);if(!l)throw new Error(`[invokeFunction] unknown service '${S}'`);return l}},...d)}finally{h=!0,y.stop()}}createInstance(a,...d){let y,h;return a instanceof P.SyncDescriptor?(y=g.traceCreation(a.ctor),h=this._createInstance(a.ctor,a.staticArguments.concat(d),y)):(y=g.traceCreation(a),h=this._createInstance(a,d,y)),y.stop(),h}_createInstance(a,d=[],y){const h=k._util.getServiceDependencies(a).sort((l,s)=>l.index-s.index),u=[];for(const l of h){const s=this._getOrCreateServiceInstance(l.id,y);s||this._throwIfStrict(`[createInstance] ${a.name} depends on UNKNOWN service ${l.id}.`,!1),u.push(s)}const S=h.length>0?h[0].index:d.length;if(d.length!==S){console.trace(`[createInstance] First service dependency of ${a.name} at position ${S+1} conflicts with ${d.length} static arguments`);const l=S-d.length;l>0?d=d.concat(new Array(l)):d=d.slice(0,S)}return new a(...[...d,...u])}_setServiceInstance(a,d){if(this._services.get(a)instanceof P.SyncDescriptor)this._services.set(a,d);else if(this._parent)this._parent._setServiceInstance(a,d);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(a){const d=this._services.get(a);return!d&&this._parent?this._parent._getServiceInstanceOrDescriptor(a):d}_getOrCreateServiceInstance(a,d){const y=this._getServiceInstanceOrDescriptor(a);return y instanceof P.SyncDescriptor?this._safeCreateAndCacheServiceInstance(a,y,d.branch(a,!0)):(d.branch(a,!1),y)}_safeCreateAndCacheServiceInstance(a,d,y){if(this._activeInstantiations.has(a))throw new Error(`illegal state - RECURSIVELY instantiating service '${a}'`);this._activeInstantiations.add(a);try{return this._createAndCacheServiceInstance(a,d,y)}finally{this._activeInstantiations.delete(a)}}_createAndCacheServiceInstance(a,d,y){const h=new L.Graph(l=>l.id.toString());let u=0;const S=[{id:a,desc:d,_trace:y}];for(;S.length;){const l=S.pop();if(h.lookupOrInsertNode(l),u++>1e3)throw new m(h);for(const s of k._util.getServiceDependencies(l.desc.ctor)){const t=this._getServiceInstanceOrDescriptor(s.id);if(t||this._throwIfStrict(`[createInstance] ${a} depends on ${s.id} which is NOT registered.`,!0),t instanceof P.SyncDescriptor){const n={id:s.id,desc:t,_trace:l._trace.branch(s.id,!0)};h.insertEdge(l,n),S.push(n)}}}for(;;){const l=h.roots();if(l.length===0){if(!h.isEmpty())throw new m(h);break}for(const{data:s}of l){if(this._getServiceInstanceOrDescriptor(s.id)instanceof P.SyncDescriptor){const n=this._createServiceInstanceWithOwner(s.id,s.desc.ctor,s.desc.staticArguments,s.desc.supportsDelayedInstantiation,s._trace);this._setServiceInstance(s.id,n)}h.removeNode(s)}}return this._getServiceInstanceOrDescriptor(a)}_createServiceInstanceWithOwner(a,d,y=[],h,u){if(this._services.get(a)instanceof P.SyncDescriptor)return this._createServiceInstance(d,y,h,u);if(this._parent)return this._parent._createServiceInstanceWithOwner(a,d,y,h,u);throw new Error(`illegalState - creating UNKNOWN service instance ${d.name}`)}_createServiceInstance(a,d=[],y,h){if(y){const u=new C.IdleValue(()=>this._createInstance(a,d,h));return new Proxy(Object.create(null),{get(S,l){if(l in S)return S[l];const s=u.value;let t=s[l];return typeof t!="function"||(t=t.bind(s),S[l]=t),t},set(S,l,s){return u.value[l]=s,!0}})}else return this._createInstance(a,d,h)}_throwIfStrict(a,d){if(d&&console.warn(a),this._strict)throw new Error(a)}}e.InstantiationService=I;var b;(function(w){w[w.Creation=0]="Creation",w[w.Invocation=1]="Invocation",w[w.Branch=2]="Branch"})(b||(b={}));class g{constructor(a,d){this.type=a,this.name=d,this._start=Date.now(),this._dep=[]}static traceInvocation(a){return c?new g(1,a.name||a.toString().substring(0,42).replace(/\n/g,"")):g._None}static traceCreation(a){return c?new g(0,a.name):g._None}branch(a,d){const y=new g(2,a.toString());return this._dep.push([a,d,y]),y}stop(){const a=Date.now()-this._start;g._totals+=a;let d=!1;function y(u,S){const l=[],s=new Array(u+1).join("	");for(const[t,n,i]of S._dep)if(n&&i){d=!0,l.push(`${s}CREATES -> ${t}`);const r=y(u+1,i);r&&l.push(r)}else l.push(`${s}uses -> ${t}`);return l.join(`
`)}const h=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${y(1,this)}`,`DONE, took ${a.toFixed(2)}ms (grand total ${g._totals.toFixed(2)}ms)`];(a>2||d)&&console.log(h.join(`
`))}}e.Trace=g,g._None=new class extends g{constructor(){super(-1,null)}stop(){}branch(){return this}},g._totals=0});var oe=this&&this.__param||function(q,e){return function(C,D){e(C,D,q)}};define(ee[62],te([0,1,25,2,13,94,22,10]),function(q,e,C,D,P,L,k,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackBaseService=e.ILanguagePackService=void 0,e.ILanguagePackService=(0,E.createDecorator)("languagePackService");let c=class extends D.Disposable{constructor(I){super();this.extensionGalleryService=I}async getAvailableLanguages(){const I=new C.CancellationTokenSource;setTimeout(()=>I.cancel(),1e3);let b;try{b=await this.extensionGalleryService.query({text:'category:"language packs"',pageSize:20},I.token)}catch{return[]}const w=b.firstPage.filter(a=>a.properties.localizedLanguages?.length&&a.tags.some(d=>d.startsWith("lp-"))).map(a=>{const d=a.properties.localizedLanguages?.[0],y=a.tags.find(u=>u.startsWith("lp-")).split("lp-")[1];return{...this.createQuickPickItem({locale:y,label:d}),extensionId:a.identifier.id,galleryExtension:a}});return w.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),w}createQuickPickItem(I){const b=I.label??I.locale;let g=I.locale!==I.label?I.locale:void 0;return I.locale.toLowerCase()===P.language.toLowerCase()&&(g||(g=""),g+=(0,L.localize)(0,null)),{id:I.locale,label:b,description:g}}};c=de([oe(0,k.IExtensionGalleryService)],c),e.LanguagePackBaseService=c}),define(ee[8],te([0,1,28,3,2,13,10]),function(q,e,C,D,P,L,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.AbstractLoggerService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.format=e.log=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=(0,k.createDecorator)("logService"),e.ILoggerService=(0,k.createDecorator)("loggerService");function E(){return new Date().toISOString()}var c;(function(n){n[n.Trace=0]="Trace",n[n.Debug=1]="Debug",n[n.Info=2]="Info",n[n.Warning=3]="Warning",n[n.Error=4]="Error",n[n.Critical=5]="Critical",n[n.Off=6]="Off"})(c=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=c.Info;function m(n,i,r){switch(i){case c.Trace:n.trace(r);break;case c.Debug:n.debug(r);break;case c.Info:n.info(r);break;case c.Warning:n.warn(r);break;case c.Error:n.error(r);break;case c.Critical:n.critical(r);break;default:throw new Error("Invalid log level")}}e.log=m;function I(n){let i="";for(let r=0;r<n.length;r++){let o=n[r];if(typeof o=="object")try{o=JSON.stringify(o)}catch{}i+=(r>0?" ":"")+o}return i}e.format=I;class b extends P.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new D.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=b;class g extends b{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...r){this.checkLogLevel(c.Trace)&&this.log(c.Trace,I([i,...r]))}debug(i,...r){this.checkLogLevel(c.Debug)&&this.log(c.Debug,I([i,...r]))}info(i,...r){this.checkLogLevel(c.Info)&&this.log(c.Info,I([i,...r]))}warn(i,...r){this.checkLogLevel(c.Warning)&&this.log(c.Warning,I([i,...r]))}error(i,...r){if(this.checkLogLevel(c.Error))if(i instanceof Error){const o=Array.prototype.slice.call(arguments);o[0]=i.stack,this.log(c.Error,I(o))}else this.log(c.Error,I([i,...r]))}critical(i,...r){this.checkLogLevel(c.Critical)&&this.log(c.Critical,I([i,...r]))}flush(){}}e.AbstractMessageLogger=g;class w extends b{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!L.isWindows}trace(i,...r){this.getLevel()<=c.Trace&&(this.useColors?console.log(`[90m[main ${E()}][0m`,i,...r):console.log(`[main ${E()}]`,i,...r))}debug(i,...r){this.getLevel()<=c.Debug&&(this.useColors?console.log(`[90m[main ${E()}][0m`,i,...r):console.log(`[main ${E()}]`,i,...r))}info(i,...r){this.getLevel()<=c.Info&&(this.useColors?console.log(`[90m[main ${E()}][0m`,i,...r):console.log(`[main ${E()}]`,i,...r))}warn(i,...r){this.getLevel()<=c.Warning&&(this.useColors?console.warn(`[93m[main ${E()}][0m`,i,...r):console.warn(`[main ${E()}]`,i,...r))}error(i,...r){this.getLevel()<=c.Error&&(this.useColors?console.error(`[91m[main ${E()}][0m`,i,...r):console.error(`[main ${E()}]`,i,...r))}critical(i,...r){this.getLevel()<=c.Critical&&(this.useColors?console.error(`[90m[main ${E()}][0m`,i,...r):console.error(`[main ${E()}]`,i,...r))}dispose(){}flush(){}}e.ConsoleMainLogger=w;class a extends b{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...r){this.getLevel()<=c.Trace&&console.log("%cTRACE","color: #888",i,...r)}debug(i,...r){this.getLevel()<=c.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...r)}info(i,...r){this.getLevel()<=c.Info&&console.log("%c INFO","color: #33f",i,...r)}warn(i,...r){this.getLevel()<=c.Warning&&console.log("%c WARN","color: #993",i,...r)}error(i,...r){this.getLevel()<=c.Error&&console.log("%c  ERR","color: #f33",i,...r)}critical(i,...r){this.getLevel()<=c.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...r)}dispose(){}flush(){}}e.ConsoleLogger=a;class d extends b{constructor(i,r=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(r)}trace(i,...r){this.getLevel()<=c.Trace&&this.adapter.log(c.Trace,[this.extractMessage(i),...r])}debug(i,...r){this.getLevel()<=c.Debug&&this.adapter.log(c.Debug,[this.extractMessage(i),...r])}info(i,...r){this.getLevel()<=c.Info&&this.adapter.log(c.Info,[this.extractMessage(i),...r])}warn(i,...r){this.getLevel()<=c.Warning&&this.adapter.log(c.Warning,[this.extractMessage(i),...r])}error(i,...r){this.getLevel()<=c.Error&&this.adapter.log(c.Error,[this.extractMessage(i),...r])}critical(i,...r){this.getLevel()<=c.Critical&&this.adapter.log(c.Critical,[this.extractMessage(i),...r])}extractMessage(i){return typeof i=="string"?i:(0,C.toErrorMessage)(i,this.getLevel()<=c.Trace)}dispose(){}flush(){}}e.AdapterLogger=d;class y extends b{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const r of this.logServices)r.setLevel(i);super.setLevel(i)}trace(i,...r){for(const o of this.logServices)o.trace(i,...r)}debug(i,...r){for(const o of this.logServices)o.debug(i,...r)}info(i,...r){for(const o of this.logServices)o.info(i,...r)}warn(i,...r){for(const o of this.logServices)o.warn(i,...r)}error(i,...r){for(const o of this.logServices)o.error(i,...r)}critical(i,...r){for(const o of this.logServices)o.critical(i,...r)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=y;class h extends P.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...r){this.logger.trace(i,...r)}debug(i,...r){this.logger.debug(i,...r)}info(i,...r){this.logger.info(i,...r)}warn(i,...r){this.logger.warn(i,...r)}error(i,...r){this.logger.error(i,...r)}critical(i,...r){this.logger.critical(i,...r)}flush(){this.logger.flush()}}e.LogService=h;class u extends P.Disposable{constructor(i,r){super();this.logLevel=i,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(r(o=>{this.logLevel=o,this.logLevelChangeableLoggers.forEach(f=>f.setLevel(o))}))}getLogger(i){return this.loggers.get(i.toString())}createLogger(i,r){let o=this.loggers.get(i.toString());return o||(o=this.doCreateLogger(i,r?.always?c.Trace:this.logLevel,r),this.loggers.set(i.toString(),o),r?.always||this.logLevelChangeableLoggers.push(o)),o}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(i=>i.dispose()),this.loggers.clear(),super.dispose()}}e.AbstractLoggerService=u;class S{constructor(){this.onDidChangeLogLevel=new D.Emitter().event}setLevel(i){}getLevel(){return c.Info}trace(i,...r){}debug(i,...r){}info(i,...r){}warn(i,...r){}error(i,...r){}critical(i,...r){}dispose(){}flush(){}}e.NullLogService=S;function l(n){if(n.verbose)return c.Trace;if(typeof n.logLevel=="string"){const i=s(n.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=l;function s(n){switch(n){case"trace":return c.Trace;case"debug":return c.Debug;case"info":return c.Info;case"warn":return c.Warning;case"error":return c.Error;case"critical":return c.Critical;case"off":return c.Off}}e.parseLogLevel=s;function t(n){switch(n){case c.Trace:return"trace";case c.Debug:return"debug";case c.Info:return"info";case c.Warning:return"warn";case c.Error:return"error";case c.Critical:return"critical";case c.Off:return"off"}}e.LogLevelToString=t}),define(ee[110],te([0,1,19,4,12,3,2,14,60,8]),function(q,e,C,D,P,L,k,E,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDiskFileSystemProvider=void 0;class I extends k.Disposable{constructor(g,w){super();this.logService=g,this.options=w,this._onDidChangeFile=this._register(new L.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this._onDidWatchError=this._register(new L.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.universalPathsToWatch=[],this.universalWatchRequestDelayer=this._register(new D.ThrottledDelayer(0)),this.nonRecursivePathsToWatch=[],this.nonRecursiveWatchRequestDelayer=this._register(new D.ThrottledDelayer(0))}watch(g,w){return w.recursive||this.options?.watcher?.forceUniversal?this.watchUniversal(g,w):this.watchNonRecursive(g,w)}watchUniversal(g,w){const a={path:this.toFilePath(g),excludes:w.excludes,includes:w.includes,recursive:w.recursive},d=(0,C.insert)(this.universalPathsToWatch,a);return this.refreshUniversalWatchers(),(0,k.toDisposable)(()=>{d(),this.refreshUniversalWatchers()})}refreshUniversalWatchers(){this.universalWatchRequestDelayer.trigger(()=>this.doRefreshUniversalWatchers()).catch(g=>(0,P.onUnexpectedError)(g))}doRefreshUniversalWatchers(){this.universalWatcher||(this.universalWatcher=this._register(this.createUniversalWatcher(w=>this._onDidChangeFile.fire((0,c.toFileChanges)(w)),w=>this.onWatcherLogMessage(w),this.logService.getLevel()===m.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.universalWatcher?.setVerboseLogging(this.logService.getLevel()===m.LogLevel.Trace)})));const g=this.options?.watcher?.recursive?.usePolling;if(g===!0)for(const w of this.universalPathsToWatch)(0,c.isRecursiveWatchRequest)(w)&&(w.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(g))for(const w of this.universalPathsToWatch)(0,c.isRecursiveWatchRequest)(w)&&g.includes(w.path)&&(w.pollingInterval=this.options?.watcher?.recursive?.pollingInterval??5e3);return this.universalWatcher.watch(this.universalPathsToWatch)}watchNonRecursive(g,w){const a={path:this.toFilePath(g),excludes:w.excludes,includes:w.includes,recursive:!1},d=(0,C.insert)(this.nonRecursivePathsToWatch,a);return this.refreshNonRecursiveWatchers(),(0,k.toDisposable)(()=>{d(),this.refreshNonRecursiveWatchers()})}refreshNonRecursiveWatchers(){this.nonRecursiveWatchRequestDelayer.trigger(()=>this.doRefreshNonRecursiveWatchers()).catch(g=>(0,P.onUnexpectedError)(g))}doRefreshNonRecursiveWatchers(){return this.nonRecursiveWatcher||(this.nonRecursiveWatcher=this._register(this.createNonRecursiveWatcher(g=>this._onDidChangeFile.fire((0,c.toFileChanges)(g)),g=>this.onWatcherLogMessage(g),this.logService.getLevel()===m.LogLevel.Trace)),this._register(this.logService.onDidChangeLogLevel(()=>{this.nonRecursiveWatcher?.setVerboseLogging(this.logService.getLevel()===m.LogLevel.Trace)}))),this.nonRecursiveWatcher.watch(this.nonRecursivePathsToWatch)}onWatcherLogMessage(g){g.type==="error"&&this._onDidWatchError.fire(g.message),this.logService[g.type](g.message)}toFilePath(g){return(0,E.normalize)(g.fsPath)}}e.AbstractDiskFileSystemProvider=I}),define(ee[111],te([0,1,19,4,15,25,3,54,63,2,35,16,112,17,43,91,11,59,8]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d,y,h,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let S=class extends m.Disposable{constructor(s){super();this.logService=s,this.BUFFER_SIZE=256*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new k.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new k.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new k.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new k.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onDidFilesChange=this._register(new k.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this._onDidWatchError=this._register(new k.Emitter),this.onDidWatchError=this._onDidWatchError.event,this.activeWatchers=new Map,this.writeQueue=this._register(new D.ResourceQueue)}registerProvider(s,t){if(this.provider.has(s))throw new Error(`A filesystem provider for the scheme '${s}' is already registered.`);(0,g.mark)(`code/registerFilesystem/${s}`);const n=new m.DisposableStore;return this.provider.set(s,t),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:s,provider:t}),n.add(t.onDidChangeFile(i=>this._onDidFilesChange.fire(new y.FileChangesEvent(i,!this.isPathCaseSensitive(t))))),typeof t.onDidWatchError=="function"&&n.add(t.onDidWatchError(i=>this._onDidWatchError.fire(new Error(i)))),n.add(t.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:t,scheme:s}))),(0,m.toDisposable)(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:s,provider:t}),this.provider.delete(s),(0,m.dispose)(n)})}getProvider(s){return this.provider.get(s)}async activateProvider(s){const t=[];this._onWillActivateFileSystemProvider.fire({scheme:s,join(n){t.push(n)}}),!this.provider.has(s)&&await D.Promises.settled(t)}async canHandleResource(s){return await this.activateProvider(s.scheme),this.hasProvider(s)}hasProvider(s){return this.provider.has(s.scheme)}hasCapability(s,t){const n=this.provider.get(s.scheme);return!!(n&&n.capabilities&t)}listCapabilities(){return c.Iterable.map(this.provider,([s,t])=>({scheme:s,capabilities:t.capabilities}))}async withProvider(s){if(!(0,w.isAbsolutePath)(s))throw new y.FileOperationError((0,d.localize)(0,null,this.resourceForError(s)),8);await this.activateProvider(s.scheme);const t=this.provider.get(s.scheme);if(!t){const n=new Error;throw n.name="ENOPRO",n.message=(0,d.localize)(1,null,s.toString()),n}return t}async withReadProvider(s){const t=await this.withProvider(s);if((0,y.hasOpenReadWriteCloseCapability)(t)||(0,y.hasReadWriteCapability)(t)||(0,y.hasFileReadStreamCapability)(t))return t;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(s){const t=await this.withProvider(s);if((0,y.hasOpenReadWriteCloseCapability)(t)||(0,y.hasReadWriteCapability)(t))return t;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(s,t){try{return await this.doResolveFile(s,t)}catch(n){throw(0,y.toFileSystemProviderErrorCode)(n)===y.FileSystemProviderErrorCode.FileNotFound?new y.FileOperationError((0,d.localize)(2,null,this.resourceForError(s)),1):(0,y.ensureFileSystemProviderError)(n)}}async doResolveFile(s,t){const n=await this.withProvider(s),i=this.isPathCaseSensitive(n),r=t?.resolveTo,o=t?.resolveSingleChildDescendants,f=t?.resolveMetadata,p=await n.stat(s);let v;return this.toFileStat(n,s,p,void 0,!!f,(R,M)=>(v||(v=I.TernarySearchTree.forUris(()=>!i),v.set(s,!0),r&&v.fill(!0,r)),v.get(R.resource)||v.findSuperstr(R.resource.with({query:null,fragment:null}))?!0:R.isDirectory&&o?M===1:!1))}async toFileStat(s,t,n,i,r,o){const{providerExtUri:f}=this.getExtUri(s),p={resource:t,name:f.basename(t),isFile:(n.type&y.FileType.File)!=0,isDirectory:(n.type&y.FileType.Directory)!=0,isSymbolicLink:(n.type&y.FileType.SymbolicLink)!=0,mtime:n.mtime,ctime:n.ctime,size:n.size,readonly:Boolean((n.permissions??0)&y.FilePermission.Readonly)||Boolean(s.capabilities&2048),etag:(0,y.etag)({mtime:n.mtime,size:n.size}),children:void 0};if(p.isDirectory&&o(p,i)){try{const v=await s.readdir(t),R=await D.Promises.settled(v.map(async([M,H])=>{try{const Z=f.joinPath(t,M),ne=r?await s.stat(Z):{type:H};return await this.toFileStat(s,Z,ne,v.length,r,o)}catch(Z){return this.logService.trace(Z),null}}));p.children=(0,C.coalesce)(R)}catch(v){this.logService.trace(v),p.children=[]}return p}return p}async resolveAll(s){return D.Promises.settled(s.map(async t=>{try{return{stat:await this.doResolveFile(t.resource,t.options),success:!0}}catch(n){return this.logService.trace(n),{stat:void 0,success:!1}}}))}async stat(s){const t=await this.withProvider(s),n=await t.stat(s);return this.toFileStat(t,s,n,void 0,!0,()=>!1)}async exists(s){const t=await this.withProvider(s);try{return!!await t.stat(s)}catch{return!1}}async canCreateFile(s,t){try{await this.doValidateCreateFile(s,t)}catch(n){return n}return!0}async doValidateCreateFile(s,t){if(!t?.overwrite&&await this.exists(s))throw new y.FileOperationError((0,d.localize)(3,null,this.resourceForError(s)),3,t)}async createFile(s,t=P.VSBuffer.fromString(""),n){await this.doValidateCreateFile(s,n);const i=await this.writeFile(s,t);return this._onDidRunOperation.fire(new y.FileOperationEvent(s,0,i)),i}async writeFile(s,t,n){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),{providerExtUri:r}=this.getExtUri(i);try{await this.validateWriteFile(i,s,n)||await this.mkdirp(i,r.dirname(s));let f;if((0,y.hasReadWriteCapability)(i)&&!(t instanceof P.VSBuffer))if((0,a.isReadableStream)(t)){const p=await(0,a.peekStream)(t,3);p.ended?f=P.VSBuffer.concat(p.buffer):f=p}else f=(0,a.peekReadable)(t,p=>P.VSBuffer.concat(p),3);else f=t;!(0,y.hasOpenReadWriteCloseCapability)(i)||(0,y.hasReadWriteCapability)(i)&&f instanceof P.VSBuffer?await this.doWriteUnbuffered(i,s,n,f):await this.doWriteBuffered(i,s,n,f instanceof P.VSBuffer?(0,P.bufferToReadable)(f):f),this._onDidRunOperation.fire(new y.FileOperationEvent(s,4))}catch(o){throw new y.FileOperationError((0,d.localize)(4,null,this.resourceForError(s),(0,y.ensureFileSystemProviderError)(o).toString()),(0,y.toFileOperationResult)(o),n)}return this.resolve(s,{resolveMetadata:!0})}async validateWriteFile(s,t,n){if(!!n?.unlock&&!(s.capabilities&8192))throw new Error((0,d.localize)(5,null,this.resourceForError(t)));let r;try{r=await s.stat(t)}catch{return}if((r.type&y.FileType.Directory)!=0)throw new y.FileOperationError((0,d.localize)(6,null,this.resourceForError(t)),0,n);if(this.throwIfFileIsReadonly(t,r),typeof n?.mtime=="number"&&typeof n.etag=="string"&&n.etag!==y.ETAG_DISABLED&&typeof r.mtime=="number"&&typeof r.size=="number"&&n.mtime<r.mtime&&n.etag!==(0,y.etag)({mtime:n.mtime,size:r.size}))throw new y.FileOperationError((0,d.localize)(7,null),3,n);return r}async readFile(s,t,n){const i=await this.withReadProvider(s);return t?.atomic?this.doReadFileAtomic(i,s,t,n):this.doReadFile(i,s,t,n)}async doReadFileAtomic(s,t,n,i){return new Promise((r,o)=>{this.writeQueue.queueFor(t,this.getExtUri(s).providerExtUri).queue(async()=>{try{const f=await this.doReadFile(s,t,n,i);r(f)}catch(f){o(f)}})})}async doReadFile(s,t,n,i){const r=await this.doReadFileStream(s,t,{...n,preferUnbuffered:!0},i);return{...r,value:await(0,P.streamToBuffer)(r.value)}}async readFileStream(s,t,n){const i=await this.withReadProvider(s);return this.doReadFileStream(i,s,t,n)}async doReadFileStream(s,t,n,i){const r=new L.CancellationTokenSource(i),o=this.validateReadFile(t,n).then(p=>p,p=>{throw r.cancel(),p});let f;try{return typeof n?.etag=="string"&&n.etag!==y.ETAG_DISABLED&&await o,n?.atomic&&(0,y.hasFileAtomicReadCapability)(s)||!((0,y.hasOpenReadWriteCloseCapability)(s)||(0,y.hasFileReadStreamCapability)(s))||(0,y.hasReadWriteCapability)(s)&&n?.preferUnbuffered?f=this.readFileUnbuffered(s,t,n):(0,y.hasFileReadStreamCapability)(s)?f=this.readFileStreamed(s,t,r.token,n):f=this.readFileBuffered(s,t,r.token,n),{...await o,value:f}}catch(p){f&&await(0,a.consumeStream)(f);const v=(0,d.localize)(8,null,this.resourceForError(t),(0,y.ensureFileSystemProviderError)(p).toString());throw p instanceof y.NotModifiedSinceFileOperationError?new y.NotModifiedSinceFileOperationError(v,p.stat,n):new y.FileOperationError(v,(0,y.toFileOperationResult)(p),n)}}readFileStreamed(s,t,n,i=Object.create(null)){const r=s.readFileStream(t,i,n);return(0,a.transform)(r,{data:o=>o instanceof P.VSBuffer?o:P.VSBuffer.wrap(o),error:o=>new y.FileOperationError((0,d.localize)(9,null,this.resourceForError(t),(0,y.ensureFileSystemProviderError)(o).toString()),(0,y.toFileOperationResult)(o),i)},o=>P.VSBuffer.concat(o))}readFileBuffered(s,t,n,i=Object.create(null)){const r=(0,P.newWriteableBufferStream)();return(0,h.readFileIntoStream)(s,t,r,o=>o,{...i,bufferSize:this.BUFFER_SIZE,errorTransformer:o=>new y.FileOperationError((0,d.localize)(10,null,this.resourceForError(t),(0,y.ensureFileSystemProviderError)(o).toString()),(0,y.toFileOperationResult)(o),i)},n),r}readFileUnbuffered(s,t,n){const i=(0,a.newWriteableStream)(r=>P.VSBuffer.concat(r));return(async()=>{try{let r;n?.atomic&&(0,y.hasFileAtomicReadCapability)(s)?r=await s.readFile(t,{atomic:!0}):r=await s.readFile(t),typeof n?.position=="number"&&(r=r.slice(n.position)),typeof n?.length=="number"&&(r=r.slice(0,n.length)),this.validateReadFileLimits(t,r.byteLength,n),i.end(P.VSBuffer.wrap(r))}catch(r){i.error(r),i.end()}})(),i}async validateReadFile(s,t){const n=await this.resolve(s,{resolveMetadata:!0});if(n.isDirectory)throw new y.FileOperationError((0,d.localize)(11,null,this.resourceForError(s)),0,t);if(typeof t?.etag=="string"&&t.etag!==y.ETAG_DISABLED&&t.etag===n.etag)throw new y.NotModifiedSinceFileOperationError((0,d.localize)(12,null),n,t);return this.validateReadFileLimits(s,n.size,t),n}validateReadFileLimits(s,t,n){if(n?.limits){let i;if(typeof n.limits.memory=="number"&&t>n.limits.memory&&(i=9),typeof n.limits.size=="number"&&t>n.limits.size&&(i=7),typeof i=="number")throw new y.FileOperationError((0,d.localize)(13,null,this.resourceForError(s)),i)}}async canMove(s,t,n){return this.doCanMoveCopy(s,t,"move",n)}async canCopy(s,t,n){return this.doCanMoveCopy(s,t,"copy",n)}async doCanMoveCopy(s,t,n,i){if(s.toString()!==t.toString())try{const r=n==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s):await this.withReadProvider(s),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t);await this.doValidateMoveCopy(r,s,o,t,n,i)}catch(r){return r}return!0}async move(s,t,n){const i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t),o=await this.doMoveCopy(i,s,r,t,"move",!!n),f=await this.resolve(t,{resolveMetadata:!0});return this._onDidRunOperation.fire(new y.FileOperationEvent(s,o==="move"?2:3,f)),f}async copy(s,t,n){const i=await this.withReadProvider(s),r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t),o=await this.doMoveCopy(i,s,r,t,"copy",!!n),f=await this.resolve(t,{resolveMetadata:!0});return this._onDidRunOperation.fire(new y.FileOperationEvent(s,o==="copy"?3:2,f)),f}async doMoveCopy(s,t,n,i,r,o){if(t.toString()===i.toString())return r;const{exists:f,isSameResourceWithDifferentPathCase:p}=await this.doValidateMoveCopy(s,t,n,i,r,o);if(f&&!p&&o&&await this.del(i,{recursive:!0}),await this.mkdirp(n,this.getExtUri(n).providerExtUri.dirname(i)),r==="copy"){if(s===n&&(0,y.hasFileFolderCopyCapability)(s))await s.copy(t,i,{overwrite:o});else{const v=await this.resolve(t);v.isDirectory?await this.doCopyFolder(s,v,n,i):await this.doCopyFile(s,t,n,i)}return r}else return s===n?(await s.rename(t,i,{overwrite:o}),r):(await this.doMoveCopy(s,t,n,i,"copy",o),await this.del(t,{recursive:!0}),"copy")}async doCopyFile(s,t,n,i){if((0,y.hasOpenReadWriteCloseCapability)(s)&&(0,y.hasOpenReadWriteCloseCapability)(n))return this.doPipeBuffered(s,t,n,i);if((0,y.hasOpenReadWriteCloseCapability)(s)&&(0,y.hasReadWriteCapability)(n))return this.doPipeBufferedToUnbuffered(s,t,n,i);if((0,y.hasReadWriteCapability)(s)&&(0,y.hasOpenReadWriteCloseCapability)(n))return this.doPipeUnbufferedToBuffered(s,t,n,i);if((0,y.hasReadWriteCapability)(s)&&(0,y.hasReadWriteCapability)(n))return this.doPipeUnbuffered(s,t,n,i)}async doCopyFolder(s,t,n,i){await n.mkdir(i),Array.isArray(t.children)&&await D.Promises.settled(t.children.map(async r=>{const o=this.getExtUri(n).providerExtUri.joinPath(i,r.name);return r.isDirectory?this.doCopyFolder(s,await this.resolve(r.resource),n,o):this.doCopyFile(s,r.resource,n,o)}))}async doValidateMoveCopy(s,t,n,i,r,o){let f=!1;if(s===n){const{providerExtUri:v,isPathCaseSensitive:R}=this.getExtUri(s);if(R||(f=v.isEqual(t,i)),f&&r==="copy")throw new Error((0,d.localize)(14,null,this.resourceForError(t),this.resourceForError(i)));if(!f&&v.isEqualOrParent(i,t))throw new Error((0,d.localize)(15,null,this.resourceForError(t),this.resourceForError(i)))}const p=await this.exists(i);if(p&&!f){if(!o)throw new y.FileOperationError((0,d.localize)(16,null,this.resourceForError(t),this.resourceForError(i)),4);if(s===n){const{providerExtUri:v}=this.getExtUri(s);if(v.isEqualOrParent(t,i))throw new Error((0,d.localize)(17,null,this.resourceForError(t),this.resourceForError(i)))}}return{exists:p,isSameResourceWithDifferentPathCase:f}}getExtUri(s){const t=this.isPathCaseSensitive(s);return{providerExtUri:t?w.extUri:w.extUriIgnorePathCase,isPathCaseSensitive:t}}isPathCaseSensitive(s){return!!(s.capabilities&1024)}async createFolder(s){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(s),s);await this.mkdirp(t,s);const n=await this.resolve(s,{resolveMetadata:!0});return this._onDidRunOperation.fire(new y.FileOperationEvent(s,0,n)),n}async mkdirp(s,t){const n=[],{providerExtUri:i}=this.getExtUri(s);for(;!i.isEqual(t,i.dirname(t));)try{if(((await s.stat(t)).type&y.FileType.Directory)==0)throw new Error((0,d.localize)(18,null,this.resourceForError(t)));break}catch(r){if((0,y.toFileSystemProviderErrorCode)(r)!==y.FileSystemProviderErrorCode.FileNotFound)throw r;n.push(i.basename(t)),t=i.dirname(t)}for(let r=n.length-1;r>=0;r--){t=i.joinPath(t,n[r]);try{await s.mkdir(t)}catch(o){if((0,y.toFileSystemProviderErrorCode)(o)!==y.FileSystemProviderErrorCode.FileExists)throw o}}}async canDelete(s,t){try{await this.doValidateDelete(s,t)}catch(n){return n}return!0}async doValidateDelete(s,t){const n=this.throwIfFileSystemIsReadonly(await this.withProvider(s),s);if(!!t?.useTrash&&!(n.capabilities&4096))throw new Error((0,d.localize)(19,null,this.resourceForError(s)));let r;try{r=await n.stat(s)}catch{}if(r)this.throwIfFileIsReadonly(s,r);else throw new y.FileOperationError((0,d.localize)(20,null,this.resourceForError(s)),1);if(!!!t?.recursive){const f=await this.resolve(s);if(f.isDirectory&&Array.isArray(f.children)&&f.children.length>0)throw new Error((0,d.localize)(21,null,this.resourceForError(s)))}return n}async del(s,t){const n=await this.doValidateDelete(s,t),i=!!t?.useTrash,r=!!t?.recursive;await n.delete(s,{recursive:r,useTrash:i}),this._onDidRunOperation.fire(new y.FileOperationEvent(s,1))}async cloneFile(s,t){const n=await this.withProvider(s),i=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(t),t);if(n===i&&this.getExtUri(n).providerExtUri.isEqual(s,t))return;if(n===i&&(0,y.hasFileCloneCapability)(n))return n.cloneFile(s,t);await this.mkdirp(i,this.getExtUri(i).providerExtUri.dirname(t));const r=this.writeQueue.queueFor(s,this.getExtUri(n).providerExtUri);return n===i&&(0,y.hasFileFolderCopyCapability)(n)?r.queue(()=>n.copy(s,t,{overwrite:!0})):r.queue(()=>this.doCopyFile(n,s,i,t))}watch(s,t={recursive:!1,excludes:[]}){const n=new m.DisposableStore;let i=!1,r=()=>{i=!0};return n.add((0,m.toDisposable)(()=>r())),(async()=>{try{const o=await this.doWatch(s,t);i?(0,m.dispose)(o):r=()=>(0,m.dispose)(o)}catch(o){this.logService.error(o)}})(),n}async doWatch(s,t){const n=await this.withProvider(s),i=(0,E.hash)([this.getExtUri(n).providerExtUri.getComparisonKey(s),t]);let r=this.activeWatchers.get(i);return r||(r={count:0,disposable:n.watch(s,t)},this.activeWatchers.set(i,r)),r.count+=1,(0,m.toDisposable)(()=>{r&&(r.count--,r.count===0&&((0,m.dispose)(r.disposable),this.activeWatchers.delete(i)))})}dispose(){super.dispose();for(const[,s]of this.activeWatchers)(0,m.dispose)(s.disposable);this.activeWatchers.clear()}async doWriteBuffered(s,t,n,i){return this.writeQueue.queueFor(t,this.getExtUri(s).providerExtUri).queue(async()=>{const r=await s.open(t,{create:!0,unlock:n?.unlock??!1});try{(0,a.isReadableStream)(i)||(0,a.isReadableBufferedStream)(i)?await this.doWriteStreamBufferedQueued(s,r,i):await this.doWriteReadableBufferedQueued(s,r,i)}catch(o){throw(0,y.ensureFileSystemProviderError)(o)}finally{await s.close(r)}})}async doWriteStreamBufferedQueued(s,t,n){let i=0,r;if((0,a.isReadableBufferedStream)(n)){if(n.buffer.length>0){const o=P.VSBuffer.concat(n.buffer);await this.doWriteBuffer(s,t,o,o.byteLength,i,0),i+=o.byteLength}if(n.ended)return;r=n.stream}else r=n;return new Promise((o,f)=>{(0,a.listenStream)(r,{onData:async p=>{r.pause();try{await this.doWriteBuffer(s,t,p,p.byteLength,i,0)}catch(v){return f(v)}i+=p.byteLength,setTimeout(()=>r.resume())},onError:p=>f(p),onEnd:()=>o()})})}async doWriteReadableBufferedQueued(s,t,n){let i=0,r;for(;(r=n.read())!==null;)await this.doWriteBuffer(s,t,r,r.byteLength,i,0),i+=r.byteLength}async doWriteBuffer(s,t,n,i,r,o){let f=0;for(;f<i;)f+=await s.write(t,r+f,n.buffer,o+f,i-f)}async doWriteUnbuffered(s,t,n,i){return this.writeQueue.queueFor(t,this.getExtUri(s).providerExtUri).queue(()=>this.doWriteUnbufferedQueued(s,t,n,i))}async doWriteUnbufferedQueued(s,t,n,i){let r;i instanceof P.VSBuffer?r=i:(0,a.isReadableStream)(i)?r=await(0,P.streamToBuffer)(i):(0,a.isReadableBufferedStream)(i)?r=await(0,P.bufferedStreamToBuffer)(i):r=(0,P.readableToBuffer)(i),await s.writeFile(t,r.buffer,{create:!0,overwrite:!0,unlock:n?.unlock??!1})}async doPipeBuffered(s,t,n,i){return this.writeQueue.queueFor(i,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeBufferedQueued(s,t,n,i))}async doPipeBufferedQueued(s,t,n,i){let r,o;try{r=await s.open(t,{create:!1}),o=await n.open(i,{create:!0,unlock:!1});const f=P.VSBuffer.alloc(this.BUFFER_SIZE);let p=0,v=0,R=0;do R=await s.read(r,p,f.buffer,v,f.byteLength-v),await this.doWriteBuffer(n,o,f,R,p,v),p+=R,v+=R,v===f.byteLength&&(v=0);while(R>0)}catch(f){throw(0,y.ensureFileSystemProviderError)(f)}finally{await D.Promises.settled([typeof r=="number"?s.close(r):Promise.resolve(),typeof o=="number"?n.close(o):Promise.resolve()])}}async doPipeUnbuffered(s,t,n,i){return this.writeQueue.queueFor(i,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeUnbufferedQueued(s,t,n,i))}async doPipeUnbufferedQueued(s,t,n,i){return n.writeFile(i,await s.readFile(t),{create:!0,overwrite:!0,unlock:!1})}async doPipeUnbufferedToBuffered(s,t,n,i){return this.writeQueue.queueFor(i,this.getExtUri(n).providerExtUri).queue(()=>this.doPipeUnbufferedToBufferedQueued(s,t,n,i))}async doPipeUnbufferedToBufferedQueued(s,t,n,i){const r=await n.open(i,{create:!0,unlock:!1});try{const o=await s.readFile(t);await this.doWriteBuffer(n,r,P.VSBuffer.wrap(o),o.byteLength,0,0)}catch(o){throw(0,y.ensureFileSystemProviderError)(o)}finally{await n.close(r)}}async doPipeBufferedToUnbuffered(s,t,n,i){const r=await(0,P.streamToBuffer)(this.readFileBuffered(s,t,L.CancellationToken.None));await this.doWriteUnbuffered(n,i,void 0,r)}throwIfFileSystemIsReadonly(s,t){if(s.capabilities&2048)throw new y.FileOperationError((0,d.localize)(22,null,this.resourceForError(t)),6);return s}throwIfFileIsReadonly(s,t){if((t.permissions??0)&y.FilePermission.Readonly)throw new y.FileOperationError((0,d.localize)(23,null,this.resourceForError(s)),6)}resourceForError(s){return s.scheme===b.Schemas.file?s.fsPath:s.toString(!0)}};S=de([oe(0,u.ILogService)],S),e.FileService=S}),define(ee[113],te([0,1,114,154,4,35,15,3,79,2,14,13,17,43,20,93,11,59,110,28,108,107]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d,y,h,u,S,l,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0,(()=>{try{(0,D.gracefulify)(C)}catch(n){console.error(`Error enabling graceful-fs: ${(0,S.toErrorMessage)(n)}`)}})();class t extends u.AbstractDiskFileSystemProvider{constructor(i,r){super(i,r);this.onDidChangeCapabilities=E.Event.None,this.resourceLocks=new L.ResourceMap(o=>g.extUriBiasedIgnorePathCase.getComparisonKey(o)),this.mapHandleToPos=new Map,this.mapHandleToLock=new Map,this.writeHandles=new Map,this.canFlush=!0}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8|8192|16384|32768,b.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(i){try{const{stat:r,symbolicLink:o}=await a.SymlinkSupport.stat(this.toFilePath(i));return{type:this.toType(r,o),ctime:r.birthtime.getTime(),mtime:r.mtime.getTime(),size:r.size}}catch(r){throw this.toFileSystemProviderError(r)}}async readdir(i){try{const r=await a.Promises.readdir(this.toFilePath(i),{withFileTypes:!0}),o=[];return await Promise.all(r.map(async f=>{try{let p;f.isSymbolicLink()?p=(await this.stat((0,g.joinPath)(i,f.name))).type:p=this.toType(f),o.push([f.name,p])}catch(p){this.logService.trace(p)}})),o}catch(r){throw this.toFileSystemProviderError(r)}}toType(i,r){let o;return r?.dangling?o=y.FileType.Unknown:i.isFile()?o=y.FileType.File:i.isDirectory()?o=y.FileType.Directory:o=y.FileType.Unknown,r&&(o|=y.FileType.SymbolicLink),o}async createResourceLock(i){const r=this.toFilePath(i);this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${r})`);let o;for(;o=this.resourceLocks.get(i);)this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${r})`),await o.wait();const f=new P.Barrier;return this.resourceLocks.set(i,f),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${r})`),(0,m.toDisposable)(()=>{this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${r})`),this.resourceLocks.get(i)===f&&(this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${r})`),this.resourceLocks.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${r})`),f.open()})}async readFile(i,r){let o;try{r?.atomic&&(this.logService.trace(`[Disk FileSystemProvider]: atomic read operation started (${this.toFilePath(i)})`),o=await this.createResourceLock(i));const f=this.toFilePath(i);return await a.Promises.readFile(f)}catch(f){throw this.toFileSystemProviderError(f)}finally{o?.dispose()}}readFileStream(i,r,o){const f=(0,w.newWriteableStream)(p=>k.VSBuffer.concat(p.map(v=>k.VSBuffer.wrap(v))).buffer);return(0,h.readFileIntoStream)(this,i,f,p=>p.buffer,{...r,bufferSize:256*1024},o),f}async writeFile(i,r,o){let f;try{const p=this.toFilePath(i);if(!o.create||!o.overwrite){if(await a.Promises.exists(p)){if(!o.overwrite)throw(0,y.createFileSystemProviderError)((0,d.localize)(0,null),y.FileSystemProviderErrorCode.FileExists)}else if(!o.create)throw(0,y.createFileSystemProviderError)((0,d.localize)(1,null),y.FileSystemProviderErrorCode.FileNotFound)}f=await this.open(i,{create:!0,unlock:o.unlock}),await this.write(f,0,r,0,r.byteLength)}catch(p){throw await this.toFileSystemProviderWriteError(i,p)}finally{typeof f=="number"&&await this.close(f)}}async open(i,r){const o=this.toFilePath(i);let f;(0,y.isFileOpenForWriteOptions)(r)&&(f=await this.createResourceLock(i));let p;try{if((0,y.isFileOpenForWriteOptions)(r)&&r.unlock)try{const{stat:R}=await a.SymlinkSupport.stat(o);R.mode&128||await a.Promises.chmod(o,R.mode|128)}catch(R){this.logService.trace(R)}let v;if((0,y.isFileOpenForWriteOptions)(r)){if(b.isWindows)try{await a.Promises.truncate(o,0),v="r+"}catch(R){R.code!=="ENOENT"&&this.logService.trace(R)}v||(v="w")}else v="r";p=await a.Promises.open(o,v)}catch(v){throw f?.dispose(),(0,y.isFileOpenForWriteOptions)(r)?await this.toFileSystemProviderWriteError(i,v):this.toFileSystemProviderError(v)}if(this.mapHandleToPos.set(p,0),(0,y.isFileOpenForWriteOptions)(r)&&this.writeHandles.set(p,i),f){const v=this.mapHandleToLock.get(p);this.logService.trace(`[Disk FileSystemProvider]: open() - storing lock for handle ${p} (${o})`),this.mapHandleToLock.set(p,f),v&&(this.logService.trace(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${p} (${o})`),v.dispose())}return p}async close(i){const r=this.mapHandleToLock.get(i);try{if(this.mapHandleToPos.delete(i),this.writeHandles.delete(i)&&this.canFlush)try{await a.Promises.fdatasync(i)}catch(o){this.canFlush=!1,this.logService.error(o)}return await a.Promises.close(i)}catch(o){throw this.toFileSystemProviderError(o)}finally{r&&(this.mapHandleToLock.get(i)===r&&(this.logService.trace(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${i}`),this.mapHandleToLock.delete(i)),this.logService.trace(`[Disk FileSystemProvider]: close() - disposing lock for handle ${i}`),r.dispose())}}async read(i,r,o,f,p){const v=this.normalizePos(i,r);let R=null;try{R=(await a.Promises.read(i,o,f,p,v)).bytesRead}catch(M){throw this.toFileSystemProviderError(M)}finally{this.updatePos(i,v,R)}return R}normalizePos(i,r){return r===this.mapHandleToPos.get(i)?null:r}updatePos(i,r,o){const f=this.mapHandleToPos.get(i);typeof f=="number"&&(typeof r=="number"||(typeof o=="number"?this.mapHandleToPos.set(i,f+o):this.mapHandleToPos.delete(i)))}async write(i,r,o,f,p){return(0,P.retry)(()=>this.doWrite(i,r,o,f,p),100,3)}async doWrite(i,r,o,f,p){const v=this.normalizePos(i,r);let R=null;try{R=(await a.Promises.write(i,o,f,p,v)).bytesWritten}catch(M){throw await this.toFileSystemProviderWriteError(this.writeHandles.get(i),M)}finally{this.updatePos(i,v,R)}return R}async mkdir(i){try{await a.Promises.mkdir(this.toFilePath(i))}catch(r){throw this.toFileSystemProviderError(r)}}async delete(i,r){try{const o=this.toFilePath(i);r.recursive?await a.Promises.rm(o,a.RimRafMode.MOVE):await a.Promises.unlink(o)}catch(o){throw this.toFileSystemProviderError(o)}}async rename(i,r,o){const f=this.toFilePath(i),p=this.toFilePath(r);if(f!==p)try{await this.validateTargetDeleted(i,r,"move",o.overwrite),await a.Promises.move(f,p)}catch(v){throw(v.code==="EINVAL"||v.code==="EBUSY"||v.code==="ENAMETOOLONG")&&(v=new Error((0,d.localize)(2,null,(0,I.basename)(f),(0,I.basename)((0,I.dirname)(p)),v.toString()))),this.toFileSystemProviderError(v)}}async copy(i,r,o){const f=this.toFilePath(i),p=this.toFilePath(r);if(f!==p)try{await this.validateTargetDeleted(i,r,"copy",o.overwrite),await a.Promises.copy(f,p,{preserveSymlinks:!0})}catch(v){throw(v.code==="EINVAL"||v.code==="EBUSY"||v.code==="ENAMETOOLONG")&&(v=new Error((0,d.localize)(3,null,(0,I.basename)(f),(0,I.basename)((0,I.dirname)(p)),v.toString()))),this.toFileSystemProviderError(v)}}async validateTargetDeleted(i,r,o,f){const p=this.toFilePath(i),v=this.toFilePath(r);let R=!1;if(!!(this.capabilities&1024)||(R=(0,c.isEqual)(p,v,!0)),R&&o==="copy")throw(0,y.createFileSystemProviderError)((0,d.localize)(4,null),y.FileSystemProviderErrorCode.FileExists);if(!R&&await a.Promises.exists(v)){if(!f)throw(0,y.createFileSystemProviderError)((0,d.localize)(5,null),y.FileSystemProviderErrorCode.FileExists);await this.delete(r,{recursive:!0,useTrash:!1})}}async cloneFile(i,r){return this.doCloneFile(i,r,!1)}async doCloneFile(i,r,o){const f=this.toFilePath(i),p=this.toFilePath(r),v=!!(this.capabilities&1024);if((0,c.isEqual)(f,p,!v))return;const R=new m.DisposableStore;try{const[M,H]=await Promise.all([this.createResourceLock(i),this.createResourceLock(r)]);R.add(M),R.add(H),o&&await a.Promises.mkdir((0,I.dirname)(p),{recursive:!0}),await a.Promises.copyFile(f,p)}catch(M){if(M.code==="ENOENT"&&!o)return this.doCloneFile(i,r,!0);throw this.toFileSystemProviderError(M)}finally{R.dispose()}}createUniversalWatcher(i,r,o){return new l.UniversalWatcherClient(f=>i(f),f=>r(f),o)}createNonRecursiveWatcher(i,r,o){return new s.NodeJSWatcherClient(f=>i(f),f=>r(f),o)}toFileSystemProviderError(i){if(i instanceof y.FileSystemProviderError)return i;let r;switch(i.code){case"ENOENT":r=y.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":r=y.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":r=y.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":r=y.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":r=y.FileSystemProviderErrorCode.NoPermissions;break;default:r=y.FileSystemProviderErrorCode.Unknown}return(0,y.createFileSystemProviderError)(i,r)}async toFileSystemProviderWriteError(i,r){let o=this.toFileSystemProviderError(r);if(i&&o.code===y.FileSystemProviderErrorCode.NoPermissions)try{const{stat:f}=await a.SymlinkSupport.stat(this.toFilePath(i));f.mode&128||(o=(0,y.createFileSystemProviderError)(r,y.FileSystemProviderErrorCode.FileWriteLocked))}catch(f){this.logService.trace(f)}return o}}e.DiskFileSystemProvider=t}),define(ee[115],te([0,1,11,8]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=void 0;async function P(E,c,m,I,b){try{const g=await new Promise((a,d)=>{q(["spdlog"],a,d)});g.setFlushOn(D.LogLevel.Trace);const w=await g.createAsyncRotatingLogger(E,c,m,I);return b&&w.clearFormatters(),w}catch(g){console.error(g)}return null}function L(E,c,m){switch(c){case D.LogLevel.Trace:E.trace(m);break;case D.LogLevel.Debug:E.debug(m);break;case D.LogLevel.Info:E.info(m);break;case D.LogLevel.Warning:E.warn(m);break;case D.LogLevel.Error:E.error(m);break;case D.LogLevel.Critical:E.critical(m);break;default:throw new Error("Invalid log level")}}class k extends D.AbstractMessageLogger{constructor(c,m,I,b,g){super();this.buffer=[],this.setLevel(g),this._loggerCreationPromise=this._createSpdLogLogger(c,m,I,b),this._register(this.onDidChangeLogLevel(w=>{this._logger?.setLevel(w)}))}async _createSpdLogLogger(c,m,I,b){const g=I?6:1,w=30/g*C.ByteSize.MB,a=await P(c,m,w,g,b);if(a){this._logger=a,this._logger.setLevel(this.getLevel());for(const{level:d,message:y}of this.buffer)L(this._logger,d,y);this.buffer=[]}}log(c,m){this._logger?L(this._logger,c,m):this.getLevel()<=c&&this.buffer.push({level:c,message:m})}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=k}),define(ee[36],te([0,1,3,63,2,10]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullPolicyService=e.AbstractPolicyService=e.IPolicyService=void 0,e.IPolicyService=(0,L.createDecorator)("policy");class k extends P.Disposable{constructor(){super(...arguments);this.policyDefinitions={},this.policies=new Map,this._onDidChange=this._register(new C.Emitter),this.onDidChange=this._onDidChange.event}async registerPolicyDefinitions(m){const I=Object.keys(this.policyDefinitions).length;return this.policyDefinitions={...m,...this.policyDefinitions},I!==Object.keys(this.policyDefinitions).length&&await this.initializePolicies(m),D.Iterable.reduce(this.policies.entries(),(b,[g,w])=>({...b,[g]:w}),{})}getPolicyValue(m){return this.policies.get(m)}serialize(){return D.Iterable.reduce(Object.entries(this.policyDefinitions),(m,[I,b])=>({...m,[I]:{definition:b,value:this.policies.get(I)}}),{})}}e.AbstractPolicyService=k;class E{constructor(){this.onDidChange=C.Event.None}async registerPolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.NullPolicyService=E}),define(ee[116],te([0,1,4,3,63,7,11,8,36]),function(q,e,C,D,P,L,k,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FilePolicyService=void 0;function m(b,g){const w=[];for(const a of P.Iterable.concat(b.keys(),g.keys()))b.get(a)!==g.get(a)&&w.push(a);return w}let I=class extends c.AbstractPolicyService{constructor(g,w,a){super();this.file=g,this.fileService=w,this.logService=a,this.throttledDelayer=this._register(new C.ThrottledDelayer(500));const d=D.Event.filter(w.onDidFilesChange,y=>y.affects(g));this._register(w.watch(g)),this._register(d(()=>this.throttledDelayer.trigger(()=>this.refresh())))}async initializePolicies(g){await this.refresh()}async read(){const g=new Map;try{const w=await this.fileService.readFile(this.file),a=JSON.parse(w.value.toString());if(!(0,L.isObject)(a))throw new Error("Policy file isn't a JSON object");for(const d of Object.keys(a))this.policyDefinitions[d]&&g.set(d,a[d])}catch(w){w.fileOperationResult!==1&&this.logService.error("[FilePolicyService] Failed to read policies",w)}return g}async refresh(){const g=await this.read(),w=m(this.policies,g);this.policies=g,w.length>0&&this._onDidChange.fire(w)}};I=de([oe(1,k.IFileService),oe(2,E.ILogService)],I),e.FilePolicyService=I}),define(ee[27],te([0,1,10]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.productSchemaId=e.IProductService=void 0,e.IProductService=(0,C.createDecorator)("productService"),e.productSchemaId="vscode://schemas/vscode-product"}),define(ee[31],te([0,1,67,7]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class P{constructor(){this.data=new Map}add(k,E){C.ok(D.isString(k)),C.ok(D.isObject(E)),C.ok(!this.data.has(k),"There is already an extension with this id"),this.data.set(k,E)}knows(k){return this.data.has(k)}as(k){return this.data.get(k)||null}}e.Registry=new P}),define(ee[117],te([0,1,3,31]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function P(E){return E.length>0&&E.charAt(E.length-1)==="#"?E.substring(0,E.length-1):E}class L{constructor(){this._onDidChangeSchema=new C.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(c,m){this.schemasById[P(c)]=m,this._onDidChangeSchema.fire(c)}notifySchemaChanged(c){this._onDidChangeSchema.fire(c)}getSchemaContributions(){return{schemas:this.schemasById}}}const k=new L;D.Registry.add(e.Extensions.JSONContribution,k)}),define(ee[41],te([0,1,19,3,7,83,21,117,31]),function(q,e,C,D,P,L,k,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.keyFromOverrideIdentifiers=e.overrideIdentifiersFromKey=e.OVERRIDE_PROPERTY_REGEX=e.OVERRIDE_PROPERTY_PATTERN=e.configurationDefaultsSchemaId=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=e.EditPresentationTypes=void 0;var m;(function(s){s.Multiline="multilineText",s.Singleline="singlelineText"})(m=e.EditPresentationTypes||(e.EditPresentationTypes={})),e.Extensions={Configuration:"base.contributions.configuration"};var I;(function(s){s[s.APPLICATION=1]="APPLICATION",s[s.MACHINE=2]="MACHINE",s[s.WINDOW=3]="WINDOW",s[s.RESOURCE=4]="RESOURCE",s[s.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",s[s.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage",e.configurationDefaultsSchemaId="vscode://schemas/settings/configurationDefaults";const b=c.Registry.as(E.Extensions.JSONContribution);class g{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new D.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new D.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.configurationDefaultsOverrides=new Map,this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:L.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.policyConfigurations=new Map,this.excludedConfigurationProperties={},b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this.registerOverridePropertyPatternKey()}registerConfiguration(t,n=!0){this.registerConfigurations([t],n)}registerConfigurations(t,n=!0){const i=this.doRegisterConfigurations(t,n);b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:i})}deregisterConfigurations(t){const n=this.doDeregisterConfigurations(t);b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n})}updateConfigurations({add:t,remove:n}){const i=[];i.push(...this.doDeregisterConfigurations(n)),i.push(...this.doRegisterConfigurations(t,!1)),b.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:(0,C.distinct)(i)})}registerDefaultConfigurations(t){const n=[],i=[];for(const{overrides:r,source:o}of t)for(const f in r)if(n.push(f),e.OVERRIDE_PROPERTY_REGEX.test(f)){const p=this.configurationDefaultsOverrides.get(f),v=p?.valuesSources??new Map;if(o)for(const Z of Object.keys(r[f]))v.set(Z,o);const R={...p?.value||{},...r[f]};this.configurationDefaultsOverrides.set(f,{source:o,value:R,valuesSources:v});const M=(0,k.getLanguageTagSettingPlainKey)(f),H={type:"object",default:R,description:L.localize(1,null,M),$ref:e.resourceLanguageSettingsSchemaId,defaultDefaultValue:R,source:P.isString(o)?void 0:o,defaultValueSource:o};i.push(...d(f)),this.configurationProperties[f]=H,this.defaultLanguageConfigurationOverridesNode.properties[f]=H}else{this.configurationDefaultsOverrides.set(f,{value:r[f],source:o});const p=this.configurationProperties[f];p&&(this.updatePropertyDefaultValue(f,p),this.updateSchema(f,p))}this.registerOverrideIdentifiers(i),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}deregisterDefaultConfigurations(t){const n=[];for(const{overrides:i,source:r}of t)for(const o in i){const f=this.configurationDefaultsOverrides.get(o),p=P.isString(r)?r:r?.id,v=P.isString(f?.source)?f?.source:f?.source?.id;if(p===v)if(n.push(o),this.configurationDefaultsOverrides.delete(o),e.OVERRIDE_PROPERTY_REGEX.test(o))delete this.configurationProperties[o],delete this.defaultLanguageConfigurationOverridesNode.properties[o];else{const R=this.configurationProperties[o];R&&(this.updatePropertyDefaultValue(o,R),this.updateSchema(o,R))}}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire({properties:n,defaultsOverrides:!0})}notifyConfigurationSchemaUpdated(...t){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(t){for(const n of t)this.overrideIdentifiers.add(n);this.updateOverridePropertyPatternKey()}doRegisterConfigurations(t,n){const i=[];return t.forEach(r=>{i.push(...this.validateAndRegisterProperties(r,n,r.extensionInfo,r.restrictedProperties)),this.configurationContributors.push(r),this.registerJSONConfiguration(r)}),i}doDeregisterConfigurations(t){const n=[],i=r=>{if(r.properties)for(const o in r.properties){n.push(o);const f=this.configurationProperties[o];f?.policy?.name&&this.policyConfigurations.delete(f.policy.name),delete this.configurationProperties[o],this.removeFromSchema(o,r.properties[o])}r.allOf?.forEach(o=>i(o))};for(const r of t){i(r);const o=this.configurationContributors.indexOf(r);o!==-1&&this.configurationContributors.splice(o,1)}return n}validateAndRegisterProperties(t,n=!0,i,r,o=3){o=P.isUndefinedOrNull(t.scope)?o:t.scope;const f=[],p=t.properties;if(p)for(const R in p){const M=p[R];if(n&&S(R,M)){delete p[R];continue}if(M.source=i,M.defaultDefaultValue=p[R].default,this.updatePropertyDefaultValue(R,M),e.OVERRIDE_PROPERTY_REGEX.test(R)?M.scope=void 0:(M.scope=P.isUndefinedOrNull(M.scope)?o:M.scope,M.restricted=P.isUndefinedOrNull(M.restricted)?!!r?.includes(R):M.restricted),p[R].hasOwnProperty("included")&&!p[R].included){this.excludedConfigurationProperties[R]=p[R],delete p[R];continue}else this.configurationProperties[R]=p[R],p[R].policy?.name&&this.policyConfigurations.set(p[R].policy.name,R);!p[R].deprecationMessage&&p[R].markdownDeprecationMessage&&(p[R].deprecationMessage=p[R].markdownDeprecationMessage),f.push(R)}const v=t.allOf;if(v)for(const R of v)f.push(...this.validateAndRegisterProperties(R,n,i,r,o));return f}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getPolicyConfigurations(){return this.policyConfigurations}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}getConfigurationDefaultsOverrides(){return this.configurationDefaultsOverrides}registerJSONConfiguration(t){const n=i=>{const r=i.properties;if(r)for(const f in r)this.updateSchema(f,r[f]);i.allOf?.forEach(n)};n(t)}updateSchema(t,n){switch(e.allSettings.properties[t]=n,n.scope){case 1:e.applicationSettings.properties[t]=n;break;case 2:e.machineSettings.properties[t]=n;break;case 6:e.machineOverridableSettings.properties[t]=n;break;case 3:e.windowSettings.properties[t]=n;break;case 4:e.resourceSettings.properties[t]=n;break;case 5:e.resourceSettings.properties[t]=n,this.resourceLanguageSettingsSchema.properties[t]=n;break}}removeFromSchema(t,n){switch(delete e.allSettings.properties[t],n.scope){case 1:delete e.applicationSettings.properties[t];break;case 2:delete e.machineSettings.properties[t];break;case 6:delete e.machineOverridableSettings.properties[t];break;case 3:delete e.windowSettings.properties[t];break;case 4:case 5:delete e.resourceSettings.properties[t],delete this.resourceLanguageSettingsSchema.properties[t];break}}updateOverridePropertyPatternKey(){for(const t of this.overrideIdentifiers.values()){const n=`[${t}]`,i={type:"object",description:L.localize(2,null),errorMessage:L.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(n,i),e.allSettings.properties[n]=i,e.applicationSettings.properties[n]=i,e.machineSettings.properties[n]=i,e.machineOverridableSettings.properties[n]=i,e.windowSettings.properties[n]=i,e.resourceSettings.properties[n]=i}this._onDidSchemaChange.fire()}registerOverridePropertyPatternKey(){const t={type:"object",description:L.localize(4,null),errorMessage:L.localize(5,null),$ref:e.resourceLanguageSettingsSchemaId};e.allSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.applicationSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.machineSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.machineOverridableSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.windowSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,e.resourceSettings.patternProperties[e.OVERRIDE_PROPERTY_PATTERN]=t,this._onDidSchemaChange.fire()}updatePropertyDefaultValue(t,n){const i=this.configurationDefaultsOverrides.get(t);let r=i?.value,o=i?.source;P.isUndefined(r)&&(r=n.defaultDefaultValue,o=void 0),P.isUndefined(r)&&(r=h(n.type)),n.default=r,n.defaultValueSource=o}}const w="\\[([^\\]]+)\\]",a=new RegExp(w,"g");e.OVERRIDE_PROPERTY_PATTERN=`^(${w})+$`,e.OVERRIDE_PROPERTY_REGEX=new RegExp(e.OVERRIDE_PROPERTY_PATTERN);function d(s){const t=[];if(e.OVERRIDE_PROPERTY_REGEX.test(s)){let n=a.exec(s);for(;n?.length;){const i=n[1].trim();i&&t.push(i),n=a.exec(s)}}return(0,C.distinct)(t)}e.overrideIdentifiersFromKey=d;function y(s){return s.reduce((t,n)=>`${t}[${n}]`,"")}e.keyFromOverrideIdentifiers=y;function h(s){switch(Array.isArray(s)?s[0]:s){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=h;const u=new g;c.Registry.add(e.Extensions.Configuration,u);function S(s,t){return s.trim()?e.OVERRIDE_PROPERTY_REGEX.test(s)?L.localize(7,null,s):u.getConfigurationProperties()[s]!==void 0?L.localize(8,null,s):t.policy?.name&&u.getPolicyConfigurations().get(t.policy?.name)!==void 0?L.localize(9,null,s,t.policy?.name,u.getPolicyConfigurations().get(t.policy?.name)):null:L.localize(6,null)}e.validateProperty=S;function l(){const s=[],t=u.getConfigurationProperties();for(const n of Object.keys(t))s.push([n,t[n].scope]);return s.push(["launch",4]),s.push(["task",4]),s}e.getScopes=l}),define(ee[64],te([0,1,19,3,51,2,35,24,7,9,21,41,31]),function(q,e,C,D,P,L,k,E,c,m,I,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.ConfigurationModel=void 0;class w{constructor(n={},i=[],r=[]){this._contents=n,this._keys=i,this._overrides=r,this.frozen=!1,this.overrideConfigurations=new Map}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}isFrozen(){return this.frozen}getValue(n){return n?(0,I.getConfigurationValue)(this.contents,n):this.contents}getOverrideValue(n,i){const r=this.getContentsForOverrideIdentifer(i);return r?n?(0,I.getConfigurationValue)(r,n):r:void 0}getKeysForOverrideIdentifier(n){const i=[];for(const r of this.overrides)r.identifiers.includes(n)&&i.push(...r.keys);return C.distinct(i)}getAllOverrideIdentifiers(){const n=[];for(const i of this.overrides)n.push(...i.identifiers);return C.distinct(n)}override(n){let i=this.overrideConfigurations.get(n);return i||(i=this.createOverrideConfigurationModel(n),this.overrideConfigurations.set(n,i)),i}merge(...n){const i=E.deepClone(this.contents),r=E.deepClone(this.overrides),o=[...this.keys];for(const f of n)if(!f.isEmpty()){this.mergeContents(i,f.contents);for(const p of f.overrides){const[v]=r.filter(R=>C.equals(R.identifiers,p.identifiers));v?(this.mergeContents(v.contents,p.contents),v.keys.push(...p.keys),v.keys=C.distinct(v.keys)):r.push(E.deepClone(p))}for(const p of f.keys)o.indexOf(p)===-1&&o.push(p)}return new w(i,o,r)}freeze(){return this.frozen=!0,this}clone(){return new w(E.deepClone(this.contents),[...this.keys],E.deepClone(this.overrides))}createOverrideConfigurationModel(n){const i=this.getContentsForOverrideIdentifer(n);if(!i||typeof i!="object"||!Object.keys(i).length)return this;const r={};for(const o of C.distinct([...Object.keys(this.contents),...Object.keys(i)])){let f=this.contents[o];const p=i[o];p&&(typeof f=="object"&&typeof p=="object"?(f=E.deepClone(f),this.mergeContents(f,p)):f=p),r[o]=f}return new w(r,this.keys,this.overrides)}mergeContents(n,i){for(const r of Object.keys(i)){if(r in n&&c.isObject(n[r])&&c.isObject(i[r])){this.mergeContents(n[r],i[r]);continue}n[r]=E.deepClone(i[r])}}checkAndFreeze(n){return this.frozen&&!Object.isFrozen(n)?E.deepFreeze(n):n}getContentsForOverrideIdentifer(n){let i=null,r=null;const o=f=>{f&&(r?this.mergeContents(r,f):r=E.deepClone(f))};for(const f of this.overrides)C.equals(f.identifiers,[n])?i=f.contents:f.identifiers.includes(n)&&o(f.contents);return o(i),r}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(n,i){this.addKey(n),(0,I.addToValueTree)(this.contents,n,i,r=>{throw new Error(r)})}removeValue(n){this.removeKey(n)&&(0,I.removeFromValueTree)(this.contents,n)}addKey(n){let i=this.keys.length;for(let r=0;r<i;r++)n.indexOf(this.keys[r])===0&&(i=r);this.keys.splice(i,1,n)}removeKey(n){const i=this.keys.indexOf(n);return i!==-1?(this.keys.splice(i,1),!0):!1}}e.ConfigurationModel=w;class a{constructor(n){this._name=n,this._raw=null,this._configurationModel=null,this._restrictedConfigurations=[],this._parseErrors=[]}get configurationModel(){return this._configurationModel||new w}get restrictedConfigurations(){return this._restrictedConfigurations}get errors(){return this._parseErrors}parse(n,i){if(!c.isUndefinedOrNull(n)){const r=this.doParseContent(n);this.parseRaw(r,i)}}reparse(n){this._raw&&this.parseRaw(this._raw,n)}parseRaw(n,i){this._raw=n;const{contents:r,keys:o,overrides:f,restricted:p}=this.doParseRaw(n,i);this._configurationModel=new w(r,o,f),this._restrictedConfigurations=p||[]}doParseContent(n){let i={},r=null,o=[];const f=[],p=[];function v(M){Array.isArray(o)?o.push(M):r!==null&&(o[r]=M)}const R={onObjectBegin:()=>{const M={};v(M),f.push(o),o=M,r=null},onObjectProperty:M=>{r=M},onObjectEnd:()=>{o=f.pop()},onArrayBegin:()=>{const M=[];v(M),f.push(o),o=M,r=null},onArrayEnd:()=>{o=f.pop()},onLiteralValue:v,onError:(M,H,Z)=>{p.push({error:M,offset:H,length:Z})}};if(n)try{P.visit(n,R),i=o[0]||{}}catch(M){console.error(`Error while parsing settings file ${this._name}: ${M}`),this._parseErrors=[M]}return i}doParseRaw(n,i){const r=g.Registry.as(b.Extensions.Configuration).getConfigurationProperties(),o=this.filter(n,r,!0,i);n=o.raw;const f=(0,I.toValuesTree)(n,R=>console.error(`Conflict in settings file ${this._name}: ${R}`)),p=Object.keys(n),v=this.toOverrides(n,R=>console.error(`Conflict in settings file ${this._name}: ${R}`));return{contents:f,keys:p,overrides:v,restricted:o.restricted}}filter(n,i,r,o){if(!o?.scopes&&!o?.skipRestricted)return{raw:n,restricted:[]};const f={},p=[];for(const v in n)if(b.OVERRIDE_PROPERTY_REGEX.test(v)&&r){const R=this.filter(n[v],i,!1,o);f[v]=R.raw,p.push(...R.restricted)}else{const R=i[v],M=R?typeof R.scope!="undefined"?R.scope:3:void 0;R?.restricted&&p.push(v),(M===void 0||o.scopes===void 0||o.scopes.includes(M))&&(o.skipRestricted&&R?.restricted||(f[v]=n[v]))}return{raw:f,restricted:p}}toOverrides(n,i){const r=[];for(const o of Object.keys(n))if(b.OVERRIDE_PROPERTY_REGEX.test(o)){const f={};for(const p in n[o])f[p]=n[o][p];r.push({identifiers:(0,b.overrideIdentifiersFromKey)(o),keys:Object.keys(f),contents:(0,I.toValuesTree)(f,i)})}return r}}e.ConfigurationModelParser=a;class d extends L.Disposable{constructor(n,i,r,o){super();this.userSettingsResource=n,this.scopes=i,this.fileService=o,this._onDidChange=this._register(new D.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new a(this.userSettingsResource.toString()),this.parseOptions={scopes:this.scopes},this._register(this.fileService.watch(r.dirname(this.userSettingsResource))),this._register(this.fileService.watch(this.userSettingsResource)),this._register(D.Event.any(D.Event.filter(this.fileService.onDidFilesChange,f=>f.contains(this.userSettingsResource)),D.Event.filter(this.fileService.onDidRunOperation,f=>(f.isOperation(0)||f.isOperation(3)||f.isOperation(1)||f.isOperation(4))&&r.isEqual(f.resource,n)))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const n=await this.fileService.readFile(this.userSettingsResource);return this.parser.parse(n.value.toString()||"{}",this.parseOptions),this.parser.configurationModel}catch{return new w}}reparse(){return this.parser.reparse(this.parseOptions),this.parser.configurationModel}getRestrictedSettings(){return this.parser.restrictedConfigurations}}e.UserSettings=d;class y{constructor(n,i,r,o,f=new w,p=new w,v=new k.ResourceMap,R=new w,M=new k.ResourceMap,H=!0){this._defaultConfiguration=n,this._policyConfiguration=i,this._applicationConfiguration=r,this._localUserConfiguration=o,this._remoteUserConfiguration=f,this._workspaceConfiguration=p,this._folderConfigurations=v,this._memoryConfiguration=R,this._memoryConfigurationByResource=M,this._freeze=H,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new k.ResourceMap,this._userConfiguration=null}getValue(n,i,r){return this.getConsolidatedConfigurationModel(n,i,r).getValue(n)}updateValue(n,i,r={}){let o;r.resource?(o=this._memoryConfigurationByResource.get(r.resource),o||(o=new w,this._memoryConfigurationByResource.set(r.resource,o))):o=this._memoryConfiguration,i===void 0?o.removeValue(n):o.setValue(n,i),r.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(n,i,r){const o=this.getConsolidatedConfigurationModel(n,i,r),f=this.getFolderConfigurationModelForResource(i.resource,r),p=i.resource?this._memoryConfigurationByResource.get(i.resource)||this._memoryConfiguration:this._memoryConfiguration,v=i.overrideIdentifier?this._defaultConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this._defaultConfiguration.freeze().getValue(n),R=this._policyConfiguration.isEmpty()?void 0:this._policyConfiguration.freeze().getValue(n),M=this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration.freeze().getValue(n),H=i.overrideIdentifier?this.userConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this.userConfiguration.freeze().getValue(n),Z=i.overrideIdentifier?this.localUserConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this.localUserConfiguration.freeze().getValue(n),ne=i.overrideIdentifier?this.remoteUserConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this.remoteUserConfiguration.freeze().getValue(n),Q=r?i.overrideIdentifier?this._workspaceConfiguration.freeze().override(i.overrideIdentifier).getValue(n):this._workspaceConfiguration.freeze().getValue(n):void 0,se=f?i.overrideIdentifier?f.freeze().override(i.overrideIdentifier).getValue(n):f.freeze().getValue(n):void 0,Y=i.overrideIdentifier?p.override(i.overrideIdentifier).getValue(n):p.getValue(n),ce=o.getValue(n),x=C.distinct(o.overrides.map(j=>j.identifiers).flat()).filter(j=>o.getOverrideValue(n,j)!==void 0);return{defaultValue:v,policyValue:R,applicationValue:M,userValue:H,userLocalValue:Z,userRemoteValue:ne,workspaceValue:Q,workspaceFolderValue:se,memoryValue:Y,value:ce,default:v!==void 0?{value:this._defaultConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,policy:R!==void 0?{value:R}:void 0,application:M!==void 0?{value:M,override:i.overrideIdentifier?this.applicationConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,user:H!==void 0?{value:this.userConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,userLocal:Z!==void 0?{value:this.localUserConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,userRemote:ne!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,workspace:Q!==void 0?{value:this._workspaceConfiguration.freeze().getValue(n),override:i.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,workspaceFolder:se!==void 0?{value:f?.freeze().getValue(n),override:i.overrideIdentifier?f?.freeze().getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,memory:Y!==void 0?{value:p.getValue(n),override:i.overrideIdentifier?p.getOverrideValue(n,i.overrideIdentifier):void 0}:void 0,overrideIdentifiers:x.length?x:void 0}}keys(n){const i=this.getFolderConfigurationModelForResource(void 0,n);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:i?i.freeze().keys:[]}}updateDefaultConfiguration(n){this._defaultConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updatePolicyConfiguration(n){this._policyConfiguration=n}updateApplicationConfiguration(n){this._applicationConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(n){this._localUserConfiguration=n,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(n){this._remoteUserConfiguration=n,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(n){this._workspaceConfiguration=n,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(n,i){this._folderConfigurations.set(n,i),this._foldersConsolidatedConfigurations.delete(n)}deleteFolderConfiguration(n){this.folderConfigurations.delete(n),this._foldersConsolidatedConfigurations.delete(n)}compareAndUpdateDefaultConfiguration(n,i){const r=[];if(!i){const{added:o,updated:f,removed:p}=l(this._defaultConfiguration,n);i=[...o,...f,...p]}for(const o of i)for(const f of(0,b.overrideIdentifiersFromKey)(o)){const p=this._defaultConfiguration.getKeysForOverrideIdentifier(f),v=n.getKeysForOverrideIdentifier(f),R=[...v.filter(M=>p.indexOf(M)===-1),...p.filter(M=>v.indexOf(M)===-1),...p.filter(M=>!E.equals(this._defaultConfiguration.override(f).getValue(M),n.override(f).getValue(M)))];r.push([f,R])}return this.updateDefaultConfiguration(n),{keys:i,overrides:r}}compareAndUpdatePolicyConfiguration(n){const{added:i,updated:r,removed:o}=l(this._policyConfiguration,n),f=[...i,...r,...o];return f.length&&this.updatePolicyConfiguration(n),{keys:f,overrides:[]}}compareAndUpdateApplicationConfiguration(n){const{added:i,updated:r,removed:o,overrides:f}=l(this.applicationConfiguration,n),p=[...i,...r,...o];return p.length&&this.updateApplicationConfiguration(n),{keys:p,overrides:f}}compareAndUpdateLocalUserConfiguration(n){const{added:i,updated:r,removed:o,overrides:f}=l(this.localUserConfiguration,n),p=[...i,...r,...o];return p.length&&this.updateLocalUserConfiguration(n),{keys:p,overrides:f}}compareAndUpdateRemoteUserConfiguration(n){const{added:i,updated:r,removed:o,overrides:f}=l(this.remoteUserConfiguration,n),p=[...i,...r,...o];return p.length&&this.updateRemoteUserConfiguration(n),{keys:p,overrides:f}}compareAndUpdateWorkspaceConfiguration(n){const{added:i,updated:r,removed:o,overrides:f}=l(this.workspaceConfiguration,n),p=[...i,...r,...o];return p.length&&this.updateWorkspaceConfiguration(n),{keys:p,overrides:f}}compareAndUpdateFolderConfiguration(n,i){const r=this.folderConfigurations.get(n),{added:o,updated:f,removed:p,overrides:v}=l(r,i),R=[...o,...f,...p];return(R.length||!r)&&this.updateFolderConfiguration(n,i),{keys:R,overrides:v}}compareAndDeleteFolderConfiguration(n){const i=this.folderConfigurations.get(n);if(!i)throw new Error("Unknown folder");this.deleteFolderConfiguration(n);const{added:r,updated:o,removed:f,overrides:p}=l(i,void 0);return{keys:[...r,...o,...f],overrides:p}}get defaults(){return this._defaultConfiguration}get applicationConfiguration(){return this._applicationConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidatedConfigurationModel(n,i,r){let o=this.getConsolidatedConfigurationModelForResource(i,r);return i.overrideIdentifier&&(o=o.override(i.overrideIdentifier)),!this._policyConfiguration.isEmpty()&&this._policyConfiguration.getValue(n)!==void 0&&(o=o.merge(this._policyConfiguration)),o}getConsolidatedConfigurationModelForResource({resource:n},i){let r=this.getWorkspaceConsolidatedConfiguration();if(i&&n){const o=i.getFolder(n);o&&(r=this.getFolderConsolidatedConfiguration(o.uri)||r);const f=this._memoryConfigurationByResource.get(n);f&&(r=r.merge(f))}return r}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.applicationConfiguration,this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(n){let i=this._foldersConsolidatedConfigurations.get(n);if(!i){const r=this.getWorkspaceConsolidatedConfiguration(),o=this._folderConfigurations.get(n);o?(i=r.merge(o),this._freeze&&(i=i.freeze()),this._foldersConsolidatedConfigurations.set(n,i)):i=r}return i}getFolderConfigurationModelForResource(n,i){if(i&&n){const r=i.getFolder(n);if(r)return this._folderConfigurations.get(r.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},policy:{contents:this._policyConfiguration.contents,overrides:this._policyConfiguration.overrides,keys:this._policyConfiguration.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((n,i)=>{const{contents:r,overrides:o,keys:f}=this._folderConfigurations.get(i);return n.push([i,{contents:r,overrides:o,keys:f}]),n},[])}}allKeys(){const n=new Set;return this._defaultConfiguration.freeze().keys.forEach(i=>n.add(i)),this.userConfiguration.freeze().keys.forEach(i=>n.add(i)),this._workspaceConfiguration.freeze().keys.forEach(i=>n.add(i)),this._folderConfigurations.forEach(i=>i.freeze().keys.forEach(r=>n.add(r))),[...n.values()]}allOverrideIdentifiers(){const n=new Set;return this._defaultConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>n.add(i)),this.userConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>n.add(i)),this._workspaceConfiguration.freeze().getAllOverrideIdentifiers().forEach(i=>n.add(i)),this._folderConfigurations.forEach(i=>i.freeze().getAllOverrideIdentifiers().forEach(r=>n.add(r))),[...n.values()]}getAllKeysForOverrideIdentifier(n){const i=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(n).forEach(r=>i.add(r)),this.userConfiguration.getKeysForOverrideIdentifier(n).forEach(r=>i.add(r)),this._workspaceConfiguration.getKeysForOverrideIdentifier(n).forEach(r=>i.add(r)),this._folderConfigurations.forEach(r=>r.getKeysForOverrideIdentifier(n).forEach(o=>i.add(o))),[...i.values()]}static parse(n){const i=this.parseConfigurationModel(n.defaults),r=this.parseConfigurationModel(n.policy),o=this.parseConfigurationModel(n.application),f=this.parseConfigurationModel(n.user),p=this.parseConfigurationModel(n.workspace),v=n.folders.reduce((R,M)=>(R.set(m.URI.revive(M[0]),this.parseConfigurationModel(M[1])),R),new k.ResourceMap);return new y(i,r,o,f,new w,p,v,new w,new k.ResourceMap,!1)}static parseConfigurationModel(n){return new w(n.contents,n.keys,n.overrides).freeze()}}e.Configuration=y;function h(...t){if(t.length===0)return{keys:[],overrides:[]};if(t.length===1)return t[0];const n=new Set,i=new Map;for(const o of t)o.keys.forEach(f=>n.add(f)),o.overrides.forEach(([f,p])=>{const v=(0,k.getOrSet)(i,f,new Set);p.forEach(R=>v.add(R))});const r=[];return i.forEach((o,f)=>r.push([f,[...o.values()]])),{keys:[...n.values()],overrides:r}}e.mergeChanges=h;class u{constructor(n,i,r,o){this.change=n,this.previous=i,this.currentConfiguraiton=r,this.currentWorkspace=o,this._previousConfiguration=void 0;const f=new Set;n.keys.forEach(v=>f.add(v)),n.overrides.forEach(([,v])=>v.forEach(R=>f.add(R))),this.affectedKeys=[...f.values()];const p=new w;this.affectedKeys.forEach(v=>p.setValue(v,{})),this.affectedKeysTree=p.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=y.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(n,i){if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,n)){if(i){const r=this.previousConfiguration?this.previousConfiguration.getValue(n,i,this.previous?.workspace):void 0,o=this.currentConfiguraiton.getValue(n,i,this.currentWorkspace);return!E.equals(r,o)}return!0}return!1}doesAffectedKeysTreeContains(n,i){let r=(0,I.toValuesTree)({[i]:!0},()=>{}),o;for(;typeof r=="object"&&(o=Object.keys(r)[0]);){if(n=n[o],!n)return!1;r=r[o]}return!0}}e.ConfigurationChangeEvent=u;class S extends u{constructor(n,i,r,o){super({keys:n.allKeys(),overrides:[]},void 0,n,i);this.source=r,this.sourceConfig=o}}e.AllKeysConfigurationChangeEvent=S;function l(t,n){const{added:i,removed:r,updated:o}=s(n,t),f=[],p=t?.getAllOverrideIdentifiers()||[],v=n?.getAllOverrideIdentifiers()||[];if(n){const R=v.filter(M=>!p.includes(M));for(const M of R)f.push([M,n.getKeysForOverrideIdentifier(M)])}if(t){const R=p.filter(M=>!v.includes(M));for(const M of R)f.push([M,t.getKeysForOverrideIdentifier(M)])}if(n&&t){for(const R of p)if(v.includes(R)){const M=s({contents:t.getOverrideValue(void 0,R)||{},keys:t.getKeysForOverrideIdentifier(R)},{contents:n.getOverrideValue(void 0,R)||{},keys:n.getKeysForOverrideIdentifier(R)});f.push([R,[...M.added,...M.removed,...M.updated]])}}return{added:i,removed:r,updated:o,overrides:f}}function s(t,n){const i=t?n?t.keys.filter(f=>n.keys.indexOf(f)===-1):[...t.keys]:[],r=n?t?n.keys.filter(f=>t.keys.indexOf(f)===-1):[...n.keys]:[],o=[];if(t&&n){for(const f of n.keys)if(t.keys.indexOf(f)!==-1){const p=(0,I.getConfigurationValue)(n.contents,f),v=(0,I.getConfigurationValue)(t.contents,f);E.equals(p,v)||o.push(f)}}return{added:i,removed:r,updated:o}}}),define(ee[118],te([0,1,19,3,2,24,7,21,64,41,8,36,31]),function(q,e,C,D,P,L,k,E,c,m,I,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PolicyConfiguration=e.NullPolicyConfiguration=e.DefaultConfigurationModel=e.DefaultConfiguration=void 0;class w extends P.Disposable{constructor(){super(...arguments);this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event}get configurationModel(){return this._configurationModel||(this._configurationModel=new a(this.getConfigurationDefaultOverrides())),this._configurationModel}async initialize(){return this._configurationModel=void 0,this._register(g.Registry.as(m.Extensions.Configuration).onDidUpdateConfiguration(({properties:u,defaultsOverrides:S})=>this.onDidUpdateConfiguration(u,S))),this.configurationModel}reload(){return this._configurationModel=void 0,this.configurationModel}onDidUpdateConfiguration(u,S){this._configurationModel=void 0,this._onDidChangeConfiguration.fire({defaults:this.configurationModel,properties:u})}getConfigurationDefaultOverrides(){return{}}}e.DefaultConfiguration=w;class a extends c.ConfigurationModel{constructor(u={}){const S=g.Registry.as(m.Extensions.Configuration).getConfigurationProperties(),l=Object.keys(S),s=Object.create(null),t=[];for(const n in S){const i=u[n],r=i!==void 0?i:S[n].default;(0,E.addToValueTree)(s,n,r,o=>console.error(`Conflict in default settings: ${o}`))}for(const n of Object.keys(s))m.OVERRIDE_PROPERTY_REGEX.test(n)&&t.push({identifiers:(0,m.overrideIdentifiersFromKey)(n),keys:Object.keys(s[n]),contents:(0,E.toValuesTree)(s[n],i=>console.error(`Conflict in default settings file: ${i}`))});super(s,l,t)}}e.DefaultConfigurationModel=a;class d{constructor(){this.onDidChangeConfiguration=D.Event.None,this.configurationModel=new c.ConfigurationModel}async initialize(){return this.configurationModel}}e.NullPolicyConfiguration=d;let y=class extends P.Disposable{constructor(u,S,l){super();this.defaultConfiguration=u,this.policyService=S,this.logService=l,this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configurationModel=new c.ConfigurationModel}get configurationModel(){return this._configurationModel}async initialize(){return this.update(await this.registerPolicyDefinitions(this.defaultConfiguration.configurationModel.keys),!1),this._register(this.policyService.onDidChange(u=>this.onDidChangePolicies(u))),this._register(this.defaultConfiguration.onDidChangeConfiguration(async({properties:u})=>this.update(await this.registerPolicyDefinitions(u),!0))),this._configurationModel}async registerPolicyDefinitions(u){const S={},l=[],s=g.Registry.as(m.Extensions.Configuration).getConfigurationProperties();for(const t of u){const n=s[t];if(!n){l.push(t);continue}if(n.policy){if(n.type!=="string"&&n.type!=="number"){this.logService.warn(`Policy ${n.policy.name} has unsupported type ${n.type}`);continue}l.push(t),S[n.policy.name]={type:n.type}}}return(0,k.isEmptyObject)(S)||await this.policyService.registerPolicyDefinitions(S),l}onDidChangePolicies(u){const S=g.Registry.as(m.Extensions.Configuration).getPolicyConfigurations(),l=(0,C.coalesce)(u.map(s=>S.get(s)));this.update(l,!0)}update(u,S){const l=g.Registry.as(m.Extensions.Configuration).getConfigurationProperties(),s=[],t=this._configurationModel.isEmpty();for(const n of u){const i=l[n]?.policy?.name;if(i){const r=this.policyService.getPolicyValue(i);(t?r!==void 0:!(0,L.equals)(this._configurationModel.getValue(n),r))&&s.push([n,r])}else this._configurationModel.getValue(n)!==void 0&&s.push([n,void 0])}if(s.length){const n=this._configurationModel;this._configurationModel=new c.ConfigurationModel;for(const i of n.keys)this._configurationModel.setValue(i,n.getValue(i));for(const[i,r]of s)r===void 0?this._configurationModel.removeValue(i):this._configurationModel.setValue(i,r);S&&this._onDidChangeConfiguration.fire(this._configurationModel)}}};y=de([oe(1,b.IPolicyService),oe(2,I.ILogService)],y),e.PolicyConfiguration=y}),define(ee[119],te([0,1,4,3,2,17,21,64,118,36]),function(q,e,C,D,P,L,k,E,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class I extends P.Disposable{constructor(g,w,a,d){super();this.settingsResource=g,this._onDidChangeConfiguration=this._register(new D.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.defaultConfiguration=this._register(new c.DefaultConfiguration),this.policyConfiguration=a instanceof m.NullPolicyService?new c.NullPolicyConfiguration:this._register(new c.PolicyConfiguration(this.defaultConfiguration,a,d)),this.userConfiguration=this._register(new E.UserSettings(this.settingsResource,void 0,L.extUriBiasedIgnorePathCase,w)),this.configuration=new E.Configuration(this.defaultConfiguration.configurationModel,this.policyConfiguration.configurationModel,new E.ConfigurationModel,new E.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new C.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(this.defaultConfiguration.onDidChangeConfiguration(({defaults:y,properties:h})=>this.onDidDefaultConfigurationChange(y,h))),this._register(this.policyConfiguration.onDidChangeConfiguration(y=>this.onDidPolicyConfigurationChange(y))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const[g,w,a]=await Promise.all([this.defaultConfiguration.initialize(),this.policyConfiguration.initialize(),this.userConfiguration.loadConfiguration()]);this.configuration=new E.Configuration(g,w,new E.ConfigurationModel,a)}getConfigurationData(){return this.configuration.toData()}getValue(g,w){const a=typeof g=="string"?g:void 0,d=(0,k.isConfigurationOverrides)(g)?g:(0,k.isConfigurationOverrides)(w)?w:{};return this.configuration.getValue(a,d,void 0)}updateValue(g,w,a,d){return Promise.reject(new Error("not supported"))}inspect(g){return this.configuration.inspect(g,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const g=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(g)}onDidChangeUserConfiguration(g){const w=this.configuration.toData(),a=this.configuration.compareAndUpdateLocalUserConfiguration(g);this.trigger(a,w,1)}onDidDefaultConfigurationChange(g,w){const a=this.configuration.toData(),d=this.configuration.compareAndUpdateDefaultConfiguration(g,w);this.trigger(d,a,6)}onDidPolicyConfigurationChange(g){const w=this.configuration.toData(),a=this.configuration.compareAndUpdatePolicyConfiguration(g);this.trigger(a,w,6)}trigger(g,w,a){const d=new E.ConfigurationChangeEvent(g,{data:w},this.configuration);d.source=a,d.sourceConfig=this.getTargetConfiguration(a),this._onDidChangeConfiguration.fire(d)}getTargetConfiguration(g){switch(g){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=I}),define(ee[120],te([0,1,16]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseAuthorityWithOptionalPort=e.parseAuthorityWithPort=e.getRemoteServerRootPath=e.getRemoteName=e.getRemoteAuthority=void 0;function D(m){return m.scheme===C.Schemas.vscodeRemote?m.authority:void 0}e.getRemoteAuthority=D;function P(m){if(!m)return;const I=m.indexOf("+");return I<0?m:m.substr(0,I)}e.getRemoteName=P;function L(m){return`/${m.quality??"oss"}-${m.commit??"dev"}`}e.getRemoteServerRootPath=L;function k(m){const{host:I,port:b}=c(m);if(typeof b=="undefined")throw new Error("Remote authority doesn't contain a port!");return{host:I,port:b}}e.parseAuthorityWithPort=k;function E(m,I){let{host:b,port:g}=c(m);return typeof g=="undefined"&&(g=I),{host:b,port:g}}e.parseAuthorityWithOptionalPort=E;function c(m){const I=m.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(I)return{host:I[1],port:parseInt(I[2],10)};const b=m.match(/^(\[[0-9a-z:]+\])$/);if(b)return{host:b[1],port:void 0};const g=m.match(/(.*):(\d+)$/);return g?{host:g[1],port:parseInt(g[2],10)}:{host:m,port:void 0}}}),define(ee[37],te([0,1,29,10,120]),function(q,e,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isResolverExtension=e.isAuthenticationProviderExtension=e.isLanguagePackExtension=e.isApplicationScopedExtension=e.ExtensionIdentifier=e.TargetPlatform=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.getWorkspaceSupportTypeMessage=e.ALL_EXTENSION_KINDS=e.UNDEFINED_PUBLISHER=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin",e.UNDEFINED_PUBLISHER="undefined_publisher",e.ALL_EXTENSION_KINDS=["ui","workspace","web"];function L(a){if(typeof a=="object"&&a!==null&&a.supported!==!0)return a.description}e.getWorkspaceSupportTypeMessage=L;function k(a){return a&&typeof a=="object"&&typeof a.id=="string"&&(!a.uuid||typeof a.uuid=="string")}e.isIExtensionIdentifier=k,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var E;(function(a){a[a.System=0]="System",a[a.User=1]="User"})(E=e.ExtensionType||(e.ExtensionType={}));var c;(function(a){a.WIN32_X64="win32-x64",a.WIN32_IA32="win32-ia32",a.WIN32_ARM64="win32-arm64",a.LINUX_X64="linux-x64",a.LINUX_ARM64="linux-arm64",a.LINUX_ARMHF="linux-armhf",a.ALPINE_X64="alpine-x64",a.ALPINE_ARM64="alpine-arm64",a.DARWIN_X64="darwin-x64",a.DARWIN_ARM64="darwin-arm64",a.WEB="web",a.UNIVERSAL="universal",a.UNKNOWN="unknown",a.UNDEFINED="undefined"})(c=e.TargetPlatform||(e.TargetPlatform={}));class m{constructor(d){this.value=d,this._lower=d.toLowerCase()}static equals(d,y){if(typeof d=="undefined"||d===null)return typeof y=="undefined"||y===null;if(typeof y=="undefined"||y===null)return!1;if(typeof d=="string"||typeof y=="string"){const h=typeof d=="string"?d:d.value,u=typeof y=="string"?y:y.value;return C.equalsIgnoreCase(h,u)}return d._lower===y._lower}static toKey(d){return typeof d=="string"?d.toLowerCase():d._lower}}e.ExtensionIdentifier=m;function I(a){return b(a)}e.isApplicationScopedExtension=I;function b(a){return a.contributes&&a.contributes.localizations?a.contributes.localizations.length>0:!1}e.isLanguagePackExtension=b;function g(a){return a.contributes&&a.contributes.authentication?a.contributes.authentication.length>0:!1}e.isAuthenticationProviderExtension=g;function w(a,d){if(d){const y=`onResolveRemoteAuthority:${(0,P.getRemoteName)(d)}`;return a.activationEvents?.indexOf(y)!==-1}return!1}e.isResolverExtension=w,e.IBuiltinExtensionsScannerService=(0,D.createDecorator)("IBuiltinExtensionsScannerService")}),define(ee[23],te([0,1,29,22,37,13,9,12,30]),function(q,e,C,D,P,L,k,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeTargetPlatform=e.isAlpineLinux=e.getExtensionDependencies=e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.getIdAndVersion=e.ExtensionKey=e.areSameExtensions=void 0;function m(i,r){return i.uuid&&r.uuid?i.uuid===r.uuid:i.id===r.id?!0:(0,C.compareIgnoreCase)(i.id,r.id)===0}e.areSameExtensions=m;const I=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class b{constructor(r,o,f="undefined"){this.version=o,this.targetPlatform=f,this.id=r.id}static create(r){const o=r.manifest?r.manifest.version:r.version,f=r.manifest?r.targetPlatform:r.properties.targetPlatform;return new b(r.identifier,o,f)}static parse(r){const o=I.exec(r);return o&&o[1]&&o[2]?new b({id:o[1]},o[2],o[4]||void 0):null}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(r){return r instanceof b?m(this,r)&&this.version===r.version&&this.targetPlatform===r.targetPlatform:!1}}e.ExtensionKey=b;const g=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function w(i){const r=g.exec(i);return r&&r[1]?[d(r[1]),r[2]]:[d(i),void 0]}e.getIdAndVersion=w;function a(i,r){return`${i}.${r}`}e.getExtensionId=a;function d(i){return i.toLocaleLowerCase()}e.adoptToGalleryExtensionId=d;function y(i,r){return d(a(i,r))}e.getGalleryExtensionId=y;function h(i,r){const o=[],f=p=>{for(const v of o)if(v.some(R=>m(r(R),r(p))))return v;return null};for(const p of i){const v=f(p);v?v.push(p):o.push([p])}return o}e.groupByExtension=h;function u(i){return{id:i.identifier.id,name:i.manifest.name,galleryId:null,publisherId:i.publisherId,publisherName:i.manifest.publisher,publisherDisplayName:i.publisherDisplayName,dependencies:i.manifest.extensionDependencies&&i.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=u;function S(i){return{id:i.identifier.id,name:i.name,galleryId:i.identifier.uuid,publisherId:i.publisherId,publisherName:i.publisher,publisherDisplayName:i.publisherDisplayName,isPreReleaseVersion:i.properties.isPreReleaseVersion,dependencies:!!(i.properties.dependencies&&i.properties.dependencies.length>0),...i.telemetryData}}e.getGalleryExtensionTelemetryData=S,e.BetterMergeId=new P.ExtensionIdentifier("pprice.better-merge");function l(i){const r=new Set;if(i.malicious)for(const o of i.malicious)r.add(o.id);return r}e.getMaliciousExtensionsSet=l;function s(i,r){const o=[],f=r.manifest.extensionDependencies?.slice(0)??[];for(;f.length;){const p=f.shift();if(p&&o.every(v=>!m(v.identifier,{id:p}))){const v=i.filter(R=>m(R.identifier,{id:p}));v.length===1&&(o.push(v[0]),f.push(...v[0].manifest.extensionDependencies?.slice(0)??[]))}}return o}e.getExtensionDependencies=s;async function t(i,r){if(!L.isLinux)return!1;let o;try{o=(await i.readFile(k.URI.file("/etc/os-release"))).value.toString()}catch{try{o=(await i.readFile(k.URI.file("/usr/lib/os-release"))).value.toString()}catch(p){r.debug("Error while getting the os-release file.",(0,E.getErrorMessage)(p))}}return!!o&&(o.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}e.isAlpineLinux=t;async function n(i,r){const o=await t(i,r),f=(0,D.getTargetPlatform)(o?"alpine":L.platform,c.arch);return r.debug("ComputeTargetPlatform:",f),f}e.computeTargetPlatform=n}),define(ee[121],te([0,1,25,12,16,17,40,9,86,22,23,37]),function(q,e,C,D,P,L,k,E,c,m,I,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementCLIService=void 0;const g=y=>(0,c.localize)(0,null,y),w=(0,c.localize)(1,null,"ms-dotnettools.csharp");function a(y,h){return h?`${y.publisher}.${y.name}@${y.version}`:`${y.publisher}.${y.name}`}let d=class{constructor(h,u){this.extensionManagementService=h,this.extensionGalleryService=u}get location(){}async listExtensions(h,u,S=console){let l=await this.extensionManagementService.getInstalled(1);const s=b.EXTENSION_CATEGORIES.map(n=>n.toLowerCase());if(u&&u!==""){if(s.indexOf(u.toLowerCase())<0){S.log("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}l=l.filter(n=>n.manifest.categories?n.manifest.categories.map(r=>r.toLowerCase()).indexOf(u.toLowerCase())>-1:!1)}else if(u===""){S.log("Possible Categories: "),s.forEach(n=>{S.log(n)});return}this.location&&S.log((0,c.localize)(2,null,this.location)),l=l.sort((n,i)=>n.identifier.id.localeCompare(i.identifier.id));let t;for(const n of l)t!==n.identifier.id&&(t=n.identifier.id,S.log(a(n.manifest,h)))}async installExtensions(h,u,S,l,s=console){const t=[],n=[];h.length&&s.log(this.location?(0,c.localize)(3,null,this.location):(0,c.localize)(4,null));const i=await this.extensionManagementService.getInstalled(1),r=(v,R)=>{const M=i.find(H=>(0,I.areSameExtensions)(H.identifier,{id:v}));if(M){if(!l&&(!R||R==="prerelease"&&M.preRelease))return s.log((0,c.localize)(5,null,v,M.manifest.version,v)),!1;if(R&&M.manifest.version===R)return s.log((0,c.localize)(6,null,`${v}@${R}`)),!1}return!0},o=(v,R,M)=>{p.push({id:v,version:R!=="prerelease"?R:void 0,installOptions:{...S,isBuiltin:M,installPreReleaseVersion:R==="prerelease"||S.installPreReleaseVersion}})},f=[],p=[];for(const v of h)if(v instanceof E.URI)f.push(v);else{const[R,M]=(0,I.getIdAndVersion)(v);r(R,M)&&o(R,M,!1)}for(const v of u){const[R,M]=(0,I.getIdAndVersion)(v);r(R,M)&&o(R,M,!0)}if(f.length&&await Promise.all(f.map(async v=>{try{const R=await this.installVSIX(v,{...S,isBuiltin:!1},l,s);R&&n.push(R)}catch(R){s.error(R.message||R.stack||R),t.push(v.toString())}})),p.length){const v=await this.getGalleryExtensions(p);await Promise.all(p.map(async R=>{const M=v.get(R.id.toLowerCase());if(M)try{const H=await this.installFromGallery(R,M,i,l,s);H&&n.push(H)}catch(H){s.error(H.message||H.stack||H),t.push(R.id)}else s.error(`${g(R.version?`${R.id}@${R.version}`:R.id)}
${w}`),t.push(R.id)}))}if(t.length)throw new Error((0,c.localize)(7,null,t.join(", ")))}async installVSIX(h,u,S,l){const s=await this.extensionManagementService.getManifest(h);if(!s)throw new Error("Invalid vsix");if(await this.validateVSIX(s,S,l))try{return await this.extensionManagementService.install(h,u),l.log((0,c.localize)(8,null,(0,L.basename)(h))),s}catch(n){if((0,D.isCancellationError)(n))return l.log((0,c.localize)(9,null,(0,L.basename)(h))),null;throw n}return null}async getGalleryExtensions(h){const u=new Map,S=h.some(s=>s.installOptions.installPreReleaseVersion),l=await this.extensionGalleryService.getExtensions(h.map(s=>({...s,preRelease:S})),C.CancellationToken.None);for(const s of l)u.set(s.identifier.id.toLowerCase(),s);return u}async installFromGallery({id:h,version:u,installOptions:S},l,s,t,n){const i=await this.extensionGalleryService.getManifest(l,C.CancellationToken.None);if(i&&!this.validateExtensionKind(i,n))return null;const r=s.find(o=>(0,I.areSameExtensions)(o.identifier,l.identifier));if(r){if(l.version===r.manifest.version)return n.log((0,c.localize)(10,null,u?`${h}@${u}`:h)),null;n.log((0,c.localize)(11,null,h,l.version))}try{return S.isBuiltin?n.log(u?(0,c.localize)(12,null,h,u):(0,c.localize)(13,null,h)):n.log(u?(0,c.localize)(14,null,h,u):(0,c.localize)(15,null,h)),await this.extensionManagementService.installFromGallery(l,{...S,installGivenVersion:!!u}),n.log((0,c.localize)(16,null,h,l.version)),i}catch(o){if((0,D.isCancellationError)(o))return n.log((0,c.localize)(17,null,h)),null;throw o}}validateExtensionKind(h,u){return!0}async validateVSIX(h,u,S){const l={id:(0,I.getGalleryExtensionId)(h.publisher,h.name)},t=(await this.extensionManagementService.getInstalled(1)).find(n=>(0,I.areSameExtensions)(l,n.identifier)&&(0,k.gt)(n.manifest.version,h.version));return t&&!u?(S.log((0,c.localize)(18,null,t.identifier.id,t.manifest.version,h.version)),!1):this.validateExtensionKind(h,S)}async uninstallExtensions(h,u,S=console){const l=async t=>{if(t instanceof E.URI){const n=await this.extensionManagementService.getManifest(t);return a(n)}return t},s=[];for(const t of h){const n=await l(t),r=(await this.extensionManagementService.getInstalled()).filter(o=>(0,I.areSameExtensions)(o.identifier,{id:n}));if(!r.length)throw new Error(`${this.notInstalled(n)}
${w}`);if(r.some(o=>o.type===0)){S.log((0,c.localize)(19,null,n));return}if(!u&&r.some(o=>o.isBuiltin)){S.log((0,c.localize)(20,null,n));return}S.log((0,c.localize)(21,null,n));for(const o of r)await this.extensionManagementService.uninstall(o),s.push(o);this.location?S.log((0,c.localize)(22,null,n,this.location)):S.log((0,c.localize)(23,null,n))}}async locateExtension(h,u=console){const S=await this.extensionManagementService.getInstalled();h.forEach(l=>{S.forEach(s=>{if(s.identifier.id===l&&s.location.scheme===P.Schemas.file){u.log(s.location.fsPath);return}})})}notInstalled(h){return this.location?(0,c.localize)(24,null,h,this.location):(0,c.localize)(25,null,h)}};d=de([oe(0,m.IExtensionManagementService),oe(1,m.IExtensionGalleryService)],d),e.ExtensionManagementCLIService=d}),define(ee[38],te([0,1,4,15,2,35,9,23,11,10,8]),function(q,e,C,D,P,L,k,E,c,m,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsProfileScannerService=e.IExtensionsProfileScannerService=void 0,e.IExtensionsProfileScannerService=(0,m.createDecorator)("IExtensionsProfileScannerService");let b=class extends P.Disposable{constructor(w,a){super();this.fileService=w,this.logService=a,this.resourcesAccessQueueMap=new L.ResourceMap}scanProfileExtensions(w){return this.withProfileExtensions(w)}addExtensionsToProfile(w,a){return this.withProfileExtensions(a,d=>(d=d.filter(y=>w.some(([h])=>!(0,E.areSameExtensions)(y.identifier,h.identifier))),d.push(...w.map(([y,h])=>({identifier:y.identifier,version:y.manifest.version,location:y.location,metadata:h}))),d))}removeExtensionFromProfile(w,a){return this.withProfileExtensions(a,d=>d.filter(y=>!(0,E.areSameExtensions)(y.identifier,w)))}async withProfileExtensions(w,a){return this.getResourceAccessQueue(w).queue(async()=>{let d=[];try{const y=await this.fileService.readFile(w),h=JSON.parse(y.value.toString());for(const u of h){if(!u.identifier){this.logService.info("Ignoring invalid extension while scanning. Identifier does not exist.",u);continue}if(!u.location){this.logService.info("Ignoring invalid extension while scanning. Location does not exist.",u);continue}if(!u.version){this.logService.info("Ignoring invalid extension while scanning. Version does not exist.",u);continue}d.push({identifier:u.identifier,location:k.URI.revive(u.location),version:u.version,metadata:u.metadata})}}catch(y){y.fileOperationResult!==1&&this.logService.error(y)}if(a){d=a(d);const y=d.map(h=>({identifier:h.identifier,version:h.version,location:h.location.toJSON(),metadata:h.metadata}));await this.fileService.writeFile(w,D.VSBuffer.fromString(JSON.stringify(y)))}return d})}getResourceAccessQueue(w){let a=this.resourcesAccessQueueMap.get(w);return a||(a=new C.Queue,this.resourcesAccessQueueMap.set(w,a)),a}};b=de([oe(0,c.IFileService),oe(1,I.ILogService)],b),e.ExtensionsProfileScannerService=b}),define(ee[122],te([0,1,4,12,2,13,17,40,9,34,20,18,22,23,11,8]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;let y=class extends P.Disposable{constructor(u,S,l,s){super();this.fileService=S,this.extensionGalleryService=l,this.logService=s,this.extensionsDownloadDir=c.URI.file(u.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(u,S){await this.cleanUpPromise;const l=this.getName(u),s=(0,k.joinPath)(this.extensionsDownloadDir,l);if(!await this.fileService.exists(s)){const t=(0,k.joinPath)(this.extensionsDownloadDir,`.${(0,m.generateUuid)()}`);await this.fileService.exists(t)||await this.extensionGalleryService.download(u,t,S);try{await this.rename(t,s,Date.now()+2*60*1e3)}catch(n){try{await this.fileService.del(t)}catch{}if(n.code==="ENOTEMPTY")this.logService.info("Rename failed because vsix was downloaded by another source. So ignoring renaming.",u.identifier.id);else throw this.logService.info(`Rename failed because of ${(0,D.getErrorMessage)(n)}. Deleted the vsix from downloaded location`,t.path),n}}return s}async delete(u){await this.cleanUpPromise,await this.fileService.del(u)}async rename(u,S,l){try{await I.Promises.rename(u.fsPath,S.fsPath)}catch(s){if(L.isWindows&&s&&s.code==="EPERM"&&Date.now()<l)return this.logService.info(`Failed renaming ${u} to ${S} with 'EPERM' error. Trying again...`),this.rename(u,S,l);throw s}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const u=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(u.children){const S=[],l=[];for(const n of u.children){const i=w.ExtensionKey.parse(n.name);i&&l.push([i,n])}const s=(0,w.groupByExtension)(l,([n])=>n),t=[];for(const n of s)n.sort((i,r)=>E.rcompare(i[0].version,r[0].version)),S.push(...n.slice(1).map(i=>i[1].resource)),t.push(n[0][1]);t.sort((n,i)=>n.mtime-i.mtime),S.push(...t.slice(0,Math.max(0,t.length-this.cache)).map(n=>n.resource)),await C.Promises.settled(S.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(u){this.logService.error(u)}}getName(u){return this.cache?w.ExtensionKey.create(u).toString().toLowerCase():(0,m.generateUuid)()}};y=de([oe(0,b.INativeEnvironmentService),oe(1,a.IFileService),oe(2,g.IExtensionGalleryService),oe(3,d.ILogService)],y),e.ExtensionsDownloader=y}),define(ee[123],te([0,1,2,14,20,37]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class k extends C.Disposable{constructor(c,m){super();this.environmentService=c,this.extensionsManifestCache=(0,D.join)(this.environmentService.userDataPath,L.MANIFEST_CACHE_FOLDER,L.USER_MANIFEST_CACHE_FILE),this._register(m.onDidInstallExtensions(I=>this.onDidInstallExtensions(I))),this._register(m.onDidUninstallExtension(I=>this.onDidUnInstallExtension(I)))}onDidInstallExtensions(c){c.some(m=>!!m.local)&&this.invalidate()}onDidUnInstallExtension(c){c.error||this.invalidate()}invalidate(){P.Promises.rm(this.extensionsManifestCache,P.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=k}),define(ee[124],te([0,1,155,19,4,2,16,14,20,18,22,23,8,62]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLanguagePackService=void 0;let a=class extends w.LanguagePackBaseService{constructor(u,S,l,s){super(l);this.extensionManagementService=u,this.logService=s,this.cache=this._register(new d(S,s)),this.extensionManagementService.registerParticipant({postInstall:async t=>this.postInstallExtension(t),postUninstall:async t=>this.postUninstallExtension(t)})}async getInstalledLanguages(){const u=await this.cache.getLanguagePacks(),S=Object.keys(u).map(l=>{const s=u[l];return{...this.createQuickPickItem({locale:l,label:s.label}),extensionId:s.extensions[0].extensionIdentifier.id}});return S.push({...this.createQuickPickItem({locale:"en",label:"English"}),extensionId:"default"}),S}async postInstallExtension(u){u&&u.manifest&&u.manifest.contributes&&u.manifest.contributes.localizations&&u.manifest.contributes.localizations.length&&(this.logService.info("Adding language packs from the extension",u.identifier.id),await this.update())}async postUninstallExtension(u){const S=await this.cache.getLanguagePacks();Object.keys(S).some(l=>S[l]&&S[l].extensions.some(s=>(0,b.areSameExtensions)(s.extensionIdentifier,u.identifier)))&&(this.logService.info("Removing language packs from the extension",u.identifier.id),await this.update())}async update(){const[u,S]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),l=await this.cache.update(S);return!(0,D.equals)(Object.keys(u),Object.keys(l))}};a=de([oe(0,I.IExtensionManagementService),oe(1,m.INativeEnvironmentService),oe(2,I.IExtensionGalleryService),oe(3,g.ILogService)],a),e.NativeLanguagePackService=a;let d=class extends L.Disposable{constructor(u,S){super();this.logService=S,this.languagePacks={},this.languagePacksFilePath=(0,E.join)(u.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new P.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(u){return this.withLanguagePacks(S=>{Object.keys(S).forEach(l=>delete S[l]),this.createLanguagePacksFromExtensions(S,...u)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(u,...S){for(const l of S)l&&l.manifest&&l.manifest.contributes&&l.manifest.contributes.localizations&&l.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(u,l);Object.keys(u).forEach(l=>this.updateHash(u[l]))}createLanguagePacksFromExtension(u,S){const l=S.identifier,s=S.manifest.contributes&&S.manifest.contributes.localizations?S.manifest.contributes.localizations:[];for(const t of s)if(S.location.scheme===k.Schemas.file&&y(t)){let n=u[t.languageId];n||(n={hash:"",extensions:[],translations:{},label:t.localizedLanguageName??t.languageName},u[t.languageId]=n);const i=n.extensions.filter(r=>(0,b.areSameExtensions)(r.extensionIdentifier,l))[0];i?i.version=S.manifest.version:n.extensions.push({extensionIdentifier:l,version:S.manifest.version});for(const r of t.translations)n.translations[r.id]=(0,E.join)(S.location.fsPath,r.path)}}updateHash(u){if(u){const S=(0,C.createHash)("md5");for(const l of u.extensions)S.update(l.extensionIdentifier.uuid||l.extensionIdentifier.id).update(l.version);u.hash=S.digest("hex")}}withLanguagePacks(u=()=>null){return this.languagePacksFileLimiter.queue(()=>{let S=null;return c.Promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,l=>l.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(l)).then(l=>{try{return JSON.parse(l)}catch{return{}}}).then(l=>(S=u(l),l)).then(l=>{for(const t of Object.keys(l))l[t]||delete l[t];this.languagePacks=l,this.initializedCache=!0;const s=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",s),c.Promises.writeFile(this.languagePacksFilePath,s)}).then(()=>S,l=>this.logService.error(l))})}};d=de([oe(0,m.INativeEnvironmentService),oe(1,g.ILogService)],d);function y(h){if(typeof h.languageId!="string"||!Array.isArray(h.translations)||h.translations.length===0)return!1;for(const u of h.translations)if(typeof u.id!="string"||typeof u.path!="string")return!1;return!(h.languageName&&typeof h.languageName!="string"||h.localizedLanguageName&&typeof h.localizedLanguageName!="string")}}),define(ee[48],te([0,1,15,95,41,10,31]),function(q,e,C,D,P,L,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.updateProxyConfigurationsScope=e.asJson=e.asTextOrError=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=(0,L.createDecorator)("requestService");function E(d){return d.res.statusCode&&d.res.statusCode>=200&&d.res.statusCode<300||d.res.statusCode===1223}e.isSuccess=E;function c(d){return d.res.statusCode===204}async function m(d){return c(d)?null:(await(0,C.streamToBuffer)(d.stream)).toString()}e.asText=m;async function I(d){if(!E(d))throw new Error("Server returned "+d.res.statusCode);return m(d)}e.asTextOrError=I;async function b(d){if(!E(d))throw new Error("Server returned "+d.res.statusCode);if(c(d))return null;const h=(await(0,C.streamToBuffer)(d.stream)).toString();try{return JSON.parse(h)}catch(u){throw u.message+=`:
`+h,u}}e.asJson=b;function g(d){a(d)}e.updateProxyConfigurationsScope=g;let w;function a(d){const y=k.Registry.as(P.Extensions.Configuration),h=w;w={id:"http",order:15,title:(0,D.localize)(0,null),type:"object",scope:d,properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,D.localize)(1,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,D.localize)(2,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,D.localize)(3,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,D.localize)(4,null),(0,D.localize)(5,null),(0,D.localize)(6,null),(0,D.localize)(7,null)],default:"override",description:(0,D.localize)(8,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,D.localize)(9,null),restricted:!0}}},y.updateConfigurations({add:[w],remove:h?[h]:[]})}a(2)}),define(ee[125],te([0,1,25,16,11,48]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let k=class{constructor(c,m){this.requestService=c,this.fileService=m}async download(c,m,I=C.CancellationToken.None){if(c.scheme===D.Schemas.file||c.scheme===D.Schemas.vscodeRemote){await this.fileService.copy(c,m);return}const b={type:"GET",url:c.toString(!0)},g=await this.requestService.request(b,I);if(g.res.statusCode===200)await this.fileService.writeFile(m,g.stream);else{const w=await(0,L.asTextOrError)(g);throw new Error(`Expected 200, got back ${g.res.statusCode} instead.

${w}`)}}};k=de([oe(0,L.IRequestService),oe(1,P.IFileService)],k),e.DownloadService=k}),define(ee[126],te([0,1,127,7]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function P(k,E){return k.protocol==="http:"?E.HTTP_PROXY||E.http_proxy||null:k.protocol==="https:"&&(E.HTTPS_PROXY||E.https_proxy||E.HTTP_PROXY||E.http_proxy)||null}async function L(k,E,c={}){const m=(0,C.parse)(k),I=c.proxyUrl||P(m,E);if(!I)return null;const b=(0,C.parse)(I);if(!/^https?:$/.test(b.protocol||""))return null;const g={host:b.hostname||"",port:b.port||(b.protocol==="https"?"443":"80"),auth:b.auth,rejectUnauthorized:(0,D.isBoolean)(c.strictSSL)?c.strictSSL:!0};return m.protocol==="http:"?new(await new Promise((w,a)=>{q(["http-proxy-agent"],w,a)}))(g):new(await new Promise((w,a)=>{q(["https-proxy-agent"],w,a)}))(g)}e.getProxyAgent=L}),define(ee[128],te([0,1,45,14,96,25,28,12,13,34,80,156,4]),function(q,e,C,D,P,L,k,E,c,m,I,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getResolvedShellEnv=void 0;const w=1e4;let a;async function d(h,u,S){return u["force-disable-user-env"]?(h.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):c.isWindows?(h.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,b.isLaunchedFromCli)(S)&&!u["force-user-env"]?(h.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,b.isLaunchedFromCli)(S)?h.trace("resolveShellEnv(): running (--force-user-env)"):h.trace("resolveShellEnv(): running (macOS/Linux)"),a||(a=g.Promises.withAsyncBody(async(l,s)=>{const t=new L.CancellationTokenSource,n=setTimeout(()=>{t.dispose(!0),s(new Error((0,P.localize)(0,null)))},w);try{l(await y(h,t.token))}catch(i){!(0,E.isCancellationError)(i)&&!t.token.isCancellationRequested?s(new Error((0,P.localize)(1,null,(0,k.toErrorMessage)(i)))):l({})}finally{clearTimeout(n),t.dispose()}})),a)}e.getResolvedShellEnv=d;async function y(h,u){const S=process.env.ELECTRON_RUN_AS_NODE;h.trace("getUnixShellEnvironment#runAsNode",S);const l=process.env.ELECTRON_NO_ATTACH_CONSOLE;h.trace("getUnixShellEnvironment#noAttach",l);const s=(0,m.generateUuid)().replace(/-/g,"").substr(0,12),t=new RegExp(s+"(.*)"+s),n={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"};h.trace("getUnixShellEnvironment#env",n);const i=await(0,I.getSystemShell)(c.OS,n);return h.trace("getUnixShellEnvironment#shell",i),new Promise((r,o)=>{if(u.isCancellationRequested)return o((0,E.canceled)());const f=(0,D.basename)(i);let p,v;const R=process.versions.electron&&process.versions["microsoft-build"]?"--ms-enable-electron-run-as-node":"";/^pwsh(-preview)?$/.test(f)?(p=`& '${process.execPath}' ${R} -p '''${s}'' + JSON.stringify(process.env) + ''${s}'''`,v=["-Login","-Command"]):(p=`'${process.execPath}' ${R} -p '"${s}" + JSON.stringify(process.env) + "${s}"'`,f==="tcsh"?v=["-ic"]:v=["-ilc"]),h.trace("getUnixShellEnvironment#spawn",JSON.stringify(v),p);const M=(0,C.spawn)(i,[...v,p],{detached:!0,stdio:["ignore","pipe","pipe"],env:n});u.onCancellationRequested(()=>(M.kill(),o((0,E.canceled)()))),M.on("error",ne=>{h.error("getUnixShellEnvironment#errorChildProcess",(0,k.toErrorMessage)(ne)),o(ne)});const H=[];M.stdout.on("data",ne=>H.push(ne));const Z=[];M.stderr.on("data",ne=>Z.push(ne)),M.on("close",(ne,Q)=>{const se=Buffer.concat(H).toString("utf8");h.trace("getUnixShellEnvironment#raw",se);const Y=Buffer.concat(Z).toString("utf8");if(Y.trim()&&h.trace("getUnixShellEnvironment#stderr",Y),ne||Q)return o(new Error((0,P.localize)(2,null,ne,Q)));const ce=t.exec(se),x=ce?ce[1]:"{}";try{const j=JSON.parse(x);S?j.ELECTRON_RUN_AS_NODE=S:delete j.ELECTRON_RUN_AS_NODE,l?j.ELECTRON_NO_ATTACH_CONSOLE=l:delete j.ELECTRON_NO_ATTACH_CONSOLE,delete j.XDG_RUNTIME_DIR,h.trace("getUnixShellEnvironment#result",j),r(j)}catch(j){h.error("getUnixShellEnvironment#errorCaught",(0,k.toErrorMessage)(j)),o(j)}})})}}),define(ee[65],te([0,1,10]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateService=void 0,e.IStateService=(0,C.createDecorator)("stateService")}),define(ee[129],te([0,1,4,15,7,18,11,8]),function(q,e,C,D,P,L,k,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateService=e.FileStorage=void 0;class c{constructor(b,g,w){this.storagePath=b,this.logService=g,this.fileService=w,this.storage=Object.create(null),this.lastSavedStorageContents="",this.flushDelayer=new C.ThrottledDelayer(100),this.initializing=void 0,this.closing=void 0}init(){return this.initializing||(this.initializing=this.doInit()),this.initializing}async doInit(){try{this.lastSavedStorageContents=(await this.fileService.readFile(this.storagePath)).value.toString(),this.storage=JSON.parse(this.lastSavedStorageContents)}catch(b){b.fileOperationResult!==1&&this.logService.error(b)}}getItem(b,g){const w=this.storage[b];return(0,P.isUndefinedOrNull)(w)?g:w}setItem(b,g){this.setItems([{key:b,data:g}])}setItems(b){let g=!1;for(const{key:w,data:a}of b)this.storage[w]!==a&&((0,P.isUndefinedOrNull)(a)?(0,P.isUndefined)(this.storage[w])||(this.storage[w]=void 0,g=!0):(this.storage[w]=a,g=!0));g&&this.save()}removeItem(b){(0,P.isUndefined)(this.storage[b])||(this.storage[b]=void 0,this.save())}async save(b){if(!this.closing)return this.flushDelayer.trigger(()=>this.doSave(),b)}async doSave(){if(!this.initializing)return;await this.initializing;const b=JSON.stringify(this.storage,null,4);if(b!==this.lastSavedStorageContents)try{await this.fileService.writeFile(this.storagePath,D.VSBuffer.fromString(b)),this.lastSavedStorageContents=b}catch(g){this.logService.error(g)}}async close(){return this.closing||(this.closing=this.flushDelayer.trigger(()=>this.doSave(),0)),this.closing}}e.FileStorage=c;let m=class{constructor(b,g,w){this.fileStorage=new c(b.stateResource,g,w)}async init(){await this.fileStorage.init()}getItem(b,g){return this.fileStorage.getItem(b,g)}};m=de([oe(0,L.IEnvironmentService),oe(1,E.ILogService),oe(2,k.IFileService)],m),e.StateService=m}),define(ee[130],te([0,1,13,30,9,34]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.verifyMicrosoftInternalDomain=e.resolveCommonProperties=void 0;function k(m){if(C.platform===2&&/^penguin(\.|$)/i.test(m))return"chromebook"}async function E(m,I,b,g,w,a,d,y,h,u){const S=Object.create(null);S["common.machineId"]=d,S.sessionID=(0,L.generateUuid)()+Date.now(),S.commitHash=w,S.version=a,S["common.platformVersion"]=(I||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),S["common.platform"]=(0,C.PlatformToString)(C.platform),S["common.nodePlatform"]=D.platform,S["common.nodeArch"]=g,S["common.product"]=u||"desktop";const l=c(y||[]);l&&(S["common.msftInternal"]=l);let s=0;const t=Date.now();Object.defineProperties(S,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-t,enumerable:!0},"common.sequence":{get:()=>s++,enumerable:!0}}),C.isLinuxSnap&&(S["common.snap"]="true");const n=k(b);n&&(S["common.platformDetail"]=n);try{const i=await m.readFile(P.URI.file(h));S["common.source"]=i.value.toString().slice(0,30)}catch{}return S}e.resolveCommonProperties=E;function c(m){const I=D.env.USERDNSDOMAIN;if(!I)return!1;const b=I.toLowerCase();return m.some(g=>b===g)}e.verifyMicrosoftInternalDomain=c}),define(ee[32],te([0,1,10]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.TELEMETRY_OLD_SETTING_ID=e.TELEMETRY_SETTING_ID=e.TELEMETRY_SECTION_ID=e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.ICustomEndpointTelemetryService=e.ITelemetryService=void 0,e.ITelemetryService=(0,C.createDecorator)("telemetryService"),e.ICustomEndpointTelemetryService=(0,C.createDecorator)("customEndpointTelemetryService"),e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId",e.TELEMETRY_SECTION_ID="telemetry",e.TELEMETRY_SETTING_ID="telemetry.telemetryLevel",e.TELEMETRY_OLD_SETTING_ID="telemetry.enableTelemetry";var D;(function(L){L[L.NONE=0]="NONE",L[L.CRASH=1]="CRASH",L[L.ERROR=2]="ERROR",L[L.USAGE=3]="USAGE"})(D=e.TelemetryLevel||(e.TelemetryLevel={}));var P;(function(L){L.OFF="off",L.CRASH="crash",L.ERROR="error",L.ON="all"})(P=e.TelemetryConfiguration||(e.TelemetryConfiguration={}))}),define(ee[42],te([0,1,24,53,7,21,32]),function(q,e,C,D,P,L,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPiiPathsFromEnvironment=e.cleanRemoteAuthority=e.validateTelemetryData=e.getTelemetryLevel=e.supportsTelemetry=e.configurationTelemetry=e.NullAppender=e.NullEndpointTelemetryService=e.NullTelemetryService=e.NullTelemetryServiceShape=void 0;class E{constructor(){this.sendErrorTelemetry=!1,this.telemetryLevel=(0,D.staticObservableValue)(0)}publicLog(l,s){return Promise.resolve(void 0)}publicLog2(l,s){return this.publicLog(l,s)}publicLogError(l,s){return Promise.resolve(void 0)}publicLogError2(l,s){return this.publicLogError(l,s)}setExperimentProperty(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}}e.NullTelemetryServiceShape=E,e.NullTelemetryService=new E;class c{async publicLog(l,s,t){}async publicLogError(l,s,t){}}e.NullEndpointTelemetryService=c,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function m(S,l){return l.onDidChangeConfiguration(s=>{s.source!==6&&S.publicLog2("updateConfiguration",{configurationSource:(0,L.ConfigurationTargetToString)(s.source),configurationKeys:y(s.sourceConfig)})})}e.configurationTelemetry=m;function I(S,l){return!(l.disableTelemetry||!S.enableTelemetry||l.extensionTestsLocationURI)}e.supportsTelemetry=I;function b(S){const l=S.getValue(k.TELEMETRY_SETTING_ID),s=S.getValue("telemetry.enableCrashReporter");if(S.getValue(k.TELEMETRY_OLD_SETTING_ID)===!1||s===!1)return 0;switch(l??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.getTelemetryLevel=b;function g(S){const l={},s={},t={};d(S,t);for(let n in t){n=n.length>150?n.substr(n.length-149):n;const i=t[n];typeof i=="number"?s[n]=i:typeof i=="boolean"?s[n]=i?1:0:typeof i=="string"?(i.length>8192&&console.warn(`Telemetry property: ${n} has been trimmed to 8192, the original length is ${i.length}`),l[n]=i.substring(0,8191)):typeof i!="undefined"&&i!==null&&(l[n]=i)}return{properties:l,measurements:s}}e.validateTelemetryData=g;const w=["ssh-remote","dev-container","attached-container","wsl","tunneling"];function a(S){if(!S)return"none";for(const l of w)if(S.startsWith(`${l}+`))return l;return"other"}e.cleanRemoteAuthority=a;function d(S,l,s=0,t){if(!!S)for(const n of Object.getOwnPropertyNames(S)){const i=S[n],r=t?t+n:n;Array.isArray(i)?l[r]=(0,C.safeStringify)(i):i instanceof Date?l[r]=i.toISOString():(0,P.isObject)(i)?s<2?d(i,l,s+1,r+"."):l[r]=(0,C.safeStringify)(i):l[r]=i}}function y(S){if(!S)return[];const l=[];return h(l,"",S),l}function h(S,l,s){s&&typeof s=="object"&&!Array.isArray(s)?Object.keys(s).forEach(t=>h(S,l?`${l}.${t}`:t,s[t])):S.push(l)}function u(S){return[S.appRoot,S.extensionsPath,S.userHome.fsPath,S.tmpDir.fsPath,S.userDataPath]}e.getPiiPathsFromEnvironment=u}),define(ee[131],te([0,1,103,42]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=void 0;async function P(L,k,E,c,m,I,b){const g={"X-Market-Client-Id":`VSCode ${L}`,"User-Agent":`VSCode ${L} (${k.nameShort})`},w=await(0,C.getServiceMachineId)(E,m,I),{sessionId:a}=await b.getTelemetryInfo();return(0,D.supportsTelemetry)(k,E)&&(0,D.getTelemetryLevel)(c)===3&&(g["X-Market-User-Id"]=w,g["VSCode-SessionId"]=a),g}e.resolveMarketplaceHeaders=P}),define(ee[132],te([0,1,12,24,42]),function(q,e,C,D,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractOneDataSystemAppender=void 0;const L="https://mobile.events.data.microsoft.com/OneCollector/1.0";async function k(c,m,I){const b=await new Promise((y,h)=>{q(["@microsoft/1ds-core-js"],y,h)}),g=await new Promise((y,h)=>{q(["@microsoft/1ds-post-js"],y,h)}),w=new b.AppInsightsCore,a=new g.PostChannel,d={instrumentationKey:c,endpointUrl:L,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[a]]};if(I){d.extensionConfig={};const y={alwaysUseXhrOverride:!0,httpXHROverride:I};d.extensionConfig[a.identifier]=y}return w.initialize(d,[]),w.addTelemetryInitializer(y=>{m&&(y.ext=y.ext??{},y.ext.utc=y.ext.utc??{},y.ext.utc.flags=8462029)}),w}class E{constructor(m,I,b,g,w){this._configurationService=m,this._eventPrefix=I,this._defaultData=b,this._xhrOverride=w,this.endPointUrl=L,this._defaultData||(this._defaultData={}),typeof g=="function"?this._aiCoreOrKey=g():this._aiCoreOrKey=g,this._asyncAiCore=null}_withAIClient(m){if(!!this._aiCoreOrKey){if(typeof this._aiCoreOrKey!="string"){m(this._aiCoreOrKey);return}if(!this._asyncAiCore){const I=this._configurationService?.getValue("telemetry.internalTesting");this._asyncAiCore=k(this._aiCoreOrKey,I,this._xhrOverride)}this._asyncAiCore.then(I=>{m(I)},I=>{(0,C.onUnexpectedError)(I),console.error(I)})}}log(m,I){if(!this._aiCoreOrKey)return;I=(0,D.mixin)(I,this._defaultData),I=(0,P.validateTelemetryData)(I);const b=this._eventPrefix+"/"+m;try{this._withAIClient(g=>g.track({name:b,baseData:{name:b,properties:I?.properties,measurements:I?.measurements}}))}catch{}}flush(){return this._aiCoreOrKey?new Promise(m=>{this._withAIClient(I=>{I.unload(!0,()=>{this._aiCoreOrKey=void 0,m(void 0)})})}):Promise.resolve(void 0)}}e.AbstractOneDataSystemAppender=E}),define(ee[133],te([0,1,2,24,53,13,29,97,21,41,134,27,31,32,42]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let d=class{constructor(u,S,l){this._configurationService=S,this._productService=l,this._experimentProperties={},this.telemetryLevel=new P.MutableObservableValue(3),this._disposables=new C.DisposableStore,this._cleanupPatterns=[],this._appenders=u.appenders,this._commonProperties=u.commonProperties||Promise.resolve({}),this._piiPaths=u.piiPaths||[],this._sendErrorTelemetry=!!u.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(const s of this._piiPaths)this._cleanupPatterns.push(new RegExp((0,k.escapeRegExpCharacters)(s),"gi"));this._updateTelemetryLevel(),this._configurationService.onDidChangeConfiguration(this._updateTelemetryLevel,this,this._disposables)}setExperimentProperty(u,S){this._experimentProperties[u]=S}_updateTelemetryLevel(){let u=(0,a.getTelemetryLevel)(this._configurationService);const S=this._productService.enabledTelemetryLevels;if(S){this._sendErrorTelemetry=this.sendErrorTelemetry?S.error:!1;const l=S.usage?3:S.error?2:0;u=Math.min(u,l)}this.telemetryLevel.value=u}get sendErrorTelemetry(){return this._sendErrorTelemetry}async getTelemetryInfo(){const u=await this._commonProperties,S=u.sessionID,l=u["common.machineId"],s=u["common.firstSessionDate"],t=u["common.msftInternal"];return{sessionId:S,machineId:l,firstSessionDate:s,msftInternal:t}}dispose(){this._disposables.dispose()}_log(u,S,l,s){return this.telemetryLevel.value<S?Promise.resolve(void 0):this._commonProperties.then(t=>{l=(0,D.mixin)(l,t),l=(0,D.mixin)(l,this._experimentProperties),l=(0,D.cloneAndChange)(l,n=>{if(typeof n=="string")return this._cleanupInfo(n,s)}),this._appenders.forEach(n=>n.log(u,l))},t=>{console.error(t)})}publicLog(u,S,l){return this._log(u,3,S,l)}publicLog2(u,S,l){return this.publicLog(u,S,l)}publicLogError(u,S){return this._sendErrorTelemetry?this._log(u,2,S,!0):Promise.resolve(void 0)}publicLogError2(u,S){return this.publicLogError(u,S)}_anonymizeFilePaths(u){let S=u;const l=[];for(const i of this._cleanupPatterns)for(;;){const r=i.exec(u);if(!r)break;l.push([r.index,i.lastIndex])}const s=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,t=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let n=0;for(S="";;){const i=t.exec(u);if(!i)break;!s.test(i[0])&&l.every(([r,o])=>i.index<r||i.index>=o)&&(S+=u.substring(n,i.index)+"<REDACTED: user-file-path>",n=t.lastIndex)}return n<u.length&&(S+=u.substr(n)),S}_removePropertiesWithPossibleUserInfo(u){if(!u)return u;const S=u.toLowerCase(),l=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/},{label:"Email",regex:/@[a-zA-Z0-9-.]+/}];for(const s of l)if(s.regex.test(S))return`<REDACTED: ${s.label}>`;return u}_cleanupInfo(u,S){let l=u;S&&(l=this._anonymizeFilePaths(l));for(const s of this._cleanupPatterns)l=l.replace(s,"");return l=this._removePropertiesWithPossibleUserInfo(l),l}};d.IDLE_START_EVENT_NAME="UserIdleStart",d.IDLE_STOP_EVENT_NAME="UserIdleStop",d=de([oe(1,c.IConfigurationService),oe(2,b.IProductService)],d),e.TelemetryService=d;function y(){const h=(0,E.localize)(0,null,I.default.nameLong),u=I.default.privacyStatementUrl?(0,E.localize)(2,null,"https://aka.ms/vscode-telemetry",I.default.privacyStatementUrl):(0,E.localize)(1,null,"https://aka.ms/vscode-telemetry"),S=L.isWeb?"":(0,E.localize)(3,null),l=(0,E.localize)(4,null),s=(0,E.localize)(5,null),t=(0,E.localize)(6,null),n=(0,E.localize)(7,null),i=`
|       | ${l} | ${s} | ${t} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,r=(0,E.localize)(8,null);return`
${h} ${u} ${S}

&nbsp;

${n}
${i}

&nbsp;

${r}
`}g.Registry.as(m.Extensions.Configuration).registerConfiguration({id:w.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,E.localize)(9,null),properties:{[w.TELEMETRY_SETTING_ID]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,E.localize)(10,null),(0,E.localize)(11,null),(0,E.localize)(12,null),(0,E.localize)(13,null)],markdownDescription:y(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),g.Registry.as(m.Extensions.Configuration).registerConfiguration({id:w.TELEMETRY_SECTION_ID,order:110,type:"object",title:(0,E.localize)(14,null),properties:{[w.TELEMETRY_OLD_SETTING_ID]:{type:"boolean",markdownDescription:I.default.privacyStatementUrl?(0,E.localize)(16,null,I.default.nameLong,I.default.privacyStatementUrl):(0,E.localize)(15,null,I.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,E.localize)(17,null,`\`#${w.TELEMETRY_SETTING_ID}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(ee[135],te([0,1,157,132]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OneDataSystemAppender=void 0;class P extends D.AbstractOneDataSystemAppender{constructor(k,E,c,m){const I={sendPOST:(b,g)=>{const w={method:"POST",headers:{...b.headers,"Content-Type":"application/json","Content-Length":Buffer.byteLength(b.data)}};try{const a=C.request(b.urlString,w,d=>{d.on("data",function(y){g(d.statusCode??200,d.headers,y.toString())}),d.on("error",function(y){g(0,{})})});a.write(b.data),a.end()}catch{g(0,{})}}};super(k,E,c,m,I)}}e.OneDataSystemAppender=P}),define(ee[136],te([0,1,14,20]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildTelemetryMessage=void 0;async function P(L,k){const E=Object.create(null),c=(I,b)=>{const g=JSON.parse(I);E[b]=g};if(k){const I=[],b=await D.Promises.readdir(k);for(const w of b)try{(await D.Promises.stat((0,C.join)(k,w))).isDirectory()&&I.push(w)}catch{}const g=[];for(const w of I)(await D.Promises.readdir((0,C.join)(k,w))).filter(d=>d==="telemetry.json").length===1&&g.push(w);for(const w of g){const a=(await D.Promises.readFile((0,C.join)(k,w,"telemetry.json"))).toString();c(a,w)}}let m=(await D.Promises.readFile((0,C.join)(L,"telemetry-core.json"))).toString();return c(m,"vscode-core"),m=(await D.Promises.readFile((0,C.join)(L,"telemetry-extensions.json"))).toString(),c(m,"vscode-extensions"),JSON.stringify(E,null,4)}e.buildTelemetryMessage=P}),define(ee[33],te([0,1,10]),function(q,e,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUriIdentityService=void 0,e.IUriIdentityService=(0,C.createDecorator)("IUriIdentityService")}),define(ee[137],te([0,1,3,2,9,18,23,11,8,33]),function(q,e,C,D,P,L,k,E,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsWatcher=void 0;let I=class extends D.Disposable{constructor(g,w,a,d,y){super();this.extensionsManagementService=g,this.logService=d,this.uriIdentityService=y,this._onDidChangeExtensionsByAnotherSource=this._register(new C.Emitter),this.onDidChangeExtensionsByAnotherSource=this._onDidChangeExtensionsByAnotherSource.event,this.startTimestamp=0,this.installingExtensions=[],this.extensionsManagementService.getInstalled().then(u=>{this.installedExtensions=u.map(S=>S.identifier),this.startTimestamp=Date.now()}),this._register(g.onInstallExtension(u=>this.onInstallExtension(u))),this._register(g.onDidInstallExtensions(u=>this.onDidInstallExtensions(u))),this._register(g.onDidUninstallExtension(u=>this.onDidUninstallExtension(u)));const h=P.URI.file(a.extensionsPath);this._register(w.watch(h)),this._register(C.Event.filter(w.onDidFilesChange,u=>u.rawChanges.some(S=>this.doesChangeAffects(S,h)))(()=>this.onDidChange()))}doesChangeAffects(g,w){return g.type!==1&&g.type!==2||!this.uriIdentityService.extUri.isEqual(this.uriIdentityService.extUri.dirname(g.resource),w)?!1:this.uriIdentityService.extUri.isEqual(g.resource,this.uriIdentityService.extUri.joinPath(w,".obsolete"))?!0:!this.uriIdentityService.extUri.basename(g.resource).startsWith(".")}onInstallExtension(g){this.addInstallingExtension(g.identifier)}onDidInstallExtensions(g){for(const w of g)this.removeInstallingExtension(w.identifier),w.local&&this.addInstalledExtension(w.identifier)}onDidUninstallExtension(g){g.error||this.removeInstalledExtension(g.identifier)}addInstallingExtension(g){this.removeInstallingExtension(g),this.installingExtensions.push(g)}removeInstallingExtension(g){this.installingExtensions=this.installingExtensions.filter(w=>!(0,k.areSameExtensions)(w,g))}addInstalledExtension(g){this.installedExtensions&&(this.removeInstalledExtension(g),this.installedExtensions.push(g))}removeInstalledExtension(g){this.installedExtensions&&(this.installedExtensions=this.installedExtensions.filter(w=>!(0,k.areSameExtensions)(w,g)))}async onDidChange(){if(this.installedExtensions){const g=await this.extensionsManagementService.getInstalled(),w=g.filter(d=>[...this.installingExtensions,...this.installedExtensions].some(y=>(0,k.areSameExtensions)(y,d.identifier))?!1:d.installedTimestamp&&d.installedTimestamp>this.startTimestamp?(this.logService.info("Detected extension installed from another source",d.identifier.id),!0):(this.logService.info("Ignored extension installed by another source because of invalid timestamp",d.identifier.id),!1)),a=this.installedExtensions.filter(d=>this.installingExtensions.some(y=>(0,k.areSameExtensions)(y,d))?!1:g.every(y=>!(0,k.areSameExtensions)(y.identifier,d))?(this.logService.info("Detected extension removed from another source",d.id),!0):!1);this.installedExtensions=g.map(d=>d.identifier),(w.length||a.length)&&this._onDidChangeExtensionsByAnotherSource.fire({added:w,removed:a})}}};I=de([oe(1,E.IFileService),oe(2,L.INativeEnvironmentService),oe(3,c.ILogService),oe(4,m.IUriIdentityService)],I),e.ExtensionsWatcher=I}),define(ee[138],te([0,1,33,104,11,17,68,3,2]),function(q,e,C,D,P,L,k,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UriIdentityService=void 0;class m{constructor(g){this.uri=g,this.time=m._clock++}touch(){return this.time=m._clock++,this}}m._clock=0;let I=class{constructor(g){this._fileService=g,this._dispooables=new c.DisposableStore,this._limit=2**16;const w=new Map,a=d=>{let y=w.get(d.scheme);return y===void 0&&(y=g.hasProvider(d)&&!this._fileService.hasCapability(d,1024),w.set(d.scheme,y)),y};this._dispooables.add(E.Event.any(g.onDidChangeFileSystemProviderRegistrations,g.onDidChangeFileSystemProviderCapabilities)(d=>{w.delete(d.scheme)})),this.extUri=new L.ExtUri(a),this._canonicalUris=new k.SkipList((d,y)=>this.extUri.compare(d,y,!0),this._limit)}dispose(){this._dispooables.dispose(),this._canonicalUris.clear()}asCanonicalUri(g){this._fileService.hasProvider(g)&&(g=(0,L.normalizePath)(g));const w=this._canonicalUris.get(g);return w?w.touch().uri.with({fragment:g.fragment}):(this._canonicalUris.set(g,new m(g)),this._checkTrim(),g)}_checkTrim(){if(this._canonicalUris.size<this._limit)return;const g=[...this._canonicalUris.entries()].sort((a,d)=>a[1].touch<d[1].touch?1:a[1].touch>d[1].touch?-1:0);m._clock=0,this._canonicalUris.clear();const w=this._limit*.5;for(let a=0;a<w;a++)this._canonicalUris.set(g[a][0],g[a][1].touch())}};I=de([oe(0,P.IFileService)],I),e.UriIdentityService=I,(0,D.registerSingleton)(C.IUriIdentityService,I,!0)}),define(ee[26],te([0,1,54,3,2,17,7,9,98,18,11,10,8]),function(q,e,C,D,P,L,k,E,c,m,I,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=e.toUserDataProfile=e.EXTENSIONS_RESOURCE_NAME=e.reviveProfile=e.IUserDataProfilesService=e.PROFILES_ENABLEMENT_CONFIG=e.isUserDataProfile=void 0;function w(h){const u=h;return!!(u&&typeof u=="object"&&typeof u.id=="string"&&typeof u.isDefault=="boolean"&&typeof u.name=="string"&&E.URI.isUri(u.location)&&E.URI.isUri(u.globalStorageHome)&&E.URI.isUri(u.settingsResource)&&E.URI.isUri(u.keybindingsResource)&&E.URI.isUri(u.tasksResource)&&E.URI.isUri(u.snippetsHome)&&((0,k.isUndefined)(u.extensionsResource)||E.URI.isUri(u.extensionsResource)))}e.isUserDataProfile=w,e.PROFILES_ENABLEMENT_CONFIG="workbench.experimental.settingsProfiles.enabled",e.IUserDataProfilesService=(0,b.createDecorator)("IUserDataProfilesService");function a(h,u){return{id:h.id,isDefault:h.isDefault,name:h.name,location:E.URI.revive(h.location).with({scheme:u}),globalStorageHome:E.URI.revive(h.globalStorageHome).with({scheme:u}),settingsResource:E.URI.revive(h.settingsResource).with({scheme:u}),keybindingsResource:E.URI.revive(h.keybindingsResource).with({scheme:u}),tasksResource:E.URI.revive(h.tasksResource).with({scheme:u}),snippetsHome:E.URI.revive(h.snippetsHome).with({scheme:u}),extensionsResource:E.URI.revive(h.extensionsResource)?.with({scheme:u})}}e.reviveProfile=a,e.EXTENSIONS_RESOURCE_NAME="extensions.json";function d(h,u,S){return{id:(0,C.hash)(u.path).toString(16),name:h,location:u,isDefault:!1,globalStorageHome:(0,L.joinPath)(u,"globalStorage"),settingsResource:(0,L.joinPath)(u,"settings.json"),keybindingsResource:(0,L.joinPath)(u,"keybindings.json"),tasksResource:(0,L.joinPath)(u,"tasks.json"),snippetsHome:(0,L.joinPath)(u,"snippets"),extensionsResource:(0,L.joinPath)(u,e.EXTENSIONS_RESOURCE_NAME),useDefaultFlags:S}}e.toUserDataProfile=d;let y=class extends P.Disposable{constructor(u,S,l){super();this.environmentService=u,this.fileService=S,this.logService=l,this._profiles=[this.createDefaultUserDataProfile(!1)],this._onDidChangeProfiles=this._register(new D.Emitter),this.onDidChangeProfiles=this._onDidChangeProfiles.event,this.profilesHome=(0,L.joinPath)(this.environmentService.userRoamingDataHome,"profiles")}get defaultProfile(){return this.profiles[0]}get profiles(){return this._profiles}createDefaultUserDataProfile(u){const S=d((0,c.localize)(0,null),this.environmentService.userRoamingDataHome);return{...S,isDefault:!0,extensionsResource:u?S.extensionsResource:void 0}}createProfile(u,S,l){throw new Error("Not implemented")}setProfileForWorkspace(u,S){throw new Error("Not implemented")}getProfile(u){throw new Error("Not implemented")}removeProfile(u){throw new Error("Not implemented")}};y=de([oe(0,m.IEnvironmentService),oe(1,I.IFileService),oe(2,g.ILogService)],y),e.UserDataProfilesService=y}),define(ee[139],te([0,1,19,4,25,12,3,2,13,9,84,22,23,38,8,27,32,33,26]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d,y,h,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractExtensionTask=e.reportTelemetry=e.joinErrors=e.AbstractExtensionManagementService=void 0;let S=class extends E.Disposable{constructor(f,p,v,R,M,H,Z){super();this.userDataProfilesService=f,this.uriIdenityService=p,this.galleryService=v,this.extensionsProfileScannerService=R,this.telemetryService=M,this.logService=H,this.productService=Z,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new k.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtensions=this._register(new k.Emitter),this.onDidInstallExtensions=this._onDidInstallExtensions.event,this._onUninstallExtension=this._register(new k.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new k.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this.participants=[],this._register((0,E.toDisposable)(()=>{this.installingExtensions.forEach(ne=>ne.cancel()),this.uninstallingExtensions.forEach(ne=>ne.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async canInstall(f){const p=await this.getTargetPlatform();return f.allTargetPlatforms.some(v=>(0,b.isTargetPlatformCompatible)(v,f.allTargetPlatforms,p))}async installFromGallery(f,p={}){try{if(!this.galleryService.isEnabled())throw new b.ExtensionManagementError(I.localize(0,null),b.ExtensionManagementErrorCode.Internal);const v=await this.checkAndGetCompatibleVersion(f,!!p.installGivenVersion,!!p.installPreReleaseVersion);return await this.installExtension(v.manifest,v.extension,p)}catch(v){throw t(this.telemetryService,"extensionGallery:install",{extensionData:(0,g.getGalleryExtensionTelemetryData)(f),error:v}),this.logService.error("Failed to install extension.",f.identifier.id),this.logService.error(v),s(v)}}async uninstall(f,p={}){return this.logService.trace("ExtensionManagementService#uninstall",f.identifier.id),this.unininstallExtension(f,p)}async reinstallFromGallery(f){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",f.identifier.id),!this.galleryService.isEnabled())throw new Error(I.localize(1,null));const p=await this.getTargetPlatform(),[v]=await this.galleryService.getExtensions([{...f.identifier,preRelease:f.preRelease}],{targetPlatform:p,compatible:!0},P.CancellationToken.None);if(!v)throw new Error(I.localize(2,null));await this.createDefaultUninstallExtensionTask(f,{remove:!0,versionOnly:!0}).run(),await this.installFromGallery(v)}getExtensionsControlManifest(){const f=new Date().getTime();return(!this.extensionsControlManifest||f-this.lastReportTimestamp>1e3*60*5)&&(this.extensionsControlManifest=this.updateControlCache(),this.lastReportTimestamp=f),this.extensionsControlManifest}registerParticipant(f){this.participants.push(f)}async installExtension(f,p,v){if(!m.URI.isUri(p)){const ne=this.installingExtensions.get(g.ExtensionKey.create(p).toString());if(ne){this.logService.info("Extensions is already requested to install",p.identifier.id);const Q=this.createWaitUntilInstallExtensionTaskIsFinishedTask(ne,v),{local:se}=await Q.waitUntilTaskIsFinished();return se}v={...v,installOnlyNewlyAddedFromExtensionPack:!0}}const R=[],M=[],H=this.createInstallExtensionTask(f,p,v);m.URI.isUri(p)||this.installingExtensions.set(g.ExtensionKey.create(p).toString(),H),this._onInstallExtension.fire({identifier:H.identifier,source:p,profileLocation:v.profileLocation}),this.logService.info("Installing extension:",H.identifier.id),R.push({task:H,manifest:f});let Z=!1;try{if(v.donotIncludePackAndDependencies)this.logService.info("Installing the extension without checking dependencies and pack",H.identifier.id);else try{const Q=await this.getAllDepsAndPackExtensionsToInstall(H.identifier,f,!!v.installOnlyNewlyAddedFromExtensionPack,!!v.installPreReleaseVersion,v.profileLocation);for(const{gallery:se,manifest:Y}of Q){Z=Z||!!Y.extensionDependencies?.some(x=>(0,g.areSameExtensions)({id:x},H.identifier));const ce=g.ExtensionKey.create(se).toString();if(this.installingExtensions.has(ce))this.logService.info("Extension is already requested to install",se.identifier.id);else{const x=this.createInstallExtensionTask(Y,se,{...v,donotIncludePackAndDependencies:!0});this.installingExtensions.set(ce,x),this._onInstallExtension.fire({identifier:x.identifier,source:se,profileLocation:v.profileLocation}),this.logService.info("Installing extension:",x.identifier.id),R.push({task:x,manifest:Y})}}}catch(Q){if(m.URI.isUri(H.source))(0,C.isNonEmptyArray)(f.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",H.identifier.id,Q.message),(0,C.isNonEmptyArray)(f.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",H.identifier.id,Q.message);else throw this.logService.error("Error while preparing to install dependencies and extension packs of the extension:",H.identifier.id),Q}const ne=R.reduce((Q,{task:se,manifest:Y})=>(Q.set(se.identifier.id.toLowerCase(),{task:se,manifest:Y}),Q),new Map);for(;ne.size;){let Q;const se=[...ne.values()].filter(({manifest:Y})=>!Y.extensionDependencies?.some(ce=>ne.has(ce.toLowerCase())));se.length?Q=ne.size===1?se:se.filter(({task:Y})=>!(Y===H&&!Z)):(this.logService.info("Found extensions with circular dependencies",se.map(({task:Y})=>Y.identifier.id)),Q=[...ne.values()]),await this.joinAllSettled(Q.map(async({task:Y})=>{const ce=new Date().getTime();try{const{local:x}=await Y.run();if(await this.joinAllSettled(this.participants.map(j=>j.postInstall(x,Y.source,v,P.CancellationToken.None))),!m.URI.isUri(Y.source)){const j=Y.operation===3,K=j?void 0:(new Date().getTime()-Y.source.lastUpdated)/1e3;if(t(this.telemetryService,j?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,g.getGalleryExtensionTelemetryData)(Y.source),duration:new Date().getTime()-ce,durationSinceUpdate:K}),c.isWeb&&Y.operation!==3)try{await this.galleryService.reportStatistic(x.manifest.publisher,x.manifest.name,x.manifest.version,"install")}catch{}}M.push({local:x,identifier:Y.identifier,operation:Y.operation,source:Y.source,context:v.context,profileLocation:v.profileLocation,applicationScoped:x.isApplicationScoped})}catch(x){throw m.URI.isUri(Y.source)||t(this.telemetryService,Y.operation===3?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,g.getGalleryExtensionTelemetryData)(Y.source),duration:new Date().getTime()-ce,error:x}),this.logService.error("Error while installing the extension:",Y.identifier.id),x}finally{ne.delete(Y.identifier.id.toLowerCase())}}))}return M.forEach(({identifier:Q})=>this.logService.info("Extension installed successfully:",Q.id)),this._onDidInstallExtensions.fire(M),M.filter(({identifier:Q})=>(0,g.areSameExtensions)(Q,H.identifier))[0].local}catch(ne){if(R.forEach(({task:Q})=>Q.cancel()),M.length)try{const Q=await Promise.allSettled(M.map(({local:se})=>this.createUninstallExtensionTask(se,{versionOnly:!0},v.profileLocation).run()));for(let se=0;se<Q.length;se++){const Y=Q[se],{identifier:ce}=M[se];Y.status==="fulfilled"?this.logService.info("Rollback: Uninstalled extension",ce.id):this.logService.warn("Rollback: Error while uninstalling extension",ce.id,(0,L.getErrorMessage)(Y.reason))}}catch(Q){this.logService.warn("Error while rolling back extensions",(0,L.getErrorMessage)(Q),M.map(({identifier:se})=>se.id))}throw this._onDidInstallExtensions.fire(R.map(({task:Q})=>({identifier:Q.identifier,operation:2,source:Q.source,context:v.context,profileLocation:v.profileLocation}))),ne}finally{for(const{task:ne}of R)if(!m.URI.isUri(ne.source)){const Q=g.ExtensionKey.create(ne.source).toString();this.installingExtensions.delete(Q)||this.logService.warn("Installation task is not found in the cache",Q)}}}async joinAllSettled(f){const p=[],v=[],R=await Promise.allSettled(f);for(const M of R)M.status==="fulfilled"?p.push(M.value):v.push(M.reason);if(v.length)throw l(v);return p}async getAllDepsAndPackExtensionsToInstall(f,p,v,R,M){if(!this.galleryService.isEnabled())return[];let H=await this.getInstalled(void 0,M);const Z=[f,...H.map(se=>se.identifier)],ne=[],Q=async(se,Y)=>{const ce=Y.extensionDependencies||[],x=[...ce];if(Y.extensionPack){const j=v?H.find(K=>(0,g.areSameExtensions)(K.identifier,se)):void 0;for(const K of Y.extensionPack)j&&j.manifest.extensionPack&&j.manifest.extensionPack.some(z=>(0,g.areSameExtensions)({id:z},{id:K}))||x.every(z=>!(0,g.areSameExtensions)({id:z},{id:K}))&&x.push(K)}if(x.length){const j=[...Z,...ne.map(z=>z.gallery.identifier)],K=x.filter(z=>j.every(A=>!(0,g.areSameExtensions)(A,{id:z})));if(K.length){const z=await this.galleryService.getExtensions(K.map(A=>({id:A,preRelease:R})),P.CancellationToken.None);for(const A of z){if(j.find(U=>(0,g.areSameExtensions)(U,A.identifier)))continue;const B=ce.some(U=>(0,g.areSameExtensions)({id:U},A.identifier));let T;try{T=await this.checkAndGetCompatibleVersion(A,!1,R)}catch(U){if(U instanceof b.ExtensionManagementError&&U.code===b.ExtensionManagementErrorCode.IncompatibleTargetPlatform&&!B){this.logService.info("Skipping the packed extension as it cannot be installed",A.identifier.id);continue}else throw U}ne.push({gallery:T.extension,manifest:T.manifest}),await Q(T.extension.identifier,T.manifest)}}}};return await Q(f,p),H=await this.getInstalled(void 0,M),ne.filter(se=>!H.some(Y=>(0,g.areSameExtensions)(Y.identifier,se.gallery.identifier)))}async checkAndGetCompatibleVersion(f,p,v){const R=await this.getExtensionsControlManifest();if((0,g.getMaliciousExtensionsSet)(R).has(f.identifier.id))throw new b.ExtensionManagementError(I.localize(3,null,f.identifier.id),b.ExtensionManagementErrorCode.Malicious);if(!await this.canInstall(f)){const Z=await this.getTargetPlatform();throw new b.ExtensionManagementError(I.localize(4,null,f.identifier.id,this.productService.nameLong,(0,b.TargetPlatformToString)(Z)),b.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}const M=await this.getCompatibleVersion(f,p,v);if(M){if(v&&!p&&f.hasPreReleaseVersion&&!M.properties.isPreReleaseVersion)throw new b.ExtensionManagementError(I.localize(5,null,f.identifier.id,this.productService.nameLong,this.productService.version),b.ExtensionManagementErrorCode.IncompatiblePreRelease)}else throw!v&&f.properties.isPreReleaseVersion&&(await this.galleryService.getExtensions([f.identifier],P.CancellationToken.None))[0]?new b.ExtensionManagementError(I.localize(6,null,f.identifier.id),b.ExtensionManagementErrorCode.ReleaseVersionNotFound):new b.ExtensionManagementError(I.localize(7,null,f.identifier.id,this.productService.nameLong,this.productService.version),b.ExtensionManagementErrorCode.Incompatible);this.logService.info("Getting Manifest...",M.identifier.id);const H=await this.galleryService.getManifest(M,P.CancellationToken.None);if(H===null)throw new b.ExtensionManagementError(`Missing manifest for extension ${f.identifier.id}`,b.ExtensionManagementErrorCode.Invalid);if(H.version!==M.version)throw new b.ExtensionManagementError(`Cannot install '${f.identifier.id}' extension because of version mismatch in Marketplace`,b.ExtensionManagementErrorCode.Invalid);return{extension:M,manifest:H}}async getCompatibleVersion(f,p,v){const R=await this.getTargetPlatform();let M=null;return!p&&f.hasPreReleaseVersion&&f.properties.isPreReleaseVersion!==v&&(M=(await this.galleryService.getExtensions([{...f.identifier,preRelease:v}],{targetPlatform:R,compatible:!0},P.CancellationToken.None))[0]||null),!M&&await this.galleryService.isExtensionCompatible(f,v,R)&&(M=f),M||(p?M=(await this.galleryService.getExtensions([{...f.identifier,version:f.version}],{targetPlatform:R,compatible:!0},P.CancellationToken.None))[0]||null:M=await this.galleryService.getCompatibleExtension(f,v,R)),M}async unininstallExtension(f,p){const v=Q=>`${Q.id.toLowerCase()}${p.profileLocation?`@${p.profileLocation.toString()}`:""}`,R=this.uninstallingExtensions.get(v(f.identifier));if(R)return this.logService.info("Extensions is already requested to uninstall",f.identifier.id),R.waitUntilTaskIsFinished();const M=(Q,se)=>{const Y=this.createUninstallExtensionTask(Q,se,p.profileLocation);return this.uninstallingExtensions.set(v(Y.extension.identifier),Y),p.profileLocation?this.logService.info("Uninstalling extension from the profile:",`${Q.identifier.id}@${Q.manifest.version}`,p.profileLocation.toString()):this.logService.info("Uninstalling extension:",`${Q.identifier.id}@${Q.manifest.version}`),this._onUninstallExtension.fire({identifier:Q.identifier,profileLocation:p.profileLocation,applicationScoped:Q.isApplicationScoped}),Y},H=(Q,se)=>{se?p.profileLocation?this.logService.error("Failed to uninstall extension from the profile:",`${Q.identifier.id}@${Q.manifest.version}`,p.profileLocation.toString(),se.message):this.logService.error("Failed to uninstall extension:",`${Q.identifier.id}@${Q.manifest.version}`,se.message):p.profileLocation?this.logService.info("Successfully uninstalled extension from the profile",`${Q.identifier.id}@${Q.manifest.version}`,p.profileLocation.toString()):this.logService.info("Successfully uninstalled extension:",`${Q.identifier.id}@${Q.manifest.version}`),t(this.telemetryService,"extensionGallery:uninstall",{extensionData:(0,g.getLocalExtensionTelemetryData)(Q),error:se}),this._onDidUninstallExtension.fire({identifier:Q.identifier,version:Q.manifest.version,error:se?.code,profileLocation:p.profileLocation,applicationScoped:Q.isApplicationScoped})},Z=[],ne=[];try{Z.push(M(f,p));const Q=await this.getInstalled(1,p.profileLocation);if(p.donotIncludePack)this.logService.info("Uninstalling the extension without including packed extension",`${f.identifier.id}@${f.manifest.version}`);else{const se=this.getAllPackExtensionsToUninstall(f,Q);for(const Y of se)this.uninstallingExtensions.has(v(Y.identifier))?this.logService.info("Extensions is already requested to uninstall",Y.identifier.id):Z.push(M(Y,p))}p.donotCheckDependents?this.logService.info("Uninstalling the extension without checking dependents",`${f.identifier.id}@${f.manifest.version}`):this.checkForDependents(Z.map(se=>se.extension),Q,f),await this.joinAllSettled(Z.map(async se=>{try{if(await se.run(),await this.joinAllSettled(this.participants.map(Y=>Y.postUninstall(se.extension,p,P.CancellationToken.None))),se.extension.identifier.uuid)try{await this.galleryService.reportStatistic(se.extension.manifest.publisher,se.extension.manifest.name,se.extension.manifest.version,"uninstall")}catch{}H(se.extension)}catch(Y){const ce=Y instanceof b.ExtensionManagementError?Y:new b.ExtensionManagementError((0,L.getErrorMessage)(Y),b.ExtensionManagementErrorCode.Internal);throw H(se.extension,ce),ce}finally{ne.push(se)}}))}catch(Q){const se=Q instanceof b.ExtensionManagementError?Q:new b.ExtensionManagementError((0,L.getErrorMessage)(Q),b.ExtensionManagementErrorCode.Internal);for(const Y of Z){try{Y.cancel()}catch{}ne.includes(Y)||H(Y.extension,se)}throw se}finally{for(const Q of Z)this.uninstallingExtensions.delete(v(Q.extension.identifier))||this.logService.warn("Uninstallation task is not found in the cache",Q.extension.identifier.id)}}checkForDependents(f,p,v){for(const R of f){const M=this.getDependents(R,p);if(M.length){const H=M.filter(Z=>!f.some(ne=>(0,g.areSameExtensions)(ne.identifier,Z.identifier)));if(H.length)throw new Error(this.getDependentsErrorMessage(R,H,v))}}}getDependentsErrorMessage(f,p,v){return v===f?p.length===1?I.localize(8,null,v.manifest.displayName||v.manifest.name,p[0].manifest.displayName||p[0].manifest.name):p.length===2?I.localize(9,null,v.manifest.displayName||v.manifest.name,p[0].manifest.displayName||p[0].manifest.name,p[1].manifest.displayName||p[1].manifest.name):I.localize(10,null,v.manifest.displayName||v.manifest.name,p[0].manifest.displayName||p[0].manifest.name,p[1].manifest.displayName||p[1].manifest.name):p.length===1?I.localize(11,null,v.manifest.displayName||v.manifest.name,f.manifest.displayName||f.manifest.name,p[0].manifest.displayName||p[0].manifest.name):p.length===2?I.localize(12,null,v.manifest.displayName||v.manifest.name,f.manifest.displayName||f.manifest.name,p[0].manifest.displayName||p[0].manifest.name,p[1].manifest.displayName||p[1].manifest.name):I.localize(13,null,v.manifest.displayName||v.manifest.name,f.manifest.displayName||f.manifest.name,p[0].manifest.displayName||p[0].manifest.name,p[1].manifest.displayName||p[1].manifest.name)}getAllPackExtensionsToUninstall(f,p,v=[]){if(v.indexOf(f)!==-1)return[];v.push(f);const R=f.manifest.extensionPack?f.manifest.extensionPack:[];if(R.length){const M=p.filter(Z=>!Z.isBuiltin&&R.some(ne=>(0,g.areSameExtensions)({id:ne},Z.identifier))),H=[];for(const Z of M)H.push(...this.getAllPackExtensionsToUninstall(Z,p,v));return[...M,...H]}return[]}getDependents(f,p){return p.filter(v=>v.manifest.extensionDependencies&&v.manifest.extensionDependencies.some(R=>(0,g.areSameExtensions)({id:R},f.identifier)))}async updateControlCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const f=await this.galleryService.getExtensionsControlManifest();return this.logService.trace("ExtensionManagementService.refreshControlCache",f),f}catch{return this.logService.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[],deprecated:{}}}}createInstallExtensionTask(f,p,v){const R=this.createDefaultInstallExtensionTask(f,p,v);return v.profileLocation&&this.userDataProfilesService.defaultProfile.extensionsResource?new i(R,v.profileLocation,this.userDataProfilesService.defaultProfile.extensionsResource,this.extensionsProfileScannerService):R}createWaitUntilInstallExtensionTaskIsFinishedTask(f,p){return!p.profileLocation||!this.userDataProfilesService.defaultProfile.extensionsResource||f instanceof i&&this.uriIdenityService.extUri.isEqual(f.profileLocation,p.profileLocation)?f:new i(f,p.profileLocation,this.userDataProfilesService.defaultProfile.extensionsResource,this.extensionsProfileScannerService)}createUninstallExtensionTask(f,p,v){return v&&this.userDataProfilesService.defaultProfile.extensionsResource?new r(f,v,this.userDataProfilesService,this.extensionsProfileScannerService):this.createDefaultUninstallExtensionTask(f,p)}};S=de([oe(0,u.IUserDataProfilesService),oe(1,h.IUriIdentityService),oe(2,b.IExtensionGalleryService),oe(3,w.IExtensionsProfileScannerService),oe(4,y.ITelemetryService),oe(5,a.ILogService),oe(6,d.IProductService)],S),e.AbstractExtensionManagementService=S;function l(o){const f=Array.isArray(o)?o:[o];return f.length===1?f[0]instanceof Error?f[0]:new Error(f[0]):f.reduce((p,v)=>new Error(`${p.message}${p.message?",":""}${v instanceof Error?v.message:v}`),new Error(""))}e.joinErrors=l;function s(o){if(o instanceof b.ExtensionManagementError)return o;const f=new b.ExtensionManagementError(o.message,b.ExtensionManagementErrorCode.Internal);return f.stack=o.stack,f}function t(o,f,{extensionData:p,duration:v,error:R,durationSinceUpdate:M}){const H=R?R instanceof b.ExtensionManagementError?R.code:b.ExtensionManagementErrorCode.Internal:void 0;o.publicLog(f,{...p,success:!R,duration:v,errorcode:H,durationSinceUpdate:M})}e.reportTelemetry=t;class n{constructor(){this.barrier=new D.Barrier}async waitUntilTaskIsFinished(){return await this.barrier.wait(),this.cancellablePromise}async run(){return this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(f=>this.doRun(f))),this.barrier.open(),this.cancellablePromise}cancel(){this.cancellablePromise||(this.cancellablePromise=(0,D.createCancelablePromise)(f=>new Promise((p,v)=>{const R=f.onCancellationRequested(()=>{R.dispose(),v(new L.CancellationError)})})),this.barrier.open()),this.cancellablePromise.cancel()}}e.AbstractExtensionTask=n;class i{constructor(f,p,v,R){this.task=f,this.profileLocation=p,this.defaultProfileLocation=v,this.extensionsProfileScannerService=R,this.identifier=this.task.identifier,this.source=this.task.source,this.operation=this.task.operation,this.promise=this.waitAndAddExtensionToProfile()}async waitAndAddExtensionToProfile(){const f=await this.task.waitUntilTaskIsFinished(),p=f.local.isApplicationScoped?this.defaultProfileLocation:this.profileLocation;return await this.extensionsProfileScannerService.addExtensionsToProfile([[f.local,f.metadata]],p),f}async run(){return await this.task.run(),this.promise}waitUntilTaskIsFinished(){return this.promise}cancel(){return this.task.cancel()}}class r extends n{constructor(f,p,v,R){super();this.extension=f,this.profileLocation=p,this.userDataProfilesService=v,this.extensionsProfileScannerService=R}async doRun(f){const p=[];p.push(this.extensionsProfileScannerService.removeExtensionFromProfile(this.extension.identifier,this.profileLocation)),this.extension.isApplicationScoped&&this.userDataProfilesService.defaultProfile.extensionsResource&&p.push(this.extensionsProfileScannerService.removeExtensionFromProfile(this.extension.identifier,this.userDataProfilesService.defaultProfile.extensionsResource)),await Promise.all(p)}}}),define(ee[49],te([0,1,19,4,24,15,12,51,74,2,16,14,13,17,40,55,7,9,87,18,23,37,46,11,10,8,27,3,44,38,26]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d,y,h,u,S,l,s,t,n,i,r,o,f,p,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtensionsScannerService=e.toExtensionDescription=e.AbstractExtensionsScannerService=e.IExtensionsScannerService=e.Translations=void 0;var M;(function(ce){function x(j,K){if(j===K)return!0;const z=Object.keys(j),A=new Set;for(const B of Object.keys(K))A.add(B);if(z.length!==A.size)return!1;for(const B of z){if(j[B]!==K[B])return!1;A.delete(B)}return A.size===0}ce.equals=x})(M=e.Translations||(e.Translations={})),e.IExtensionsScannerService=(0,i.createDecorator)("IExtensionsScannerService");let H=class extends m.Disposable{constructor(x,j,K,z,A,B,T,U,N,$){super();this.systemExtensionsLocation=x,this.userExtensionsLocation=j,this.extensionsControlLocation=K,this.cacheLocation=z,this.userDataProfilesService=A,this.extensionsProfileScannerService=B,this.fileService=T,this.logService=U,this.environmentService=N,this.productService=$,this._onDidChangeCache=this._register(new f.Emitter),this.onDidChangeCache=this._onDidChangeCache.event,this.obsoleteFile=(0,w.joinPath)(this.userExtensionsLocation,".obsolete"),this.systemExtensionsCachedScanner=this._register(new Q((0,w.joinPath)(this.cacheLocation,s.BUILTIN_MANIFEST_CACHE_FILE),this.obsoleteFile,this.extensionsProfileScannerService,this.fileService,this.logService)),this.userExtensionsCachedScanner=this._register(new Q((0,w.joinPath)(this.cacheLocation,s.USER_MANIFEST_CACHE_FILE),this.obsoleteFile,this.extensionsProfileScannerService,this.fileService,this.logService)),this.extensionsScanner=this._register(new ne(this.obsoleteFile,this.extensionsProfileScannerService,this.fileService,this.logService)),this._register(this.systemExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(0))),this._register(this.userExtensionsCachedScanner.onDidChangeCache(()=>this._onDidChangeCache.fire(1)))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,l.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async scanAllExtensions(x,j){const[K,z]=await Promise.all([this.scanSystemExtensions(x),this.scanUserExtensions(j)]),A=await this.scanExtensionsUnderDevelopment(x,[...K,...z]);return this.dedupExtensions(K,z,A,await this.getTargetPlatform(),!0)}async scanSystemExtensions(x){const j=[];j.push(this.scanDefaultSystemExtensions(!!x.useCache,x.language)),j.push(this.scanDevSystemExtensions(x.language,!!x.checkControlFile));const[K,z]=await Promise.all(j);return this.applyScanOptions([...K,...z],0,x,!1)}async scanUserExtensions(x){this.logService.trace("Started scanning user extensions");const j=await this.createExtensionScannerInput(x.profileLocation??this.userExtensionsLocation,!!x.profileLocation,1,!x.includeUninstalled,x.language);let z=await(x.useCache&&!j.devMode&&j.excludeObsolete?this.userExtensionsCachedScanner:this.extensionsScanner).scanExtensions(j);return z=await this.applyScanOptions(z,1,x,!0),this.logService.trace("Scanned user extensions:",z.length),z}async scanExtensionsUnderDevelopment(x,j){if(this.environmentService.isExtensionDevelopment&&this.environmentService.extensionDevelopmentLocationURI){const K=(await Promise.all(this.environmentService.extensionDevelopmentLocationURI.filter(z=>z.scheme===I.Schemas.file).map(async z=>{const A=await this.createExtensionScannerInput(z,!1,1,!0,x.language,!1);return(await this.extensionsScanner.scanOneOrMultipleExtensions(A)).map(T=>(T.type=j.find(U=>(0,l.areSameExtensions)(U.identifier,T.identifier))?.type??T.type,this.extensionsScanner.validate(T,A)))}))).flat();return this.applyScanOptions(K,"development",x,!0)}return[]}async scanExistingExtension(x,j,K){const z=await this.createExtensionScannerInput(x,!1,j,!0,K.language),A=await this.extensionsScanner.scanExtension(z);return!A||!K.includeInvalid&&!A.isValid?null:A}async scanOneOrMultipleExtensions(x,j,K){const z=await this.createExtensionScannerInput(x,!1,j,!0,K.language),A=await this.extensionsScanner.scanOneOrMultipleExtensions(z);return this.applyScanOptions(A,j,K,!0)}async scanMetadata(x){const j=(0,w.joinPath)(x,"package.json"),K=(await this.fileService.readFile(j)).value.toString();return JSON.parse(K).__metadata}async updateMetadata(x,j){const K=(0,w.joinPath)(x,"package.json"),z=(await this.fileService.readFile(K)).value.toString(),A=JSON.parse(z);j.isMachineScoped=j.isMachineScoped||void 0,j.isBuiltin=j.isBuiltin||void 0,j.installedTimestamp=j.installedTimestamp||void 0,A.__metadata={...A.__metadata,...j},await this.fileService.writeFile((0,w.joinPath)(x,"package.json"),L.VSBuffer.fromString(JSON.stringify(A,null,"	")))}async applyScanOptions(x,j,K,z){return K.includeAllVersions||(x=this.dedupExtensions(j===0?x:void 0,j===1?x:void 0,j==="development"?x:void 0,await this.getTargetPlatform(),z)),K.includeInvalid||(x=x.filter(A=>A.isValid)),x.sort((A,B)=>{const T=b.basename(A.location.fsPath),U=b.basename(B.location.fsPath);return T<U?-1:T>U?1:0})}dedupExtensions(x,j,K,z,A){const B=(U,N)=>{if(U.isValid&&!N.isValid)return!1;if(U.isValid===N.isValid){if(A&&a.gt(U.manifest.version,N.manifest.version))return this.logService.debug(`Skipping extension ${N.location.path} with lower version ${N.manifest.version} in favour of ${U.location.path} with version ${U.manifest.version}`),!1;if(a.eq(U.manifest.version,N.manifest.version)){if(U.type===0)return this.logService.debug(`Skipping extension ${N.location.path} in favour of system extension ${U.location.path} with same version`),!1;if(U.targetPlatform===z)return this.logService.debug(`Skipping extension ${N.location.path} from different target platform ${N.targetPlatform}`),!1}}return U.type===0?this.logService.debug(`Overwriting system extension ${U.location.path} with ${N.location.path}.`):this.logService.warn(`Overwriting user extension ${U.location.path} with ${N.location.path}.`),!0},T=new Map;return x?.forEach(U=>{const N=s.ExtensionIdentifier.toKey(U.identifier.id),$=T.get(N);(!$||B($,U))&&T.set(N,U)}),j?.forEach(U=>{const N=s.ExtensionIdentifier.toKey(U.identifier.id),$=T.get(N);if(!$&&x&&U.type===0){this.logService.debug(`Skipping obsolete system extension ${U.location.path}.`);return}(!$||B($,U))&&T.set(N,U)}),K?.forEach(U=>{const N=s.ExtensionIdentifier.toKey(U.identifier.id),$=T.get(N);(!$||B($,U))&&T.set(N,U),T.set(N,U)}),[...T.values()]}async scanDefaultSystemExtensions(x,j){this.logService.trace("Started scanning system extensions");const K=await this.createExtensionScannerInput(this.systemExtensionsLocation,!1,0,!0,j),A=await(x&&!K.devMode?this.systemExtensionsCachedScanner:this.extensionsScanner).scanExtensions(K);return this.logService.trace("Scanned system extensions:",A.length),A}async scanDevSystemExtensions(x,j){const K=this.environmentService.isBuilt?[]:this.productService.builtInExtensions;if(!K?.length)return[];this.logService.trace("Started scanning dev system extensions");const z=j?await this.getBuiltInExtensionControl():{},A=[],B=h.URI.file(b.normalize(b.join(I.FileAccess.asFileUri("",q).fsPath,"..",".build","builtInExtensions")));for(const U of K){const N=z[U.name]||"marketplace";switch(N){case"disabled":break;case"marketplace":A.push((0,w.joinPath)(B,U.name));break;default:A.push(h.URI.file(N));break}}const T=await Promise.all(A.map(async U=>this.extensionsScanner.scanExtension(await this.createExtensionScannerInput(U,!1,0,!0,x))));return this.logService.trace("Scanned dev system extensions:",T.length),(0,C.coalesce)(T)}async getBuiltInExtensionControl(){try{const x=await this.fileService.readFile(this.extensionsControlLocation);return JSON.parse(x.value.toString())}catch{return{}}}async createExtensionScannerInput(x,j,K,z,A,B=!0){const T=await this.getTranslations(A??g.language),U=await this.getMtime(x),N=j?this.userDataProfilesService.defaultProfile.extensionsResource:void 0,$=N?await this.getMtime(N):void 0;return new Z(x,U,N,$,j,K,z,B,this.productService.version,this.productService.date,this.productService.commit,!this.environmentService.isBuilt,A,T)}async getMtime(x){try{const j=await this.fileService.stat(x);if(typeof j.mtime=="number")return j.mtime}catch{}}};H=de([oe(4,R.IUserDataProfilesService),oe(5,v.IExtensionsProfileScannerService),oe(6,n.IFileService),oe(7,r.ILogService),oe(8,S.IEnvironmentService),oe(9,o.IProductService)],H),e.AbstractExtensionsScannerService=H;class Z{constructor(x,j,K,z,A,B,T,U,N,$,O,F,W,_){this.location=x,this.mtime=j,this.applicationExtensionslocation=K,this.applicationExtensionslocationMtime=z,this.profile=A,this.type=B,this.excludeObsolete=T,this.validate=U,this.productVersion=N,this.productDate=$,this.productCommit=O,this.devMode=F,this.language=W,this.translations=_}static createNlsConfiguration(x){return{language:x.language,pseudo:x.language==="pseudo",devMode:x.devMode,translations:x.translations}}static equals(x,j){return(0,w.isEqual)(x.location,j.location)&&x.mtime===j.mtime&&(0,w.isEqual)(x.applicationExtensionslocation,j.applicationExtensionslocation)&&x.applicationExtensionslocationMtime===j.applicationExtensionslocationMtime&&x.profile===j.profile&&x.type===j.type&&x.excludeObsolete===j.excludeObsolete&&x.validate===j.validate&&x.productVersion===j.productVersion&&x.productDate===j.productDate&&x.productCommit===j.productCommit&&x.devMode===j.devMode&&x.language===j.language&&M.equals(x.translations,j.translations)}}class ne extends m.Disposable{constructor(x,j,K,z){super();this.obsoleteFile=x,this.extensionsProfileScannerService=j,this.fileService=K,this.logService=z}async scanExtensions(x){const j=x.profile?await this.scanExtensionsFromProfile(x):await this.scanExtensionsFromLocation(x);let K={};if(x.excludeObsolete&&x.type===1)try{const z=(await this.fileService.readFile(this.obsoleteFile)).value.toString();K=JSON.parse(z)}catch{}return(0,y.isEmptyObject)(K)?j:j.filter(z=>!K[l.ExtensionKey.create(z).toString()])}async scanExtensionsFromLocation(x){const j=await this.fileService.resolve(x.location);if(!j.children?.length)return[];const K=await Promise.all(j.children.map(async z=>{if(!z.isDirectory||x.type===1&&(0,w.basename)(z.resource).indexOf(".")===0)return null;const A=new Z(z.resource,x.mtime,x.applicationExtensionslocation,x.applicationExtensionslocationMtime,x.profile,x.type,x.excludeObsolete,x.validate,x.productVersion,x.productDate,x.productCommit,x.devMode,x.language,x.translations);return this.scanExtension(A)}));return(0,C.coalesce)(K).sort((z,A)=>z.location.path<A.location.path?-1:1)}async scanExtensionsFromProfile(x){const j=await this.scanExtensionsFromProfileResource(x.location,()=>!0,x),K=await this.scanApplicationExtensions(x);return[...j,...K]}async scanApplicationExtensions(x){return x.applicationExtensionslocation?this.scanExtensionsFromProfileResource(x.applicationExtensionslocation,j=>!!j.metadata?.isApplicationScoped,x):[]}async scanExtensionsFromProfileResource(x,j,K){const z=await this.extensionsProfileScannerService.scanProfileExtensions(x);if(!z.length)return[];const A=await Promise.all(z.map(async B=>{if(j(B)){const T=new Z(B.location,K.mtime,K.applicationExtensionslocation,K.applicationExtensionslocationMtime,K.profile,K.type,K.excludeObsolete,K.validate,K.productVersion,K.productDate,K.productCommit,K.devMode,K.language,K.translations);return this.scanExtension(T,B.metadata)}return null}));return(0,C.coalesce)(A)}async scanOneOrMultipleExtensions(x){try{if(await this.fileService.exists((0,w.joinPath)(x.location,"package.json"))){const j=await this.scanExtension(x);return j?[j]:[]}else return await this.scanExtensions(x)}catch(j){return this.logService.error(`Error scanning extensions at ${x.location.path}:`,(0,k.getErrorMessage)(j)),[]}}async scanExtension(x,j){try{let K=await this.scanExtensionManifest(x.location);if(K){K.publisher||(K.publisher=s.UNDEFINED_PUBLISHER),j=j??K.__metadata,delete K.__metadata;const z=(0,l.getGalleryExtensionId)(K.publisher,K.name),A=j?.id?{id:z,uuid:j.id}:{id:z},B=j?.isSystem?0:x.type,T=B===0||!!j?.isBuiltin;K=await this.translateManifest(x.location,K,Z.createNlsConfiguration(x));const U={type:B,identifier:A,manifest:K,location:x.location,isBuiltin:T,targetPlatform:j?.targetPlatform??"undefined",metadata:j,isValid:!0,validations:[]};return x.validate?this.validate(U,x):U}}catch(K){x.type!==0&&this.logService.error(K)}return null}validate(x,j){let K=!0;const z=(0,t.validateExtensionManifest)(j.productVersion,j.productDate,j.location,x.manifest,x.isBuiltin);for(const[A,B]of z)A===d.default.Error&&(K=!1,this.logService.error(this.formatMessage(j.location,B)));return x.isValid=K,x.validations=z,x}async scanExtensionManifest(x){const j=(0,w.joinPath)(x,"package.json");let K;try{K=(await this.fileService.readFile(j)).value.toString()}catch(A){return(0,n.toFileOperationResult)(A)!==1&&this.logService.error(this.formatMessage(x,(0,u.localize)(0,null,j.path,A.message))),null}let z;try{z=JSON.parse(K)}catch{const B=[];(0,E.parse)(K,B);for(const T of B)this.logService.error(this.formatMessage(x,(0,u.localize)(1,null,j.path,T.offset,T.length,(0,c.getParseErrorMessage)(T.error))));return null}return(0,E.getNodeType)(z)!=="object"?(this.logService.error(this.formatMessage(x,(0,u.localize)(2,null,j.path))),null):z}async translateManifest(x,j,K){const z=await this.getLocalizedMessages(x,j,K);if(z)try{const A=[],B=await this.resolveOriginalMessageBundle(z.default,A);if(A.length>0)return A.forEach(U=>{this.logService.error(this.formatMessage(x,(0,u.localize)(3,null,z.default?.path,(0,c.getParseErrorMessage)(U.error))))}),j;if((0,E.getNodeType)(z)!=="object")return this.logService.error(this.formatMessage(x,(0,u.localize)(4,null,z.default?.path))),j;const T=z.values||Object.create(null);this.replaceNLStrings(K.pseudo,j,T,B,x)}catch{}return j}async getLocalizedMessages(x,j,K){const z=(0,w.joinPath)(x,"package.nls.json"),A=(N,$)=>{$.forEach(O=>{this.logService.error(this.formatMessage(x,(0,u.localize)(5,null,N?.path,(0,c.getParseErrorMessage)(O.error))))})},B=N=>{this.logService.error(this.formatMessage(x,(0,u.localize)(6,null,N?.path)))},T=`${j.publisher}.${j.name}`,U=K.translations[T];if(U)try{const N=h.URI.file(U),$=(await this.fileService.readFile(N)).value.toString(),O=[],F=(0,E.parse)($,O);return O.length>0?(A(N,O),{values:void 0,default:z}):(0,E.getNodeType)(F)!=="object"?(B(N),{values:void 0,default:z}):{values:F.contents?F.contents.package:void 0,default:z}}catch{return{values:void 0,default:z}}else{if(!await this.fileService.exists(z))return;let $;try{$=await this.findMessageBundles(x,K)}catch{return}if(!$.localized)return{values:void 0,default:$.original};try{const O=(await this.fileService.readFile($.localized)).value.toString(),F=[],W=(0,E.parse)(O,F);return F.length>0?(A($.localized,F),{values:void 0,default:$.original}):(0,E.getNodeType)(W)!=="object"?(B($.localized),{values:void 0,default:$.original}):{values:W,default:$.original}}catch{return{values:void 0,default:$.original}}}}async resolveOriginalMessageBundle(x,j){if(x)try{const K=(await this.fileService.readFile(x)).value.toString();return(0,E.parse)(K,j)}catch{return null}else return null}findMessageBundles(x,j){return new Promise((K,z)=>{const A=B=>{const T=(0,w.joinPath)(x,`package.nls.${B}.json`);this.fileService.exists(T).then(U=>{U&&K({localized:T,original:(0,w.joinPath)(x,"package.nls.json")});const N=B.lastIndexOf("-");N===-1?K({localized:(0,w.joinPath)(x,"package.nls.json"),original:null}):(B=B.substring(0,N),A(B))})};if(j.devMode||j.pseudo||!j.language)return K({localized:(0,w.joinPath)(x,"package.nls.json"),original:null});A(j.language)})}replaceNLStrings(x,j,K,z,A){const B=(T,U,N)=>{const $=T[U];if((0,y.isString)($)){const O=$,F=O.length;if(F>1&&O[0]==="%"&&O[F-1]==="%"){const W=O.substr(1,F-2);let _=K[W];_===void 0&&z&&(_=z[W]);let J=typeof _=="string"?_:typeof _?.message=="string"?_.message:void 0;J!==void 0?(x&&(J="\uFF3B"+J.replace(/[aouei]/g,"$&$&")+"\uFF3D"),T[U]=N&&(U==="title"||U==="category")&&z?{value:J,original:z[W]}:J):this.logService.warn(this.formatMessage(A,(0,u.localize)(7,null,W)))}}else if((0,y.isObject)($))for(const O in $)$.hasOwnProperty(O)&&(O==="commands"?B($,O,!0):B($,O,N));else if((0,y.isArray)($))for(let O=0;O<$.length;O++)B($,O,N)};for(const T in j)j.hasOwnProperty(T)&&B(j,T)}formatMessage(x,j){return`[${x.path}]: ${j}`}}class Q extends ne{constructor(x,j,K,z,A){super(j,K,z,A);this.cacheFile=x,this.cacheValidatorThrottler=this._register(new D.ThrottledDelayer(3e3)),this._onDidChangeCache=this._register(new f.Emitter),this.onDidChangeCache=this._onDidChangeCache.event}async scanExtensions(x){const j=await this.readExtensionCache();if(this.input=x,j&&j.input&&Z.equals(j.input,this.input))return this.cacheValidatorThrottler.trigger(()=>this.validateCache()),j.result.map(z=>(z.location=h.URI.revive(z.location),z));const K=await super.scanExtensions(x);return await this.writeExtensionCache({input:x,result:K}),K}async readExtensionCache(){try{const x=await this.fileService.readFile(this.cacheFile),j=JSON.parse(x.value.toString());return{result:j.result,input:(0,p.revive)(j.input)}}catch(x){this.logService.debug("Error while reading the extension cache file:",this.cacheFile.path,(0,k.getErrorMessage)(x))}return null}async writeExtensionCache(x){try{await this.fileService.writeFile(this.cacheFile,L.VSBuffer.fromString(JSON.stringify(x)))}catch(j){this.logService.debug("Error while writing the extension cache file:",this.cacheFile.path,(0,k.getErrorMessage)(j))}}async validateCache(){if(!this.input)return;const x=await this.readExtensionCache();if(!x)return;const j=x.result,K=JSON.parse(JSON.stringify(await super.scanExtensions(this.input)));if(!P.equals(K,j))try{await this.fileService.del(this.cacheFile),this._onDidChangeCache.fire()}catch(z){this.logService.error(z)}}}function se(ce,x){const j=(0,l.getExtensionId)(ce.manifest.publisher,ce.manifest.name);return{id:j,identifier:new s.ExtensionIdentifier(j),isBuiltin:ce.type===0,isUserBuiltin:ce.type===1&&ce.isBuiltin,isUnderDevelopment:x,extensionLocation:ce.location,uuid:ce.identifier.uuid,targetPlatform:ce.targetPlatform,...ce.manifest}}e.toExtensionDescription=se;class Y extends H{constructor(x,j,K,z,A,B,T,U,N,$){super(x,j,(0,w.joinPath)(K,".vscode-oss-dev","extensions","control.json"),(0,w.joinPath)(z,s.MANIFEST_CACHE_FOLDER),A,B,T,U,N,$);this.translationsPromise=(async()=>{if(g.translationsConfigFile)try{const O=await this.fileService.readFile(h.URI.file(g.translationsConfigFile));return JSON.parse(O.value.toString())}catch{}return Object.create(null)})()}getTranslations(x){return this.translationsPromise}}e.NativeExtensionsScannerService=Y}),define(ee[140],te([0,1,45,4,28,3,2,16,14,20,8,26]),function(q,e,C,D,P,L,k,E,c,m,I,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let g=class extends k.Disposable{constructor(a,d){super();this.userDataProfilesService=a,this.logService=d,this.processesLimiter=new D.Limiter(5)}async postUninstall(a){const d=this.parseScript(a,"uninstall");return d&&(this.logService.info(a.identifier.id,a.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(d.script,"uninstall",d.args,!0,a).then(()=>this.logService.info(a.identifier.id,a.manifest.version,"Finished running post uninstall script"),y=>this.logService.error(a.identifier.id,a.manifest.version,`Failed to run post uninstall script: ${y}`)))),m.Promises.rm(this.getExtensionStoragePath(a)).then(void 0,y=>this.logService.error("Error while removing extension storage path",y))}parseScript(a,d){const y=`vscode:${d}`;if(a.location.scheme===E.Schemas.file&&a.manifest&&a.manifest.scripts&&typeof a.manifest.scripts[y]=="string"){const h=a.manifest.scripts[y].split(" ");return h.length<2||h[0]!=="node"||!h[1]?(this.logService.warn(a.identifier.id,a.manifest.version,`${y} should be a node script`),null):{script:(0,c.join)(a.location.fsPath,h[1]),args:h.slice(2)||[]}}return null}runLifecycleHook(a,d,y,h,u){return new Promise((S,l)=>{const s=this.start(a,d,y,u);let t;const n=i=>{t&&(clearTimeout(t),t=null),i?l(i):S(void 0)};s.on("error",i=>{n((0,P.toErrorMessage)(i)||"Unknown")}),s.on("exit",(i,r)=>{n(i?`post-${d} process exited with code ${i}`:void 0)}),h&&(t=setTimeout(()=>{t=null,s.kill(),l("timed out")},5e3))})}start(a,d,y,h){const u={silent:!0,execArgv:void 0},S=(0,C.fork)(a,[`--type=extension-post-${d}`,...y],u);S.stdout.setEncoding("utf8"),S.stderr.setEncoding("utf8");const l=L.Event.fromNodeEventEmitter(S.stdout,"data"),s=L.Event.fromNodeEventEmitter(S.stderr,"data");l(i=>this.logService.info(h.identifier.id,h.manifest.version,`post-${d}`,i)),s(i=>this.logService.error(h.identifier.id,h.manifest.version,`post-${d}`,i));const t=L.Event.any(L.Event.map(l,i=>({data:`%c${i}`,format:[""]})),L.Event.map(s,i=>({data:`%c${i}`,format:["color: red"]})));return L.Event.debounce(t,(i,r)=>i?{data:i.data+r.data,format:[...i.format,...r.format]}:{data:r.data,format:r.format},100)(i=>{console.group(h.identifier.id),console.log(i.data,...i.format),console.groupEnd()}),S}getExtensionStoragePath(a){return(0,c.join)(this.userDataProfilesService.defaultProfile.globalStorageHome.fsPath,a.identifier.id.toLowerCase())}};g=de([oe(0,b.IUserDataProfilesService),oe(1,I.ILogService)],g),e.ExtensionsLifecycle=g}),define(ee[141],te([0,1,9,18,38,49,11,8,27,26]),function(q,e,C,D,P,L,k,E,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScannerService=void 0;let I=class extends L.NativeExtensionsScannerService{constructor(g,w,a,d,y,h){super(C.URI.file(y.builtinExtensionsPath),C.URI.file(y.extensionsPath),y.userHome,C.URI.file(y.userDataPath),g,w,a,d,y,h)}};I=de([oe(0,m.IUserDataProfilesService),oe(1,P.IExtensionsProfileScannerService),oe(2,k.IFileService),oe(3,E.ILogService),oe(4,D.INativeEnvironmentService),oe(5,c.IProductService)],I),e.ExtensionsScannerService=I}),define(ee[142],te([0,1,4,3,2,112,7,77,10,26]),function(q,e,C,D,P,L,k,E,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.isProfileUsingDefaultStorage=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const I="__$__targetStorageMarker";e.IStorageService=(0,c.createDecorator)("storageService");var b;(function(u){u[u.NONE=0]="NONE",u[u.SHUTDOWN=1]="SHUTDOWN"})(b=e.WillSaveStateReason||(e.WillSaveStateReason={}));var g;(function(u){u[u.APPLICATION=-1]="APPLICATION",u[u.PROFILE=0]="PROFILE",u[u.WORKSPACE=1]="WORKSPACE"})(g=e.StorageScope||(e.StorageScope={}));var w;(function(u){u[u.USER=0]="USER",u[u.MACHINE=1]="MACHINE"})(w=e.StorageTarget||(e.StorageTarget={}));class a extends P.Disposable{constructor(S={flushInterval:a.DEFAULT_FLUSH_INTERVAL}){super();this.options=S,this._onDidChangeValue=this._register(new D.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new D.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new D.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new C.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new P.MutableDisposable),this._workspaceKeyTargets=void 0,this._profileKeyTargets=void 0,this._applicationKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=(0,C.runWhenIdle)(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){(0,P.dispose)([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{(0,L.mark)("code/willInitStorage");try{await this.doInitialize()}finally{(0,L.mark)("code/didInitStorage")}this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(S,l){if(l===I){switch(S){case-1:this._applicationKeyTargets=void 0;break;case 0:this._profileKeyTargets=void 0;break;case 1:this._workspaceKeyTargets=void 0;break}this._onDidChangeTarget.fire({scope:S})}else this._onDidChangeValue.fire({scope:S,key:l,target:this.getKeyTargets(S)[l]})}emitWillSaveState(S){this._onWillSaveState.fire({reason:S})}get(S,l,s){return this.getStorage(l)?.get(S,s)}getBoolean(S,l,s){return this.getStorage(l)?.getBoolean(S,s)}getNumber(S,l,s){return this.getStorage(l)?.getNumber(S,s)}store(S,l,s,t){if((0,k.isUndefinedOrNull)(l)){this.remove(S,s);return}this.withPausedEmitters(()=>{this.updateKeyTarget(S,s,t),this.getStorage(s)?.set(S,l)})}remove(S,l){this.withPausedEmitters(()=>{this.updateKeyTarget(S,l,void 0),this.getStorage(l)?.delete(S)})}withPausedEmitters(S){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{S()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(S,l){const s=[],t=this.getKeyTargets(S);for(const n of Object.keys(t))t[n]===l&&s.push(n);return s}updateKeyTarget(S,l,s){const t=this.getKeyTargets(l);typeof s=="number"?t[S]!==s&&(t[S]=s,this.getStorage(l)?.set(I,JSON.stringify(t))):typeof t[S]=="number"&&(delete t[S],this.getStorage(l)?.set(I,JSON.stringify(t)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get profileKeyTargets(){return this._profileKeyTargets||(this._profileKeyTargets=this.loadKeyTargets(0)),this._profileKeyTargets}get applicationKeyTargets(){return this._applicationKeyTargets||(this._applicationKeyTargets=this.loadKeyTargets(-1)),this._applicationKeyTargets}getKeyTargets(S){switch(S){case-1:return this.applicationKeyTargets;case 0:return this.profileKeyTargets;default:return this.workspaceKeyTargets}}loadKeyTargets(S){const l=this.get(I,S);if(l)try{return JSON.parse(l)}catch{}return Object.create(null)}isNew(S){return this.getBoolean(e.IS_NEW_KEY,S)===!0}async flush(S=b.NONE){this._onWillSaveState.fire({reason:S});const l=this.getStorage(-1),s=this.getStorage(0),t=this.getStorage(1);switch(S){case b.NONE:await C.Promises.settled([l?.whenFlushed()??Promise.resolve(),s?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case b.SHUTDOWN:await C.Promises.settled([l?.flush(0)??Promise.resolve(),s?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const S=this.getStorage(-1)?.items??new Map,l=this.getStorage(0)?.items??new Map,s=this.getStorage(1)?.items??new Map;return h(S,l,s,this.getLogDetails(-1)??"",this.getLogDetails(0)??"",this.getLogDetails(1)??"")}async switch(S,l){return this.emitWillSaveState(b.NONE),(0,m.isUserDataProfile)(S)?this.switchToProfile(S,l):this.switchToWorkspace(S,l)}canSwitchProfile(S,l){return!(S.id===l.id||d(l)&&d(S))}switchData(S,l,s,t){this.withPausedEmitters(()=>{if(t)for(const[n,i]of S)l.set(n,i);else{const n=new Set;for(const[i,r]of S)n.add(i),l.get(i)!==r&&this.emitDidChangeValue(s,i);for(const[i]of l.items)n.has(i)||this.emitDidChangeValue(s,i)}})}}e.AbstractStorageService=a,a.DEFAULT_FLUSH_INTERVAL=60*1e3;function d(u){return u.isDefault||!!u.useDefaultFlags?.uiState}e.isProfileUsingDefaultStorage=d;class y extends a{constructor(){super();this.applicationStorage=this._register(new E.Storage(new E.InMemoryStorageDatabase)),this.profileStorage=this._register(new E.Storage(new E.InMemoryStorageDatabase)),this.workspaceStorage=this._register(new E.Storage(new E.InMemoryStorageDatabase)),this._register(this.workspaceStorage.onDidChangeStorage(S=>this.emitDidChangeValue(1,S))),this._register(this.profileStorage.onDidChangeStorage(S=>this.emitDidChangeValue(0,S))),this._register(this.applicationStorage.onDidChangeStorage(S=>this.emitDidChangeValue(-1,S)))}getStorage(S){switch(S){case-1:return this.applicationStorage;case 0:return this.profileStorage;default:return this.workspaceStorage}}getLogDetails(S){switch(S){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async doInitialize(){}async switchToProfile(){}async switchToWorkspace(){}}e.InMemoryStorageService=y;async function h(u,S,l,s,t,n){const i=Z=>{try{return JSON.parse(Z)}catch{return Z}},r=new Map,o=new Map;u.forEach((Z,ne)=>{r.set(ne,Z),o.set(ne,i(Z))});const f=new Map,p=new Map;S.forEach((Z,ne)=>{f.set(ne,Z),p.set(ne,i(Z))});const v=new Map,R=new Map;l.forEach((Z,ne)=>{v.set(ne,Z),R.set(ne,i(Z))}),console.group(s!==t?`Storage: Application (path: ${s})`:`Storage: Application & Profile (path: ${s}, default profile)`);const M=[];if(r.forEach((Z,ne)=>{M.push({key:ne,value:Z})}),console.table(M),console.groupEnd(),console.log(o),s!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const Z=[];f.forEach((ne,Q)=>{Z.push({key:Q,value:ne})}),console.table(Z),console.groupEnd(),console.log(p)}console.group(`Storage: Workspace (path: ${n})`);const H=[];v.forEach((Z,ne)=>{H.push({key:ne,value:Z})}),console.table(H),console.groupEnd(),console.log(R)}e.logStorage=h}),define(ee[143],te([0,1,19,25,12,13,30,7,9,21,18,22,23,46,11,8,27,48,131,142,32]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d,y,h,u,S,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGalleryServiceWithNoStorageService=e.ExtensionGalleryService=e.sortExtensionVersions=void 0;const s=L.isWeb?"web":(0,b.getTargetPlatform)(L.platform,k.arch);var t;(function(O){O[O.None=0]="None",O[O.IncludeVersions=1]="IncludeVersions",O[O.IncludeFiles=2]="IncludeFiles",O[O.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",O[O.IncludeSharedAccounts=8]="IncludeSharedAccounts",O[O.IncludeVersionProperties=16]="IncludeVersionProperties",O[O.ExcludeNonValidated=32]="ExcludeNonValidated",O[O.IncludeInstallationTargets=64]="IncludeInstallationTargets",O[O.IncludeAssetUri=128]="IncludeAssetUri",O[O.IncludeStatistics=256]="IncludeStatistics",O[O.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",O[O.Unpublished=4096]="Unpublished",O[O.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(t||(t={}));function n(...O){return String(O.reduce((F,W)=>F|W,0))}var i;(function(O){O[O.Tag=1]="Tag",O[O.ExtensionId=4]="ExtensionId",O[O.Category=5]="Category",O[O.ExtensionName=7]="ExtensionName",O[O.Target=8]="Target",O[O.Featured=9]="Featured",O[O.SearchText=10]="SearchText",O[O.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const r={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},o={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension",SponsorLink:"Microsoft.VisualStudio.Code.SponsorLink"},p={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:t.None,criteria:[],assetTypes:[]};class v{constructor(F=p){this.state=F}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(F,W=this.state.pageSize){return new v({...this.state,pageNumber:F,pageSize:W})}withFilter(F,...W){const _=[...this.state.criteria,...W.length?W.map(J=>({filterType:F,value:J})):[{filterType:F}]];return new v({...this.state,criteria:_})}withSortBy(F){return new v({...this.state,sortBy:F})}withSortOrder(F){return new v({...this.state,sortOrder:F})}withFlags(...F){return new v({...this.state,flags:F.reduce((W,_)=>W|_,0)})}withAssetTypes(...F){return new v({...this.state,assetTypes:F})}withSource(F){return new v({...this.state,source:F})}get raw(){const{criteria:F,pageNumber:W,pageSize:_,sortBy:J,sortOrder:ie,flags:le,assetTypes:fe}=this.state;return{filters:[{criteria:F,pageNumber:W,pageSize:_,sortBy:J,sortOrder:ie}],assetTypes:fe,flags:le}}get searchText(){const F=this.state.criteria.filter(W=>W.filterType===i.SearchText)[0];return F&&F.value?F.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(F=>String(F.filterType)),flags:this.state.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder),pageNumber:String(this.pageNumber),source:this.state.source,searchTextLength:this.searchText.length}}}function R(O,F){const W=(O||[]).filter(_=>_.statisticName===F)[0];return W?W.value:0}function M(O){const F="Microsoft.VisualStudio.Code.Translation.";return O.files.filter(_=>_.assetType.indexOf(F)===0).reduce((_,J)=>{const ie=ne(O,J.assetType);return ie&&_.push([J.assetType.substring(F.length),ie]),_},[])}function H(O){if(O.properties){const F=O.properties.filter(J=>J.key===r.Repository),W=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),_=F.filter(J=>W.test(J.value))[0];return _?{uri:_.value,fallbackUri:_.value}:null}return ne(O,r.Repository)}function Z(O){return{uri:`${O.fallbackAssetUri}/${r.VSIX}?redirect=true${O.targetPlatform?`&targetPlatform=${O.targetPlatform}`:""}`,fallbackUri:`${O.fallbackAssetUri}/${r.VSIX}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`}}function ne(O,F){return O.files.filter(_=>_.assetType===F)[0]?{uri:`${O.assetUri}/${F}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`,fallbackUri:`${O.fallbackAssetUri}/${F}${O.targetPlatform?`?targetPlatform=${O.targetPlatform}`:""}`}:null}function Q(O,F){const W=O.properties?O.properties.filter(J=>J.key===F):[],_=W.length>0&&W[0].value;return _?_.split(",").map(J=>(0,g.adoptToGalleryExtensionId)(J)):[]}function se(O){const F=O.properties?O.properties.filter(W=>W.key===o.Engine):[];return F.length>0&&F[0].value||""}function Y(O){const F=O.properties?O.properties.filter(W=>W.key===o.PreRelease):[];return F.length>0&&F[0].value==="true"}function ce(O){const F=O.properties?O.properties.filter(_=>_.key===o.LocalizedLanguages):[],W=F.length>0&&F[0].value||"";return W?W.split(","):[]}function x(O){return O.properties?.find(F=>F.key===o.SponsorLink)?.value}function j(O){return O.indexOf("preview")!==-1}function K(O){return O.targetPlatform?(0,b.toTargetPlatform)(O.targetPlatform):"undefined"}function z(O){const F=(0,C.distinct)(O.versions.map(K)),W=!!O.tags?.includes(b.WEB_EXTENSION_TAG),_=F.indexOf("web");return W?_===-1&&F.push("web"):_!==-1&&F.splice(_,1),F}function A(O,F){const W=(0,b.getFallbackTargetPlarforms)(F);for(let _=0;_<O.length;_++){const J=O[_];if(J.version===O[_-1]?.version){let ie=_;const le=K(J);if(le===F)for(;ie>0&&O[ie-1].version===J.version;)ie--;else if(W.includes(le))for(;ie>0&&O[ie-1].version===J.version&&K(O[ie-1])!==F;)ie--;ie!==_&&(O.splice(_,1),O.splice(ie,0,J))}}return O}e.sortExtensionVersions=A;function B(O,F,W){O.telemetryData={index:F,querySource:W}}function T(O,F,W){const _=O.versions[0],J={manifest:ne(F,r.Manifest),readme:ne(F,r.Details),changelog:ne(F,r.Changelog),license:ne(F,r.License),repository:H(F),download:Z(F),icon:ne(F,r.Icon),coreTranslations:M(F)};return{identifier:{id:(0,g.getGalleryExtensionId)(O.publisher.publisherName,O.extensionName),uuid:O.extensionId},name:O.extensionName,version:F.version,displayName:O.displayName,publisherId:O.publisher.publisherId,publisher:O.publisher.publisherName,publisherDisplayName:O.publisher.displayName,publisherDomain:O.publisher.domain?{link:O.publisher.domain,verified:!!O.publisher.isDomainVerified}:void 0,publisherSponsorLink:x(_),description:O.shortDescription||"",installCount:R(O.statistics,"install"),rating:R(O.statistics,"averagerating"),ratingCount:R(O.statistics,"ratingcount"),categories:O.categories||[],tags:O.tags||[],releaseDate:Date.parse(O.releaseDate),lastUpdated:Date.parse(O.lastUpdated),allTargetPlatforms:W,assets:J,properties:{dependencies:Q(F,o.Dependency),extensionPack:Q(F,o.ExtensionPack),engine:se(F),localizedLanguages:ce(F),targetPlatform:K(F),isPreReleaseVersion:Y(F)},hasPreReleaseVersion:Y(_),hasReleaseVersion:!0,preview:j(O.flags)}}let U=class{constructor(F,W,_,J,ie,le,fe,pe){this.requestService=W,this.logService=_,this.environmentService=J,this.telemetryService=ie,this.fileService=le,this.productService=fe,this.configurationService=pe;const ve=fe.extensionsGallery;this.extensionsGalleryUrl=ve&&ve.serviceUrl,this.extensionsControlUrl=ve&&ve.controlUrl,this.commonHeadersPromise=(0,u.resolveMarketplaceHeaders)(fe.version,fe,this.environmentService,this.configurationService,this.fileService,F,this.telemetryService)}api(F=""){return`${this.extensionsGalleryUrl}${F}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(F,W,_){const J=D.CancellationToken.isCancellationToken(W)?{}:W,ie=D.CancellationToken.isCancellationToken(W)?W:_,le=[],fe=[],pe=[],ve=[];let re=!0;for(const ge of F){ge.uuid?fe.push(ge.uuid):le.push(ge.id);const ye=!!(ge.version||ge.preRelease);pe.push({id:ge.id,uuid:ge.uuid,includePreRelease:ye}),ge.version&&ve.push({id:ge.id,uuid:ge.uuid,version:ge.version}),re=re&&!!ge.hasPreRelease&&!ye}if(!fe.length&&!le.length)return[];let ae=new v().withPage(1,F.length);fe.length&&(ae=ae.withFilter(i.ExtensionId,...fe)),le.length&&(ae=ae.withFilter(i.ExtensionName,...le)),(J.queryAllVersions||re)&&(ae=ae.withFlags(ae.flags,t.IncludeVersions)),J.source&&(ae=ae.withSource(J.source));const{extensions:he}=await this.queryGalleryExtensions(ae,{targetPlatform:J.targetPlatform??s,includePreRelease:pe,versions:ve,compatible:!!J.compatible},ie);return J.source&&he.forEach((ge,ye)=>B(ge,ye,J.source)),he}async getCompatibleExtension(F,W,_){if((0,b.isNotWebExtensionInWebTargetPlatform)(F.allTargetPlatforms,_))return null;if(await this.isExtensionCompatible(F,W,_))return F;const J=new v().withFlags(t.IncludeVersions).withPage(1,1).withFilter(i.ExtensionId,F.identifier.uuid),{extensions:ie}=await this.queryGalleryExtensions(J,{targetPlatform:_,compatible:!0,includePreRelease:W},D.CancellationToken.None);return ie[0]||null}async isExtensionCompatible(F,W,_){if(!(0,b.isTargetPlatformCompatible)(F.properties.targetPlatform,F.allTargetPlatforms,_)||!W&&F.properties.isPreReleaseVersion)return!1;let J=F.properties.engine;if(!J){const ie=await this.getManifest(F,D.CancellationToken.None);if(!ie)throw new Error("Manifest was not found");J=ie.engines.vscode}return(0,w.isEngineValid)(J,this.productService.version,this.productService.date)}async isValidVersion(F,W,_,J,ie){if(!(0,b.isTargetPlatformCompatible)(K(F),J,ie)||W!=="any"&&Y(F)!==(W==="prerelease"))return!1;if(_)try{const le=await this.getEngine(F);if(!(0,w.isEngineValid)(le,this.productService.version,this.productService.date))return!1}catch(le){return this.logService.error(`Error while getting the engine for the version ${F.version}.`,(0,P.getErrorMessage)(le)),!1}return!0}async query(F,W){if(!this.isEnabled())throw new Error("No extension gallery service configured.");let _=F.text||"";const J=F.pageSize??50;let ie=new v().withPage(1,J);_?(_=_.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(re,ae,he)=>(ie=ie.withFilter(i.Category,he||ae),"")),_=_.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(re,ae,he)=>(ie=ie.withFilter(i.Tag,he||ae),"")),_=_.replace(/\bfeatured(\s+|\b|$)/g,()=>(ie=ie.withFilter(i.Featured),"")),_=_.trim(),_&&(_=_.length<200?_:_.substring(0,200),ie=ie.withFilter(i.SearchText,_)),ie=ie.withSortBy(0)):F.ids?ie=ie.withFilter(i.ExtensionId,...F.ids):F.names?ie=ie.withFilter(i.ExtensionName,...F.names):ie=ie.withSortBy(4),typeof F.sortBy=="number"&&(ie=ie.withSortBy(F.sortBy)),typeof F.sortOrder=="number"&&(ie=ie.withSortOrder(F.sortOrder)),F.source&&(ie=ie.withSource(F.source));const le=async(re,ae)=>{const{extensions:he,total:ge}=await this.queryGalleryExtensions(re,{targetPlatform:s,compatible:!1,includePreRelease:!!F.includePreRelease},ae);return he.forEach((ye,Te)=>B(ye,(re.pageNumber-1)*re.pageSize+Te,F.source)),{extensions:he,total:ge}},{extensions:fe,total:pe}=await le(ie,W),ve=async(re,ae)=>{if(ae.isCancellationRequested)throw new P.CancellationError;const{extensions:he}=await le(ie.withPage(re+1),ae);return he};return{firstPage:fe,total:pe,pageSize:ie.pageSize,getPage:ve}}async queryGalleryExtensions(F,W,_){const J=F.flags;!!(F.flags&t.IncludeLatestVersionOnly)&&!!(F.flags&t.IncludeVersions)&&(F=F.withFlags(F.flags&~t.IncludeVersions,t.IncludeLatestVersionOnly)),!(F.flags&t.IncludeLatestVersionOnly)&&!(F.flags&t.IncludeVersions)&&(F=F.withFlags(F.flags,t.IncludeLatestVersionOnly)),W.versions?.length&&(F=F.withFlags(F.flags&~t.IncludeLatestVersionOnly,t.IncludeVersions)),F=F.withFlags(F.flags,t.IncludeAssetUri,t.IncludeCategoryAndTags,t.IncludeFiles,t.IncludeStatistics,t.IncludeVersionProperties);const{galleryExtensions:ie,total:le}=await this.queryRawGalleryExtensions(F,_);if(!(F.flags&t.IncludeLatestVersionOnly)){const re=[];for(const ae of ie){const he=await this.toGalleryExtensionWithCriteria(ae,W);he&&re.push(he)}return{extensions:re,total:le}}const pe=[],ve=new Map;for(let re=0;re<ie.length;re++){const ae=ie[re],he={id:(0,g.getGalleryExtensionId)(ae.publisher.publisherName,ae.extensionName),uuid:ae.extensionId},ge=(0,E.isBoolean)(W.includePreRelease)?W.includePreRelease:!!W.includePreRelease.find(Te=>(0,g.areSameExtensions)(Te,he))?.includePreRelease;if(W.compatible&&(0,b.isNotWebExtensionInWebTargetPlatform)(z(ae),W.targetPlatform))continue;const ye=await this.toGalleryExtensionWithCriteria(ae,W);!ye||ye.properties.isPreReleaseVersion&&(!ge||!ye.hasReleaseVersion)||!ye.properties.isPreReleaseVersion&&ye.properties.targetPlatform!==W.targetPlatform&&ye.hasPreReleaseVersion?ve.set(ae.extensionId,re):pe.push([re,ye])}if(ve.size){const re=new Date().getTime(),ae=new v().withFlags(J&~t.IncludeLatestVersionOnly,t.IncludeVersions).withPage(1,ve.size).withFilter(i.ExtensionId,...ve.keys()),{extensions:he}=await this.queryGalleryExtensions(ae,W,_);this.telemetryService.publicLog2("galleryService:additionalQuery",{duration:new Date().getTime()-re,count:ve.size});for(const ge of he){const ye=ve.get(ge.identifier.uuid);pe.push([ye,ge])}}return{extensions:pe.sort((re,ae)=>re[0]-ae[0]).map(([,re])=>re),total:le}}async toGalleryExtensionWithCriteria(F,W){const _={id:(0,g.getGalleryExtensionId)(F.publisher.publisherName,F.extensionName),uuid:F.extensionId},J=W.versions?.find(pe=>(0,g.areSameExtensions)(pe,_))?.version,ie=(0,E.isBoolean)(W.includePreRelease)?W.includePreRelease:!!W.includePreRelease.find(pe=>(0,g.areSameExtensions)(pe,_))?.includePreRelease,le=z(F),fe=A(F.versions,W.targetPlatform);if(W.compatible&&(0,b.isNotWebExtensionInWebTargetPlatform)(le,W.targetPlatform))return null;for(let pe=0;pe<fe.length;pe++){const ve=fe[pe];if(!(J&&ve.version!==J)){if(await this.isValidVersion(ve,ie?"any":"release",W.compatible,le,W.targetPlatform))return T(F,ve,le);if(J&&ve.version===J)return null}}return J||W.compatible?null:T(F,F.versions[0],le)}async queryRawGalleryExtensions(F,W){if(!this.isEnabled())throw new Error("No extension gallery service configured.");F=F.withFlags(F.flags,t.ExcludeNonValidated).withFilter(i.Target,"Microsoft.VisualStudio.Code").withFilter(i.ExcludeWithFlags,n(t.Unpublished));const _=await this.commonHeadersPromise,J=JSON.stringify(F.raw),ie={..._,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(J.length)},le=new Date().getTime();let fe,pe,ve=0;try{if(fe=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:J,headers:ie},W),fe.res.statusCode&&fe.res.statusCode>=400&&fe.res.statusCode<500)return{galleryExtensions:[],total:ve};const re=await(0,h.asJson)(fe);if(re){const ae=re.results[0],he=ae.extensions,ge=ae.resultMetadata&&ae.resultMetadata.filter(ye=>ye.metadataType==="ResultCount")[0];return ve=ge&&ge.metadataItems.filter(ye=>ye.name==="TotalCount")[0].count||0,{galleryExtensions:he,total:ve}}return{galleryExtensions:[],total:ve}}catch(re){throw pe=re,re}finally{this.telemetryService.publicLog2("galleryService:query",{...F.telemetryData,requestBodySize:String(J.length),duration:new Date().getTime()-le,success:!!fe&&(0,h.isSuccess)(fe),responseBodySize:fe?.res.headers["Content-Length"],statusCode:fe?String(fe.res.statusCode):void 0,errorCode:pe?(0,P.isCancellationError)(pe)?"canceled":(0,P.getErrorMessage)(pe).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(ve)})}}async reportStatistic(F,W,_,J){if(!this.isEnabled())return;const ie=L.isWeb?this.api(`/itemName/${F}.${W}/version/${_}/statType/${J==="install"?"1":"3"}/vscodewebextension`):this.api(`/publishers/${F}/extensions/${W}/${_}/stats?statType=${J}`),le=L.isWeb?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",pe={...await this.commonHeadersPromise,Accept:le};try{await this.requestService.request({type:"POST",url:ie,headers:pe},D.CancellationToken.None)}catch{}}async download(F,W,_){this.logService.trace("ExtensionGalleryService#download",F.identifier.id);const J=(0,g.getGalleryExtensionTelemetryData)(F),ie=new Date().getTime(),le=re=>this.telemetryService.publicLog("galleryService:downloadVSIX",{...J,duration:re}),fe=_===2?"install":_===3?"update":"",pe=fe?{uri:`${F.assets.download.uri}${c.URI.parse(F.assets.download.uri).query?"&":"?"}${fe}=true`,fallbackUri:`${F.assets.download.fallbackUri}${c.URI.parse(F.assets.download.fallbackUri).query?"&":"?"}${fe}=true`}:F.assets.download,ve=await this.getAsset(pe);await this.fileService.writeFile(W,ve.stream),le(new Date().getTime()-ie)}async getReadme(F,W){if(F.assets.readme){const _=await this.getAsset(F.assets.readme,{},W);return await(0,h.asTextOrError)(_)||""}return""}async getManifest(F,W){if(F.assets.manifest){const _=await this.getAsset(F.assets.manifest,{},W),J=await(0,h.asTextOrError)(_);return J?JSON.parse(J):null}return null}async getManifestFromRawExtensionVersion(F,W){const _=ne(F,r.Manifest);if(!_)throw new Error("Manifest was not found");const J={"Accept-Encoding":"gzip"},ie=await this.getAsset(_,{headers:J});return await(0,h.asJson)(ie)}async getCoreTranslation(F,W){const _=F.assets.coreTranslations.filter(J=>J[0]===W.toUpperCase())[0];if(_){const J=await this.getAsset(_[1]),ie=await(0,h.asTextOrError)(J);return ie?JSON.parse(ie):null}return null}async getChangelog(F,W){if(F.assets.changelog){const _=await this.getAsset(F.assets.changelog,{},W);return await(0,h.asTextOrError)(_)||""}return""}async getAllCompatibleVersions(F,W,_){let J=new v().withFlags(t.IncludeVersions,t.IncludeCategoryAndTags,t.IncludeFiles,t.IncludeVersionProperties).withPage(1,1);F.identifier.uuid?J=J.withFilter(i.ExtensionId,F.identifier.uuid):J=J.withFilter(i.ExtensionName,F.identifier.id);const{galleryExtensions:ie}=await this.queryRawGalleryExtensions(J,D.CancellationToken.None);if(!ie.length)return[];const le=z(ie[0]);if((0,b.isNotWebExtensionInWebTargetPlatform)(le,_))return[];const fe=[];await Promise.all(ie[0].versions.map(async re=>{try{await this.isValidVersion(re,W?"any":"release",!0,le,_)&&fe.push(re)}catch{}}));const pe=[],ve=new Set;for(const re of A(fe,_))ve.has(re.version)||(ve.add(re.version),pe.push({version:re.version,date:re.lastUpdated,isPreReleaseVersion:Y(re)}));return pe}async getAsset(F,W={},_=D.CancellationToken.None){const J=await this.commonHeadersPromise,ie={type:"GET"},le={...J,...W.headers||{}};W={...W,...ie,headers:le};const fe=F.uri,pe=F.fallbackUri,ve={...W,url:fe};try{const re=await this.requestService.request(ve,_);if(re.res.statusCode===200)return re;const ae=await(0,h.asTextOrError)(re);throw new Error(`Expected 200, got back ${re.res.statusCode} instead.

${ae}`)}catch(re){if((0,P.isCancellationError)(re))throw re;const ae=(0,P.getErrorMessage)(re);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:fe,message:ae});const he={...W,url:pe};return this.requestService.request(he,_)}}async getEngine(F){let W=se(F);if(!W){const _=await this.getManifestFromRawExtensionVersion(F,D.CancellationToken.None);if(!_)throw new Error("Manifest was not found");W=_.engines.vscode}return W}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return{malicious:[],deprecated:{}};const F=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},D.CancellationToken.None);if(F.res.statusCode!==200)throw new Error("Could not get extensions report.");const W=await(0,h.asJson)(F),_=[],J={};if(W){for(const ie of W.malicious)_.push({id:ie});if(W.migrateToPreRelease)for(const[ie,le]of Object.entries(W.migrateToPreRelease))(!le.engine||(0,w.isEngineValid)(le.engine,this.productService.version,this.productService.date))&&(J[ie.toLowerCase()]={disallowInstall:!0,extension:{id:le.id,displayName:le.displayName,autoMigrate:{storage:!!le.migrateStorage},preRelease:!0}});if(W.deprecated)for(const[ie,le]of Object.entries(W.deprecated))le&&(J[ie.toLowerCase()]=(0,E.isBoolean)(le)?{}:le)}return{malicious:_,deprecated:J}}};U=de([oe(1,h.IRequestService),oe(2,d.ILogService),oe(3,I.IEnvironmentService),oe(4,l.ITelemetryService),oe(5,a.IFileService),oe(6,y.IProductService),oe(7,m.IConfigurationService)],U);let N=class extends U{constructor(F,W,_,J,ie,le,fe,pe){super(F,W,_,J,ie,le,fe,pe)}};N=de([oe(0,S.IStorageService),oe(1,h.IRequestService),oe(2,d.ILogService),oe(3,I.IEnvironmentService),oe(4,l.ITelemetryService),oe(5,a.IFileService),oe(6,y.IProductService),oe(7,m.IConfigurationService)],N),e.ExtensionGalleryService=N;let $=class extends U{constructor(F,W,_,J,ie,le,fe){super(void 0,F,W,_,J,ie,le,fe)}};$=de([oe(0,h.IRequestService),oe(1,d.ILogService),oe(2,I.IEnvironmentService),oe(3,l.ITelemetryService),oe(4,a.IFileService),oe(5,y.IProductService),oe(6,m.IConfigurationService)],$),e.ExtensionGalleryServiceWithNoStorageService=$}),define(ee[144],te([0,1,99,14,35,17,9,10,16]),function(q,e,C,D,P,L,k,E,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.hasWorkspaceFileExtension=e.isSavedWorkspace=e.isTemporaryWorkspace=e.isUntitledWorkspace=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=(0,E.createDecorator)("contextService");function m(i){const r=i;return typeof r?.id=="string"&&k.URI.isUri(r.uri)}e.isSingleFolderWorkspaceIdentifier=m;function I(i){if(i.configuration)return{id:i.id,configPath:i.configuration};if(i.folders.length===1)return{id:i.id,uri:i.folders[0].uri}}e.toWorkspaceIdentifier=I;function b(i){const r=i;return typeof r?.id=="string"&&k.URI.isUri(r.configPath)}e.isWorkspaceIdentifier=b;function g(i){const r=i;if(r?.uri)return{id:r.id,uri:k.URI.revive(r.uri)};const o=i;if(o?.configPath)return{id:o.id,configPath:k.URI.revive(o.configPath)};if(i?.id)return{id:i.id}}e.reviveIdentifier=g;var w;(function(i){i[i.EMPTY=1]="EMPTY",i[i.FOLDER=2]="FOLDER",i[i.WORKSPACE=3]="WORKSPACE"})(w=e.WorkbenchState||(e.WorkbenchState={}));function a(i){const r=i;return!!(r&&typeof r=="object"&&typeof r.id=="string"&&Array.isArray(r.folders))}e.isWorkspace=a;function d(i){const r=i;return!!(r&&typeof r=="object"&&k.URI.isUri(r.uri)&&typeof r.name=="string"&&typeof r.toResource=="function")}e.isWorkspaceFolder=d;class y{constructor(r,o,f,p,v){this._id=r,this._transient=f,this._configuration=p,this._ignorePathCasing=v,this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0),this.folders=o}update(r){this._id=r.id,this._configuration=r.configuration,this._transient=r.transient,this._ignorePathCasing=r._ignorePathCasing,this.folders=r.folders}get folders(){return this._folders}set folders(r){this._folders=r,this.updateFoldersMap()}get id(){return this._id}get transient(){return this._transient}get configuration(){return this._configuration}set configuration(r){this._configuration=r}getFolder(r){return r&&this._foldersMap.findSubstr(r)||null}updateFoldersMap(){this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing,()=>!0);for(const r of this.folders)this._foldersMap.set(r.uri,r)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.Workspace=y;class h{constructor(r,o){this.raw=o,this.uri=r.uri,this.index=r.index,this.name=r.name}toResource(r){return(0,L.joinPath)(this.uri,r)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=h;function u(i){return new h({uri:i,index:0,name:(0,L.basenameOrAuthority)(i)},{uri:i.toString()})}e.toWorkspaceFolder=u,e.WORKSPACE_EXTENSION="code-workspace";const S=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:(0,C.localize)(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function l(i,r){return L.extUriBiasedIgnorePathCase.isEqualOrParent(i,r.untitledWorkspacesHome)}e.isUntitledWorkspace=l;function s(i){let r;return k.URI.isUri(i)?r=i:r=i.configuration,r?.scheme===c.Schemas.tmp}e.isTemporaryWorkspace=s;function t(i,r){return!l(i,r)&&!s(i)}e.isSavedWorkspace=t;function n(i){return(typeof i=="string"?(0,D.extname)(i):(0,L.extname)(i))===S}e.hasWorkspaceFileExtension=n}),define(ee[145],te([0,1,35,44,9,18,11,8,65,33,26,144]),function(q,e,C,D,P,L,k,E,c,m,I,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataProfilesService=void 0;let g=class je extends I.UserDataProfilesService{constructor(a,d,y,h,u){super(y,h,u);this.stateService=a,this.uriIdentityService=d,this.enabled=!1}setEnablement(a){this._profilesObject=void 0,this.enabled=a}get profilesObject(){if(!this._profilesObject){const a=this.enabled?this.getStoredProfiles().map(h=>(0,I.toUserDataProfile)(h.name,h.location,h.useDefaultFlags)):[];let d;const y=new C.ResourceMap;if(a.length){const h=this.getStoredProfileAssociations();if(h.workspaces)for(const[u,S]of Object.entries(h.workspaces)){const l=P.URI.parse(u),s=P.URI.parse(S),t=a.find(n=>this.uriIdentityService.extUri.isEqual(n.location,s));t&&y.set(l,t)}if(h.emptyWindow){const u=P.URI.parse(h.emptyWindow);d=a.find(S=>this.uriIdentityService.extUri.isEqual(S.location,u))}}a.unshift(this.createDefaultUserDataProfile(a.length>0)),this._profilesObject={profiles:a,workspaces:y,emptyWindow:d}}return this._profilesObject}get profiles(){return this.profilesObject.profiles}getProfile(a){const d=this.getWorkspace(a);return(P.URI.isUri(d)?this.profilesObject.workspaces.get(d):this.profilesObject.emptyWindow)??this.defaultProfile}getWorkspace(a){return(0,b.isSingleFolderWorkspaceIdentifier)(a)?a.uri:(0,b.isWorkspaceIdentifier)(a)?a.configPath:"empty-window"}getStoredProfiles(){return(0,D.revive)(this.stateService.getItem(je.PROFILES_KEY,[]))}getStoredProfileAssociations(){return(0,D.revive)(this.stateService.getItem(je.PROFILE_ASSOCIATIONS_KEY,{}))}};g.PROFILES_KEY="userDataProfiles",g.PROFILE_ASSOCIATIONS_KEY="profileAssociations",g=de([oe(0,c.IStateService),oe(1,m.IUriIdentityService),oe(2,L.IEnvironmentService),oe(3,k.IFileService),oe(4,E.ILogService)],g),e.UserDataProfilesService=g}),define(ee[146],te([0,1,36,4,158,2]),function(q,e,C,D,P,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativePolicyService=void 0;class k extends C.AbstractPolicyService{constructor(c){super();this.productName=c,this.throttler=new D.Throttler,this.watcher=this._register(new L.MutableDisposable)}async initializePolicies(c){await this.throttler.queue(()=>new Promise((m,I)=>{try{this.watcher.value=(0,P.createWatcher)(this.productName,c,b=>{for(const g in b){const w=b[g];w===void 0?this.policies.delete(g):this.policies.set(g,w)}this._onDidChange.fire(Object.keys(b)),m()})}catch(b){I(b)}}))}}e.NativePolicyService=k}),define(ee[66],te([0,1,114,4,14,7,20,82,159,160]),function(q,e,C,D,P,L,k,E,c,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class I extends Error{constructor(t,n){let i=n.message;switch(t){case"CorruptZip":i=`Corrupt ZIP: ${i}`;break}super(i);this.type=t,this.cause=n}}e.ExtractError=I;function b(s){const t=s.externalFileAttributes>>16||33188;return[448,56,7].map(n=>t&n).reduce((n,i)=>n+i,t&61440)}function g(s){if(s instanceof I)return s;let t;return/end of central directory record signature not found/.test(s.message)&&(t="CorruptZip"),new I(t,s)}function w(s,t,n,i,r,o){const f=P.dirname(t),p=P.join(i,f);if(!p.startsWith(i))return Promise.reject(new Error(E.localize(0,null,t)));const v=P.join(i,t);let R;return o.onCancellationRequested(()=>{R&&R.destroy()}),Promise.resolve(k.Promises.mkdir(p,{recursive:!0})).then(()=>new Promise((M,H)=>{if(!o.isCancellationRequested)try{R=(0,C.createWriteStream)(v,{mode:n}),R.once("close",()=>M()),R.once("error",H),s.once("error",H),s.pipe(R)}catch(Z){H(Z)}}))}function a(s,t,n,i){let r=(0,D.createCancelablePromise)(()=>Promise.resolve()),o=0;return i.onCancellationRequested(()=>{r.cancel(),s.close()}),new Promise((f,p)=>{const v=new D.Sequencer,R=M=>{M.isCancellationRequested||(o++,s.readEntry())};s.once("error",p),s.once("close",()=>r.then(()=>{i.isCancellationRequested||s.entryCount===o?f():p(new I("Incomplete",new Error(E.localize(1,null,o,s.entryCount))))},p)),s.readEntry(),s.on("entry",M=>{if(i.isCancellationRequested)return;if(!n.sourcePathRegex.test(M.fileName)){R(i);return}const H=M.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(H)){const Q=P.join(t,H);r=(0,D.createCancelablePromise)(se=>k.Promises.mkdir(Q,{recursive:!0}).then(()=>R(se)).then(void 0,p));return}const Z=y(s,M),ne=b(M);r=(0,D.createCancelablePromise)(Q=>v.queue(()=>Z.then(se=>w(se,H,ne,t,n,Q).then(()=>R(Q)))).then(null,p))})})}function d(s,t=!1){return new Promise((n,i)=>{(0,c.open)(s,t?{lazyEntries:!0}:void 0,(r,o)=>{r?i(g(r)):n((0,L.assertIsDefined)(o))})})}function y(s,t){return new Promise((n,i)=>{s.openReadStream(t,(r,o)=>{r?i(g(r)):n((0,L.assertIsDefined)(o))})})}function h(s,t){return new Promise((n,i)=>{const r=new m.ZipFile;t.forEach(f=>{f.contents?r.addBuffer(typeof f.contents=="string"?Buffer.from(f.contents,"utf8"):f.contents,f.path):f.localPath&&r.addFile(f.localPath,f.path)}),r.end();const o=(0,C.createWriteStream)(s);r.outputStream.pipe(o),r.outputStream.once("error",i),o.once("error",i),o.once("finish",()=>n(s))})}e.zip=h;function u(s,t,n={},i){const r=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let o=d(s,!0);return n.overwrite&&(o=o.then(f=>k.Promises.rm(t).then(()=>f))),o.then(f=>a(f,t,{sourcePathRegex:r},i))}e.extract=u;function S(s,t){return d(s).then(n=>new Promise((i,r)=>{n.on("entry",o=>{o.fileName===t&&y(n,o).then(f=>i(f),f=>r(f))}),n.once("close",()=>r(new Error(E.localize(2,null,t))))}))}function l(s,t){return S(s,t).then(n=>new Promise((i,r)=>{const o=[];n.once("error",r),n.on("data",f=>o.push(f)),n.on("end",()=>i(Buffer.concat(o)))}))}e.buffer=l}),define(ee[147],te([0,1,66,89]),function(q,e,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function P(L){return(0,C.buffer)(L,"extension/package.json").then(k=>{try{return JSON.parse(k.toString("utf8"))}catch{throw new Error((0,D.localize)(0,null))}})}e.getManifest=P}),define(ee[148],te([0,1,4,28,12,2,16,14,13,17,40,7,9,34,20,66,88,58,18,139,22,23,38,49,122,140,147,123,137,37,46,11,10,8,27,32,33,26]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d,y,h,u,S,l,s,t,n,i,r,o,f,p,v,R,M,H,Z,ne,Q,se,Y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=e.INativeServerExtensionManagementService=void 0,e.INativeServerExtensionManagementService=(0,H.refineServiceDecorator)(l.IServerExtensionManagementService);let ce=class extends S.AbstractExtensionManagementService{constructor(T,U,N,$,O,F,W,_,J,ie,le,fe){super(fe,le,T,F,U,N,ie);this.environmentService=$,this.extensionsScannerService=O,this.downloadService=W,this.fileService=J;const pe=this._register(_.createInstance(r.ExtensionsLifecycle));this.extensionsScanner=this._register(_.createInstance(x,re=>pe.postUninstall(re))),this.manifestCache=this._register(new f.ExtensionsManifestCache($,this)),this.extensionsDownloader=this._register(_.createInstance(i.ExtensionsDownloader));const ve=this._register(new p.ExtensionsWatcher(this,J,$,N,le));this._register(ve.onDidChangeExtensionsByAnotherSource(({added:re,removed:ae})=>{re.length&&this._onDidInstallExtensions.fire(re.map(he=>({identifier:he.identifier,operation:1,local:he}))),ae.forEach(he=>this._onDidUninstallExtension.fire({identifier:he}))}))}getTargetPlatform(){return this._targetPlatformPromise||(this._targetPlatformPromise=(0,s.computeTargetPlatform)(this.fileService,this.logService)),this._targetPlatformPromise}async zip(T){this.logService.trace("ExtensionManagementService#zip",T.identifier.id);const U=await this.collectFiles(T),N=await(0,d.zip)((0,m.joinPath)(this.environmentService.tmpDir,(0,w.generateUuid)()).fsPath,U);return g.URI.file(N)}async unzip(T){return this.logService.trace("ExtensionManagementService#unzip",T.toString()),(await this.install(T)).identifier}async getManifest(T){const U=await this.downloadVsix(T),N=E.resolve(U.fsPath);return(0,o.getManifest)(N)}getInstalled(T,U){return this.extensionsScanner.scanExtensions(T??null,U)}getAllUserInstalled(){return this.extensionsScanner.scanUserExtensions(!1)}async install(T,U={}){this.logService.trace("ExtensionManagementService#install",T.toString());const N=await this.downloadVsix(T),$=await(0,o.getManifest)(E.resolve(N.fsPath));if($.engines&&$.engines.vscode&&!(0,R.isEngineValid)($.engines.vscode,this.productService.version,this.productService.date))throw new Error(y.localize(0,null,(0,s.getGalleryExtensionId)($.publisher,$.name),this.productService.version));return this.installExtension($,N,U)}getMetadata(T){return this.extensionsScannerService.scanMetadata(T.location)}async updateMetadata(T,U){this.logService.trace("ExtensionManagementService#updateMetadata",T.identifier.id);const N={...U};return U.isPreReleaseVersion&&(N.preRelease=!0),T=await this.extensionsScanner.updateMetadata(T,N),this.manifestCache.invalidate(),T}async updateExtensionScope(T,U){return this.logService.trace("ExtensionManagementService#updateExtensionScope",T.identifier.id),T=await this.extensionsScanner.updateMetadata(T,{isMachineScoped:U}),this.manifestCache.invalidate(),T}removeUninstalledExtensions(T){return this.extensionsScanner.cleanUp(T)}async downloadVsix(T){if(T.scheme===k.Schemas.file)return T;const U=(0,m.joinPath)(this.environmentService.tmpDir,(0,w.generateUuid)());return await this.downloadService.download(T,U),U}createDefaultInstallExtensionTask(T,U,N){return g.URI.isUri(U)?new z(T,U,N,this.galleryService,this.extensionsScanner,this.logService):new K(T,U,N,this.extensionsDownloader,this.extensionsScanner,this.logService)}createDefaultUninstallExtensionTask(T,U){return new A(T,U,this.extensionsScanner)}async collectFiles(T){const U=async $=>{let O=await a.Promises.readdir($);O=O.map(_=>E.join($,_));const F=await Promise.all(O.map(_=>a.Promises.stat(_)));let W=Promise.resolve([]);return F.forEach((_,J)=>{const ie=O[J];_.isFile()&&(W=W.then(le=>[...le,ie])),_.isDirectory()&&(W=W.then(le=>U(ie).then(fe=>[...le,...fe])))}),W};return(await U(T.location.fsPath)).map($=>({path:`extension/${E.relative(T.location.fsPath,$)}`,localPath:$}))}};ce=de([oe(0,l.IExtensionGalleryService),oe(1,Q.ITelemetryService),oe(2,Z.ILogService),oe(3,u.INativeEnvironmentService),oe(4,n.IExtensionsScannerService),oe(5,t.IExtensionsProfileScannerService),oe(6,h.IDownloadService),oe(7,H.IInstantiationService),oe(8,M.IFileService),oe(9,ne.IProductService),oe(10,se.IUriIdentityService),oe(11,Y.IUserDataProfilesService)],ce),e.ExtensionManagementService=ce;let x=class extends L.Disposable{constructor(T,U,N,$){super();this.beforeRemovingExtension=T,this.fileService=U,this.extensionsScannerService=N,this.logService=$,this.uninstalledPath=(0,m.joinPath)(this.extensionsScannerService.userExtensionsLocation,".obsolete").fsPath,this.uninstalledFileLimiter=new C.Queue}async cleanUp(T){await this.removeUninstalledExtensions(),T&&await this.removeOutdatedExtensions()}async scanExtensions(T,U){const N={includeInvalid:!0,profileLocation:U};let $=[];return T===null||T===0?$.push(...await this.extensionsScannerService.scanAllExtensions({includeInvalid:!0},N)):T===1&&$.push(...await this.extensionsScannerService.scanUserExtensions(N)),$=T!==null?$.filter(O=>O.type===T):$,Promise.all($.map(O=>this.toLocalExtension(O)))}async scanUserExtensions(T){const U=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!T,includeInvalid:!0});return Promise.all(U.map(N=>this.toLocalExtension(N)))}async extractUserExtension(T,U,N,$){const O=T.toString(),F=E.join(this.extensionsScannerService.userExtensionsLocation.fsPath,`.${(0,w.generateUuid)()}`),W=E.join(this.extensionsScannerService.userExtensionsLocation.fsPath,O);try{await a.Promises.rm(W)}catch{throw new l.ExtensionManagementError(y.localize(1,null,W,T.id),l.ExtensionManagementErrorCode.Delete)}await this.extractAtLocation(T,U,F,$),N={...N,installedTimestamp:Date.now()},await this.extensionsScannerService.updateMetadata(g.URI.file(F),N);try{await this.rename(T,F,W,Date.now()+2*60*1e3),this.logService.info("Renamed to",W)}catch(_){try{await a.Promises.rm(F)}catch{}if(_.code==="ENOTEMPTY")this.logService.info("Rename failed because extension was installed by another source. So ignoring renaming.",T.id);else throw this.logService.info(`Rename failed because of ${(0,P.getErrorMessage)(_)}. Deleted from extracted location`,F),_}return this.scanLocalExtension(g.URI.file(W),1)}async updateMetadata(T,U){return await this.extensionsScannerService.updateMetadata(T.location,U),this.scanLocalExtension(T.location,T.type)}getUninstalledExtensions(){return this.withUninstalledExtensions()}async setUninstalled(...T){const U=T.map(N=>s.ExtensionKey.create(N));await this.withUninstalledExtensions(N=>{U.forEach($=>N[$.toString()]=!0)})}async setInstalled(T){await this.withUninstalledExtensions($=>delete $[T.toString()]);const N=(await this.scanUserExtensions(!0)).find($=>s.ExtensionKey.create($).equals(T))||null;return N?this.updateMetadata(N,{installedTimestamp:Date.now()}):null}async removeExtension(T,U){this.logService.trace(`Deleting ${U} extension from disk`,T.identifier.id,T.location.fsPath),await a.Promises.rm(T.location.fsPath),this.logService.info("Deleted from disk",T.identifier.id,T.location.fsPath)}async removeUninstalledExtension(T){await this.removeExtension(T,"uninstalled"),await this.withUninstalledExtensions(U=>delete U[s.ExtensionKey.create(T).toString()])}async withUninstalledExtensions(T){return this.uninstalledFileLimiter.queue(async()=>{let U;try{U=await a.Promises.readFile(this.uninstalledPath,"utf8")}catch($){if($.code!=="ENOENT")throw $}let N={};if(U)try{N=JSON.parse(U)}catch{}return T&&(T(N),Object.keys(N).length?await a.Promises.writeFile(this.uninstalledPath,JSON.stringify(N)):await a.Promises.rm(this.uninstalledPath)),N})}async extractAtLocation(T,U,N,$){this.logService.trace(`Started extracting the extension from ${U} to ${N}`);try{await a.Promises.rm(N)}catch(O){throw new l.ExtensionManagementError(this.joinErrors(O).message,l.ExtensionManagementErrorCode.Delete)}try{await(0,d.extract)(U,N,{sourcePath:"extension",overwrite:!0},$),this.logService.info(`Extracted extension to ${N}:`,T.id)}catch(O){try{await a.Promises.rm(N)}catch{}let F=l.ExtensionManagementErrorCode.Extract;throw O instanceof d.ExtractError&&(O.type==="CorruptZip"?F=l.ExtensionManagementErrorCode.CorruptZip:O.type==="Incomplete"&&(F=l.ExtensionManagementErrorCode.IncompleteZip)),new l.ExtensionManagementError(O.message,F)}}async rename(T,U,N,$){try{await a.Promises.rename(U,N)}catch(O){if(c.isWindows&&O&&O.code==="EPERM"&&Date.now()<$)return this.logService.info(`Failed renaming ${U} to ${N} with 'EPERM' error. Trying again...`,T.id),this.rename(T,U,N,$);throw new l.ExtensionManagementError(O.message||y.localize(2,null,U,N),O.code||l.ExtensionManagementErrorCode.Rename)}}async scanLocalExtension(T,U){const N=await this.extensionsScannerService.scanExistingExtension(T,U,{includeInvalid:!0});if(N)return this.toLocalExtension(N);throw new Error(y.localize(3,null,T.path))}async toLocalExtension(T){const U=await this.fileService.resolve(T.location);let N,$;return U.children&&(N=U.children.find(({name:O})=>/^readme(\.txt|\.md|)$/i.test(O))?.resource,$=U.children.find(({name:O})=>/^changelog(\.txt|\.md|)$/i.test(O))?.resource),{identifier:T.identifier,type:T.type,isBuiltin:T.isBuiltin||!!T.metadata?.isBuiltin,location:T.location,manifest:T.manifest,targetPlatform:T.targetPlatform,validations:T.validations,isValid:T.isValid,readmeUrl:N,changelogUrl:$,publisherDisplayName:T.metadata?.publisherDisplayName||null,publisherId:T.metadata?.publisherId||null,isApplicationScoped:!!T.metadata?.isApplicationScoped,isMachineScoped:!!T.metadata?.isMachineScoped,isPreReleaseVersion:!!T.metadata?.isPreReleaseVersion,preRelease:!!T.metadata?.preRelease,installedTimestamp:T.metadata?.installedTimestamp,updated:!!T.metadata?.updated}}async removeUninstalledExtensions(){const T=await this.getUninstalledExtensions(),U=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),N=new Set;for(const F of U)T[s.ExtensionKey.create(F).toString()]||N.add(F.identifier.id.toLowerCase());const $=(0,s.groupByExtension)(U,F=>F.identifier);await C.Promises.settled($.map(async F=>{const W=F.sort((_,J)=>I.rcompare(_.manifest.version,J.manifest.version))[0];N.has(W.identifier.id.toLowerCase())||await this.beforeRemovingExtension(await this.toLocalExtension(W))}));const O=U.filter(F=>T[s.ExtensionKey.create(F).toString()]);await C.Promises.settled(O.map(F=>this.removeUninstalledExtension(F)))}async removeOutdatedExtensions(){const T=await this.extensionsScannerService.scanSystemExtensions({}),U=await this.extensionsScannerService.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),N=[],$=await this.extensionsScannerService.getTargetPlatform(),O=(0,s.groupByExtension)(U,F=>F.identifier);for(const F of O)if(F.length>1&&N.push(...F.sort((W,_)=>{const J=I.rcompare(W.manifest.version,_.manifest.version);return J!==0?J:W.targetPlatform===$?-1:1}).slice(1)),F[0].type===0){const W=T.find(_=>(0,s.areSameExtensions)(_.identifier,F[0].identifier));(!W||I.gte(W.manifest.version,F[0].manifest.version))&&N.push(F[0])}await C.Promises.settled(N.map(F=>this.removeExtension(F,"outdated")))}joinErrors(T){const U=Array.isArray(T)?T:[T];return U.length===1?U[0]instanceof Error?U[0]:new Error(U[0]):U.reduce((N,$)=>new Error(`${N.message}${N.message?",":""}${$ instanceof Error?$.message:$}`),new Error(""))}};x=de([oe(1,M.IFileService),oe(2,n.IExtensionsScannerService),oe(3,Z.ILogService)],x);class j extends S.AbstractExtensionTask{constructor(T,U,N,$,O){super();this.identifier=T,this.source=U,this.options=N,this.extensionsScanner=$,this.logService=O,this._operation=2}get operation(){return(0,b.isUndefined)(this.options.operation)?this._operation:this.options.operation}async installExtension(T,U){try{const N=await this.unsetUninstalledAndGetLocal(T.key);if(N)return T.metadata?this.extensionsScanner.updateMetadata(N,T.metadata):N}catch{throw c.isMacintosh?new l.ExtensionManagementError(y.localize(4,null),l.ExtensionManagementErrorCode.Internal):new l.ExtensionManagementError(y.localize(5,null),l.ExtensionManagementErrorCode.Internal)}return this.extract(T,U)}async unsetUninstalledAndGetLocal(T){if(!await this.isUninstalled(T))return null;this.logService.trace("Removing the extension from uninstalled list:",T.id);const N=await this.extensionsScanner.setInstalled(T);return this.logService.info("Removed the extension from uninstalled list:",T.id),N}async isUninstalled(T){return!!(await this.extensionsScanner.getUninstalledExtensions())[T.toString()]}async extract({zipPath:T,key:U,metadata:N},$){const O=await this.extensionsScanner.extractUserExtension(U,T,N,$);return this.logService.info("Extracting completed.",U.id),O}}class K extends j{constructor(T,U,N,$,O,F){super(U.identifier,U,N,O,F);this.manifest=T,this.gallery=U,this.extensionsDownloader=$}async doRun(T){const N=(await this.extensionsScanner.scanExtensions(null,void 0)).find(F=>(0,s.areSameExtensions)(F.identifier,this.gallery.identifier));N&&(this._operation=3);const $={id:this.gallery.identifier.uuid,publisherId:this.gallery.publisherId,publisherDisplayName:this.gallery.publisherDisplayName,targetPlatform:this.gallery.properties.targetPlatform,isApplicationScoped:(0,v.isApplicationScopedExtension)(this.manifest),isMachineScoped:this.options.isMachineScoped||N?.isMachineScoped,isBuiltin:this.options.isBuiltin||N?.isBuiltin,isSystem:N?.type===0?!0:void 0,updated:!!N,isPreReleaseVersion:this.gallery.properties.isPreReleaseVersion,preRelease:this.gallery.properties.isPreReleaseVersion||((0,b.isBoolean)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:N?.preRelease)};if(N?.manifest.version===this.gallery.version)return{local:await this.extensionsScanner.updateMetadata(N,$),metadata:$};const O=await this.downloadExtension(this.gallery,this._operation);try{const F=await this.installExtension({zipPath:O,key:s.ExtensionKey.create(this.gallery),metadata:$},T);return N&&!this.options.profileLocation&&(N.targetPlatform!==F.targetPlatform||I.neq(N.manifest.version,F.manifest.version))&&await this.extensionsScanner.setUninstalled(N),{local:F,metadata:$}}catch(F){throw await this.deleteDownloadedVSIX(O),F}}async deleteDownloadedVSIX(T){try{await this.extensionsDownloader.delete(g.URI.file(T))}catch(U){this.logService.warn("Error while deleting the downloaded vsix",T.toString(),(0,P.getErrorMessage)(U))}}async downloadExtension(T,U){let N;try{this.logService.trace("Started downloading extension:",T.identifier.id),N=(await this.extensionsDownloader.downloadExtension(T,U)).fsPath,this.logService.info("Downloaded extension:",T.identifier.id,N)}catch($){throw new l.ExtensionManagementError((0,S.joinErrors)($).message,l.ExtensionManagementErrorCode.Download)}try{return await(0,o.getManifest)(N),N}catch($){throw await this.deleteDownloadedVSIX(N),new l.ExtensionManagementError((0,S.joinErrors)($).message,l.ExtensionManagementErrorCode.Invalid)}}}class z extends j{constructor(T,U,N,$,O,F){super({id:(0,s.getGalleryExtensionId)(T.publisher,T.name)},U,N,O,F);this.manifest=T,this.location=U,this.galleryService=$}async doRun(T){const U=new s.ExtensionKey(this.identifier,this.manifest.version),$=(await this.extensionsScanner.scanExtensions(1,void 0)).find(W=>(0,s.areSameExtensions)(this.identifier,W.identifier)),O=await this.getMetadata(this.identifier.id,this.manifest.version,T);if(O.isApplicationScoped=(0,v.isApplicationScopedExtension)(this.manifest),O.isMachineScoped=this.options.isMachineScoped||$?.isMachineScoped,O.isBuiltin=this.options.isBuiltin||$?.isBuiltin,$)if(this._operation=3,U.equals(new s.ExtensionKey($.identifier,$.manifest.version)))try{await this.extensionsScanner.removeExtension($,"existing")}catch{throw new Error(y.localize(6,null,this.manifest.displayName||this.manifest.name))}else!this.options.profileLocation&&I.gt($.manifest.version,this.manifest.version)&&await this.extensionsScanner.setUninstalled($);else{const W=await this.unsetUninstalledAndGetLocal(U);if(W)try{await this.extensionsScanner.removeExtension(W,"existing")}catch{throw new Error(y.localize(7,null,this.manifest.displayName||this.manifest.name))}}return{local:await this.installExtension({zipPath:E.resolve(this.location.fsPath),key:U,metadata:O},T),metadata:O}}async getMetadata(T,U,N){try{let[$]=await this.galleryService.getExtensions([{id:T,version:U}],N);if($||([$]=await this.galleryService.getExtensions([{id:T}],N)),$)return{id:$.identifier.uuid,publisherDisplayName:$.publisherDisplayName,publisherId:$.publisherId,isPreReleaseVersion:$.properties.isPreReleaseVersion,preRelease:$.properties.isPreReleaseVersion||this.options.installPreReleaseVersion}}catch{}return{}}}class A extends S.AbstractExtensionTask{constructor(T,U,N){super();this.extension=T,this.options=U,this.extensionsScanner=N}async doRun(T){const U=[],N=await this.extensionsScanner.scanUserExtensions(!1);if(this.options.versionOnly){const $=s.ExtensionKey.create(this.extension);U.push(...N.filter(O=>$.equals(s.ExtensionKey.create(O))))}else U.push(...N.filter($=>(0,s.areSameExtensions)($.identifier,this.extension.identifier)));if(!U.length)throw new Error(y.localize(8,null,this.extension.manifest.displayName||this.extension.manifest.name));if(await this.extensionsScanner.setUninstalled(...U),this.options.remove)for(const $ of U)try{T.isCancellationRequested||await this.extensionsScanner.removeUninstalledExtension($)}catch(O){throw new Error(y.localize(9,null,(0,D.toErrorMessage)(O)))}}}}),define(ee[149],te([0,1,127,4,15,12,2,7,21,18,128,8,126,161]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let a=class extends k.Disposable{constructor(y,h,u){super();this.environmentService=h,this.logService=u,this.configure(y.getValue()),this._register(y.onDidChangeConfiguration(()=>this.configure(y.getValue()),this))}configure(y){this.proxyUrl=y.http&&y.http.proxy,this.strictSSL=!!(y.http&&y.http.proxyStrictSSL),this.authorization=y.http&&y.http.proxyAuthorization}async request(y,h){this.logService.trace("RequestService#request (node) - begin",y.url);const{proxyUrl:u,strictSSL:S}=this;let l;try{l=await(0,I.getResolvedShellEnv)(this.logService,this.environmentService.args,process.env)}catch(n){this.shellEnvErrorLogged||(this.shellEnvErrorLogged=!0,this.logService.error("RequestService#request (node) resolving shell environment failed",n))}const s={...process.env,...l},t=y.agent?y.agent:await(0,g.getProxyAgent)(y.url||"",s,{proxyUrl:u,strictSSL:S});y.agent=t,y.strictSSL=S,this.authorization&&(y.headers={...y.headers||{},"Proxy-Authorization":this.authorization});try{const n=await this._request(y,h);return this.logService.trace("RequestService#request (node) - success",y.url),n}catch(n){throw this.logService.trace("RequestService#request (node) - error",y.url,n),n}}async getNodeRequest(y){return((0,C.parse)(y.url).protocol==="https:"?await new Promise((S,l)=>{q(["https"],S,l)}):await new Promise((S,l)=>{q(["http"],S,l)})).request}_request(y,h){return D.Promises.withAsyncBody(async(u,S)=>{const l=(0,C.parse)(y.url),s=y.getRawRequest?y.getRawRequest(y):await this.getNodeRequest(y),t={hostname:l.hostname,port:l.port?parseInt(l.port):l.protocol==="https:"?443:80,protocol:l.protocol,path:l.path,method:y.type||"GET",headers:y.headers,agent:y.agent,rejectUnauthorized:(0,E.isBoolean)(y.strictSSL)?y.strictSSL:!0};y.user&&y.password&&(t.auth=y.user+":"+y.password);const n=s(t,i=>{const r=(0,E.isNumber)(y.followRedirects)?y.followRedirects:3;if(i.statusCode&&i.statusCode>=300&&i.statusCode<400&&r>0&&i.headers.location)this._request({...y,url:i.headers.location,followRedirects:r-1},h).then(u,S);else{let o=i;i.headers["content-encoding"]==="gzip"&&(o=i.pipe((0,w.createGunzip)())),u({res:i,stream:(0,P.streamToBufferReadableStream)(o)})}});n.on("error",S),y.timeout&&n.setTimeout(y.timeout),y.data&&typeof y.data=="string"&&n.write(y.data),n.end(),h.onCancellationRequested(()=>{n.abort(),S((0,L.canceled)())})})}async resolveProxy(y){}};a=de([oe(0,c.IConfigurationService),oe(1,m.INativeEnvironmentService),oe(2,b.ILogService)],a),e.RequestService=a}),define(ee[162],te([0,1,39,4,15,28,12,2,16,14,13,30,9,20,21,119,58,125,18,102,143,22,121,38,49,148,141,11,111,113,47,109,61,62,124,8,115,116,36,146,134,27,48,149,65,129,130,32,133,42,135,136,33,138,26,145]),function(q,e,C,D,P,L,k,E,c,m,I,b,g,w,a,d,y,h,u,S,l,s,t,n,i,r,o,f,p,v,R,M,H,Z,ne,Q,se,Y,ce,x,j,K,z,A,B,T,U,N,$,O,F,W,_,J,ie,le){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class fe extends E.Disposable{constructor(re){super();this.argv=re,this.registerListeners()}registerListeners(){process.once("exit",()=>this.dispose())}async run(){const[re,ae]=await this.initServices();return re.invokeFunction(async he=>{const ge=he.get(Q.ILogService),ye=he.get(f.IFileService),Te=he.get(u.INativeEnvironmentService),Ae=he.get(s.IExtensionManagementCLIService);ge.info("CLI main",this.argv),this.registerErrorHandler(ge),await this.doRun(Te,Ae,ye),await Promise.all(ae.map(Ue=>{(0,D.raceTimeout)(Ue.flush(),1e3)}))})}async initServices(){const re=new H.ServiceCollection,ae={_serviceBrand:void 0,...j.default};re.set(K.IProductService,ae);const he=new S.NativeEnvironmentService(this.argv,ae);re.set(u.INativeEnvironmentService,he),await Promise.all([he.appSettingsHome.fsPath,he.extensionsPath].map(De=>De?w.Promises.mkdir(De,{recursive:!0}):void 0));const ge=(0,Q.getLogLevel)(he),ye=[];ye.push(new se.SpdLogLogger("cli",(0,m.join)(he.logsPath,"cli.log"),!0,!1,ge)),ge===Q.LogLevel.Trace&&ye.push(new Q.ConsoleLogger(ge));const Te=this._register(new Q.MultiplexLogService(ye));re.set(Q.ILogService,Te);const Ae=this._register(new p.FileService(Te));re.set(f.IFileService,Ae);const Ue=this._register(new v.DiskFileSystemProvider(Te));Ae.registerProvider(c.Schemas.file,Ue);const xe=new T.StateService(he,Te,Ae);re.set(B.IStateService,xe);const V=new J.UriIdentityService(Ae);re.set(_.IUriIdentityService,V);const G=new le.UserDataProfilesService(xe,V,he,Ae,Te);re.set(ie.IUserDataProfilesService,G);const X=I.isWindows&&ae.win32RegValueName?this._register(new x.NativePolicyService(ae.win32RegValueName)):he.policyFile?this._register(new Y.FilePolicyService(he.policyFile,Ae,Te)):new ce.NullPolicyService;re.set(ce.IPolicyService,X);const ue=this._register(new d.ConfigurationService(G.defaultProfile.settingsResource,Ae,X,Te));re.set(a.IConfigurationService,ue),await Promise.all([xe.init(),ue.initialize()]),G.setEnablement(!!ue.getValue(ie.PROFILES_ENABLEMENT_CONFIG)),re.set(_.IUriIdentityService,new J.UriIdentityService(Ae)),re.set(z.IRequestService,new R.SyncDescriptor(A.RequestService)),re.set(y.IDownloadService,new R.SyncDescriptor(h.DownloadService)),re.set(n.IExtensionsProfileScannerService,new R.SyncDescriptor(n.ExtensionsProfileScannerService)),re.set(i.IExtensionsScannerService,new R.SyncDescriptor(o.ExtensionsScannerService)),re.set(r.INativeServerExtensionManagementService,new R.SyncDescriptor(r.ExtensionManagementService)),re.set(s.IExtensionGalleryService,new R.SyncDescriptor(l.ExtensionGalleryServiceWithNoStorageService)),re.set(s.IExtensionManagementCLIService,new R.SyncDescriptor(t.ExtensionManagementCLIService)),re.set(Z.ILanguagePackService,new R.SyncDescriptor(ne.NativeLanguagePackService));const me=[];if((0,O.supportsTelemetry)(ae,he)){ae.aiConfig&&ae.aiConfig.ariaKey&&me.push(new F.OneDataSystemAppender(ue,"monacoworkbench",null,ae.aiConfig.ariaKey));const{installSourcePath:De}=he,we={appenders:me,sendErrorTelemetry:!1,commonProperties:(async()=>{let Re;try{const be=await w.Promises.readFile(he.stateResource.fsPath);Re=JSON.parse(be.toString())[N.machineIdKey]}catch(be){be.code!=="ENOENT"&&Te.error(be)}return(0,U.resolveCommonProperties)(Ae,(0,C.release)(),(0,C.hostname)(),process.arch,ae.commit,ae.version,Re,ae.msftInternalDomains,De)})(),piiPaths:(0,O.getPiiPathsFromEnvironment)(he)};re.set(N.ITelemetryService,new R.SyncDescriptor($.TelemetryService,[we]))}else re.set(N.ITelemetryService,O.NullTelemetryService);return[new M.InstantiationService(re),me]}registerErrorHandler(re){(0,k.setUnexpectedErrorHandler)(ae=>{const he=(0,L.toErrorMessage)(ae,!0);!he||re.error(`[uncaught exception in CLI]: ${he}`)}),process.on("uncaughtException",ae=>(0,k.onUnexpectedError)(ae)),process.on("unhandledRejection",ae=>(0,k.onUnexpectedError)(ae))}async doRun(re,ae,he){if(this.argv["install-source"])return this.setInstallSource(re,he,this.argv["install-source"]);if(this.argv["list-extensions"])return ae.listExtensions(!!this.argv["show-versions"],this.argv.category);if(this.argv["install-extension"]||this.argv["install-builtin-extension"]){const ge={isMachineScoped:!!this.argv["do-not-sync"],installPreReleaseVersion:!!this.argv["pre-release"]};return ae.installExtensions(this.asExtensionIdOrVSIX(this.argv["install-extension"]||[]),this.argv["install-builtin-extension"]||[],ge,!!this.argv.force)}else{if(this.argv["uninstall-extension"])return ae.uninstallExtensions(this.asExtensionIdOrVSIX(this.argv["uninstall-extension"]),!!this.argv.force);if(this.argv["locate-extension"])return ae.locateExtension(this.argv["locate-extension"]);this.argv.telemetry&&console.log(await(0,W.buildTelemetryMessage)(re.appRoot,re.extensionsPath))}}asExtensionIdOrVSIX(re){return re.map(ae=>/\.vsix$/i.test(ae)?g.URI.file((0,m.isAbsolute)(ae)?ae:(0,m.join)((0,b.cwd)(),ae)):ae)}async setInstallSource(re,ae,he){await ae.writeFile(g.URI.file(re.installSourcePath),P.VSBuffer.fromString(he.slice(0,30)))}}async function pe(ve){const re=new fe(ve);try{await re.run()}finally{re.dispose()}}e.main=pe})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/274aed07cc6fa04dc99984d3ee90f45d3711a7df/core/vs/code/node/cliProcessMain.js.map
